// java wrapper for vtkChartMatrix object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartMatrix.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChartMatrix_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChartMatrix",dType)) { return me; }
  if ((res= vtkAbstractContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChartMatrix_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChartMatrix *op;
  const char    *temp20;

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartMatrix_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChartMatrix *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartMatrix_Update_12(JNIEnv *env, jobject obj)
{
  vtkChartMatrix *op;

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartMatrix_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartMatrix *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartMatrix_SetBorders_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkChartMatrix *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorders(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartMatrix_GetBorders_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkChartMatrix *op;
  int    temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBorders(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartMatrix_Allocate_16(JNIEnv *env, jobject obj)
{
  vtkChartMatrix *op;

  op = (vtkChartMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChartMatrix_VTKInit(JNIEnv *, jobject)
{
  vtkChartMatrix *aNewOne = vtkChartMatrix::New();
  return (jlong)(size_t)(void*)aNewOne;
}
