// java wrapper for vtkChartParallelCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartParallelCoordinates.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkChart_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChartParallelCoordinates_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChartParallelCoordinates",dType)) { return me; }
  if ((res= vtkChart_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChartParallelCoordinates_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;
  const char    *temp20;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartParallelCoordinates_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChartParallelCoordinates *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartParallelCoordinates_Update_12(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartParallelCoordinates_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartParallelCoordinates *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartParallelCoordinates_SetColumnVisibility_14(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkChartParallelCoordinates *op;
  vtkStdString temp0;
  bool   temp1;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnVisibility(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartParallelCoordinates_SetColumnVisibilityAll_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChartParallelCoordinates *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnVisibilityAll(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartParallelCoordinates_GetColumnVisibility_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChartParallelCoordinates *op;
  vtkStdString temp0;
  bool   temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartParallelCoordinates_GetVisibleColumns_17(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;
  vtkStringArray  *temp20;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisibleColumns();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartParallelCoordinates_GetPlot_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartParallelCoordinates *op;
  vtkIdType   temp0;
  vtkPlot  *temp20;
  temp0 = id0;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlot(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartParallelCoordinates_GetNumberOfPlots_19(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;
  vtkIdType   temp20;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPlots();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartParallelCoordinates_GetAxis_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartParallelCoordinates *op;
  int      temp0;
  vtkAxis  *temp20;
  temp0 = id0;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartParallelCoordinates_GetNumberOfAxes_111(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;
  vtkIdType   temp20;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAxes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartParallelCoordinates_RecalculateBounds_112(JNIEnv *env, jobject obj)
{
  vtkChartParallelCoordinates *op;

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->RecalculateBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartParallelCoordinates_SetPlot_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartParallelCoordinates *op;
  vtkPlotParallelCoordinates  *temp0;
  temp0 = (vtkPlotParallelCoordinates *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartParallelCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlot(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChartParallelCoordinates_VTKInit(JNIEnv *, jobject)
{
  vtkChartParallelCoordinates *aNewOne = vtkChartParallelCoordinates::New();
  return (jlong)(size_t)(void*)aNewOne;
}
