// java wrapper for vtkColorLegend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorLegend.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkChartLegend_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkColorLegend_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkColorLegend",dType)) { return me; }
  if ((res= vtkChartLegend_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorLegend_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkColorLegend *op;
  const char    *temp20;

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorLegend_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorLegend *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorLegend_GetBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkColorLegend *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorLegend_Update_13(JNIEnv *env, jobject obj)
{
  vtkColorLegend *op;

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkColorLegend_Paint_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorLegend *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorLegend_SetTransferFunction_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorLegend *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransferFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkColorLegend_GetTransferFunction_16(JNIEnv *env, jobject obj)
{
  vtkColorLegend *op;
  vtkScalarsToColors  *temp20;

  op = (vtkColorLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransferFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkColorLegend_VTKInit(JNIEnv *, jobject)
{
  vtkColorLegend *aNewOne = vtkColorLegend::New();
  return (jlong)(size_t)(void*)aNewOne;
}
