// java wrapper for vtkColorTransferControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorTransferControlPointsItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkControlPointsItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkColorTransferControlPointsItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkColorTransferControlPointsItem",dType)) { return me; }
  if ((res= vtkControlPointsItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorTransferControlPointsItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkColorTransferControlPointsItem *op;
  const char    *temp20;

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferControlPointsItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorTransferControlPointsItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferControlPointsItem_SetColorTransferFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorTransferControlPointsItem *op;
  vtkColorTransferFunction  *temp0;
  temp0 = (vtkColorTransferFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorTransferFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkColorTransferControlPointsItem_GetColorTransferFunction_13(JNIEnv *env, jobject obj)
{
  vtkColorTransferControlPointsItem *op;
  vtkColorTransferFunction  *temp20;

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorTransferFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferControlPointsItem_GetNumberOfPoints_14(JNIEnv *env, jobject obj)
{
  vtkColorTransferControlPointsItem *op;
  vtkIdType   temp20;

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferControlPointsItem_SetColorFill_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkColorTransferControlPointsItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorFill(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkColorTransferControlPointsItem_GetColorFill_16(JNIEnv *env, jobject obj)
{
  vtkColorTransferControlPointsItem *op;
  bool   temp20;

  op = (vtkColorTransferControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorFill();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkColorTransferControlPointsItem_VTKInit(JNIEnv *, jobject)
{
  vtkColorTransferControlPointsItem *aNewOne = vtkColorTransferControlPointsItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
