// java wrapper for vtkCompositeControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeControlPointsItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkColorTransferControlPointsItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeControlPointsItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeControlPointsItem",dType)) { return me; }
  if ((res= vtkColorTransferControlPointsItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeControlPointsItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeControlPointsItem *op;
  const char    *temp20;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeControlPointsItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeControlPointsItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeControlPointsItem_SetColorTransferFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeControlPointsItem *op;
  vtkColorTransferFunction  *temp0;
  temp0 = (vtkColorTransferFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorTransferFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeControlPointsItem_SetOpacityFunction_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeControlPointsItem *op;
  vtkPiecewiseFunction  *temp0;
  temp0 = (vtkPiecewiseFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacityFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeControlPointsItem_GetOpacityFunction_14(JNIEnv *env, jobject obj)
{
  vtkCompositeControlPointsItem *op;
  vtkPiecewiseFunction  *temp20;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacityFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeControlPointsItem_SetPointsFunction_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeControlPointsItem *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointsFunction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeControlPointsItem_GetPointsFunction_16(JNIEnv *env, jobject obj)
{
  vtkCompositeControlPointsItem *op;
  int      temp20;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointsFunction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeControlPointsItem_SetUseOpacityPointHandles_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCompositeControlPointsItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseOpacityPointHandles(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeControlPointsItem_GetUseOpacityPointHandles_18(JNIEnv *env, jobject obj)
{
  vtkCompositeControlPointsItem *op;
  bool   temp20;

  op = (vtkCompositeControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseOpacityPointHandles();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeControlPointsItem_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeControlPointsItem *aNewOne = vtkCompositeControlPointsItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
