// java wrapper for vtkContextClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextClip.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextClip_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextClip",dType)) { return me; }
  if ((res= vtkAbstractContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextClip_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextClip *op;
  const char    *temp20;

  op = (vtkContextClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextClip_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextClip *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextClip_Update_12(JNIEnv *env, jobject obj)
{
  vtkContextClip *op;

  op = (vtkContextClip *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextClip_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextClip *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextClip_SetClip_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkContextClip *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkContextClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClip(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextClip_VTKInit(JNIEnv *, jobject)
{
  vtkContextClip *aNewOne = vtkContextClip::New();
  return (jlong)(size_t)(void*)aNewOne;
}
