// java wrapper for vtkContextTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextTransform",dType)) { return me; }
  if ((res= vtkAbstractContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextTransform *op;
  const char    *temp20;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextTransform_Update_12(JNIEnv *env, jobject obj)
{
  vtkContextTransform *op;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextTransform_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextTransform *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextTransform_Translate_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkContextTransform *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextTransform_Scale_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkContextTransform *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextTransform_Rotate_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextTransform *op;
  float    temp0;
  temp0 = id0;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Rotate(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextTransform_GetTransform_17(JNIEnv *env, jobject obj)
{
  vtkContextTransform *op;
  vtkTransform2D  *temp20;

  op = (vtkContextTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextTransform_VTKInit(JNIEnv *, jobject)
{
  vtkContextTransform *aNewOne = vtkContextTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
