// java wrapper for vtkPiecewiseControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPiecewiseControlPointsItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkControlPointsItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPiecewiseControlPointsItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPiecewiseControlPointsItem",dType)) { return me; }
  if ((res= vtkControlPointsItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPiecewiseControlPointsItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPiecewiseControlPointsItem *op;
  const char    *temp20;

  op = (vtkPiecewiseControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseControlPointsItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPiecewiseControlPointsItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPiecewiseControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseControlPointsItem_SetPiecewiseFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewiseControlPointsItem *op;
  vtkPiecewiseFunction  *temp0;
  temp0 = (vtkPiecewiseFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPiecewiseControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiecewiseFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPiecewiseControlPointsItem_GetPiecewiseFunction_13(JNIEnv *env, jobject obj)
{
  vtkPiecewiseControlPointsItem *op;
  vtkPiecewiseFunction  *temp20;

  op = (vtkPiecewiseControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiecewiseFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseControlPointsItem_SetStrokeMode_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPiecewiseControlPointsItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPiecewiseControlPointsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStrokeMode(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPiecewiseControlPointsItem_VTKInit(JNIEnv *, jobject)
{
  vtkPiecewiseControlPointsItem *aNewOne = vtkPiecewiseControlPointsItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
