// java wrapper for vtkPiecewisePointHandleItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPiecewisePointHandleItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPiecewisePointHandleItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPiecewisePointHandleItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPiecewisePointHandleItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPiecewisePointHandleItem *op;
  const char    *temp20;

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewisePointHandleItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPiecewisePointHandleItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewisePointHandleItem_SetParent_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewisePointHandleItem *op;
  vtkAbstractContextItem  *temp0;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParent(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPiecewisePointHandleItem_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewisePointHandleItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewisePointHandleItem_SetCurrentPointIndex_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPiecewisePointHandleItem *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentPointIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewisePointHandleItem_GetCurrentPointIndex_15(JNIEnv *env, jobject obj)
{
  vtkPiecewisePointHandleItem *op;
  vtkIdType   temp20;

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentPointIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewisePointHandleItem_SetPiecewiseFunction_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewisePointHandleItem *op;
  vtkPiecewiseFunction  *temp0;
  temp0 = (vtkPiecewiseFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPiecewisePointHandleItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiecewiseFunction(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPiecewisePointHandleItem_VTKInit(JNIEnv *, jobject)
{
  vtkPiecewisePointHandleItem *aNewOne = vtkPiecewisePointHandleItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
