// java wrapper for vtkPlotGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlotGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlotGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlotGrid",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlotGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlotGrid *op;
  const char    *temp20;

  op = (vtkPlotGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlotGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlotGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotGrid_SetXAxis_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotGrid *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxis(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotGrid_SetYAxis_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotGrid *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxis(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlotGrid_Paint_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotGrid *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlotGrid_VTKInit(JNIEnv *, jobject)
{
  vtkPlotGrid *aNewOne = vtkPlotGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
