// java wrapper for vtkPlotPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlotPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPlot_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlotPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlotPoints",dType)) { return me; }
  if ((res= vtkPlot_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlotPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  const char    *temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlotPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_Update_12(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlotPoints_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotPoints *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_GetBounds_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlotPoints *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SetLookupTable_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotPoints *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlotPoints_GetLookupTable_16(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  vtkScalarsToColors  *temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_CreateDefaultLookupTable_17(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLookupTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SetScalarVisibility_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlotPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotPoints_GetScalarVisibility_19(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  int      temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_ScalarVisibilityOn_110(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_ScalarVisibilityOff_111(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SelectColorArray_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlotPoints *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectColorArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SelectColorArray_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlotPoints *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectColorArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlotPoints_GetColorArrayName_114(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  vtkStdString   temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorArrayName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotPoints_GetMarkerStyle_115(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  int      temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMarkerStyle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SetMarkerStyle_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlotPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMarkerStyle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlotPoints_GetMarkerSize_117(JNIEnv *env, jobject obj)
{
  vtkPlotPoints *op;
  float    temp20;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMarkerSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlotPoints_SetMarkerSize_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPlotPoints *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPlotPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMarkerSize(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlotPoints_VTKInit(JNIEnv *, jobject)
{
  vtkPlotPoints *aNewOne = vtkPlotPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
