// java wrapper for vtkAnimationCue object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnimationCue.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnimationCue_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnimationCue",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnimationCue_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  const char    *temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationCue_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnimationCue *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnimationCue *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnimationCue_GetTimeMode_13(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  int      temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeModeToRelative_14(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeModeToRelative();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetTimeModeToNormalized_15(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeModeToNormalized();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetStartTime_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationCue *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetStartTime_17(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_SetEndTime_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnimationCue *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetEndTime_19(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Tick_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAnimationCue *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->Tick(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Initialize_111(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnimationCue_Finalize_112(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetAnimationTime_113(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnimationTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetDeltaTime_114(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnimationCue_GetClockTime_115(JNIEnv *env, jobject obj)
{
  vtkAnimationCue *op;
  double   temp20;

  op = (vtkAnimationCue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClockTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAnimationCue_VTKInit(JNIEnv *, jobject)
{
  vtkAnimationCue *aNewOne = vtkAnimationCue::New();
  return (jlong)(size_t)(void*)aNewOne;
}
