// java wrapper for vtkArrayIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayIterator *op;
  const char    *temp20;

  op = (vtkArrayIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayIterator_Initialize_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArrayIterator *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkArrayIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayIterator_GetDataType_13(JNIEnv *env, jobject obj)
{
  vtkArrayIterator *op;
  int      temp20;

  op = (vtkArrayIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}
