// java wrapper for vtkCylindricalTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCylindricalTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWarpTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCylindricalTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCylindricalTransform",dType)) { return me; }
  if ((res= vtkWarpTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCylindricalTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCylindricalTransform *op;
  const char    *temp20;

  op = (vtkCylindricalTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCylindricalTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCylindricalTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCylindricalTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCylindricalTransform_MakeTransform_12(JNIEnv *env, jobject obj)
{
  vtkCylindricalTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkCylindricalTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCylindricalTransform_VTKInit(JNIEnv *, jobject)
{
  vtkCylindricalTransform *aNewOne = vtkCylindricalTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
