// java wrapper for vtkExtentSplitter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtentSplitter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtentSplitter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtentSplitter",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtentSplitter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;
  const char    *temp20;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentSplitter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtentSplitter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_AddExtentSource_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6,jint id7)
{
  vtkExtentSplitter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddExtentSource(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_RemoveExtentSource_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentSplitter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveExtentSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_RemoveAllExtentSources_14(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllExtentSources();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_AddExtent_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtentSplitter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentSplitter_ComputeSubExtents_16(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;
  int      temp20;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeSubExtents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentSplitter_GetNumberOfSubExtents_17(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;
  int      temp20;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubExtents();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtentSplitter_GetSubExtent_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentSplitter *op;
  int      temp0;
  int     *temp20;
  temp0 = id0;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubExtent(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentSplitter_GetSubExtentSource_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentSplitter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubExtentSource(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentSplitter_GetPointMode_110(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;
  int      temp20;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_SetPointMode_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentSplitter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_PointModeOn_112(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentSplitter_PointModeOff_113(JNIEnv *env, jobject obj)
{
  vtkExtentSplitter *op;

  op = (vtkExtentSplitter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointModeOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtentSplitter_VTKInit(JNIEnv *, jobject)
{
  vtkExtentSplitter *aNewOne = vtkExtentSplitter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
