// java wrapper for vtkFastNumericConversion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFastNumericConversion.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFastNumericConversion_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFastNumericConversion",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFastNumericConversion_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFastNumericConversion *op;
  const char    *temp20;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFastNumericConversion *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_TestQuickFloor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastNumericConversion *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TestQuickFloor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_TestSafeFloor_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastNumericConversion *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TestSafeFloor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_TestRound_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastNumericConversion *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TestRound(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_TestConvertFixedPointIntPart_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastNumericConversion *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TestConvertFixedPointIntPart(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastNumericConversion_TestConvertFixedPointFracPart_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastNumericConversion *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TestConvertFixedPointFracPart(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFastNumericConversion_RoundingTieBreaker_17(JNIEnv *env, jobject obj)
{
  vtkFastNumericConversion *op;
  double   temp20;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RoundingTieBreaker();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastNumericConversion_SetReservedFracBits_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkFastNumericConversion *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFastNumericConversion *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReservedFracBits(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFastNumericConversion_VTKInit(JNIEnv *, jobject)
{
  vtkFastNumericConversion *aNewOne = vtkFastNumericConversion::New();
  return (jlong)(size_t)(void*)aNewOne;
}
