// java wrapper for vtkGaussianRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGaussianRandomSequence.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRandomSequence_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGaussianRandomSequence_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGaussianRandomSequence",dType)) { return me; }
  if ((res= vtkRandomSequence_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGaussianRandomSequence_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGaussianRandomSequence *op;
  const char    *temp20;

  op = (vtkGaussianRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianRandomSequence_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianRandomSequence *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianRandomSequence_GetScaledValue_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGaussianRandomSequence *op;
  double   temp0;
  double   temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGaussianRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledValue(temp0,temp1);
  return temp20;
}
