// java wrapper for vtkInformationInformationVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationInformationVectorKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationInformationVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationInformationVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationInformationVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationInformationVectorKey *op;
  const char    *temp20;

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationInformationVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationInformationVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationInformationVectorKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationInformationVectorKey *op;
  vtkInformation  *temp0;
  vtkInformationVector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformationInformationVectorKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationInformationVectorKey *op;
  vtkInformation  *temp0;
  vtkInformationVector  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationInformationVectorKey_ShallowCopy_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationInformationVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationInformationVectorKey_DeepCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationInformationVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationInformationVectorKey_Report_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationInformationVectorKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationInformationVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Report(temp0,temp1);
}
