// java wrapper for vtkLookupTableWithEnabling object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLookupTableWithEnabling.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLookupTable_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLookupTableWithEnabling_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLookupTableWithEnabling",dType)) { return me; }
  if ((res= vtkLookupTable_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLookupTableWithEnabling_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLookupTableWithEnabling *op;
  const char    *temp20;

  op = (vtkLookupTableWithEnabling *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLookupTableWithEnabling_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLookupTableWithEnabling *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLookupTableWithEnabling *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLookupTableWithEnabling_GetEnabledArray_12(JNIEnv *env, jobject obj)
{
  vtkLookupTableWithEnabling *op;
  vtkDataArray  *temp20;

  op = (vtkLookupTableWithEnabling *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnabledArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLookupTableWithEnabling_SetEnabledArray_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLookupTableWithEnabling *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLookupTableWithEnabling *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabledArray(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLookupTableWithEnabling_VTKInit(JNIEnv *, jobject)
{
  vtkLookupTableWithEnabling *aNewOne = vtkLookupTableWithEnabling::New();
  return (jlong)(size_t)(void*)aNewOne;
}
