// java wrapper for vtkMinimalStandardRandomSequence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMinimalStandardRandomSequence.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRandomSequence_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMinimalStandardRandomSequence_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMinimalStandardRandomSequence",dType)) { return me; }
  if ((res= vtkRandomSequence_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMinimalStandardRandomSequence *op;
  const char    *temp20;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMinimalStandardRandomSequence *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_SetSeed_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMinimalStandardRandomSequence *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSeed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_SetSeedOnly_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMinimalStandardRandomSequence *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSeedOnly(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_GetSeed_14(JNIEnv *env, jobject obj)
{
  vtkMinimalStandardRandomSequence *op;
  int      temp20;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSeed();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_GetValue_15(JNIEnv *env, jobject obj)
{
  vtkMinimalStandardRandomSequence *op;
  double   temp20;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_Next_16(JNIEnv *env, jobject obj)
{
  vtkMinimalStandardRandomSequence *op;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  op->Next();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMinimalStandardRandomSequence_GetRangeValue_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMinimalStandardRandomSequence *op;
  double   temp0;
  double   temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMinimalStandardRandomSequence *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRangeValue(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMinimalStandardRandomSequence_VTKInit(JNIEnv *, jobject)
{
  vtkMinimalStandardRandomSequence *aNewOne = vtkMinimalStandardRandomSequence::New();
  return (jlong)(size_t)(void*)aNewOne;
}
