// java wrapper for vtkPoints2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPoints2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPoints2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPoints2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPoints2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;
  const char    *temp20;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPoints2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetData_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints2D *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPoints2D_GetData_15(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;
  vtkDataArray  *temp20;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_GetDataType_16(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;
  int      temp20;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataType_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToBit_18(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToBit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToChar_19(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToUnsignedChar_110(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToShort_111(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToUnsignedShort_112(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToInt_113(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToUnsignedInt_114(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToLong_115(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToUnsignedLong_116(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToFloat_117(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetDataTypeToDouble_118(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_Squeeze_119(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_Reset_120(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_DeepCopy_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_ShallowCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_GetActualMemorySize_123(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;
   unsigned long     temp20;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_GetNumberOfPoints_124(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;
  vtkIdType   temp20;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_GetPoint_125(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetPoint_126(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  float  temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetPoint_127(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_InsertPoint_128(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  float  temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_InsertPoint_129(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_InsertNextPoint_130(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPoints2D *op;
  float  temp0[2];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints2D_InsertNextPoint_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPoints2D *op;
  double   temp0;
  double   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_RemovePoint_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->RemovePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_SetNumberOfPoints_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints2D *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_GetPoints_134(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPoints2D *op;
  vtkIdList  *temp0;
  vtkPoints2D  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_ComputeBounds_135(JNIEnv *env, jobject obj)
{
  vtkPoints2D *op;

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints2D_GetBounds_136(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPoints2D *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkPoints2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPoints2D_VTKInit(JNIEnv *, jobject)
{
  vtkPoints2D *aNewOne = vtkPoints2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
