// java wrapper for vtkPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPoints",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
  const char    *temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPoints *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetData_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPoints_GetData_15(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
  vtkDataArray  *temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_GetDataType_16(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
  int      temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataType_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToBit_18(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToBit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToChar_19(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToUnsignedChar_110(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToShort_111(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToUnsignedShort_112(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToInt_113(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToUnsignedInt_114(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToLong_115(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToUnsignedLong_116(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToFloat_117(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetDataTypeToDouble_118(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_Squeeze_119(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_Reset_120(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_DeepCopy_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_ShallowCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPoints *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_GetActualMemorySize_123(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
   unsigned long     temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_GetNumberOfPoints_124(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
  vtkIdType   temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPoints_GetPoint_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_GetPoint_126(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetPoint_127(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints *op;
  vtkIdType   temp0;
  float  temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetPoint_128(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPoints *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_InsertPoint_129(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPoints *op;
  vtkIdType   temp0;
  float  temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_InsertPoint_130(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPoints *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_InsertNextPoint_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPoints *op;
  float  temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPoints_InsertNextPoint_132(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPoints *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_SetNumberOfPoints_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkPoints *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_GetPoints_134(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPoints *op;
  vtkIdList  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_ComputeBounds_135(JNIEnv *env, jobject obj)
{
  vtkPoints *op;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPoints_GetBounds_136(JNIEnv *env, jobject obj)
{
  vtkPoints *op;
  double  *temp20;

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPoints_GetBounds_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPoints *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPoints_VTKInit(JNIEnv *, jobject)
{
  vtkPoints *aNewOne = vtkPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
