// java wrapper for vtkRungeKutta45 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRungeKutta45.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInitialValueProblemSolver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRungeKutta45_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRungeKutta45",dType)) { return me; }
  if ((res= vtkInitialValueProblemSolver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRungeKutta45_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRungeKutta45 *op;
  const char    *temp20;

  op = (vtkRungeKutta45 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRungeKutta45_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRungeKutta45 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRungeKutta45 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRungeKutta45_VTKInit(JNIEnv *, jobject)
{
  vtkRungeKutta45 *aNewOne = vtkRungeKutta45::New();
  return (jlong)(size_t)(void*)aNewOne;
}
