// java wrapper for vtkSignedCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSignedCharArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSignedCharArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSignedCharArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSignedCharArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSignedCharArray *op;
  const char    *temp20;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSignedCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkSignedCharArray *op;
  int      temp20;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSignedCharArray *op;
  vtkIdType   temp0;
  signed char   temp20;
  temp0 = id0;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSignedCharArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSignedCharArray *op;
  vtkIdType   temp0;
  signed char   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSignedCharArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSignedCharArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSignedCharArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSignedCharArray *op;
  vtkIdType   temp0;
  signed char   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSignedCharArray *op;
  signed char   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSignedCharArray_GetValueRange_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkSignedCharArray *op;
  int      temp0;
  signed char  *temp20;
  temp0 = id0;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfIntFromSignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSignedCharArray_GetValueRange_19(JNIEnv *env, jobject obj,jintArray id0,jint id1)
{
  vtkSignedCharArray *op;
  signed char temp0[2];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp1 = id1;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSignedCharArray_GetValueRange_110(JNIEnv *env, jobject obj)
{
  vtkSignedCharArray *op;
  signed char  *temp20;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfIntFromSignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSignedCharArray_GetValueRange_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkSignedCharArray *op;
  signed char temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_GetDataTypeValueMin_112(JNIEnv *env, jobject obj)
{
  vtkSignedCharArray *op;
  signed char   temp20;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSignedCharArray_GetDataTypeValueMax_113(JNIEnv *env, jobject obj)
{
  vtkSignedCharArray *op;
  signed char   temp20;

  op = (vtkSignedCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSignedCharArray_VTKInit(JNIEnv *, jobject)
{
  vtkSignedCharArray *aNewOne = vtkSignedCharArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
