// java wrapper for vtkTableExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableExtentTranslator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtentTranslator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableExtentTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableExtentTranslator",dType)) { return me; }
  if ((res= vtkExtentTranslator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableExtentTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableExtentTranslator *op;
  const char    *temp20;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableExtentTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableExtentTranslator_SetNumberOfPieces_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableExtentTranslator_SetNumberOfPiecesInTable_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPiecesInTable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_GetNumberOfPiecesInTable_14(JNIEnv *env, jobject obj)
{
  vtkTableExtentTranslator *op;
  int      temp20;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPiecesInTable();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_PieceToExtent_15(JNIEnv *env, jobject obj)
{
  vtkTableExtentTranslator *op;
  int      temp20;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PieceToExtent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_PieceToExtentByPoints_16(JNIEnv *env, jobject obj)
{
  vtkTableExtentTranslator *op;
  int      temp20;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PieceToExtentByPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableExtentTranslator_SetMaximumGhostLevel_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_GetMaximumGhostLevel_18(JNIEnv *env, jobject obj)
{
  vtkTableExtentTranslator *op;
  int      temp20;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableExtentTranslator_SetPieceAvailable_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTableExtentTranslator *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceAvailable(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableExtentTranslator_GetPieceAvailable_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableExtentTranslator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTableExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceAvailable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableExtentTranslator_VTKInit(JNIEnv *, jobject)
{
  vtkTableExtentTranslator *aNewOne = vtkTableExtentTranslator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
