// java wrapper for vtkThreadMessager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreadMessager.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkThreadMessager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkThreadMessager",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkThreadMessager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;
  const char    *temp20;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadMessager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadMessager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_WaitForMessage_12(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitForMessage();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_SendWakeMessage_13(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->SendWakeMessage();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_EnableWaitForReceiver_14(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableWaitForReceiver();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_DisableWaitForReceiver_15(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableWaitForReceiver();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_WaitForReceiver_16(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitForReceiver();
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadMessager_SendMessage_17(JNIEnv *env, jobject obj)
{
  vtkThreadMessager *op;

  op = (vtkThreadMessager *)vtkJavaGetPointerFromObject(env,obj);
  op->SendMessage();
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkThreadMessager_VTKInit(JNIEnv *, jobject)
{
  vtkThreadMessager *aNewOne = vtkThreadMessager::New();
  return (jlong)(size_t)(void*)aNewOne;
}
