// java wrapper for vtkTimerLog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTimerLog.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTimerLog_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTimerLog",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimerLog_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  const char    *temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimerLog_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_SetLogging_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimerLog *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimerLog_GetLogging_13(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  int      temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_LoggingOn_14(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->LoggingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_LoggingOff_15(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->LoggingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_SetMaxEntries_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimerLog *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxEntries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimerLog_GetMaxEntries_17(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  int      temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxEntries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_FormatAndMarkEvent_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->FormatAndMarkEvent(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_DumpLog_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->DumpLog(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_MarkStartEvent_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->MarkStartEvent(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_MarkEndEvent_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->MarkEndEvent(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimerLog_GetNumberOfEvents_112(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  int      temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEvents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimerLog_GetEventIndent_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimerLog *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventIndent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimerLog_GetEventWallTime_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimerLog *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventWallTime(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimerLog_GetEventString_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimerLog *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_MarkEvent_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimerLog *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->MarkEvent(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_ResetLog_117(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetLog();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_AllocateLog_118(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateLog();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_CleanupLog_119(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->CleanupLog();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimerLog_GetUniversalTime_120(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  double   temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUniversalTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimerLog_GetCPUTime_121(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  double   temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCPUTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_StartTimer_122(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->StartTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimerLog_StopTimer_123(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  op->StopTimer();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimerLog_GetElapsedTime_124(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  double   temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElapsedTime();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimerLog_GetCurrentTime_125(JNIEnv *env, jobject obj)
{
  vtkTimerLog *op;
  double   temp20;

  op = (vtkTimerLog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentTime();
  return temp20;
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTimerLog_VTKInit(JNIEnv *, jobject)
{
  vtkTimerLog *aNewOne = vtkTimerLog::New();
  return (jlong)(size_t)(void*)aNewOne;
}
