// java wrapper for vtkAbstractImageInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractImageInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractImageInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractImageInterpolator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  const char    *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractImageInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_Initialize_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractImageInterpolator *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_ReleaseData_13(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_DeepCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractImageInterpolator *op;
  vtkAbstractImageInterpolator  *temp0;
  temp0 = (vtkAbstractImageInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_Update_15(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAbstractImageInterpolator_Interpolate_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkAbstractImageInterpolator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Interpolate(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetOutValue_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAbstractImageInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetOutValue_18(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  double   temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetTolerance_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAbstractImageInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetTolerance_110(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  double   temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetComponentOffset_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractImageInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponentOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetComponentOffset_112(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int      temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetComponentCount_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractImageInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponentCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetComponentCount_114(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int      temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_ComputeNumberOfComponents_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractImageInterpolator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeNumberOfComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetNumberOfComponents_116(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int      temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractImageInterpolator_CheckBoundsIJK_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractImageInterpolator *op;
  double temp0[3];
  void *tempArray0;
  bool   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckBoundsIJK(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetBorderMode_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractImageInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetBorderModeToClamp_119(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToClamp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetBorderModeToRepeat_120(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToRepeat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_SetBorderModeToMirror_121(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToMirror();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetBorderMode_122(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int      temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetBorderModeAsString_123(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  const char    *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractImageInterpolator_ComputeSupportSize_124(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkAbstractImageInterpolator *op;
  double temp0[16];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeSupportSize(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractImageInterpolator_IsSeparable_125(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  bool   temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSeparable();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetSpacing_126(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  double  *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetOrigin_127(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  double  *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetExtent_128(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int     *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractImageInterpolator_GetWholeExtent_129(JNIEnv *env, jobject obj)
{
  vtkAbstractImageInterpolator *op;
  int     *temp20;

  op = (vtkAbstractImageInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}
