// java wrapper for vtkAbstractInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFunctionSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkFunctionSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_SetCaching_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaching(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetCaching_13(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  bool   temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaching();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetCacheHit_14(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheHit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetCacheMiss_15(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheMiss();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetLastDataSetIndex_16(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSetIndex();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetLastDataSet_17(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkDataSet  *temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetLastCellId_18(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkIdType   temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastCellId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_SetLastCellId_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_SetLastCellId_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetVectorsSelection_111(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  char    *temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_SelectVectors_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectVectors(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_SetNormalizeVector_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalizeVector(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetNormalizeVector_114(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;
  bool   temp20;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizeVector();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_CopyParameters_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyParameters(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_AddDataSet_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_ClearLastCellId_117(JNIEnv *env, jobject obj)
{
  vtkAbstractInterpolatedVelocityField *op;

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLastCellId();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractInterpolatedVelocityField_GetLastLocalCoordinates_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractInterpolatedVelocityField *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastLocalCoordinates(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}
