// java wrapper for vtkActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActor2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkActor2D",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  const char    *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_RenderTranslucentPolygonalGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  int      temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetMapper_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkMapper2D  *temp0;
  temp0 = (vtkMapper2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetMapper_17(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkMapper2D  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetLayerNumber_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayerNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_GetLayerNumber_19(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  int      temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayerNumber();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetProperty_110(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkProperty2D  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetProperty_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetPositionCoordinate_112(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPositionCoordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkActor2D_GetPosition_115(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetDisplayPosition_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkActor2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetPosition2Coordinate_117(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition2_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkActor2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetPosition2_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkActor2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkActor2D_GetPosition2_120(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetWidth_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkActor2D_GetWidth_122(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double   temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_SetHeight_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkActor2D_GetHeight_124(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  double   temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2D_GetMTime_125(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
   unsigned long     temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_GetActors2D_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_ShallowCopy_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2D_ReleaseGraphicsResources_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetActualPositionCoordinate_129(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualPositionCoordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2D_GetActualPosition2Coordinate_130(JNIEnv *env, jobject obj)
{
  vtkActor2D *op;
  vtkCoordinate  *temp20;

  op = (vtkActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualPosition2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkActor2D_VTKInit(JNIEnv *, jobject)
{
  vtkActor2D *aNewOne = vtkActor2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
