// java wrapper for vtkAnnotationLayers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnnotationLayers.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnnotationLayers_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnnotationLayers",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotationLayers_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;
  const char    *temp20;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotationLayers_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotationLayers *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_SetCurrentAnnotation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkAnnotation  *temp0;
  temp0 = (vtkAnnotation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentAnnotation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotationLayers_GetCurrentAnnotation_13(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;
  vtkAnnotation  *temp20;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentAnnotation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_SetCurrentSelection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentSelection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotationLayers_GetCurrentSelection_15(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;
  vtkSelection  *temp20;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentSelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotationLayers_GetNumberOfAnnotations_16(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;
   unsigned int      temp20;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAnnotations();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotationLayers_GetAnnotation_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotationLayers *op;
   unsigned int      temp0;
  vtkAnnotation  *temp20;
  temp0 = id0;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnnotation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_AddAnnotation_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkAnnotation  *temp0;
  temp0 = (vtkAnnotation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->AddAnnotation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_RemoveAnnotation_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkAnnotation  *temp0;
  temp0 = (vtkAnnotation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAnnotation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_Initialize_110(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotationLayers_DeepCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotationLayers_GetData_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotationLayers *op;
  vtkInformation  *temp0;
  vtkAnnotationLayers  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotationLayers_GetData_114(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAnnotationLayers *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkAnnotationLayers  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotationLayers_GetMTime_115(JNIEnv *env, jobject obj)
{
  vtkAnnotationLayers *op;
   unsigned long     temp20;

  op = (vtkAnnotationLayers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAnnotationLayers_VTKInit(JNIEnv *, jobject)
{
  vtkAnnotationLayers *aNewOne = vtkAnnotationLayers::New();
  return (jlong)(size_t)(void*)aNewOne;
}
