// java wrapper for vtkBiQuadraticQuadraticHexahedron object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBiQuadraticQuadraticHexahedron.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkNonLinearCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBiQuadraticQuadraticHexahedron_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBiQuadraticQuadraticHexahedron",dType)) { return me; }
  if ((res= vtkNonLinearCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  const char    *temp20;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp20;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetCellDimension_13(JNIEnv *env, jobject obj)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp20;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetNumberOfEdges_14(JNIEnv *env, jobject obj)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp20;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetNumberOfFaces_15(JNIEnv *env, jobject obj)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp20;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetEdge_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_GetFace_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_CellBoundary_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_Triangulate_110(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_Clip_111(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_InterpolationFunctions_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[24];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_InterpolationDerivs_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[72];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];
  temp1[24] = ((jdouble *)tempArray1)[24];
  temp1[25] = ((jdouble *)tempArray1)[25];
  temp1[26] = ((jdouble *)tempArray1)[26];
  temp1[27] = ((jdouble *)tempArray1)[27];
  temp1[28] = ((jdouble *)tempArray1)[28];
  temp1[29] = ((jdouble *)tempArray1)[29];
  temp1[30] = ((jdouble *)tempArray1)[30];
  temp1[31] = ((jdouble *)tempArray1)[31];
  temp1[32] = ((jdouble *)tempArray1)[32];
  temp1[33] = ((jdouble *)tempArray1)[33];
  temp1[34] = ((jdouble *)tempArray1)[34];
  temp1[35] = ((jdouble *)tempArray1)[35];
  temp1[36] = ((jdouble *)tempArray1)[36];
  temp1[37] = ((jdouble *)tempArray1)[37];
  temp1[38] = ((jdouble *)tempArray1)[38];
  temp1[39] = ((jdouble *)tempArray1)[39];
  temp1[40] = ((jdouble *)tempArray1)[40];
  temp1[41] = ((jdouble *)tempArray1)[41];
  temp1[42] = ((jdouble *)tempArray1)[42];
  temp1[43] = ((jdouble *)tempArray1)[43];
  temp1[44] = ((jdouble *)tempArray1)[44];
  temp1[45] = ((jdouble *)tempArray1)[45];
  temp1[46] = ((jdouble *)tempArray1)[46];
  temp1[47] = ((jdouble *)tempArray1)[47];
  temp1[48] = ((jdouble *)tempArray1)[48];
  temp1[49] = ((jdouble *)tempArray1)[49];
  temp1[50] = ((jdouble *)tempArray1)[50];
  temp1[51] = ((jdouble *)tempArray1)[51];
  temp1[52] = ((jdouble *)tempArray1)[52];
  temp1[53] = ((jdouble *)tempArray1)[53];
  temp1[54] = ((jdouble *)tempArray1)[54];
  temp1[55] = ((jdouble *)tempArray1)[55];
  temp1[56] = ((jdouble *)tempArray1)[56];
  temp1[57] = ((jdouble *)tempArray1)[57];
  temp1[58] = ((jdouble *)tempArray1)[58];
  temp1[59] = ((jdouble *)tempArray1)[59];
  temp1[60] = ((jdouble *)tempArray1)[60];
  temp1[61] = ((jdouble *)tempArray1)[61];
  temp1[62] = ((jdouble *)tempArray1)[62];
  temp1[63] = ((jdouble *)tempArray1)[63];
  temp1[64] = ((jdouble *)tempArray1)[64];
  temp1[65] = ((jdouble *)tempArray1)[65];
  temp1[66] = ((jdouble *)tempArray1)[66];
  temp1[67] = ((jdouble *)tempArray1)[67];
  temp1[68] = ((jdouble *)tempArray1)[68];
  temp1[69] = ((jdouble *)tempArray1)[69];
  temp1[70] = ((jdouble *)tempArray1)[70];
  temp1[71] = ((jdouble *)tempArray1)[71];

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  ((jdouble *)tempArray1)[24] = temp1[24];
  ((jdouble *)tempArray1)[25] = temp1[25];
  ((jdouble *)tempArray1)[26] = temp1[26];
  ((jdouble *)tempArray1)[27] = temp1[27];
  ((jdouble *)tempArray1)[28] = temp1[28];
  ((jdouble *)tempArray1)[29] = temp1[29];
  ((jdouble *)tempArray1)[30] = temp1[30];
  ((jdouble *)tempArray1)[31] = temp1[31];
  ((jdouble *)tempArray1)[32] = temp1[32];
  ((jdouble *)tempArray1)[33] = temp1[33];
  ((jdouble *)tempArray1)[34] = temp1[34];
  ((jdouble *)tempArray1)[35] = temp1[35];
  ((jdouble *)tempArray1)[36] = temp1[36];
  ((jdouble *)tempArray1)[37] = temp1[37];
  ((jdouble *)tempArray1)[38] = temp1[38];
  ((jdouble *)tempArray1)[39] = temp1[39];
  ((jdouble *)tempArray1)[40] = temp1[40];
  ((jdouble *)tempArray1)[41] = temp1[41];
  ((jdouble *)tempArray1)[42] = temp1[42];
  ((jdouble *)tempArray1)[43] = temp1[43];
  ((jdouble *)tempArray1)[44] = temp1[44];
  ((jdouble *)tempArray1)[45] = temp1[45];
  ((jdouble *)tempArray1)[46] = temp1[46];
  ((jdouble *)tempArray1)[47] = temp1[47];
  ((jdouble *)tempArray1)[48] = temp1[48];
  ((jdouble *)tempArray1)[49] = temp1[49];
  ((jdouble *)tempArray1)[50] = temp1[50];
  ((jdouble *)tempArray1)[51] = temp1[51];
  ((jdouble *)tempArray1)[52] = temp1[52];
  ((jdouble *)tempArray1)[53] = temp1[53];
  ((jdouble *)tempArray1)[54] = temp1[54];
  ((jdouble *)tempArray1)[55] = temp1[55];
  ((jdouble *)tempArray1)[56] = temp1[56];
  ((jdouble *)tempArray1)[57] = temp1[57];
  ((jdouble *)tempArray1)[58] = temp1[58];
  ((jdouble *)tempArray1)[59] = temp1[59];
  ((jdouble *)tempArray1)[60] = temp1[60];
  ((jdouble *)tempArray1)[61] = temp1[61];
  ((jdouble *)tempArray1)[62] = temp1[62];
  ((jdouble *)tempArray1)[63] = temp1[63];
  ((jdouble *)tempArray1)[64] = temp1[64];
  ((jdouble *)tempArray1)[65] = temp1[65];
  ((jdouble *)tempArray1)[66] = temp1[66];
  ((jdouble *)tempArray1)[67] = temp1[67];
  ((jdouble *)tempArray1)[68] = temp1[68];
  ((jdouble *)tempArray1)[69] = temp1[69];
  ((jdouble *)tempArray1)[70] = temp1[70];
  ((jdouble *)tempArray1)[71] = temp1[71];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_InterpolateFunctions_114(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[24];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_InterpolateDerivs_115(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkBiQuadraticQuadraticHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[72];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];
  temp1[24] = ((jdouble *)tempArray1)[24];
  temp1[25] = ((jdouble *)tempArray1)[25];
  temp1[26] = ((jdouble *)tempArray1)[26];
  temp1[27] = ((jdouble *)tempArray1)[27];
  temp1[28] = ((jdouble *)tempArray1)[28];
  temp1[29] = ((jdouble *)tempArray1)[29];
  temp1[30] = ((jdouble *)tempArray1)[30];
  temp1[31] = ((jdouble *)tempArray1)[31];
  temp1[32] = ((jdouble *)tempArray1)[32];
  temp1[33] = ((jdouble *)tempArray1)[33];
  temp1[34] = ((jdouble *)tempArray1)[34];
  temp1[35] = ((jdouble *)tempArray1)[35];
  temp1[36] = ((jdouble *)tempArray1)[36];
  temp1[37] = ((jdouble *)tempArray1)[37];
  temp1[38] = ((jdouble *)tempArray1)[38];
  temp1[39] = ((jdouble *)tempArray1)[39];
  temp1[40] = ((jdouble *)tempArray1)[40];
  temp1[41] = ((jdouble *)tempArray1)[41];
  temp1[42] = ((jdouble *)tempArray1)[42];
  temp1[43] = ((jdouble *)tempArray1)[43];
  temp1[44] = ((jdouble *)tempArray1)[44];
  temp1[45] = ((jdouble *)tempArray1)[45];
  temp1[46] = ((jdouble *)tempArray1)[46];
  temp1[47] = ((jdouble *)tempArray1)[47];
  temp1[48] = ((jdouble *)tempArray1)[48];
  temp1[49] = ((jdouble *)tempArray1)[49];
  temp1[50] = ((jdouble *)tempArray1)[50];
  temp1[51] = ((jdouble *)tempArray1)[51];
  temp1[52] = ((jdouble *)tempArray1)[52];
  temp1[53] = ((jdouble *)tempArray1)[53];
  temp1[54] = ((jdouble *)tempArray1)[54];
  temp1[55] = ((jdouble *)tempArray1)[55];
  temp1[56] = ((jdouble *)tempArray1)[56];
  temp1[57] = ((jdouble *)tempArray1)[57];
  temp1[58] = ((jdouble *)tempArray1)[58];
  temp1[59] = ((jdouble *)tempArray1)[59];
  temp1[60] = ((jdouble *)tempArray1)[60];
  temp1[61] = ((jdouble *)tempArray1)[61];
  temp1[62] = ((jdouble *)tempArray1)[62];
  temp1[63] = ((jdouble *)tempArray1)[63];
  temp1[64] = ((jdouble *)tempArray1)[64];
  temp1[65] = ((jdouble *)tempArray1)[65];
  temp1[66] = ((jdouble *)tempArray1)[66];
  temp1[67] = ((jdouble *)tempArray1)[67];
  temp1[68] = ((jdouble *)tempArray1)[68];
  temp1[69] = ((jdouble *)tempArray1)[69];
  temp1[70] = ((jdouble *)tempArray1)[70];
  temp1[71] = ((jdouble *)tempArray1)[71];

  op = (vtkBiQuadraticQuadraticHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  ((jdouble *)tempArray1)[24] = temp1[24];
  ((jdouble *)tempArray1)[25] = temp1[25];
  ((jdouble *)tempArray1)[26] = temp1[26];
  ((jdouble *)tempArray1)[27] = temp1[27];
  ((jdouble *)tempArray1)[28] = temp1[28];
  ((jdouble *)tempArray1)[29] = temp1[29];
  ((jdouble *)tempArray1)[30] = temp1[30];
  ((jdouble *)tempArray1)[31] = temp1[31];
  ((jdouble *)tempArray1)[32] = temp1[32];
  ((jdouble *)tempArray1)[33] = temp1[33];
  ((jdouble *)tempArray1)[34] = temp1[34];
  ((jdouble *)tempArray1)[35] = temp1[35];
  ((jdouble *)tempArray1)[36] = temp1[36];
  ((jdouble *)tempArray1)[37] = temp1[37];
  ((jdouble *)tempArray1)[38] = temp1[38];
  ((jdouble *)tempArray1)[39] = temp1[39];
  ((jdouble *)tempArray1)[40] = temp1[40];
  ((jdouble *)tempArray1)[41] = temp1[41];
  ((jdouble *)tempArray1)[42] = temp1[42];
  ((jdouble *)tempArray1)[43] = temp1[43];
  ((jdouble *)tempArray1)[44] = temp1[44];
  ((jdouble *)tempArray1)[45] = temp1[45];
  ((jdouble *)tempArray1)[46] = temp1[46];
  ((jdouble *)tempArray1)[47] = temp1[47];
  ((jdouble *)tempArray1)[48] = temp1[48];
  ((jdouble *)tempArray1)[49] = temp1[49];
  ((jdouble *)tempArray1)[50] = temp1[50];
  ((jdouble *)tempArray1)[51] = temp1[51];
  ((jdouble *)tempArray1)[52] = temp1[52];
  ((jdouble *)tempArray1)[53] = temp1[53];
  ((jdouble *)tempArray1)[54] = temp1[54];
  ((jdouble *)tempArray1)[55] = temp1[55];
  ((jdouble *)tempArray1)[56] = temp1[56];
  ((jdouble *)tempArray1)[57] = temp1[57];
  ((jdouble *)tempArray1)[58] = temp1[58];
  ((jdouble *)tempArray1)[59] = temp1[59];
  ((jdouble *)tempArray1)[60] = temp1[60];
  ((jdouble *)tempArray1)[61] = temp1[61];
  ((jdouble *)tempArray1)[62] = temp1[62];
  ((jdouble *)tempArray1)[63] = temp1[63];
  ((jdouble *)tempArray1)[64] = temp1[64];
  ((jdouble *)tempArray1)[65] = temp1[65];
  ((jdouble *)tempArray1)[66] = temp1[66];
  ((jdouble *)tempArray1)[67] = temp1[67];
  ((jdouble *)tempArray1)[68] = temp1[68];
  ((jdouble *)tempArray1)[69] = temp1[69];
  ((jdouble *)tempArray1)[70] = temp1[70];
  ((jdouble *)tempArray1)[71] = temp1[71];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBiQuadraticQuadraticHexahedron_VTKInit(JNIEnv *, jobject)
{
  vtkBiQuadraticQuadraticHexahedron *aNewOne = vtkBiQuadraticQuadraticHexahedron::New();
  return (jlong)(size_t)(void*)aNewOne;
}
