// java wrapper for vtkCellLinks object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLinks.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellLinks_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellLinks",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellLinks_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellLinks *op;
  const char    *temp20;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLinks_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellLinks *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLinks_GetNcells_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNcells(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_BuildLinks_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellLinks *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLinks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_BuildLinks_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCellLinks *op;
  vtkDataSet  *temp0;
  vtkCellArray  *temp1;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLinks(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLinks_InsertNextPoint_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLinks *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_InsertNextCellReference_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertNextCellReference(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_DeletePoint_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->DeletePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_RemoveCellReference_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCellReference(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_AddCellReference_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCellReference(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_ResizeCellList_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLinks *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->ResizeCellList(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_Squeeze_112(JNIEnv *env, jobject obj)
{
  vtkCellLinks *op;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_Reset_113(JNIEnv *env, jobject obj)
{
  vtkCellLinks *op;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLinks_GetActualMemorySize_114(JNIEnv *env, jobject obj)
{
  vtkCellLinks *op;
   unsigned long     temp20;

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLinks_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellLinks *op;
  vtkCellLinks  *temp0;
  temp0 = (vtkCellLinks *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellLinks *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellLinks_VTKInit(JNIEnv *, jobject)
{
  vtkCellLinks *aNewOne = vtkCellLinks::New();
  return (jlong)(size_t)(void*)aNewOne;
}
