// java wrapper for vtkCompositeDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  const char    *temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SetDataSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataIterator *op;
  vtkCompositeDataSet  *temp0;
  temp0 = (vtkCompositeDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataIterator_GetDataSet_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  vtkCompositeDataSet  *temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_InitTraversal_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_InitReverseTraversal_15(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->InitReverseTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_GoToFirstItem_16(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GoToFirstItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_GoToNextItem_17(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GoToNextItem();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_IsDoneWithTraversal_18(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDoneWithTraversal();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataIterator_GetCurrentDataObject_19(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  vtkDataObject  *temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentDataObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataIterator_GetCurrentMetaData_110(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  vtkInformation  *temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentMetaData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_HasCurrentMetaData_111(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasCurrentMetaData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SetVisitOnlyLeaves_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataIterator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisitOnlyLeaves(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_GetVisitOnlyLeaves_113(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisitOnlyLeaves();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_VisitOnlyLeavesOn_114(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->VisitOnlyLeavesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_VisitOnlyLeavesOff_115(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->VisitOnlyLeavesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SetTraverseSubTree_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataIterator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTraverseSubTree(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_GetTraverseSubTree_117(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTraverseSubTree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_TraverseSubTreeOn_118(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->TraverseSubTreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_TraverseSubTreeOff_119(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->TraverseSubTreeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SetSkipEmptyNodes_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataIterator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSkipEmptyNodes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_GetSkipEmptyNodes_121(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSkipEmptyNodes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SkipEmptyNodesOn_122(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SkipEmptyNodesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataIterator_SkipEmptyNodesOff_123(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SkipEmptyNodesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_GetCurrentFlatIndex_124(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
   unsigned int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentFlatIndex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataIterator_GetReverse_125(JNIEnv *env, jobject obj)
{
  vtkCompositeDataIterator *op;
  int      temp20;

  op = (vtkCompositeDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverse();
  return temp20;
}
