// java wrapper for vtkDataObjectTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectTypes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectTypes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectTypes",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectTypes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectTypes *op;
  const char    *temp20;

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTypes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTypes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectTypes_GetClassNameFromTypeId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectTypes *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassNameFromTypeId(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectTypes_GetTypeIdFromClassName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTypes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTypeIdFromClassName(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTypes_NewDataObject_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectTypes *op;
  char    *temp0;
  vtkDataObject  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewDataObject(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectTypes_NewDataObject_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectTypes *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkDataObjectTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewDataObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObjectTypes_VTKInit(JNIEnv *, jobject)
{
  vtkDataObjectTypes *aNewOne = vtkDataObjectTypes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
