// java wrapper for vtkGenericAttribute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericAttribute.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericAttribute_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericAttribute",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericAttribute_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  const char    *temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericAttribute *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericAttribute_GetName_12(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  const char    *temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetNumberOfComponents_13(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  int      temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetCentering_14(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  int      temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCentering();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetType_15(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  int      temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetComponentType_16(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  int      temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetSize_17(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  vtkIdType   temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericAttribute_GetActualMemorySize_18(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
   unsigned long     temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttribute_GetRange_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkGenericAttribute *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericAttribute_GetMaxNorm_110(JNIEnv *env, jobject obj)
{
  vtkGenericAttribute *op;
  double   temp20;

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNorm();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericAttribute_GetComponent_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGenericAttribute *op;
  int      temp0;
  vtkGenericPointIterator  *temp1;
  double   temp20;
  temp0 = id0;
  temp1 = (vtkGenericPointIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponent(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttribute_DeepCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericAttribute *op;
  vtkGenericAttribute  *temp0;
  temp0 = (vtkGenericAttribute *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericAttribute_ShallowCopy_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericAttribute *op;
  vtkGenericAttribute  *temp0;
  temp0 = (vtkGenericAttribute *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}
