// java wrapper for vtkGenericCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCell.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericCell_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericCell",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericCell_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  const char    *temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericCell *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_ShallowCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCell *op;
  vtkCell  *temp0;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_DeepCopy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCell *op;
  vtkCell  *temp0;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_GetCellType_14(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_GetCellDimension_15(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_IsLinear_16(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLinear();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_RequiresInitialization_17(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequiresInitialization();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_Initialize_18(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_RequiresExplicitFaceRepresentation_19(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequiresExplicitFaceRepresentation();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_GetNumberOfEdges_110(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_GetNumberOfFaces_111(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericCell_GetEdge_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericCell *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericCell_GetFace_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericCell *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_CellBoundary_114(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkGenericCell *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_Contour_115(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkGenericCell *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_Clip_116(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkGenericCell *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_Triangulate_117(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkGenericCell *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_GetParametricCenter_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericCell *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParametricCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCell_IsPrimaryCell_119(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;
  int      temp20;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPrimaryCell();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellType_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericCell *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToEmptyCell_121(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToEmptyCell();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToVertex_122(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToVertex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPolyVertex_123(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPolyVertex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToLine_124(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToLine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPolyLine_125(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPolyLine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToTriangle_126(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToTriangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToTriangleStrip_127(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToTriangleStrip();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPolygon_128(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPolygon();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPixel_129(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPixel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuad_130(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToTetra_131(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToTetra();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToVoxel_132(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToVoxel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToHexahedron_133(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToHexahedron();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToWedge_134(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToWedge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPyramid_135(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPyramid();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPentagonalPrism_136(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPentagonalPrism();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToHexagonalPrism_137(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToHexagonalPrism();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToPolyhedron_138(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToPolyhedron();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToConvexPointSet_139(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToConvexPointSet();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticEdge_140(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticEdge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToCubicLine_141(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToCubicLine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticTriangle_142(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticTriangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToBiQuadraticTriangle_143(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToBiQuadraticTriangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticQuad_144(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticQuad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticTetra_145(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticTetra();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticHexahedron_146(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticHexahedron();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticWedge_147(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticWedge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticPyramid_148(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticPyramid();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticLinearQuad_149(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticLinearQuad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToBiQuadraticQuad_150(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToBiQuadraticQuad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToQuadraticLinearWedge_151(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToQuadraticLinearWedge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToBiQuadraticQuadraticWedge_152(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToBiQuadraticQuadraticWedge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToTriQuadraticHexahedron_153(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToTriQuadraticHexahedron();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCell_SetCellTypeToBiQuadraticQuadraticHexahedron_154(JNIEnv *env, jobject obj)
{
  vtkGenericCell *op;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeToBiQuadraticQuadraticHexahedron();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericCell_InstantiateCell_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericCell *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkGenericCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InstantiateCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericCell_VTKInit(JNIEnv *, jobject)
{
  vtkGenericCell *aNewOne = vtkGenericCell::New();
  return (jlong)(size_t)(void*)aNewOne;
}
