// java wrapper for vtkGenericInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFunctionSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkFunctionSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_AddDataSet_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericInterpolatedVelocityField *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_ClearLastCell_13(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLastCell();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetLastCell_14(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  vtkGenericAdaptorCell  *temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetLastLocalCoordinates_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericInterpolatedVelocityField *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastLocalCoordinates(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetCaching_16(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaching();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_SetCaching_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericInterpolatedVelocityField *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaching(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_CachingOn_18(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CachingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_CachingOff_19(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CachingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetCacheHit_110(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheHit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetCacheMiss_111(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheMiss();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetVectorsSelection_112(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  char    *temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_SelectVectors_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericInterpolatedVelocityField *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectVectors(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_GetLastDataSet_114(JNIEnv *env, jobject obj)
{
  vtkGenericInterpolatedVelocityField *op;
  vtkGenericDataSet  *temp20;

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_CopyParameters_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericInterpolatedVelocityField *op;
  vtkGenericInterpolatedVelocityField  *temp0;
  temp0 = (vtkGenericInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyParameters(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericInterpolatedVelocityField_VTKInit(JNIEnv *, jobject)
{
  vtkGenericInterpolatedVelocityField *aNewOne = vtkGenericInterpolatedVelocityField::New();
  return (jlong)(size_t)(void*)aNewOne;
}
