// java wrapper for vtkGenericPointIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericPointIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericPointIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericPointIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericPointIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericPointIterator *op;
  const char    *temp20;

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericPointIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericPointIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericPointIterator_Begin_12(JNIEnv *env, jobject obj)
{
  vtkGenericPointIterator *op;

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericPointIterator_IsAtEnd_13(JNIEnv *env, jobject obj)
{
  vtkGenericPointIterator *op;
  int      temp20;

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAtEnd();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericPointIterator_Next_14(JNIEnv *env, jobject obj)
{
  vtkGenericPointIterator *op;

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Next();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericPointIterator_GetPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericPointIterator *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericPointIterator_GetId_16(JNIEnv *env, jobject obj)
{
  vtkGenericPointIterator *op;
  vtkIdType   temp20;

  op = (vtkGenericPointIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetId();
  return temp20;
}
