// java wrapper for vtkHyperOctreeCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeCursor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeCursor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeCursor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeCursor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  const char    *temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeCursor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetLeafId_12(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_CurrentIsLeaf_13(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CurrentIsLeaf();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_CurrentIsRoot_14(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CurrentIsRoot();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetCurrentLevel_15(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetChildIndex_16(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChildIndex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_CurrentIsTerminalNode_17(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CurrentIsTerminalNode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeCursor_ToRoot_18(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ToRoot();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeCursor_ToParent_19(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ToParent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeCursor_ToChild_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeCursor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ToChild(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeCursor_ToSameNode_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctreeCursor *op;
  vtkHyperOctreeCursor  *temp0;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ToSameNode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_IsEqual_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctreeCursor *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp20;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsEqual(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctreeCursor_Clone_113(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  vtkHyperOctreeCursor  *temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Clone();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_SameTree_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctreeCursor *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp20;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SameTree(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetIndex_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeCursor *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetNumberOfChildren_116(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfChildren();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_GetDimension_117(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeCursor_Found_118(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeCursor *op;
  int      temp20;

  op = (vtkHyperOctreeCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Found();
  return temp20;
}
