// java wrapper for vtkImageBSplineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageBSplineInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractImageInterpolator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageBSplineInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageBSplineInterpolator",dType)) { return me; }
  if ((res= vtkAbstractImageInterpolator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBSplineInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageBSplineInterpolator *op;
  const char    *temp20;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageBSplineInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineInterpolator_SetSplineDegree_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBSplineInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplineDegree(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineInterpolator_GetSplineDegree_13(JNIEnv *env, jobject obj)
{
  vtkImageBSplineInterpolator *op;
  int      temp20;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegree();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineInterpolator_GetSplineDegreeMinValue_14(JNIEnv *env, jobject obj)
{
  vtkImageBSplineInterpolator *op;
  int      temp20;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegreeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineInterpolator_GetSplineDegreeMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkImageBSplineInterpolator *op;
  int      temp20;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegreeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineInterpolator_ComputeSupportSize_16(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkImageBSplineInterpolator *op;
  double temp0[16];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeSupportSize(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageBSplineInterpolator_IsSeparable_17(JNIEnv *env, jobject obj)
{
  vtkImageBSplineInterpolator *op;
  bool   temp20;

  op = (vtkImageBSplineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSeparable();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageBSplineInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkImageBSplineInterpolator *aNewOne = vtkImageBSplineInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
