// java wrapper for vtkImageSincInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSincInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractImageInterpolator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSincInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSincInterpolator",dType)) { return me; }
  if ((res= vtkAbstractImageInterpolator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSincInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  const char    *temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSincInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunction_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSincInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToLanczos_13(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToLanczos();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToKaiser_14(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToKaiser();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToCosine_15(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToCosine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToHann_16(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToHann();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToHamming_17(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToHamming();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToBlackman_18(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToBlackman();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToBlackmanHarris3_19(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToBlackmanHarris3();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToBlackmanHarris4_110(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToBlackmanHarris4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToNuttall_111(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToNuttall();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToBlackmanNuttall3_112(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToBlackmanNuttall3();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowFunctionToBlackmanNuttall4_113(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowFunctionToBlackmanNuttall4();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_GetWindowFunction_114(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  int      temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowFunction();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSincInterpolator_GetWindowFunctionAsString_115(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  const char    *temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowFunctionAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowHalfWidth_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSincInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowHalfWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_GetWindowHalfWidth_117(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  int      temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowHalfWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetUseWindowParameter_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSincInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseWindowParameter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_UseWindowParameterOn_119(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseWindowParameterOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_UseWindowParameterOff_120(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseWindowParameterOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_GetUseWindowParameter_121(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  int      temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseWindowParameter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetWindowParameter_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageSincInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowParameter(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSincInterpolator_GetWindowParameter_123(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  double   temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowParameter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_ComputeSupportSize_124(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkImageSincInterpolator *op;
  double temp0[16];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeSupportSize(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetBlurFactors_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageSincInterpolator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlurFactors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetBlurFactors_126(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageSincInterpolator *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlurFactors(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_GetBlurFactors_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageSincInterpolator *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBlurFactors(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageSincInterpolator_GetBlurFactors_128(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  double  *temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlurFactors();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetAntialiasing_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSincInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAntialiasing(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_AntialiasingOn_130(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AntialiasingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_AntialiasingOff_131(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AntialiasingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_GetAntialiasing_132(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  int      temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAntialiasing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_SetRenormalization_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSincInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenormalization(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_RenormalizationOn_134(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RenormalizationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSincInterpolator_RenormalizationOff_135(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RenormalizationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSincInterpolator_GetRenormalization_136(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  int      temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenormalization();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageSincInterpolator_IsSeparable_137(JNIEnv *env, jobject obj)
{
  vtkImageSincInterpolator *op;
  bool   temp20;

  op = (vtkImageSincInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSeparable();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageSincInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkImageSincInterpolator *aNewOne = vtkImageSincInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
