// java wrapper for vtkKdNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdNode.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  const char    *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetDim_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDim(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetDim_13(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDim();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdNode_GetDivisionPosition_14(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  double   temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDivisionPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetNumberOfPoints_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetNumberOfPoints_16(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetBounds_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetBounds_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkKdNode *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetDataBounds_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkKdNode_GetMinBounds_110(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  double  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkKdNode_GetMaxBounds_111(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  double  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkKdNode_GetMinDataBounds_112(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  double  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinDataBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkKdNode_GetMaxDataBounds_113(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  double  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxDataBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetID_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetID_115(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetMinID_116(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_GetMaxID_117(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  int      temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxID();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetMinID_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinID(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetMaxID_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxID(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_AddChildNodes_120(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  vtkKdNode  *temp1;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->AddChildNodes(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_DeleteChildNodes_121(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteChildNodes();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdNode_GetLeft_122(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeft();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetLeft_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeft(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdNode_GetRight_124(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRight();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetRight_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRight(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdNode_GetUp_126(JNIEnv *env, jobject obj)
{
  vtkKdNode *op;
  vtkKdNode  *temp20;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_SetUp_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdNode *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUp(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsBox_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jint id6)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsSphere2_129(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jint id4)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_IntersectsRegion_130(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkKdNode *op;
  vtkPlanesIntersection  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkPlanesIntersection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsRegion(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_ContainsBox_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jint id6)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdNode_ContainsPoint_132(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ContainsPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdNode_GetDistance2ToBoundary_133(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdNode_GetDistance2ToInnerBoundary_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToInnerBoundary(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_PrintNode_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintNode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdNode_PrintVerboseNode_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdNode *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintVerboseNode(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKdNode_VTKInit(JNIEnv *, jobject)
{
  vtkKdNode *aNewOne = vtkKdNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
