// java wrapper for vtkKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdTree",dType)) { return me; }
  if ((res= vtkLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  const char    *temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_TimingOn_12(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->TimingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_TimingOff_13(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->TimingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetTiming_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTiming(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetTiming_15(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTiming();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetMinCells_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetMinCells_17(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegionsOrLess_18(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRegionsOrLess();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetNumberOfRegionsOrLess_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfRegionsOrLess(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegionsOrMore_110(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRegionsOrMore();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetNumberOfRegionsOrMore_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfRegionsOrMore(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdTree_GetFudgeFactor_112(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  double   temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFudgeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetFudgeFactor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKdTree *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFudgeFactor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetCuts_114(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  vtkBSPCuts  *temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCuts();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetCuts_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkBSPCuts  *temp0;
  temp0 = (vtkBSPCuts *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCuts(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitXPartitioning_116(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitXPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitYPartitioning_117(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitYPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitZPartitioning_118(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitZPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitXYPartitioning_119(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitXYPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitYZPartitioning_120(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitYZPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitZXPartitioning_121(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitZXPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_OmitNoPartitioning_122(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->OmitNoPartitioning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetDataSet_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_AddDataSet_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_RemoveDataSet_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_RemoveDataSet_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_RemoveAllDataSets_127(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllDataSets();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfDataSets_128(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDataSets();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetDataSet_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkDataSet  *temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetDataSet_130(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  vtkDataSet  *temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetDataSets_131(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  vtkDataSetCollection  *temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSets();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetDataSetIndex_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSetIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetNumberOfRegions_133(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GetRegionBounds_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkKdTree *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRegionBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GetRegionDataBounds_135(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkKdTree *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRegionDataBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintTree_136(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintVerboseTree_137(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintVerboseTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_PrintRegion_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_CreateCellLists_139(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateCellLists();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetIncludeRegionBoundaryCells_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeRegionBoundaryCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetIncludeRegionBoundaryCells_141(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeRegionBoundaryCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_IncludeRegionBoundaryCellsOn_142(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeRegionBoundaryCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_IncludeRegionBoundaryCellsOff_143(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeRegionBoundaryCellsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_DeleteCellLists_144(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteCellLists();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetCellList_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdList  *temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellList(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetBoundaryCellList_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdList  *temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundaryCellList(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_147(JNIEnv *env, jobject obj,jobject id0,jint id1,jobject id2,jobject id3)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  int      temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_148(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  vtkDataSet  *temp1;
  vtkIdList  *temp2;
  vtkIdList  *temp3;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetCellLists_149(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  vtkIdType   temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLists(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_150(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkKdTree *op;
  vtkDataSet  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionContainingCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_151(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionContainingCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingCell_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionContainingCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetRegionContainingPoint_153(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdTree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionContainingPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_BuildLocator_154(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_ViewOrderAllRegionsInDirection_155(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkKdTree *op;
  double temp0[3];
  void *tempArray0;
  vtkIntArray  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ViewOrderAllRegionsInDirection(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_ViewOrderRegionsInDirection_156(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jobject id2)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  double temp1[3];
  void *tempArray1;
  vtkIntArray  *temp2;
  int      temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ViewOrderRegionsInDirection(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_ViewOrderAllRegionsFromPosition_157(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkKdTree *op;
  double temp0[3];
  void *tempArray0;
  vtkIntArray  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ViewOrderAllRegionsFromPosition(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_ViewOrderRegionsFromPosition_158(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jobject id2)
{
  vtkKdTree *op;
  vtkIntArray  *temp0;
  double temp1[3];
  void *tempArray1;
  vtkIntArray  *temp2;
  int      temp20;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ViewOrderRegionsFromPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_BuildLocatorFromPoints_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkPointSet  *temp0;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorFromPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_BuildLocatorFromPoints_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorFromPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_BuildMapForDuplicatePoints_161(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKdTree *op;
  float    temp0;
  vtkIdTypeArray  *temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BuildMapForDuplicatePoints(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_FindPoint_162(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkKdTree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_FindPointsWithinRadius_163(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jobject id2)
{
  vtkKdTree *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_FindClosestNPoints_164(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkKdTree *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_GetPointsInRegion_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  vtkIdTypeArray  *temp20;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointsInRegion(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_FreeSearchStructure_166(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentation_167(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkKdTree *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentationUsingDataBoundsOn_168(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentationUsingDataBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_GenerateRepresentationUsingDataBoundsOff_169(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentationUsingDataBoundsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_SetGenerateRepresentationUsingDataBounds_170(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateRepresentationUsingDataBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_GetGenerateRepresentationUsingDataBounds_171(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateRepresentationUsingDataBounds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTree_NewGeometry_172(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;
  int      temp20;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTree_InvalidateGeometry_173(JNIEnv *env, jobject obj)
{
  vtkKdTree *op;

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  op->InvalidateGeometry();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTree_CopyTree_174(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTree *op;
  vtkKdNode  *temp0;
  vtkKdNode  *temp20;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CopyTree(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKdTree_VTKInit(JNIEnv *, jobject)
{
  vtkKdTree *aNewOne = vtkKdTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
