// java wrapper for vtkOctreePointLocatorNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOctreePointLocatorNode.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOctreePointLocatorNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOctreePointLocatorNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;
  const char    *temp20;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOctreePointLocatorNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetNumberOfPoints_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOctreePointLocatorNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetNumberOfPoints_13(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;
  int      temp20;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetBounds_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkOctreePointLocatorNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetBounds_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocatorNode *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetDataBounds_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkOctreePointLocatorNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetMinBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocatorNode *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetMaxBounds_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocatorNode *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetMinDataBounds_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocatorNode *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinDataBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_SetMaxDataBounds_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocatorNode *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxDataBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetID_111(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;
  int      temp20;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetMinID_112(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;
  int      temp20;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinID();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_CreateChildNodes_113(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateChildNodes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocatorNode_DeleteChildNodes_114(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocatorNode *op;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteChildNodes();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetChild_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkOctreePointLocatorNode *op;
  int      temp0;
  vtkOctreePointLocatorNode  *temp20;
  temp0 = id0;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_IntersectsRegion_116(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkOctreePointLocatorNode *op;
  vtkPlanesIntersection  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkPlanesIntersection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsRegion(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocatorNode_ContainsPoint_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkOctreePointLocatorNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ContainsPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetDistance2ToBoundary_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3,jint id4)
{
  vtkOctreePointLocatorNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  int      temp4;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkOctreePointLocatorNode *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = id4;

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOctreePointLocatorNode_GetDistance2ToInnerBoundary_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkOctreePointLocatorNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkOctreePointLocatorNode  *temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkOctreePointLocatorNode *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkOctreePointLocatorNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToInnerBoundary(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOctreePointLocatorNode_VTKInit(JNIEnv *, jobject)
{
  vtkOctreePointLocatorNode *aNewOne = vtkOctreePointLocatorNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
