// java wrapper for vtkParametricSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricSpline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkParametricFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParametricSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParametricSpline",dType)) { return me; }
  if ((res= vtkParametricFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParametricSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  const char    *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParametricSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetDimension_12(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_Evaluate_13(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkParametricSpline *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->Evaluate(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_EvaluateScalar_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkParametricSpline *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateScalar(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetXSpline_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXSpline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetYSpline_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYSpline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetZSpline_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZSpline(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParametricSpline_GetXSpline_18(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXSpline();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParametricSpline_GetYSpline_19(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYSpline();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParametricSpline_GetZSpline_110(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkSpline  *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZSpline();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetPoints_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParametricSpline *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParametricSpline_GetPoints_112(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  vtkPoints  *temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetNumberOfPoints_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetPoint_114(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkParametricSpline *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetClosed_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetClosed_116(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ClosedOn_117(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ClosedOff_118(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetParameterizeByLength_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParameterizeByLength(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetParameterizeByLength_120(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParameterizeByLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ParameterizeByLengthOn_121(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ParameterizeByLengthOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_ParameterizeByLengthOff_122(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ParameterizeByLengthOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetLeftConstraint_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraintMinValue_124(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraintMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetLeftConstraint_126(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetRightConstraint_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkParametricSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraintMinValue_128(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraintMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParametricSpline_GetRightConstraint_130(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  int      temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetLeftValue_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParametricSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_GetLeftValue_132(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  double   temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParametricSpline_SetRightValue_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParametricSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParametricSpline_GetRightValue_134(JNIEnv *env, jobject obj)
{
  vtkParametricSpline *op;
  double   temp20;

  op = (vtkParametricSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParametricSpline_VTKInit(JNIEnv *, jobject)
{
  vtkParametricSpline *aNewOne = vtkParametricSpline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
