// java wrapper for vtkPassInputTypeAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPassInputTypeAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPassInputTypeAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  const char    *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassInputTypeAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPassInputTypeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetPolyDataOutput_14(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetStructuredPointsOutput_15(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkStructuredPoints  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetImageDataOutput_16(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkImageData  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetStructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkStructuredGrid  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetUnstructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetRectilinearGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetTableOutput_110(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkTable  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetGraphOutput_111(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkGraph  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_GetInput_112(JNIEnv *env, jobject obj)
{
  vtkPassInputTypeAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_SetInput_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPassInputTypeAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_SetInput_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPassInputTypeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_AddInput_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPassInputTypeAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassInputTypeAlgorithm_AddInput_116(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPassInputTypeAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPassInputTypeAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPassInputTypeAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkPassInputTypeAlgorithm *aNewOne = vtkPassInputTypeAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
