// java wrapper for vtkPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAttributes_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointData",dType)) { return me; }
  if ((res= vtkDataSetAttributes_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointData *op;
  const char    *temp20;

  op = (vtkPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointData_NullPoint_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointData *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->NullPoint(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointData_VTKInit(JNIEnv *, jobject)
{
  vtkPointData *aNewOne = vtkPointData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
