// java wrapper for vtkPointSetSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSetSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSetSource",dType)) { return me; }
  if ((res= vtkSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSetSource *op;
  const char    *temp20;

  op = (vtkPointSetSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetSource_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkPointSetSource *op;
  vtkPointSet  *temp20;

  op = (vtkPointSetSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetSource_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetSource *op;
  int      temp0;
  vtkPointSet  *temp20;
  temp0 = id0;

  op = (vtkPointSetSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetSource_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetSource *op;
  vtkPointSet  *temp0;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointSetSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}
