// java wrapper for vtkPointSetToPointSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetToPointSetFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSetToPointSetFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSetToPointSetFilter",dType)) { return me; }
  if ((res= vtkPointSetSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  const char    *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToPointSetFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToPointSetFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToPointSetFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetToPointSetFilter *op;
  vtkPointSet  *temp0;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  vtkPointSet  *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetOutput_14(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  vtkPointSet  *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetOutput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetToPointSetFilter *op;
  int      temp0;
  vtkPointSet  *temp20;
  temp0 = id0;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetPolyDataOutput_16(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  vtkPolyData  *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetStructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  vtkStructuredGrid  *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToPointSetFilter_GetUnstructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkPointSetToPointSetFilter *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToPointSetFilter_ComputeInputUpdateExtents_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetToPointSetFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointSetToPointSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeInputUpdateExtents(temp0);
}
