// java wrapper for vtkStructuredPointsCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredPointsCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredPointsCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredPointsCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredPointsCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredPointsCollection *op;
  const char    *temp20;

  op = (vtkStructuredPointsCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredPointsCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredPointsCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredPointsCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredPointsCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredPointsCollection *op;
  vtkStructuredPoints  *temp0;
  temp0 = (vtkStructuredPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredPointsCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredPointsCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkStructuredPointsCollection *op;
  vtkStructuredPoints  *temp20;

  op = (vtkStructuredPointsCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStructuredPointsCollection_VTKInit(JNIEnv *, jobject)
{
  vtkStructuredPointsCollection *aNewOne = vtkStructuredPointsCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
