// java wrapper for vtkStructuredPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredPoints",dType)) { return me; }
  if ((res= vtkImageData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredPoints *op;
  const char    *temp20;

  op = (vtkStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredPoints_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkStructuredPoints *op;
  int      temp20;

  op = (vtkStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStructuredPoints_VTKInit(JNIEnv *, jobject)
{
  vtkStructuredPoints *aNewOne = vtkStructuredPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
