// java wrapper for vtkTableAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableAlgorithm *op;
  const char    *temp20;

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTableAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkTableAlgorithm *op;
  vtkTable  *temp20;

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTableAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableAlgorithm *op;
  int      temp0;
  vtkTable  *temp20;
  temp0 = id0;

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableAlgorithm_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTableAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableAlgorithm_SetInput_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTableAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTableAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkTableAlgorithm *aNewOne = vtkTableAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
