// java wrapper for vtkTreeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;
  const char    *temp20;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeIterator_SetTree_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeIterator *op;
  vtkTree  *temp0;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTree(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeIterator_GetTree_13(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;
  vtkTree  *temp20;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeIterator_SetStartVertex_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeIterator *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartVertex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeIterator_GetStartVertex_15(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;
  vtkIdType   temp20;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartVertex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeIterator_Next_16(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;
  vtkIdType   temp20;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Next();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeIterator_HasNext_17(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;
  bool   temp20;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasNext();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeIterator_Restart_18(JNIEnv *env, jobject obj)
{
  vtkTreeIterator *op;

  op = (vtkTreeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Restart();
}
