// java wrapper for vtkUniformGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUniformGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUniformGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUniformGrid",dType)) { return me; }
  if ((res= vtkImageData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUniformGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  const char    *temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUniformGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_CopyStructure_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  int      temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_GetCell_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetCell_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetCellType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetCellPoints_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_GetPointCells_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_Initialize_19(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetMaxCellSize_110(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  int      temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_DeepCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_BlankPoint_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->BlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_UnBlankPoint_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->UnBlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_BlankCell_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->BlankCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_UnBlankCell_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->UnBlankCell(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_GetPointVisibilityArray_117(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointVisibilityArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_SetPointVisibilityArray_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointVisibilityArray(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_GetCellVisibilityArray_119(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellVisibilityArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGrid_SetCellVisibilityArray_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellVisibilityArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsPointVisible_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPointVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_IsCellVisible_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkUniformGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsCellVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetPointBlanking_123(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
   unsigned char     temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointBlanking();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGrid_GetCellBlanking_124(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
   unsigned char     temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellBlanking();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_NewImageDataCopy_125(JNIEnv *env, jobject obj)
{
  vtkUniformGrid *op;
  vtkImageData  *temp20;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewImageDataCopy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_GetData_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUniformGrid *op;
  vtkInformation  *temp0;
  vtkUniformGrid  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGrid_GetData_127(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkUniformGrid *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkUniformGrid  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkUniformGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUniformGrid_VTKInit(JNIEnv *, jobject)
{
  vtkUniformGrid *aNewOne = vtkUniformGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
