// java wrapper for vtkViewDependentErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewDependentErrorMetric.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGenericSubdivisionErrorMetric_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkViewDependentErrorMetric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkViewDependentErrorMetric",dType)) { return me; }
  if ((res= vtkGenericSubdivisionErrorMetric_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkViewDependentErrorMetric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkViewDependentErrorMetric *op;
  const char    *temp20;

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkViewDependentErrorMetric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkViewDependentErrorMetric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkViewDependentErrorMetric_GetPixelTolerance_12(JNIEnv *env, jobject obj)
{
  vtkViewDependentErrorMetric *op;
  double   temp20;

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewDependentErrorMetric_SetPixelTolerance_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkViewDependentErrorMetric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPixelTolerance(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkViewDependentErrorMetric_GetViewport_14(JNIEnv *env, jobject obj)
{
  vtkViewDependentErrorMetric *op;
  vtkViewport  *temp20;

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewport();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkViewDependentErrorMetric_SetViewport_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkViewDependentErrorMetric *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkViewDependentErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkViewDependentErrorMetric_VTKInit(JNIEnv *, jobject)
{
  vtkViewDependentErrorMetric *aNewOne = vtkViewDependentErrorMetric::New();
  return (jlong)(size_t)(void*)aNewOne;
}
