// java wrapper for vtkGenericGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericGeometryFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericGeometryFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericGeometryFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericGeometryFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  const char    *temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericGeometryFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetPointClipping_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointClipping_13(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  int      temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_PointClippingOn_14(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_PointClippingOff_15(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetCellClipping_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellClipping_17(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  int      temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_CellClippingOn_18(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CellClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_CellClippingOff_19(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CellClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetExtentClipping_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetExtentClipping_111(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  int      temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_ExtentClippingOn_112(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ExtentClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_ExtentClippingOff_113(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ExtentClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetPointMinimum_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMinimum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMinimumMinValue_115(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMinimumMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMinimum_117(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetPointMaximum_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMaximum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMaximumMinValue_119(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMaximumMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPointMaximum_121(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetCellMinimum_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellMinimum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMinimumMinValue_123(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMinimumMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMinimum_125(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetCellMaximum_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellMaximum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMaximumMinValue_127(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMaximumMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetCellMaximum_129(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetExtent_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkGenericGeometryFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetExtent_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericGeometryFilter *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetMerging_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetMerging_133(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  int      temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_MergingOn_134(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_MergingOff_135(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetLocator_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericGeometryFilter *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericGeometryFilter_GetLocator_137(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_CreateDefaultLocator_138(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetMTime_139(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
   unsigned long     temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_SetPassThroughCellIds_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassThroughCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericGeometryFilter_GetPassThroughCellIds_141(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;
  int      temp20;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassThroughCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_PassThroughCellIdsOn_142(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericGeometryFilter_PassThroughCellIdsOff_143(JNIEnv *env, jobject obj)
{
  vtkGenericGeometryFilter *op;

  op = (vtkGenericGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericGeometryFilter_VTKInit(JNIEnv *, jobject)
{
  vtkGenericGeometryFilter *aNewOne = vtkGenericGeometryFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
