// java wrapper for vtkGenericProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericProbeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericProbeFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  const char    *temp20;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericProbeFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericProbeFilter *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericProbeFilter_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  vtkGenericDataSet  *temp20;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericProbeFilter_GetValidPoints_14(JNIEnv *env, jobject obj)
{
  vtkGenericProbeFilter *op;
  vtkIdTypeArray  *temp20;

  op = (vtkGenericProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValidPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericProbeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkGenericProbeFilter *aNewOne = vtkGenericProbeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
