// java wrapper for vtkCompassRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompassRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContinuousValueWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompassRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompassRepresentation",dType)) { return me; }
  if ((res= vtkContinuousValueWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompassRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  const char    *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompassRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompassRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompassRepresentation_GetPoint1Coordinate_12(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  vtkCoordinate  *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompassRepresentation_GetPoint2Coordinate_13(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  vtkCoordinate  *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompassRepresentation_GetRingProperty_14(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRingProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompassRepresentation_GetSelectedProperty_15(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompassRepresentation_GetLabelProperty_16(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  vtkTextProperty  *temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_PlaceWidget_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompassRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_BuildRepresentation_18(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_StartWidgetInteraction_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompassRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_WidgetInteraction_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompassRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_TiltWidgetInteraction_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompassRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->TiltWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_DistanceWidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompassRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DistanceWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompassRepresentation_ComputeInteractionState_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkCompassRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_Highlight_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompassRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_GetActors_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompassRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_ReleaseGraphicsResources_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompassRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompassRepresentation_RenderOverlay_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompassRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompassRepresentation_RenderOpaqueGeometry_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompassRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_SetHeading_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCompassRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeading(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompassRepresentation_GetHeading_120(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  double   temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_SetTilt_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCompassRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTilt(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompassRepresentation_GetTilt_122(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  double   temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTilt();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_UpdateTilt_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCompassRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateTilt(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_EndTilt_124(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EndTilt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_SetDistance_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCompassRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompassRepresentation_GetDistance_126(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;
  double   temp20;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_UpdateDistance_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCompassRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateDistance(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_EndDistance_128(JNIEnv *env, jobject obj)
{
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EndDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompassRepresentation_SetRenderer_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompassRepresentation *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompassRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompassRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkCompassRepresentation *aNewOne = vtkCompassRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
