// java wrapper for vtkGeoArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoArcs.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoArcs_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoArcs",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoArcs_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoArcs *op;
  const char    *temp20;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoArcs_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoArcs *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoArcs_SetGlobeRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobeRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoArcs_GetGlobeRadius_13(JNIEnv *env, jobject obj)
{
  vtkGeoArcs *op;
  double   temp20;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobeRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoArcs_SetExplodeFactor_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExplodeFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoArcs_GetExplodeFactor_15(JNIEnv *env, jobject obj)
{
  vtkGeoArcs *op;
  double   temp20;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExplodeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoArcs_SetNumberOfSubdivisions_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoArcs *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSubdivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoArcs_GetNumberOfSubdivisions_17(JNIEnv *env, jobject obj)
{
  vtkGeoArcs *op;
  int      temp20;

  op = (vtkGeoArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoArcs_VTKInit(JNIEnv *, jobject)
{
  vtkGeoArcs *aNewOne = vtkGeoArcs::New();
  return (jlong)(size_t)(void*)aNewOne;
}
