// java wrapper for vtkGeoCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoCamera.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoCamera_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoCamera",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoCamera_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  const char    *temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoCamera_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoCamera *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoCamera_GetPosition_12(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double  *temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetLongitude_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetLongitude_14(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitude();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetLatitude_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetLatitude_16(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitude();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetDistance_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetDistance_18(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetHeading_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeading(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetHeading_110(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetTilt_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTilt(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetTilt_112(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTilt();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoCamera_GetVTKCamera_113(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  vtkCamera  *temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_InitializeNodeAnalysis_114(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkGeoCamera *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeNodeAnalysis(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetNodeCoverage_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoCamera *op;
  vtkGeoTerrainNode  *temp0;
  double   temp20;
  temp0 = (vtkGeoTerrainNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNodeCoverage(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoCamera_GetLockHeading_116(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  bool   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLockHeading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetLockHeading_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoCamera *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLockHeading(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_LockHeadingOn_118(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_LockHeadingOff_119(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetOriginLatitude_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginLatitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetOriginLatitude_121(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginLatitude();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetOriginLongitude_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoCamera *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginLongitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoCamera_GetOriginLongitude_123(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double   temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginLongitude();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoCamera_GetOrigin_124(JNIEnv *env, jobject obj)
{
  vtkGeoCamera *op;
  double  *temp20;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoCamera_SetOrigin_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGeoCamera *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGeoCamera *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoCamera_VTKInit(JNIEnv *, jobject)
{
  vtkGeoCamera *aNewOne = vtkGeoCamera::New();
  return (jlong)(size_t)(void*)aNewOne;
}
