// java wrapper for vtkGeoFileTerrainSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoFileTerrainSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGeoSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoFileTerrainSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoFileTerrainSource",dType)) { return me; }
  if ((res= vtkGeoSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoFileTerrainSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoFileTerrainSource *op;
  const char    *temp20;

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoFileTerrainSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoFileTerrainSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoFileTerrainSource_FetchRoot_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoFileTerrainSource *op;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FetchRoot(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoFileTerrainSource_FetchChild_13(JNIEnv *env, jobject obj,jobject id0,jint id1,jobject id2)
{
  vtkGeoFileTerrainSource *op;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FetchChild(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoFileTerrainSource_SetPath_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoFileTerrainSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPath(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoFileTerrainSource_GetPath_15(JNIEnv *env, jobject obj)
{
  vtkGeoFileTerrainSource *op;
  char    *temp20;

  op = (vtkGeoFileTerrainSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPath();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoFileTerrainSource_VTKInit(JNIEnv *, jobject)
{
  vtkGeoFileTerrainSource *aNewOne = vtkGeoFileTerrainSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
