// java wrapper for vtkGeoSampleArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoSampleArcs.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoSampleArcs_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoSampleArcs",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoSampleArcs_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;
  const char    *temp20;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoSampleArcs_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoSampleArcs *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetGlobeRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoSampleArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobeRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoSampleArcs_GetGlobeRadius_13(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;
  double   temp20;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobeRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetMaximumDistanceMeters_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoSampleArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDistanceMeters(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoSampleArcs_GetMaximumDistanceMeters_15(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;
  double   temp20;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistanceMeters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetInputCoordinateSystem_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoSampleArcs *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoSampleArcs_GetInputCoordinateSystem_17(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;
  int      temp20;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetInputCoordinateSystemToRectangular_18(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystemToRectangular();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetInputCoordinateSystemToSpherical_19(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystemToSpherical();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetOutputCoordinateSystem_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoSampleArcs *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoSampleArcs_GetOutputCoordinateSystem_111(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;
  int      temp20;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetOutputCoordinateSystemToRectangular_112(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystemToRectangular();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSampleArcs_SetOutputCoordinateSystemToSpherical_113(JNIEnv *env, jobject obj)
{
  vtkGeoSampleArcs *op;

  op = (vtkGeoSampleArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystemToSpherical();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoSampleArcs_VTKInit(JNIEnv *, jobject)
{
  vtkGeoSampleArcs *aNewOne = vtkGeoSampleArcs::New();
  return (jlong)(size_t)(void*)aNewOne;
}
