// java wrapper for vtkGeoTerrain2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTerrain2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGeoTerrain_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTerrain2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTerrain2D",dType)) { return me; }
  if ((res= vtkGeoTerrain_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTerrain2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain2D *op;
  const char    *temp20;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrain2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTerrain2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain2D_SetTextureTolerance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoTerrain2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrain2D_GetTextureTolerance_13(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain2D *op;
  double   temp20;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain2D_SetLocationTolerance_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoTerrain2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocationTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrain2D_GetLocationTolerance_15(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain2D *op;
  double   temp20;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocationTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTerrain2D_GetTransform_16(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain2D *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoTerrain2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTerrain2D_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTerrain2D *aNewOne = vtkGeoTerrain2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
