// java wrapper for vtkGeoTerrain object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTerrain.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTerrain_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTerrain",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTerrain_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  const char    *temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrain_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTerrain *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTerrain_GetSource_12(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  vtkGeoSource  *temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_SetSource_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTerrain *op;
  vtkGeoSource  *temp0;
  temp0 = (vtkGeoSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_SaveDatabase_14(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGeoTerrain *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->SaveDatabase(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_AddActors_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkGeoTerrain *op;
  vtkRenderer  *temp0;
  vtkAssembly  *temp1;
  vtkCollection  *temp2;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAssembly *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->AddActors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_SetOrigin_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGeoTerrain *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_SetOrigin_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoTerrain *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrain_GetOrigin_18(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  double  *temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrain_SetMaxLevel_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTerrain *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrain_GetMaxLevelMinValue_110(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  int      temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrain_GetMaxLevelMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  int      temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrain_GetMaxLevel_112(JNIEnv *env, jobject obj)
{
  vtkGeoTerrain *op;
  int      temp20;

  op = (vtkGeoTerrain *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevel();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTerrain_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTerrain *aNewOne = vtkGeoTerrain::New();
  return (jlong)(size_t)(void*)aNewOne;
}
