// java wrapper for vtkGeoTerrainNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTerrainNode.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGeoTreeNode_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTerrainNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTerrainNode",dType)) { return me; }
  if ((res= vtkGeoTreeNode_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTerrainNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  const char    *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrainNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTerrainNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTerrainNode_GetChild_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTerrainNode *op;
  int      temp0;
  vtkGeoTerrainNode  *temp20;
  temp0 = id0;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTerrainNode_GetParent_13(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  vtkGeoTerrainNode  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParent();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrainNode_GetAltitude_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoTerrainNode *op;
  double   temp0;
  double   temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAltitude(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTerrainNode_GetModel_15(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  vtkPolyData  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetModel_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTerrainNode *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModel(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_UpdateBoundingSphere_17(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateBoundingSphere();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrainNode_GetBoundingSphereRadius_18(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double   temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundingSphereRadius();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetBoundingSphereCenter_19(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundingSphereCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetCornerNormal00_110(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerNormal00();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetCornerNormal01_111(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerNormal01();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetCornerNormal10_112(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerNormal10();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetCornerNormal11_113(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerNormal11();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTerrainNode_GetProjectionBounds_114(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double  *temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetProjectionBounds_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkGeoTerrainNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionBounds(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetProjectionBounds_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoTerrainNode *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTerrainNode_GetGraticuleLevel_117(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  int      temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraticuleLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetGraticuleLevel_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTerrainNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraticuleLevel(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrainNode_GetError_119(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  double   temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetError_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoTerrainNode *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoTerrainNode_GetCoverage_121(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  float    temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoverage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_SetCoverage_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoTerrainNode *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoverage(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_ShallowCopy_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTerrainNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_DeepCopy_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTerrainNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoTerrainNode_HasData_125(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;
  bool   temp20;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTerrainNode_DeleteData_126(JNIEnv *env, jobject obj)
{
  vtkGeoTerrainNode *op;

  op = (vtkGeoTerrainNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteData();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTerrainNode_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTerrainNode *aNewOne = vtkGeoTerrainNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
