// java wrapper for vtkGeoTreeNodeCache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTreeNodeCache.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTreeNodeCache_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTreeNodeCache",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTreeNodeCache_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNodeCache *op;
  const char    *temp20;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNodeCache_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTreeNodeCache *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNodeCache_SetCacheMaximumLimit_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTreeNodeCache *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheMaximumLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNodeCache_GetCacheMaximumLimit_13(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNodeCache *op;
  int      temp20;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheMaximumLimit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNodeCache_SetCacheMinimumLimit_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTreeNodeCache *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheMinimumLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNodeCache_GetCacheMinimumLimit_15(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNodeCache *op;
  int      temp20;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheMinimumLimit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNodeCache_SendToFront_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNodeCache *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  op->SendToFront(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNodeCache_RemoveNode_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNodeCache *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNodeCache_GetSize_18(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNodeCache *op;
  int      temp20;

  op = (vtkGeoTreeNodeCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTreeNodeCache_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTreeNodeCache *aNewOne = vtkGeoTreeNodeCache::New();
  return (jlong)(size_t)(void*)aNewOne;
}
