// java wrapper for vtkAppendPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAppendPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAppendPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAppendPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAppendPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;
  const char    *temp20;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAppendPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_SetUserManagedInputs_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserManagedInputs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendPolyData_GetUserManagedInputs_13(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;
  int      temp20;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserManagedInputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_UserManagedInputsOn_14(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->UserManagedInputsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_UserManagedInputsOff_15(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->UserManagedInputsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_AddInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendPolyData *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_RemoveInput_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendPolyData *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendPolyData_GetInput_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendPolyData *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendPolyData_GetInput_19(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;
  vtkPolyData  *temp20;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_SetNumberOfInputs_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfInputs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_SetInputByNumber_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAppendPolyData *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputByNumber(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_SetParallelStreaming_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelStreaming(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendPolyData_GetParallelStreaming_113(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;
  int      temp20;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelStreaming();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_ParallelStreamingOn_114(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelStreamingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendPolyData_ParallelStreamingOff_115(JNIEnv *env, jobject obj)
{
  vtkAppendPolyData *op;

  op = (vtkAppendPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelStreamingOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAppendPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkAppendPolyData *aNewOne = vtkAppendPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
