// java wrapper for vtkCellLocatorInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLocatorInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractInterpolatedVelocityField_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellLocatorInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellLocatorInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkAbstractInterpolatedVelocityField_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_GetLastCellLocator_12(JNIEnv *env, jobject obj)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkAbstractCellLocator  *temp20;

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastCellLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_GetCellLocatorPrototype_13(JNIEnv *env, jobject obj)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkAbstractCellLocator  *temp20;

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLocatorPrototype();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_SetCellLocatorPrototype_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkAbstractCellLocator  *temp0;
  temp0 = (vtkAbstractCellLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellLocatorPrototype(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_CopyParameters_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyParameters(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_AddDataSet_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_SetLastCellId_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_SetLastCellId_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocatorInterpolatedVelocityField *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellLocatorInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLastCellId(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellLocatorInterpolatedVelocityField_VTKInit(JNIEnv *, jobject)
{
  vtkCellLocatorInterpolatedVelocityField *aNewOne = vtkCellLocatorInterpolatedVelocityField::New();
  return (jlong)(size_t)(void*)aNewOne;
}
