// java wrapper for vtkClipConvexPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipConvexPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipConvexPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipConvexPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipConvexPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipConvexPolyData *op;
  const char    *temp20;

  op = (vtkClipConvexPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipConvexPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipConvexPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipConvexPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipConvexPolyData_SetPlanes_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipConvexPolyData *op;
  vtkPlaneCollection  *temp0;
  temp0 = (vtkPlaneCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkClipConvexPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlanes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkClipConvexPolyData_GetPlanes_13(JNIEnv *env, jobject obj)
{
  vtkClipConvexPolyData *op;
  vtkPlaneCollection  *temp20;

  op = (vtkClipConvexPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlanes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipConvexPolyData_GetMTime_14(JNIEnv *env, jobject obj)
{
  vtkClipConvexPolyData *op;
   unsigned long     temp20;

  op = (vtkClipConvexPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkClipConvexPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkClipConvexPolyData *aNewOne = vtkClipConvexPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
