// java wrapper for vtkClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipDataSet",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  const char    *temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetUseValueAsOffset_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkClipDataSet *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseValueAsOffset(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkClipDataSet_GetUseValueAsOffset_15(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  bool   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseValueAsOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_UseValueAsOffsetOn_16(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UseValueAsOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_UseValueAsOffsetOff_17(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UseValueAsOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetInsideOut_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetInsideOut_19(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_InsideOutOn_110(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_InsideOutOff_111(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetClipFunction_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipDataSet *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkClipDataSet_GetClipFunction_113(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkImplicitFunction  *temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetGenerateClipScalars_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetGenerateClipScalars_115(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClipScalarsOn_116(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClipScalarsOff_117(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetGenerateClippedOutput_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetGenerateClippedOutput_119(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  int      temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClippedOutputOn_120(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_GenerateClippedOutputOff_121(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetMergeTolerance_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeToleranceMinValue_123(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeToleranceMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipDataSet_GetMergeTolerance_125(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  double   temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkClipDataSet_GetClippedOutput_126(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippedOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_SetLocator_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipDataSet *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkClipDataSet_GetLocator_128(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipDataSet_CreateDefaultLocator_129(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipDataSet_GetMTime_130(JNIEnv *env, jobject obj)
{
  vtkClipDataSet *op;
   unsigned long     temp20;

  op = (vtkClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkClipDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkClipDataSet *aNewOne = vtkClipDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
