// java wrapper for vtkCompositeDataProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataProbeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProbeFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataProbeFilter",dType)) { return me; }
  if ((res= vtkProbeFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataProbeFilter *op;
  const char    *temp20;

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataProbeFilter_SetPassPartialArrays_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCompositeDataProbeFilter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassPartialArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataProbeFilter_GetPassPartialArrays_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataProbeFilter *op;
  bool   temp20;

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassPartialArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataProbeFilter_PassPartialArraysOn_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataProbeFilter *op;

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPartialArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataProbeFilter_PassPartialArraysOff_15(JNIEnv *env, jobject obj)
{
  vtkCompositeDataProbeFilter *op;

  op = (vtkCompositeDataProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPartialArraysOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeDataProbeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeDataProbeFilter *aNewOne = vtkCompositeDataProbeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
