// java wrapper for vtkConvertSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConvertSelection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkConvertSelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkConvertSelection",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConvertSelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  const char    *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvertSelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvertSelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetDataObjectConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkConvertSelection *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataObjectConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetInputFieldType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkConvertSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvertSelection_GetInputFieldType_14(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  int      temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetOutputType_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkConvertSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvertSelection_GetOutputType_16(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  int      temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvertSelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConvertSelection_GetArrayName_18(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  const char    *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetArrayNames_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkConvertSelection *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayNames(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_GetArrayNames_110(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  vtkStringArray  *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_AddArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvertSelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_ClearArrayNames_112(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearArrayNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetMatchAnyValues_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkConvertSelection *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatchAnyValues(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkConvertSelection_GetMatchAnyValues_114(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  bool   temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMatchAnyValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_MatchAnyValuesOn_115(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->MatchAnyValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_MatchAnyValuesOff_116(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->MatchAnyValuesOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToIndexSelection_117(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToIndexSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToGlobalIdSelection_118(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToGlobalIdSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToPedigreeIdSelection_119(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToPedigreeIdSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToValueSelection_120(JNIEnv *env, jobject obj,jobject id0,jobject id1,jstring id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  char    *temp2;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
  if (temp2) delete[] temp2;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToValueSelection_121(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkStringArray  *temp2;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedItems_122(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jobject id3)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  int      temp2;
  vtkIdTypeArray  *temp3;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedItems(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedVertices_123(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkGraph  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedVertices(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedEdges_124(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkGraph  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedEdges(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedPoints_125(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataSet  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedPoints(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedCells_126(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataSet  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedCells(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_GetSelectedRows_127(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkTable  *temp1;
  vtkIdTypeArray  *temp2;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSelectedRows(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToSelectionType_128(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jobject id3,jint id4)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  int      temp2;
  vtkStringArray  *temp3;
  int      temp4;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = id4;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToSelectionType(temp0,temp1,temp2,temp3,temp4);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkConvertSelection_VTKInit(JNIEnv *, jobject)
{
  vtkConvertSelection *aNewOne = vtkConvertSelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
