// java wrapper for vtkDataSetEdgeSubdivisionCriterion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetEdgeSubdivisionCriterion.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkEdgeSubdivisionCriterion_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetEdgeSubdivisionCriterion_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetEdgeSubdivisionCriterion",dType)) { return me; }
  if ((res= vtkEdgeSubdivisionCriterion_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  const char    *temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_SetMesh_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMesh(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetMesh_13(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  vtkDataSet  *temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMesh();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_SetCellId_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetCellId_15(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  vtkIdType   temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetCell_16(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  vtkCell  *temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_SetChordError2_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  op->SetChordError2(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetChordError2_18(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  double   temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChordError2();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_SetFieldError2_19(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldError2(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetFieldError2_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldError2(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_ResetFieldError2_111(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetFieldError2();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_GetActiveFieldCriteria_112(JNIEnv *env, jobject obj)
{
  vtkDataSetEdgeSubdivisionCriterion *op;
  int      temp20;

  op = (vtkDataSetEdgeSubdivisionCriterion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveFieldCriteria();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataSetEdgeSubdivisionCriterion_VTKInit(JNIEnv *, jobject)
{
  vtkDataSetEdgeSubdivisionCriterion *aNewOne = vtkDataSetEdgeSubdivisionCriterion::New();
  return (jlong)(size_t)(void*)aNewOne;
}
