// java wrapper for vtkDecimatePro object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDecimatePro.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDecimatePro_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDecimatePro",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDecimatePro_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  const char    *temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDecimatePro *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetTargetReduction_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetReduction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetTargetReductionMinValue_13(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetTargetReductionMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetTargetReduction_15(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReduction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetPreserveTopology_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreserveTopology(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetPreserveTopology_17(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreserveTopology();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_PreserveTopologyOn_18(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveTopologyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_PreserveTopologyOff_19(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveTopologyOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetFeatureAngle_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFeatureAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetFeatureAngleMinValue_111(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFeatureAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetFeatureAngleMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFeatureAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetFeatureAngle_113(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFeatureAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetSplitting_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitting(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetSplitting_115(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SplittingOn_116(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SplittingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SplittingOff_117(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SplittingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetSplitAngle_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetSplitAngleMinValue_119(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetSplitAngleMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetSplitAngle_121(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetPreSplitMesh_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreSplitMesh(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetPreSplitMesh_123(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreSplitMesh();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_PreSplitMeshOn_124(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->PreSplitMeshOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_PreSplitMeshOff_125(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->PreSplitMeshOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetMaximumError_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetMaximumErrorMinValue_127(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumErrorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetMaximumErrorMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumErrorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetMaximumError_129(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetAccumulateError_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAccumulateError(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetAccumulateError_131(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccumulateError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_AccumulateErrorOn_132(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->AccumulateErrorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_AccumulateErrorOff_133(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->AccumulateErrorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetErrorIsAbsolute_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetErrorIsAbsolute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetErrorIsAbsolute_135(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErrorIsAbsolute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetAbsoluteError_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbsoluteError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetAbsoluteErrorMinValue_137(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbsoluteErrorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetAbsoluteErrorMaxValue_138(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbsoluteErrorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetAbsoluteError_139(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbsoluteError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetBoundaryVertexDeletion_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundaryVertexDeletion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetBoundaryVertexDeletion_141(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundaryVertexDeletion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_BoundaryVertexDeletionOn_142(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->BoundaryVertexDeletionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_BoundaryVertexDeletionOff_143(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->BoundaryVertexDeletionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetDegree_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkDecimatePro *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDegree(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetDegreeMinValue_145(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDegreeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetDegreeMaxValue_146(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDegreeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetDegree_147(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  int      temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDegree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePro_SetInflectionPointRatio_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePro *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInflectionPointRatio(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetInflectionPointRatioMinValue_149(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInflectionPointRatioMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetInflectionPointRatioMaxValue_150(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInflectionPointRatioMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePro_GetInflectionPointRatio_151(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  double   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInflectionPointRatio();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePro_GetNumberOfInflectionPoints_152(JNIEnv *env, jobject obj)
{
  vtkDecimatePro *op;
  vtkIdType   temp20;

  op = (vtkDecimatePro *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInflectionPoints();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDecimatePro_VTKInit(JNIEnv *, jobject)
{
  vtkDecimatePro *aNewOne = vtkDecimatePro::New();
  return (jlong)(size_t)(void*)aNewOne;
}
