// java wrapper for vtkDicer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDicer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDicer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDicer",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDicer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  const char    *temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDicer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetFieldData_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDicer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetFieldData_13(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_FieldDataOn_14(JNIEnv *env, jobject obj)
{
  vtkDicer *op;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->FieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_FieldDataOff_15(JNIEnv *env, jobject obj)
{
  vtkDicer *op;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->FieldDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetDiceMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDicer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiceMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetDiceModeMinValue_17(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiceModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetDiceModeMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiceModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetDiceMode_19(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiceMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetDiceModeToNumberOfPointsPerPiece_110(JNIEnv *env, jobject obj)
{
  vtkDicer *op;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiceModeToNumberOfPointsPerPiece();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetDiceModeToSpecifiedNumberOfPieces_111(JNIEnv *env, jobject obj)
{
  vtkDicer *op;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiceModeToSpecifiedNumberOfPieces();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetDiceModeToMemoryLimitPerPiece_112(JNIEnv *env, jobject obj)
{
  vtkDicer *op;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiceModeToMemoryLimitPerPiece();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfActualPieces_113(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfActualPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetNumberOfPointsPerPiece_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDicer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPointsPerPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPointsPerPieceMinValue_115(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerPieceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPointsPerPieceMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerPieceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPointsPerPiece_117(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetNumberOfPieces_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDicer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPiecesMinValue_119(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPiecesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPiecesMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPiecesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetNumberOfPieces_121(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
  int      temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDicer_SetMemoryLimit_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkDicer *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMemoryLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetMemoryLimitMinValue_123(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
   unsigned long     temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMemoryLimitMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetMemoryLimitMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
   unsigned long     temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMemoryLimitMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDicer_GetMemoryLimit_125(JNIEnv *env, jobject obj)
{
  vtkDicer *op;
   unsigned long     temp20;

  op = (vtkDicer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMemoryLimit();
  return temp20;
}
