// java wrapper for vtkDijkstraImageGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDijkstraImageGeodesicPath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDijkstraGraphGeodesicPath_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDijkstraImageGeodesicPath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDijkstraImageGeodesicPath",dType)) { return me; }
  if ((res= vtkDijkstraGraphGeodesicPath_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  const char    *temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDijkstraImageGeodesicPath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDijkstraImageGeodesicPath *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetInputAsImageData_13(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  vtkImageData  *temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAsImageData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_SetImageWeight_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageWeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetImageWeight_15(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageWeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_SetEdgeLengthWeight_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLengthWeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetEdgeLengthWeight_17(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLengthWeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_SetCurvatureWeight_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurvatureWeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetCurvatureWeightMinValue_19(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurvatureWeightMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetCurvatureWeightMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurvatureWeightMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_GetCurvatureWeight_111(JNIEnv *env, jobject obj)
{
  vtkDijkstraImageGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraImageGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurvatureWeight();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDijkstraImageGeodesicPath_VTKInit(JNIEnv *, jobject)
{
  vtkDijkstraImageGeodesicPath *aNewOne = vtkDijkstraImageGeodesicPath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
