// java wrapper for vtkDiskSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiskSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDiskSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDiskSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiskSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  const char    *temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiskSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiskSource_SetInnerRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiskSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInnerRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetInnerRadiusMinValue_13(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInnerRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetInnerRadiusMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInnerRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetInnerRadius_15(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInnerRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiskSource_SetOuterRadius_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiskSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOuterRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetOuterRadiusMinValue_17(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOuterRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetOuterRadiusMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOuterRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiskSource_GetOuterRadius_19(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  double   temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOuterRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiskSource_SetRadialResolution_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiskSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetRadialResolutionMinValue_111(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetRadialResolutionMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetRadialResolution_113(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiskSource_SetCircumferentialResolution_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiskSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCircumferentialResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetCircumferentialResolutionMinValue_115(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCircumferentialResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetCircumferentialResolutionMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCircumferentialResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiskSource_GetCircumferentialResolution_117(JNIEnv *env, jobject obj)
{
  vtkDiskSource *op;
  int      temp20;

  op = (vtkDiskSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCircumferentialResolution();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDiskSource_VTKInit(JNIEnv *, jobject)
{
  vtkDiskSource *aNewOne = vtkDiskSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
