// java wrapper for vtkEdgePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgePoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEdgePoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEdgePoints",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgePoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEdgePoints *op;
  const char    *temp20;

  op = (vtkEdgePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgePoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgePoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgePoints_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkEdgePoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkEdgePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEdgePoints_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkEdgePoints *op;
  double   temp20;

  op = (vtkEdgePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEdgePoints_VTKInit(JNIEnv *, jobject)
{
  vtkEdgePoints *aNewOne = vtkEdgePoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
