// java wrapper for vtkExtractArraysOverTime object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractArraysOverTime.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractArraysOverTime_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractArraysOverTime",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractArraysOverTime_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractArraysOverTime *op;
  const char    *temp20;

  op = (vtkExtractArraysOverTime *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractArraysOverTime_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractArraysOverTime *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractArraysOverTime *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractArraysOverTime_GetNumberOfTimeSteps_12(JNIEnv *env, jobject obj)
{
  vtkExtractArraysOverTime *op;
  int      temp20;

  op = (vtkExtractArraysOverTime *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractArraysOverTime_SetSelectionConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractArraysOverTime *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractArraysOverTime *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionConnection(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractArraysOverTime_VTKInit(JNIEnv *, jobject)
{
  vtkExtractArraysOverTime *aNewOne = vtkExtractArraysOverTime::New();
  return (jlong)(size_t)(void*)aNewOne;
}
