// java wrapper for vtkExtractSelectedRows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSelectedRows.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractSelectedRows_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractSelectedRows",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractSelectedRows_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedRows *op;
  const char    *temp20;

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedRows_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractSelectedRows *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedRows_SetSelectionConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractSelectedRows *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedRows_SetAnnotationLayersConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractSelectedRows *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnnotationLayersConnection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedRows_FillInputPortInformation_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkExtractSelectedRows *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedRows_SetAddOriginalRowIdsArray_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkExtractSelectedRows *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAddOriginalRowIdsArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkExtractSelectedRows_GetAddOriginalRowIdsArray_16(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedRows *op;
  bool   temp20;

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAddOriginalRowIdsArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedRows_AddOriginalRowIdsArrayOn_17(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedRows *op;

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  op->AddOriginalRowIdsArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedRows_AddOriginalRowIdsArrayOff_18(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedRows *op;

  op = (vtkExtractSelectedRows *)vtkJavaGetPointerFromObject(env,obj);
  op->AddOriginalRowIdsArrayOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractSelectedRows_VTKInit(JNIEnv *, jobject)
{
  vtkExtractSelectedRows *aNewOne = vtkExtractSelectedRows::New();
  return (jlong)(size_t)(void*)aNewOne;
}
