// java wrapper for vtkExtractSelectedThresholds object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSelectedThresholds.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtractSelectionBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractSelectedThresholds_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractSelectedThresholds",dType)) { return me; }
  if ((res= vtkExtractSelectionBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractSelectedThresholds_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedThresholds *op;
  const char    *temp20;

  op = (vtkExtractSelectedThresholds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedThresholds_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractSelectedThresholds *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractSelectedThresholds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedThresholds_EvaluateValue_12(JNIEnv *env, jobject obj,jobject id0,jint id1,jobject id2)
{
  vtkExtractSelectedThresholds *op;
  vtkDataArray  *temp0;
  vtkIdType   temp1;
  vtkDataArray  *temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkExtractSelectedThresholds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateValue(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedThresholds_EvaluateValue_13(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jobject id3)
{
  vtkExtractSelectedThresholds *op;
  vtkDataArray  *temp0;
  int      temp1;
  vtkIdType   temp2;
  vtkDataArray  *temp3;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkExtractSelectedThresholds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateValue(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractSelectedThresholds_VTKInit(JNIEnv *, jobject)
{
  vtkExtractSelectedThresholds *aNewOne = vtkExtractSelectedThresholds::New();
  return (jlong)(size_t)(void*)aNewOne;
}
