// java wrapper for vtkHedgeHog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHedgeHog.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHedgeHog_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHedgeHog",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHedgeHog_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;
  const char    *temp20;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHedgeHog_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHedgeHog *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHedgeHog_SetScaleFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHedgeHog *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHedgeHog_GetScaleFactor_13(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;
  double   temp20;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHedgeHog_SetVectorMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkHedgeHog *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHedgeHog_GetVectorMode_15(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;
  int      temp20;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHedgeHog_SetVectorModeToUseVector_16(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorModeToUseVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHedgeHog_SetVectorModeToUseNormal_17(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorModeToUseNormal();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHedgeHog_GetVectorModeAsString_18(JNIEnv *env, jobject obj)
{
  vtkHedgeHog *op;
  const char    *temp20;

  op = (vtkHedgeHog *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHedgeHog_VTKInit(JNIEnv *, jobject)
{
  vtkHedgeHog *aNewOne = vtkHedgeHog::New();
  return (jlong)(size_t)(void*)aNewOne;
}
