// java wrapper for vtkHyperOctreeClipCutPointsGrabber object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeClipCutPointsGrabber.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHyperOctreePointsGrabber_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeClipCutPointsGrabber_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeClipCutPointsGrabber",dType)) { return me; }
  if ((res= vtkHyperOctreePointsGrabber_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  const char    *temp20;

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_SetDimension_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_InitPointInsertion_13(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeClipCutPointsGrabber *op;

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  op->InitPointInsertion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_InsertPoint_14(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jdoubleArray id2,jintArray id3)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int    temp3[3];
  void *tempArray3;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_InsertPointWithMerge_15(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jdoubleArray id2,jintArray id3)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int    temp3[3];
  void *tempArray3;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPointWithMerge(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_InsertPoint2D_16(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint2D(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_GetTriangulator_17(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  vtkOrderedTriangulator  *temp20;

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriangulator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_GetPolygon_18(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeClipCutPointsGrabber *op;
  vtkPolygon  *temp20;

  op = (vtkHyperOctreeClipCutPointsGrabber *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolygon();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctreeClipCutPointsGrabber_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctreeClipCutPointsGrabber *aNewOne = vtkHyperOctreeClipCutPointsGrabber::New();
  return (jlong)(size_t)(void*)aNewOne;
}
