// java wrapper for vtkHyperOctreeFractalSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeFractalSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHyperOctreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeFractalSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeFractalSource",dType)) { return me; }
  if ((res= vtkHyperOctreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  const char    *temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeFractalSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetMaximumLevel_12(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int      temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetMaximumLevel_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeFractalSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumLevel(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetMinimumLevel_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeFractalSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetMinimumLevel_15(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int      temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetProjectionAxes_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkHyperOctreeFractalSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionAxes(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetProjectionAxes_17(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkHyperOctreeFractalSource *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionAxes(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetProjectionAxes_18(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int     *temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionAxes();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetOriginCX_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkHyperOctreeFractalSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginCX(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetOriginCX_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctreeFractalSource *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginCX(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetOriginCX_111(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  double  *temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginCX();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetSizeCX_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkHyperOctreeFractalSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeCX(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetSizeCX_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctreeFractalSource *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeCX(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetSizeCX_114(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  double  *temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeCX();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetMaximumNumberOfIterations_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeFractalSource *op;
   unsigned short    temp0;
  temp0 = id0;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMinValue_116(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
   unsigned short    temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetMaximumNumberOfIterationsMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
   unsigned short    temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetMaximumNumberOfIterations_118(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
   unsigned char     temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetDimension_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeFractalSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetDimensionMinValue_120(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int      temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetDimensionMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int      temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetDimension_122(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  int      temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeFractalSource_SetSpanThreshold_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperOctreeFractalSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpanThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperOctreeFractalSource_GetSpanThreshold_124(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeFractalSource *op;
  double   temp20;

  op = (vtkHyperOctreeFractalSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpanThreshold();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctreeFractalSource_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctreeFractalSource *aNewOne = vtkHyperOctreeFractalSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
