// java wrapper for vtkHyperOctreeLimiter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeLimiter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeLimiter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeLimiter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeLimiter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeLimiter *op;
  const char    *temp20;

  op = (vtkHyperOctreeLimiter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeLimiter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeLimiter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeLimiter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeLimiter_GetMaximumLevel_12(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeLimiter *op;
  int      temp20;

  op = (vtkHyperOctreeLimiter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeLimiter_SetMaximumLevel_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeLimiter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeLimiter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumLevel(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctreeLimiter_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctreeLimiter *aNewOne = vtkHyperOctreeLimiter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
