// java wrapper for vtkHyperOctreeSampleFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeSampleFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHyperOctreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeSampleFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeSampleFunction",dType)) { return me; }
  if ((res= vtkHyperOctreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  const char    *temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeSampleFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetLevels_12(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetLevels_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetMinLevels_14(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetMinLevels_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinLevels(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetThreshold_16(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetThreshold_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetDimension_18(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetDimension_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetSize_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetSize_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctreeSampleFunction *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetSize_112(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double  *temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOrigin_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOrigin_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctreeSampleFunction *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetOrigin_115(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double  *temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetWidth_116(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetWidth_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetHeight_118(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetHeight_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetDepth_120(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetDepth_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperOctreeSampleFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetImplicitFunction_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctreeSampleFunction *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImplicitFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetImplicitFunction_123(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  vtkImplicitFunction  *temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImplicitFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarType_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetOutputScalarType_125(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
  int      temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToDouble_126(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToFloat_127(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToLong_128(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToUnsignedLong_129(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToInt_130(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToUnsignedInt_131(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToShort_132(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToUnsignedShort_133(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToChar_134(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_SetOutputScalarTypeToUnsignedChar_135(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSampleFunction_GetMTime_136(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSampleFunction *op;
   unsigned long     temp20;

  op = (vtkHyperOctreeSampleFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctreeSampleFunction_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctreeSampleFunction *aNewOne = vtkHyperOctreeSampleFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
