// java wrapper for vtkImplicitTextureCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitTextureCoords.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitTextureCoords_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitTextureCoords",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitTextureCoords_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;
  const char    *temp20;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitTextureCoords_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitTextureCoords *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_SetRFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitTextureCoords_GetRFunction_13(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp20;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_SetSFunction_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitTextureCoords_GetSFunction_15(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp20;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_SetTFunction_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitTextureCoords_GetTFunction_17(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;
  vtkImplicitFunction  *temp20;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_SetFlipTexture_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitTextureCoords *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlipTexture(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitTextureCoords_GetFlipTexture_19(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;
  int      temp20;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlipTexture();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_FlipTextureOn_110(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->FlipTextureOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitTextureCoords_FlipTextureOff_111(JNIEnv *env, jobject obj)
{
  vtkImplicitTextureCoords *op;

  op = (vtkImplicitTextureCoords *)vtkJavaGetPointerFromObject(env,obj);
  op->FlipTextureOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitTextureCoords_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitTextureCoords *aNewOne = vtkImplicitTextureCoords::New();
  return (jlong)(size_t)(void*)aNewOne;
}
