// java wrapper for vtkInterpolateDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolateDataSetAttributes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolateDataSetAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolateDataSetAttributes",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  const char    *temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolateDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetInputList_12(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  vtkDataSetCollection  *temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputList();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_SetT_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetT(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetTMinValue_14(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetTMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInterpolateDataSetAttributes_GetT_16(JNIEnv *env, jobject obj)
{
  vtkInterpolateDataSetAttributes *op;
  double   temp20;

  op = (vtkInterpolateDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetT();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInterpolateDataSetAttributes_VTKInit(JNIEnv *, jobject)
{
  vtkInterpolateDataSetAttributes *aNewOne = vtkInterpolateDataSetAttributes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
