// java wrapper for vtkInterpolatingSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolatingSubdivisionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInterpolatingSubdivisionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInterpolatingSubdivisionFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInterpolatingSubdivisionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInterpolatingSubdivisionFilter *op;
  const char    *temp20;

  op = (vtkInterpolatingSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatingSubdivisionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInterpolatingSubdivisionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInterpolatingSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInterpolatingSubdivisionFilter_SetNumberOfSubdivisions_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkInterpolatingSubdivisionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInterpolatingSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSubdivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInterpolatingSubdivisionFilter_GetNumberOfSubdivisions_13(JNIEnv *env, jobject obj)
{
  vtkInterpolatingSubdivisionFilter *op;
  int      temp20;

  op = (vtkInterpolatingSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubdivisions();
  return temp20;
}
