// java wrapper for vtkLineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLineSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLineSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLineSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLineSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  const char    *temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLineSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLineSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetPoint1_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLineSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetPoint1_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLineSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLineSource_GetPoint1_14(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  double  *temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetPoint2_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLineSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetPoint2_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLineSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLineSource_GetPoint2_17(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  double  *temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetPoints_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLineSource *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLineSource_GetPoints_19(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  vtkPoints  *temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineSource_SetResolution_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkLineSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLineSource_GetResolutionMinValue_111(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  int      temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLineSource_GetResolutionMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  int      temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLineSource_GetResolution_113(JNIEnv *env, jobject obj)
{
  vtkLineSource *op;
  int      temp20;

  op = (vtkLineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLineSource_VTKInit(JNIEnv *, jobject)
{
  vtkLineSource *aNewOne = vtkLineSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
