// java wrapper for vtkLinearExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLinearExtrusionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLinearExtrusionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLinearExtrusionFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  const char    *temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearExtrusionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLinearExtrusionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkLinearExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetExtrusionTypeMinValue_13(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  int      temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetExtrusionTypeMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  int      temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetExtrusionType_15(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  int      temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionTypeToVectorExtrusion_16(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionTypeToVectorExtrusion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionTypeToNormalExtrusion_17(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionTypeToNormalExtrusion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionTypeToPointExtrusion_18(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionTypeToPointExtrusion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetCapping_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkLinearExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetCapping_110(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  int      temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_CappingOn_111(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_CappingOff_112(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetScaleFactor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinearExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetScaleFactor_114(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  double   temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetVector_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLinearExtrusionFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetVector_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLinearExtrusionFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetVector_117(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  double  *temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionPoint_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLinearExtrusionFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearExtrusionFilter_SetExtrusionPoint_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLinearExtrusionFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtrusionPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLinearExtrusionFilter_GetExtrusionPoint_120(JNIEnv *env, jobject obj)
{
  vtkLinearExtrusionFilter *op;
  double  *temp20;

  op = (vtkLinearExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtrusionPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLinearExtrusionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkLinearExtrusionFilter *aNewOne = vtkLinearExtrusionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
