// java wrapper for vtkLinkEdgels object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLinkEdgels.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLinkEdgels_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLinkEdgels",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLinkEdgels_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLinkEdgels *op;
  const char    *temp20;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinkEdgels_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLinkEdgels *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinkEdgels_SetLinkThreshold_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinkEdgels *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinkThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinkEdgels_GetLinkThreshold_13(JNIEnv *env, jobject obj)
{
  vtkLinkEdgels *op;
  double   temp20;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinkThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinkEdgels_SetPhiThreshold_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinkEdgels *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinkEdgels_GetPhiThreshold_15(JNIEnv *env, jobject obj)
{
  vtkLinkEdgels *op;
  double   temp20;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinkEdgels_SetGradientThreshold_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinkEdgels *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinkEdgels_GetGradientThreshold_17(JNIEnv *env, jobject obj)
{
  vtkLinkEdgels *op;
  double   temp20;

  op = (vtkLinkEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientThreshold();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLinkEdgels_VTKInit(JNIEnv *, jobject)
{
  vtkLinkEdgels *aNewOne = vtkLinkEdgels::New();
  return (jlong)(size_t)(void*)aNewOne;
}
