// java wrapper for vtkMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMarchingCubes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMarchingCubes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMarchingCubes",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMarchingCubes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  const char    *temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMarchingCubes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkMarchingCubes *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMarchingCubes_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingCubes *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  int      temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkMarchingCubes *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkMarchingCubes *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
   unsigned long     temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetComputeNormals_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_GetComputeNormals_110(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  int      temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeNormalsOn_111(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeNormalsOff_112(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetComputeGradients_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradients(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_GetComputeGradients_114(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  int      temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradients();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeGradientsOn_115(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeGradientsOff_116(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetComputeScalars_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMarchingCubes_GetComputeScalars_118(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  int      temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeScalarsOn_119(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_ComputeScalarsOff_120(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_SetLocator_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMarchingCubes *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMarchingCubes_GetLocator_122(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMarchingCubes_CreateDefaultLocator_123(JNIEnv *env, jobject obj)
{
  vtkMarchingCubes *op;

  op = (vtkMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMarchingCubes_VTKInit(JNIEnv *, jobject)
{
  vtkMarchingCubes *aNewOne = vtkMarchingCubes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
