// java wrapper for vtkMergeCells object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeCells.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeCells_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeCells",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeCells_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  const char    *temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeCells *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetUnstructuredGrid_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeCells *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUnstructuredGrid(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMergeCells_GetUnstructuredGrid_13(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGrid();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetTotalNumberOfCells_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTotalNumberOfCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetTotalNumberOfCells_15(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  vtkIdType   temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetTotalNumberOfPoints_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTotalNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetTotalNumberOfPoints_17(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  vtkIdType   temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetUseGlobalIds_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseGlobalIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetUseGlobalIds_19(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  int      temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseGlobalIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetPointMergeTolerance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMergeCells *op;
  float    temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMergeCells_GetPointMergeToleranceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  float    temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMergeCells_GetPointMergeToleranceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  float    temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMergeCells_GetPointMergeTolerance_113(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  float    temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetUseGlobalCellIds_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseGlobalCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetUseGlobalCellIds_115(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  int      temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseGlobalCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetMergeDuplicatePoints_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeDuplicatePoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetMergeDuplicatePoints_117(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  int      temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeDuplicatePoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_MergeDuplicatePointsOn_118(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeDuplicatePointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_MergeDuplicatePointsOff_119(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeDuplicatePointsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_SetTotalNumberOfDataSets_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkMergeCells *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTotalNumberOfDataSets(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_GetTotalNumberOfDataSets_121(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;
  int      temp20;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfDataSets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeCells_MergeDataSet_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeCells *op;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MergeDataSet(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeCells_Finish_123(JNIEnv *env, jobject obj)
{
  vtkMergeCells *op;

  op = (vtkMergeCells *)vtkJavaGetPointerFromObject(env,obj);
  op->Finish();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMergeCells_VTKInit(JNIEnv *, jobject)
{
  vtkMergeCells *aNewOne = vtkMergeCells::New();
  return (jlong)(size_t)(void*)aNewOne;
}
