// java wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMeshQuality.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMeshQuality_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMeshQuality",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMeshQuality_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  const char    *temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMeshQuality *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetSaveCellQuality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSaveCellQuality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetSaveCellQuality_13(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSaveCellQuality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SaveCellQualityOn_14(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SaveCellQualityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SaveCellQualityOff_15(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SaveCellQualityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasure_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetTriangleQualityMeasure_17(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriangleQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToArea_18(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToArea();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio_19(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToAspectRatio_110(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio_111(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToAspectFrobenius_112(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToMinAngle_113(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToMaxAngle_114(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToMaxAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToCondition_115(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToCondition();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToScaledJacobian_116(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToScaledJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToRelativeSizeSquared_117(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToRelativeSizeSquared();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToShape_118(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToShape();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToShapeAndSize_119(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToShapeAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTriangleQualityMeasureToDistortion_120(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangleQualityMeasureToDistortion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasure_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetQuadQualityMeasure_122(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuadQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToEdgeRatio_123(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToAspectRatio_124(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToRadiusRatio_125(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMedAspectFrobenius_126(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToMedAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMaxAspectFrobenius_127(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToMaxAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMaxEdgeRatios_128(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToMaxEdgeRatios();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToSkew_129(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToSkew();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToTaper_130(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToTaper();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToWarpage_131(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToWarpage();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToArea_132(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToArea();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToStretch_133(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToStretch();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMinAngle_134(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToMaxAngle_135(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToMaxAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToOddy_136(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToOddy();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToCondition_137(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToCondition();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToJacobian_138(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToScaledJacobian_139(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToScaledJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToShear_140(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToShear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToShape_141(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToShape();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToRelativeSizeSquared_142(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToRelativeSizeSquared();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToShapeAndSize_143(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToShapeAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToShearAndSize_144(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToShearAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetQuadQualityMeasureToDistortion_145(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuadQualityMeasureToDistortion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasure_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetTetQualityMeasure_147(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTetQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToEdgeRatio_148(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToAspectRatio_149(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToAspectRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToRadiusRatio_150(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToRadiusRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToAspectFrobenius_151(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToMinAngle_152(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToMinAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToCollapseRatio_153(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToCollapseRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToAspectBeta_154(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToAspectBeta();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToAspectGamma_155(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToAspectGamma();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToVolume_156(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToVolume();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToCondition_157(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToCondition();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToJacobian_158(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToScaledJacobian_159(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToScaledJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToShape_160(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToShape();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToRelativeSizeSquared_161(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToRelativeSizeSquared();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToShapeAndSize_162(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToShapeAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetTetQualityMeasureToDistortion_163(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetQualityMeasureToDistortion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasure_164(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetHexQualityMeasure_165(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHexQualityMeasure();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToEdgeRatio_166(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToEdgeRatio();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToMedAspectFrobenius_167(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToMedAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToMaxAspectFrobenius_168(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToMaxAspectFrobenius();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToMaxEdgeRatios_169(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToMaxEdgeRatios();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToSkew_170(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToSkew();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToTaper_171(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToTaper();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToVolume_172(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToVolume();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToStretch_173(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToStretch();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToDiagonal_174(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToDiagonal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToDimension_175(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToDimension();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToOddy_176(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToOddy();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToCondition_177(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToCondition();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToJacobian_178(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToScaledJacobian_179(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToScaledJacobian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToShear_180(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToShear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToShape_181(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToShape();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToRelativeSizeSquared_182(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToRelativeSizeSquared();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToShapeAndSize_183(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToShapeAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToShearAndSize_184(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToShearAndSize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetHexQualityMeasureToDistortion_185(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHexQualityMeasureToDistortion();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleArea_186(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleArea(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleEdgeRatio_187(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleAspectRatio_188(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleRadiusRatio_189(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleAspectFrobenius_190(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleMinAngle_191(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleMaxAngle_192(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleMaxAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleCondition_193(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleCondition(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleScaledJacobian_194(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleScaledJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleRelativeSizeSquared_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleRelativeSizeSquared(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleShape_196(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleShape(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleShapeAndSize_197(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleShapeAndSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TriangleDistortion_198(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TriangleDistortion(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadEdgeRatio_199(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadAspectRatio_1100(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadRadiusRatio_1101(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMedAspectFrobenius_1102(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadMedAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMaxAspectFrobenius_1103(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadMaxAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMinAngle_1104(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMaxEdgeRatios_1105(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadMaxEdgeRatios(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadSkew_1106(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadSkew(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadTaper_1107(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadTaper(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadWarpage_1108(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadWarpage(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadArea_1109(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadArea(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadStretch_1110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadStretch(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadMaxAngle_1111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadMaxAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadOddy_1112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadOddy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadCondition_1113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadCondition(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadJacobian_1114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadScaledJacobian_1115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadScaledJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadShear_1116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadShear(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadShape_1117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadShape(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadRelativeSizeSquared_1118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadRelativeSizeSquared(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadShapeAndSize_1119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadShapeAndSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadShearAndSize_1120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadShearAndSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_QuadDistortion_1121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QuadDistortion(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetEdgeRatio_1122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetAspectRatio_1123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetAspectRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetRadiusRatio_1124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetRadiusRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetAspectFrobenius_1125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetMinAngle_1126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetMinAngle(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetCollapseRatio_1127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetCollapseRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetAspectBeta_1128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetAspectBeta(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetAspectGamma_1129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetAspectGamma(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetVolume_1130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetVolume(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetCondition_1131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetCondition(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetJacobian_1132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetScaledJacobian_1133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetScaledJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetShape_1134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetShape(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetRelativeSizeSquared_1135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetRelativeSizeSquared(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetShapeandSize_1136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetShapeandSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_TetDistortion_1137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TetDistortion(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexEdgeRatio_1138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexMedAspectFrobenius_1139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexMedAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexMaxAspectFrobenius_1140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexMaxAspectFrobenius(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexMaxEdgeRatio_1141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexMaxEdgeRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexSkew_1142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexSkew(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexTaper_1143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexTaper(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexVolume_1144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexVolume(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexStretch_1145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexStretch(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexDiagonal_1146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexDiagonal(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexDimension_1147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexDimension(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexOddy_1148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexOddy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexCondition_1149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexCondition(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexJacobian_1150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexScaledJacobian_1151(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexScaledJacobian(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexShear_1152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexShear(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexShape_1153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexShape(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexRelativeSizeSquared_1154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexRelativeSizeSquared(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexShapeAndSize_1155(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexShapeAndSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexShearAndSize_1156(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexShearAndSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMeshQuality_HexDistortion_1157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMeshQuality *op;
  vtkCell  *temp0;
  double   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HexDistortion(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetRatio_1158(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRatio(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetRatio_1159(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_RatioOn_1160(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->RatioOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_RatioOff_1161(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->RatioOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetVolume_1162(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolume(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetVolume_1163(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolume();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_VolumeOn_1164(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->VolumeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_VolumeOff_1165(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->VolumeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_SetCompatibilityMode_1166(JNIEnv *env, jobject obj,jint id0)
{
  vtkMeshQuality *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompatibilityMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMeshQuality_GetCompatibilityMode_1167(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;
  int      temp20;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompatibilityMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_CompatibilityModeOn_1168(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->CompatibilityModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMeshQuality_CompatibilityModeOff_1169(JNIEnv *env, jobject obj)
{
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)vtkJavaGetPointerFromObject(env,obj);
  op->CompatibilityModeOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMeshQuality_VTKInit(JNIEnv *, jobject)
{
  vtkMeshQuality *aNewOne = vtkMeshQuality::New();
  return (jlong)(size_t)(void*)aNewOne;
}
