// java wrapper for vtkModelMetadata object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModelMetadata.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkModelMetadata_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkModelMetadata",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  const char    *temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_PrintGlobalInformation_12(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintGlobalInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_PrintLocalInformation_13(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintLocalInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetTitle_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_GetTitle_15(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  const char    *temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AddInformationLine_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInformationLine(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfInformationLines_17(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInformationLines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AddQARecord_18(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2,jstring id3)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->AddQARecord(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfQARecords_19(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfQARecords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetTimeStepIndex_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStepIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetTimeStepIndex_111(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStepIndex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfTimeSteps_112(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetDimension_113(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfBlocks_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBlocks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfBlocks_115(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSumElementsPerBlock_116(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSumElementsPerBlock();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSizeBlockAttributeArray_117(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeBlockAttributeArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfNodeSets_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfNodeSets(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfNodeSets_119(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodeSets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSumNodesPerNodeSet_120(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSumNodesPerNodeSet();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSumDistFactPerNodeSet_121(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSumDistFactPerNodeSet();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetNumberOfSideSets_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSideSets(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfSideSets_123(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSideSets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSumSidesPerSideSet_124(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSumSidesPerSideSet();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetSumDistFactPerSideSet_125(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSumDistFactPerSideSet();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfBlockProperties_126(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBlockProperties();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfNodeSetProperties_127(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodeSetProperties();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfSideSetProperties_128(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSideSetProperties();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfGlobalVariables_129(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGlobalVariables();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_SetAllVariablesDefinedInAllBlocks_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllVariablesDefinedInAllBlocks(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AllVariablesDefinedInAllBlocksOn_131(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->AllVariablesDefinedInAllBlocksOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_AllVariablesDefinedInAllBlocksOff_132(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->AllVariablesDefinedInAllBlocksOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetAllVariablesDefinedInAllBlocks_133(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllVariablesDefinedInAllBlocks();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_ElementVariableIsDefinedInBlock_134(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ElementVariableIsDefinedInBlock(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetOriginalNumberOfElementVariables_135(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginalNumberOfElementVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfElementVariables_136(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElementVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetOriginalNumberOfNodeVariables_137(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginalNumberOfNodeVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetNumberOfNodeVariables_138(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  int      temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodeVariables();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_FindOriginalElementVariableName_139(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindOriginalElementVariableName(temp0,temp1);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModelMetadata_FindOriginalNodeVariableName_140(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp1;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindOriginalNodeVariableName(temp0,temp1);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_HasMetadata_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetadata(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_RemoveMetadata_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveMetadata(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_Pack_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->Pack(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_Unpack_144(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkModelMetadata *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Unpack(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_AddUGridElementVariable_145(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_RemoveUGridElementVariable_146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveUGridElementVariable(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_AddUGridNodeVariable_147(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkModelMetadata *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_RemoveUGridNodeVariable_148(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModelMetadata *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveUGridNodeVariable(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_MergeModelMetadata_149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MergeModelMetadata(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_MergeGlobalInformation_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = (vtkModelMetadata *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MergeGlobalInformation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkModelMetadata_ExtractModelMetadata_151(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkModelMetadata *op;
  vtkIdTypeArray  *temp0;
  vtkDataSet  *temp1;
  vtkModelMetadata  *temp20;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtractModelMetadata(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkModelMetadata_ExtractGlobalMetadata_152(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;
  vtkModelMetadata  *temp20;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtractGlobalMetadata();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeAllGlobalData_153(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeAllGlobalData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeAllLocalData_154(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeAllLocalData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeBlockDependentData_155(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeBlockDependentData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeOriginalElementVariableNames_156(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeOriginalElementVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeOriginalNodeVariableNames_157(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeOriginalNodeVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedElementVariableNames_158(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeUsedElementVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedNodeVariableNames_159(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeUsedNodeVariableNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedElementVariables_160(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeUsedElementVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_FreeUsedNodeVariables_161(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeUsedNodeVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModelMetadata_Reset_162(JNIEnv *env, jobject obj)
{
  vtkModelMetadata *op;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModelMetadata_GetBlockLocalIndex_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkModelMetadata *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkModelMetadata *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockLocalIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkModelMetadata_VTKInit(JNIEnv *, jobject)
{
  vtkModelMetadata *aNewOne = vtkModelMetadata::New();
  return (jlong)(size_t)(void*)aNewOne;
}
