// java wrapper for vtkMultiBlockMergeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiBlockMergeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiBlockMergeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiBlockMergeFilter",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockMergeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiBlockMergeFilter *op;
  const char    *temp20;

  op = (vtkMultiBlockMergeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockMergeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockMergeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockMergeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockMergeFilter_AddInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiBlockMergeFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiBlockMergeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockMergeFilter_AddInput_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMultiBlockMergeFilter *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMultiBlockMergeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMultiBlockMergeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkMultiBlockMergeFilter *aNewOne = vtkMultiBlockMergeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
