// java wrapper for vtkOutlineCornerFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutlineCornerFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOutlineCornerFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOutlineCornerFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOutlineCornerFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOutlineCornerFilter *op;
  const char    *temp20;

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutlineCornerFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutlineCornerFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineCornerFilter_SetCornerFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOutlineCornerFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCornerFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOutlineCornerFilter_GetCornerFactorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkOutlineCornerFilter *op;
  double   temp20;

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOutlineCornerFilter_GetCornerFactorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkOutlineCornerFilter *op;
  double   temp20;

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOutlineCornerFilter_GetCornerFactor_15(JNIEnv *env, jobject obj)
{
  vtkOutlineCornerFilter *op;
  double   temp20;

  op = (vtkOutlineCornerFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOutlineCornerFilter_VTKInit(JNIEnv *, jobject)
{
  vtkOutlineCornerFilter *aNewOne = vtkOutlineCornerFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
