// java wrapper for vtkPolyDataToReebGraphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataToReebGraphFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectedGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataToReebGraphFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataToReebGraphFilter",dType)) { return me; }
  if ((res= vtkDirectedGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataToReebGraphFilter *op;
  const char    *temp20;

  op = (vtkPolyDataToReebGraphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataToReebGraphFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataToReebGraphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_SetFieldId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataToReebGraphFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataToReebGraphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_GetFieldId_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataToReebGraphFilter *op;
  int      temp20;

  op = (vtkPolyDataToReebGraphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_GetOutput_14(JNIEnv *env, jobject obj)
{
  vtkPolyDataToReebGraphFilter *op;
  vtkReebGraph  *temp20;

  op = (vtkPolyDataToReebGraphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataToReebGraphFilter_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataToReebGraphFilter *aNewOne = vtkPolyDataToReebGraphFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
