// java wrapper for vtkProbeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProbeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProbeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProbeFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProbeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  const char    *temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProbeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProbeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProbeFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProbeFilter_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  vtkDataObject  *temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSourceConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProbeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetSpatialMatch_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkProbeFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpatialMatch(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProbeFilter_GetSpatialMatch_16(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  int      temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpatialMatch();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SpatialMatchOn_17(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SpatialMatchOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SpatialMatchOff_18(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SpatialMatchOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProbeFilter_GetValidPoints_19(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  vtkIdTypeArray  *temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValidPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProbeFilter_SetValidPointMaskArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProbeFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValidPointMaskArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProbeFilter_GetValidPointMaskArrayName_111(JNIEnv *env, jobject obj)
{
  vtkProbeFilter *op;
  char    *temp20;

  op = (vtkProbeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValidPointMaskArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProbeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkProbeFilter *aNewOne = vtkProbeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
