// java wrapper for vtkQuadRotationalExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadRotationalExtrusionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuadRotationalExtrusionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuadRotationalExtrusionFilter",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  const char    *temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetAxis_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetAxisMinValue_13(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetAxisMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetAxis_15(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetAxisToX_16(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisToX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetAxisToY_17(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisToY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetAxisToZ_18(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisToZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetResolution_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetResolutionMinValue_110(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetResolutionMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetResolution_112(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetCapping_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetCapping_114(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_CappingOn_115(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_CappingOff_116(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetDefaultAngle_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetDefaultAngle_118(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_RemoveAllPerBlockAngles_119(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllPerBlockAngles();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_AddPerBlockAngle_120(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkQuadRotationalExtrusionFilter *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddPerBlockAngle(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetTranslation_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetTranslation_122(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_SetDeltaRadius_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_GetDeltaRadius_124(JNIEnv *env, jobject obj)
{
  vtkQuadRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkQuadRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaRadius();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuadRotationalExtrusionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkQuadRotationalExtrusionFilter *aNewOne = vtkQuadRotationalExtrusionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
