// java wrapper for vtkQuadricDecimation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadricDecimation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuadricDecimation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuadricDecimation",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuadricDecimation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  const char    *temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuadricDecimation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetTargetReduction_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetReduction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetTargetReductionMinValue_13(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetTargetReductionMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetTargetReduction_15(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReduction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetAttributeErrorMetric_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeErrorMetric(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetAttributeErrorMetric_17(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeErrorMetric();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_AttributeErrorMetricOn_18(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->AttributeErrorMetricOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_AttributeErrorMetricOff_19(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->AttributeErrorMetricOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetScalarsAttribute_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarsAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetScalarsAttribute_111(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarsAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_ScalarsAttributeOn_112(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarsAttributeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_ScalarsAttributeOff_113(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarsAttributeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetVectorsAttribute_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorsAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetVectorsAttribute_115(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_VectorsAttributeOn_116(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->VectorsAttributeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_VectorsAttributeOff_117(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->VectorsAttributeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetNormalsAttribute_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalsAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetNormalsAttribute_119(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalsAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_NormalsAttributeOn_120(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalsAttributeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_NormalsAttributeOff_121(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalsAttributeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetTCoordsAttribute_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTCoordsAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetTCoordsAttribute_123(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoordsAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_TCoordsAttributeOn_124(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->TCoordsAttributeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_TCoordsAttributeOff_125(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->TCoordsAttributeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetTensorsAttribute_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadricDecimation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTensorsAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadricDecimation_GetTensorsAttribute_127(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  int      temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorsAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_TensorsAttributeOn_128(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->TensorsAttributeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_TensorsAttributeOff_129(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->TensorsAttributeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetScalarsWeight_130(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarsWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetVectorsWeight_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorsWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetNormalsWeight_132(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalsWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetTCoordsWeight_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTCoordsWeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadricDecimation_SetTensorsWeight_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuadricDecimation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTensorsWeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetScalarsWeight_135(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarsWeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetVectorsWeight_136(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsWeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetNormalsWeight_137(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalsWeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetTCoordsWeight_138(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoordsWeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetTensorsWeight_139(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorsWeight();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuadricDecimation_GetActualReduction_140(JNIEnv *env, jobject obj)
{
  vtkQuadricDecimation *op;
  double   temp20;

  op = (vtkQuadricDecimation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualReduction();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuadricDecimation_VTKInit(JNIEnv *, jobject)
{
  vtkQuadricDecimation *aNewOne = vtkQuadricDecimation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
