// java wrapper for vtkRandomAttributeGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRandomAttributeGenerator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRandomAttributeGenerator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRandomAttributeGenerator",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  const char    *temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRandomAttributeGenerator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToBit_13(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToBit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToChar_14(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToUnsignedChar_15(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToShort_16(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToUnsignedShort_17(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToInt_18(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToUnsignedInt_19(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToLong_110(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToUnsignedLong_111(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToFloat_112(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetDataTypeToDouble_113(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToDouble();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetDataType_114(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetNumberOfComponents_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfComponentsMinValue_116(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponentsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfComponentsMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponentsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfComponents_118(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetMinimumComponentValue_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRandomAttributeGenerator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumComponentValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetMinimumComponentValue_120(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  double   temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumComponentValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetMaximumComponentValue_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRandomAttributeGenerator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumComponentValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetMaximumComponentValue_122(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  double   temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumComponentValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetNumberOfTuples_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfTuplesMinValue_124(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  vtkIdType   temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTuplesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfTuplesMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  vtkIdType   temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTuplesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetNumberOfTuples_126(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  vtkIdType   temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTuples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointScalars_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointScalars_128(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointScalarsOn_129(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointScalarsOff_130(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointVectors_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointVectors_132(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointVectorsOn_133(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointVectorsOff_134(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointNormals_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointNormals_136(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointNormalsOn_137(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointNormalsOff_138(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointTensors_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointTensors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointTensors_140(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointTensors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointTensorsOn_141(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointTensorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointTensorsOff_142(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointTensorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointTCoords_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointTCoords_144(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointTCoordsOn_145(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointTCoordsOff_146(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGeneratePointArray_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGeneratePointArray_148(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointArrayOn_149(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GeneratePointArrayOff_150(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellScalars_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellScalars_152(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellScalarsOn_153(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellScalarsOff_154(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellVectors_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellVectors_156(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellVectorsOn_157(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellVectorsOff_158(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellNormals_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellNormals_160(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellNormalsOn_161(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellNormalsOff_162(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellTensors_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellTensors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellTensors_164(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellTensors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellTensorsOn_165(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellTensorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellTensorsOff_166(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellTensorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellTCoords_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellTCoords_168(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellTCoordsOn_169(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellTCoordsOff_170(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateCellArray_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCellArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateCellArray_172(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCellArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellArrayOn_173(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateCellArrayOff_174(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCellArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_SetGenerateFieldArray_175(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomAttributeGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateFieldArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomAttributeGenerator_GetGenerateFieldArray_176(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;
  int      temp20;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateFieldArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateFieldArrayOn_177(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFieldArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateFieldArrayOff_178(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFieldArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllPointDataOn_179(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllPointDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllPointDataOff_180(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllPointDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllCellDataOn_181(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllCellDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllCellDataOff_182(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllCellDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllDataOn_183(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomAttributeGenerator_GenerateAllDataOff_184(JNIEnv *env, jobject obj)
{
  vtkRandomAttributeGenerator *op;

  op = (vtkRandomAttributeGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateAllDataOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRandomAttributeGenerator_VTKInit(JNIEnv *, jobject)
{
  vtkRandomAttributeGenerator *aNewOne = vtkRandomAttributeGenerator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
