// java wrapper for vtkRearrangeFields object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRearrangeFields.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRearrangeFields_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRearrangeFields",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRearrangeFields_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRearrangeFields *op;
  const char    *temp20;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRearrangeFields *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_AddOperation_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkRearrangeFields *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddOperation(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_AddOperation_13(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3)
{
  vtkRearrangeFields *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddOperation(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_AddOperation_14(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2,jstring id3)
{
  vtkRearrangeFields *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddOperation(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_RemoveOperation_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkRearrangeFields *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveOperation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_RemoveOperation_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkRearrangeFields *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveOperation(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_RemoveOperation_17(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3)
{
  vtkRearrangeFields *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveOperation(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRearrangeFields_RemoveOperation_18(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2,jstring id3)
{
  vtkRearrangeFields *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveOperation(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRearrangeFields_RemoveAllOperations_19(JNIEnv *env, jobject obj)
{
  vtkRearrangeFields *op;

  op = (vtkRearrangeFields *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllOperations();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRearrangeFields_VTKInit(JNIEnv *, jobject)
{
  vtkRearrangeFields *aNewOne = vtkRearrangeFields::New();
  return (jlong)(size_t)(void*)aNewOne;
}
