// java wrapper for vtkReebGraphVolumeSkeletonFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReebGraphVolumeSkeletonFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReebGraphVolumeSkeletonFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReebGraphVolumeSkeletonFilter",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  const char    *temp20;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_SetNumberOfSamples_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSamples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_GetNumberOfSamples_13(JNIEnv *env, jobject obj)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  int      temp20;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_SetNumberOfSmoothingIterations_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSmoothingIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_GetNumberOfSmoothingIterations_15(JNIEnv *env, jobject obj)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  int      temp20;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSmoothingIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_SetFieldId_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_GetFieldId_17(JNIEnv *env, jobject obj)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  vtkIdType   temp20;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_GetOutput_18(JNIEnv *env, jobject obj)
{
  vtkReebGraphVolumeSkeletonFilter *op;
  vtkTable  *temp20;

  op = (vtkReebGraphVolumeSkeletonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkReebGraphVolumeSkeletonFilter_VTKInit(JNIEnv *, jobject)
{
  vtkReebGraphVolumeSkeletonFilter *aNewOne = vtkReebGraphVolumeSkeletonFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
