// java wrapper for vtkResliceCursor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceCursor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceCursor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  const char    *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetImage_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursor *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImage(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursor_GetImage_13(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  vtkImageData  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetCenter_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkResliceCursor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetCenter_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursor_GetCenter_16(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetThickness_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkResliceCursor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetThickness_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursor_GetThickness_19(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickness();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetThickMode_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursor_GetThickMode_111(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  int      temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_ThickModeOn_112(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ThickModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_ThickModeOff_113(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->ThickModeOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursor_GetPolyData_114(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  vtkPolyData  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursor_GetCenterlineAxisPolyData_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursor *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterlineAxisPolyData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursor_GetPlane_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursor *op;
  int      temp0;
  vtkPlane  *temp20;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlane(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_Update_117(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursor_GetXAxis_118(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxis();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursor_GetYAxis_119(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxis();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursor_GetZAxis_120(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double  *temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxis();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetXAxis_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkResliceCursor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxis(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetXAxis_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxis(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetYAxis_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkResliceCursor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxis(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetYAxis_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxis(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetZAxis_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkResliceCursor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxis(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetZAxis_126(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxis(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetHole_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHole(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursor_GetHole_128(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  int      temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHole();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetHoleWidth_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkResliceCursor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoleWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkResliceCursor_GetHoleWidth_130(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double   temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoleWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_SetHoleWidthInPixels_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkResliceCursor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoleWidthInPixels(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkResliceCursor_GetHoleWidthInPixels_132(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
  double   temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoleWidthInPixels();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursor_GetMTime_133(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;
   unsigned long     temp20;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursor_Reset_134(JNIEnv *env, jobject obj)
{
  vtkResliceCursor *op;

  op = (vtkResliceCursor *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceCursor_VTKInit(JNIEnv *, jobject)
{
  vtkResliceCursor *aNewOne = vtkResliceCursor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
