// java wrapper for vtkResliceCursorPolyDataAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorPolyDataAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceCursorPolyDataAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceCursorPolyDataAlgorithm",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  const char    *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetReslicePlaneNormal_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReslicePlaneNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetReslicePlaneNormal_13(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReslicePlaneNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetReslicePlaneNormalToXAxis_14(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReslicePlaneNormalToXAxis();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetReslicePlaneNormalToYAxis_15(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReslicePlaneNormalToYAxis();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetReslicePlaneNormalToZAxis_16(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReslicePlaneNormalToZAxis();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetResliceCursor_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkResliceCursor  *temp0;
  temp0 = (vtkResliceCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceCursor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetResliceCursor_18(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkResliceCursor  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetSliceBounds_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_SetSliceBounds_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetSliceBounds_111(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  double  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetCenterlineAxis1_112(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterlineAxis1();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetCenterlineAxis2_113(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterlineAxis2();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetThickSlabAxis1_114(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickSlabAxis1();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetThickSlabAxis2_115(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickSlabAxis2();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetAxis1_116(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis1();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetAxis2_117(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis2();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetPlaneAxis1_118(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneAxis1();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetPlaneAxis2_119(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneAxis2();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetOtherPlaneForAxis_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorPolyDataAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOtherPlaneForAxis(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_GetMTime_121(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPolyDataAlgorithm *op;
   unsigned long     temp20;

  op = (vtkResliceCursorPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceCursorPolyDataAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkResliceCursorPolyDataAlgorithm *aNewOne = vtkResliceCursorPolyDataAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
