// java wrapper for vtkReverseSense object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReverseSense.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReverseSense_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReverseSense",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkReverseSense_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;
  const char    *temp20;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReverseSense_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReverseSense *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_SetReverseCells_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkReverseSense *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverseCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReverseSense_GetReverseCells_13(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;
  int      temp20;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverseCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_ReverseCellsOn_14(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_ReverseCellsOff_15(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseCellsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_SetReverseNormals_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkReverseSense *op;
  int      temp0;
  temp0 = id0;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverseNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReverseSense_GetReverseNormals_17(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;
  int      temp20;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverseNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_ReverseNormalsOn_18(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReverseSense_ReverseNormalsOff_19(JNIEnv *env, jobject obj)
{
  vtkReverseSense *op;

  op = (vtkReverseSense *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseNormalsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkReverseSense_VTKInit(JNIEnv *, jobject)
{
  vtkReverseSense *aNewOne = vtkReverseSense::New();
  return (jlong)(size_t)(void*)aNewOne;
}
