// java wrapper for vtkRibbonFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRibbonFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRibbonFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRibbonFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRibbonFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  const char    *temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRibbonFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetWidth_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRibbonFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetWidthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetWidthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetWidth_15(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetAngle_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRibbonFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetAngleMinValue_17(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetAngleMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetAngle_19(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetVaryWidth_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkRibbonFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVaryWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_GetVaryWidth_111(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  int      temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVaryWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_VaryWidthOn_112(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->VaryWidthOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_VaryWidthOff_113(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->VaryWidthOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetWidthFactor_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRibbonFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidthFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetWidthFactor_115(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidthFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetDefaultNormal_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkRibbonFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetDefaultNormal_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRibbonFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRibbonFilter_GetDefaultNormal_118(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double  *temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetUseDefaultNormal_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkRibbonFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseDefaultNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_GetUseDefaultNormal_120(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  int      temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseDefaultNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_UseDefaultNormalOn_121(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDefaultNormalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_UseDefaultNormalOff_122(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDefaultNormalOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetGenerateTCoords_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkRibbonFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_GetGenerateTCoordsMinValue_124(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  int      temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateTCoordsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_GetGenerateTCoordsMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  int      temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateTCoordsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRibbonFilter_GetGenerateTCoords_126(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  int      temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetGenerateTCoordsToOff_127(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateTCoordsToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetGenerateTCoordsToNormalizedLength_128(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateTCoordsToNormalizedLength();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetGenerateTCoordsToUseLength_129(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateTCoordsToUseLength();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetGenerateTCoordsToUseScalars_130(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateTCoordsToUseScalars();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRibbonFilter_GetGenerateTCoordsAsString_131(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  const char    *temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateTCoordsAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRibbonFilter_SetTextureLength_132(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRibbonFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetTextureLengthMinValue_133(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetTextureLengthMaxValue_134(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRibbonFilter_GetTextureLength_135(JNIEnv *env, jobject obj)
{
  vtkRibbonFilter *op;
  double   temp20;

  op = (vtkRibbonFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureLength();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRibbonFilter_VTKInit(JNIEnv *, jobject)
{
  vtkRibbonFilter *aNewOne = vtkRibbonFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
