// java wrapper for vtkRotationalExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRotationalExtrusionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRotationalExtrusionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRotationalExtrusionFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  const char    *temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRotationalExtrusionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRotationalExtrusionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_SetResolution_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRotationalExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetResolutionMinValue_13(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetResolutionMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetResolution_15(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_SetCapping_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkRotationalExtrusionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetCapping_17(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  int      temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_CappingOn_18(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_CappingOff_19(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_SetAngle_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetAngle_111(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_SetTranslation_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetTranslation_113(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRotationalExtrusionFilter_SetDeltaRadius_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRotationalExtrusionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRotationalExtrusionFilter_GetDeltaRadius_115(JNIEnv *env, jobject obj)
{
  vtkRotationalExtrusionFilter *op;
  double   temp20;

  op = (vtkRotationalExtrusionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaRadius();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRotationalExtrusionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkRotationalExtrusionFilter *aNewOne = vtkRotationalExtrusionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
