// java wrapper for vtkSelectEnclosedPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectEnclosedPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectEnclosedPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectEnclosedPoints",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  const char    *temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectEnclosedPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_SetSurface_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectEnclosedPoints *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSurface(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_SetSurfaceConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectEnclosedPoints *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSurfaceConnection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetSurface_14(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  vtkPolyData  *temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSurface();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetSurface_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectEnclosedPoints *op;
  vtkInformationVector  *temp0;
  vtkPolyData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSurface(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_SetInsideOut_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectEnclosedPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_InsideOutOn_17(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_InsideOutOff_18(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetInsideOut_19(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  int      temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_SetCheckSurface_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectEnclosedPoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCheckSurface(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_CheckSurfaceOn_111(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckSurfaceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_CheckSurfaceOff_112(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckSurfaceOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetCheckSurface_113(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  int      temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCheckSurface();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_IsInside_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectEnclosedPoints *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInside(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_SetTolerance_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSelectEnclosedPoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetToleranceMinValue_116(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  double   temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetToleranceMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  double   temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectEnclosedPoints_GetTolerance_118(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;
  double   temp20;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_Initialize_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectEnclosedPoints *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_IsInsideSurface_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSelectEnclosedPoints *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsideSurface(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectEnclosedPoints_IsInsideSurface_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSelectEnclosedPoints *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsideSurface(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectEnclosedPoints_Complete_122(JNIEnv *env, jobject obj)
{
  vtkSelectEnclosedPoints *op;

  op = (vtkSelectEnclosedPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Complete();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectEnclosedPoints_VTKInit(JNIEnv *, jobject)
{
  vtkSelectEnclosedPoints *aNewOne = vtkSelectEnclosedPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
