// java wrapper for vtkSpherePuzzle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpherePuzzle.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpherePuzzle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpherePuzzle",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpherePuzzle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpherePuzzle *op;
  const char    *temp20;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpherePuzzle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpherePuzzle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzle_Reset_12(JNIEnv *env, jobject obj)
{
  vtkSpherePuzzle *op;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzle_MoveHorizontal_13(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSpherePuzzle *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveHorizontal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzle_MoveVertical_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSpherePuzzle *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveVertical(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpherePuzzle_SetPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSpherePuzzle *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzle_MovePoint_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpherePuzzle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpherePuzzle *)vtkJavaGetPointerFromObject(env,obj);
  op->MovePoint(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSpherePuzzle_VTKInit(JNIEnv *, jobject)
{
  vtkSpherePuzzle *aNewOne = vtkSpherePuzzle::New();
  return (jlong)(size_t)(void*)aNewOne;
}
