// java wrapper for vtkStreamingTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingTessellator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamingTessellator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamingTessellator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamingTessellator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamingTessellator *op;
  const char    *temp20;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamingTessellator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingTessellator_SetSubdivisionAlgorithm_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingTessellator *op;
  vtkEdgeSubdivisionCriterion  *temp0;
  temp0 = (vtkEdgeSubdivisionCriterion *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubdivisionAlgorithm(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamingTessellator_GetSubdivisionAlgorithm_13(JNIEnv *env, jobject obj)
{
  vtkStreamingTessellator *op;
  vtkEdgeSubdivisionCriterion  *temp20;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubdivisionAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingTessellator_SetEmbeddingDimension_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkStreamingTessellator *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEmbeddingDimension(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_GetEmbeddingDimension_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingTessellator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEmbeddingDimension(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingTessellator_SetFieldSize_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkStreamingTessellator *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldSize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_GetFieldSize_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingTessellator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingTessellator_SetMaximumNumberOfSubdivisions_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfSubdivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_GetMaximumNumberOfSubdivisions_19(JNIEnv *env, jobject obj)
{
  vtkStreamingTessellator *op;
  int      temp20;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingTessellator_ResetCounts_110(JNIEnv *env, jobject obj)
{
  vtkStreamingTessellator *op;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCounts();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_GetCaseCount_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamingTessellator *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaseCount(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingTessellator_GetSubcaseCount_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkStreamingTessellator *op;
  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkStreamingTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubcaseCount(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamingTessellator_VTKInit(JNIEnv *, jobject)
{
  vtkStreamingTessellator *aNewOne = vtkStreamingTessellator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
