// java wrapper for vtkSynchronizedTemplates3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedTemplates3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSynchronizedTemplates3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSynchronizedTemplates3D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  const char    *temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSynchronizedTemplates3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
   unsigned long     temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetComputeNormals_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetComputeNormals_14(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int      temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeNormalsOn_15(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeNormalsOff_16(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetComputeGradients_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradients(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetComputeGradients_18(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int      temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradients();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeGradientsOn_19(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeGradientsOff_110(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetComputeScalars_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetComputeScalars_112(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int      temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeScalarsOn_113(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_ComputeScalarsOff_114(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetValue_115(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetValue_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetNumberOfContours_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetNumberOfContours_118(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int      temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GenerateValues_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GenerateValues_120(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetExecuteExtent_121(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int     *temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExecuteExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetInputMemoryLimit_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputMemoryLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetInputMemoryLimit_123(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
   unsigned long     temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputMemoryLimit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplates3D_SetArrayComponent_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedTemplates3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplates3D_GetArrayComponent_125(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplates3D *op;
  int      temp20;

  op = (vtkSynchronizedTemplates3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSynchronizedTemplates3D_VTKInit(JNIEnv *, jobject)
{
  vtkSynchronizedTemplates3D *aNewOne = vtkSynchronizedTemplates3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
