// java wrapper for vtkSynchronizedTemplatesCutter3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedTemplatesCutter3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSynchronizedTemplates3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSynchronizedTemplatesCutter3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSynchronizedTemplatesCutter3D",dType)) { return me; }
  if ((res= vtkSynchronizedTemplates3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplatesCutter3D *op;
  const char    *temp20;

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSynchronizedTemplatesCutter3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_SetCutFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSynchronizedTemplatesCutter3D *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_GetCutFunction_13(JNIEnv *env, jobject obj)
{
  vtkSynchronizedTemplatesCutter3D *op;
  vtkImplicitFunction  *temp20;

  op = (vtkSynchronizedTemplatesCutter3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSynchronizedTemplatesCutter3D_VTKInit(JNIEnv *, jobject)
{
  vtkSynchronizedTemplatesCutter3D *aNewOne = vtkSynchronizedTemplatesCutter3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
