// java wrapper for vtkTableBasedClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableBasedClipDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableBasedClipDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableBasedClipDataSet",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  const char    *temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableBasedClipDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableBasedClipDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
   unsigned long     temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetInsideOut_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableBasedClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetInsideOut_14(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  int      temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_InsideOutOn_15(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_InsideOutOff_16(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetValue_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTableBasedClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetValue_18(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  double   temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetUseValueAsOffset_19(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTableBasedClipDataSet *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseValueAsOffset(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetUseValueAsOffset_110(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  bool   temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseValueAsOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_UseValueAsOffsetOn_111(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UseValueAsOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_UseValueAsOffsetOff_112(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->UseValueAsOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetClipFunction_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTableBasedClipDataSet *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetClipFunction_114(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  vtkImplicitFunction  *temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetGenerateClipScalars_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableBasedClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetGenerateClipScalars_116(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  int      temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_GenerateClipScalarsOn_117(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_GenerateClipScalarsOff_118(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetLocator_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTableBasedClipDataSet *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetLocator_120(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetMergeTolerance_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTableBasedClipDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetMergeToleranceMinValue_122(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  double   temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetMergeToleranceMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  double   temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetMergeTolerance_124(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  double   temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_CreateDefaultLocator_125(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_SetGenerateClippedOutput_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableBasedClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetGenerateClippedOutput_127(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  int      temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_GenerateClippedOutputOn_128(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableBasedClipDataSet_GenerateClippedOutputOff_129(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTableBasedClipDataSet_GetClippedOutput_130(JNIEnv *env, jobject obj)
{
  vtkTableBasedClipDataSet *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkTableBasedClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippedOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableBasedClipDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkTableBasedClipDataSet *aNewOne = vtkTableBasedClipDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
