// java wrapper for vtkTableToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableToPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableToPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableToPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  const char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetXColumn_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXColumn(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetXColumn_13(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetXColumnIndex_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXColumnIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXColumnIndexMinValue_15(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXColumnIndexMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXColumnIndexMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXColumnIndexMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXColumnIndex_17(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXColumnIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetXComponent_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponentMinValue_19(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponentMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetXComponent_111(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetYColumn_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYColumn(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetYColumn_113(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetYColumnIndex_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYColumnIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYColumnIndexMinValue_115(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYColumnIndexMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYColumnIndexMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYColumnIndexMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYColumnIndex_117(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYColumnIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetYComponent_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponentMinValue_119(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponentMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetYComponent_121(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetZColumn_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZColumn(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToPolyData_GetZColumn_123(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  char    *temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetZColumnIndex_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZColumnIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZColumnIndexMinValue_125(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZColumnIndexMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZColumnIndexMaxValue_126(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZColumnIndexMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZColumnIndex_127(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZColumnIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetZComponent_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkTableToPolyData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponentMinValue_129(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponentMaxValue_130(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToPolyData_GetZComponent_131(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  int      temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetCreate2DPoints_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTableToPolyData *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreate2DPoints(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTableToPolyData_GetCreate2DPoints_133(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  bool   temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreate2DPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_Create2DPointsOn_134(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Create2DPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_Create2DPointsOff_135(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->Create2DPointsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_SetPreserveCoordinateColumnsAsDataArrays_136(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTableToPolyData *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreserveCoordinateColumnsAsDataArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTableToPolyData_GetPreserveCoordinateColumnsAsDataArrays_137(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;
  bool   temp20;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreserveCoordinateColumnsAsDataArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_PreserveCoordinateColumnsAsDataArraysOn_138(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveCoordinateColumnsAsDataArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToPolyData_PreserveCoordinateColumnsAsDataArraysOff_139(JNIEnv *env, jobject obj)
{
  vtkTableToPolyData *op;

  op = (vtkTableToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveCoordinateColumnsAsDataArraysOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableToPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkTableToPolyData *aNewOne = vtkTableToPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
