// java wrapper for vtkTessellatedBoxSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTessellatedBoxSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTessellatedBoxSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTessellatedBoxSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTessellatedBoxSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;
  const char    *temp20;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTessellatedBoxSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTessellatedBoxSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_SetBounds_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkTessellatedBoxSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_SetBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTessellatedBoxSource *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTessellatedBoxSource_GetBounds_14(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;
  double  *temp20;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_SetLevel_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkTessellatedBoxSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTessellatedBoxSource_GetLevel_16(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;
  int      temp20;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_SetDuplicateSharedPoints_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTessellatedBoxSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDuplicateSharedPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTessellatedBoxSource_GetDuplicateSharedPoints_18(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;
  int      temp20;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDuplicateSharedPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_DuplicateSharedPointsOn_19(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DuplicateSharedPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_DuplicateSharedPointsOff_110(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DuplicateSharedPointsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_SetQuads_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTessellatedBoxSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTessellatedBoxSource_GetQuads_112(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;
  int      temp20;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_QuadsOn_113(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->QuadsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTessellatedBoxSource_QuadsOff_114(JNIEnv *env, jobject obj)
{
  vtkTessellatedBoxSource *op;

  op = (vtkTessellatedBoxSource *)vtkJavaGetPointerFromObject(env,obj);
  op->QuadsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTessellatedBoxSource_VTKInit(JNIEnv *, jobject)
{
  vtkTessellatedBoxSource *aNewOne = vtkTessellatedBoxSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
