// java wrapper for vtkTransformCoordinateSystems object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformCoordinateSystems.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformCoordinateSystems_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformCoordinateSystems",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformCoordinateSystems_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;
  const char    *temp20;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformCoordinateSystems_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformCoordinateSystems *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetInputCoordinateSystem_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformCoordinateSystems *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformCoordinateSystems_GetInputCoordinateSystem_13(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;
  int      temp20;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetInputCoordinateSystemToDisplay_14(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystemToDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetInputCoordinateSystemToViewport_15(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystemToViewport();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetInputCoordinateSystemToWorld_16(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputCoordinateSystemToWorld();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetOutputCoordinateSystem_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformCoordinateSystems *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformCoordinateSystems_GetOutputCoordinateSystem_18(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;
  int      temp20;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetOutputCoordinateSystemToDisplay_19(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystemToDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetOutputCoordinateSystemToViewport_110(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystemToViewport();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetOutputCoordinateSystemToWorld_111(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputCoordinateSystemToWorld();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformCoordinateSystems_GetMTime_112(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;
   unsigned long     temp20;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformCoordinateSystems_SetViewport_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformCoordinateSystems *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransformCoordinateSystems_GetViewport_114(JNIEnv *env, jobject obj)
{
  vtkTransformCoordinateSystems *op;
  vtkViewport  *temp20;

  op = (vtkTransformCoordinateSystems *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewport();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransformCoordinateSystems_VTKInit(JNIEnv *, jobject)
{
  vtkTransformCoordinateSystems *aNewOne = vtkTransformCoordinateSystems::New();
  return (jlong)(size_t)(void*)aNewOne;
}
