// java wrapper for vtkTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
  const char    *temp20;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformFilter_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
   unsigned long     temp20;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformFilter_SetTransform_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformFilter *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransformFilter_GetTransform_14(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
  vtkAbstractTransform  *temp20;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformFilter_FillInputPortInformation_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTransformFilter *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransformFilter_VTKInit(JNIEnv *, jobject)
{
  vtkTransformFilter *aNewOne = vtkTransformFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
