// java wrapper for vtkUnstructuredGridGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridGeometryFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridGeometryFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridGeometryFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  const char    *temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetPointClipping_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointClipping_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PointClippingOn_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PointClippingOff_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PointClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetCellClipping_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellClipping_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_CellClippingOn_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CellClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_CellClippingOff_19(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CellClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetExtentClipping_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentClipping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetExtentClipping_111(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentClipping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_ExtentClippingOn_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ExtentClippingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_ExtentClippingOff_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ExtentClippingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetPointMinimum_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMinimum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMinimumMinValue_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMinimumMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMinimum_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetPointMaximum_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointMaximum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMaximumMinValue_119(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMaximumMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPointMaximum_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetCellMinimum_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellMinimum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMinimumMinValue_123(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMinimumMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMinimum_125(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetCellMaximum_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellMaximum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMaximumMinValue_127(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximumMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMaximumMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximumMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetCellMaximum_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetExtent_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkUnstructuredGridGeometryFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetExtent_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetMerging_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetMerging_133(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_MergingOn_134(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_MergingOff_135(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetPassThroughCellIds_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassThroughCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPassThroughCellIds_137(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassThroughCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PassThroughCellIdsOn_138(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PassThroughCellIdsOff_139(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetPassThroughPointIds_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassThroughPointIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetPassThroughPointIds_141(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  int      temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassThroughPointIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PassThroughPointIdsOn_142(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughPointIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_PassThroughPointIdsOff_143(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughPointIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetOriginalCellIdsName_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginalCellIdsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetOriginalCellIdsName_145(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  const char    *temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginalCellIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetOriginalPointIdsName_146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginalPointIdsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetOriginalPointIdsName_147(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  const char    *temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginalPointIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_SetLocator_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetLocator_149(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_CreateDefaultLocator_150(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_GetMTime_151(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridGeometryFilter *op;
   unsigned long     temp20;

  op = (vtkUnstructuredGridGeometryFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridGeometryFilter_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridGeometryFilter *aNewOne = vtkUnstructuredGridGeometryFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
