// java wrapper for vtkVectorDot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVectorDot.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVectorDot_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVectorDot",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVectorDot_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVectorDot *op;
  const char    *temp20;

  op = (vtkVectorDot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVectorDot_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVectorDot *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVectorDot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorDot_SetScalarRange_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkVectorDot *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVectorDot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorDot_SetScalarRange_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVectorDot *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkVectorDot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVectorDot_GetScalarRange_14(JNIEnv *env, jobject obj)
{
  vtkVectorDot *op;
  double  *temp20;

  op = (vtkVectorDot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVectorDot_VTKInit(JNIEnv *, jobject)
{
  vtkVectorDot *aNewOne = vtkVectorDot::New();
  return (jlong)(size_t)(void*)aNewOne;
}
