// java wrapper for vtkVectorNorm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVectorNorm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVectorNorm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVectorNorm",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVectorNorm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;
  const char    *temp20;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVectorNorm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVectorNorm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_SetNormalize_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkVectorNorm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVectorNorm_GetNormalize_13(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;
  int      temp20;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_NormalizeOn_14(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_NormalizeOff_15(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_SetAttributeMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkVectorNorm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVectorNorm_GetAttributeMode_17(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;
  int      temp20;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_SetAttributeModeToDefault_18(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_SetAttributeModeToUsePointData_19(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorNorm_SetAttributeModeToUseCellData_110(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUseCellData();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVectorNorm_GetAttributeModeAsString_111(JNIEnv *env, jobject obj)
{
  vtkVectorNorm *op;
  const char    *temp20;

  op = (vtkVectorNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVectorNorm_VTKInit(JNIEnv *, jobject)
{
  vtkVectorNorm *aNewOne = vtkVectorNorm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
