// java wrapper for vtkVolumeContourSpectrumFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeContourSpectrumFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeContourSpectrumFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeContourSpectrumFilter",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeContourSpectrumFilter *op;
  const char    *temp20;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeContourSpectrumFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_SetArcId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeContourSpectrumFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArcId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_GetArcId_13(JNIEnv *env, jobject obj)
{
  vtkVolumeContourSpectrumFilter *op;
  vtkIdType   temp20;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArcId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_SetNumberOfSamples_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeContourSpectrumFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSamples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_GetNumberOfSamples_15(JNIEnv *env, jobject obj)
{
  vtkVolumeContourSpectrumFilter *op;
  int      temp20;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_SetFieldId_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeContourSpectrumFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_GetFieldId_17(JNIEnv *env, jobject obj)
{
  vtkVolumeContourSpectrumFilter *op;
  vtkIdType   temp20;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_GetOutput_18(JNIEnv *env, jobject obj)
{
  vtkVolumeContourSpectrumFilter *op;
  vtkTable  *temp20;

  op = (vtkVolumeContourSpectrumFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeContourSpectrumFilter_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeContourSpectrumFilter *aNewOne = vtkVolumeContourSpectrumFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
