// java wrapper for vtkYoungsMaterialInterface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkYoungsMaterialInterface.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkYoungsMaterialInterface_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkYoungsMaterialInterface",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  const char    *temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkYoungsMaterialInterface *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetInverseNormal_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInverseNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetInverseNormal_13(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_InverseNormalOn_14(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->InverseNormalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_InverseNormalOff_15(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->InverseNormalOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetReverseMaterialOrder_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverseMaterialOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetReverseMaterialOrder_17(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverseMaterialOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_ReverseMaterialOrderOn_18(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseMaterialOrderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_ReverseMaterialOrderOff_19(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseMaterialOrderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetOnionPeel_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOnionPeel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetOnionPeel_111(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnionPeel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_OnionPeelOn_112(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->OnionPeelOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_OnionPeelOff_113(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->OnionPeelOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetAxisSymetric_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisSymetric(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetAxisSymetric_115(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisSymetric();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_AxisSymetricOn_116(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->AxisSymetricOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_AxisSymetricOff_117(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->AxisSymetricOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetUseFractionAsDistance_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseFractionAsDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetUseFractionAsDistance_119(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseFractionAsDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_UseFractionAsDistanceOn_120(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFractionAsDistanceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_UseFractionAsDistanceOff_121(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFractionAsDistanceOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetFillMaterial_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFillMaterial(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetFillMaterial_123(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFillMaterial();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_FillMaterialOn_124(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->FillMaterialOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_FillMaterialOff_125(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->FillMaterialOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetVolumeFractionRange_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkYoungsMaterialInterface *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolumeFractionRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetVolumeFractionRange_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkYoungsMaterialInterface *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolumeFractionRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetVolumeFractionRange_128(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  double  *temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeFractionRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetNumberOfMaterials_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfMaterials(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetNumberOfMaterials_130(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfMaterials();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetUseAllBlocks_131(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkYoungsMaterialInterface *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseAllBlocks(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetUseAllBlocks_132(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  bool   temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseAllBlocks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_UseAllBlocksOn_133(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->UseAllBlocksOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_UseAllBlocksOff_134(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->UseAllBlocksOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkYoungsMaterialInterface_GetNumberOfDomains_135(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;
  int      temp20;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDomains();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialArrays_136(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2,jstring id3,jstring id4,jstring id5)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  char    *temp4;
  char    *temp5;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);
  temp5 = vtkJavaUTFToChar(env,id5);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialArrays(temp0,temp1,temp2,temp3,temp4,temp5);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
  if (temp4) delete[] temp4;
  if (temp5) delete[] temp5;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialArrays_137(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2,jstring id3)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialArrays(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialVolumeFractionArray_138(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialVolumeFractionArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialNormalArray_139(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialNormalArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialOrderingArray_140(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialOrderingArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_RemoveAllMaterials_141(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllMaterials();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialNormalArray_142(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkYoungsMaterialInterface *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialNormalArray(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_SetMaterialOrderingArray_143(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkYoungsMaterialInterface *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialOrderingArray(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_RemoveAllMaterialBlockMappings_144(JNIEnv *env, jobject obj)
{
  vtkYoungsMaterialInterface *op;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllMaterialBlockMappings();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkYoungsMaterialInterface_AddMaterialBlockMapping_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkYoungsMaterialInterface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkYoungsMaterialInterface *)vtkJavaGetPointerFromObject(env,obj);
  op->AddMaterialBlockMapping(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkYoungsMaterialInterface_VTKInit(JNIEnv *, jobject)
{
  vtkYoungsMaterialInterface *aNewOne = vtkYoungsMaterialInterface::New();
  return (jlong)(size_t)(void*)aNewOne;
}
