// java wrapper for vtkAnnotatedCubeActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAnnotatedCubeActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAnnotatedCubeActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAnnotatedCubeActor",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  const char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetActors_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_RenderTranslucentPolygonalGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_ShallowCopy_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_ReleaseGraphicsResources_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAnnotatedCubeActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetBounds_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAnnotatedCubeActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetBounds_19(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
   unsigned long     temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetFaceTextScale_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFaceTextScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetFaceTextScale_112(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceTextScale();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXPlusFaceProperty_113(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXPlusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXMinusFaceProperty_114(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXMinusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYPlusFaceProperty_115(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYPlusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYMinusFaceProperty_116(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYMinusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZPlusFaceProperty_117(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZPlusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZMinusFaceProperty_118(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZMinusFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetCubeProperty_119(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCubeProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetTextEdgesProperty_120(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkProperty  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextEdgesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXPlusFaceText_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXPlusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXPlusFaceText_122(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXMinusFaceText_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXMinusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXMinusFaceText_124(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYPlusFaceText_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYPlusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYPlusFaceText_126(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYMinusFaceText_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYMinusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYMinusFaceText_128(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZPlusFaceText_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZPlusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZPlusFaceText_130(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZPlusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZMinusFaceText_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAnnotatedCubeActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZMinusFaceText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZMinusFaceText_132(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  char    *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZMinusFaceText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetTextEdgesVisibility_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextEdgesVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetTextEdgesVisibility_134(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextEdgesVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetCubeVisibility_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCubeVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetCubeVisibility_136(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCubeVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetFaceTextVisibility_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkAnnotatedCubeActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFaceTextVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetFaceTextVisibility_138(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  int      temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceTextVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetXFaceTextRotation_139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetXFaceTextRotation_140(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetYFaceTextRotation_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetYFaceTextRotation_142(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAnnotatedCubeActor_SetZFaceTextRotation_143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAnnotatedCubeActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZFaceTextRotation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetZFaceTextRotation_144(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  double   temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZFaceTextRotation();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAnnotatedCubeActor_GetAssembly_145(JNIEnv *env, jobject obj)
{
  vtkAnnotatedCubeActor *op;
  vtkAssembly  *temp20;

  op = (vtkAnnotatedCubeActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssembly();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAnnotatedCubeActor_VTKInit(JNIEnv *, jobject)
{
  vtkAnnotatedCubeActor *aNewOne = vtkAnnotatedCubeActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
