// java wrapper for vtkAxisFollower object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisFollower.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFollower_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxisFollower_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxisFollower",dType)) { return me; }
  if ((res= vtkFollower_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisFollower_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  const char    *temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisFollower *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetAxis_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkAxisActor  *temp0;
  temp0 = (vtkAxisActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxis(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisFollower_GetAxis_13(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  vtkAxisActor  *temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetAutoCenter_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisFollower *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoCenter(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_GetAutoCenter_15(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  int      temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoCenter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_AutoCenterOn_16(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCenterOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_AutoCenterOff_17(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCenterOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetEnableDistanceLOD_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisFollower *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableDistanceLOD(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_GetEnableDistanceLOD_19(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  int      temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableDistanceLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetDistanceLODThreshold_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisFollower *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceLODThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetDistanceLODThresholdMinValue_111(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThresholdMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetDistanceLODThresholdMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThresholdMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetDistanceLODThreshold_113(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetEnableViewAngleLOD_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisFollower *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableViewAngleLOD(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_GetEnableViewAngleLOD_115(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  int      temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableViewAngleLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetViewAngleLODThreshold_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisFollower *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewAngleLODThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetViewAngleLODThresholdMinValue_117(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThresholdMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetViewAngleLODThresholdMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThresholdMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetViewAngleLODThreshold_119(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_SetScreenOffset_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisFollower *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_GetScreenOffset_121(JNIEnv *env, jobject obj)
{
  vtkAxisFollower *op;
  double   temp20;

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenOffset();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_RenderOpaqueGeometry_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisFollower_RenderTranslucentPolygonalGeometry_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_Render_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_ComputeTransformMatrix_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeTransformMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisFollower_ShallowCopy_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisFollower *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisFollower_AutoScale_127(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2,jdoubleArray id3)
{
  vtkAxisFollower *op;
  vtkViewport  *temp0;
  vtkCamera  *temp1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  double   temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkAxisFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AutoScale(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxisFollower_VTKInit(JNIEnv *, jobject)
{
  vtkAxisFollower *aNewOne = vtkAxisFollower::New();
  return (jlong)(size_t)(void*)aNewOne;
}
