// java wrapper for vtkCaptionActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionActor2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCaptionActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCaptionActor2D",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCaptionActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  const char    *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCaptionActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetCaption_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCaptionActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaption(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCaptionActor2D_GetCaption_13(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  char    *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaption();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionActor2D_GetAttachmentPointCoordinate_14(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  vtkCoordinate  *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttachmentPointCoordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetAttachmentPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCaptionActor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttachmentPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetAttachmentPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCaptionActor2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttachmentPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCaptionActor2D_GetAttachmentPoint_17(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  double  *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttachmentPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetBorder_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetBorder_19(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_BorderOn_110(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_BorderOff_111(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetLeader_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeader(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetLeader_113(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeader();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_LeaderOn_114(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->LeaderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_LeaderOff_115(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->LeaderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetThreeDimensionalLeader_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThreeDimensionalLeader(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetThreeDimensionalLeader_117(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThreeDimensionalLeader();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_ThreeDimensionalLeaderOn_118(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreeDimensionalLeaderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_ThreeDimensionalLeaderOff_119(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreeDimensionalLeaderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetLeaderGlyph_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeaderGlyph(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionActor2D_GetLeaderGlyph_121(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  vtkPolyData  *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeaderGlyph();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetLeaderGlyphSize_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCaptionActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeaderGlyphSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionActor2D_GetLeaderGlyphSizeMinValue_123(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  double   temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeaderGlyphSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionActor2D_GetLeaderGlyphSizeMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  double   temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeaderGlyphSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionActor2D_GetLeaderGlyphSize_125(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  double   temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeaderGlyphSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetMaximumLeaderGlyphSize_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumLeaderGlyphSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetMaximumLeaderGlyphSizeMinValue_127(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLeaderGlyphSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetMaximumLeaderGlyphSizeMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLeaderGlyphSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetMaximumLeaderGlyphSize_129(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLeaderGlyphSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetPadding_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPadding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetPaddingMinValue_131(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPaddingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetPaddingMaxValue_132(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPaddingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetPadding_133(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPadding();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionActor2D_GetTextActor_134(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  vtkTextActor  *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetCaptionTextProperty_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaptionTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionActor2D_GetCaptionTextProperty_136(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  vtkTextProperty  *temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaptionTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_ShallowCopy_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_SetAttachEdgeOnly_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttachEdgeOnly(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_GetAttachEdgeOnly_139(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttachEdgeOnly();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_AttachEdgeOnlyOn_140(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AttachEdgeOnlyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_AttachEdgeOnlyOff_141(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AttachEdgeOnlyOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionActor2D_ReleaseGraphicsResources_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_RenderOpaqueGeometry_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_RenderTranslucentPolygonalGeometry_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_RenderOverlay_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionActor2D_HasTranslucentPolygonalGeometry_146(JNIEnv *env, jobject obj)
{
  vtkCaptionActor2D *op;
  int      temp20;

  op = (vtkCaptionActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCaptionActor2D_VTKInit(JNIEnv *, jobject)
{
  vtkCaptionActor2D *aNewOne = vtkCaptionActor2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
