// java wrapper for vtkDSPFilterGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDSPFilterGroup.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDSPFilterGroup_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDSPFilterGroup",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDSPFilterGroup_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDSPFilterGroup *op;
  const char    *temp20;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDSPFilterGroup_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_AddFilter_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDSPFilterGroup *op;
  vtkDSPFilterDefinition  *temp0;
  temp0 = (vtkDSPFilterDefinition *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFilter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_RemoveFilter_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveFilter(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDSPFilterGroup_IsThisInputVariableInstanceNeeded_14(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsThisInputVariableInstanceNeeded(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDSPFilterGroup_IsThisInputVariableInstanceCached_15(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp1;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsThisInputVariableInstanceCached(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_AddInputVariableInstance_16(JNIEnv *env, jobject obj,jstring id0,jint id1,jobject id2)
{
  vtkDSPFilterGroup *op;
  char    *temp0;
  int      temp1;
  vtkFloatArray  *temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputVariableInstance(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDSPFilterGroup_GetCachedInput_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCachedInput(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDSPFilterGroup_GetCachedOutput_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCachedOutput(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDSPFilterGroup_GetInputVariableName_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDSPFilterGroup_GetNumFilters_110(JNIEnv *env, jobject obj)
{
  vtkDSPFilterGroup *op;
  int      temp20;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumFilters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDSPFilterGroup_Copy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDSPFilterGroup *op;
  vtkDSPFilterGroup  *temp0;
  temp0 = (vtkDSPFilterGroup *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  op->Copy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDSPFilterGroup_GetFilter_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkDSPFilterGroup *op;
  int      temp0;
  vtkDSPFilterDefinition  *temp20;
  temp0 = id0;

  op = (vtkDSPFilterGroup *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilter(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDSPFilterGroup_VTKInit(JNIEnv *, jobject)
{
  vtkDSPFilterGroup *aNewOne = vtkDSPFilterGroup::New();
  return (jlong)(size_t)(void*)aNewOne;
}
