// java wrapper for vtkEarthSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEarthSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEarthSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEarthSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEarthSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  const char    *temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEarthSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEarthSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEarthSource_SetRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkEarthSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEarthSource_GetRadiusMinValue_13(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  double   temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEarthSource_GetRadiusMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  double   temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEarthSource_GetRadius_15(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  double   temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEarthSource_SetOnRatio_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkEarthSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOnRatio(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEarthSource_GetOnRatioMinValue_17(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  int      temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnRatioMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEarthSource_GetOnRatioMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  int      temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnRatioMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEarthSource_GetOnRatio_19(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  int      temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEarthSource_SetOutline_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkEarthSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEarthSource_GetOutline_111(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;
  int      temp20;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEarthSource_OutlineOn_112(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEarthSource_OutlineOff_113(JNIEnv *env, jobject obj)
{
  vtkEarthSource *op;

  op = (vtkEarthSource *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEarthSource_VTKInit(JNIEnv *, jobject)
{
  vtkEarthSource *aNewOne = vtkEarthSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
