// java wrapper for vtkExodusIICache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusIICache.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExodusIICache_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExodusIICache",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExodusIICache_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExodusIICache *op;
  const char    *temp20;

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIICache_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExodusIICache *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIICache_Clear_12(JNIEnv *env, jobject obj)
{
  vtkExodusIICache *op;

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExodusIICache_SetCacheCapacity_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusIICache *op;
  double   temp0;
  temp0 = id0;

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheCapacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExodusIICache_GetSpaceLeft_14(JNIEnv *env, jobject obj)
{
  vtkExodusIICache *op;
  double   temp20;

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpaceLeft();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExodusIICache_ReduceToSize_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExodusIICache *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkExodusIICache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReduceToSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExodusIICache_VTKInit(JNIEnv *, jobject)
{
  vtkExodusIICache *aNewOne = vtkExodusIICache::New();
  return (jlong)(size_t)(void*)aNewOne;
}
