// java wrapper for vtkImageDataLIC2DExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataLIC2DExtentTranslator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtentTranslator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDataLIC2DExtentTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDataLIC2DExtentTranslator",dType)) { return me; }
  if ((res= vtkExtentTranslator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDataLIC2DExtentTranslator *op;
  const char    *temp20;

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDataLIC2DExtentTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_SetAlgorithm_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDataLIC2DExtentTranslator *op;
  vtkImageDataLIC2D  *temp0;
  temp0 = (vtkImageDataLIC2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAlgorithm(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_GetAlgorithm_13(JNIEnv *env, jobject obj)
{
  vtkImageDataLIC2DExtentTranslator *op;
  vtkImageDataLIC2D  *temp20;

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_SetInputExtentTranslator_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDataLIC2DExtentTranslator *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputExtentTranslator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_GetInputExtentTranslator_15(JNIEnv *env, jobject obj)
{
  vtkImageDataLIC2DExtentTranslator *op;
  vtkExtentTranslator  *temp20;

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputExtentTranslator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_SetInputWholeExtent_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageDataLIC2DExtentTranslator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_SetInputWholeExtent_17(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageDataLIC2DExtentTranslator *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_GetInputWholeExtent_18(JNIEnv *env, jobject obj)
{
  vtkImageDataLIC2DExtentTranslator *op;
  int     *temp20;

  op = (vtkImageDataLIC2DExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageDataLIC2DExtentTranslator_VTKInit(JNIEnv *, jobject)
{
  vtkImageDataLIC2DExtentTranslator *aNewOne = vtkImageDataLIC2DExtentTranslator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
