// java wrapper for vtkImplicitModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitModeller.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitModeller_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitModeller",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitModeller_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  const char    *temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitModeller *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_ComputeModelBounds_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitModeller *op;
  vtkDataSet  *temp0;
  double   temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeModelBounds(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitModeller_GetSampleDimensions_13(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int     *temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetSampleDimensions_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImplicitModeller *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetSampleDimensions_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImplicitModeller *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetMaximumDistance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitModeller *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetMaximumDistanceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetMaximumDistanceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetMaximumDistance_19(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetModelBounds_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImplicitModeller *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetModelBounds_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitModeller *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitModeller_GetModelBounds_112(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double  *temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetAdjustBounds_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAdjustBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetAdjustBounds_114(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAdjustBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_AdjustBoundsOn_115(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->AdjustBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_AdjustBoundsOff_116(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->AdjustBoundsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetAdjustDistance_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitModeller *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAdjustDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetAdjustDistanceMinValue_118(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAdjustDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetAdjustDistanceMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAdjustDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetAdjustDistance_120(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAdjustDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetCapping_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetCapping_122(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_CappingOn_123(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_CappingOff_124(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetCapValue_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitModeller *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitModeller_GetCapValue_126(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  double   temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetScaleToMaximumDistance_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleToMaximumDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetScaleToMaximumDistance_128(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleToMaximumDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_ScaleToMaximumDistanceOn_129(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleToMaximumDistanceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_ScaleToMaximumDistanceOff_130(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleToMaximumDistanceOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetProcessMode_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetProcessModeMinValue_132(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetProcessModeMaxValue_133(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetProcessMode_134(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetProcessModeToPerVoxel_135(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessModeToPerVoxel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetProcessModeToPerCell_136(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessModeToPerCell();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitModeller_GetProcessModeAsString_137(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  const char    *temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetLocatorMaxLevel_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocatorMaxLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetLocatorMaxLevel_139(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocatorMaxLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetNumberOfThreads_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetNumberOfThreadsMinValue_141(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetNumberOfThreadsMaxValue_142(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetNumberOfThreads_143(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarType_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitModeller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitModeller_GetOutputScalarType_145(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;
  int      temp20;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToFloat_146(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToDouble_147(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToInt_148(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToUnsignedInt_149(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToLong_150(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToUnsignedLong_151(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToShort_152(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToUnsignedShort_153(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToUnsignedChar_154(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_SetOutputScalarTypeToChar_155(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_StartAppend_156(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->StartAppend();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_Append_157(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitModeller *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitModeller_EndAppend_158(JNIEnv *env, jobject obj)
{
  vtkImplicitModeller *op;

  op = (vtkImplicitModeller *)vtkJavaGetPointerFromObject(env,obj);
  op->EndAppend();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitModeller_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitModeller *aNewOne = vtkImplicitModeller::New();
  return (jlong)(size_t)(void*)aNewOne;
}
