// java wrapper for vtkIterativeClosestPointTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIterativeClosestPointTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLinearTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIterativeClosestPointTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIterativeClosestPointTransform",dType)) { return me; }
  if ((res= vtkLinearTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  const char    *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIterativeClosestPointTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetTarget_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTarget(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetSource_14(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetTarget_15(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTarget();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetLocator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkCellLocator  *temp0;
  temp0 = (vtkCellLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetLocator_17(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkCellLocator  *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumNumberOfIterations_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumNumberOfIterations_19(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetNumberOfIterations_110(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetCheckMeanDistance_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCheckMeanDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetCheckMeanDistance_112(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCheckMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_CheckMeanDistanceOn_113(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckMeanDistanceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_CheckMeanDistanceOff_114(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckMeanDistanceOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceMode_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMeanDistanceMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue_116(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanDistanceModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanDistanceModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceMode_118(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanDistanceMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS_119(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMeanDistanceModeToRMS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue_120(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMeanDistanceModeToAbsoluteValue();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeAsString_121(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  const char    *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanDistanceModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumMeanDistance_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkIterativeClosestPointTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumMeanDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumMeanDistance_123(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  double   temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistance_124(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  double   temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfLandmarks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks_126(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfLandmarks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetStartByMatchingCentroids_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartByMatchingCentroids(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetStartByMatchingCentroids_128(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartByMatchingCentroids();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOn_129(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->StartByMatchingCentroidsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOff_130(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->StartByMatchingCentroidsOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetLandmarkTransform_131(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkLandmarkTransform  *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLandmarkTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_Inverse_132(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIterativeClosestPointTransform_MakeTransform_133(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIterativeClosestPointTransform_VTKInit(JNIEnv *, jobject)
{
  vtkIterativeClosestPointTransform *aNewOne = vtkIterativeClosestPointTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
