// java wrapper for vtkLegendBoxActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLegendBoxActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLegendBoxActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLegendBoxActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLegendBoxActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  const char    *temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLegendBoxActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetNumberOfEntries_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfEntries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetNumberOfEntries_13(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEntries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntry_14(JNIEnv *env, jobject obj,jint id0,jobject id1,jstring id2,jdoubleArray id3)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  char    *temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = vtkJavaUTFToChar(env,id2);
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntry(temp0,temp1,temp2,temp3);
  if (temp2) delete[] temp2;
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntry_15(JNIEnv *env, jobject obj,jint id0,jobject id1,jstring id2,jdoubleArray id3)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkImageData  *temp1;
  char    *temp2;
  double temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = vtkJavaUTFToChar(env,id2);
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntry(temp0,temp1,temp2,temp3);
  if (temp2) delete[] temp2;
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntry_16(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jstring id3,jdoubleArray id4)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  vtkImageData  *temp2;
  char    *temp3;
  double temp4[3];
  void *tempArray4;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = vtkJavaUTFToChar(env,id3);
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntry(temp0,temp1,temp2,temp3,temp4);
  if (temp3) delete[] temp3;
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntrySymbol_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntrySymbol(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryIcon_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkImageData  *temp1;
  temp0 = id0;
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntryIcon(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryString_19(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntryString(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryColor_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntryColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryColor_111(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntryColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendBoxActor_GetEntrySymbol_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEntrySymbol(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryIcon_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEntryIcon(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryString_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEntryString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryColor_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEntryColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetEntryTextProperty_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEntryTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendBoxActor_GetEntryTextProperty_117(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  vtkTextProperty  *temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEntryTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBorder_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetBorder_119(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BorderOn_120(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BorderOff_121(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetLockBorder_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLockBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetLockBorder_123(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLockBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_LockBorderOn_124(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LockBorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_LockBorderOff_125(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LockBorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBox_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBox(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetBox_127(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBox();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BoxOn_128(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_BoxOff_129(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendBoxActor_GetBoxProperty_130(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  vtkProperty2D  *temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoxProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetPadding_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPadding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPaddingMinValue_132(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPaddingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPaddingMaxValue_133(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPaddingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetPadding_134(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPadding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetScalarVisibility_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetScalarVisibility_136(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ScalarVisibilityOn_137(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ScalarVisibilityOff_138(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetUseBackground_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendBoxActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseBackground(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_GetUseBackground_140(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_UseBackgroundOn_141(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_UseBackgroundOff_142(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBackgroundOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBackgroundColor_143(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLegendBoxActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBackgroundColor_144(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLegendBoxActor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLegendBoxActor_GetBackgroundColor_145(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  double  *temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_SetBackgroundOpacity_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLegendBoxActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendBoxActor_GetBackgroundOpacityMinValue_147(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  double   temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundOpacityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendBoxActor_GetBackgroundOpacityMaxValue_148(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  double   temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundOpacityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendBoxActor_GetBackgroundOpacity_149(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  double   temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ShallowCopy_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendBoxActor_ReleaseGraphicsResources_151(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_RenderOpaqueGeometry_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_RenderTranslucentPolygonalGeometry_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_RenderOverlay_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendBoxActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendBoxActor_HasTranslucentPolygonalGeometry_155(JNIEnv *env, jobject obj)
{
  vtkLegendBoxActor *op;
  int      temp20;

  op = (vtkLegendBoxActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLegendBoxActor_VTKInit(JNIEnv *, jobject)
{
  vtkLegendBoxActor *aNewOne = vtkLegendBoxActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
