// java wrapper for vtkMNITagPointReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNITagPointReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNITagPointReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNITagPointReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  const char    *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITagPointReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITagPointReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  char    *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointReader_GetFileExtensions_14(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  const char    *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointReader_GetDescriptiveName_15(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  const char    *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointReader_CanReadFile_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITagPointReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointReader_GetNumberOfVolumes_17(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  int      temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVolumes();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetPoints_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMNITagPointReader *op;
  int      temp0;
  vtkPoints  *temp20;
  temp0 = id0;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetPoints_19(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  vtkPoints  *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetLabelText_110(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  vtkStringArray  *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelText();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetWeights_111(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  vtkDoubleArray  *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetStructureIds_112(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  vtkIntArray  *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructureIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointReader_GetPatientIds_113(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  vtkIntArray  *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPatientIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointReader_GetComments_114(JNIEnv *env, jobject obj)
{
  vtkMNITagPointReader *op;
  const char    *temp20;

  op = (vtkMNITagPointReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComments();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNITagPointReader_VTKInit(JNIEnv *, jobject)
{
  vtkMNITagPointReader *aNewOne = vtkMNITagPointReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
