// java wrapper for vtkMNITagPointWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNITagPointWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNITagPointWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNITagPointWriter",dType)) { return me; }
  if ((res= vtkDataSetWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  const char    *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITagPointWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointWriter_GetFileExtensions_12(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  const char    *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointWriter_GetDescriptiveName_13(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  const char    *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetPoints_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMNITagPointWriter *op;
  int      temp0;
  vtkPoints  *temp1;
  temp0 = id0;
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetPoints_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITagPointWriter *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetPoints_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMNITagPointWriter *op;
  int      temp0;
  vtkPoints  *temp20;
  temp0 = id0;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetPoints_17(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  vtkPoints  *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetLabelText_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITagPointWriter *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelText(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetLabelText_19(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  vtkStringArray  *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelText();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetWeights_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITagPointWriter *op;
  vtkDoubleArray  *temp0;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWeights(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetWeights_111(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  vtkDoubleArray  *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetStructureIds_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITagPointWriter *op;
  vtkIntArray  *temp0;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStructureIds(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetStructureIds_113(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  vtkIntArray  *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructureIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetPatientIds_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITagPointWriter *op;
  vtkIntArray  *temp0;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPatientIds(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITagPointWriter_GetPatientIds_115(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  vtkIntArray  *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPatientIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITagPointWriter_SetComments_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITagPointWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComments(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITagPointWriter_GetComments_117(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  char    *temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComments();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointWriter_Write_118(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
  int      temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITagPointWriter_GetMTime_119(JNIEnv *env, jobject obj)
{
  vtkMNITagPointWriter *op;
   unsigned long     temp20;

  op = (vtkMNITagPointWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNITagPointWriter_VTKInit(JNIEnv *, jobject)
{
  vtkMNITagPointWriter *aNewOne = vtkMNITagPointWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
