// java wrapper for vtkPieChartActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPieChartActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPieChartActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPieChartActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPieChartActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  const char    *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPieChartActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieChartActor_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  vtkDataObject  *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetTitleVisibility_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieChartActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_GetTitleVisibility_15(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  int      temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_TitleVisibilityOn_16(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_TitleVisibilityOff_17(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetTitle_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPieChartActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPieChartActor_GetTitle_19(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  char    *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetTitleTextProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieChartActor_GetTitleTextProperty_111(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  vtkTextProperty  *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetLabelVisibility_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieChartActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_GetLabelVisibility_113(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  int      temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_LabelVisibilityOn_114(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_LabelVisibilityOff_115(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetLabelTextProperty_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieChartActor_GetLabelTextProperty_117(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  vtkTextProperty  *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetPieceColor_118(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPieChartActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetPieceColor_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPieChartActor *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetPieceLabel_120(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPieChartActor *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceLabel(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPieChartActor_GetPieceLabel_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieChartActor *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceLabel(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_SetLegendVisibility_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieChartActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLegendVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_GetLegendVisibility_123(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  int      temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_LegendVisibilityOn_124(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_LegendVisibilityOff_125(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieChartActor_GetLegendActor_126(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  vtkLegendBoxActor  *temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_RenderOverlay_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_RenderOpaqueGeometry_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_RenderTranslucentPolygonalGeometry_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieChartActor_HasTranslucentPolygonalGeometry_130(JNIEnv *env, jobject obj)
{
  vtkPieChartActor *op;
  int      temp20;

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieChartActor_ReleaseGraphicsResources_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieChartActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieChartActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPieChartActor_VTKInit(JNIEnv *, jobject)
{
  vtkPieChartActor *aNewOne = vtkPieChartActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
