// java wrapper for vtkPolarAxesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolarAxesActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolarAxesActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolarAxesActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolarAxesActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  const char    *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolarAxesActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_RenderTranslucentPolygonalGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPole_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolarAxesActor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPole(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPole_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPolarAxesActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPole(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolarAxesActor_GetPole_16(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPole();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetNumberOfRadialAxes_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfRadialAxes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetNumberOfRadialAxes_18(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRadialAxes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetNumberOfPolarAxisTicks_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPolarAxisTicks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetNumberOfPolarAxisTicksMinValue_110(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolarAxisTicksMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetNumberOfPolarAxisTicksMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolarAxisTicksMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetNumberOfPolarAxisTicks_112(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkIdType   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolarAxisTicks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetAutoSubdividePolarAxis_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPolarAxesActor *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoSubdividePolarAxis(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolarAxesActor_GetAutoSubdividePolarAxis_114(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  bool   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoSubdividePolarAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_AutoSubdividePolarAxisOn_115(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoSubdividePolarAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_AutoSubdividePolarAxisOff_116(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoSubdividePolarAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetMaximumRadius_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetMaximumRadius_118(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetAutoScaleRadius_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPolarAxesActor *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoScaleRadius(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolarAxesActor_GetAutoScaleRadius_120(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  bool   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoScaleRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetMinimumAngle_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetMinimumAngle_122(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetMaximumAngle_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetMaximumAngle_124(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetSmallestVisiblePolarAngle_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSmallestVisiblePolarAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetSmallestVisiblePolarAngleMinValue_126(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmallestVisiblePolarAngleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetSmallestVisiblePolarAngleMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmallestVisiblePolarAngleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetSmallestVisiblePolarAngle_128(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmallestVisiblePolarAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetRadialUnits_129(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPolarAxesActor *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialUnits(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolarAxesActor_GetRadialUnits_130(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  bool   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialUnits();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetScreenSize_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetScreenSize_132(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetCamera_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetCamera_134(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkCamera  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarAxisTitle_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolarAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarAxisTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarAxisTitle_136(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  char    *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarAxisTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarLabelFormat_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolarAxesActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarLabelFormat_138(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  char    *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_ReleaseGraphicsResources_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetEnableDistanceLOD_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableDistanceLOD(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetEnableDistanceLOD_141(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableDistanceLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetDistanceLODThreshold_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceLODThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetDistanceLODThresholdMinValue_143(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThresholdMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetDistanceLODThresholdMaxValue_144(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThresholdMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetDistanceLODThreshold_145(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceLODThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetEnableViewAngleLOD_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableViewAngleLOD(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetEnableViewAngleLOD_147(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableViewAngleLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetViewAngleLODThreshold_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolarAxesActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewAngleLODThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetViewAngleLODThresholdMinValue_149(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThresholdMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetViewAngleLODThresholdMaxValue_150(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThresholdMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolarAxesActor_GetViewAngleLODThreshold_151(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  double   temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleLODThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarAxisVisibility_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarAxisVisibility_153(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarAxisVisibilityOn_154(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarAxisVisibilityOff_155(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarTitleVisibility_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarTitleVisibility_157(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarTitleVisibilityOn_158(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarTitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarTitleVisibilityOff_159(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarTitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarLabelVisibility_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarLabelVisibility_161(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarLabelVisibilityOn_162(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarLabelVisibilityOff_163(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarTickVisibility_164(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarTickVisibility_165(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarTickVisibilityOn_166(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarTickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarTickVisibilityOff_167(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarTickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetRadialAxesVisibility_168(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialAxesVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetRadialAxesVisibility_169(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialAxesVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_RadialAxesVisibilityOn_170(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialAxesVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_RadialAxesVisibilityOff_171(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialAxesVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetRadialTitleVisibility_172(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetRadialTitleVisibility_173(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_RadialTitleVisibilityOn_174(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialTitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_RadialTitleVisibilityOff_175(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RadialTitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarArcsVisibility_176(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolarAxesActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarArcsVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarArcsVisibility_177(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  int      temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarArcsVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarArcsVisibilityOn_178(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarArcsVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_PolarArcsVisibilityOff_179(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->PolarArcsVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarAxisTitleTextProperty_180(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarAxisTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarAxisTitleTextProperty_181(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkTextProperty  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarAxisTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarAxisLabelTextProperty_182(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarAxisLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarAxisLabelTextProperty_183(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkTextProperty  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarAxisLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarAxisProperty_184(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarAxisProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarAxisProperty_185(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarAxisProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetRadialAxesProperty_186(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialAxesProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetRadialAxesProperty_187(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadialAxesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetPolarArcsProperty_188(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolarArcsProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolarAxesActor_GetPolarArcsProperty_189(JNIEnv *env, jobject obj)
{
  vtkPolarAxesActor *op;
  vtkProperty  *temp20;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolarArcsProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetBounds_190(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkPolarAxesActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_SetBounds_191(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolarAxesActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolarAxesActor_GetBounds_192(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolarAxesActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPolarAxesActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolarAxesActor_VTKInit(JNIEnv *, jobject)
{
  vtkPolarAxesActor *aNewOne = vtkPolarAxesActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
