// java wrapper for vtkProjectedTerrainPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProjectedTerrainPath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProjectedTerrainPath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProjectedTerrainPath",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTerrainPath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  const char    *temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProjectedTerrainPath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProjectedTerrainPath *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProjectedTerrainPath_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  vtkImageData  *temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetProjectionMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkProjectedTerrainPath *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetProjectionModeMinValue_15(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  int      temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetProjectionModeMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  int      temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetProjectionMode_17(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  int      temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetProjectionModeToSimple_18(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionModeToSimple();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetProjectionModeToNonOccluded_19(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionModeToNonOccluded();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetProjectionModeToHug_110(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionModeToHug();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetHeightOffset_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProjectedTerrainPath *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeightOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProjectedTerrainPath_GetHeightOffset_112(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  double   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeightOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetHeightTolerance_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProjectedTerrainPath *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeightTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProjectedTerrainPath_GetHeightToleranceMinValue_114(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  double   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeightToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProjectedTerrainPath_GetHeightToleranceMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  double   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeightToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProjectedTerrainPath_GetHeightTolerance_116(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  double   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeightTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTerrainPath_SetMaximumNumberOfLines_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkProjectedTerrainPath *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfLines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetMaximumNumberOfLinesMinValue_118(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  vtkIdType   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfLinesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetMaximumNumberOfLinesMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  vtkIdType   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfLinesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTerrainPath_GetMaximumNumberOfLines_120(JNIEnv *env, jobject obj)
{
  vtkProjectedTerrainPath *op;
  vtkIdType   temp20;

  op = (vtkProjectedTerrainPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProjectedTerrainPath_VTKInit(JNIEnv *, jobject)
{
  vtkProjectedTerrainPath *aNewOne = vtkProjectedTerrainPath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
