// java wrapper for vtkRIBProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRIBProperty.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProperty_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRIBProperty_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRIBProperty",dType)) { return me; }
  if ((res= vtkProperty_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBProperty_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRIBProperty *op;
  const char    *temp20;

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRIBProperty_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRIBProperty *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_SetSurfaceShader_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRIBProperty *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSurfaceShader(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBProperty_GetSurfaceShader_13(JNIEnv *env, jobject obj)
{
  vtkRIBProperty *op;
  char    *temp20;

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSurfaceShader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_SetDisplacementShader_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRIBProperty *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplacementShader(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBProperty_GetDisplacementShader_15(JNIEnv *env, jobject obj)
{
  vtkRIBProperty *op;
  char    *temp20;

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplacementShader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_SetVariable_16(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRIBProperty *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVariable(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_AddVariable_17(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRIBProperty *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->AddVariable(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBProperty_GetDeclarations_18(JNIEnv *env, jobject obj)
{
  vtkRIBProperty *op;
  char    *temp20;

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeclarations();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_SetParameter_19(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRIBProperty *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParameter(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBProperty_AddParameter_110(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRIBProperty *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->AddParameter(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBProperty_GetParameters_111(JNIEnv *env, jobject obj)
{
  vtkRIBProperty *op;
  char    *temp20;

  op = (vtkRIBProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParameters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRIBProperty_VTKInit(JNIEnv *, jobject)
{
  vtkRIBProperty *aNewOne = vtkRIBProperty::New();
  return (jlong)(size_t)(void*)aNewOne;
}
