// java wrapper for vtkRenderLargeImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderLargeImage.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderLargeImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderLargeImage",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderLargeImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  const char    *temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderLargeImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderLargeImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderLargeImage_SetMagnification_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderLargeImage *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnification(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderLargeImage_GetMagnification_13(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  int      temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnification();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderLargeImage_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderLargeImage *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderLargeImage_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  vtkRenderer  *temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderLargeImage_GetOutput_16(JNIEnv *env, jobject obj)
{
  vtkRenderLargeImage *op;
  vtkImageData  *temp20;

  op = (vtkRenderLargeImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderLargeImage_VTKInit(JNIEnv *, jobject)
{
  vtkRenderLargeImage *aNewOne = vtkRenderLargeImage::New();
  return (jlong)(size_t)(void*)aNewOne;
}
