// java wrapper for vtkTemporalInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTemporalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalInterpolator",dType)) { return me; }
  if ((res= vtkTemporalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  const char    *temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolator_SetDiscreteTimeStepInterval_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiscreteTimeStepInterval(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalInterpolator_GetDiscreteTimeStepInterval_13(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  double   temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiscreteTimeStepInterval();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolator_SetResampleFactor_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResampleFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolator_GetResampleFactor_15(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolator *op;
  int      temp20;

  op = (vtkTemporalInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResampleFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalInterpolator *aNewOne = vtkTemporalInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
