// java wrapper for vtkTemporalSnapToTimeStep object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalSnapToTimeStep.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTemporalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalSnapToTimeStep_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalSnapToTimeStep",dType)) { return me; }
  if ((res= vtkTemporalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalSnapToTimeStep *op;
  const char    *temp20;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalSnapToTimeStep *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_SetSnapMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalSnapToTimeStep *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_GetSnapMode_13(JNIEnv *env, jobject obj)
{
  vtkTemporalSnapToTimeStep *op;
  int      temp20;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSnapMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_SetSnapModeToNearest_14(JNIEnv *env, jobject obj)
{
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapModeToNearest();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_SetSnapModeToNextBelowOrEqual_15(JNIEnv *env, jobject obj)
{
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapModeToNextBelowOrEqual();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalSnapToTimeStep_SetSnapModeToNextAboveOrEqual_16(JNIEnv *env, jobject obj)
{
  vtkTemporalSnapToTimeStep *op;

  op = (vtkTemporalSnapToTimeStep *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapModeToNextAboveOrEqual();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalSnapToTimeStep_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalSnapToTimeStep *aNewOne = vtkTemporalSnapToTimeStep::New();
  return (jlong)(size_t)(void*)aNewOne;
}
