// java wrapper for vtkVRMLImporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVRMLImporter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVRMLImporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVRMLImporter",dType)) { return me; }
  if ((res= vtkImporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVRMLImporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVRMLImporter *op;
  const char    *temp20;

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVRMLImporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVRMLImporter_GetVRMLDEFObject_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  vtkObject  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVRMLDEFObject(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_enterNode_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->enterNode(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_exitNode_14(JNIEnv *env, jobject obj)
{
  vtkVRMLImporter *op;

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->exitNode();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_enterField_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->enterField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_exitField_16(JNIEnv *env, jobject obj)
{
  vtkVRMLImporter *op;

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->exitField();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_useNode_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->useNode(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLImporter_SetFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLImporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVRMLImporter_GetFileName_19(JNIEnv *env, jobject obj)
{
  vtkVRMLImporter *op;
  char    *temp20;

  op = (vtkVRMLImporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVRMLImporter_VTKInit(JNIEnv *, jobject)
{
  vtkVRMLImporter *aNewOne = vtkVRMLImporter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
