// java wrapper for vtkAbstractParticleWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractParticleWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractParticleWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractParticleWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractParticleWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;
  const char    *temp20;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractParticleWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractParticleWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetTimeStep_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractParticleWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractParticleWriter_GetTimeStep_13(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;
  int      temp20;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetTimeValue_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAbstractParticleWriter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAbstractParticleWriter_GetTimeValue_15(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;
  double   temp20;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractParticleWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractParticleWriter_GetFileName_17(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;
  char    *temp20;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetCollectiveIO_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractParticleWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCollectiveIO(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractParticleWriter_GetCollectiveIO_19(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;
  int      temp20;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCollectiveIO();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetWriteModeToCollective_110(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteModeToCollective();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_SetWriteModeToIndependent_111(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteModeToIndependent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractParticleWriter_CloseFile_112(JNIEnv *env, jobject obj)
{
  vtkAbstractParticleWriter *op;

  op = (vtkAbstractParticleWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->CloseFile();
}
