// java wrapper for vtkArrayDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayDataWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  const char    *temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayDataWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  char    *temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_SetBinary_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBinary(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayDataWriter_GetBinary_15(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  int      temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinary();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_BinaryOn_16(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_BinaryOff_17(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayDataWriter_GetOutputString_18(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  vtkStdString   temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputString();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_SetWriteToOutputString_19(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkArrayDataWriter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToOutputString(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayDataWriter_GetWriteToOutputString_110(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  bool   temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToOutputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_WriteToOutputStringOn_111(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayDataWriter_WriteToOutputStringOff_112(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayDataWriter_Write_113(JNIEnv *env, jobject obj)
{
  vtkArrayDataWriter *op;
  int      temp20;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayDataWriter_Write_114(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkArrayDataWriter *op;
  vtkStdString temp0;
  bool   temp1;
  bool   temp20;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayDataWriter_Write_115(JNIEnv *env, jobject obj,jobject id0,jstring id1,jboolean id2)
{
  vtkArrayDataWriter *op;
  vtkArrayData  *temp0;
  vtkStdString temp1;
  bool   temp2;
  bool   temp20;
  temp0 = (vtkArrayData *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  temp2 = (id2 != 0) ? true : false;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayDataWriter_Write_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkArrayDataWriter *op;
  bool   temp0;
  vtkStdString   temp20;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayDataWriter_Write_117(JNIEnv *env, jobject obj,jobject id0,jboolean id1)
{
  vtkArrayDataWriter *op;
  vtkArrayData  *temp0;
  bool   temp1;
  vtkStdString   temp20;
  temp0 = (vtkArrayData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (id1 != 0) ? true : false;

  op = (vtkArrayDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayDataWriter_VTKInit(JNIEnv *, jobject)
{
  vtkArrayDataWriter *aNewOne = vtkArrayDataWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
