// java wrapper for vtkCompositeDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataReader",dType)) { return me; }
  if ((res= vtkDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataReader *op;
  const char    *temp20;

  op = (vtkCompositeDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkCompositeDataReader *op;
  vtkCompositeDataSet  *temp20;

  op = (vtkCompositeDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataReader *op;
  int      temp0;
  vtkCompositeDataSet  *temp20;
  temp0 = id0;

  op = (vtkCompositeDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataReader_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataReader *op;
  vtkCompositeDataSet  *temp0;
  temp0 = (vtkCompositeDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeDataReader_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeDataReader *aNewOne = vtkCompositeDataReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
