// java wrapper for vtkEnSightMasterServerReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSightMasterServerReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGenericEnSightReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnSightMasterServerReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnSightMasterServerReader",dType)) { return me; }
  if ((res= vtkGenericEnSightReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightMasterServerReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEnSightMasterServerReader *op;
  const char    *temp20;

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightMasterServerReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightMasterServerReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightMasterServerReader_DetermineFileName_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightMasterServerReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DetermineFileName(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSightMasterServerReader_GetPieceCaseFileName_13(JNIEnv *env, jobject obj)
{
  vtkEnSightMasterServerReader *op;
  char    *temp20;

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceCaseFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEnSightMasterServerReader_SetCurrentPiece_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkEnSightMasterServerReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightMasterServerReader_GetCurrentPiece_15(JNIEnv *env, jobject obj)
{
  vtkEnSightMasterServerReader *op;
  int      temp20;

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentPiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSightMasterServerReader_CanReadFile_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSightMasterServerReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSightMasterServerReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEnSightMasterServerReader_VTKInit(JNIEnv *, jobject)
{
  vtkEnSightMasterServerReader *aNewOne = vtkEnSightMasterServerReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
