// java wrapper for vtkFLUENTReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFLUENTReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFLUENTReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFLUENTReader",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFLUENTReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  const char    *temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFLUENTReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFLUENTReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFLUENTReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFLUENTReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  char    *temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFLUENTReader_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  int      temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFLUENTReader_GetNumberOfCellArrays_15(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  int      temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFLUENTReader_GetCellArrayName_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkFLUENTReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFLUENTReader_GetCellArrayStatus_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFLUENTReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_SetCellArrayStatus_18(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkFLUENTReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_DisableAllCellArrays_19(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_EnableAllCellArrays_110(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_SetDataByteOrderToBigEndian_111(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_SetDataByteOrderToLittleEndian_112(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFLUENTReader_GetDataByteOrder_113(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  int      temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFLUENTReader_SetDataByteOrder_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkFLUENTReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFLUENTReader_GetDataByteOrderAsString_115(JNIEnv *env, jobject obj)
{
  vtkFLUENTReader *op;
  const char    *temp20;

  op = (vtkFLUENTReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFLUENTReader_VTKInit(JNIEnv *, jobject)
{
  vtkFLUENTReader *aNewOne = vtkFLUENTReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
