// java wrapper for vtkGenericDataObjectReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericDataObjectReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericDataObjectReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericDataObjectReader",dType)) { return me; }
  if ((res= vtkDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericDataObjectReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  const char    *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataObjectReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericDataObjectReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkDataObject  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataObjectReader *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetGraphOutput_14(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkGraph  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetPolyDataOutput_15(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkPolyData  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetRectilinearGridOutput_16(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetStructuredGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkStructuredGrid  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetStructuredPointsOutput_18(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkStructuredPoints  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetTableOutput_19(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkTable  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetTreeOutput_110(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkTree  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataObjectReader_GetUnstructuredGridOutput_111(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataObjectReader_ReadOutputType_112(JNIEnv *env, jobject obj)
{
  vtkGenericDataObjectReader *op;
  int      temp20;

  op = (vtkGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadOutputType();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericDataObjectReader_VTKInit(JNIEnv *, jobject)
{
  vtkGenericDataObjectReader *aNewOne = vtkGenericDataObjectReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
