// java wrapper for vtkGenericEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericEnSightReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericEnSightReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericEnSightReader",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  const char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetCaseFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaseFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetCaseFileName_13(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaseFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetFilePath_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePath(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetFilePath_15(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePath();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetEnSightVersion_16(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnSightVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVariables_17(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVariables_18(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComplexVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVariables_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariables(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerNode_110(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerNode_111(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerNode_112(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTensorsSymmPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerElement_113(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerElement_114(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfTensorsSymmPerElement_115(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTensorsSymmPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfScalarsPerMeasuredNode_116(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarsPerMeasuredNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfVectorsPerMeasuredNode_117(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorsPerMeasuredNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerNode_118(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComplexScalarsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerNode_119(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComplexVectorsPerNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexScalarsPerElement_120(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComplexScalarsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfComplexVectorsPerElement_121(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComplexVectorsPerElement();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetDescription_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescription(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetComplexDescription_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComplexDescription(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetDescription_124(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescription(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetVariableType_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetComplexVariableType_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComplexVariableType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetTimeValue_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericEnSightReader *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetTimeValue_128(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetMinimumTimeValue_129(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericEnSightReader_GetMaximumTimeValue_130(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  float    temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumTimeValue();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericEnSightReader_GetTimeSets_131(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArrayCollection  *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeSets();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_DetermineEnSightVersion_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DetermineEnSightVersion(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ReadAllVariablesOn_133(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllVariablesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ReadAllVariablesOff_134(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllVariablesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetReadAllVariables_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllVariables(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetReadAllVariables_136(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllVariables();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointDataArraySelection_137(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArraySelection  *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointDataArraySelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellDataArraySelection_138(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkDataArraySelection  *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDataArraySelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfPointArrays_139(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetNumberOfCellArrays_140(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointArrayName_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellArrayName_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetPointArrayStatus_143(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetCellArrayStatus_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetPointArrayStatus_145(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetCellArrayStatus_146(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrderToBigEndian_147(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrderToLittleEndian_148(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetByteOrder_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetByteOrder_150(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetByteOrderAsString_151(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  const char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEnSightReader_GetGeometryFileName_152(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  char    *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometryFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_SetParticleCoordinatesByIndex_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEnSightReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParticleCoordinatesByIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_GetParticleCoordinatesByIndex_154(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  int      temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleCoordinatesByIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ParticleCoordinatesByIndexOn_155(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ParticleCoordinatesByIndexOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEnSightReader_ParticleCoordinatesByIndexOff_156(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ParticleCoordinatesByIndexOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEnSightReader_CanReadFile_157(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEnSightReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericEnSightReader_GetReader_158(JNIEnv *env, jobject obj)
{
  vtkGenericEnSightReader *op;
  vtkGenericEnSightReader  *temp20;

  op = (vtkGenericEnSightReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReader();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericEnSightReader_VTKInit(JNIEnv *, jobject)
{
  vtkGenericEnSightReader *aNewOne = vtkGenericEnSightReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
