// java wrapper for vtkImageReader2Factory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReader2Factory.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageReader2Factory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageReader2Factory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2Factory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageReader2Factory *op;
  const char    *temp20;

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2Factory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2Factory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2Factory_RegisterReader_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReader2Factory *op;
  vtkImageReader2  *temp0;
  temp0 = (vtkImageReader2 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterReader(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReader2Factory_CreateImageReader2_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2Factory *op;
  char    *temp0;
  vtkImageReader2  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateImageReader2(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2Factory_GetRegisteredReaders_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReader2Factory *op;
  vtkImageReader2Collection  *temp0;
  temp0 = (vtkImageReader2Collection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReader2Factory *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRegisteredReaders(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageReader2Factory_VTKInit(JNIEnv *, jobject)
{
  vtkImageReader2Factory *aNewOne = vtkImageReader2Factory::New();
  return (jlong)(size_t)(void*)aNewOne;
}
