// java wrapper for vtkImageReader2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReader2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageReader2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageReader2",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  const char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileNames_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReader2 *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileNames(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReader2_GetFileNames_15(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  vtkStringArray  *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFilePrefix_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePrefix(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetFilePrefix_17(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFilePattern_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePattern(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetFilePattern_19(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToFloat_111(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToDouble_112(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToInt_113(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToUnsignedInt_114(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToShort_115(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToUnsignedShort_116(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToChar_117(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToSignedChar_118(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToSignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataScalarTypeToUnsignedChar_119(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetDataScalarType_120(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetNumberOfScalarComponents_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfScalarComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetNumberOfScalarComponents_122(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataExtent_123(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageReader2 *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataExtent_124(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageReader2 *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReader2_GetDataExtent_125(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int     *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileDimensionality_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetFileDimensionality_127(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileDimensionality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataSpacing_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageReader2 *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataSpacing_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReader2 *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReader2_GetDataSpacing_130(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  double  *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataOrigin_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageReader2 *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataOrigin_132(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReader2 *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReader2_GetDataOrigin_133(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  double  *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetHeaderSize_134(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
   unsigned long     temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeaderSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetHeaderSize_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
   unsigned long     temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeaderSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetHeaderSize_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeaderSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataByteOrderToBigEndian_137(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataByteOrderToLittleEndian_138(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetDataByteOrder_139(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetDataByteOrder_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetDataByteOrderAsString_141(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  const char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileNameSliceOffset_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileNameSliceOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetFileNameSliceOffset_143(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileNameSliceOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileNameSliceSpacing_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileNameSliceSpacing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetFileNameSliceSpacing_145(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileNameSliceSpacing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetSwapBytes_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSwapBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetSwapBytes_147(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SwapBytesOn_148(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBytesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SwapBytesOff_149(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBytesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_OpenFile_150(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->OpenFile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SeekFile_151(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageReader2 *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SeekFile(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_FileLowerLeftOn_152(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->FileLowerLeftOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_FileLowerLeftOff_153(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->FileLowerLeftOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_GetFileLowerLeft_154(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  int      temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileLowerLeft();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_SetFileLowerLeft_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileLowerLeft(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReader2_ComputeInternalFileName_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReader2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeInternalFileName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetInternalFileName_157(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInternalFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReader2_CanReadFile_158(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReader2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetFileExtensions_159(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  const char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReader2_GetDescriptiveName_160(JNIEnv *env, jobject obj)
{
  vtkImageReader2 *op;
  const char    *temp20;

  op = (vtkImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageReader2_VTKInit(JNIEnv *, jobject)
{
  vtkImageReader2 *aNewOne = vtkImageReader2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
