// java wrapper for vtkJPEGReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkJPEGReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReader2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkJPEGReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkJPEGReader",dType)) { return me; }
  if ((res= vtkImageReader2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJPEGReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkJPEGReader *op;
  const char    *temp20;

  op = (vtkJPEGReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJPEGReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJPEGReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJPEGReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJPEGReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJPEGReader_GetFileExtensions_13(JNIEnv *env, jobject obj)
{
  vtkJPEGReader *op;
  const char    *temp20;

  op = (vtkJPEGReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJPEGReader_GetDescriptiveName_14(JNIEnv *env, jobject obj)
{
  vtkJPEGReader *op;
  const char    *temp20;

  op = (vtkJPEGReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkJPEGReader_VTKInit(JNIEnv *, jobject)
{
  vtkJPEGReader *aNewOne = vtkJPEGReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
