// java wrapper for vtkJPEGWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkJPEGWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkJPEGWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkJPEGWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJPEGWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
  const char    *temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJPEGWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_Write_12(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_SetQuality_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkJPEGWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_GetQualityMinValue_14(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
  int      temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQualityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_GetQualityMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
  int      temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQualityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_GetQuality_16(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
  int      temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_SetProgressive_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkJPEGWriter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgressive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_GetProgressive_18(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
   unsigned int      temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressive();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_ProgressiveOn_19(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->ProgressiveOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_ProgressiveOff_110(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->ProgressiveOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_SetWriteToMemory_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkJPEGWriter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToMemory(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJPEGWriter_GetWriteToMemory_112(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
   unsigned int      temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_WriteToMemoryOn_113(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToMemoryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_WriteToMemoryOff_114(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToMemoryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJPEGWriter_SetResult_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkJPEGWriter *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResult(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkJPEGWriter_GetResult_116(JNIEnv *env, jobject obj)
{
  vtkJPEGWriter *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkJPEGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResult();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkJPEGWriter_VTKInit(JNIEnv *, jobject)
{
  vtkJPEGWriter *aNewOne = vtkJPEGWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
