// java wrapper for vtkJavaScriptDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkJavaScriptDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkJavaScriptDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkJavaScriptDataWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaScriptDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkJavaScriptDataWriter *op;
  const char    *temp20;

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkJavaScriptDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaScriptDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaScriptDataWriter_SetVariableName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaScriptDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVariableName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaScriptDataWriter_GetVariableName_13(JNIEnv *env, jobject obj)
{
  vtkJavaScriptDataWriter *op;
  char    *temp20;

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaScriptDataWriter_SetFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkJavaScriptDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkJavaScriptDataWriter_GetFileName_15(JNIEnv *env, jobject obj)
{
  vtkJavaScriptDataWriter *op;
  char    *temp20;

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkJavaScriptDataWriter_SetIncludeFieldNames_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkJavaScriptDataWriter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeFieldNames(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkJavaScriptDataWriter_GetIncludeFieldNames_17(JNIEnv *env, jobject obj)
{
  vtkJavaScriptDataWriter *op;
  bool   temp20;

  op = (vtkJavaScriptDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeFieldNames();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkJavaScriptDataWriter_VTKInit(JNIEnv *, jobject)
{
  vtkJavaScriptDataWriter *aNewOne = vtkJavaScriptDataWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
