// java wrapper for vtkMaterialLibrary object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMaterialLibrary.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMaterialLibrary_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMaterialLibrary",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMaterialLibrary_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMaterialLibrary *op;
  const char    *temp20;

  op = (vtkMaterialLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaterialLibrary_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMaterialLibrary *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMaterialLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMaterialLibrary_GetMaterial_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMaterialLibrary *op;
  char    *temp0;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMaterialLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterial(temp0);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMaterialLibrary_GetNumberOfMaterials_13(JNIEnv *env, jobject obj)
{
  vtkMaterialLibrary *op;
   unsigned int      temp20;

  op = (vtkMaterialLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfMaterials();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMaterialLibrary_VTKInit(JNIEnv *, jobject)
{
  vtkMaterialLibrary *aNewOne = vtkMaterialLibrary::New();
  return (jlong)(size_t)(void*)aNewOne;
}
