// java wrapper for vtkMedicalImageReader2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMedicalImageReader2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReader2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMedicalImageReader2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMedicalImageReader2",dType)) { return me; }
  if ((res= vtkImageReader2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMedicalImageReader2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMedicalImageReader2_GetMedicalImageProperties_12(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  vtkMedicalImageProperties  *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMedicalImageProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetPatientName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPatientName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetPatientName_14(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPatientName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetPatientID_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPatientID(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetPatientID_16(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPatientID();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetDate_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDate(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetDate_18(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDate();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetSeries_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSeries(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetSeries_110(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSeries();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetStudy_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStudy(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetStudy_112(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStudy();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetImageNumber_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageNumber(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetImageNumber_114(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageNumber();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMedicalImageReader2_SetModality_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMedicalImageReader2 *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModality(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMedicalImageReader2_GetModality_116(JNIEnv *env, jobject obj)
{
  vtkMedicalImageReader2 *op;
  const char    *temp20;

  op = (vtkMedicalImageReader2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModality();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMedicalImageReader2_VTKInit(JNIEnv *, jobject)
{
  vtkMedicalImageReader2 *aNewOne = vtkMedicalImageReader2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
