// java wrapper for vtkNetCDFCAMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFCAMReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNetCDFCAMReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNetCDFCAMReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFCAMReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNetCDFCAMReader *op;
  const char    *temp20;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCAMReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCAMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCAMReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCAMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCAMReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCAMReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFCAMReader_GetFileName_14(JNIEnv *env, jobject obj)
{
  vtkNetCDFCAMReader *op;
  char    *temp20;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCAMReader_SetConnectivityFileName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCAMReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConnectivityFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFCAMReader_GetConnectivityFileName_16(JNIEnv *env, jobject obj)
{
  vtkNetCDFCAMReader *op;
  char    *temp20;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConnectivityFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCAMReader_SetSingleLevel_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFCAMReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSingleLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCAMReader_GetSingleLevel_18(JNIEnv *env, jobject obj)
{
  vtkNetCDFCAMReader *op;
  int      temp20;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSingleLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCAMReader_SetCellLayerRight_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFCAMReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellLayerRight(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCAMReader_GetCellLayerRight_110(JNIEnv *env, jobject obj)
{
  vtkNetCDFCAMReader *op;
  int      temp20;

  op = (vtkNetCDFCAMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLayerRight();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNetCDFCAMReader_VTKInit(JNIEnv *, jobject)
{
  vtkNetCDFCAMReader *aNewOne = vtkNetCDFCAMReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
