// java wrapper for vtkNetCDFCFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFCFReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkNetCDFReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNetCDFCFReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNetCDFCFReader",dType)) { return me; }
  if ((res= vtkNetCDFReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFCFReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;
  const char    *temp20;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCFReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCFReader_GetSphericalCoordinates_12(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;
  int      temp20;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSphericalCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetSphericalCoordinates_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFCFReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSphericalCoordinates(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SphericalCoordinatesOn_14(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SphericalCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SphericalCoordinatesOff_15(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SphericalCoordinatesOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNetCDFCFReader_GetVerticalScale_16(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;
  double   temp20;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetVerticalScale_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkNetCDFCFReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNetCDFCFReader_GetVerticalBias_18(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;
  double   temp20;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalBias();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetVerticalBias_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkNetCDFCFReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalBias(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCFReader_GetOutputType_110(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;
  int      temp20;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputType_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFCFReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputTypeToAutomatic_112(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTypeToAutomatic();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputTypeToImage_113(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTypeToImage();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputTypeToRectilinear_114(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTypeToRectilinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputTypeToStructured_115(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTypeToStructured();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFCFReader_SetOutputTypeToUnstructured_116(JNIEnv *env, jobject obj)
{
  vtkNetCDFCFReader *op;

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTypeToUnstructured();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFCFReader_CanReadFile_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFCFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFCFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNetCDFCFReader_VTKInit(JNIEnv *, jobject)
{
  vtkNetCDFCFReader *aNewOne = vtkNetCDFCFReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
