// java wrapper for vtkNetCDFPOPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNetCDFPOPReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRectilinearGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNetCDFPOPReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNetCDFPOPReader",dType)) { return me; }
  if ((res= vtkRectilinearGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  const char    *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  char    *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetStride_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetStride_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkNetCDFPOPReader *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkNetCDFPOPReader_GetStride_16(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int     *temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStride();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_GetNumberOfVariableArrays_17(JNIEnv *env, jobject obj)
{
  vtkNetCDFPOPReader *op;
  int      temp20;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariableArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNetCDFPOPReader_GetVariableArrayName_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkNetCDFPOPReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNetCDFPOPReader_GetVariableArrayStatus_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNetCDFPOPReader_SetVariableArrayStatus_110(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkNetCDFPOPReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkNetCDFPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVariableArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNetCDFPOPReader_VTKInit(JNIEnv *, jobject)
{
  vtkNetCDFPOPReader *aNewOne = vtkNetCDFPOPReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
