// java wrapper for vtkOutputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutputStream.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOutputStream_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOutputStream",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOutputStream_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOutputStream *op;
  const char    *temp20;

  op = (vtkOutputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutputStream_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutputStream *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutputStream_StartWriting_12(JNIEnv *env, jobject obj)
{
  vtkOutputStream *op;
  int      temp20;

  op = (vtkOutputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->StartWriting();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutputStream_Write_13(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkOutputStream *op;
  char    *temp0;
   unsigned long     temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkOutputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutputStream_EndWriting_14(JNIEnv *env, jobject obj)
{
  vtkOutputStream *op;
  int      temp20;

  op = (vtkOutputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EndWriting();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOutputStream_VTKInit(JNIEnv *, jobject)
{
  vtkOutputStream *aNewOne = vtkOutputStream::New();
  return (jlong)(size_t)(void*)aNewOne;
}
