// java wrapper for vtkPNGWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPNGWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPNGWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPNGWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPNGWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
  const char    *temp20;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNGWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPNGWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_Write_12(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_SetWriteToMemory_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPNGWriter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToMemory(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPNGWriter_GetWriteToMemory_14(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
   unsigned int      temp20;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_WriteToMemoryOn_15(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToMemoryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_WriteToMemoryOff_16(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToMemoryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPNGWriter_SetResult_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPNGWriter *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResult(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPNGWriter_GetResult_18(JNIEnv *env, jobject obj)
{
  vtkPNGWriter *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkPNGWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResult();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPNGWriter_VTKInit(JNIEnv *, jobject)
{
  vtkPNGWriter *aNewOne = vtkPNGWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
