// java wrapper for vtkParticleReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParticleReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParticleReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParticleReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParticleReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  const char    *temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParticleReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParticleReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParticleReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  char    *temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataByteOrderToBigEndian_14(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataByteOrderToLittleEndian_15(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrderToLittleEndian();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetDataByteOrder_16(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataByteOrder_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkParticleReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataByteOrder(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParticleReader_GetDataByteOrderAsString_18(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  const char    *temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetSwapBytes_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkParticleReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSwapBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetSwapBytes_110(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SwapBytesOn_111(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBytesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SwapBytesOff_112(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBytesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetHasScalar_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkParticleReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHasScalar(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetHasScalar_114(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHasScalar();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_HasScalarOn_115(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->HasScalarOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_HasScalarOff_116(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->HasScalarOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetFileType_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkParticleReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetFileTypeMinValue_118(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetFileTypeMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetFileType_120(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetFileTypeToUnknown_121(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileTypeToUnknown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetFileTypeToText_122(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileTypeToText();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetFileTypeToBinary_123(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileTypeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataType_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkParticleReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetDataTypeMinValue_125(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetDataTypeMaxValue_126(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParticleReader_GetDataType_127(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;
  int      temp20;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataTypeToFloat_128(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParticleReader_SetDataTypeToDouble_129(JNIEnv *env, jobject obj)
{
  vtkParticleReader *op;

  op = (vtkParticleReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataTypeToDouble();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParticleReader_VTKInit(JNIEnv *, jobject)
{
  vtkParticleReader *aNewOne = vtkParticleReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
