// java wrapper for vtkPostgreSQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPostgreSQLDatabase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSQLDatabase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPostgreSQLDatabase_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPostgreSQLDatabase",dType)) { return me; }
  if ((res= vtkSQLDatabase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  const char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLDatabase_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_Open_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Open(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_Close_13(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->Close();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_IsOpen_14(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  bool   temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsOpen();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetQueryInstance_15(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  vtkSQLQuery  *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQueryInstance();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_HasError_16(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  bool   temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetLastErrorText_17(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  const char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetDatabaseType_18(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetHostName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHostName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetHostName_110(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHostName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetUser_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUser(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetUser_112(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUser();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetPassword_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassword(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetDatabaseName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDatabaseName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetDatabaseName_115(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetConnectOptions_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConnectOptions(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetConnectOptions_117(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  char    *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConnectOptions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPostgreSQLDatabase_SetServerPort_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkPostgreSQLDatabase *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetServerPort(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetServerPortMinValue_119(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  int      temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPortMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetServerPortMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  int      temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPortMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetServerPort_121(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  int      temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPort();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetURL_122(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  vtkStdString   temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetURL();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetTables_123(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  vtkStringArray  *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTables();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetRecord_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  vtkStringArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecord(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_IsSupported_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkPostgreSQLDatabase *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetDatabases_126(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLDatabase *op;
  vtkStringArray  *temp20;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabases();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_CreateDatabase_127(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  bool   temp1;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateDatabase(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_DropDatabase_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DropDatabase(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLDatabase_GetColumnSpecification_129(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPostgreSQLDatabase *op;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  vtkStdString   temp20;
  temp0 = (vtkSQLDatabaseSchema *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLDatabase_ParseURL_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ParseURL(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPostgreSQLDatabase_VTKInit(JNIEnv *, jobject)
{
  vtkPostgreSQLDatabase *aNewOne = vtkPostgreSQLDatabase::New();
  return (jlong)(size_t)(void*)aNewOne;
}
