// java wrapper for vtkRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGridWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearGridWriter",dType)) { return me; }
  if ((res= vtkDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGridWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkRectilinearGridWriter *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGridWriter_GetInput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGridWriter *op;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  temp0 = id0;

  op = (vtkRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRectilinearGridWriter_VTKInit(JNIEnv *, jobject)
{
  vtkRectilinearGridWriter *aNewOne = vtkRectilinearGridWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
