// java wrapper for vtkSQLDatabaseSchema object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLDatabaseSchema.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLDatabaseSchema_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLDatabaseSchema",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseSchema *op;
  const char    *temp20;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddPreamble_12(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddPreamble(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddTable_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTable(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddColumnToTable_14(JNIEnv *env, jobject obj,jint id0,jint id1,jstring id2,jint id3,jstring id4)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
  if (temp2) delete[] temp2;
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddColumnToTable_15(JNIEnv *env, jobject obj,jstring id0,jint id1,jstring id2,jint id3,jstring id4)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
  if (temp0) delete[] temp0;
  if (temp2) delete[] temp2;
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddIndexToTable_16(JNIEnv *env, jobject obj,jint id0,jint id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIndexToTable(temp0,temp1,temp2);
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddIndexToTable_17(JNIEnv *env, jobject obj,jstring id0,jint id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIndexToTable(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddColumnToIndex_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddColumnToIndex(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddColumnToIndex_19(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddColumnToIndex(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddTriggerToTable_110(JNIEnv *env, jobject obj,jint id0,jint id1,jstring id2,jstring id3,jstring id4)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  char    *temp2;
  char    *temp3;
  char    *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddTriggerToTable_111(JNIEnv *env, jobject obj,jstring id0,jint id1,jstring id2,jstring id3,jstring id4)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp1;
  char    *temp2;
  char    *temp3;
  char    *temp4;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
  if (temp0) delete[] temp0;
  if (temp2) delete[] temp2;
  if (temp3) delete[] temp3;
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddOptionToTable_112(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddOptionToTable(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddOptionToTable_113(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddOptionToTable(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetPreambleHandleFromName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreambleHandleFromName(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetPreambleNameFromHandle_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreambleNameFromHandle(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetPreambleActionFromHandle_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreambleActionFromHandle(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetPreambleBackendFromHandle_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreambleBackendFromHandle(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTableHandleFromName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableHandleFromName(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTableNameFromHandle_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableNameFromHandle(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetIndexHandleFromName_120(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexHandleFromName(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetIndexNameFromHandle_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexNameFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetIndexTypeFromHandle_122(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexTypeFromHandle(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetIndexColumnNameFromHandle_123(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexColumnNameFromHandle(temp0,temp1,temp2);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetColumnHandleFromName_124(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnHandleFromName(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetColumnNameFromHandle_125(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnNameFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetColumnTypeFromHandle_126(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnTypeFromHandle(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetColumnSizeFromHandle_127(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnSizeFromHandle(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetColumnAttributesFromHandle_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnAttributesFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTriggerHandleFromName_129(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriggerHandleFromName(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTriggerNameFromHandle_130(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriggerNameFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTriggerTypeFromHandle_131(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriggerTypeFromHandle(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTriggerActionFromHandle_132(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriggerActionFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetTriggerBackendFromHandle_133(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriggerBackendFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetOptionTextFromHandle_134(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOptionTextFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetOptionBackendFromHandle_135(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOptionBackendFromHandle(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseSchema_Reset_136(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseSchema *op;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfPreambles_137(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseSchema *op;
  int      temp20;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPreambles();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfTables_138(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseSchema *op;
  int      temp20;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfColumnsInTable_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColumnsInTable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfIndicesInTable_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIndicesInTable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfColumnNamesInIndex_141(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColumnNamesInIndex(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfTriggersInTable_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTriggersInTable(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetNumberOfOptionsInTable_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLDatabaseSchema *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOptionsInTable(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseSchema_SetName_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  op->SetName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseSchema_GetName_145(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseSchema *op;
  char    *temp20;

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseSchema_AddTableMultipleArguments_146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseSchema *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseSchema *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTableMultipleArguments(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSQLDatabaseSchema_VTKInit(JNIEnv *, jobject)
{
  vtkSQLDatabaseSchema *aNewOne = vtkSQLDatabaseSchema::New();
  return (jlong)(size_t)(void*)aNewOne;
}
