// java wrapper for vtkSQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLQuery.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRowQuery_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLQuery_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLQuery",dType)) { return me; }
  if ((res= vtkRowQuery_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLQuery_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  const char    *temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLQuery_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLQuery *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_SetQuery_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLQuery *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetQuery(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLQuery_GetQuery_13(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  const char    *temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuery();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_IsActive_14(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsActive();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_Execute_15(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Execute();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_BeginTransaction_16(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BeginTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_CommitTransaction_17(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CommitTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_RollbackTransaction_18(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RollbackTransaction();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLQuery_GetDatabase_19(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  vtkSQLDatabase  *temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabase();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_BindParameter_110(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkSQLQuery *op;
  int      temp0;
   unsigned char     temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_BindParameter_111(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkSQLQuery *op;
  int      temp0;
  float    temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_BindParameter_112(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSQLQuery *op;
  int      temp0;
  char    *temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLQuery_ClearParameterBindings_113(JNIEnv *env, jobject obj)
{
  vtkSQLQuery *op;
  bool   temp20;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ClearParameterBindings();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLQuery_EscapeString_114(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkSQLQuery *op;
  vtkStdString   temp0;
  bool   temp1;
  vtkStdString   temp20;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EscapeString(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}
