// java wrapper for vtkSQLiteQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLiteQuery.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSQLQuery_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLiteQuery_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLiteQuery",dType)) { return me; }
  if ((res= vtkSQLQuery_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteQuery_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  const char    *temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLiteQuery_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteQuery *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_SetQuery_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteQuery *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetQuery(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_Execute_13(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Execute();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLiteQuery_GetNumberOfFields_14(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  int      temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFields();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteQuery_GetFieldName_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLiteQuery *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLiteQuery_GetFieldType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLiteQuery *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_NextRow_17(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NextRow();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_HasError_18(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_BeginTransaction_19(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BeginTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_RollbackTransaction_110(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RollbackTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_CommitTransaction_111(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CommitTransaction();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteQuery_GetLastErrorText_112(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  const char    *temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_BindParameter_113(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkSQLiteQuery *op;
  int      temp0;
   unsigned char     temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_BindParameter_114(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkSQLiteQuery *op;
  int      temp0;
  float    temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_BindParameter_115(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSQLiteQuery *op;
  int      temp0;
  char    *temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BindParameter(temp0,temp1);
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteQuery_ClearParameterBindings_116(JNIEnv *env, jobject obj)
{
  vtkSQLiteQuery *op;
  bool   temp20;

  op = (vtkSQLiteQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ClearParameterBindings();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSQLiteQuery_VTKInit(JNIEnv *, jobject)
{
  vtkSQLiteQuery *aNewOne = vtkSQLiteQuery::New();
  return (jlong)(size_t)(void*)aNewOne;
}
