// java wrapper for vtkShaderCodeLibrary object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShaderCodeLibrary.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShaderCodeLibrary_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShaderCodeLibrary",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShaderCodeLibrary_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShaderCodeLibrary *op;
  const char    *temp20;

  op = (vtkShaderCodeLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShaderCodeLibrary_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShaderCodeLibrary *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShaderCodeLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShaderCodeLibrary_GetShaderCode_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShaderCodeLibrary *op;
  char    *temp0;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShaderCodeLibrary *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderCode(temp0);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderCodeLibrary_RegisterShaderCode_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkShaderCodeLibrary *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkShaderCodeLibrary *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterShaderCode(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShaderCodeLibrary_VTKInit(JNIEnv *, jobject)
{
  vtkShaderCodeLibrary *aNewOne = vtkShaderCodeLibrary::New();
  return (jlong)(size_t)(void*)aNewOne;
}
