// java wrapper for vtkSimplePointsReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimplePointsReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimplePointsReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimplePointsReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimplePointsReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimplePointsReader *op;
  const char    *temp20;

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimplePointsReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimplePointsReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimplePointsReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimplePointsReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimplePointsReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkSimplePointsReader *op;
  char    *temp20;

  op = (vtkSimplePointsReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSimplePointsReader_VTKInit(JNIEnv *, jobject)
{
  vtkSimplePointsReader *aNewOne = vtkSimplePointsReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
