// java wrapper for vtkSimplePointsWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimplePointsWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimplePointsWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimplePointsWriter",dType)) { return me; }
  if ((res= vtkDataSetWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimplePointsWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimplePointsWriter *op;
  const char    *temp20;

  op = (vtkSimplePointsWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimplePointsWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimplePointsWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimplePointsWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimplePointsWriter_GetDecimalPrecision_12(JNIEnv *env, jobject obj)
{
  vtkSimplePointsWriter *op;
  int      temp20;

  op = (vtkSimplePointsWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecimalPrecision();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimplePointsWriter_SetDecimalPrecision_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSimplePointsWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSimplePointsWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDecimalPrecision(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSimplePointsWriter_VTKInit(JNIEnv *, jobject)
{
  vtkSimplePointsWriter *aNewOne = vtkSimplePointsWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
