// java wrapper for vtkSortFileNames object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSortFileNames.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSortFileNames_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSortFileNames",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSortFileNames_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  const char    *temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSortFileNames *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SetGrouping_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSortFileNames *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGrouping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_GetGrouping_13(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  int      temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGrouping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_GroupingOn_14(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->GroupingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_GroupingOff_15(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->GroupingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SetNumericSort_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSortFileNames *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumericSort(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_GetNumericSort_17(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  int      temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumericSort();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_NumericSortOn_18(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->NumericSortOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_NumericSortOff_19(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->NumericSortOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SetIgnoreCase_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSortFileNames *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIgnoreCase(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_GetIgnoreCase_111(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  int      temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIgnoreCase();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_IgnoreCaseOn_112(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnoreCaseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_IgnoreCaseOff_113(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnoreCaseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SetSkipDirectories_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSortFileNames *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSkipDirectories(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_GetSkipDirectories_115(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  int      temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSkipDirectories();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SkipDirectoriesOn_116(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SkipDirectoriesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SkipDirectoriesOff_117(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SkipDirectoriesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_SetInputFileNames_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSortFileNames *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputFileNames(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSortFileNames_GetInputFileNames_119(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  vtkStringArray  *temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputFileNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSortFileNames_GetFileNames_120(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  vtkStringArray  *temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortFileNames_GetNumberOfGroups_121(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;
  int      temp20;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGroups();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSortFileNames_GetNthGroup_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSortFileNames *op;
  int      temp0;
  vtkStringArray  *temp20;
  temp0 = id0;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthGroup(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortFileNames_Update_123(JNIEnv *env, jobject obj)
{
  vtkSortFileNames *op;

  op = (vtkSortFileNames *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSortFileNames_VTKInit(JNIEnv *, jobject)
{
  vtkSortFileNames *aNewOne = vtkSortFileNames::New();
  return (jlong)(size_t)(void*)aNewOne;
}
