// java wrapper for vtkStructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGridWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredGridWriter",dType)) { return me; }
  if ((res= vtkDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredGridWriter *op;
  const char    *temp20;

  op = (vtkStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGridWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkStructuredGridWriter *op;
  vtkStructuredGrid  *temp20;

  op = (vtkStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGridWriter_GetInput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridWriter *op;
  int      temp0;
  vtkStructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkStructuredGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStructuredGridWriter_VTKInit(JNIEnv *, jobject)
{
  vtkStructuredGridWriter *aNewOne = vtkStructuredGridWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
