// java wrapper for vtkTIFFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTIFFReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReader2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTIFFReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTIFFReader",dType)) { return me; }
  if ((res= vtkImageReader2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTIFFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTIFFReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetFileExtensions_13(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFReader_GetDescriptiveName_14(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  const char    *temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_InitializeColors_15(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeColors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_SetOrientationType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTIFFReader *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFReader_GetOrientationType_17(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
   unsigned int      temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationType();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTIFFReader_GetOrientationTypeSpecifiedFlag_18(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  bool   temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationTypeSpecifiedFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_SetOriginSpecifiedFlag_19(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTIFFReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginSpecifiedFlag(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTIFFReader_GetOriginSpecifiedFlag_110(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  bool   temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginSpecifiedFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_OriginSpecifiedFlagOn_111(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->OriginSpecifiedFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_OriginSpecifiedFlagOff_112(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->OriginSpecifiedFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_SetSpacingSpecifiedFlag_113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTIFFReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacingSpecifiedFlag(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTIFFReader_GetSpacingSpecifiedFlag_114(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;
  bool   temp20;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacingSpecifiedFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_SpacingSpecifiedFlagOn_115(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SpacingSpecifiedFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFReader_SpacingSpecifiedFlagOff_116(JNIEnv *env, jobject obj)
{
  vtkTIFFReader *op;

  op = (vtkTIFFReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SpacingSpecifiedFlagOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTIFFReader_VTKInit(JNIEnv *, jobject)
{
  vtkTIFFReader *aNewOne = vtkTIFFReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
