// java wrapper for vtkTIFFWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTIFFWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTIFFWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTIFFWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTIFFWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;
  const char    *temp20;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTIFFWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompression_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTIFFWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompression(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFWriter_GetCompressionMinValue_13(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;
  int      temp20;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFWriter_GetCompressionMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;
  int      temp20;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTIFFWriter_GetCompression_15(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;
  int      temp20;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompression();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompressionToNoCompression_16(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionToNoCompression();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompressionToPackBits_17(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionToPackBits();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompressionToJPEG_18(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionToJPEG();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompressionToDeflate_19(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionToDeflate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTIFFWriter_SetCompressionToLZW_110(JNIEnv *env, jobject obj)
{
  vtkTIFFWriter *op;

  op = (vtkTIFFWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionToLZW();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTIFFWriter_VTKInit(JNIEnv *, jobject)
{
  vtkTIFFWriter *aNewOne = vtkTIFFWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
