// java wrapper for vtkUTF16TextCodec object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUTF16TextCodec.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTextCodec_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUTF16TextCodec_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUTF16TextCodec",dType)) { return me; }
  if ((res= vtkTextCodec_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUTF16TextCodec_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUTF16TextCodec *op;
  const char    *temp20;

  op = (vtkUTF16TextCodec *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUTF16TextCodec_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUTF16TextCodec *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUTF16TextCodec *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUTF16TextCodec_Name_12(JNIEnv *env, jobject obj)
{
  vtkUTF16TextCodec *op;
  const char    *temp20;

  op = (vtkUTF16TextCodec *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Name();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkUTF16TextCodec_CanHandle_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUTF16TextCodec *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUTF16TextCodec *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanHandle(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUTF16TextCodec_SetBigEndian_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkUTF16TextCodec *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkUTF16TextCodec *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBigEndian(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUTF16TextCodec_VTKInit(JNIEnv *, jobject)
{
  vtkUTF16TextCodec *aNewOne = vtkUTF16TextCodec::New();
  return (jlong)(size_t)(void*)aNewOne;
}
