// java wrapper for vtkUnstructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridReader",dType)) { return me; }
  if ((res= vtkDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridReader *op;
  const char    *temp20;

  op = (vtkUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridReader_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridReader *op;
  vtkUnstructuredGrid  *temp0;
  temp0 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridReader_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridReader *aNewOne = vtkUnstructuredGridReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
