// java wrapper for vtkVolumeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeReader",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  const char    *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetFilePrefix_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePrefix(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeReader_GetFilePrefix_13(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  char    *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetFilePattern_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePattern(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeReader_GetFilePattern_15(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  char    *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetImageRange_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVolumeReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetImageRange_17(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVolumeReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeReader_GetImageRange_18(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  int     *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetDataSpacing_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetDataSpacing_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeReader *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeReader_GetDataSpacing_111(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  double  *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetDataOrigin_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeReader_SetDataOrigin_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeReader *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeReader_GetDataOrigin_114(JNIEnv *env, jobject obj)
{
  vtkVolumeReader *op;
  double  *temp20;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVolumeReader_GetImage_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeReader *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkVolumeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImage(temp0);
  return (jlong)(size_t)temp20;}
