// java wrapper for vtkXMLCompositeDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLCompositeDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLCompositeDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLCompositeDataWriter",dType)) { return me; }
  if ((res= vtkXMLWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLCompositeDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLCompositeDataWriter *op;
  const char    *temp20;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLCompositeDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLCompositeDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLCompositeDataWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLCompositeDataWriter *op;
  const char    *temp20;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLCompositeDataWriter_GetGhostLevel_13(JNIEnv *env, jobject obj)
{
  vtkXMLCompositeDataWriter *op;
  int      temp20;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLCompositeDataWriter_SetGhostLevel_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLCompositeDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLCompositeDataWriter_GetWriteMetaFile_15(JNIEnv *env, jobject obj)
{
  vtkXMLCompositeDataWriter *op;
  int      temp20;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteMetaFile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLCompositeDataWriter_SetWriteMetaFile_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLCompositeDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLCompositeDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteMetaFile(temp0);
}
