// java wrapper for vtkXMLHierarchicalBoxDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLHierarchicalBoxDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLCompositeDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLHierarchicalBoxDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLHierarchicalBoxDataWriter",dType)) { return me; }
  if ((res= vtkXMLCompositeDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLHierarchicalBoxDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLHierarchicalBoxDataWriter *op;
  const char    *temp20;

  op = (vtkXMLHierarchicalBoxDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLHierarchicalBoxDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLHierarchicalBoxDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLHierarchicalBoxDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLHierarchicalBoxDataWriter_GetDefaultFileExtension_12(JNIEnv *env, jobject obj)
{
  vtkXMLHierarchicalBoxDataWriter *op;
  const char    *temp20;

  op = (vtkXMLHierarchicalBoxDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLHierarchicalBoxDataWriter_VTKInit(JNIEnv *, jobject)
{
  vtkXMLHierarchicalBoxDataWriter *aNewOne = vtkXMLHierarchicalBoxDataWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
