// java wrapper for vtkXMLHyperOctreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLHyperOctreeReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLHyperOctreeReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLHyperOctreeReader",dType)) { return me; }
  if ((res= vtkXMLDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLHyperOctreeReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLHyperOctreeReader *op;
  const char    *temp20;

  op = (vtkXMLHyperOctreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLHyperOctreeReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLHyperOctreeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLHyperOctreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLHyperOctreeReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkXMLHyperOctreeReader *op;
  vtkHyperOctree  *temp20;

  op = (vtkXMLHyperOctreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLHyperOctreeReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLHyperOctreeReader *op;
  int      temp0;
  vtkHyperOctree  *temp20;
  temp0 = id0;

  op = (vtkXMLHyperOctreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLHyperOctreeReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLHyperOctreeReader *aNewOne = vtkXMLHyperOctreeReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
