// java wrapper for vtkXMLHyperOctreeWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLHyperOctreeWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLHyperOctreeWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLHyperOctreeWriter",dType)) { return me; }
  if ((res= vtkXMLWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLHyperOctreeWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLHyperOctreeWriter *op;
  const char    *temp20;

  op = (vtkXMLHyperOctreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLHyperOctreeWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLHyperOctreeWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLHyperOctreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLHyperOctreeWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkXMLHyperOctreeWriter *op;
  vtkHyperOctree  *temp20;

  op = (vtkXMLHyperOctreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLHyperOctreeWriter_GetDefaultFileExtension_13(JNIEnv *env, jobject obj)
{
  vtkXMLHyperOctreeWriter *op;
  const char    *temp20;

  op = (vtkXMLHyperOctreeWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLHyperOctreeWriter_VTKInit(JNIEnv *, jobject)
{
  vtkXMLHyperOctreeWriter *aNewOne = vtkXMLHyperOctreeWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
