// java wrapper for vtkXMLImageDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLImageDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLImageDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLImageDataWriter",dType)) { return me; }
  if ((res= vtkXMLStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLImageDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLImageDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLImageDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLImageDataWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *op;
  vtkImageData  *temp20;

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLImageDataWriter_GetDefaultFileExtension_13(JNIEnv *env, jobject obj)
{
  vtkXMLImageDataWriter *op;
  const char    *temp20;

  op = (vtkXMLImageDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLImageDataWriter_VTKInit(JNIEnv *, jobject)
{
  vtkXMLImageDataWriter *aNewOne = vtkXMLImageDataWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
