// java wrapper for vtkXMLPRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPRectilinearGridWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLPStructuredDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPRectilinearGridWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPRectilinearGridWriter",dType)) { return me; }
  if ((res= vtkXMLPStructuredDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPRectilinearGridWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkXMLPRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPRectilinearGridWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPRectilinearGridWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLPRectilinearGridWriter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkXMLPRectilinearGridWriter *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkXMLPRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPRectilinearGridWriter_GetDefaultFileExtension_13(JNIEnv *env, jobject obj)
{
  vtkXMLPRectilinearGridWriter *op;
  const char    *temp20;

  op = (vtkXMLPRectilinearGridWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLPRectilinearGridWriter_VTKInit(JNIEnv *, jobject)
{
  vtkXMLPRectilinearGridWriter *aNewOne = vtkXMLPRectilinearGridWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
