// java wrapper for vtkXMLPStructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPStructuredDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLPDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPStructuredDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPStructuredDataWriter",dType)) { return me; }
  if ((res= vtkXMLPDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPStructuredDataWriter *op;
  const char    *temp20;

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPStructuredDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPStructuredDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}
