// java wrapper for vtkXMLPUnstructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPUnstructuredDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLPDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPUnstructuredDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPUnstructuredDataReader",dType)) { return me; }
  if ((res= vtkXMLPDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPUnstructuredDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPUnstructuredDataReader *op;
  const char    *temp20;

  op = (vtkXMLPUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPUnstructuredDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPUnstructuredDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPUnstructuredDataReader_CopyOutputInformation_12(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkXMLPUnstructuredDataReader *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkXMLPUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyOutputInformation(temp0,temp1);
}
