// java wrapper for vtkXMLPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPolyDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLUnstructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPolyDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPolyDataReader",dType)) { return me; }
  if ((res= vtkXMLUnstructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPolyDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  const char    *temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPolyDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLPolyDataReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkPolyData  *temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLPolyDataReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLPolyDataReader *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfVerts_14(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVerts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfLines_15(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfStrips_16(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStrips();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfPolys_17(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolys();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLPolyDataReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLPolyDataReader *aNewOne = vtkXMLPolyDataReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
