// java wrapper for vtkXMLRectilinearGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLRectilinearGridReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLStructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLRectilinearGridReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLRectilinearGridReader",dType)) { return me; }
  if ((res= vtkXMLStructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLRectilinearGridReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLRectilinearGridReader *op;
  const char    *temp20;

  op = (vtkXMLRectilinearGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLRectilinearGridReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLRectilinearGridReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLRectilinearGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLRectilinearGridReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkXMLRectilinearGridReader *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkXMLRectilinearGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLRectilinearGridReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLRectilinearGridReader *op;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  temp0 = id0;

  op = (vtkXMLRectilinearGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLRectilinearGridReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLRectilinearGridReader *aNewOne = vtkXMLRectilinearGridReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
