// java wrapper for vtkXMLStructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLStructuredDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLStructuredDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLStructuredDataReader",dType)) { return me; }
  if ((res= vtkXMLDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLStructuredDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;
  const char    *temp20;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLStructuredDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataReader_GetNumberOfPoints_12(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataReader_GetNumberOfCells_13(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataReader_SetWholeSlices_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLStructuredDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeSlices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataReader_GetWholeSlices_15(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;
  int      temp20;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeSlices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataReader_WholeSlicesOn_16(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->WholeSlicesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataReader_WholeSlicesOff_17(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataReader *op;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->WholeSlicesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataReader_CopyOutputInformation_18(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkXMLStructuredDataReader *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkXMLStructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyOutputInformation(temp0,temp1);
}
