// java wrapper for vtkXMLStructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLStructuredGridReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLStructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLStructuredGridReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLStructuredGridReader",dType)) { return me; }
  if ((res= vtkXMLStructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLStructuredGridReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredGridReader *op;
  const char    *temp20;

  op = (vtkXMLStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredGridReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLStructuredGridReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLStructuredGridReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredGridReader *op;
  vtkStructuredGrid  *temp20;

  op = (vtkXMLStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLStructuredGridReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLStructuredGridReader *op;
  int      temp0;
  vtkStructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkXMLStructuredGridReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLStructuredGridReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLStructuredGridReader *aNewOne = vtkXMLStructuredGridReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
