// java wrapper for vtkXMLUnstructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLUnstructuredDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLUnstructuredDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLUnstructuredDataWriter",dType)) { return me; }
  if ((res= vtkXMLWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataWriter *op;
  const char    *temp20;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLUnstructuredDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_SetNumberOfPieces_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_GetNumberOfPieces_13(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp20;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_SetWritePiece_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWritePiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_GetWritePiece_15(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp20;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWritePiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_SetGhostLevel_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataWriter_GetGhostLevel_17(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataWriter *op;
  int      temp20;

  op = (vtkXMLUnstructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}
