// java wrapper for vtkXMLUtilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLUtilities.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLUtilities_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLUtilities",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLUtilities_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLUtilities *op;
  const char    *temp20;

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUtilities_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLUtilities *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLUtilities_ReadElementFromString_12(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLUtilities *op;
  char    *temp0;
  int      temp1;
  vtkXMLDataElement  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadElementFromString(temp0,temp1);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLUtilities_ReadElementFromFile_13(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLUtilities *op;
  char    *temp0;
  int      temp1;
  vtkXMLDataElement  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadElementFromFile(temp0,temp1);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUtilities_FactorElements_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLUtilities *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  op->FactorElements(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUtilities_UnFactorElements_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLUtilities *op;
  vtkXMLDataElement  *temp0;
  temp0 = (vtkXMLDataElement *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLUtilities *)vtkJavaGetPointerFromObject(env,obj);
  op->UnFactorElements(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLUtilities_VTKInit(JNIEnv *, jobject)
{
  vtkXMLUtilities *aNewOne = vtkXMLUtilities::New();
  return (jlong)(size_t)(void*)aNewOne;
}
