// java wrapper for vtkXYZMolReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYZMolReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMoleculeReaderBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXYZMolReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXYZMolReader",dType)) { return me; }
  if ((res= vtkMoleculeReaderBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYZMolReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXYZMolReader *op;
  const char    *temp20;

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYZMolReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYZMolReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYZMolReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYZMolReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYZMolReader_SetTimeStep_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYZMolReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYZMolReader_GetTimeStep_14(JNIEnv *env, jobject obj)
{
  vtkXYZMolReader *op;
  int      temp20;

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYZMolReader_GetMaxTimeStep_15(JNIEnv *env, jobject obj)
{
  vtkXYZMolReader *op;
  int      temp20;

  op = (vtkXYZMolReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxTimeStep();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXYZMolReader_VTKInit(JNIEnv *, jobject)
{
  vtkXYZMolReader *aNewOne = vtkXYZMolReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
