// java wrapper for vtkZLibDataCompressor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkZLibDataCompressor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataCompressor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkZLibDataCompressor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkZLibDataCompressor",dType)) { return me; }
  if ((res= vtkDataCompressor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkZLibDataCompressor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkZLibDataCompressor *op;
  const char    *temp20;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkZLibDataCompressor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkZLibDataCompressor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkZLibDataCompressor_GetMaximumCompressionSpace_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkZLibDataCompressor *op;
   unsigned long     temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCompressionSpace(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkZLibDataCompressor_SetCompressionLevel_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkZLibDataCompressor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressionLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkZLibDataCompressor_GetCompressionLevelMinValue_14(JNIEnv *env, jobject obj)
{
  vtkZLibDataCompressor *op;
  int      temp20;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressionLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkZLibDataCompressor_GetCompressionLevelMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkZLibDataCompressor *op;
  int      temp20;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressionLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkZLibDataCompressor_GetCompressionLevel_16(JNIEnv *env, jobject obj)
{
  vtkZLibDataCompressor *op;
  int      temp20;

  op = (vtkZLibDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressionLevel();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkZLibDataCompressor_VTKInit(JNIEnv *, jobject)
{
  vtkZLibDataCompressor *aNewOne = vtkZLibDataCompressor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
