// java wrapper for vtkImageCanvasSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCanvasSource2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCanvasSource2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCanvasSource2D",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCanvasSource2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  const char    *temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCanvasSource2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCanvasSource2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDrawColor_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDrawColor_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCanvasSource2D *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageCanvasSource2D_GetDrawColor_14(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  double  *temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDrawColor_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawColor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDrawColor_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawColor(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDrawColor_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_FillBox_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillBox(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_FillTube_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillTube(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_FillTriangle_110(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillTriangle(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawCircle_111(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawCircle(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawPoint_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPoint(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawSegment_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawSegment(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawSegment3D_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawSegment3D(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawImage_115(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawImage(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_DrawImage_116(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_FillPixel_117(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillPixel(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetExtent_118(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetDefaultZ_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultZ(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCanvasSource2D_GetDefaultZ_120(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  int      temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultZ();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetRatio_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCanvasSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRatio(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetRatio_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCanvasSource2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRatio(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageCanvasSource2D_GetRatio_123(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  double  *temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRatio();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetNumberOfScalarComponents_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfScalarComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCanvasSource2D_GetNumberOfScalarComponents_125(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  int      temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToFloat_126(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToDouble_127(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToInt_128(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToUnsignedInt_129(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToLong_130(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToUnsignedLong_131(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToShort_132(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToUnsignedShort_133(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToUnsignedChar_134(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarTypeToChar_135(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCanvasSource2D_SetScalarType_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCanvasSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCanvasSource2D_GetScalarType_137(JNIEnv *env, jobject obj)
{
  vtkImageCanvasSource2D *op;
  int      temp20;

  op = (vtkImageCanvasSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageCanvasSource2D_VTKInit(JNIEnv *, jobject)
{
  vtkImageCanvasSource2D *aNewOne = vtkImageCanvasSource2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
