// java wrapper for vtkImageContinuousErode3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageContinuousErode3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageSpatialAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageContinuousErode3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageContinuousErode3D",dType)) { return me; }
  if ((res= vtkImageSpatialAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageContinuousErode3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageContinuousErode3D *op;
  const char    *temp20;

  op = (vtkImageContinuousErode3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageContinuousErode3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageContinuousErode3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageContinuousErode3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageContinuousErode3D_SetKernelSize_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageContinuousErode3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageContinuousErode3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernelSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageContinuousErode3D_VTKInit(JNIEnv *, jobject)
{
  vtkImageContinuousErode3D *aNewOne = vtkImageContinuousErode3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
