// java wrapper for vtkImageDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataStreamer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDataStreamer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDataStreamer",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDataStreamer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  const char    *temp20;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDataStreamer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDataStreamer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_SetNumberOfStreamDivisions_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDataStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfStreamDivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDataStreamer_GetNumberOfStreamDivisions_13(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  int      temp20;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStreamDivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_Update_14(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_UpdateWholeExtent_15(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDataStreamer_SetExtentTranslator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDataStreamer *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageDataStreamer_GetExtentTranslator_17(JNIEnv *env, jobject obj)
{
  vtkImageDataStreamer *op;
  vtkExtentTranslator  *temp20;

  op = (vtkImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentTranslator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageDataStreamer_VTKInit(JNIEnv *, jobject)
{
  vtkImageDataStreamer *aNewOne = vtkImageDataStreamer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
