// java wrapper for vtkImageDotProduct object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDotProduct.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDotProduct_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDotProduct",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDotProduct_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDotProduct *op;
  const char    *temp20;

  op = (vtkImageDotProduct *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDotProduct_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDotProduct *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDotProduct *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDotProduct_SetInput1_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDotProduct *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageDotProduct *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDotProduct_SetInput2_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageDotProduct *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageDotProduct *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageDotProduct_VTKInit(JNIEnv *, jobject)
{
  vtkImageDotProduct *aNewOne = vtkImageDotProduct::New();
  return (jlong)(size_t)(void*)aNewOne;
}
