// java wrapper for vtkImageEllipsoidSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageEllipsoidSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageEllipsoidSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageEllipsoidSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageEllipsoidSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  const char    *temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageEllipsoidSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageEllipsoidSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetWholeExtent_12(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageEllipsoidSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetWholeExtent_13(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageEllipsoidSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_GetWholeExtent_14(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageEllipsoidSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageEllipsoidSource_GetWholeExtent_15(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  int     *temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetCenter_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageEllipsoidSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetCenter_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageEllipsoidSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageEllipsoidSource_GetCenter_18(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  double  *temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetRadius_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageEllipsoidSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetRadius_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageEllipsoidSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageEllipsoidSource_GetRadius_111(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  double  *temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetInValue_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageEllipsoidSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageEllipsoidSource_GetInValue_113(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  double   temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutValue_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageEllipsoidSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageEllipsoidSource_GetOutValue_115(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  double   temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarType_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageEllipsoidSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageEllipsoidSource_GetOutputScalarType_117(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;
  int      temp20;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToFloat_118(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToDouble_119(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToLong_120(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedLong_121(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToInt_122(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedInt_123(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToShort_124(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedShort_125(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToChar_126(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedChar_127(JNIEnv *env, jobject obj)
{
  vtkImageEllipsoidSource *op;

  op = (vtkImageEllipsoidSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageEllipsoidSource_VTKInit(JNIEnv *, jobject)
{
  vtkImageEllipsoidSource *aNewOne = vtkImageEllipsoidSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
