// java wrapper for vtkImageExtractComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageExtractComponents.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageExtractComponents_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageExtractComponents",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageExtractComponents_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageExtractComponents *op;
  const char    *temp20;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageExtractComponents_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageExtractComponents *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageExtractComponents_SetComponents_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageExtractComponents *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponents(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageExtractComponents_SetComponents_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageExtractComponents *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponents(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageExtractComponents_SetComponents_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageExtractComponents *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponents(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageExtractComponents_GetComponents_15(JNIEnv *env, jobject obj)
{
  vtkImageExtractComponents *op;
  int     *temp20;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponents();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageExtractComponents_GetNumberOfComponents_16(JNIEnv *env, jobject obj)
{
  vtkImageExtractComponents *op;
  int      temp20;

  op = (vtkImageExtractComponents *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageExtractComponents_VTKInit(JNIEnv *, jobject)
{
  vtkImageExtractComponents *aNewOne = vtkImageExtractComponents::New();
  return (jlong)(size_t)(void*)aNewOne;
}
