// java wrapper for vtkImageIslandRemoval2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageIslandRemoval2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageIslandRemoval2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageIslandRemoval2D",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageIslandRemoval2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;
  const char    *temp20;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageIslandRemoval2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageIslandRemoval2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SetAreaThreshold_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageIslandRemoval2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageIslandRemoval2D_GetAreaThreshold_13(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;
  int      temp20;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SetSquareNeighborhood_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageIslandRemoval2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSquareNeighborhood(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageIslandRemoval2D_GetSquareNeighborhood_15(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;
  int      temp20;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSquareNeighborhood();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SquareNeighborhoodOn_16(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SquareNeighborhoodOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SquareNeighborhoodOff_17(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SquareNeighborhoodOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SetIslandValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageIslandRemoval2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIslandValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageIslandRemoval2D_GetIslandValue_19(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;
  double   temp20;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIslandValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageIslandRemoval2D_SetReplaceValue_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageIslandRemoval2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplaceValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageIslandRemoval2D_GetReplaceValue_111(JNIEnv *env, jobject obj)
{
  vtkImageIslandRemoval2D *op;
  double   temp20;

  op = (vtkImageIslandRemoval2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplaceValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageIslandRemoval2D_VTKInit(JNIEnv *, jobject)
{
  vtkImageIslandRemoval2D *aNewOne = vtkImageIslandRemoval2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
