// java wrapper for vtkImageLaplacian object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLaplacian.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageLaplacian_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageLaplacian",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageLaplacian_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageLaplacian *op;
  const char    *temp20;

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLaplacian_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageLaplacian *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLaplacian_SetDimensionality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageLaplacian *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLaplacian_GetDimensionalityMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageLaplacian *op;
  int      temp20;

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLaplacian_GetDimensionalityMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageLaplacian *op;
  int      temp20;

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLaplacian_GetDimensionality_15(JNIEnv *env, jobject obj)
{
  vtkImageLaplacian *op;
  int      temp20;

  op = (vtkImageLaplacian *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageLaplacian_VTKInit(JNIEnv *, jobject)
{
  vtkImageLaplacian *aNewOne = vtkImageLaplacian::New();
  return (jlong)(size_t)(void*)aNewOne;
}
