// java wrapper for vtkImageLogarithmicScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLogarithmicScale.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageLogarithmicScale_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageLogarithmicScale",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageLogarithmicScale_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageLogarithmicScale *op;
  const char    *temp20;

  op = (vtkImageLogarithmicScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLogarithmicScale_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageLogarithmicScale *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageLogarithmicScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogarithmicScale_SetConstant_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageLogarithmicScale *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageLogarithmicScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConstant(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageLogarithmicScale_GetConstant_13(JNIEnv *env, jobject obj)
{
  vtkImageLogarithmicScale *op;
  double   temp20;

  op = (vtkImageLogarithmicScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConstant();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageLogarithmicScale_VTKInit(JNIEnv *, jobject)
{
  vtkImageLogarithmicScale *aNewOne = vtkImageLogarithmicScale::New();
  return (jlong)(size_t)(void*)aNewOne;
}
