// java wrapper for vtkImageLuminance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLuminance.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageLuminance_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageLuminance",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageLuminance_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageLuminance *op;
  const char    *temp20;

  op = (vtkImageLuminance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLuminance_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageLuminance *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageLuminance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageLuminance_VTKInit(JNIEnv *, jobject)
{
  vtkImageLuminance *aNewOne = vtkImageLuminance::New();
  return (jlong)(size_t)(void*)aNewOne;
}
