// java wrapper for vtkImageMapToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapToColors.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMapToColors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMapToColors",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMapToColors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
  const char    *temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToColors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMapToColors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetLookupTable_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMapToColors *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageMapToColors_GetLookupTable_13(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
  vtkScalarsToColors  *temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetOutputFormat_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMapToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToColors_GetOutputFormat_15(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
  int      temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetOutputFormatToRGBA_16(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGBA();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetOutputFormatToRGB_17(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetOutputFormatToLuminanceAlpha_18(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToLuminanceAlpha();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetOutputFormatToLuminance_19(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToLuminance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetActiveComponent_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMapToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToColors_GetActiveComponent_111(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
  int      temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_SetPassAlphaToOutput_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMapToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassAlphaToOutput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_PassAlphaToOutputOn_113(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->PassAlphaToOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMapToColors_PassAlphaToOutputOff_114(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->PassAlphaToOutputOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToColors_GetPassAlphaToOutput_115(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
  int      temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassAlphaToOutput();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToColors_GetMTime_116(JNIEnv *env, jobject obj)
{
  vtkImageMapToColors *op;
   unsigned long     temp20;

  op = (vtkImageMapToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMapToColors_VTKInit(JNIEnv *, jobject)
{
  vtkImageMapToColors *aNewOne = vtkImageMapToColors::New();
  return (jlong)(size_t)(void*)aNewOne;
}
