// java wrapper for vtkImageMapToRGBA object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapToRGBA.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageMapToColors_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMapToRGBA_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMapToRGBA",dType)) { return me; }
  if ((res= vtkImageMapToColors_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMapToRGBA_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMapToRGBA *op;
  const char    *temp20;

  op = (vtkImageMapToRGBA *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMapToRGBA_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMapToRGBA *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMapToRGBA *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMapToRGBA_VTKInit(JNIEnv *, jobject)
{
  vtkImageMapToRGBA *aNewOne = vtkImageMapToRGBA::New();
  return (jlong)(size_t)(void*)aNewOne;
}
