// java wrapper for vtkImageMask object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMask.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMask_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMask",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMask_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  const char    *temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMask_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMask *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetMaskedOutputValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMask *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskedOutputValue(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetMaskedOutputValue_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageMask *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskedOutputValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetMaskedOutputValue_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageMask *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskedOutputValue(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMask_GetMaskedOutputValueLength_15(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  int      temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskedOutputValueLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetMaskAlpha_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMask *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskAlpha(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMask_GetMaskAlphaMinValue_17(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  double   temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskAlphaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMask_GetMaskAlphaMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  double   temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskAlphaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMask_GetMaskAlpha_19(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  double   temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskAlpha();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetImageInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMask *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetMaskInput_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMask *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetNotMask_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMask *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNotMask(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMask_GetNotMask_113(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;
  int      temp20;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNotMask();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_NotMaskOn_114(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->NotMaskOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_NotMaskOff_115(JNIEnv *env, jobject obj)
{
  vtkImageMask *op;

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->NotMaskOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetInput1_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMask *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMask_SetInput2_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMask *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMask *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMask_VTKInit(JNIEnv *, jobject)
{
  vtkImageMask *aNewOne = vtkImageMask::New();
  return (jlong)(size_t)(void*)aNewOne;
}
