// java wrapper for vtkImageOpenClose3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageOpenClose3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageOpenClose3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageOpenClose3D",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageOpenClose3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
  const char    *temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageOpenClose3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageOpenClose3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageOpenClose3D_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
   unsigned long     temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_DebugOn_13(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->DebugOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_DebugOff_14(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->DebugOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_Modified_15(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->Modified();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_SetKernelSize_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageOpenClose3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernelSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_SetOpenValue_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageOpenClose3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpenValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageOpenClose3D_GetOpenValue_18(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
  double   temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpenValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageOpenClose3D_SetCloseValue_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageOpenClose3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCloseValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageOpenClose3D_GetCloseValue_110(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
  double   temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCloseValue();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageOpenClose3D_GetFilter0_111(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
  vtkImageDilateErode3D  *temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilter0();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageOpenClose3D_GetFilter1_112(JNIEnv *env, jobject obj)
{
  vtkImageOpenClose3D *op;
  vtkImageDilateErode3D  *temp20;

  op = (vtkImageOpenClose3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilter1();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageOpenClose3D_VTKInit(JNIEnv *, jobject)
{
  vtkImageOpenClose3D *aNewOne = vtkImageOpenClose3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
