// java wrapper for vtkImageQuantizeRGBToIndex object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageQuantizeRGBToIndex.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageQuantizeRGBToIndex_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageQuantizeRGBToIndex",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  const char    *temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageQuantizeRGBToIndex *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_SetNumberOfColors_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageQuantizeRGBToIndex *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfColors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetNumberOfColorsMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  int      temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColorsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetNumberOfColorsMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  int      temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColorsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetNumberOfColors_15(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  int      temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColors();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetLookupTable_16(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  vtkLookupTable  *temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetInitializeExecuteTime_17(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitializeExecuteTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetBuildTreeExecuteTime_18(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBuildTreeExecuteTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetLookupIndexExecuteTime_19(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupIndexExecuteTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_GetInputType_110(JNIEnv *env, jobject obj)
{
  vtkImageQuantizeRGBToIndex *op;
  int      temp20;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_SetInitializeExecuteTime_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitializeExecuteTime(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_SetBuildTreeExecuteTime_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBuildTreeExecuteTime(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_SetLookupIndexExecuteTime_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageQuantizeRGBToIndex *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageQuantizeRGBToIndex *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupIndexExecuteTime(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageQuantizeRGBToIndex_VTKInit(JNIEnv *, jobject)
{
  vtkImageQuantizeRGBToIndex *aNewOne = vtkImageQuantizeRGBToIndex::New();
  return (jlong)(size_t)(void*)aNewOne;
}
