// java wrapper for vtkImageResize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageResize.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageResize_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageResize",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageResize_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  const char    *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageResize *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetResizeMethod_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResize *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResizeMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetResizeMethodMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResizeMethodMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetResizeMethodMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResizeMethodMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetResizeMethod_15(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResizeMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetResizeMethodToOutputDimensions_16(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResizeMethodToOutputDimensions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetResizeMethodToOutputSpacing_17(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResizeMethodToOutputSpacing();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetResizeMethodToMagnificationFactors_18(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResizeMethodToMagnificationFactors();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageResize_GetResizeMethodAsString_19(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  const char    *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResizeMethodAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetOutputDimensions_110(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageResize *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetOutputDimensions_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageResize *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageResize_GetOutputDimensions_112(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int     *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetOutputSpacing_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageResize *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetOutputSpacing_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageResize *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageResize_GetOutputSpacing_115(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  double  *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetMagnificationFactors_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageResize *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnificationFactors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetMagnificationFactors_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageResize *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnificationFactors(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageResize_GetMagnificationFactors_118(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  double  *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationFactors();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetBorder_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResize *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_BorderOn_120(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_BorderOff_121(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetBorder_122(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetCropping_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResize *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCropping(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_CroppingOn_124(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->CroppingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_CroppingOff_125(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->CroppingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetCropping_126(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCropping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetCroppingRegion_127(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImageResize *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCroppingRegion(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetCroppingRegion_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageResize *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCroppingRegion(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageResize_GetCroppingRegion_129(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  double  *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCroppingRegion();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetInterpolate_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResize *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_InterpolateOn_131(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_InterpolateOff_132(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetInterpolate_133(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  int      temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResize_SetInterpolator_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageResize *op;
  vtkAbstractImageInterpolator  *temp0;
  temp0 = (vtkAbstractImageInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageResize_GetInterpolator_135(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
  vtkAbstractImageInterpolator  *temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResize_GetMTime_136(JNIEnv *env, jobject obj)
{
  vtkImageResize *op;
   unsigned long     temp20;

  op = (vtkImageResize *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageResize_VTKInit(JNIEnv *, jobject)
{
  vtkImageResize *aNewOne = vtkImageResize::New();
  return (jlong)(size_t)(void*)aNewOne;
}
