// java wrapper for vtkImageShiftScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageShiftScale.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageShiftScale_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageShiftScale",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageShiftScale_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;
  const char    *temp20;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShiftScale_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageShiftScale *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetShift_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageShiftScale *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageShiftScale_GetShift_13(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;
  double   temp20;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageShiftScale *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageShiftScale_GetScale_15(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;
  double   temp20;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShiftScale *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShiftScale_GetOutputScalarType_17(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;
  int      temp20;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToDouble_18(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToFloat_19(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToLong_110(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToUnsignedLong_111(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToInt_112(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToUnsignedInt_113(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToShort_114(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToUnsignedShort_115(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToChar_116(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetOutputScalarTypeToUnsignedChar_117(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_SetClampOverflow_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShiftScale *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClampOverflow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShiftScale_GetClampOverflow_119(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;
  int      temp20;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClampOverflow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_ClampOverflowOn_120(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampOverflowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShiftScale_ClampOverflowOff_121(JNIEnv *env, jobject obj)
{
  vtkImageShiftScale *op;

  op = (vtkImageShiftScale *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampOverflowOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageShiftScale_VTKInit(JNIEnv *, jobject)
{
  vtkImageShiftScale *aNewOne = vtkImageShiftScale::New();
  return (jlong)(size_t)(void*)aNewOne;
}
