// java wrapper for vtkImageShrink3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageShrink3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageShrink3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageShrink3D",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageShrink3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  const char    *temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageShrink3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetShrinkFactors_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageShrink3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkFactors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetShrinkFactors_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageShrink3D *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkFactors(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageShrink3D_GetShrinkFactors_14(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int     *temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkFactors();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetShift_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageShrink3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShift(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetShift_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageShrink3D *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShift(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageShrink3D_GetShift_17(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int     *temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShift();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetAveraging_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShrink3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAveraging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_GetAveraging_19(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int      temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAveraging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_AveragingOn_110(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->AveragingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_AveragingOff_111(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->AveragingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetMean_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShrink3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMean(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_GetMean_113(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int      temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMean();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MeanOn_114(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MeanOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MeanOff_115(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MeanOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetMinimum_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShrink3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_GetMinimum_117(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int      temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MinimumOn_118(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MinimumOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MinimumOff_119(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MinimumOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetMaximum_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShrink3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_GetMaximum_121(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int      temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MaximumOn_122(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MaximumOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MaximumOff_123(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MaximumOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_SetMedian_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageShrink3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMedian(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageShrink3D_GetMedian_125(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;
  int      temp20;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMedian();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MedianOn_126(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MedianOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageShrink3D_MedianOff_127(JNIEnv *env, jobject obj)
{
  vtkImageShrink3D *op;

  op = (vtkImageShrink3D *)vtkJavaGetPointerFromObject(env,obj);
  op->MedianOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageShrink3D_VTKInit(JNIEnv *, jobject)
{
  vtkImageShrink3D *aNewOne = vtkImageShrink3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
