// java wrapper for vtkImageSpatialAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSpatialAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSpatialAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSpatialAlgorithm",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSpatialAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSpatialAlgorithm *op;
  const char    *temp20;

  op = (vtkImageSpatialAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSpatialAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSpatialAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSpatialAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageSpatialAlgorithm_GetKernelSize_12(JNIEnv *env, jobject obj)
{
  vtkImageSpatialAlgorithm *op;
  int     *temp20;

  op = (vtkImageSpatialAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernelSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageSpatialAlgorithm_GetKernelMiddle_13(JNIEnv *env, jobject obj)
{
  vtkImageSpatialAlgorithm *op;
  int     *temp20;

  op = (vtkImageSpatialAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernelMiddle();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}
