// java wrapper for vtkImageThresholdConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageThresholdConnectivity.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageThresholdConnectivity_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageThresholdConnectivity",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  const char    *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageThresholdConnectivity *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSeedPoints_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageThresholdConnectivity *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSeedPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetSeedPoints_13(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  vtkPoints  *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSeedPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ThresholdByUpper_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdByUpper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ThresholdByLower_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdByLower(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ThresholdBetween_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdBetween(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetReplaceIn_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplaceIn(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetReplaceIn_18(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int      temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplaceIn();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ReplaceInOn_19(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ReplaceInOff_110(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetInValue_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetInValue_112(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetReplaceOut_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplaceOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetReplaceOut_114(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int      temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplaceOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ReplaceOutOn_115(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_ReplaceOutOff_116(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetOutValue_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetOutValue_118(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetUpperThreshold_119(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpperThreshold();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetLowerThreshold_120(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLowerThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeX_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeX(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeX_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageThresholdConnectivity *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeX(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetSliceRangeX_123(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int     *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceRangeX();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeY_124(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeY(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeY_125(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageThresholdConnectivity *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeY(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetSliceRangeY_126(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int     *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceRangeY();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeZ_127(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeZ(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetSliceRangeZ_128(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageThresholdConnectivity *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceRangeZ(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetSliceRangeZ_129(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int     *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceRangeZ();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetStencil_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageThresholdConnectivity *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencil(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetStencil_131(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  vtkImageStencilData  *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencil();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetActiveComponent_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageThresholdConnectivity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetActiveComponent_133(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int      temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetNeighborhoodRadius_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNeighborhoodRadius(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetNeighborhoodRadius_135(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageThresholdConnectivity *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNeighborhoodRadius(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetNeighborhoodRadius_136(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double  *temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeighborhoodRadius();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageThresholdConnectivity_SetNeighborhoodFraction_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageThresholdConnectivity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNeighborhoodFraction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetNeighborhoodFractionMinValue_138(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeighborhoodFractionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetNeighborhoodFractionMaxValue_139(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeighborhoodFractionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetNeighborhoodFraction_140(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  double   temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeighborhoodFraction();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetMTime_141(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
   unsigned long     temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageThresholdConnectivity_GetNumberOfInVoxels_142(JNIEnv *env, jobject obj)
{
  vtkImageThresholdConnectivity *op;
  int      temp20;

  op = (vtkImageThresholdConnectivity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInVoxels();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageThresholdConnectivity_VTKInit(JNIEnv *, jobject)
{
  vtkImageThresholdConnectivity *aNewOne = vtkImageThresholdConnectivity::New();
  return (jlong)(size_t)(void*)aNewOne;
}
