// java wrapper for vtkSurfaceReconstructionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSurfaceReconstructionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSurfaceReconstructionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSurfaceReconstructionFilter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSurfaceReconstructionFilter *op;
  const char    *temp20;

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSurfaceReconstructionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_GetNeighborhoodSize_12(JNIEnv *env, jobject obj)
{
  vtkSurfaceReconstructionFilter *op;
  int      temp20;

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeighborhoodSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_SetNeighborhoodSize_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceReconstructionFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNeighborhoodSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_GetSampleSpacing_14(JNIEnv *env, jobject obj)
{
  vtkSurfaceReconstructionFilter *op;
  double   temp20;

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleSpacing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceReconstructionFilter_SetSampleSpacing_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceReconstructionFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceReconstructionFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleSpacing(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSurfaceReconstructionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkSurfaceReconstructionFilter *aNewOne = vtkSurfaceReconstructionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
