// java wrapper for vtkAddMembershipArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAddMembershipArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAddMembershipArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAddMembershipArray",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAddMembershipArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  const char    *temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAddMembershipArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAddMembershipArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAddMembershipArray_GetFieldType_12(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  int      temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAddMembershipArray_SetFieldType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkAddMembershipArray *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAddMembershipArray_GetFieldTypeMinValue_14(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  int      temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAddMembershipArray_GetFieldTypeMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  int      temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAddMembershipArray_SetOutputArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAddMembershipArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAddMembershipArray_GetOutputArrayName_17(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  char    *temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAddMembershipArray_SetInputArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAddMembershipArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAddMembershipArray_GetInputArrayName_19(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  char    *temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAddMembershipArray_SetInputValues_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAddMembershipArray *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputValues(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAddMembershipArray_GetInputValues_111(JNIEnv *env, jobject obj)
{
  vtkAddMembershipArray *op;
  vtkAbstractArray  *temp20;

  op = (vtkAddMembershipArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputValues();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAddMembershipArray_VTKInit(JNIEnv *, jobject)
{
  vtkAddMembershipArray *aNewOne = vtkAddMembershipArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
