// java wrapper for vtkApplyColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkApplyColors.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkApplyColors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkApplyColors",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkApplyColors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  const char    *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkApplyColors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkApplyColors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetPointLookupTable_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkApplyColors *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkApplyColors_GetPointLookupTable_13(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  vtkScalarsToColors  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetUsePointLookupTable_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkApplyColors *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUsePointLookupTable(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkApplyColors_GetUsePointLookupTable_15(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  bool   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUsePointLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UsePointLookupTableOn_16(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UsePointLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UsePointLookupTableOff_17(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UsePointLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetScalePointLookupTable_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkApplyColors *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalePointLookupTable(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkApplyColors_GetScalePointLookupTable_19(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  bool   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalePointLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_ScalePointLookupTableOn_110(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalePointLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_ScalePointLookupTableOff_111(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalePointLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultPointColor_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkApplyColors *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultPointColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultPointColor_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkApplyColors *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultPointColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkApplyColors_GetDefaultPointColor_114(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultPointColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultPointOpacity_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkApplyColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultPointOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkApplyColors_GetDefaultPointOpacity_116(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultPointOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedPointColor_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkApplyColors *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedPointColor_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkApplyColors *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkApplyColors_GetSelectedPointColor_119(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedPointColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedPointOpacity_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkApplyColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedPointOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkApplyColors_GetSelectedPointOpacity_121(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedPointOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetPointColorOutputArrayName_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkApplyColors *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointColorOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkApplyColors_GetPointColorOutputArrayName_123(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  char    *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointColorOutputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetCellLookupTable_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkApplyColors *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkApplyColors_GetCellLookupTable_125(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  vtkScalarsToColors  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetUseCellLookupTable_126(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkApplyColors *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCellLookupTable(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkApplyColors_GetUseCellLookupTable_127(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  bool   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCellLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UseCellLookupTableOn_128(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCellLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UseCellLookupTableOff_129(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCellLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetScaleCellLookupTable_130(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkApplyColors *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleCellLookupTable(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkApplyColors_GetScaleCellLookupTable_131(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  bool   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleCellLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_ScaleCellLookupTableOn_132(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleCellLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_ScaleCellLookupTableOff_133(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleCellLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultCellColor_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkApplyColors *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultCellColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultCellColor_135(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkApplyColors *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultCellColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkApplyColors_GetDefaultCellColor_136(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultCellColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetDefaultCellOpacity_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkApplyColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultCellOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkApplyColors_GetDefaultCellOpacity_138(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultCellOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedCellColor_139(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkApplyColors *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedCellColor_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkApplyColors *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkApplyColors_GetSelectedCellColor_141(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double  *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedCellColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetSelectedCellOpacity_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkApplyColors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedCellOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkApplyColors_GetSelectedCellOpacity_143(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  double   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedCellOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetCellColorOutputArrayName_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkApplyColors *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellColorOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkApplyColors_GetCellColorOutputArrayName_145(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  char    *temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellColorOutputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_SetUseCurrentAnnotationColor_146(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkApplyColors *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCurrentAnnotationColor(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkApplyColors_GetUseCurrentAnnotationColor_147(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
  bool   temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCurrentAnnotationColor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UseCurrentAnnotationColorOn_148(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCurrentAnnotationColorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkApplyColors_UseCurrentAnnotationColorOff_149(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCurrentAnnotationColorOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkApplyColors_GetMTime_150(JNIEnv *env, jobject obj)
{
  vtkApplyColors *op;
   unsigned long     temp20;

  op = (vtkApplyColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkApplyColors_VTKInit(JNIEnv *, jobject)
{
  vtkApplyColors *aNewOne = vtkApplyColors::New();
  return (jlong)(size_t)(void*)aNewOne;
}
