// java wrapper for vtkArcParallelEdgeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArcParallelEdgeStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkEdgeLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArcParallelEdgeStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArcParallelEdgeStrategy",dType)) { return me; }
  if ((res= vtkEdgeLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArcParallelEdgeStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArcParallelEdgeStrategy *op;
  const char    *temp20;

  op = (vtkArcParallelEdgeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcParallelEdgeStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArcParallelEdgeStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArcParallelEdgeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcParallelEdgeStrategy_Layout_12(JNIEnv *env, jobject obj)
{
  vtkArcParallelEdgeStrategy *op;

  op = (vtkArcParallelEdgeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArcParallelEdgeStrategy_GetNumberOfSubdivisions_13(JNIEnv *env, jobject obj)
{
  vtkArcParallelEdgeStrategy *op;
  int      temp20;

  op = (vtkArcParallelEdgeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArcParallelEdgeStrategy_SetNumberOfSubdivisions_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkArcParallelEdgeStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArcParallelEdgeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSubdivisions(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArcParallelEdgeStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkArcParallelEdgeStrategy *aNewOne = vtkArcParallelEdgeStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
