// java wrapper for vtkAssignCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssignCoordinates.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssignCoordinates_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssignCoordinates",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinates_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinates *op;
  const char    *temp20;

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssignCoordinates_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinates *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinates_SetXCoordArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinates *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinates_GetXCoordArrayName_13(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinates *op;
  char    *temp20;

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinates_SetYCoordArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinates *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinates_GetYCoordArrayName_15(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinates *op;
  char    *temp20;

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinates_SetZCoordArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinates *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinates_GetZCoordArrayName_17(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinates *op;
  char    *temp20;

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinates_SetJitter_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAssignCoordinates *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetJitter(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAssignCoordinates_VTKInit(JNIEnv *, jobject)
{
  vtkAssignCoordinates *aNewOne = vtkAssignCoordinates::New();
  return (jlong)(size_t)(void*)aNewOne;
}
