// java wrapper for vtkBoostBetweennessClustering object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostBetweennessClustering.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostBetweennessClustering_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostBetweennessClustering",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostBetweennessClustering_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;
  const char    *temp20;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostBetweennessClustering_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostBetweennessClustering *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_SetThreshold_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBoostBetweennessClustering *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBoostBetweennessClustering_GetThreshold_13(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;
  double   temp20;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_SetUseEdgeWeightArray_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostBetweennessClustering *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseEdgeWeightArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_UseEdgeWeightArrayOn_15(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWeightArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_UseEdgeWeightArrayOff_16(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWeightArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_SetInvertEdgeWeightArray_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostBetweennessClustering *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInvertEdgeWeightArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_InvertEdgeWeightArrayOn_18(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->InvertEdgeWeightArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_InvertEdgeWeightArrayOff_19(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->InvertEdgeWeightArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostBetweennessClustering_GetEdgeWeightArrayName_110(JNIEnv *env, jobject obj)
{
  vtkBoostBetweennessClustering *op;
  char    *temp20;

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_SetEdgeWeightArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostBetweennessClustering *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBetweennessClustering_SetEdgeCentralityArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostBetweennessClustering *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostBetweennessClustering *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeCentralityArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostBetweennessClustering_VTKInit(JNIEnv *, jobject)
{
  vtkBoostBetweennessClustering *aNewOne = vtkBoostBetweennessClustering::New();
  return (jlong)(size_t)(void*)aNewOne;
}
