// java wrapper for vtkBoostBreadthFirstSearchTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostBreadthFirstSearchTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostBreadthFirstSearchTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostBreadthFirstSearchTree",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;
  const char    *temp20;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostBreadthFirstSearchTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_SetOriginVertex_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoostBreadthFirstSearchTree *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_SetCreateGraphVertexIdArray_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostBreadthFirstSearchTree *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreateGraphVertexIdArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_GetCreateGraphVertexIdArray_14(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;
  bool   temp20;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreateGraphVertexIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOn_15(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGraphVertexIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_CreateGraphVertexIdArrayOff_16(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGraphVertexIdArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_SetReverseEdges_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostBreadthFirstSearchTree *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverseEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_GetReverseEdges_18(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;
  bool   temp20;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverseEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_ReverseEdgesOn_19(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_ReverseEdgesOff_110(JNIEnv *env, jobject obj)
{
  vtkBoostBreadthFirstSearchTree *op;

  op = (vtkBoostBreadthFirstSearchTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseEdgesOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostBreadthFirstSearchTree_VTKInit(JNIEnv *, jobject)
{
  vtkBoostBreadthFirstSearchTree *aNewOne = vtkBoostBreadthFirstSearchTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
