// java wrapper for vtkBoostExtractLargestComponent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostExtractLargestComponent.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostExtractLargestComponent_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostExtractLargestComponent",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostExtractLargestComponent_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostExtractLargestComponent *op;
  const char    *temp20;

  op = (vtkBoostExtractLargestComponent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostExtractLargestComponent_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostExtractLargestComponent *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostExtractLargestComponent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostExtractLargestComponent_SetInvertSelection_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostExtractLargestComponent *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostExtractLargestComponent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInvertSelection(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostExtractLargestComponent_GetInvertSelection_13(JNIEnv *env, jobject obj)
{
  vtkBoostExtractLargestComponent *op;
  bool   temp20;

  op = (vtkBoostExtractLargestComponent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInvertSelection();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostExtractLargestComponent_VTKInit(JNIEnv *, jobject)
{
  vtkBoostExtractLargestComponent *aNewOne = vtkBoostExtractLargestComponent::New();
  return (jlong)(size_t)(void*)aNewOne;
}
