// java wrapper for vtkBoostPrimMinimumSpanningTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostPrimMinimumSpanningTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostPrimMinimumSpanningTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostPrimMinimumSpanningTree",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;
  const char    *temp20;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostPrimMinimumSpanningTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_SetEdgeWeightArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostPrimMinimumSpanningTree *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_SetOriginVertex_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoostPrimMinimumSpanningTree *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_SetCreateGraphVertexIdArray_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostPrimMinimumSpanningTree *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreateGraphVertexIdArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_GetCreateGraphVertexIdArray_15(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;
  bool   temp20;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreateGraphVertexIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOn_16(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGraphVertexIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_CreateGraphVertexIdArrayOff_17(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGraphVertexIdArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_SetNegateEdgeWeights_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostPrimMinimumSpanningTree *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNegateEdgeWeights(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_GetNegateEdgeWeights_19(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;
  bool   temp20;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNegateEdgeWeights();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOn_110(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->NegateEdgeWeightsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_NegateEdgeWeightsOff_111(JNIEnv *env, jobject obj)
{
  vtkBoostPrimMinimumSpanningTree *op;

  op = (vtkBoostPrimMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->NegateEdgeWeightsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostPrimMinimumSpanningTree_VTKInit(JNIEnv *, jobject)
{
  vtkBoostPrimMinimumSpanningTree *aNewOne = vtkBoostPrimMinimumSpanningTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
