// java wrapper for vtkBoostSplitTableField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostSplitTableField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostSplitTableField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostSplitTableField",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostSplitTableField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostSplitTableField *op;
  const char    *temp20;

  op = (vtkBoostSplitTableField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostSplitTableField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostSplitTableField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostSplitTableField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostSplitTableField_ClearFields_12(JNIEnv *env, jobject obj)
{
  vtkBoostSplitTableField *op;

  op = (vtkBoostSplitTableField *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearFields();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostSplitTableField_AddField_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkBoostSplitTableField *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkBoostSplitTableField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddField(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostSplitTableField_VTKInit(JNIEnv *, jobject)
{
  vtkBoostSplitTableField *aNewOne = vtkBoostSplitTableField::New();
  return (jlong)(size_t)(void*)aNewOne;
}
