// java wrapper for vtkCirclePackFrontChainLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCirclePackFrontChainLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCirclePackLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCirclePackFrontChainLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCirclePackFrontChainLayoutStrategy",dType)) { return me; }
  if ((res= vtkCirclePackLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  const char    *temp20;

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_Layout_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_GetWidth_13(JNIEnv *env, jobject obj)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  int      temp20;

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_SetWidth_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_GetHeight_15(JNIEnv *env, jobject obj)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  int      temp20;

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_SetHeight_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCirclePackFrontChainLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCirclePackFrontChainLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCirclePackFrontChainLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkCirclePackFrontChainLayoutStrategy *aNewOne = vtkCirclePackFrontChainLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
