// java wrapper for vtkCirclePackLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCirclePackLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCirclePackLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCirclePackLayoutStrategy",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCirclePackLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCirclePackLayoutStrategy *op;
  const char    *temp20;

  op = (vtkCirclePackLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCirclePackLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCirclePackLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCirclePackLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCirclePackLayoutStrategy_Layout_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkCirclePackLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkCirclePackLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout(temp0,temp1,temp2);
}
