// java wrapper for vtkCircularLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCircularLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCircularLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCircularLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCircularLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCircularLayoutStrategy *op;
  const char    *temp20;

  op = (vtkCircularLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCircularLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCircularLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCircularLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCircularLayoutStrategy_Layout_12(JNIEnv *env, jobject obj)
{
  vtkCircularLayoutStrategy *op;

  op = (vtkCircularLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCircularLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkCircularLayoutStrategy *aNewOne = vtkCircularLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
