// java wrapper for vtkClustering2DLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClustering2DLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClustering2DLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClustering2DLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  const char    *temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClustering2DLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetRandomSeed_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRandomSeed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetRandomSeedMinValue_13(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetRandomSeedMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetRandomSeed_15(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetMaxNumberOfIterations_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetMaxNumberOfIterationsMinValue_17(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetMaxNumberOfIterationsMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetMaxNumberOfIterations_19(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetIterationsPerLayout_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIterationsPerLayout(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetIterationsPerLayoutMinValue_111(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayoutMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetIterationsPerLayoutMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayoutMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetIterationsPerLayout_113(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayout();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetInitialTemperature_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialTemperature(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetInitialTemperatureMinValue_115(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperatureMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetInitialTemperatureMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperatureMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetInitialTemperature_117(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperature();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetCoolDownRate_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClustering2DLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoolDownRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetCoolDownRateMinValue_119(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  double   temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetCoolDownRateMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  double   temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetCoolDownRate_121(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  double   temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_SetRestDistance_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp0;
  temp0 = id0;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRestDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_GetRestDistance_123(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  float    temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRestDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_Initialize_124(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_Layout_125(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClustering2DLayoutStrategy_IsLayoutComplete_126(JNIEnv *env, jobject obj)
{
  vtkClustering2DLayoutStrategy *op;
  int      temp20;

  op = (vtkClustering2DLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkClustering2DLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkClustering2DLayoutStrategy *aNewOne = vtkClustering2DLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
