// java wrapper for vtkConeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConeLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkConeLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkConeLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConeLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;
  const char    *temp20;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConeLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConeLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_SetCompactness_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkConeLayoutStrategy *op;
  float    temp0;
  temp0 = id0;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompactness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConeLayoutStrategy_GetCompactness_13(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;
  float    temp20;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompactness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_SetCompression_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkConeLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompression(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConeLayoutStrategy_GetCompression_15(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;
  int      temp20;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompression();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_CompressionOn_16(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->CompressionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_CompressionOff_17(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->CompressionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_SetSpacing_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkConeLayoutStrategy *op;
  float    temp0;
  temp0 = id0;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConeLayoutStrategy_GetSpacing_19(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;
  float    temp20;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConeLayoutStrategy_Layout_110(JNIEnv *env, jobject obj)
{
  vtkConeLayoutStrategy *op;

  op = (vtkConeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkConeLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkConeLayoutStrategy *aNewOne = vtkConeLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
