// java wrapper for vtkConvexHull2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConvexHull2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkConvexHull2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkConvexHull2D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConvexHull2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  const char    *temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvexHull2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConvexHull2D_GetScaleFactor_12(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  double   temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetScaleFactor_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkConvexHull2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkConvexHull2D_GetOutline_14(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  bool   temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetOutline_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkConvexHull2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_OutlineOn_16(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_OutlineOff_17(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetHullShape_18(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHullShape();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetHullShape_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkConvexHull2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHullShape(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetHullShapeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHullShapeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetHullShapeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHullShapeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetMinHullSizeInWorld_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkConvexHull2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinHullSizeInWorld(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInWorldMinValue_113(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  double   temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInWorldMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInWorldMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  double   temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInWorldMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInWorld_115(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  double   temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInWorld();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetMinHullSizeInDisplay_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkConvexHull2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinHullSizeInDisplay(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInDisplayMinValue_117(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInDisplayMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInDisplayMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInDisplayMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetMinHullSizeInDisplay_119(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  int      temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinHullSizeInDisplay();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_SetRenderer_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkConvexHull2D *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvexHull2D_GetRenderer_121(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
  vtkRenderer  *temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvexHull2D_GetMTime_122(JNIEnv *env, jobject obj)
{
  vtkConvexHull2D *op;
   unsigned long     temp20;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_CalculateBoundingRectangle_123(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkConvexHull2D *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  double   temp2;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateBoundingRectangle(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvexHull2D_CalculateConvexHull_124(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkConvexHull2D *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  double   temp2;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkConvexHull2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateConvexHull(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkConvexHull2D_VTKInit(JNIEnv *, jobject)
{
  vtkConvexHull2D *aNewOne = vtkConvexHull2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
