// java wrapper for vtkDIMACSGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDIMACSGraphReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDIMACSGraphReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDIMACSGraphReader",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDIMACSGraphReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDIMACSGraphReader *op;
  const char    *temp20;

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDIMACSGraphReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDIMACSGraphReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDIMACSGraphReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkDIMACSGraphReader *op;
  char    *temp20;

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDIMACSGraphReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDIMACSGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDIMACSGraphReader_GetVertexAttributeArrayName_14(JNIEnv *env, jobject obj)
{
  vtkDIMACSGraphReader *op;
  char    *temp20;

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexAttributeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDIMACSGraphReader_SetVertexAttributeArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDIMACSGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexAttributeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDIMACSGraphReader_GetEdgeAttributeArrayName_16(JNIEnv *env, jobject obj)
{
  vtkDIMACSGraphReader *op;
  char    *temp20;

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeAttributeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDIMACSGraphReader_SetEdgeAttributeArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDIMACSGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDIMACSGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeAttributeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDIMACSGraphReader_VTKInit(JNIEnv *, jobject)
{
  vtkDIMACSGraphReader *aNewOne = vtkDIMACSGraphReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
