// java wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelimitedTextReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDelimitedTextReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDelimitedTextReader",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  const char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetUnicodeCharacterSet_14(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnicodeCharacterSet();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUnicodeCharacterSet_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUnicodeCharacterSet(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUTF8RecordDelimiters_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUTF8RecordDelimiters(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetUTF8RecordDelimiters_17(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  const char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUTF8RecordDelimiters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetFieldDelimiterCharacters_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDelimiterCharacters(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetFieldDelimiterCharacters_19(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDelimiterCharacters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUTF8FieldDelimiters_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUTF8FieldDelimiters(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetUTF8FieldDelimiters_111(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  const char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUTF8FieldDelimiters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkDelimitedTextReader_GetStringDelimiter_112(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char     temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringDelimiter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetStringDelimiter_113(JNIEnv *env, jobject obj,jchar id0)
{
  vtkDelimitedTextReader *op;
  char     temp0;
  temp0 = (char)(0xff & id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStringDelimiter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUTF8StringDelimiters_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUTF8StringDelimiters(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetUTF8StringDelimiters_115(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  const char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUTF8StringDelimiters();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetUseStringDelimiter_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseStringDelimiter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetUseStringDelimiter_117(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseStringDelimiter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_UseStringDelimiterOn_118(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->UseStringDelimiterOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_UseStringDelimiterOff_119(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->UseStringDelimiterOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetHaveHeaders_120(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHaveHeaders();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetHaveHeaders_121(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHaveHeaders(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetMergeConsecutiveDelimiters_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeConsecutiveDelimiters(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetMergeConsecutiveDelimiters_123(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeConsecutiveDelimiters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_MergeConsecutiveDelimitersOn_124(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeConsecutiveDelimitersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_MergeConsecutiveDelimitersOff_125(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MergeConsecutiveDelimitersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_GetMaxRecords_126(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  vtkIdType   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxRecords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetMaxRecords_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelimitedTextReader *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxRecords(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetDetectNumericColumns_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDetectNumericColumns(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetDetectNumericColumns_129(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDetectNumericColumns();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_DetectNumericColumnsOn_130(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DetectNumericColumnsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_DetectNumericColumnsOff_131(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DetectNumericColumnsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetForceDouble_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceDouble(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetForceDouble_133(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForceDouble();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_ForceDoubleOn_134(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceDoubleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_ForceDoubleOff_135(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceDoubleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetTrimWhitespacePriorToNumericConversion_136(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTrimWhitespacePriorToNumericConversion(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetTrimWhitespacePriorToNumericConversion_137(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTrimWhitespacePriorToNumericConversion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_TrimWhitespacePriorToNumericConversionOn_138(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->TrimWhitespacePriorToNumericConversionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_TrimWhitespacePriorToNumericConversionOff_139(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->TrimWhitespacePriorToNumericConversionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetDefaultIntegerValue_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelimitedTextReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultIntegerValue(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_GetDefaultIntegerValue_141(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  int      temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultIntegerValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetDefaultDoubleValue_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDelimitedTextReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultDoubleValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelimitedTextReader_GetDefaultDoubleValue_143(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  double   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultDoubleValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetPedigreeIdArrayName_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetPedigreeIdArrayName_145(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  char    *temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetGeneratePedigreeIds_146(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePedigreeIds(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetGeneratePedigreeIds_147(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_GeneratePedigreeIdsOn_148(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_GeneratePedigreeIdsOff_149(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePedigreeIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetOutputPedigreeIds_150(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputPedigreeIds(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextReader_GetOutputPedigreeIds_151(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  bool   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_OutputPedigreeIdsOn_152(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->OutputPedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_OutputPedigreeIdsOff_153(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->OutputPedigreeIdsOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextReader_GetLastError_154(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
  vtkStdString   temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastError();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextReader_SetReplacementCharacter_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelimitedTextReader *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplacementCharacter(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextReader_GetReplacementCharacter_156(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextReader *op;
   unsigned int      temp20;

  op = (vtkDelimitedTextReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplacementCharacter();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDelimitedTextReader_VTKInit(JNIEnv *, jobject)
{
  vtkDelimitedTextReader *aNewOne = vtkDelimitedTextReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
