// java wrapper for vtkDiagonalMatrixSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiagonalMatrixSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDiagonalMatrixSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDiagonalMatrixSource",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  const char    *temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiagonalMatrixSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiagonalMatrixSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetArrayType_12(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  int      temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetArrayType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiagonalMatrixSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetExtents_14(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  vtkIdType   temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetExtents_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiagonalMatrixSource *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtents(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetDiagonal_16(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  double   temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetDiagonal_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiagonalMatrixSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiagonal(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetSuperDiagonal_18(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  double   temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSuperDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetSuperDiagonal_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiagonalMatrixSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSuperDiagonal(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetSubDiagonal_110(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  double   temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetSubDiagonal_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiagonalMatrixSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubDiagonal(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetRowLabel_112(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  char    *temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRowLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetRowLabel_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiagonalMatrixSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRowLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiagonalMatrixSource_GetColumnLabel_114(JNIEnv *env, jobject obj)
{
  vtkDiagonalMatrixSource *op;
  char    *temp20;

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiagonalMatrixSource_SetColumnLabel_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiagonalMatrixSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiagonalMatrixSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDiagonalMatrixSource_VTKInit(JNIEnv *, jobject)
{
  vtkDiagonalMatrixSource *aNewOne = vtkDiagonalMatrixSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
