// java wrapper for vtkEdgeCenters object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgeCenters.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEdgeCenters_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEdgeCenters",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgeCenters_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEdgeCenters *op;
  const char    *temp20;

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeCenters_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgeCenters *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeCenters_SetVertexCells_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkEdgeCenters *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeCenters_GetVertexCells_13(JNIEnv *env, jobject obj)
{
  vtkEdgeCenters *op;
  int      temp20;

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeCenters_VertexCellsOn_14(JNIEnv *env, jobject obj)
{
  vtkEdgeCenters *op;

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeCenters_VertexCellsOff_15(JNIEnv *env, jobject obj)
{
  vtkEdgeCenters *op;

  op = (vtkEdgeCenters *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexCellsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEdgeCenters_VTKInit(JNIEnv *, jobject)
{
  vtkEdgeCenters *aNewOne = vtkEdgeCenters::New();
  return (jlong)(size_t)(void*)aNewOne;
}
