// java wrapper for vtkEdgeLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgeLayout.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEdgeLayout_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEdgeLayout",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgeLayout_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEdgeLayout *op;
  const char    *temp20;

  op = (vtkEdgeLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeLayout_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgeLayout *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgeLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeLayout_SetLayoutStrategy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEdgeLayout *op;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = (vtkEdgeLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEdgeLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkEdgeLayout_GetLayoutStrategy_13(JNIEnv *env, jobject obj)
{
  vtkEdgeLayout *op;
  vtkEdgeLayoutStrategy  *temp20;

  op = (vtkEdgeLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeLayout_GetMTime_14(JNIEnv *env, jobject obj)
{
  vtkEdgeLayout *op;
   unsigned long     temp20;

  op = (vtkEdgeLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEdgeLayout_VTKInit(JNIEnv *, jobject)
{
  vtkEdgeLayout *aNewOne = vtkEdgeLayout::New();
  return (jlong)(size_t)(void*)aNewOne;
}
