// java wrapper for vtkEdgeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgeLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEdgeLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEdgeLayoutStrategy",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgeLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEdgeLayoutStrategy *op;
  const char    *temp20;

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgeLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeLayoutStrategy_SetGraph_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEdgeLayoutStrategy *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraph(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeLayoutStrategy_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkEdgeLayoutStrategy *op;

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeLayoutStrategy_Layout_14(JNIEnv *env, jobject obj)
{
  vtkEdgeLayoutStrategy *op;

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeLayoutStrategy_SetEdgeWeightArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgeLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgeLayoutStrategy_GetEdgeWeightArrayName_16(JNIEnv *env, jobject obj)
{
  vtkEdgeLayoutStrategy *op;
  char    *temp20;

  op = (vtkEdgeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}
