// java wrapper for vtkExpandSelectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExpandSelectedGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExpandSelectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExpandSelectedGraph",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExpandSelectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;
  const char    *temp20;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExpandSelectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExpandSelectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_SetGraphConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExpandSelectedGraph *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphConnection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExpandSelectedGraph_FillInputPortInformation_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkExpandSelectedGraph *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_SetBFSDistance_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkExpandSelectedGraph *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBFSDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExpandSelectedGraph_GetBFSDistance_15(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;
  int      temp20;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBFSDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_SetIncludeShortestPaths_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkExpandSelectedGraph *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeShortestPaths(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkExpandSelectedGraph_GetIncludeShortestPaths_17(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;
  bool   temp20;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeShortestPaths();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_IncludeShortestPathsOn_18(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeShortestPathsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_IncludeShortestPathsOff_19(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeShortestPathsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_SetDomain_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExpandSelectedGraph *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDomain(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExpandSelectedGraph_GetDomain_111(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;
  char    *temp20;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDomain();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_SetUseDomain_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkExpandSelectedGraph *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseDomain(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkExpandSelectedGraph_GetUseDomain_113(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;
  bool   temp20;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseDomain();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_UseDomainOn_114(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDomainOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExpandSelectedGraph_UseDomainOff_115(JNIEnv *env, jobject obj)
{
  vtkExpandSelectedGraph *op;

  op = (vtkExpandSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDomainOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExpandSelectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkExpandSelectedGraph *aNewOne = vtkExpandSelectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
