// java wrapper for vtkExtractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractArray",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractArray *op;
  const char    *temp20;

  op = (vtkExtractArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractArray_GetIndex_12(JNIEnv *env, jobject obj)
{
  vtkExtractArray *op;
  vtkIdType   temp20;

  op = (vtkExtractArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractArray_SetIndex_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkExtractArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndex(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractArray_VTKInit(JNIEnv *, jobject)
{
  vtkExtractArray *aNewOne = vtkExtractArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
