// java wrapper for vtkExtractSelectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSelectedGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractSelectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractSelectedGraph",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractSelectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedGraph *op;
  const char    *temp20;

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractSelectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedGraph_SetSelectionConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractSelectedGraph *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedGraph_SetAnnotationLayersConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractSelectedGraph *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnnotationLayersConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedGraph_SetRemoveIsolatedVertices_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkExtractSelectedGraph *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRemoveIsolatedVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkExtractSelectedGraph_GetRemoveIsolatedVertices_15(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedGraph *op;
  bool   temp20;

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRemoveIsolatedVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedGraph_RemoveIsolatedVerticesOn_16(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedGraph *op;

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveIsolatedVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractSelectedGraph_RemoveIsolatedVerticesOff_17(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedGraph *op;

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveIsolatedVerticesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedGraph_FillInputPortInformation_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkExtractSelectedGraph *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExtractSelectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractSelectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkExtractSelectedGraph *aNewOne = vtkExtractSelectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
