// java wrapper for vtkGraphAnnotationLayersFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphAnnotationLayersFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphAnnotationLayersFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphAnnotationLayersFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;
  const char    *temp20;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphAnnotationLayersFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_OutlineOn_12(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_OutlineOff_13(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetOutline_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphAnnotationLayersFilter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetScaleFactor_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphAnnotationLayersFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetHullShapeToBoundingRectangle_16(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHullShapeToBoundingRectangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetHullShapeToConvexHull_17(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHullShapeToConvexHull();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetMinHullSizeInWorld_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphAnnotationLayersFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinHullSizeInWorld(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetMinHullSizeInDisplay_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphAnnotationLayersFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinHullSizeInDisplay(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_SetRenderer_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphAnnotationLayersFilter *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_GetMTime_111(JNIEnv *env, jobject obj)
{
  vtkGraphAnnotationLayersFilter *op;
   unsigned long     temp20;

  op = (vtkGraphAnnotationLayersFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphAnnotationLayersFilter_VTKInit(JNIEnv *, jobject)
{
  vtkGraphAnnotationLayersFilter *aNewOne = vtkGraphAnnotationLayersFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
