// java wrapper for vtkGraphHierarchicalBundleEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphHierarchicalBundleEdges.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphHierarchicalBundleEdges_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphHierarchicalBundleEdges",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;
  const char    *temp20;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphHierarchicalBundleEdges *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_SetBundlingStrength_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphHierarchicalBundleEdges *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_GetBundlingStrengthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;
  double   temp20;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_GetBundlingStrengthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;
  double   temp20;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_GetBundlingStrength_15(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;
  double   temp20;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_SetDirectMapping_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphHierarchicalBundleEdges *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectMapping(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_GetDirectMapping_17(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;
  bool   temp20;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectMapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_DirectMappingOn_18(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectMappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_DirectMappingOff_19(JNIEnv *env, jobject obj)
{
  vtkGraphHierarchicalBundleEdges *op;

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectMappingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_FillInputPortInformation_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGraphHierarchicalBundleEdges *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraphHierarchicalBundleEdges *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphHierarchicalBundleEdges_VTKInit(JNIEnv *, jobject)
{
  vtkGraphHierarchicalBundleEdges *aNewOne = vtkGraphHierarchicalBundleEdges::New();
  return (jlong)(size_t)(void*)aNewOne;
}
