// java wrapper for vtkKCoreDecomposition object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKCoreDecomposition.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKCoreDecomposition_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKCoreDecomposition",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKCoreDecomposition_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;
  const char    *temp20;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKCoreDecomposition_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKCoreDecomposition *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_SetOutputArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKCoreDecomposition *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_SetUseInDegreeNeighbors_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkKCoreDecomposition *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseInDegreeNeighbors(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkKCoreDecomposition_GetUseInDegreeNeighbors_14(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;
  bool   temp20;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseInDegreeNeighbors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_UseInDegreeNeighborsOn_15(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->UseInDegreeNeighborsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_UseInDegreeNeighborsOff_16(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->UseInDegreeNeighborsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_SetUseOutDegreeNeighbors_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkKCoreDecomposition *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseOutDegreeNeighbors(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkKCoreDecomposition_GetUseOutDegreeNeighbors_18(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;
  bool   temp20;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseOutDegreeNeighbors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_UseOutDegreeNeighborsOn_19(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOutDegreeNeighborsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_UseOutDegreeNeighborsOff_110(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOutDegreeNeighborsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_SetCheckInputGraph_111(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkKCoreDecomposition *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCheckInputGraph(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkKCoreDecomposition_GetCheckInputGraph_112(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;
  bool   temp20;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCheckInputGraph();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_CheckInputGraphOn_113(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckInputGraphOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKCoreDecomposition_CheckInputGraphOff_114(JNIEnv *env, jobject obj)
{
  vtkKCoreDecomposition *op;

  op = (vtkKCoreDecomposition *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckInputGraphOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKCoreDecomposition_VTKInit(JNIEnv *, jobject)
{
  vtkKCoreDecomposition *aNewOne = vtkKCoreDecomposition::New();
  return (jlong)(size_t)(void*)aNewOne;
}
