// java wrapper for vtkKMeansDistanceFunctorCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKMeansDistanceFunctorCalculator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkKMeansDistanceFunctor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKMeansDistanceFunctorCalculator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKMeansDistanceFunctorCalculator",dType)) { return me; }
  if ((res= vtkKMeansDistanceFunctor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKMeansDistanceFunctorCalculator *op;
  const char    *temp20;

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKMeansDistanceFunctorCalculator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_SetDistanceExpression_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKMeansDistanceFunctorCalculator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceExpression(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_GetDistanceExpression_13(JNIEnv *env, jobject obj)
{
  vtkKMeansDistanceFunctorCalculator *op;
  char    *temp20;

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceExpression();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_SetFunctionParser_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKMeansDistanceFunctorCalculator *op;
  vtkFunctionParser  *temp0;
  temp0 = (vtkFunctionParser *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFunctionParser(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_GetFunctionParser_15(JNIEnv *env, jobject obj)
{
  vtkKMeansDistanceFunctorCalculator *op;
  vtkFunctionParser  *temp20;

  op = (vtkKMeansDistanceFunctorCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFunctionParser();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKMeansDistanceFunctorCalculator_VTKInit(JNIEnv *, jobject)
{
  vtkKMeansDistanceFunctorCalculator *aNewOne = vtkKMeansDistanceFunctorCalculator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
