// java wrapper for vtkNormalizeMatrixVectors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNormalizeMatrixVectors.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNormalizeMatrixVectors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNormalizeMatrixVectors",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNormalizeMatrixVectors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNormalizeMatrixVectors *op;
  const char    *temp20;

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNormalizeMatrixVectors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNormalizeMatrixVectors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNormalizeMatrixVectors_GetVectorDimension_12(JNIEnv *env, jobject obj)
{
  vtkNormalizeMatrixVectors *op;
  int      temp20;

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNormalizeMatrixVectors_SetVectorDimension_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkNormalizeMatrixVectors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorDimension(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkNormalizeMatrixVectors_GetPValue_14(JNIEnv *env, jobject obj)
{
  vtkNormalizeMatrixVectors *op;
  double   temp20;

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNormalizeMatrixVectors_SetPValue_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkNormalizeMatrixVectors *op;
  double   temp0;
  temp0 = id0;

  op = (vtkNormalizeMatrixVectors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPValue(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNormalizeMatrixVectors_VTKInit(JNIEnv *, jobject)
{
  vtkNormalizeMatrixVectors *aNewOne = vtkNormalizeMatrixVectors::New();
  return (jlong)(size_t)(void*)aNewOne;
}
