// java wrapper for vtkPCAStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCAStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiCorrelativeStatistics_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCAStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCAStatistics",dType)) { return me; }
  if ((res= vtkMultiCorrelativeStatistics_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  const char    *temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetNormalizationScheme_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalizationScheme(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAStatistics_GetNormalizationScheme_13(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  int      temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizationScheme();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetNormalizationSchemeByName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAStatistics *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalizationSchemeByName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAStatistics_GetNormalizationSchemeName_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizationSchemeName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPCAStatistics_GetSpecifiedNormalization_16(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  vtkTable  *temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpecifiedNormalization();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetSpecifiedNormalization_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPCAStatistics *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpecifiedNormalization(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvalues_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAStatistics *op;
  int      temp0;
  vtkDoubleArray  *temp1;
  temp0 = id0;
  temp1 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvalues(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvalues_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPCAStatistics *op;
  vtkDoubleArray  *temp0;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvalues(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvalue_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPCAStatistics *op;
  int      temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEigenvalue(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvalue_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEigenvalue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvectors_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAStatistics *op;
  int      temp0;
  vtkDoubleArray  *temp1;
  temp0 = id0;
  temp1 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvectors(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvectors_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPCAStatistics *op;
  vtkDoubleArray  *temp0;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvectors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvector_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAStatistics *op;
  int      temp0;
  vtkDoubleArray  *temp1;
  temp0 = id0;
  temp1 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvector(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_GetEigenvector_115(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkPCAStatistics *op;
  int      temp0;
  int      temp1;
  vtkDoubleArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEigenvector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetBasisScheme_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBasisScheme(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAStatistics_GetBasisScheme_117(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  int      temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBasisScheme();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAStatistics_GetBasisSchemeName_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBasisSchemeName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetBasisSchemeByName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAStatistics *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBasisSchemeByName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetFixedBasisSize_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFixedBasisSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAStatistics_GetFixedBasisSize_121(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  int      temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFixedBasisSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAStatistics_SetFixedBasisEnergy_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPCAStatistics *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFixedBasisEnergy(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCAStatistics_GetFixedBasisEnergyMinValue_123(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  double   temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFixedBasisEnergyMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCAStatistics_GetFixedBasisEnergyMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  double   temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFixedBasisEnergyMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCAStatistics_GetFixedBasisEnergy_125(JNIEnv *env, jobject obj)
{
  vtkPCAStatistics *op;
  double   temp20;

  op = (vtkPCAStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFixedBasisEnergy();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPCAStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkPCAStatistics *aNewOne = vtkPCAStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
