// java wrapper for vtkPExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPExtractHistogram2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtractHistogram2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPExtractHistogram2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPExtractHistogram2D",dType)) { return me; }
  if ((res= vtkExtractHistogram2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExtractHistogram2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPExtractHistogram2D *op;
  const char    *temp20;

  op = (vtkPExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExtractHistogram2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExtractHistogram2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExtractHistogram2D_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPExtractHistogram2D *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPExtractHistogram2D_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPExtractHistogram2D *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPExtractHistogram2D_VTKInit(JNIEnv *, jobject)
{
  vtkPExtractHistogram2D *aNewOne = vtkPExtractHistogram2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
