// java wrapper for vtkPMultiCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPMultiCorrelativeStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiCorrelativeStatistics_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPMultiCorrelativeStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPMultiCorrelativeStatistics",dType)) { return me; }
  if ((res= vtkMultiCorrelativeStatistics_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPMultiCorrelativeStatistics *op;
  const char    *temp20;

  op = (vtkPMultiCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPMultiCorrelativeStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPMultiCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPMultiCorrelativeStatistics *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPMultiCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPMultiCorrelativeStatistics *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPMultiCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_GatherStatistics_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPMultiCorrelativeStatistics *op;
  vtkMultiProcessController  *temp0;
  vtkTable  *temp1;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPMultiCorrelativeStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->GatherStatistics(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPMultiCorrelativeStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkPMultiCorrelativeStatistics *aNewOne = vtkPMultiCorrelativeStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
