// java wrapper for vtkPOrderStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPOrderStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkOrderStatistics_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPOrderStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPOrderStatistics",dType)) { return me; }
  if ((res= vtkOrderStatistics_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOrderStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPOrderStatistics *op;
  const char    *temp20;

  op = (vtkPOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPOrderStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPOrderStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOrderStatistics_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPOrderStatistics *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPOrderStatistics_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPOrderStatistics *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOrderStatistics_Learn_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkPOrderStatistics *op;
  vtkTable  *temp0;
  vtkTable  *temp1;
  vtkMultiBlockDataSet  *temp2;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPOrderStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->Learn(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPOrderStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkPOrderStatistics *aNewOne = vtkPOrderStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
