// java wrapper for vtkPairwiseExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPairwiseExtractHistogram2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPairwiseExtractHistogram2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPairwiseExtractHistogram2D",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;
  const char    *temp20;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPairwiseExtractHistogram2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetNumberOfBins_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBins(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetNumberOfBins_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBins(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetNumberOfBins_14(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;
  int     *temp20;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBins();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetCustomColumnRangeIndex_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomColumnRangeIndex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetCustomColumnRangeByIndex_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPairwiseExtractHistogram2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomColumnRangeByIndex(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetCustomColumnRange_17(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomColumnRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetCustomColumnRange_18(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomColumnRange(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetScalarType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedInt_110(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedLong_111(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedShort_112(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_SetScalarTypeToUnsignedChar_113(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetScalarType_114(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp20;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetMaximumBinCount_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumBinCount(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetMaximumBinCount_116(JNIEnv *env, jobject obj)
{
  vtkPairwiseExtractHistogram2D *op;
  double   temp20;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumBinCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetBinRange_117(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jdoubleArray id3)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[4];
  void *tempArray3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinRange(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetBinRange_118(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  vtkIdType   temp1;
  double temp2[4];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinRange(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetBinWidth_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBinWidth(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetOutputHistogramImage_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputHistogramImage(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_GetHistogramFilter_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkPairwiseExtractHistogram2D *op;
  int      temp0;
  vtkExtractHistogram2D  *temp20;
  temp0 = id0;

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHistogramFilter(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_Aggregate_122(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPairwiseExtractHistogram2D *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPairwiseExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPairwiseExtractHistogram2D_VTKInit(JNIEnv *, jobject)
{
  vtkPairwiseExtractHistogram2D *aNewOne = vtkPairwiseExtractHistogram2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
