// java wrapper for vtkPruneTreeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPruneTreeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPruneTreeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPruneTreeFilter",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPruneTreeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPruneTreeFilter *op;
  const char    *temp20;

  op = (vtkPruneTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPruneTreeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPruneTreeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPruneTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPruneTreeFilter_GetParentVertex_12(JNIEnv *env, jobject obj)
{
  vtkPruneTreeFilter *op;
  vtkIdType   temp20;

  op = (vtkPruneTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParentVertex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPruneTreeFilter_SetParentVertex_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPruneTreeFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPruneTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParentVertex(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPruneTreeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkPruneTreeFilter *aNewOne = vtkPruneTreeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
