// java wrapper for vtkSQLDatabaseGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLDatabaseGraphSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLDatabaseGraphSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLDatabaseGraphSource",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  const char    *temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetURL_12(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString   temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetURL();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetURL_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetURL(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetPassword_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassword(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetEdgeQuery_15(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString   temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeQuery();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetEdgeQuery_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeQuery(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetVertexQuery_17(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString   temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexQuery();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetVertexQuery_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexQuery(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_AddLinkVertex_19(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkSQLDatabaseGraphSource *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLinkVertex(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_ClearLinkVertices_110(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLinkVertices();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_AddLinkEdge_111(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkSQLDatabaseGraphSource *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLinkEdge(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_ClearLinkEdges_112(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLinkEdges();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetGenerateEdgePedigreeIds_113(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  bool   temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateEdgePedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetGenerateEdgePedigreeIds_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSQLDatabaseGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateEdgePedigreeIds(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOn_115(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GenerateEdgePedigreeIdsOff_116(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePedigreeIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetEdgePedigreeIdArrayName_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLDatabaseGraphSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgePedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetEdgePedigreeIdArrayName_118(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  char    *temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgePedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_SetDirected_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSQLDatabaseGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirected(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_GetDirected_120(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;
  bool   temp20;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirected();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_DirectedOn_121(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLDatabaseGraphSource_DirectedOff_122(JNIEnv *env, jobject obj)
{
  vtkSQLDatabaseGraphSource *op;

  op = (vtkSQLDatabaseGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSQLDatabaseGraphSource_VTKInit(JNIEnv *, jobject)
{
  vtkSQLDatabaseGraphSource *aNewOne = vtkSQLDatabaseGraphSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
