// java wrapper for vtkSQLGraphReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLGraphReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLGraphReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLGraphReader",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  const char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLGraphReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetDirected_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSQLGraphReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirected(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLGraphReader_GetDirected_13(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  bool   temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirected();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_DirectedOn_14(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_DirectedOff_15(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetVertexQuery_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSQLGraphReader *op;
  vtkSQLQuery  *temp0;
  temp0 = (vtkSQLQuery *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexQuery(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLGraphReader_GetVertexQuery_17(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  vtkSQLQuery  *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexQuery();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetEdgeQuery_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSQLGraphReader *op;
  vtkSQLQuery  *temp0;
  temp0 = (vtkSQLQuery *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeQuery(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLGraphReader_GetEdgeQuery_19(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  vtkSQLQuery  *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeQuery();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetSourceField_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetSourceField_111(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetTargetField_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetTargetField_113(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetVertexIdField_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexIdField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetVertexIdField_115(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexIdField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetXField_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetXField_117(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetYField_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetYField_119(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetZField_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLGraphReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLGraphReader_GetZField_121(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  char    *temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_SetCollapseEdges_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSQLGraphReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCollapseEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLGraphReader_GetCollapseEdges_123(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;
  bool   temp20;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCollapseEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_CollapseEdgesOn_124(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CollapseEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLGraphReader_CollapseEdgesOff_125(JNIEnv *env, jobject obj)
{
  vtkSQLGraphReader *op;

  op = (vtkSQLGraphReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CollapseEdgesOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSQLGraphReader_VTKInit(JNIEnv *, jobject)
{
  vtkSQLGraphReader *aNewOne = vtkSQLGraphReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
