// java wrapper for vtkStreamGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamGraph",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  const char    *temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_SetUseEdgeWindow_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStreamGraph *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseEdgeWindow(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStreamGraph_GetUseEdgeWindow_13(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  bool   temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseEdgeWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_UseEdgeWindowOn_14(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_UseEdgeWindowOff_15(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_SetEdgeWindowArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamGraph *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWindowArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamGraph_GetEdgeWindowArrayName_17(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  char    *temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWindowArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamGraph_SetEdgeWindow_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamGraph *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWindow(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamGraph_GetEdgeWindow_19(JNIEnv *env, jobject obj)
{
  vtkStreamGraph *op;
  double   temp20;

  op = (vtkStreamGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWindow();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamGraph_VTKInit(JNIEnv *, jobject)
{
  vtkStreamGraph *aNewOne = vtkStreamGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
