// java wrapper for vtkStreamingStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamingStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamingStatistics",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamingStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamingStatistics *op;
  const char    *temp20;

  op = (vtkStreamingStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamingStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamingStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamingStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamingStatistics_SetStatisticsAlgorithm_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamingStatistics *op;
  vtkStatisticsAlgorithm  *temp0;
  temp0 = (vtkStatisticsAlgorithm *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamingStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStatisticsAlgorithm(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamingStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkStreamingStatistics *aNewOne = vtkStreamingStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
