// java wrapper for vtkStringToCategory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStringToCategory.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStringToCategory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStringToCategory",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStringToCategory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStringToCategory *op;
  const char    *temp20;

  op = (vtkStringToCategory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStringToCategory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStringToCategory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStringToCategory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStringToCategory_SetCategoryArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStringToCategory *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStringToCategory *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCategoryArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStringToCategory_GetCategoryArrayName_13(JNIEnv *env, jobject obj)
{
  vtkStringToCategory *op;
  char    *temp20;

  op = (vtkStringToCategory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCategoryArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStringToCategory_VTKInit(JNIEnv *, jobject)
{
  vtkStringToCategory *aNewOne = vtkStringToCategory::New();
  return (jlong)(size_t)(void*)aNewOne;
}
