// java wrapper for vtkTimePointToString object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTimePointToString.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTimePointToString_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTimePointToString",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimePointToString_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTimePointToString *op;
  const char    *temp20;

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointToString_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimePointToString *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimePointToString_SetISO8601Format_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointToString *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  op->SetISO8601Format(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointToString_GetISO8601Format_13(JNIEnv *env, jobject obj)
{
  vtkTimePointToString *op;
  int      temp20;

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetISO8601Format();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimePointToString_SetOutputArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimePointToString *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimePointToString_GetOutputArrayName_15(JNIEnv *env, jobject obj)
{
  vtkTimePointToString *op;
  char    *temp20;

  op = (vtkTimePointToString *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTimePointToString_VTKInit(JNIEnv *, jobject)
{
  vtkTimePointToString *aNewOne = vtkTimePointToString::New();
  return (jlong)(size_t)(void*)aNewOne;
}
