// java wrapper for vtkTransferAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransferAttributes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransferAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransferAttributes",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransferAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  const char    *temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransferAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransferAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_SetDirectMapping_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTransferAttributes *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectMapping(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTransferAttributes_GetDirectMapping_13(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  bool   temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectMapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_DirectMappingOn_14(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectMappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_DirectMappingOff_15(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectMappingOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransferAttributes_GetSourceArrayName_16(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  char    *temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_SetSourceArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransferAttributes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransferAttributes_GetTargetArrayName_18(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  char    *temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_SetTargetArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransferAttributes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransferAttributes_GetSourceFieldType_110(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  int      temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_SetSourceFieldType_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransferAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransferAttributes_GetTargetFieldType_112(JNIEnv *env, jobject obj)
{
  vtkTransferAttributes *op;
  int      temp20;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransferAttributes_SetTargetFieldType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransferAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransferAttributes_FillInputPortInformation_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTransferAttributes *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransferAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransferAttributes_VTKInit(JNIEnv *, jobject)
{
  vtkTransferAttributes *aNewOne = vtkTransferAttributes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
