// java wrapper for vtkVertexDegree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVertexDegree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVertexDegree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVertexDegree",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVertexDegree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVertexDegree *op;
  const char    *temp20;

  op = (vtkVertexDegree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVertexDegree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVertexDegree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVertexDegree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVertexDegree_SetOutputArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVertexDegree *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVertexDegree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVertexDegree_VTKInit(JNIEnv *, jobject)
{
  vtkVertexDegree *aNewOne = vtkVertexDegree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
