// java wrapper for vtkBranchExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBranchExtentTranslator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtentTranslator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBranchExtentTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBranchExtentTranslator",dType)) { return me; }
  if ((res= vtkExtentTranslator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBranchExtentTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBranchExtentTranslator *op;
  const char    *temp20;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBranchExtentTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBranchExtentTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBranchExtentTranslator_SetOriginalSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBranchExtentTranslator *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginalSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBranchExtentTranslator_GetOriginalSource_13(JNIEnv *env, jobject obj)
{
  vtkBranchExtentTranslator *op;
  vtkImageData  *temp20;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginalSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBranchExtentTranslator_PieceToExtent_14(JNIEnv *env, jobject obj)
{
  vtkBranchExtentTranslator *op;
  int      temp20;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PieceToExtent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBranchExtentTranslator_SetAssignedPiece_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBranchExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAssignedPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBranchExtentTranslator_GetAssignedPiece_16(JNIEnv *env, jobject obj)
{
  vtkBranchExtentTranslator *op;
  int      temp20;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssignedPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBranchExtentTranslator_SetAssignedNumberOfPieces_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkBranchExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAssignedNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBranchExtentTranslator_GetAssignedNumberOfPieces_18(JNIEnv *env, jobject obj)
{
  vtkBranchExtentTranslator *op;
  int      temp20;

  op = (vtkBranchExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssignedNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBranchExtentTranslator_VTKInit(JNIEnv *, jobject)
{
  vtkBranchExtentTranslator *aNewOne = vtkBranchExtentTranslator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
