// java wrapper for vtkCollectTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollectTable.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollectTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollectTable",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollectTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;
  const char    *temp20;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollectTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectTable_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollectTable *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCollectTable_GetController_13(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;
  vtkMultiProcessController  *temp20;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectTable_SetSocketController_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollectTable *op;
  vtkSocketController  *temp0;
  temp0 = (vtkSocketController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSocketController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCollectTable_GetSocketController_15(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;
  vtkSocketController  *temp20;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSocketController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectTable_SetPassThrough_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollectTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassThrough(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollectTable_GetPassThrough_17(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;
  int      temp20;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassThrough();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectTable_PassThroughOn_18(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollectTable_PassThroughOff_19(JNIEnv *env, jobject obj)
{
  vtkCollectTable *op;

  op = (vtkCollectTable *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCollectTable_VTKInit(JNIEnv *, jobject)
{
  vtkCollectTable *aNewOne = vtkCollectTable::New();
  return (jlong)(size_t)(void*)aNewOne;
}
