// java wrapper for vtkCompositedSynchronizedRenderers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositedSynchronizedRenderers.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSynchronizedRenderers_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositedSynchronizedRenderers_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositedSynchronizedRenderers",dType)) { return me; }
  if ((res= vtkSynchronizedRenderers_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositedSynchronizedRenderers_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositedSynchronizedRenderers *op;
  const char    *temp20;

  op = (vtkCompositedSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositedSynchronizedRenderers_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositedSynchronizedRenderers *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositedSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositedSynchronizedRenderers_SetCompositer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositedSynchronizedRenderers *op;
  vtkCompositer  *temp0;
  temp0 = (vtkCompositer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositedSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositedSynchronizedRenderers_GetCompositer_13(JNIEnv *env, jobject obj)
{
  vtkCompositedSynchronizedRenderers *op;
  vtkCompositer  *temp20;

  op = (vtkCompositedSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositedSynchronizedRenderers_VTKInit(JNIEnv *, jobject)
{
  vtkCompositedSynchronizedRenderers *aNewOne = vtkCompositedSynchronizedRenderers::New();
  return (jlong)(size_t)(void*)aNewOne;
}
