// java wrapper for vtkDistributedStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPStreamTracer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistributedStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistributedStreamTracer",dType)) { return me; }
  if ((res= vtkPStreamTracer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistributedStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistributedStreamTracer *op;
  const char    *temp20;

  op = (vtkDistributedStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDistributedStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkDistributedStreamTracer *aNewOne = vtkDistributedStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
