// java wrapper for vtkMemoryLimitImageDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMemoryLimitImageDataStreamer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageDataStreamer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMemoryLimitImageDataStreamer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMemoryLimitImageDataStreamer",dType)) { return me; }
  if ((res= vtkImageDataStreamer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMemoryLimitImageDataStreamer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMemoryLimitImageDataStreamer *op;
  const char    *temp20;

  op = (vtkMemoryLimitImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMemoryLimitImageDataStreamer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMemoryLimitImageDataStreamer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMemoryLimitImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMemoryLimitImageDataStreamer_SetMemoryLimit_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMemoryLimitImageDataStreamer *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkMemoryLimitImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMemoryLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMemoryLimitImageDataStreamer_GetMemoryLimit_13(JNIEnv *env, jobject obj)
{
  vtkMemoryLimitImageDataStreamer *op;
   unsigned long     temp20;

  op = (vtkMemoryLimitImageDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMemoryLimit();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMemoryLimitImageDataStreamer_VTKInit(JNIEnv *, jobject)
{
  vtkMemoryLimitImageDataStreamer *aNewOne = vtkMemoryLimitImageDataStreamer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
