// java wrapper for vtkPCellDataToPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCellDataToPointData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCellDataToPointData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCellDataToPointData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCellDataToPointData",dType)) { return me; }
  if ((res= vtkCellDataToPointData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCellDataToPointData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCellDataToPointData *op;
  const char    *temp20;

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCellDataToPointData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCellDataToPointData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCellDataToPointData_SetPieceInvariant_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCellDataToPointData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceInvariant(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCellDataToPointData_GetPieceInvariant_13(JNIEnv *env, jobject obj)
{
  vtkPCellDataToPointData *op;
  int      temp20;

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceInvariant();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCellDataToPointData_PieceInvariantOn_14(JNIEnv *env, jobject obj)
{
  vtkPCellDataToPointData *op;

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->PieceInvariantOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCellDataToPointData_PieceInvariantOff_15(JNIEnv *env, jobject obj)
{
  vtkPCellDataToPointData *op;

  op = (vtkPCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->PieceInvariantOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPCellDataToPointData_VTKInit(JNIEnv *, jobject)
{
  vtkPCellDataToPointData *aNewOne = vtkPCellDataToPointData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
