// java wrapper for vtkPCosmoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCosmoReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCosmoReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCosmoReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCosmoReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  const char    *temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCosmoReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCosmoReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCosmoReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCosmoReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  char    *temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetRL_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPCosmoReader *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRL(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCosmoReader_GetRL_15(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  float    temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRL();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetOverlap_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPCosmoReader *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOverlap(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPCosmoReader_GetOverlap_17(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  float    temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOverlap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetReadMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCosmoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCosmoReader_GetReadMode_19(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  int      temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetCosmoFormat_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCosmoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCosmoFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCosmoReader_GetCosmoFormat_111(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  int      temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCosmoFormat();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPCosmoReader_GetController_112(JNIEnv *env, jobject obj)
{
  vtkPCosmoReader *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCosmoReader_SetController_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPCosmoReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPCosmoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPCosmoReader_VTKInit(JNIEnv *, jobject)
{
  vtkPCosmoReader *aNewOne = vtkPCosmoReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
