// java wrapper for vtkPLSDynaReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPLSDynaReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLSDynaReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPLSDynaReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPLSDynaReader",dType)) { return me; }
  if ((res= vtkLSDynaReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPLSDynaReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPLSDynaReader *op;
  const char    *temp20;

  op = (vtkPLSDynaReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLSDynaReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLSDynaReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLSDynaReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPLSDynaReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPLSDynaReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPLSDynaReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPLSDynaReader_SetController_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPLSDynaReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPLSDynaReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPLSDynaReader_GetController_14(JNIEnv *env, jobject obj)
{
  vtkPLSDynaReader *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPLSDynaReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPLSDynaReader_VTKInit(JNIEnv *, jobject)
{
  vtkPLSDynaReader *aNewOne = vtkPLSDynaReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
