// java wrapper for vtkPOPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPOPReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPOPReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPOPReader",dType)) { return me; }
  if ((res= vtkStructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOPReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  const char    *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPOPReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPOPReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPOPReader_GetDimensions_12(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  int     *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOPReader_GetGridFileName_13(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  char    *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOPReader_GetUFlowFileName_14(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  char    *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUFlowFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOPReader_GetVFlowFileName_15(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  char    *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVFlowFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOPReader_SetFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPOPReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPOPReader_GetFileName_17(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  char    *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOPReader_SetRadius_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPOPReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPOPReader_GetRadius_19(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  double   temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOPReader_SetClipExtent_110(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkPOPReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOPReader_SetClipExtent_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkPOPReader *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPOPReader_GetClipExtent_112(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  int     *temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPOPReader_SetNumberOfGhostLevels_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkPOPReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfGhostLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPOPReader_GetNumberOfGhostLevels_114(JNIEnv *env, jobject obj)
{
  vtkPOPReader *op;
  int      temp20;

  op = (vtkPOPReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGhostLevels();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPOPReader_VTKInit(JNIEnv *, jobject)
{
  vtkPOPReader *aNewOne = vtkPOPReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
