// java wrapper for vtkPSLACReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPSLACReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSLACReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPSLACReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPSLACReader",dType)) { return me; }
  if ((res= vtkSLACReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPSLACReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPSLACReader *op;
  const char    *temp20;

  op = (vtkPSLACReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPSLACReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPSLACReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPSLACReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPSLACReader_GetController_12(JNIEnv *env, jobject obj)
{
  vtkPSLACReader *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPSLACReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPSLACReader_SetController_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPSLACReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPSLACReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPSLACReader_VTKInit(JNIEnv *, jobject)
{
  vtkPSLACReader *aNewOne = vtkPSLACReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
