// java wrapper for vtkSynchronizedRenderers object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSynchronizedRenderers.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSynchronizedRenderers_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSynchronizedRenderers",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSynchronizedRenderers_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  const char    *temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedRenderers_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSynchronizedRenderers *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSynchronizedRenderers *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSynchronizedRenderers_GetRenderer_13(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  vtkRenderer  *temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetParallelController_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSynchronizedRenderers *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSynchronizedRenderers_GetParallelController_15(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  vtkMultiProcessController  *temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetParallelRendering_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSynchronizedRenderers *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelRendering(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSynchronizedRenderers_GetParallelRendering_17(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  bool   temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_ParallelRenderingOn_18(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_ParallelRenderingOff_19(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelRenderingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetImageReductionFactor_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedRenderers *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedRenderers_GetImageReductionFactorMinValue_111(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  int      temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageReductionFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedRenderers_GetImageReductionFactorMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  int      temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageReductionFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedRenderers_GetImageReductionFactor_113(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  int      temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetWriteBackImages_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSynchronizedRenderers *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteBackImages(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSynchronizedRenderers_GetWriteBackImages_115(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  bool   temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteBackImages();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_WriteBackImagesOn_116(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteBackImagesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_WriteBackImagesOff_117(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteBackImagesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetRootProcessId_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSynchronizedRenderers *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRootProcessId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSynchronizedRenderers_GetRootProcessId_119(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  int      temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRootProcessId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_CollectiveExpandForVisiblePropBounds_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSynchronizedRenderers *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->CollectiveExpandForVisiblePropBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetCaptureDelegate_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSynchronizedRenderers *op;
  vtkSynchronizedRenderers  *temp0;
  temp0 = (vtkSynchronizedRenderers *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaptureDelegate(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSynchronizedRenderers_GetCaptureDelegate_122(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  vtkSynchronizedRenderers  *temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaptureDelegate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_SetAutomaticEventHandling_123(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSynchronizedRenderers *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticEventHandling(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSynchronizedRenderers_GetAutomaticEventHandling_124(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;
  bool   temp20;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticEventHandling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_AutomaticEventHandlingOn_125(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticEventHandlingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSynchronizedRenderers_AutomaticEventHandlingOff_126(JNIEnv *env, jobject obj)
{
  vtkSynchronizedRenderers *op;

  op = (vtkSynchronizedRenderers *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticEventHandlingOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSynchronizedRenderers_VTKInit(JNIEnv *, jobject)
{
  vtkSynchronizedRenderers *aNewOne = vtkSynchronizedRenderers::New();
  return (jlong)(size_t)(void*)aNewOne;
}
