// java wrapper for vtkTemporalInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFunctionSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkFunctionSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_SelectVectors_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalInterpolatedVelocityField *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectVectors(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_SetDataSetAtTime_13(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2,jobject id3,jboolean id4)
{
  vtkTemporalInterpolatedVelocityField *op;
  int      temp0;
  int      temp1;
  double   temp2;
  vtkDataSet  *temp3;
  bool   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (id4 != 0) ? true : false;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetAtTime(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_GetCachedCellIds_14(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkTemporalInterpolatedVelocityField *op;
  vtkIdType temp0[2];
  void *tempArray0;
  int    temp1[2];
  void *tempArray1;
  bool   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCachedCellIds(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_SetCachedCellIds_15(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkTemporalInterpolatedVelocityField *op;
  vtkIdType temp0[2];
  void *tempArray0;
  int    temp1[2];
  void *tempArray1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCachedCellIds(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_ClearCache_16(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearCache();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_GetLastGoodVelocity_17(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;
  double  *temp20;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastGoodVelocity();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_GetCurrentWeight_18(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;
  double   temp20;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentWeight();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_InterpolatePoint_19(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkTemporalInterpolatedVelocityField *op;
  vtkPointData  *temp0;
  vtkPointData  *temp1;
  vtkIdType   temp2;
  bool   temp20;
  temp0 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InterpolatePoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_InterpolatePoint_110(JNIEnv *env, jobject obj,jint id0,jobject id1,jint id2)
{
  vtkTemporalInterpolatedVelocityField *op;
  int      temp0;
  vtkPointData  *temp1;
  vtkIdType   temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InterpolatePoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_ShowCacheResults_111(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowCacheResults();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_IsStatic_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalInterpolatedVelocityField *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsStatic(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_AdvanceOneTimeStep_113(JNIEnv *env, jobject obj)
{
  vtkTemporalInterpolatedVelocityField *op;

  op = (vtkTemporalInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AdvanceOneTimeStep();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalInterpolatedVelocityField_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalInterpolatedVelocityField *aNewOne = vtkTemporalInterpolatedVelocityField::New();
  return (jlong)(size_t)(void*)aNewOne;
}
