// java wrapper for vtkVPICReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVPICReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVPICReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVPICReader",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVPICReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  const char    *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVPICReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVPICReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVPICReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVPICReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  char    *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetStride_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkVPICReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetStride_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVPICReader *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStride(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVPICReader_GetStride_16(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  int     *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStride();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetXExtent_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVPICReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXExtent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetXExtent_18(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVPICReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetYExtent_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVPICReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYExtent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetYExtent_110(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVPICReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetZExtent_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVPICReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZExtent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetZExtent_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVPICReader *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVPICReader_GetXLayout_113(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  int     *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXLayout();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVPICReader_GetYLayout_114(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  int     *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYLayout();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVPICReader_GetZLayout_115(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  int     *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZLayout();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVPICReader_GetOutput_116(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  vtkImageData  *temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVPICReader_GetOutput_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkVPICReader *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVPICReader_GetNumberOfPointArrays_118(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;
  int      temp20;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVPICReader_GetPointArrayName_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkVPICReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVPICReader_GetPointArrayStatus_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVPICReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_SetPointArrayStatus_121(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkVPICReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_DisableAllPointArrays_122(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVPICReader_EnableAllPointArrays_123(JNIEnv *env, jobject obj)
{
  vtkVPICReader *op;

  op = (vtkVPICReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllPointArrays();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVPICReader_VTKInit(JNIEnv *, jobject)
{
  vtkVPICReader *aNewOne = vtkVPICReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
