// java wrapper for vtkCullerCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCullerCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCullerCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCullerCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCullerCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCullerCollection *op;
  const char    *temp20;

  op = (vtkCullerCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCullerCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCullerCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCullerCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCullerCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCullerCollection *op;
  vtkCuller  *temp0;
  temp0 = (vtkCuller *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCullerCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCullerCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkCullerCollection *op;
  vtkCuller  *temp20;

  op = (vtkCullerCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCullerCollection_GetLastItem_14(JNIEnv *env, jobject obj)
{
  vtkCullerCollection *op;
  vtkCuller  *temp20;

  op = (vtkCullerCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCullerCollection_VTKInit(JNIEnv *, jobject)
{
  vtkCullerCollection *aNewOne = vtkCullerCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
