// java wrapper for vtkDataSetMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetMapper",dType)) { return me; }
  if ((res= vtkMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  const char    *temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataSetMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetMapper_GetPolyDataMapper_13(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  vtkPolyDataMapper  *temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetMapper_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
   unsigned long     temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetMapper_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetMapper_GetInput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetMapper *op;
  vtkDataSet  *temp20;

  op = (vtkDataSetMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataSetMapper_VTKInit(JNIEnv *, jobject)
{
  vtkDataSetMapper *aNewOne = vtkDataSetMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
