// java wrapper for vtkFreeTypeStringToImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFreeTypeStringToImage.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStringToImage_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFreeTypeStringToImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFreeTypeStringToImage",dType)) { return me; }
  if ((res= vtkStringToImage_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFreeTypeStringToImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFreeTypeStringToImage *op;
  const char    *temp20;

  op = (vtkFreeTypeStringToImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFreeTypeStringToImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFreeTypeStringToImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFreeTypeStringToImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFreeTypeStringToImage_RenderString_12(JNIEnv *env, jobject obj,jobject id0,jstring id1,jobject id2)
{
  vtkFreeTypeStringToImage *op;
  vtkTextProperty  *temp0;
  vtkStdString temp1;
  vtkImageData  *temp2;
  int      temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkFreeTypeStringToImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderString(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFreeTypeStringToImage_SetScaleToPowerOfTwo_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkFreeTypeStringToImage *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkFreeTypeStringToImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleToPowerOfTwo(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFreeTypeStringToImage_DeepCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFreeTypeStringToImage *op;
  vtkFreeTypeStringToImage  *temp0;
  temp0 = (vtkFreeTypeStringToImage *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkFreeTypeStringToImage *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFreeTypeStringToImage_VTKInit(JNIEnv *, jobject)
{
  vtkFreeTypeStringToImage *aNewOne = vtkFreeTypeStringToImage::New();
  return (jlong)(size_t)(void*)aNewOne;
}
