// java wrapper for vtkGLSLShaderProgram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGLSLShaderProgram.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkShaderProgram_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGLSLShaderProgram_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGLSLShaderProgram",dType)) { return me; }
  if ((res= vtkShaderProgram_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGLSLShaderProgram_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGLSLShaderProgram *op;
  const char    *temp20;

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGLSLShaderProgram_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGLSLShaderProgram *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGLSLShaderProgram_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGLSLShaderProgram *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGLSLShaderProgram_PostRender_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGLSLShaderProgram *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGLSLShaderProgram_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGLSLShaderProgram *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGLSLShaderProgram_GetProgram_15(JNIEnv *env, jobject obj)
{
  vtkGLSLShaderProgram *op;
   unsigned int      temp20;

  op = (vtkGLSLShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgram();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGLSLShaderProgram_VTKInit(JNIEnv *, jobject)
{
  vtkGLSLShaderProgram *aNewOne = vtkGLSLShaderProgram::New();
  return (jlong)(size_t)(void*)aNewOne;
}
