// java wrapper for vtkGenericOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericOpenGLRenderWindow.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkOpenGLRenderWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericOpenGLRenderWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericOpenGLRenderWindow",dType)) { return me; }
  if ((res= vtkOpenGLRenderWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;
  const char    *temp20;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericOpenGLRenderWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_Finalize_12(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_Frame_13(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Frame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_MakeCurrent_14(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeCurrent();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_IsCurrent_15(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;
  bool   temp20;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsCurrent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SupportsOpenGL_16(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportsOpenGL();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_IsDirect_17(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDirect();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetFrontBuffer_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrontBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetFrontLeftBuffer_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrontLeftBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetFrontRightBuffer_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrontRightBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetBackBuffer_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetBackLeftBuffer_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackLeftBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetBackRightBuffer_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackRightBuffer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_PushState_114(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PushState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_PopState_115(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PopState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetWindowInfo_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetParentInfo_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParentInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_Start_118(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_HideCursor_119(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->HideCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_ShowCursor_120(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetFullScreen_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFullScreen(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_WindowRemap_122(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowRemap();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_GetEventPending_123(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventPending();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_SetNextWindowInfo_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNextWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_CreateAWindow_125(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateAWindow();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_DestroyWindow_126(JNIEnv *env, jobject obj)
{
  vtkGenericOpenGLRenderWindow *op;

  op = (vtkGenericOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->DestroyWindow();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericOpenGLRenderWindow_VTKInit(JNIEnv *, jobject)
{
  vtkGenericOpenGLRenderWindow *aNewOne = vtkGenericOpenGLRenderWindow::New();
  return (jlong)(size_t)(void*)aNewOne;
}
