// java wrapper for vtkGlyph3DMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyph3DMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGlyph3DMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGlyph3DMapper",dType)) { return me; }
  if ((res= vtkMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3DMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  const char    *temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSourceConnection_12(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSourceConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGlyph3DMapper *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSource_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSource_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGlyph3DMapper *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGlyph3DMapper_GetSource_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaling_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_ScalingOn_18(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_ScalingOff_19(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetScaling_110(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleMode_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_GetScaleMode_112(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  int      temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleFactor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGlyph3DMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyph3DMapper_GetScaleFactor_114(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  double   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleModeToScaleByMagnitude_115(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToScaleByMagnitude();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleModeToScaleByVectorComponents_116(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToScaleByVectorComponents();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleModeToNoDataScaling_117(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToNoDataScaling();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3DMapper_GetScaleModeAsString_118(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  const char    *temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetRange_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGlyph3DMapper *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetRange_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGlyph3DMapper *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGlyph3DMapper_GetRange_121(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  double  *temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrient_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrient(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetOrient_123(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrient();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_OrientOn_124(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_OrientOff_125(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrientationMode_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_GetOrientationModeMinValue_127(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  int      temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_GetOrientationModeMaxValue_128(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  int      temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_GetOrientationMode_129(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  int      temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrientationModeToDirection_130(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationModeToDirection();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrientationModeToRotation_131(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationModeToRotation();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3DMapper_GetOrientationModeAsString_132(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  const char    *temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetClamping_133(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetClamping_134(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_ClampingOn_135(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_ClampingOff_136(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSourceIndexing_137(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceIndexing(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetSourceIndexing_138(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceIndexing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SourceIndexingOn_139(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SourceIndexingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SourceIndexingOff_140(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SourceIndexingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetUseSelectionIds_141(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseSelectionIds(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_UseSelectionIdsOn_142(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UseSelectionIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_UseSelectionIdsOff_143(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UseSelectionIdsOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetUseSelectionIds_144(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseSelectionIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_GetBounds_145(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGlyph3DMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_Render_146(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGlyph3DMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetNestedDisplayLists_147(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNestedDisplayLists(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetNestedDisplayLists_148(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNestedDisplayLists();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_NestedDisplayListsOn_149(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->NestedDisplayListsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_NestedDisplayListsOff_150(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->NestedDisplayListsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetMasking_151(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGlyph3DMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMasking(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetMasking_152(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMasking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_MaskingOn_153(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_MaskingOff_154(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetMaskArray_155(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetMaskArray_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrientationArray_157(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetOrientationArray_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleArray_159(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetScaleArray_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSourceIndexArray_161(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceIndexArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSourceIndexArray_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceIndexArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSelectionIdArray_163(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3DMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionIdArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSelectionIdArray_164(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionIdArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSelectionColorId_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionColorId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3DMapper_GetSelectionColorId_166(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
   unsigned int      temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionColorId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3DMapper_SetSelectMode_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3DMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectMode(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGlyph3DMapper_GetSupportsSelection_168(JNIEnv *env, jobject obj)
{
  vtkGlyph3DMapper *op;
  bool   temp20;

  op = (vtkGlyph3DMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSupportsSelection();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGlyph3DMapper_VTKInit(JNIEnv *, jobject)
{
  vtkGlyph3DMapper *aNewOne = vtkGlyph3DMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
