// java wrapper for vtkGraphToGlyphs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphToGlyphs.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphToGlyphs_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphToGlyphs",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphToGlyphs_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  const char    *temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphToGlyphs_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphToGlyphs *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_SetGlyphType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphToGlyphs *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphToGlyphs_GetGlyphType_13(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  int      temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_SetFilled_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphToGlyphs *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilled(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphToGlyphs_GetFilled_15(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  bool   temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_FilledOn_16(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->FilledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_FilledOff_17(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->FilledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_SetScreenSize_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphToGlyphs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScreenSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphToGlyphs_GetScreenSize_19(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  double   temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScreenSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_SetRenderer_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphToGlyphs *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphToGlyphs_GetRenderer_111(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  vtkRenderer  *temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToGlyphs_SetScaling_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphToGlyphs *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphToGlyphs_GetScaling_113(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
  bool   temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphToGlyphs_GetMTime_114(JNIEnv *env, jobject obj)
{
  vtkGraphToGlyphs *op;
   unsigned long     temp20;

  op = (vtkGraphToGlyphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphToGlyphs_VTKInit(JNIEnv *, jobject)
{
  vtkGraphToGlyphs *aNewOne = vtkGraphToGlyphs::New();
  return (jlong)(size_t)(void*)aNewOne;
}
