// java wrapper for vtkImageProcessingPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageProcessingPass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageProcessingPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageProcessingPass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageProcessingPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageProcessingPass *op;
  const char    *temp20;

  op = (vtkImageProcessingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageProcessingPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageProcessingPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageProcessingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageProcessingPass_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageProcessingPass *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageProcessingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageProcessingPass_GetDelegatePass_13(JNIEnv *env, jobject obj)
{
  vtkImageProcessingPass *op;
  vtkRenderPass  *temp20;

  op = (vtkImageProcessingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDelegatePass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageProcessingPass_SetDelegatePass_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageProcessingPass *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageProcessingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDelegatePass(temp0);
}
