// java wrapper for vtkImageSliceCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSliceCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSliceCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSliceCollection",dType)) { return me; }
  if ((res= vtkPropCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSliceCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSliceCollection *op;
  const char    *temp20;

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSliceCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSliceCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSliceCollection_Sort_12(JNIEnv *env, jobject obj)
{
  vtkImageSliceCollection *op;

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSliceCollection_AddItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSliceCollection *op;
  vtkImageSlice  *temp0;
  temp0 = (vtkImageSlice *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSliceCollection_GetNextImage_14(JNIEnv *env, jobject obj)
{
  vtkImageSliceCollection *op;
  vtkImageSlice  *temp20;

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSliceCollection_GetNextItem_15(JNIEnv *env, jobject obj)
{
  vtkImageSliceCollection *op;
  vtkImageSlice  *temp20;

  op = (vtkImageSliceCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageSliceCollection_VTKInit(JNIEnv *, jobject)
{
  vtkImageSliceCollection *aNewOne = vtkImageSliceCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
