// java wrapper for vtkImageSlice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSlice.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSlice_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSlice",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSlice_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  const char    *temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSlice *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_SetMapper_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkImageMapper3D  *temp0;
  temp0 = (vtkImageMapper3D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSlice_GetMapper_13(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  vtkImageMapper3D  *temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_SetProperty_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkImageProperty  *temp0;
  temp0 = (vtkImageProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSlice_GetProperty_15(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  vtkImageProperty  *temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_Update_16(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_GetBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageSlice *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMinXBound_18(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinXBound();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMaxXBound_19(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxXBound();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMinYBound_110(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinYBound();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMaxYBound_111(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxYBound();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMinZBound_112(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinZBound();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlice_GetMaxZBound_113(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  double   temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxZBound();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_GetMTime_114(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
   unsigned long     temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_GetRedrawMTime_115(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
   unsigned long     temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRedrawMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_ShallowCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_GetImages_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->GetImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_RenderOverlay_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_RenderOpaqueGeometry_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_RenderTranslucentPolygonalGeometry_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlice_HasTranslucentPolygonalGeometry_121(JNIEnv *env, jobject obj)
{
  vtkImageSlice *op;
  int      temp20;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_Render_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_ReleaseGraphicsResources_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSlice *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlice_SetStackedImagePass_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSlice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSlice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStackedImagePass(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageSlice_VTKInit(JNIEnv *, jobject)
{
  vtkImageSlice *aNewOne = vtkImageSlice::New();
  return (jlong)(size_t)(void*)aNewOne;
}
