// java wrapper for vtkLabeledDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabeledDataMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabeledDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabeledDataMapper",dType)) { return me; }
  if ((res= vtkMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabeledDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  const char    *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabeledDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelFormat_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabeledDataMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelFormat_13(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  char    *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabeledComponent_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabeledComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabeledComponent_15(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabeledComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetFieldDataArray_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDataArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetFieldDataArray_17(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDataArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetFieldDataName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabeledDataMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDataName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabeledDataMapper_GetFieldDataName_19(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  char    *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDataName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabeledDataMapper_GetInput_111(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  vtkDataSet  *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelMode_113(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelIds_114(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelIds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelScalars_115(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelScalars();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelVectors_116(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelVectors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelNormals_117(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelNormals();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelTCoords_118(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelTCoords();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelTensors_119(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelTensors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelModeToLabelFieldData_120(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToLabelFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelTextProperty_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelTextProperty_122(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  vtkTextProperty  *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetLabelTextProperty_123(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkLabeledDataMapper *op;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabeledDataMapper_GetLabelTextProperty_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  vtkTextProperty  *temp20;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_RenderOpaqueGeometry_125(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkLabeledDataMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOpaqueGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_RenderOverlay_126(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkLabeledDataMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_ReleaseGraphicsResources_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabeledDataMapper_GetTransform_128(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  vtkTransform  *temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetTransform_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabeledDataMapper *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetCoordinateSystem_130(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_SetCoordinateSystem_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabeledDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetCoordinateSystemMinValue_132(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateSystemMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetCoordinateSystemMaxValue_133(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
  int      temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateSystemMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_CoordinateSystemWorld_134(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinateSystemWorld();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabeledDataMapper_CoordinateSystemDisplay_135(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinateSystemDisplay();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabeledDataMapper_GetMTime_136(JNIEnv *env, jobject obj)
{
  vtkLabeledDataMapper *op;
   unsigned long     temp20;

  op = (vtkLabeledDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLabeledDataMapper_VTKInit(JNIEnv *, jobject)
{
  vtkLabeledDataMapper *aNewOne = vtkLabeledDataMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
