// java wrapper for vtkObserverMediator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObserverMediator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkObserverMediator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkObserverMediator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObserverMediator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkObserverMediator *op;
  const char    *temp20;

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObserverMediator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObserverMediator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObserverMediator_SetInteractor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObserverMediator *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkObserverMediator_GetInteractor_13(JNIEnv *env, jobject obj)
{
  vtkObserverMediator *op;
  vtkRenderWindowInteractor  *temp20;

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObserverMediator_RequestCursorShape_14(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkObserverMediator *op;
  vtkInteractorObserver  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInteractorObserver *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequestCursorShape(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObserverMediator_RemoveAllCursorShapeRequests_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObserverMediator *op;
  vtkInteractorObserver  *temp0;
  temp0 = (vtkInteractorObserver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObserverMediator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllCursorShapeRequests(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkObserverMediator_VTKInit(JNIEnv *, jobject)
{
  vtkObserverMediator *aNewOne = vtkObserverMediator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
