// java wrapper for vtkOpenGLImageMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLImageMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLImageMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLImageMapper",dType)) { return me; }
  if ((res= vtkImageMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLImageMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLImageMapper *op;
  const char    *temp20;

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLImageMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLImageMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageMapper_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLImageMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLImageMapper_RenderData_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkOpenGLImageMapper *op;
  vtkViewport  *temp0;
  vtkImageData  *temp1;
  vtkActor2D  *temp2;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkOpenGLImageMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderData(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLImageMapper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLImageMapper *aNewOne = vtkOpenGLImageMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
