// java wrapper for vtkOpenGLPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLPolyDataMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLPolyDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLPolyDataMapper",dType)) { return me; }
  if ((res= vtkPolyDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLPolyDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLPolyDataMapper *op;
  const char    *temp20;

  op = (vtkOpenGLPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPolyDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLPolyDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPolyDataMapper_RenderPiece_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderPiece(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPolyDataMapper_ReleaseGraphicsResources_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLPolyDataMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPolyDataMapper_Draw_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Draw(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLPolyDataMapper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLPolyDataMapper *aNewOne = vtkOpenGLPolyDataMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
