// java wrapper for vtkOpenGLProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLProperty.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProperty_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLProperty_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLProperty",dType)) { return me; }
  if ((res= vtkProperty_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLProperty_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *op;
  const char    *temp20;

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLProperty_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLProperty *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_BackfaceRender_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->BackfaceRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_PostRender_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLProperty *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOpenGLProperty_GetShaderDeviceAdapter2_16(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *op;
  vtkShaderDeviceAdapter2  *temp20;

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderDeviceAdapter2();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLProperty_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLProperty *aNewOne = vtkOpenGLProperty::New();
  return (jlong)(size_t)(void*)aNewOne;
}
