// java wrapper for vtkOpenGLRepresentationPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRepresentationPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRepresentationPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLRepresentationPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLRepresentationPainter",dType)) { return me; }
  if ((res= vtkRepresentationPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLRepresentationPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLRepresentationPainter *op;
  const char    *temp20;

  op = (vtkOpenGLRepresentationPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRepresentationPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLRepresentationPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLRepresentationPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOpenGLRepresentationPainter_GetTimeToDraw_12(JNIEnv *env, jobject obj)
{
  vtkOpenGLRepresentationPainter *op;
  double   temp20;

  op = (vtkOpenGLRepresentationPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeToDraw();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLRepresentationPainter_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLRepresentationPainter *aNewOne = vtkOpenGLRepresentationPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
