// java wrapper for vtkPainterDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPainterDeviceAdapter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPainterDeviceAdapter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPainterDeviceAdapter",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPainterDeviceAdapter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPainterDeviceAdapter *op;
  const char    *temp20;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPainterDeviceAdapter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_BeginPrimitive_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->BeginPrimitive(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_EndPrimitive_13(JNIEnv *env, jobject obj)
{
  vtkPainterDeviceAdapter *op;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPrimitive();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_IsAttributesSupported_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAttributesSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_SetAttributePointer_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  vtkDataArray  *temp1;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributePointer(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_EnableAttributeArray_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAttributeArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_DisableAttributeArray_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAttributeArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_DrawArrays_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawArrays(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_Compatible_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPainterDeviceAdapter *op;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Compatible(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_MakeLighting_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeLighting(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_QueryLighting_111(JNIEnv *env, jobject obj)
{
  vtkPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryLighting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_MakeMultisampling_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeMultisampling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_QueryMultisampling_113(JNIEnv *env, jobject obj)
{
  vtkPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryMultisampling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_MakeBlending_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeBlending(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterDeviceAdapter_QueryBlending_115(JNIEnv *env, jobject obj)
{
  vtkPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryBlending();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_MakeVertexEmphasis_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPainterDeviceAdapter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeVertexEmphasis(temp0);
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_MakeVertexEmphasisWithStencilCheck_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeVertexEmphasisWithStencilCheck(temp0);
}
#endif

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_Stencil_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->Stencil(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_WriteStencil_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteStencil(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterDeviceAdapter_TestStencil_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkPainterDeviceAdapter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->TestStencil(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPainterDeviceAdapter_VTKInit(JNIEnv *, jobject)
{
  vtkPainterDeviceAdapter *aNewOne = vtkPainterDeviceAdapter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
