// java wrapper for vtkPointPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointPicker",dType)) { return me; }
  if ((res= vtkPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointPicker *op;
  const char    *temp20;

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointPicker_GetPointId_12(JNIEnv *env, jobject obj)
{
  vtkPointPicker *op;
  vtkIdType   temp20;

  op = (vtkPointPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointId();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointPicker_VTKInit(JNIEnv *, jobject)
{
  vtkPointPicker *aNewOne = vtkPointPicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
