// java wrapper for vtkProp3DFollower object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp3DFollower.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProp3DFollower_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProp3DFollower",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProp3DFollower_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;
  const char    *temp20;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DFollower_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProp3DFollower *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_SetProp3D_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProp3D(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProp3DFollower_GetProp3D_13(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;
  vtkProp3D  *temp20;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProp3D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_SetCamera_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProp3DFollower_GetCamera_15(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;
  vtkCamera  *temp20;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DFollower_RenderOpaqueGeometry_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DFollower_RenderTranslucentPolygonalGeometry_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DFollower_RenderVolumetricGeometry_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderVolumetricGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DFollower_HasTranslucentPolygonalGeometry_19(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;
  int      temp20;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_ReleaseGraphicsResources_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_ComputeMatrix_111(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_ShallowCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DFollower *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DFollower_InitPathTraversal_113(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  op->InitPathTraversal();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProp3DFollower_GetNextPath_114(JNIEnv *env, jobject obj)
{
  vtkProp3DFollower *op;
  vtkAssemblyPath  *temp20;

  op = (vtkProp3DFollower *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextPath();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProp3DFollower_VTKInit(JNIEnv *, jobject)
{
  vtkProp3DFollower *aNewOne = vtkProp3DFollower::New();
  return (jlong)(size_t)(void*)aNewOne;
}
