// java wrapper for vtkQtTreeRingLabelMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQtTreeRingLabelMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabeledDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQtTreeRingLabelMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQtTreeRingLabelMapper",dType)) { return me; }
  if ((res= vtkLabeledDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
  const char    *temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtTreeRingLabelMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkQtTreeRingLabelMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOpaqueGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_RenderOverlay_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkQtTreeRingLabelMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetInputTree_14(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
  vtkTree  *temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_SetSectorsArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtTreeRingLabelMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSectorsArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_SetLabelTextProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQtTreeRingLabelMapper *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetLabelTextProperty_17(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
  vtkTextProperty  *temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_SetLabelTextProperty_18(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkQtTreeRingLabelMapper *op;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetLabelTextProperty_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkQtTreeRingLabelMapper *op;
  int      temp0;
  vtkTextProperty  *temp20;
  temp0 = id0;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_SetTextRotationArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtTreeRingLabelMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextRotationArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetTextRotationArrayName_111(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
  char    *temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextRotationArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetMTime_112(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
   unsigned long     temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_SetRenderer_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQtTreeRingLabelMapper *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQtTreeRingLabelMapper_GetRenderer_114(JNIEnv *env, jobject obj)
{
  vtkQtTreeRingLabelMapper *op;
  vtkRenderer  *temp20;

  op = (vtkQtTreeRingLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQtTreeRingLabelMapper_VTKInit(JNIEnv *, jobject)
{
  vtkQtTreeRingLabelMapper *aNewOne = vtkQtTreeRingLabelMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
