// java wrapper for vtkRenderPassCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderPassCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderPassCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderPassCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderPassCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderPassCollection *op;
  const char    *temp20;

  op = (vtkRenderPassCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderPassCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderPassCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderPassCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderPassCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderPassCollection *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderPassCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderPassCollection_GetNextRenderPass_13(JNIEnv *env, jobject obj)
{
  vtkRenderPassCollection *op;
  vtkRenderPass  *temp20;

  op = (vtkRenderPassCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextRenderPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderPassCollection_GetLastRenderPass_14(JNIEnv *env, jobject obj)
{
  vtkRenderPassCollection *op;
  vtkRenderPass  *temp20;

  op = (vtkRenderPassCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastRenderPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderPassCollection_VTKInit(JNIEnv *, jobject)
{
  vtkRenderPassCollection *aNewOne = vtkRenderPassCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
