// java wrapper for vtkRendererCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRendererCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRendererCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRendererCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  const char    *temp20;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRendererCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRendererCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp20;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererCollection_Render_14(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRendererCollection_GetFirstRenderer_15(JNIEnv *env, jobject obj)
{
  vtkRendererCollection *op;
  vtkRenderer  *temp20;

  op = (vtkRendererCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFirstRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRendererCollection_VTKInit(JNIEnv *, jobject)
{
  vtkRendererCollection *aNewOne = vtkRendererCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
