// java wrapper for vtkScalarsToColorsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarsToColorsPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarsToColorsPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarsToColorsPainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarsToColorsPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  const char    *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColorsPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarsToColorsPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_USE_1LOOKUP_1TABLE_1SCALAR_1RANGE_12(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->USE_LOOKUP_TABLE_SCALAR_RANGE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_SCALAR_1RANGE_13(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SCALAR_RANGE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_SCALAR_1MODE_14(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SCALAR_MODE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_COLOR_1MODE_15(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->COLOR_MODE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_INTERPOLATE_1SCALARS_1BEFORE_1MAPPING_16(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INTERPOLATE_SCALARS_BEFORE_MAPPING();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_LOOKUP_1TABLE_17(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LOOKUP_TABLE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsPainter_SetLookupTable_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarsToColorsPainter *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_GetLookupTable_19(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkScalarsToColors  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsPainter_CreateDefaultLookupTable_110(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLookupTable();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_SCALAR_1VISIBILITY_111(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SCALAR_VISIBILITY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_ARRAY_1ACCESS_1MODE_112(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ARRAY_ACCESS_MODE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_ARRAY_1ID_113(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ARRAY_ID();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_ARRAY_1NAME_114(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationStringKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ARRAY_NAME();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_ARRAY_1COMPONENT_115(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ARRAY_COMPONENT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_SCALAR_1MATERIAL_1MODE_116(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SCALAR_MATERIAL_MODE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColorsPainter_GetPremultiplyColorsWithAlpha_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarsToColorsPainter *op;
  vtkActor  *temp0;
  int      temp20;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPremultiplyColorsWithAlpha(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsPainter_GetOutput_118(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkDataObject  *temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColorsPainter_GetTextureSizeLimit_119(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsPainter *op;
  vtkIdType   temp20;

  op = (vtkScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureSizeLimit();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkScalarsToColorsPainter_VTKInit(JNIEnv *, jobject)
{
  vtkScalarsToColorsPainter *aNewOne = vtkScalarsToColorsPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
