// java wrapper for vtkSurfaceLICPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSurfaceLICPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSurfaceLICPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSurfaceLICPainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSurfaceLICPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  const char    *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSurfaceLICPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceLICPainter *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSurfaceLICPainter_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  vtkDataObject  *temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnable_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetEnable_15(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnableOn_16(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnableOff_17(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetInputArrayToProcess_18(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetInputArrayToProcess_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetEnhancedLIC_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnhancedLIC(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetEnhancedLIC_111(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnhancedLIC();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnhancedLICOn_112(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnhancedLICOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_EnhancedLICOff_113(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnhancedLICOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetNumberOfSteps_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSurfaceLICPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetNumberOfSteps_115(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetStepSize_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStepSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetStepSize_117(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSurfaceLICPainter_SetLICIntensity_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSurfaceLICPainter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLICIntensity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLICIntensityMinValue_119(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICIntensityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLICIntensityMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICIntensityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLICIntensity_121(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  double   temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICIntensity();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetRenderingPreparationSuccess_122(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderingPreparationSuccess();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSurfaceLICPainter_GetLICSuccess_123(JNIEnv *env, jobject obj)
{
  vtkSurfaceLICPainter *op;
  int      temp20;

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICSuccess();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSurfaceLICPainter_IsSupported_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSurfaceLICPainter *op;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSurfaceLICPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSurfaceLICPainter_VTKInit(JNIEnv *, jobject)
{
  vtkSurfaceLICPainter *aNewOne = vtkSurfaceLICPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
