// java wrapper for vtkTDxInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTDxInteractorStyle.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTDxInteractorStyle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTDxInteractorStyle",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTDxInteractorStyle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyle *op;
  const char    *temp20;

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTDxInteractorStyle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTDxInteractorStyle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyle_OnButtonPressedEvent_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTDxInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnButtonPressedEvent(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyle_OnButtonReleasedEvent_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkTDxInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnButtonReleasedEvent(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTDxInteractorStyle_GetSettings_14(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyle *op;
  vtkTDxInteractorStyleSettings  *temp20;

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSettings();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyle_SetSettings_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTDxInteractorStyle *op;
  vtkTDxInteractorStyleSettings  *temp0;
  temp0 = (vtkTDxInteractorStyleSettings *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTDxInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSettings(temp0);
}
