// java wrapper for vtkTextureObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureObject.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextureObject_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextureObject",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextureObject_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  const char    *temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextureObject *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetContext_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextureObject *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContext(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextureObject_GetContext_13(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  vtkRenderWindow  *temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContext();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetWidth_14(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
   unsigned int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetHeight_15(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
   unsigned int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetDepth_16(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
   unsigned int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetComponents_17(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetNumberOfDimensions_18(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDimensions();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetTarget_19(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
   unsigned int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTarget();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetHandle_110(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
   unsigned int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_Bind_111(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->Bind();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_UnBind_112(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->UnBind();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_IsBound_113(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  bool   temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsBound();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SendParameters_114(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SendParameters();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Create1D_115(JNIEnv *env, jobject obj,jint id0,jobject id1,jboolean id2)
{
  vtkTextureObject *op;
  int      temp0;
  vtkPixelBufferObject  *temp1;
  bool   temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = (vtkPixelBufferObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (id2 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create1D(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Create2D_116(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3,jboolean id4)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  bool   temp4;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkPixelBufferObject *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (id4 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create2D(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_CreateDepth_117(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp2;
  vtkPixelBufferObject  *temp3;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkPixelBufferObject *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateDepth(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_AllocateDepth_118(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllocateDepth(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Allocate1D_119(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTextureObject *op;
   unsigned int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate1D(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Allocate2D_120(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate2D(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Allocate3D_121(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate3D(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Create3D_122(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jboolean id5)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
  int      temp3;
  vtkPixelBufferObject  *temp4;
  bool   temp5;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkPixelBufferObject *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (id5 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Create2D_123(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jboolean id4)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp2;
  int      temp3;
  bool   temp4;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (id4 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create2D(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_Create3D_124(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jboolean id5)
{
  vtkTextureObject *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
  int      temp3;
  int      temp4;
  bool   temp5;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (id5 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextureObject_Download_125(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  vtkPixelBufferObject  *temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Download();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetDataType_126(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetInternalFormat_127(JNIEnv *env, jobject obj,jint id0,jint id1,jboolean id2)
{
  vtkTextureObject *op;
  int      temp0;
  int      temp1;
  bool   temp2;
   unsigned int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (id2 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInternalFormat(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetFormat_128(JNIEnv *env, jobject obj,jint id0,jint id1,jboolean id2)
{
  vtkTextureObject *op;
  int      temp0;
  int      temp1;
  bool   temp2;
   unsigned int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (id2 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFormat(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetWrapS_129(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrapS();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetWrapS_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrapS(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetWrapT_131(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrapT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetWrapT_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrapT(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetWrapR_133(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrapR();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetWrapR_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrapR(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetMinificationFilter_135(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinificationFilter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetMinificationFilter_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinificationFilter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_GetLinearMagnification_137(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  bool   temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinearMagnification();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetLinearMagnification_138(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTextureObject *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinearMagnification(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetBorderColor_139(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkTextureObject *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetBorderColor_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureObject *op;
  float  temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureObject_GetBorderColor_141(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  float   *temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderColor();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetPriority_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextureObject *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPriority(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextureObject_GetPriority_143(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  float    temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPriority();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetMinLOD_144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextureObject *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinLOD(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextureObject_GetMinLOD_145(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  float    temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetMaxLOD_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextureObject *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxLOD(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextureObject_GetMaxLOD_147(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  float    temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLOD();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetBaseLevel_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBaseLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetBaseLevel_149(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBaseLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetMaxLevel_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetMaxLevel_151(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevel();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_GetDepthTextureCompare_152(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  bool   temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthTextureCompare();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetDepthTextureCompare_153(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTextureObject *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthTextureCompare(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetDepthTextureCompareFunction_154(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthTextureCompareFunction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetDepthTextureCompareFunction_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthTextureCompareFunction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureObject_GetDepthTextureMode_156(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  int      temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthTextureMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetDepthTextureMode_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthTextureMode(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_GetGenerateMipmap_158(JNIEnv *env, jobject obj)
{
  vtkTextureObject *op;
  bool   temp20;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateMipmap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_SetGenerateMipmap_159(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTextureObject *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateMipmap(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTextureObject_IsSupported_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextureObject *op;
  vtkRenderWindow  *temp0;
  bool   temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_CopyToFrameBuffer_161(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6,jint id7)
{
  vtkTextureObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyToFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureObject_CopyFromFrameBuffer_162(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkTextureObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkTextureObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyFromFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextureObject_VTKInit(JNIEnv *, jobject)
{
  vtkTextureObject *aNewOne = vtkTextureObject::New();
  return (jlong)(size_t)(void*)aNewOne;
}
