// java wrapper for vtkVisibilitySort object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVisibilitySort.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVisibilitySort_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVisibilitySort",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVisibilitySort_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  const char    *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVisibilitySort *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_InitTraversal_12(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVisibilitySort_GetNextCells_13(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkIdTypeArray  *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextCells();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetMaxCellsReturned_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkVisibilitySort *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxCellsReturned(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturnedMinValue_15(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellsReturnedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturnedMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellsReturnedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetMaxCellsReturned_17(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellsReturned();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetModelTransform_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVisibilitySort_GetModelTransform_19(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVisibilitySort_GetInverseModelTransform_110(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkMatrix4x4  *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseModelTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetCamera_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVisibilitySort_GetCamera_112(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkCamera  *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetInput_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVisibilitySort_GetInput_114(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  vtkDataSet  *temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVisibilitySort_GetDirection_115(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;
  int      temp20;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirection_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkVisibilitySort *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirectionToBackToFront_117(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToBackToFront();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_SetDirectionToFrontToBack_118(JNIEnv *env, jobject obj)
{
  vtkVisibilitySort *op;

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToFrontToBack();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_Register_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVisibilitySort_UnRegister_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVisibilitySort *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVisibilitySort *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}
