// java wrapper for vtkXOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXOpenGLRenderWindow.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkOpenGLRenderWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXOpenGLRenderWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXOpenGLRenderWindow",dType)) { return me; }
  if ((res= vtkOpenGLRenderWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXOpenGLRenderWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  const char    *temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXOpenGLRenderWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXOpenGLRenderWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_Start_12(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_Frame_13(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Frame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_WindowInitialize_14(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowInitialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_Finalize_16(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetFullScreen_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFullScreen(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_WindowRemap_18(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowRemap();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_PrefFullScreen_19(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PrefFullScreen();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetSize_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetSize_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkXOpenGLRenderWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXOpenGLRenderWindow_GetDesiredDepth_112(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDesiredDepth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetStereoCapableWindow_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoCapableWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_MakeCurrent_114(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeCurrent();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXOpenGLRenderWindow_IsCurrent_115(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  bool   temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsCurrent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetForceMakeCurrent_116(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceMakeCurrent();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXOpenGLRenderWindow_ReportCapabilities_117(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  const char    *temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReportCapabilities();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SupportsOpenGL_118(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportsOpenGL();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXOpenGLRenderWindow_IsDirect_119(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDirect();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetWindowName_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetPosition_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetPosition_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkXOpenGLRenderWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_HideCursor_123(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->HideCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_ShowCursor_124(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetCurrentCursor_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXOpenGLRenderWindow_GetEventPending_126(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;
  int      temp20;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventPending();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetWindowInfo_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetNextWindowInfo_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNextWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetParentInfo_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXOpenGLRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParentInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_Render_130(JNIEnv *env, jobject obj)
{
  vtkXOpenGLRenderWindow *op;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXOpenGLRenderWindow_SetOffScreenRendering_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkXOpenGLRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXOpenGLRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOffScreenRendering(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXOpenGLRenderWindow_VTKInit(JNIEnv *, jobject)
{
  vtkXOpenGLRenderWindow *aNewOne = vtkXOpenGLRenderWindow::New();
  return (jlong)(size_t)(void*)aNewOne;
}
