// java wrapper for vtkXRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXRenderWindowInteractor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderWindowInteractor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXRenderWindowInteractor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXRenderWindowInteractor",dType)) { return me; }
  if ((res= vtkRenderWindowInteractor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXRenderWindowInteractor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;
  const char    *temp20;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXRenderWindowInteractor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_TerminateApp_13(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->TerminateApp();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXRenderWindowInteractor_GetBreakLoopFlag_14(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;
  int      temp20;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBreakLoopFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_SetBreakLoopFlag_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkXRenderWindowInteractor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBreakLoopFlag(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_BreakLoopFlagOff_16(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->BreakLoopFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_BreakLoopFlagOn_17(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->BreakLoopFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Enable_18(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->Enable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Disable_19(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->Disable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_Start_110(JNIEnv *env, jobject obj)
{
  vtkXRenderWindowInteractor *op;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXRenderWindowInteractor_UpdateSize_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXRenderWindowInteractor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXRenderWindowInteractor *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateSize(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXRenderWindowInteractor_VTKInit(JNIEnv *, jobject)
{
  vtkXRenderWindowInteractor *aNewOne = vtkXRenderWindowInteractor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
