// java wrapper for vtkAssignMimeType object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssignMimeType.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssignMimeType_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssignMimeType",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignMimeType_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssignMimeType *op;
  const char    *temp20;

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssignMimeType_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignMimeType *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignMimeType_SetOutputArray_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignMimeType *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignMimeType_GetOutputArray_13(JNIEnv *env, jobject obj)
{
  vtkAssignMimeType *op;
  char    *temp20;

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignMimeType_SetDefaultMimeType_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignMimeType *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultMimeType(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignMimeType_GetDefaultMimeType_15(JNIEnv *env, jobject obj)
{
  vtkAssignMimeType *op;
  char    *temp20;

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultMimeType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignMimeType_SetMimeTypes_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAssignMimeType *op;
  vtkMimeTypes  *temp0;
  temp0 = (vtkMimeTypes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMimeTypes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAssignMimeType_GetMimeTypes_17(JNIEnv *env, jobject obj)
{
  vtkAssignMimeType *op;
  vtkMimeTypes  *temp20;

  op = (vtkAssignMimeType *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMimeTypes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAssignMimeType_VTKInit(JNIEnv *, jobject)
{
  vtkAssignMimeType *aNewOne = vtkAssignMimeType::New();
  return (jlong)(size_t)(void*)aNewOne;
}
