// java wrapper for vtkDocumentReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDocumentReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDocumentReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDocumentReader",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDocumentReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDocumentReader *op;
  const char    *temp20;

  op = (vtkDocumentReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDocumentReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDocumentReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDocumentReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDocumentReader_AddFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDocumentReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDocumentReader *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFile(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDocumentReader_ClearFiles_13(JNIEnv *env, jobject obj)
{
  vtkDocumentReader *op;

  op = (vtkDocumentReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearFiles();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDocumentReader_VTKInit(JNIEnv *, jobject)
{
  vtkDocumentReader *aNewOne = vtkDocumentReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
