// java wrapper for vtkForceMimeTypeStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkForceMimeTypeStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMimeTypeStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkForceMimeTypeStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkForceMimeTypeStrategy",dType)) { return me; }
  if ((res= vtkMimeTypeStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkForceMimeTypeStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkForceMimeTypeStrategy *op;
  const char    *temp20;

  op = (vtkForceMimeTypeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceMimeTypeStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkForceMimeTypeStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkForceMimeTypeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkForceMimeTypeStrategy_GetMimeType_12(JNIEnv *env, jobject obj)
{
  vtkForceMimeTypeStrategy *op;
  char    *temp20;

  op = (vtkForceMimeTypeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMimeType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceMimeTypeStrategy_SetMimeType_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkForceMimeTypeStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkForceMimeTypeStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMimeType(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkForceMimeTypeStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkForceMimeTypeStrategy *aNewOne = vtkForceMimeTypeStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
