// java wrapper for vtkNGramExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNGramExtraction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNGramExtraction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNGramExtraction",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNGramExtraction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNGramExtraction *op;
  const char    *temp20;

  op = (vtkNGramExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNGramExtraction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNGramExtraction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNGramExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkNGramExtraction_SetN_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkNGramExtraction *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkNGramExtraction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetN(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNGramExtraction_GetN_13(JNIEnv *env, jobject obj)
{
  vtkNGramExtraction *op;
  vtkIdType   temp20;

  op = (vtkNGramExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetN();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNGramExtraction_VTKInit(JNIEnv *, jobject)
{
  vtkNGramExtraction *aNewOne = vtkNGramExtraction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
