// java wrapper for vtkQtXMLProcessor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQtXMLProcessor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQtXMLProcessor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQtXMLProcessor",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtXMLProcessor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  const char    *temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtXMLProcessor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtXMLProcessor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtXMLProcessor_GetFieldType_12(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  int      temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_SetFieldType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkQtXMLProcessor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtXMLProcessor_GetInputDomain_14(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  int      temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputDomain();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_SetInputDomain_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkQtXMLProcessor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputDomain(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtXMLProcessor_GetQueryType_16(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  int      temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQueryType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_SetQueryType_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkQtXMLProcessor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQueryType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_SetQuery_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtXMLProcessor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuery(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtXMLProcessor_GetQuery_19(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  char    *temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuery();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_SetOutputArray_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtXMLProcessor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtXMLProcessor_GetOutputArray_111(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;
  char    *temp20;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_MapArrayName_112(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkQtXMLProcessor *op;
  vtkStdString temp0;
  vtkStdString temp1;
  vtkJavaUTFToString(env,id0,temp0);
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->MapArrayName(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtXMLProcessor_ClearArrayNameMap_113(JNIEnv *env, jobject obj)
{
  vtkQtXMLProcessor *op;

  op = (vtkQtXMLProcessor *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearArrayNameMap();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQtXMLProcessor_VTKInit(JNIEnv *, jobject)
{
  vtkQtXMLProcessor *aNewOne = vtkQtXMLProcessor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
