// java wrapper for vtkSelectArraySlices object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectArraySlices.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectArraySlices_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectArraySlices",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectArraySlices_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  const char    *temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectArraySlices_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectArraySlices *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectArraySlices_GetSliceDimension_12(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectArraySlices_SetSliceDimension_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectArraySlices_GetMinimumCount_14(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectArraySlices_SetMinimumCount_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectArraySlices_GetMaximumCount_16(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectArraySlices_SetMaximumCount_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectArraySlices *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumCount(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectArraySlices_GetMinimumPercent_18(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  double   temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumPercent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectArraySlices_SetMinimumPercent_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSelectArraySlices *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumPercent(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectArraySlices_GetMaximumPercent_110(JNIEnv *env, jobject obj)
{
  vtkSelectArraySlices *op;
  double   temp20;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPercent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectArraySlices_SetMaximumPercent_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSelectArraySlices *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSelectArraySlices *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPercent(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectArraySlices_VTKInit(JNIEnv *, jobject)
{
  vtkSelectArraySlices *aNewOne = vtkSelectArraySlices::New();
  return (jlong)(size_t)(void*)aNewOne;
}
