// java wrapper for vtkGraphLayoutView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayoutView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphLayoutView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphLayoutView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelArrayName_13(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelArrayName_15(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelVisibility_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelVisibility_17(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_VertexLabelVisibilityOn_18(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_VertexLabelVisibilityOff_19(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetHideVertexLabelsOnInteraction_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHideVertexLabelsOnInteraction(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetHideVertexLabelsOnInteraction_111(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHideVertexLabelsOnInteraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_HideVertexLabelsOnInteractionOn_112(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->HideVertexLabelsOnInteractionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_HideVertexLabelsOnInteractionOff_113(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->HideVertexLabelsOnInteractionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeVisibility_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeVisibility_115(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeVisibilityOn_116(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeVisibilityOff_117(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelVisibility_118(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelVisibility_119(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeLabelVisibilityOn_120(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeLabelVisibilityOff_121(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetHideEdgeLabelsOnInteraction_122(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHideEdgeLabelsOnInteraction(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetHideEdgeLabelsOnInteraction_123(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHideEdgeLabelsOnInteraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_HideEdgeLabelsOnInteractionOn_124(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->HideEdgeLabelsOnInteractionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_HideEdgeLabelsOnInteractionOff_125(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->HideEdgeLabelsOnInteractionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexColorArrayName_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexColorArrayName_127(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetColorVertices_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetColorVertices_129(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorVerticesOn_130(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorVerticesOff_131(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeColorArrayName_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeColorArrayName_133(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetColorEdges_134(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetColorEdges_135(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorEdgesOn_136(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ColorEdgesOff_137(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeSelection_138(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeSelection(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeSelection_139(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeSelection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeSelectionOn_140(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeSelectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_EdgeSelectionOff_141(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeSelectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEnabledEdgesArrayName_142(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabledEdgesArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEnabledEdgesArrayName_143(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnabledEdgesArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEnableEdgesByArray_144(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableEdgesByArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetEnableEdgesByArray_145(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableEdgesByArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEnabledVerticesArrayName_146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabledVerticesArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEnabledVerticesArrayName_147(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnabledVerticesArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEnableVerticesByArray_148(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableVerticesByArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetEnableVerticesByArray_149(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableVerticesByArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetScalingArrayName_150(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetScalingArrayName_151(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetScaledGlyphs_152(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaledGlyphs(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetScaledGlyphs_153(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledGlyphs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ScaledGlyphsOn_154(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ScaledGlyphsOff_155(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategy_156(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToRandom_157(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToRandom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToForceDirected_158(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToForceDirected();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToSimple2D_159(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSimple2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToClustering2D_160(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToClustering2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCommunity2D_161(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCommunity2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToFast2D_162(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToFast2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToPassThrough_163(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToPassThrough();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCircular_164(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCircular();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToTree_165(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCosmicTree_166(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCosmicTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToCone_167(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategyToSpanTree_168(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSpanTree();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetLayoutStrategyName_169(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategyName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphLayoutView_GetLayoutStrategy_170(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  vtkGraphLayoutStrategy  *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetLayoutStrategy_171(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = (vtkGraphLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLayoutStrategy_172(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategy(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLayoutStrategyToArcParallel_173(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToArcParallel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLayoutStrategyToPassThrough_174(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToPassThrough();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLayoutStrategyName_175(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLayoutStrategyName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLayoutStrategy_176(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  vtkEdgeLayoutStrategy  *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLayoutStrategy_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayoutView *op;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = (vtkEdgeLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_AddIconType_178(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddIconType(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ClearIconTypes_179(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearIconTypes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconAlignment_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconAlignment(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconVisibility_181(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetIconVisibility_182(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_IconVisibilityOn_183(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_IconVisibilityOff_184(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetIconArrayName_185(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayoutView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayoutView_GetIconArrayName_186(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  const char    *temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetGlyphType_187(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetGlyphType_188(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexLabelFontSize_189(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexLabelFontSize_190(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeLabelFontSize_191(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphLayoutView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeLabelFontSize_192(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetEdgeScalarBarVisibility_193(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeScalarBarVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetEdgeScalarBarVisibility_194(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeScalarBarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_SetVertexScalarBarVisibility_195(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayoutView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexScalarBarVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayoutView_GetVertexScalarBarVisibility_196(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  bool   temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexScalarBarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_ZoomToSelection_197(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->ZoomToSelection();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayoutView_IsLayoutComplete_198(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;
  int      temp20;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayoutView_UpdateLayout_199(JNIEnv *env, jobject obj)
{
  vtkGraphLayoutView *op;

  op = (vtkGraphLayoutView *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateLayout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphLayoutView_VTKInit(JNIEnv *, jobject)
{
  vtkGraphLayoutView *aNewOne = vtkGraphLayoutView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
