// java wrapper for vtkHierarchicalGraphPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalGraphPipeline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalGraphPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalGraphPipeline",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetActor_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  vtkActor  *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetLabelActor_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  vtkActor2D  *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetBundlingStrength_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHierarchicalGraphPipeline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetBundlingStrength_15(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  double   temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetLabelArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphPipeline *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetLabelArrayName_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetLabelVisibility_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetLabelVisibility_19(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_LabelVisibilityOn_110(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_LabelVisibilityOff_111(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetLabelTextProperty_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphPipeline *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetLabelTextProperty_113(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  vtkTextProperty  *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetColorArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphPipeline *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetColorArrayName_115(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetColorEdgesByArray_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdgesByArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetColorEdgesByArray_117(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdgesByArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_ColorEdgesByArrayOn_118(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesByArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_ColorEdgesByArrayOff_119(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesByArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetVisibility_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetVisibility_121(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  bool   temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_VisibilityOn_122(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_VisibilityOff_123(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->VisibilityOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_ConvertSelection_124(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHierarchicalGraphPipeline *op;
  vtkDataRepresentation  *temp0;
  vtkSelection  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ConvertSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_PrepareInputConnections_125(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkHierarchicalGraphPipeline *op;
  vtkAlgorithmOutput  *temp0;
  vtkAlgorithmOutput  *temp1;
  vtkAlgorithmOutput  *temp2;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareInputConnections(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_ApplyViewTheme_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphPipeline *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetHoverArrayName_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphPipeline *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoverArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetHoverArrayName_128(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  char    *temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoverArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_SetSplineType_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphPipeline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplineType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_GetSplineType_130(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphPipeline *op;
  int      temp20;

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphPipeline_RegisterProgress_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphPipeline *op;
  vtkRenderView  *temp0;
  temp0 = (vtkRenderView *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterProgress(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHierarchicalGraphPipeline_VTKInit(JNIEnv *, jobject)
{
  vtkHierarchicalGraphPipeline *aNewOne = vtkHierarchicalGraphPipeline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
