// java wrapper for vtkInteractorStyleTreeMapHover object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleTreeMapHover.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleImage_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleTreeMapHover_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleTreeMapHover",dType)) { return me; }
  if ((res= vtkInteractorStyleImage_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  const char    *temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleTreeMapHover *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetLayout_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkTreeMapLayout  *temp0;
  temp0 = (vtkTreeMapLayout *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayout(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetLayout_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkTreeMapLayout  *temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayout();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetTreeMapToPolyData_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkTreeMapToPolyData  *temp0;
  temp0 = (vtkTreeMapToPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTreeMapToPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetTreeMapToPolyData_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkTreeMapToPolyData  *temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeMapToPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetLabelField_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleTreeMapHover *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetLabelField_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  char    *temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_OnMouseMove_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_OnLeftButtonUp_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_HighLightItem_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->HighLightItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_HighLightCurrentSelectedItem_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->HighLightCurrentSelectedItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetInteractor_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleTreeMapHover *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetHighLightColor_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighLightColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetSelectionLightColor_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionLightColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetHighLightWidth_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighLightWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetHighLightWidth_116(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHighLightWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_SetSelectionWidth_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_GetSelectionWidth_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleTreeMapHover *op;
  double   temp20;

  op = (vtkInteractorStyleTreeMapHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionWidth();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleTreeMapHover_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleTreeMapHover *aNewOne = vtkInteractorStyleTreeMapHover::New();
  return (jlong)(size_t)(void*)aNewOne;
}
