// java wrapper for vtkParallelCoordinatesHistogramRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesHistogramRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkParallelCoordinatesRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelCoordinatesHistogramRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelCoordinatesHistogramRepresentation",dType)) { return me; }
  if ((res= vtkParallelCoordinatesRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  const char    *temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_ApplyViewTheme_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetUseHistograms_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseHistograms(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetUseHistograms_14(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseHistograms();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_UseHistogramsOn_15(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseHistogramsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_UseHistogramsOff_16(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseHistogramsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetShowOutliers_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowOutliers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetShowOutliers_18(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowOutliers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_ShowOutliersOn_19(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowOutliersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_ShowOutliersOff_110(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowOutliersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetHistogramLookupTableRange_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHistogramLookupTableRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetHistogramLookupTableRange_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHistogramLookupTableRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetHistogramLookupTableRange_113(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  double  *temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHistogramLookupTableRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetNumberOfHistogramBins_114(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfHistogramBins(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetNumberOfHistogramBins_115(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int     *temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfHistogramBins();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetPreferredNumberOfOutliers_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreferredNumberOfOutliers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_GetPreferredNumberOfOutliers_117(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreferredNumberOfOutliers();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SwapAxisPositions_118(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SwapAxisPositions(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_SetRangeAtPosition_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkParallelCoordinatesHistogramRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesHistogramRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRangeAtPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelCoordinatesHistogramRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkParallelCoordinatesHistogramRepresentation *aNewOne = vtkParallelCoordinatesHistogramRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
