// java wrapper for vtkParallelCoordinatesRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderedRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelCoordinatesRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelCoordinatesRepresentation",dType)) { return me; }
  if ((res= vtkRenderedRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  const char    *temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelCoordinatesRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_ApplyViewTheme_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelCoordinatesRepresentation *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetHoverText_13(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkParallelCoordinatesRepresentation *op;
  vtkView  *temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = (vtkView *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoverText(temp0,temp1,temp2);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisTitles_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelCoordinatesRepresentation *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTitles(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisTitles_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelCoordinatesRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTitles(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetPlotTitle_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelCoordinatesRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlotTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetNumberOfAxes_17(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAxes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetNumberOfSamples_18(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetNumberOfAxisLabels_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfAxisLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetNumberOfAxisLabels_110(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAxisLabels();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SwapAxisPositions_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SwapAxisPositions(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetXCoordinateOfPosition_112(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  double   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetXCoordinateOfPosition(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetXCoordinateOfPosition_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCoordinateOfPosition(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetPositionNearXCoordinate_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPositionNearXCoordinate(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetUseCurves_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCurves(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetUseCurves_116(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCurves();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_UseCurvesOn_117(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCurvesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_UseCurvesOff_118(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCurvesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetCurveResolution_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurveResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetCurveResolution_120(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurveResolution();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetLineOpacity_121(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineOpacity();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetFontSize_122(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontSize();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetLineColor_123(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double  *temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetAxisColor_124(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double  *temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetAxisLabelColor_125(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double  *temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetLineOpacity_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetFontSize_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFontSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetLineColor_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetLineColor_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisColor_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisColor_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisLabelColor_132(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAxisLabelColor_133(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetAngleBrushThreshold_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAngleBrushThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetAngleBrushThreshold_135(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngleBrushThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetFunctionBrushThreshold_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFunctionBrushThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetFunctionBrushThreshold_137(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;
  double   temp20;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFunctionBrushThreshold();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_GetRangeAtPosition_138(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRangeAtPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_SetRangeAtPosition_139(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRangeAtPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_ResetAxes_140(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesRepresentation *op;

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_LassoSelect_141(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkParallelCoordinatesRepresentation *op;
  int      temp0;
  int      temp1;
  vtkPoints  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkParallelCoordinatesRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->LassoSelect(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelCoordinatesRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkParallelCoordinatesRepresentation *aNewOne = vtkParallelCoordinatesRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
