// java wrapper for vtkParallelCoordinatesView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelCoordinatesView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelCoordinatesView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelCoordinatesView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  const char    *temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelCoordinatesView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushModeToLasso_13(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushModeToLasso();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushModeToAngle_14(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushModeToAngle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushModeToFunction_15(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushModeToFunction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushModeToAxisThreshold_16(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushModeToAxisThreshold();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_GetBrushMode_17(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  int      temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrushMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushOperator_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushOperator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushOperatorToAdd_19(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushOperatorToAdd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushOperatorToSubtract_110(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushOperatorToSubtract();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushOperatorToIntersect_111(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushOperatorToIntersect();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetBrushOperatorToReplace_112(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrushOperatorToReplace();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_GetBrushOperator_113(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  int      temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrushOperator();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetInspectMode_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInspectMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetInspectModeToManipulateAxes_115(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInspectModeToManipulateAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetInpsectModeToSelectData_116(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInpsectModeToSelectData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_GetInspectMode_117(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  int      temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInspectMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetMaximumNumberOfBrushPoints_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfBrushPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_GetMaximumNumberOfBrushPoints_119(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  int      temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfBrushPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_SetCurrentBrushClass_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelCoordinatesView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentBrushClass(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesView_GetCurrentBrushClass_121(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesView *op;
  int      temp20;

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentBrushClass();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesView_ApplyViewTheme_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelCoordinatesView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelCoordinatesView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelCoordinatesView_VTKInit(JNIEnv *, jobject)
{
  vtkParallelCoordinatesView *aNewOne = vtkParallelCoordinatesView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
