// java wrapper for vtkRenderedHierarchyRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedHierarchyRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderedGraphRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderedHierarchyRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderedHierarchyRepresentation",dType)) { return me; }
  if ((res= vtkRenderedGraphRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedHierarchyRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedHierarchyRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelArrayName_13(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelArrayName_14(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelArrayName_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelVisibility_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelVisibility_17(JNIEnv *env, jobject obj,jboolean id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  int      temp1;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelVisibility_18(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelVisibility_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOn_110(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GraphEdgeLabelVisibilityOff_111(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeColorArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedHierarchyRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeColorArrayName_113(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeColorArrayName_114(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeColorArrayName_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeColorArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetColorGraphEdgesByArray_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorGraphEdgesByArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetColorGraphEdgesByArray_117(JNIEnv *env, jobject obj,jboolean id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  int      temp1;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorGraphEdgesByArray(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetColorGraphEdgesByArray_118(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorGraphEdgesByArray();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetColorGraphEdgesByArray_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorGraphEdgesByArray(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOn_120(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_ColorGraphEdgesByArrayOff_121(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeColorToSplineFraction_122(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorToSplineFraction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeColorToSplineFraction_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorToSplineFraction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphVisibility_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphVisibility_125(JNIEnv *env, jobject obj,jboolean id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp0;
  int      temp1;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphVisibility_126(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  bool   temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphVisibility();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphVisibility_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GraphVisibilityOn_128(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GraphVisibilityOff_129(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetBundlingStrength_130(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderedHierarchyRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetBundlingStrength_131(JNIEnv *env, jobject obj,jdouble id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  double   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetBundlingStrength_132(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  double   temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetBundlingStrength_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphSplineType_134(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphSplineType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphSplineType_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphSplineType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelFontSize_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_SetGraphEdgeLabelFontSize_137(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelFontSize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelFontSize_138(JNIEnv *env, jobject obj)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp20;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_GetGraphEdgeLabelFontSize_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedHierarchyRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRenderedHierarchyRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelFontSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderedHierarchyRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkRenderedHierarchyRepresentation *aNewOne = vtkRenderedHierarchyRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
