// java wrapper for vtkRenderedRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderedRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderedRepresentation",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderedRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedRepresentation_SetLabelRenderMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelRenderMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedRepresentation_GetLabelRenderMode_13(JNIEnv *env, jobject obj)
{
  vtkRenderedRepresentation *op;
  int      temp20;

  op = (vtkRenderedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelRenderMode();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderedRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkRenderedRepresentation *aNewOne = vtkRenderedRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
