// java wrapper for vtkView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkView",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkView *op;
  const char    *temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_AddRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInputConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInputConnection_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInput_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveRepresentation_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveRepresentation_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveAllRepresentations_110(JNIEnv *env, jobject obj)
{
  vtkView *op;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllRepresentations();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_GetNumberOfRepresentations_111(JNIEnv *env, jobject obj)
{
  vtkView *op;
  int      temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRepresentations();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_GetRepresentation_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkView *op;
  int      temp0;
  vtkDataRepresentation  *temp20;
  temp0 = id0;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkView_IsRepresentationPresent_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  bool   temp20;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsRepresentationPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_Update_114(JNIEnv *env, jobject obj)
{
  vtkView *op;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_ApplyViewTheme_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_GetObserver_116(JNIEnv *env, jobject obj)
{
  vtkView *op;
  vtkCommand  *temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetObserver();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RegisterProgress_117(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkView *op;
  vtkObject  *temp0;
  char    *temp1;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterProgress(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_UnRegisterProgress_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegisterProgress(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkView_VTKInit(JNIEnv *, jobject)
{
  vtkView *aNewOne = vtkView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
