// java wrapper for vtkEncodedGradientEstimator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEncodedGradientEstimator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEncodedGradientEstimator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEncodedGradientEstimator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  const char    *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEncodedGradientEstimator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEncodedGradientEstimator *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  vtkImageData  *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetGradientMagnitudeScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkEncodedGradientEstimator *op;
  float    temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientMagnitudeScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetGradientMagnitudeScale_15(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float    temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientMagnitudeScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetGradientMagnitudeBias_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkEncodedGradientEstimator *op;
  float    temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientMagnitudeBias(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetGradientMagnitudeBias_17(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float    temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientMagnitudeBias();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetBoundsClip_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundsClip(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetBoundsClipMinValue_19(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundsClipMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetBoundsClipMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundsClipMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetBoundsClip_111(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundsClip();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_BoundsClipOn_112(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoundsClipOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_BoundsClipOff_113(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoundsClipOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetBounds_114(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetBounds_115(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkEncodedGradientEstimator *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetBounds_116(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int     *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_Update_117(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetEncodedNormalIndex_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEncodedNormalIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetEncodedNormalIndex_119(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEncodedNormalIndex(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetNumberOfThreads_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetNumberOfThreadsMinValue_121(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetNumberOfThreadsMaxValue_122(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetNumberOfThreads_123(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetDirectionEncoder_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEncodedGradientEstimator *op;
  vtkDirectionEncoder  *temp0;
  temp0 = (vtkDirectionEncoder *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionEncoder(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetDirectionEncoder_125(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  vtkDirectionEncoder  *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectionEncoder();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetComputeGradientMagnitudes_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradientMagnitudes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetComputeGradientMagnitudes_127(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradientMagnitudes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_ComputeGradientMagnitudesOn_128(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientMagnitudesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_ComputeGradientMagnitudesOff_129(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientMagnitudesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetCylinderClip_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCylinderClip(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetCylinderClip_131(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCylinderClip();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_CylinderClipOn_132(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->CylinderClipOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_CylinderClipOff_133(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->CylinderClipOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetLastUpdateTimeInSeconds_134(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float    temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastUpdateTimeInSeconds();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetLastUpdateTimeInCPUSeconds_135(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float    temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastUpdateTimeInCPUSeconds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetUseCylinderClip_136(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCylinderClip();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetZeroNormalThreshold_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkEncodedGradientEstimator *op;
  float    temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZeroNormalThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetZeroNormalThreshold_138(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float    temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroNormalThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_SetZeroPad_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkEncodedGradientEstimator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZeroPad(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetZeroPadMinValue_140(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroPadMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetZeroPadMaxValue_141(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroPadMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetZeroPad_142(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int      temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroPad();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_ZeroPadOn_143(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->ZeroPadOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEncodedGradientEstimator_ZeroPadOff_144(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  op->ZeroPadOff();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetInputSize_145(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  int     *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkEncodedGradientEstimator_GetInputAspect_146(JNIEnv *env, jobject obj)
{
  vtkEncodedGradientEstimator *op;
  float   *temp20;

  op = (vtkEncodedGradientEstimator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAspect();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}
