// java wrapper for vtkGPUVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGPUVolumeRayCastMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGPUVolumeRayCastMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGPUVolumeRayCastMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGPUVolumeRayCastMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetAutoAdjustSampleDistances_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue_13(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetAutoAdjustSampleDistances_15(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOn_16(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_AutoAdjustSampleDistancesOff_17(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetSampleDistance_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetSampleDistance_19(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetImageSampleDistance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetImageSampleDistanceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetImageSampleDistanceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetImageSampleDistance_113(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMinimumImageSampleDistance_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue_115(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMinimumImageSampleDistance_117(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaximumImageSampleDistance_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue_119(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaximumImageSampleDistance_121(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetFinalColorWindow_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFinalColorWindow(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetFinalColorWindow_123(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFinalColorWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetFinalColorLevel_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFinalColorLevel(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetFinalColorLevel_125(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFinalColorLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaxMemoryInBytes_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxMemoryInBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaxMemoryInBytes_127(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkIdType   temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryInBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaxMemoryFraction_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxMemoryFraction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMinValue_129(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFractionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaxMemoryFractionMaxValue_130(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFractionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaxMemoryFraction_131(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetReportProgress_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGPUVolumeRayCastMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReportProgress(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetReportProgress_133(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  bool   temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReportProgress();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_IsRenderSupported_134(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkRenderWindow  *temp0;
  vtkVolumeProperty  *temp1;
  int      temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsRenderSupported(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_CreateCanonicalView_135(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jint id3,jdoubleArray id4,jdoubleArray id5)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  vtkImageData  *temp2;
  int      temp3;
  double temp4[3];
  void *tempArray4;
  double temp5[3];
  void *tempArray5;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaskInput_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaskInput_137(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkImageData  *temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaskType_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaskType_139(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaskTypeToBinary_140(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskTypeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaskTypeToLabelMap_141(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskTypeToLabelMap();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_SetMaskBlendFactor_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskBlendFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaskBlendFactorMinValue_143(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskBlendFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaskBlendFactorMaxValue_144(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskBlendFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetMaskBlendFactor_145(JNIEnv *env, jobject obj)
{
  vtkGPUVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskBlendFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_Render_146(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GPURender_147(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GPURender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_ReleaseGraphicsResources_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGPUVolumeRayCastMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_GetReductionRatio_149(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGPUVolumeRayCastMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGPUVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GetReductionRatio(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGPUVolumeRayCastMapper_VTKInit(JNIEnv *, jobject)
{
  vtkGPUVolumeRayCastMapper *aNewOne = vtkGPUVolumeRayCastMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
