// java wrapper for vtkOpenGLHAVSVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLHAVSVolumeMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHAVSVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLHAVSVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLHAVSVolumeMapper",dType)) { return me; }
  if ((res= vtkHAVSVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLHAVSVolumeMapper *op;
  const char    *temp20;

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLHAVSVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLHAVSVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_ReleaseGraphicsResources_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLHAVSVolumeMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_SetGPUDataStructures_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkOpenGLHAVSVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGPUDataStructures(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_SupportedByHardware_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLHAVSVolumeMapper *op;
  vtkRenderer  *temp0;
  bool   temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportedByHardware(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLHAVSVolumeMapper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLHAVSVolumeMapper *aNewOne = vtkOpenGLHAVSVolumeMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
