// java wrapper for vtkOpenGLProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLProjectedTetrahedraMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProjectedTetrahedraMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLProjectedTetrahedraMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLProjectedTetrahedraMapper",dType)) { return me; }
  if ((res= vtkProjectedTetrahedraMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  const char    *temp20;

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_Render_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_SetUseFloatingPointFrameBuffer_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseFloatingPointFrameBuffer(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_GetUseFloatingPointFrameBuffer_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLProjectedTetrahedraMapper *op;
  bool   temp20;

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseFloatingPointFrameBuffer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_UseFloatingPointFrameBufferOn_16(JNIEnv *env, jobject obj)
{
  vtkOpenGLProjectedTetrahedraMapper *op;

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFloatingPointFrameBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_UseFloatingPointFrameBufferOff_17(JNIEnv *env, jobject obj)
{
  vtkOpenGLProjectedTetrahedraMapper *op;

  op = (vtkOpenGLProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFloatingPointFrameBufferOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLProjectedTetrahedraMapper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLProjectedTetrahedraMapper *aNewOne = vtkOpenGLProjectedTetrahedraMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
