// java wrapper for vtkOpenGLRayCastImageDisplayHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRayCastImageDisplayHelper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRayCastImageDisplayHelper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLRayCastImageDisplayHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLRayCastImageDisplayHelper",dType)) { return me; }
  if ((res= vtkRayCastImageDisplayHelper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLRayCastImageDisplayHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLRayCastImageDisplayHelper *op;
  const char    *temp20;

  op = (vtkOpenGLRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLRayCastImageDisplayHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLRayCastImageDisplayHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLRayCastImageDisplayHelper_RenderTexture_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdouble id3)
{
  vtkOpenGLRayCastImageDisplayHelper *op;
  vtkVolume  *temp0;
  vtkRenderer  *temp1;
  vtkFixedPointRayCastImage  *temp2;
  float    temp3;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkFixedPointRayCastImage *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkOpenGLRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderTexture(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLRayCastImageDisplayHelper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLRayCastImageDisplayHelper *aNewOne = vtkOpenGLRayCastImageDisplayHelper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
