// java wrapper for vtkOpenGLVolumeTextureMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLVolumeTextureMapper2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeTextureMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLVolumeTextureMapper2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLVolumeTextureMapper2D",dType)) { return me; }
  if ((res= vtkVolumeTextureMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLVolumeTextureMapper2D *op;
  const char    *temp20;

  op = (vtkOpenGLVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLVolumeTextureMapper2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper2D_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLVolumeTextureMapper2D *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper2D_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLVolumeTextureMapper2D *aNewOne = vtkOpenGLVolumeTextureMapper2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
