// java wrapper for vtkRayCastImageDisplayHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRayCastImageDisplayHelper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRayCastImageDisplayHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRayCastImageDisplayHelper",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;
  const char    *temp20;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRayCastImageDisplayHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_RenderTexture_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdouble id3)
{
  vtkRayCastImageDisplayHelper *op;
  vtkVolume  *temp0;
  vtkRenderer  *temp1;
  vtkFixedPointRayCastImage  *temp2;
  float    temp3;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkFixedPointRayCastImage *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderTexture(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_SetPreMultipliedColors_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRayCastImageDisplayHelper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreMultipliedColors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_GetPreMultipliedColorsMinValue_14(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;
  int      temp20;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreMultipliedColorsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_GetPreMultipliedColorsMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;
  int      temp20;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreMultipliedColorsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_GetPreMultipliedColors_16(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;
  int      temp20;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreMultipliedColors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_PreMultipliedColorsOn_17(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->PreMultipliedColorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_PreMultipliedColorsOff_18(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->PreMultipliedColorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_SetPixelScale_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRayCastImageDisplayHelper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPixelScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRayCastImageDisplayHelper_GetPixelScale_110(JNIEnv *env, jobject obj)
{
  vtkRayCastImageDisplayHelper *op;
  float    temp20;

  op = (vtkRayCastImageDisplayHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelScale();
  return temp20;
}
