// java wrapper for vtkUnstructuredGridVolumeRayCastIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeRayCastIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeRayCastIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_Initialize_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_GetNextIntersections_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  vtkIdList  *temp0;
  vtkDoubleArray  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkIdType   temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextIntersections(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_SetBounds_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_SetBounds_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_GetBounds_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  double  *temp20;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_SetMaxNumberOfIntersections_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNumberOfIntersections(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastIterator_GetMaxNumberOfIntersections_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastIterator *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGridVolumeRayCastIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIntersections();
  return temp20;
}
