// java wrapper for vtkUnstructuredGridVolumeZSweepMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeZSweepMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeZSweepMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeZSweepMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetImageSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistanceMinValue_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistanceMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageSampleDistance_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMinimumImageSampleDistance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistanceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistanceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMinimumImageSampleDistance_19(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMaximumImageSampleDistance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistanceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistanceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaximumImageSampleDistance_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetAutoAdjustSampleDistances_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistancesMinValue_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistancesMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetAutoAdjustSampleDistances_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_AutoAdjustSampleDistancesOn_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_AutoAdjustSampleDistancesOff_119(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetIntermixIntersectingGeometry_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometryMinValue_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometryMaxValue_122(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetIntermixIntersectingGeometry_123(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IntermixIntersectingGeometryOn_124(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_IntermixIntersectingGeometryOff_125(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetMaxPixelListSize_126(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxPixelListSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetMaxPixelListSize_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxPixelListSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_SetRayIntegrator_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRayIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetRayIntegrator_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRayIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_Render_130(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageInUseSize_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageInUseSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageOrigin_132(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageOrigin();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_GetImageViewportSize_133(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeZSweepMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeZSweepMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageViewportSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridVolumeZSweepMapper_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridVolumeZSweepMapper *aNewOne = vtkUnstructuredGridVolumeZSweepMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
