// java wrapper for vtkVolumePicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumePicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCellPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumePicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumePicker",dType)) { return me; }
  if ((res= vtkCellPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumePicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumePicker *op;
  const char    *temp20;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumePicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumePicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumePicker_SetPickCroppingPlanes_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumePicker *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPickCroppingPlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumePicker_PickCroppingPlanesOn_13(JNIEnv *env, jobject obj)
{
  vtkVolumePicker *op;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickCroppingPlanesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumePicker_PickCroppingPlanesOff_14(JNIEnv *env, jobject obj)
{
  vtkVolumePicker *op;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickCroppingPlanesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumePicker_GetPickCroppingPlanes_15(JNIEnv *env, jobject obj)
{
  vtkVolumePicker *op;
  int      temp20;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickCroppingPlanes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumePicker_GetCroppingPlaneId_16(JNIEnv *env, jobject obj)
{
  vtkVolumePicker *op;
  int      temp20;

  op = (vtkVolumePicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCroppingPlaneId();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumePicker_VTKInit(JNIEnv *, jobject)
{
  vtkVolumePicker *aNewOne = vtkVolumePicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
