// java wrapper for vtkVolumeRayCastCompositeFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastCompositeFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastCompositeFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastCompositeFunction",dType)) { return me; }
  if ((res= vtkVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastCompositeFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_SetCompositeMethod_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastCompositeFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetCompositeMethodMinValue_13(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeMethodMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetCompositeMethodMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeMethodMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetCompositeMethod_15(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_SetCompositeMethodToInterpolateFirst_16(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeMethodToInterpolateFirst();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_SetCompositeMethodToClassifyFirst_17(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeMethodToClassifyFirst();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetCompositeMethodAsString_18(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastCompositeFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeMethodAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_GetZeroOpacityThreshold_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastCompositeFunction *op;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastCompositeFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroOpacityThreshold(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeRayCastCompositeFunction_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeRayCastCompositeFunction *aNewOne = vtkVolumeRayCastCompositeFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
