// java wrapper for vtkVolumeRayCastMIPFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastMIPFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastMIPFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastMIPFunction",dType)) { return me; }
  if ((res= vtkVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastMIPFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetZeroOpacityThreshold_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastMIPFunction *op;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroOpacityThreshold(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_SetMaximizeMethod_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastMIPFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximizeMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetMaximizeMethodMinValue_14(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximizeMethodMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetMaximizeMethodMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximizeMethodMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetMaximizeMethod_16(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;
  int      temp20;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximizeMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_SetMaximizeMethodToScalarValue_17(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximizeMethodToScalarValue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_SetMaximizeMethodToOpacity_18(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximizeMethodToOpacity();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_GetMaximizeMethodAsString_19(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastMIPFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastMIPFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximizeMethodAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeRayCastMIPFunction_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeRayCastMIPFunction *aNewOne = vtkVolumeRayCastMIPFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
