// java wrapper for vtkVolumeTextureMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeTextureMapper2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeTextureMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeTextureMapper2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeTextureMapper2D",dType)) { return me; }
  if ((res= vtkVolumeTextureMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  const char    *temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeTextureMapper2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper2D_SetTargetTextureSize_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVolumeTextureMapper2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetTextureSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper2D_SetTargetTextureSize_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVolumeTextureMapper2D *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetTextureSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetTargetTextureSize_14(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  int     *temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetTextureSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper2D_SetMaximumNumberOfPlanes_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeTextureMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfPlanes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetMaximumNumberOfPlanes_16(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfPlanes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper2D_SetMaximumStorageSize_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeTextureMapper2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumStorageSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetMaximumStorageSize_18(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumStorageSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper2D_Render_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkVolumeTextureMapper2D *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetInternalSkipFactor_110(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInternalSkipFactor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper2D_GetSaveTextures_111(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper2D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSaveTextures();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeTextureMapper2D_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeTextureMapper2D *aNewOne = vtkVolumeTextureMapper2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
