// java wrapper for vtkAxesTransformRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxesTransformRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxesTransformRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxesTransformRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  const char    *temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxesTransformRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetOriginRepresentation_12(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetSelectionRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetOriginWorldPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOriginWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetOriginWorldPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetOriginDisplayPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetOriginDisplayPosition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOriginDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetTolerance_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxesTransformRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetToleranceMinValue_19(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  int      temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetToleranceMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  int      temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetTolerance_111(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  int      temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetLabelFormat_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxesTransformRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetLabelFormat_113(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  char    *temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetInteractionState_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxesTransformRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetInteractionStateMinValue_115(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  int      temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetInteractionStateMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  int      temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_BuildRepresentation_117(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_ComputeInteractionState_118(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkAxesTransformRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_StartWidgetInteraction_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_WidgetInteraction_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_ReleaseGraphicsResources_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxesTransformRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_RenderOpaqueGeometry_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxesTransformRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformRepresentation_RenderTranslucentPolygonalGeometry_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxesTransformRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetLabelScale_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAxesTransformRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformRepresentation_SetLabelScale_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxesTransformRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxesTransformRepresentation_GetLabelProperty_126(JNIEnv *env, jobject obj)
{
  vtkAxesTransformRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkAxesTransformRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxesTransformRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkAxesTransformRepresentation *aNewOne = vtkAxesTransformRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
