// java wrapper for vtkBoxRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoxRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoxRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoxRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  const char    *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoxRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_GetPlanes_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkPlanes  *temp0;
  temp0 = (vtkPlanes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_SetInsideOut_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_GetInsideOut_14(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  int      temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_InsideOutOn_15(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_InsideOutOff_16(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_GetTransform_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_SetTransform_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_GetPolyData_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetHandleProperty_110(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetSelectedHandleProperty_111(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetFaceProperty_112(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetSelectedFaceProperty_113(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetOutlineProperty_114(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxRepresentation_GetSelectedOutlineProperty_115(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_SetOutlineFaceWires_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineFaceWires(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_GetOutlineFaceWires_117(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  int      temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineFaceWires();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_OutlineFaceWiresOn_118(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineFaceWiresOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_OutlineFaceWiresOff_119(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineFaceWiresOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_SetOutlineCursorWires_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineCursorWires(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_GetOutlineCursorWires_121(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  int      temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineCursorWires();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_OutlineCursorWiresOn_122(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineCursorWiresOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_OutlineCursorWiresOff_123(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineCursorWiresOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_HandlesOn_124(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_HandlesOff_125(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_PlaceWidget_126(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBoxRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_BuildRepresentation_127(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_ComputeInteractionState_128(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkBoxRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_StartWidgetInteraction_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBoxRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_WidgetInteraction_130(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBoxRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBoxRepresentation_GetBounds_131(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  double  *temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_ReleaseGraphicsResources_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_RenderOpaqueGeometry_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_RenderTranslucentPolygonalGeometry_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxRepresentation_HasTranslucentPolygonalGeometry_135(JNIEnv *env, jobject obj)
{
  vtkBoxRepresentation *op;
  int      temp20;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxRepresentation_SetInteractionState_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoxRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkBoxRepresentation *aNewOne = vtkBoxRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
