// java wrapper for vtkBoxWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxWidget2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoxWidget2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoxWidget2",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoxWidget2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;
  const char    *temp20;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoxWidget2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxWidget2 *op;
  vtkBoxRepresentation  *temp0;
  temp0 = (vtkBoxRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_SetTranslationEnabled_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget2_GetTranslationEnabled_14(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;
  int      temp20;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_TranslationEnabledOn_15(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_TranslationEnabledOff_16(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_SetScalingEnabled_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget2_GetScalingEnabled_18(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;
  int      temp20;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_ScalingEnabledOn_19(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_ScalingEnabledOff_110(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_SetRotationEnabled_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget2_GetRotationEnabled_112(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;
  int      temp20;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_RotationEnabledOn_113(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RotationEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_RotationEnabledOff_114(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RotationEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_SetMoveFacesEnabled_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMoveFacesEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget2_GetMoveFacesEnabled_116(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;
  int      temp20;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMoveFacesEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_MoveFacesEnabledOn_117(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveFacesEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_MoveFacesEnabledOff_118(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveFacesEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget2_CreateDefaultRepresentation_119(JNIEnv *env, jobject obj)
{
  vtkBoxWidget2 *op;

  op = (vtkBoxWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoxWidget2_VTKInit(JNIEnv *, jobject)
{
  vtkBoxWidget2 *aNewOne = vtkBoxWidget2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
