// java wrapper for vtkCaptionRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCaptionRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCaptionRepresentation",dType)) { return me; }
  if ((res= vtkBorderRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCaptionRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  const char    *temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCaptionRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_SetAnchorPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCaptionRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnchorPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_GetAnchorPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCaptionRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetAnchorPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_SetCaptionActor2D_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkCaptionActor2D  *temp0;
  temp0 = (vtkCaptionActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaptionActor2D(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionRepresentation_GetCaptionActor2D_15(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  vtkCaptionActor2D  *temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaptionActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_SetAnchorRepresentation_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkPointHandleRepresentation3D  *temp0;
  temp0 = (vtkPointHandleRepresentation3D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnchorRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionRepresentation_GetAnchorRepresentation_17(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  vtkPointHandleRepresentation3D  *temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnchorRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_BuildRepresentation_18(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_GetSize_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCaptionRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_GetActors2D_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_ReleaseGraphicsResources_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionRepresentation_RenderOverlay_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionRepresentation_RenderOpaqueGeometry_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionRepresentation_RenderTranslucentPolygonalGeometry_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionRepresentation_HasTranslucentPolygonalGeometry_115(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  int      temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionRepresentation_SetFontFactor_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCaptionRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFontFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionRepresentation_GetFontFactorMinValue_117(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  double   temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionRepresentation_GetFontFactorMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  double   temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCaptionRepresentation_GetFontFactor_119(JNIEnv *env, jobject obj)
{
  vtkCaptionRepresentation *op;
  double   temp20;

  op = (vtkCaptionRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCaptionRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkCaptionRepresentation *aNewOne = vtkCaptionRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
