// java wrapper for vtkCaptionWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCaptionWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCaptionWidget",dType)) { return me; }
  if ((res= vtkBorderWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCaptionWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCaptionWidget *op;
  const char    *temp20;

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCaptionWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCaptionWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCaptionWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionWidget *op;
  vtkCaptionRepresentation  *temp0;
  temp0 = (vtkCaptionRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionWidget_SetCaptionActor2D_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCaptionWidget *op;
  vtkCaptionActor2D  *temp0;
  temp0 = (vtkCaptionActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaptionActor2D(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCaptionWidget_GetCaptionActor2D_15(JNIEnv *env, jobject obj)
{
  vtkCaptionWidget *op;
  vtkCaptionActor2D  *temp20;

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaptionActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCaptionWidget_CreateDefaultRepresentation_16(JNIEnv *env, jobject obj)
{
  vtkCaptionWidget *op;

  op = (vtkCaptionWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCaptionWidget_VTKInit(JNIEnv *, jobject)
{
  vtkCaptionWidget *aNewOne = vtkCaptionWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
