// java wrapper for vtkContinuousValueWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContinuousValueWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContinuousValueWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContinuousValueWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContinuousValueWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidget *op;
  const char    *temp20;

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContinuousValueWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContinuousValueWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContinuousValueWidget *op;
  vtkContinuousValueWidgetRepresentation  *temp0;
  temp0 = (vtkContinuousValueWidgetRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContinuousValueWidget_GetContinuousValueWidgetRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidget *op;
  vtkContinuousValueWidgetRepresentation  *temp20;

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContinuousValueWidgetRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContinuousValueWidget_GetValue_14(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidget *op;
  double   temp20;

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidget_SetValue_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContinuousValueWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkContinuousValueWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}
