// java wrapper for vtkContinuousValueWidgetRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContinuousValueWidgetRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContinuousValueWidgetRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContinuousValueWidgetRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidgetRepresentation *op;
  const char    *temp20;

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContinuousValueWidgetRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_PlaceWidget_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContinuousValueWidgetRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_BuildRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidgetRepresentation *op;

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_StartWidgetInteraction_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContinuousValueWidgetRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_WidgetInteraction_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContinuousValueWidgetRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_SetValue_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContinuousValueWidgetRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContinuousValueWidgetRepresentation_GetValue_17(JNIEnv *env, jobject obj)
{
  vtkContinuousValueWidgetRepresentation *op;
  double   temp20;

  op = (vtkContinuousValueWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}
