// java wrapper for vtkDistanceRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistanceRepresentation3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDistanceRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistanceRepresentation3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistanceRepresentation3D",dType)) { return me; }
  if ((res= vtkDistanceRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  const char    *temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistanceRepresentation3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetDistance_12(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  double   temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetGlyphScale_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDistanceRepresentation3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetGlyphScale_14(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  double   temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphScale();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetLineProperty_15(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetLabelPosition_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDistanceRepresentation3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetLabelPosition_17(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  double   temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetMaximumNumberOfRulerTicks_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistanceRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfRulerTicks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetMaximumNumberOfRulerTicksMinValue_19(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  int      temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfRulerTicksMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetMaximumNumberOfRulerTicksMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  int      temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfRulerTicksMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetMaximumNumberOfRulerTicks_111(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  int      temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfRulerTicks();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetGlyphActor_112(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  vtkActor  *temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetLabelActor_113(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  vtkFollower  *temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetPoint1WorldPosition_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetPoint2WorldPosition_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetPoint1WorldPosition_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetPoint2WorldPosition_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetPoint1DisplayPosition_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetPoint2DisplayPosition_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetPoint1DisplayPosition_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetPoint2DisplayPosition_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_BuildRepresentation_122(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_ReleaseGraphicsResources_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistanceRepresentation3D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_RenderOpaqueGeometry_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistanceRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceRepresentation3D_RenderTranslucentPolygonalGeometry_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistanceRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetLabelScale_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDistanceRepresentation3D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceRepresentation3D_SetLabelScale_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDistanceRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceRepresentation3D_GetLabelProperty_128(JNIEnv *env, jobject obj)
{
  vtkDistanceRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkDistanceRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDistanceRepresentation3D_VTKInit(JNIEnv *, jobject)
{
  vtkDistanceRepresentation3D *aNewOne = vtkDistanceRepresentation3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
