// java wrapper for vtkEllipsoidTensorProbeRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEllipsoidTensorProbeRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTensorProbeRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEllipsoidTensorProbeRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEllipsoidTensorProbeRepresentation",dType)) { return me; }
  if ((res= vtkTensorProbeRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  const char    *temp20;

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_BuildRepresentation_12(JNIEnv *env, jobject obj)
{
  vtkEllipsoidTensorProbeRepresentation *op;

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_SelectProbe_14(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  int    temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SelectProbe(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_GetActors_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_ReleaseGraphicsResources_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEllipsoidTensorProbeRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEllipsoidTensorProbeRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEllipsoidTensorProbeRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkEllipsoidTensorProbeRepresentation *aNewOne = vtkEllipsoidTensorProbeRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
