// java wrapper for vtkEvent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEvent.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEvent_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEvent",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEvent_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
  const char    *temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEvent_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEvent *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEvent_SetEventId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkEvent *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEventId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEvent_GetEventId_13(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
   unsigned long     temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEvent_SetModifier_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkEvent *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModifier(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEvent_GetModifier_15(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
  int      temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModifier();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEvent_SetKeyCode_16(JNIEnv *env, jobject obj,jchar id0)
{
  vtkEvent *op;
  char     temp0;
  temp0 = (char)(0xff & id0);

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKeyCode(temp0);
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkEvent_GetKeyCode_17(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
  char     temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKeyCode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEvent_SetRepeatCount_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkEvent *op;
  int      temp0;
  temp0 = id0;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepeatCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEvent_GetRepeatCount_19(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
  int      temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepeatCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEvent_SetKeySym_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEvent *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKeySym(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEvent_GetKeySym_111(JNIEnv *env, jobject obj)
{
  vtkEvent *op;
  char    *temp20;

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKeySym();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEvent_GetModifier_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkEvent *op;
  vtkRenderWindowInteractor  *temp0;
  int      temp20;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModifier(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEvent_VTKInit(JNIEnv *, jobject)
{
  vtkEvent *aNewOne = vtkEvent::New();
  return (jlong)(size_t)(void*)aNewOne;
}
