// java wrapper for vtkHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHandleRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHandleRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHandleRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  const char    *temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHandleRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetDisplayPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_GetDisplayPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHandleRepresentation_GetDisplayPosition_14(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  double  *temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetWorldPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_GetWorldPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHandleRepresentation_GetWorldPosition_17(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  double  *temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetTolerance_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetToleranceMinValue_19(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetToleranceMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetTolerance_111(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetActiveRepresentation_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveRepresentation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetActiveRepresentation_113(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveRepresentation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_ActiveRepresentationOn_114(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ActiveRepresentationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_ActiveRepresentationOff_115(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ActiveRepresentationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetInteractionState_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetInteractionStateMinValue_117(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetInteractionStateMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetConstrained_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConstrained(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetConstrained_120(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  int      temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConstrained();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_ConstrainedOn_121(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ConstrainedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_ConstrainedOff_122(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ConstrainedOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_CheckConstraint_123(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkHandleRepresentation *op;
  vtkRenderer  *temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckConstraint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_ShallowCopy_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHandleRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_DeepCopy_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHandleRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetRenderer_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHandleRepresentation *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleRepresentation_GetMTime_127(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
   unsigned long     temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleRepresentation_SetPointPlacer_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHandleRepresentation *op;
  vtkPointPlacer  *temp0;
  temp0 = (vtkPointPlacer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointPlacer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHandleRepresentation_GetPointPlacer_129(JNIEnv *env, jobject obj)
{
  vtkHandleRepresentation *op;
  vtkPointPlacer  *temp20;

  op = (vtkHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointPlacer();
  return (jlong)(size_t)temp20;}
