// java wrapper for vtkHoverWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHoverWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHoverWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHoverWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHoverWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHoverWidget *op;
  const char    *temp20;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHoverWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHoverWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHoverWidget_SetTimerDuration_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHoverWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimerDuration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHoverWidget_GetTimerDurationMinValue_13(JNIEnv *env, jobject obj)
{
  vtkHoverWidget *op;
  int      temp20;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDurationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHoverWidget_GetTimerDurationMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkHoverWidget *op;
  int      temp20;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDurationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHoverWidget_GetTimerDuration_15(JNIEnv *env, jobject obj)
{
  vtkHoverWidget *op;
  int      temp20;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDuration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHoverWidget_SetEnabled_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkHoverWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHoverWidget_CreateDefaultRepresentation_17(JNIEnv *env, jobject obj)
{
  vtkHoverWidget *op;

  op = (vtkHoverWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHoverWidget_VTKInit(JNIEnv *, jobject)
{
  vtkHoverWidget *aNewOne = vtkHoverWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
