// java wrapper for vtkLineWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLineWidget2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLineWidget2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLineWidget2",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLineWidget2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLineWidget2 *op;
  const char    *temp20;

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLineWidget2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLineWidget2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineWidget2_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkLineWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineWidget2_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLineWidget2 *op;
  vtkLineRepresentation  *temp0;
  temp0 = (vtkLineRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLineWidget2_GetLineRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkLineWidget2 *op;
  vtkLineRepresentation  *temp20;

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineWidget2_CreateDefaultRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkLineWidget2 *op;

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLineWidget2_SetProcessEvents_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkLineWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLineWidget2_VTKInit(JNIEnv *, jobject)
{
  vtkLineWidget2 *aNewOne = vtkLineWidget2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
