// java wrapper for vtkOrientedGlyphContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrientedGlyphContourRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContourRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOrientedGlyphContourRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOrientedGlyphContourRepresentation",dType)) { return me; }
  if ((res= vtkContourRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  const char    *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetCursorShape_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorShape(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetCursorShape_13(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorShape();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetActiveCursorShape_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveCursorShape(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetActiveCursorShape_15(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveCursorShape();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetProperty_16(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetActiveProperty_17(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetLinesProperty_18(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetRenderer_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_BuildRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_StartWidgetInteraction_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_WidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_ComputeInteractionState_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOrientedGlyphContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetActors_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_ReleaseGraphicsResources_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_RenderOverlay_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_RenderOpaqueGeometry_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_RenderTranslucentPolygonalGeometry_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_HasTranslucentPolygonalGeometry_119(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  int      temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetContourRepresentationAsPolyData_120(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContourRepresentationAsPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetAlwaysOnTop_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAlwaysOnTop(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_GetAlwaysOnTop_122(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;
  int      temp20;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAlwaysOnTop();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_AlwaysOnTopOn_123(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->AlwaysOnTopOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_AlwaysOnTopOff_124(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->AlwaysOnTopOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetLineColor_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkOrientedGlyphContourRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_SetShowSelectedNodes_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrientedGlyphContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrientedGlyphContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowSelectedNodes(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOrientedGlyphContourRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkOrientedGlyphContourRepresentation *aNewOne = vtkOrientedGlyphContourRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
