// java wrapper for vtkOrientedGlyphFocalPlaneContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrientedGlyphFocalPlaneContourRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFocalPlaneContourRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOrientedGlyphFocalPlaneContourRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOrientedGlyphFocalPlaneContourRepresentation",dType)) { return me; }
  if ((res= vtkFocalPlaneContourRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  const char    *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_SetCursorShape_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorShape(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetCursorShape_13(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorShape();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_SetActiveCursorShape_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveCursorShape(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetActiveCursorShape_15(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveCursorShape();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetProperty_16(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetActiveProperty_17(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetLinesProperty_18(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_SetRenderer_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_BuildRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_StartWidgetInteraction_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_WidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_ComputeInteractionState_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetActors2D_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_ReleaseGraphicsResources_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_RenderOverlay_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_RenderOpaqueGeometry_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_RenderTranslucentPolygonalGeometry_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_HasTranslucentPolygonalGeometry_119(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  int      temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetContourRepresentationAsPolyData_120(JNIEnv *env, jobject obj)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContourRepresentationAsPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_GetContourPlaneDirectionCosines_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  vtkMatrix4x4  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOrientedGlyphFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContourPlaneDirectionCosines(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOrientedGlyphFocalPlaneContourRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkOrientedGlyphFocalPlaneContourRepresentation *aNewOne = vtkOrientedGlyphFocalPlaneContourRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
