// java wrapper for vtkParallelopipedRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelopipedRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelopipedRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelopipedRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  const char    *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelopipedRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetActors_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelopipedRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetInteractionState_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelopipedRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetBoundingPlanes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkPlaneCollection  *temp0;
  temp0 = (vtkPlaneCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBoundingPlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetPolyData_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetBounds_17(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  double  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetHandleProperty_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetHoveredHandleProperty_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoveredHandleProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetSelectedHandleProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedHandleProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetHandleProperty_111(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetHoveredHandleProperty_112(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoveredHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetSelectedHandleProperty_113(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetHandleRepresentation_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkHandleRepresentation  *temp0;
  temp0 = (vtkHandleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetHandleRepresentation_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelopipedRepresentation *op;
  int      temp0;
  vtkHandleRepresentation  *temp20;
  temp0 = id0;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleRepresentation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_HandlesOn_116(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_HandlesOff_117(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetFaceProperty_118(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetSelectedFaceProperty_119(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetOutlineProperty_120(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetSelectedOutlineProperty_121(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_BuildRepresentation_122(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_ReleaseGraphicsResources_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedRepresentation_RenderOverlay_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedRepresentation_RenderOpaqueGeometry_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedRepresentation_ComputeInteractionState_126(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkParallelopipedRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_Translate_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkParallelopipedRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_Translate_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelopipedRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_Scale_129(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelopipedRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_PositionHandles_130(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PositionHandles();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedRepresentation_SetMinimumThickness_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelopipedRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelopipedRepresentation_GetMinimumThickness_132(JNIEnv *env, jobject obj)
{
  vtkParallelopipedRepresentation *op;
  double   temp20;

  op = (vtkParallelopipedRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumThickness();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelopipedRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkParallelopipedRepresentation *aNewOne = vtkParallelopipedRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
