// java wrapper for vtkParallelopipedWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelopipedWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelopipedWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelopipedWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelopipedWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;
  const char    *temp20;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelopipedWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelopipedWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelopipedWidget *op;
  vtkParallelopipedRepresentation  *temp0;
  temp0 = (vtkParallelopipedRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelopipedWidget_GetParallelopipedRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;
  vtkParallelopipedRepresentation  *temp20;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelopipedRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_SetEnableChairCreation_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelopipedWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableChairCreation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelopipedWidget_GetEnableChairCreation_16(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;
  int      temp20;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableChairCreation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_EnableChairCreationOn_17(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableChairCreationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_EnableChairCreationOff_18(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableChairCreationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_CreateDefaultRepresentation_19(JNIEnv *env, jobject obj)
{
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelopipedWidget_SetProcessEvents_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelopipedWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelopipedWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelopipedWidget_VTKInit(JNIEnv *, jobject)
{
  vtkParallelopipedWidget *aNewOne = vtkParallelopipedWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
