// java wrapper for vtkPlaybackRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlaybackRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlaybackRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlaybackRepresentation",dType)) { return me; }
  if ((res= vtkBorderRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlaybackRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;
  const char    *temp20;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlaybackRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlaybackRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlaybackRepresentation_GetProperty_12(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_Play_13(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Play();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_Stop_14(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Stop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_ForwardOneFrame_15(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ForwardOneFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_BackwardOneFrame_16(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BackwardOneFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_JumpToBeginning_17(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->JumpToBeginning();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_JumpToEnd_18(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->JumpToEnd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_BuildRepresentation_19(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_GetSize_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlaybackRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_GetActors2D_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlaybackRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlaybackRepresentation_ReleaseGraphicsResources_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlaybackRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlaybackRepresentation_RenderOverlay_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlaybackRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlaybackRepresentation_RenderOpaqueGeometry_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlaybackRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlaybackRepresentation_RenderTranslucentPolygonalGeometry_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlaybackRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlaybackRepresentation_HasTranslucentPolygonalGeometry_116(JNIEnv *env, jobject obj)
{
  vtkPlaybackRepresentation *op;
  int      temp20;

  op = (vtkPlaybackRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlaybackRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkPlaybackRepresentation *aNewOne = vtkPlaybackRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
