// java wrapper for vtkPointHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointHandleRepresentation3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointHandleRepresentation3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointHandleRepresentation3D",dType)) { return me; }
  if ((res= vtkHandleRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  const char    *temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointHandleRepresentation3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetWorldPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetDisplayPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetOutline_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetOutline_15(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_OutlineOn_16(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_OutlineOff_17(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetXShadows_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetXShadows_19(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_XShadowsOn_110(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->XShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_XShadowsOff_111(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->XShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetYShadows_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetYShadows_113(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_YShadowsOn_114(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->YShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_YShadowsOff_115(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->YShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetZShadows_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetZShadows_117(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_ZShadowsOn_118(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ZShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_ZShadowsOff_119(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ZShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetTranslationMode_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetTranslationMode_121(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_TranslationModeOn_122(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_TranslationModeOff_123(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_AllOn_124(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_AllOff_125(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetProperty_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetSelectedProperty_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetProperty_128(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetSelectedProperty_129(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetHotSpotSize_130(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPointHandleRepresentation3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHotSpotSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetHotSpotSizeMinValue_131(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  double   temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetHotSpotSizeMaxValue_132(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  double   temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetHotSpotSize_133(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  double   temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetHandleSize_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPointHandleRepresentation3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleSize(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetBounds_135(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  double  *temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_BuildRepresentation_136(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_StartWidgetInteraction_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_WidgetInteraction_138(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_ComputeInteractionState_139(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_PlaceWidget_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation3D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_ShallowCopy_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_DeepCopy_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetActors_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_ReleaseGraphicsResources_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_RenderOpaqueGeometry_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_RenderTranslucentPolygonalGeometry_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_HasTranslucentPolygonalGeometry_147(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_Highlight_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SetSmoothMotion_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSmoothMotion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation3D_GetSmoothMotion_150(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;
  int      temp20;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmoothMotion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SmoothMotionOn_151(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothMotionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation3D_SmoothMotionOff_152(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothMotionOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointHandleRepresentation3D_VTKInit(JNIEnv *, jobject)
{
  vtkPointHandleRepresentation3D *aNewOne = vtkPointHandleRepresentation3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
