// java wrapper for vtkPolygonalSurfacePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygonalSurfacePointPlacer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataPointPlacer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolygonalSurfacePointPlacer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolygonalSurfacePointPlacer",dType)) { return me; }
  if ((res= vtkPolyDataPointPlacer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;
  const char    *temp20;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_AddProp_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_RemoveViewProp_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveViewProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_RemoveAllProps_14(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllProps();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_ComputeWorldPosition_15(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkRenderer  *temp0;
  double temp1[2];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[9];
  void *tempArray3;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];
  temp3[4] = ((jdouble *)tempArray3)[4];
  temp3[5] = ((jdouble *)tempArray3)[5];
  temp3[6] = ((jdouble *)tempArray3)[6];
  temp3[7] = ((jdouble *)tempArray3)[7];
  temp3[8] = ((jdouble *)tempArray3)[8];

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeWorldPosition(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  ((jdouble *)tempArray3)[4] = temp3[4];
  ((jdouble *)tempArray3)[5] = temp3[5];
  ((jdouble *)tempArray3)[6] = temp3[6];
  ((jdouble *)tempArray3)[7] = temp3[7];
  ((jdouble *)tempArray3)[8] = temp3[8];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_ComputeWorldPosition_16(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdoubleArray id4)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkRenderer  *temp0;
  double temp1[2];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  double temp4[9];
  void *tempArray4;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  temp4[3] = ((jdouble *)tempArray4)[3];
  temp4[4] = ((jdouble *)tempArray4)[4];
  temp4[5] = ((jdouble *)tempArray4)[5];
  temp4[6] = ((jdouble *)tempArray4)[6];
  temp4[7] = ((jdouble *)tempArray4)[7];
  temp4[8] = ((jdouble *)tempArray4)[8];

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  ((jdouble *)tempArray4)[3] = temp4[3];
  ((jdouble *)tempArray4)[4] = temp4[4];
  ((jdouble *)tempArray4)[5] = temp4[5];
  ((jdouble *)tempArray4)[6] = temp4[6];
  ((jdouble *)tempArray4)[7] = temp4[7];
  ((jdouble *)tempArray4)[8] = temp4[8];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_ValidateWorldPosition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ValidateWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_UpdateNodeWorldPosition_18(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkPolygonalSurfacePointPlacer *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateNodeWorldPosition(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_ValidateDisplayPosition_19(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkRenderer  *temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ValidateDisplayPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_ValidateWorldPosition_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkPolygonalSurfacePointPlacer *op;
  double temp0[3];
  void *tempArray0;
  double temp1[9];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ValidateWorldPosition(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_GetCellPicker_111(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkCellPicker  *temp20;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellPicker();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_GetPolys_112(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;
  vtkPolyDataCollection  *temp20;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolys();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_SetDistanceOffset_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_GetDistanceOffset_114(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;
  double   temp20;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_SetSnapToClosestPoint_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolygonalSurfacePointPlacer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapToClosestPoint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_GetSnapToClosestPoint_116(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;
  int      temp20;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSnapToClosestPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_SnapToClosestPointOn_117(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->SnapToClosestPointOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_SnapToClosestPointOff_118(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfacePointPlacer *op;

  op = (vtkPolygonalSurfacePointPlacer *)vtkJavaGetPointerFromObject(env,obj);
  op->SnapToClosestPointOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolygonalSurfacePointPlacer_VTKInit(JNIEnv *, jobject)
{
  vtkPolygonalSurfacePointPlacer *aNewOne = vtkPolygonalSurfacePointPlacer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
