// java wrapper for vtkRectilinearWipeWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearWipeWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearWipeWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearWipeWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearWipeWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearWipeWidget *op;
  const char    *temp20;

  op = (vtkRectilinearWipeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearWipeWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearWipeWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearWipeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearWipeWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearWipeWidget *op;
  vtkRectilinearWipeRepresentation  *temp0;
  temp0 = (vtkRectilinearWipeRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearWipeWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearWipeWidget_GetRectilinearWipeRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkRectilinearWipeWidget *op;
  vtkRectilinearWipeRepresentation  *temp20;

  op = (vtkRectilinearWipeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearWipeRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearWipeWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkRectilinearWipeWidget *op;

  op = (vtkRectilinearWipeWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRectilinearWipeWidget_VTKInit(JNIEnv *, jobject)
{
  vtkRectilinearWipeWidget *aNewOne = vtkRectilinearWipeWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
