// java wrapper for vtkResliceImageViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceImageViewer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageViewer2_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceImageViewer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceImageViewer",dType)) { return me; }
  if ((res= vtkImageViewer2_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceImageViewer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  const char    *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceImageViewer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_Render_12(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewer *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetInputConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetColorWindow_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkResliceImageViewer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetColorLevel_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkResliceImageViewer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorLevel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetResliceCursorWidget_17(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkResliceCursorWidget  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursorWidget();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewer_GetResliceMode_18(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  int      temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetResliceMode_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetResliceModeToAxisAligned_110(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceModeToAxisAligned();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetResliceModeToOblique_111(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceModeToOblique();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetResliceCursor_112(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkResliceCursor  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetResliceCursor_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewer *op;
  vtkResliceCursor  *temp0;
  temp0 = (vtkResliceCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceCursor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetLookupTable_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewer *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetLookupTable_115(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkScalarsToColors  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetThickMode_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewer_GetThickMode_117(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  int      temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_Reset_118(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetPointPlacer_119(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkBoundedPlanePointPlacer  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointPlacer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetMeasurements_120(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkResliceImageViewerMeasurements  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeasurements();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewer_GetInteractor_121(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  vtkRenderWindowInteractor  *temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SetSliceScrollOnMouseWheel_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceScrollOnMouseWheel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewer_GetSliceScrollOnMouseWheel_123(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;
  int      temp20;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceScrollOnMouseWheel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SliceScrollOnMouseWheelOn_124(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SliceScrollOnMouseWheelOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_SliceScrollOnMouseWheelOff_125(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewer *op;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SliceScrollOnMouseWheelOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewer_IncrementSlice_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceImageViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->IncrementSlice(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceImageViewer_VTKInit(JNIEnv *, jobject)
{
  vtkResliceImageViewer *aNewOne = vtkResliceImageViewer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
