// java wrapper for vtkScalarBarRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarBarRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarBarRepresentation",dType)) { return me; }
  if ((res= vtkBorderRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarBarRepresentation *op;
  const char    *temp20;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarRepresentation_GetScalarBarActor_12(JNIEnv *env, jobject obj)
{
  vtkScalarBarRepresentation *op;
  vtkScalarBarActor  *temp20;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarBarActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_SetScalarBarActor_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkScalarBarActor  *temp0;
  temp0 = (vtkScalarBarActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarBarActor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_BuildRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkScalarBarRepresentation *op;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_WidgetInteraction_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkScalarBarRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_GetSize_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkScalarBarRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_GetActors2D_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_ReleaseGraphicsResources_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_RenderOverlay_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_RenderOpaqueGeometry_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_RenderTranslucentPolygonalGeometry_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_HasTranslucentPolygonalGeometry_112(JNIEnv *env, jobject obj)
{
  vtkScalarBarRepresentation *op;
  int      temp20;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarRepresentation_SetOrientation_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarRepresentation_GetOrientation_114(JNIEnv *env, jobject obj)
{
  vtkScalarBarRepresentation *op;
  int      temp20;

  op = (vtkScalarBarRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkScalarBarRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkScalarBarRepresentation *aNewOne = vtkScalarBarRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
