// java wrapper for vtkSliderRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSliderRepresentation2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSliderRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSliderRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSliderRepresentation2D",dType)) { return me; }
  if ((res= vtkSliderRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSliderRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  const char    *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSliderRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSliderRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetPoint1Coordinate_12(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkCoordinate  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetPoint2Coordinate_13(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkCoordinate  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_SetTitleText_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSliderRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSliderRepresentation2D_GetTitleText_15(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  const char    *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetSliderProperty_16(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliderProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetTubeProperty_17(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTubeProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetCapProperty_18(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetSelectedProperty_19(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetLabelProperty_110(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkTextProperty  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSliderRepresentation2D_GetTitleProperty_111(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;
  vtkTextProperty  *temp20;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_PlaceWidget_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSliderRepresentation2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_BuildRepresentation_113(JNIEnv *env, jobject obj)
{
  vtkSliderRepresentation2D *op;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_StartWidgetInteraction_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSliderRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_WidgetInteraction_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSliderRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_Highlight_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSliderRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_GetActors2D_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSliderRepresentation2D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSliderRepresentation2D_ReleaseGraphicsResources_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSliderRepresentation2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSliderRepresentation2D_RenderOverlay_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSliderRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSliderRepresentation2D_RenderOpaqueGeometry_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSliderRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSliderRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSliderRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkSliderRepresentation2D *aNewOne = vtkSliderRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
