// java wrapper for vtkTensorProbeWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTensorProbeWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTensorProbeWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTensorProbeWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTensorProbeWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTensorProbeWidget *op;
  const char    *temp20;

  op = (vtkTensorProbeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTensorProbeWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTensorProbeWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTensorProbeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorProbeWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTensorProbeWidget *op;
  vtkTensorProbeRepresentation  *temp0;
  temp0 = (vtkTensorProbeRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTensorProbeWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTensorProbeWidget_GetTensorProbeRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkTensorProbeWidget *op;
  vtkTensorProbeRepresentation  *temp20;

  op = (vtkTensorProbeWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorProbeRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTensorProbeWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkTensorProbeWidget *op;

  op = (vtkTensorProbeWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTensorProbeWidget_VTKInit(JNIEnv *, jobject)
{
  vtkTensorProbeWidget *aNewOne = vtkTensorProbeWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
