// java wrapper for vtkTexturedButtonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexturedButtonRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkButtonRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTexturedButtonRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTexturedButtonRepresentation",dType)) { return me; }
  if ((res= vtkButtonRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  const char    *temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTexturedButtonRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetButtonGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetButtonGeometry(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetButtonGeometryConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetButtonGeometryConnection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetButtonGeometry_14(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetButtonGeometry();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetFollowCamera_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexturedButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFollowCamera(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetFollowCamera_16(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  int      temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_FollowCameraOn_17(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCameraOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_FollowCameraOff_18(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCameraOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetProperty_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetProperty_110(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetHoveringProperty_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoveringProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetHoveringProperty_112(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoveringProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetSelectingProperty_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectingProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetSelectingProperty_114(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectingProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_SetButtonTexture_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTexturedButtonRepresentation *op;
  int      temp0;
  vtkImageData  *temp1;
  temp0 = id0;
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetButtonTexture(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetButtonTexture_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexturedButtonRepresentation *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetButtonTexture(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_PlaceWidget_117(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkTexturedButtonRepresentation *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_ComputeInteractionState_118(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTexturedButtonRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_PlaceWidget_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTexturedButtonRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_BuildRepresentation_120(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_Highlight_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexturedButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_ShallowCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_GetActors_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation_ReleaseGraphicsResources_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_RenderOpaqueGeometry_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_RenderTranslucentPolygonalGeometry_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation_HasTranslucentPolygonalGeometry_127(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation *op;
  int      temp20;

  op = (vtkTexturedButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTexturedButtonRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkTexturedButtonRepresentation *aNewOne = vtkTexturedButtonRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
