// java wrapper for vtkWidgetCallbackMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWidgetCallbackMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWidgetCallbackMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWidgetCallbackMapper",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetCallbackMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWidgetCallbackMapper *op;
  const char    *temp20;

  op = (vtkWidgetCallbackMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetCallbackMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetCallbackMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetCallbackMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetCallbackMapper_SetEventTranslator_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetCallbackMapper *op;
  vtkWidgetEventTranslator  *temp0;
  temp0 = (vtkWidgetEventTranslator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetCallbackMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEventTranslator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWidgetCallbackMapper_GetEventTranslator_13(JNIEnv *env, jobject obj)
{
  vtkWidgetCallbackMapper *op;
  vtkWidgetEventTranslator  *temp20;

  op = (vtkWidgetCallbackMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventTranslator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetCallbackMapper_InvokeCallback_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetCallbackMapper *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkWidgetCallbackMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->InvokeCallback(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWidgetCallbackMapper_VTKInit(JNIEnv *, jobject)
{
  vtkWidgetCallbackMapper *aNewOne = vtkWidgetCallbackMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
