// java wrapper for vtkWidgetEvent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWidgetEvent.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWidgetEvent_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWidgetEvent",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetEvent_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWidgetEvent *op;
  const char    *temp20;

  op = (vtkWidgetEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEvent_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetEvent *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetEvent_GetStringFromEventId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetEvent *op;
   unsigned long     temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkWidgetEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringFromEventId(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEvent_GetEventIdFromString_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetEvent *op;
  char    *temp0;
   unsigned long     temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetEvent *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventIdFromString(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWidgetEvent_VTKInit(JNIEnv *, jobject)
{
  vtkWidgetEvent *aNewOne = vtkWidgetEvent::New();
  return (jlong)(size_t)(void*)aNewOne;
}
