// java wrapper for vtkWidgetEventTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWidgetEventTranslator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWidgetEventTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWidgetEventTranslator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetEventTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWidgetEventTranslator *op;
  const char    *temp20;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetEventTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetEventTranslator_SetTranslation_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
   unsigned long     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetEventTranslator_SetTranslation_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkWidgetEventTranslator *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetEventTranslator_SetTranslation_14(JNIEnv *env, jobject obj,jint id0,jint id1,jchar id2,jint id3,jstring id4,jint id5)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
   unsigned long     temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = (char)(0xff & id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);
  temp5 = id5;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0,temp1,temp2,temp3,temp4,temp5);
  if (temp4) delete[] temp4;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetEventTranslator_SetTranslation_15(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkWidgetEventTranslator *op;
  vtkEvent  *temp0;
   unsigned long     temp1;
  temp0 = (vtkEvent *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_GetTranslation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetEventTranslator_GetTranslation_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetEventTranslator *op;
  char    *temp0;
  const char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation(temp0);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_GetTranslation_18(JNIEnv *env, jobject obj,jint id0,jint id1,jchar id2,jint id3,jstring id4)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
   unsigned long     temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (char)(0xff & id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation(temp0,temp1,temp2,temp3,temp4);
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_GetTranslation_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetEventTranslator *op;
  vtkEvent  *temp0;
   unsigned long     temp20;
  temp0 = (vtkEvent *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_RemoveTranslation_110(JNIEnv *env, jobject obj,jint id0,jint id1,jchar id2,jint id3,jstring id4)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (char)(0xff & id2);
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveTranslation(temp0,temp1,temp2,temp3,temp4);
  if (temp4) delete[] temp4;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_RemoveTranslation_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetEventTranslator *op;
  vtkEvent  *temp0;
  int      temp20;
  temp0 = (vtkEvent *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveTranslation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_RemoveTranslation_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetEventTranslator *op;
   unsigned long     temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveTranslation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetEventTranslator_RemoveTranslation_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetEventTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveTranslation(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetEventTranslator_ClearEvents_114(JNIEnv *env, jobject obj)
{
  vtkWidgetEventTranslator *op;

  op = (vtkWidgetEventTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearEvents();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWidgetEventTranslator_VTKInit(JNIEnv *, jobject)
{
  vtkWidgetEventTranslator *aNewOne = vtkWidgetEventTranslator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
