// java wrapper for vtkWidgetRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWidgetRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWidgetRepresentation",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWidgetRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  const char    *temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWidgetRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_SetRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWidgetRepresentation_GetRenderer_13(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  vtkRenderer  *temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_BuildRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_StartWidgetInteraction_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWidgetRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_WidgetInteraction_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWidgetRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_EndWidgetInteraction_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWidgetRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EndWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_ComputeInteractionState_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkWidgetRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_GetInteractionState_19(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  int      temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionState();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_Highlight_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_SetPlaceFactor_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWidgetRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlaceFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetPlaceFactorMinValue_112(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaceFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetPlaceFactorMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaceFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetPlaceFactor_114(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaceFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_SetHandleSize_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWidgetRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetHandleSizeMinValue_116(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetHandleSizeMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWidgetRepresentation_GetHandleSize_118(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double   temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_GetNeedToRender_119(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  int      temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeedToRender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_SetNeedToRender_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkWidgetRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNeedToRender(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_GetNeedToRenderMinValue_121(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  int      temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeedToRenderMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_GetNeedToRenderMaxValue_122(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  int      temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeedToRenderMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_NeedToRenderOn_123(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NeedToRenderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_NeedToRenderOff_124(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NeedToRenderOff();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWidgetRepresentation_GetBounds_125(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  double  *temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_ShallowCopy_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_GetActors_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_GetActors2D_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_GetVolumes_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVolumes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWidgetRepresentation_ReleaseGraphicsResources_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_RenderOverlay_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_RenderOpaqueGeometry_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_RenderTranslucentPolygonalGeometry_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_RenderVolumetricGeometry_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkWidgetRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderVolumetricGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWidgetRepresentation_HasTranslucentPolygonalGeometry_135(JNIEnv *env, jobject obj)
{
  vtkWidgetRepresentation *op;
  int      temp20;

  op = (vtkWidgetRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}
