// java wrapper for vtkXYPlotWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYPlotWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXYPlotWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXYPlotWidget",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXYPlotWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXYPlotWidget *op;
  const char    *temp20;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXYPlotWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXYPlotWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotWidget_SetXYPlotActor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXYPlotWidget *op;
  vtkXYPlotActor  *temp0;
  temp0 = (vtkXYPlotActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXYPlotActor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXYPlotWidget_GetXYPlotActor_13(JNIEnv *env, jobject obj)
{
  vtkXYPlotWidget *op;
  vtkXYPlotActor  *temp20;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXYPlotActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXYPlotWidget_SetEnabled_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXYPlotWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXYPlotWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXYPlotWidget_VTKInit(JNIEnv *, jobject)
{
  vtkXYPlotWidget *aNewOne = vtkXYPlotWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
