// java wrapper for vtkAbstractContextItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractContextItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractContextItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractContextItem",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractContextItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;
  const char    *temp20;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractContextItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_Update_12(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextItem_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextItem_PaintChildren_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PaintChildren(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextItem_AddItem_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkAbstractContextItem  *temp0;
   unsigned int      temp20;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextItem_RemoveItem_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkAbstractContextItem  *temp0;
  bool   temp20;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextItem_RemoveItem_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractContextItem *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractContextItem_GetItem_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractContextItem *op;
   unsigned int      temp0;
  vtkAbstractContextItem  *temp20;
  temp0 = id0;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetItem(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextItem_GetNumberOfItems_110(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;
   unsigned int      temp20;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_ClearItems_111(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearItems();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_SetScene_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkContextScene  *temp0;
  temp0 = (vtkContextScene *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScene(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractContextItem_GetScene_113(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;
  vtkContextScene  *temp20;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScene();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_SetParent_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractContextItem *op;
  vtkAbstractContextItem  *temp0;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParent(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractContextItem_GetParent_115(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;
  vtkAbstractContextItem  *temp20;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParent();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextItem_GetVisible_116(JNIEnv *env, jobject obj)
{
  vtkAbstractContextItem *op;
  bool   temp20;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextItem_SetVisible_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAbstractContextItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAbstractContextItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisible(temp0);
}
