// java wrapper for vtkBrush object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBrush.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBrush_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBrush",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBrush_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBrush *op;
  const char    *temp20;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrush_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBrush *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetColorF_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBrush *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorF(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetColorF_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkBrush *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorF(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetColorF_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkBrush *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorF(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetOpacityF_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBrush *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacityF(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrush_GetOpacityF_16(JNIEnv *env, jobject obj)
{
  vtkBrush *op;
  double   temp20;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacityF();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetColor_17(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2)
{
  vtkBrush *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetColor_18(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2,jchar id3)
{
  vtkBrush *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
   unsigned char     temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetOpacity_19(JNIEnv *env, jobject obj,jchar id0)
{
  vtkBrush *op;
   unsigned char     temp0;
  temp0 = id0;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrush_GetOpacity_110(JNIEnv *env, jobject obj)
{
  vtkBrush *op;
   unsigned char     temp20;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_GetColorF_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBrush *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColorF(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetTexture_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrush *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexture(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBrush_GetTexture_113(JNIEnv *env, jobject obj)
{
  vtkBrush *op;
  vtkImageData  *temp20;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_SetTextureProperties_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrush *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureProperties(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrush_GetTextureProperties_115(JNIEnv *env, jobject obj)
{
  vtkBrush *op;
  int      temp20;

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureProperties();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrush_DeepCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrush *op;
  vtkBrush  *temp0;
  temp0 = (vtkBrush *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrush *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBrush_VTKInit(JNIEnv *, jobject)
{
  vtkBrush *aNewOne = vtkBrush::New();
  return (jlong)(size_t)(void*)aNewOne;
}
