// java wrapper for vtkChartLegend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartLegend.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChartLegend_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChartLegend",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChartLegend_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  const char    *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChartLegend *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetPoint_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkChartLegend *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkChartLegend *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkChartLegend_GetPoint_14(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  float   *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetHorizontalAlignment_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartLegend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHorizontalAlignment(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_GetHorizontalAlignment_16(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  int      temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHorizontalAlignment();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetVerticalAlignment_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartLegend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalAlignment(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_GetVerticalAlignment_18(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  int      temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalAlignment();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetPadding_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartLegend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPadding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_GetPadding_110(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  int      temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPadding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetSymbolWidth_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartLegend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSymbolWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_GetSymbolWidth_112(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  int      temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSymbolWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetLabelSize_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartLegend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartLegend_GetLabelSize_114(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  int      temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetInline_115(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChartLegend *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInline(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartLegend_GetInline_116(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  bool   temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetDragEnabled_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChartLegend *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDragEnabled(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartLegend_GetDragEnabled_118(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  bool   temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDragEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_SetChart_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartLegend *op;
  vtkChart  *temp0;
  temp0 = (vtkChart *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetChart(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartLegend_GetChart_120(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  vtkChart  *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChart();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartLegend_Update_121(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartLegend_Paint_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartLegend *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartLegend_GetPen_123(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  vtkPen  *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartLegend_GetBrush_124(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  vtkBrush  *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartLegend_GetLabelProperties_125(JNIEnv *env, jobject obj)
{
  vtkChartLegend *op;
  vtkTextProperty  *temp20;

  op = (vtkChartLegend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChartLegend_VTKInit(JNIEnv *, jobject)
{
  vtkChartLegend *aNewOne = vtkChartLegend::New();
  return (jlong)(size_t)(void*)aNewOne;
}
