// java wrapper for vtkChartPie object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChartPie.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkChart_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChartPie_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChartPie",dType)) { return me; }
  if ((res= vtkChart_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChartPie_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChartPie *op;
  const char    *temp20;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartPie_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChartPie *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartPie_Update_12(JNIEnv *env, jobject obj)
{
  vtkChartPie *op;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChartPie_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartPie *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartPie_AddPlot_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartPie *op;
  int      temp0;
  vtkPlot  *temp20;
  temp0 = id0;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddPlot(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartPie_AddPlot_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartPie *op;
  vtkPlot  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkPlot *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddPlot(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartPie_GetPlot_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkChartPie *op;
  vtkIdType   temp0;
  vtkPlot  *temp20;
  temp0 = id0;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlot(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChartPie_GetNumberOfPlots_17(JNIEnv *env, jobject obj)
{
  vtkChartPie *op;
  vtkIdType   temp20;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPlots();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartPie_SetShowLegend_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChartPie *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowLegend(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChartPie_GetLegend_19(JNIEnv *env, jobject obj)
{
  vtkChartPie *op;
  vtkChartLegend  *temp20;

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegend();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChartPie_SetScene_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChartPie *op;
  vtkContextScene  *temp0;
  temp0 = (vtkContextScene *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChartPie *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScene(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChartPie_VTKInit(JNIEnv *, jobject)
{
  vtkChartPie *aNewOne = vtkChartPie::New();
  return (jlong)(size_t)(void*)aNewOne;
}
