// java wrapper for vtkContextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextActor",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextActor *op;
  const char    *temp20;

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextActor_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextActor_SetContext_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextActor *op;
  vtkContext2D  *temp0;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContext(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextActor_GetContext_14(JNIEnv *env, jobject obj)
{
  vtkContextActor *op;
  vtkContext2D  *temp20;

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContext();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextActor_GetScene_15(JNIEnv *env, jobject obj)
{
  vtkContextActor *op;
  vtkContextScene  *temp20;

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScene();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextActor_SetScene_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextActor *op;
  vtkContextScene  *temp0;
  temp0 = (vtkContextScene *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScene(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextActor_ReleaseGraphicsResources_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextActor_VTKInit(JNIEnv *, jobject)
{
  vtkContextActor *aNewOne = vtkContextActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
