// java wrapper for vtkContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextDevice2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextDevice2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextDevice2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextDevice2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  const char    *temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextDevice2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DrawEllipseWedge_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DrawEllipticArc_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_ComputeStringBounds_14(JNIEnv *env, jobject obj,jstring id0,jdoubleArray id1)
{
  vtkContextDevice2D *op;
  vtkStdString temp0;
  float  temp1[4];
  void *tempArray1;
  vtkJavaUTFToString(env,id0,temp0);
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeStringBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DrawImage_15(JNIEnv *env, jobject obj,jdoubleArray id0,jdouble id1,jobject id2)
{
  vtkContextDevice2D *op;
  float  temp0[2];
  void *tempArray0;
  float    temp1;
  vtkImageData  *temp2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp1 = id1;
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawImage(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_ApplyPen_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkPen  *temp0;
  temp0 = (vtkPen *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyPen(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextDevice2D_GetPen_17(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  vtkPen  *temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_ApplyBrush_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkBrush  *temp0;
  temp0 = (vtkBrush *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyBrush(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextDevice2D_GetBrush_19(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  vtkBrush  *temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_ApplyTextProp_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyTextProp(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextDevice2D_GetTextProp_111(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  vtkTextProperty  *temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetTexture_112(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkContextDevice2D *op;
  vtkImageData  *temp0;
  int      temp1;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexture(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetPointSize_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetLineWidth_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetLineType_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextDevice2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_GetWidth_116(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  int      temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_GetHeight_117(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  int      temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetMatrix_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_GetMatrix_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_MultiplyMatrix_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_PushMatrix_121(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PushMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_PopMatrix_122(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PopMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DisableClipping_123(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableClipping();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_EnableClipping_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextDevice2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableClipping(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_Begin_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_End_126(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->End();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextDevice2D_GetBufferIdMode_127(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  bool   temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBufferIdMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_BufferIdModeEnd_128(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeEnd();
}
