// java wrapper for vtkContextMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextMapper2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextMapper2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextMapper2D",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextMapper2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextMapper2D *op;
  const char    *temp20;

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextMapper2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextMapper2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextMapper2D_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextMapper2D *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextMapper2D_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkContextMapper2D *op;
  vtkTable  *temp20;

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextMapper2D_GetInputArrayToProcess_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkContextMapper2D *op;
  int      temp0;
  vtkDataObject  *temp1;
  vtkDataArray  *temp20;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArrayToProcess(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextMapper2D_GetInputAbstractArrayToProcess_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkContextMapper2D *op;
  int      temp0;
  vtkDataObject  *temp1;
  vtkAbstractArray  *temp20;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkContextMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAbstractArrayToProcess(temp0,temp1);
  return (jlong)(size_t)temp20;}
