// java wrapper for vtkImageItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  const char    *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkImageItem_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetImage_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageItem *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImage(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageItem_GetImage_14(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  vtkImageData  *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetPosition_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageItem *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageItem_SetPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageItem *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageItem_GetPosition_17(JNIEnv *env, jobject obj)
{
  vtkImageItem *op;
  float   *temp20;

  op = (vtkImageItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageItem_VTKInit(JNIEnv *, jobject)
{
  vtkImageItem *aNewOne = vtkImageItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
