// java wrapper for vtkPiecewiseFunctionItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPiecewiseFunctionItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkScalarsToColorsItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPiecewiseFunctionItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPiecewiseFunctionItem",dType)) { return me; }
  if ((res= vtkScalarsToColorsItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPiecewiseFunctionItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunctionItem *op;
  const char    *temp20;

  op = (vtkPiecewiseFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPiecewiseFunctionItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPiecewiseFunctionItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPiecewiseFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPiecewiseFunctionItem_SetPiecewiseFunction_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPiecewiseFunctionItem *op;
  vtkPiecewiseFunction  *temp0;
  temp0 = (vtkPiecewiseFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPiecewiseFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiecewiseFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPiecewiseFunctionItem_GetPiecewiseFunction_13(JNIEnv *env, jobject obj)
{
  vtkPiecewiseFunctionItem *op;
  vtkPiecewiseFunction  *temp20;

  op = (vtkPiecewiseFunctionItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiecewiseFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPiecewiseFunctionItem_VTKInit(JNIEnv *, jobject)
{
  vtkPiecewiseFunctionItem *aNewOne = vtkPiecewiseFunctionItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
