// java wrapper for vtkScalarsToColorsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarsToColorsItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPlot_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarsToColorsItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarsToColorsItem",dType)) { return me; }
  if ((res= vtkPlot_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarsToColorsItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsItem *op;
  const char    *temp20;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarsToColorsItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarsToColorsItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsItem_GetBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkScalarsToColorsItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsItem_SetUserBounds_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkScalarsToColorsItem *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserBounds(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsItem_SetUserBounds_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkScalarsToColorsItem *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkScalarsToColorsItem_GetUserBounds_15(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsItem *op;
  double  *temp20;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScalarsToColorsItem_Paint_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarsToColorsItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarsToColorsItem_GetPolyLinePen_17(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsItem *op;
  vtkPen  *temp20;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyLinePen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarsToColorsItem_SetMaskAboveCurve_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkScalarsToColorsItem *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskAboveCurve(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScalarsToColorsItem_GetMaskAboveCurve_19(JNIEnv *env, jobject obj)
{
  vtkScalarsToColorsItem *op;
  bool   temp20;

  op = (vtkScalarsToColorsItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskAboveCurve();
  return temp20;
}
