// java wrapper for vtkScatterPlotMatrix object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScatterPlotMatrix.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkChartMatrix_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScatterPlotMatrix_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScatterPlotMatrix",dType)) { return me; }
  if ((res= vtkChartMatrix_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScatterPlotMatrix_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  const char    *temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScatterPlotMatrix *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_Update_12(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScatterPlotMatrix_Paint_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScatterPlotMatrix *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScatterPlotMatrix_GetActiveAnnotationLink_14(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  vtkAnnotationLink  *temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveAnnotationLink();
  return (jlong)(size_t)temp20;}
#endif

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScatterPlotMatrix_GetAnnotationLink_15(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  vtkAnnotationLink  *temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnnotationLink();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScatterPlotMatrix *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetColumnVisibility_17(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkScatterPlotMatrix *op;
  vtkStdString temp0;
  bool   temp1;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnVisibility(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_InsertVisibleColumn_18(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  vtkStdString temp0;
  int      temp1;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertVisibleColumn(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScatterPlotMatrix_GetColumnVisibility_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScatterPlotMatrix *op;
  vtkStdString temp0;
  bool   temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetColumnVisibilityAll_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkScatterPlotMatrix *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnVisibilityAll(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScatterPlotMatrix_GetVisibleColumns_111(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  vtkStringArray  *temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisibleColumns();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetVisibleColumns_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScatterPlotMatrix *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisibleColumns(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetNumberOfBins_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBins(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetNumberOfBins_114(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  int      temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBins();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetPlotMarkerStyle_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlotMarkerStyle(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetPlotMarkerSize_116(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlotMarkerSize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetPlotType_117(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlotType(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetTitle_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScatterPlotMatrix *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScatterPlotMatrix_GetTitle_119(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  vtkStdString   temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetTitleProperties_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScatterPlotMatrix *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleProperties(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScatterPlotMatrix_GetTitleProperties_121(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  vtkTextProperty  *temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetGridVisibility_122(JNIEnv *env, jobject obj,jint id0,jboolean id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  bool   temp1;
  temp0 = id0;
  temp1 = (id1 != 0) ? true : false;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScatterPlotMatrix_GetGridVisibility_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetAxisLabelVisibility_124(JNIEnv *env, jobject obj,jint id0,jboolean id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  bool   temp1;
  temp0 = id0;
  temp1 = (id1 != 0) ? true : false;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkScatterPlotMatrix_GetAxisLabelVisibility_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetAxisLabelProperties_126(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  vtkTextProperty  *temp1;
  temp0 = id0;
  temp1 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelProperties(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScatterPlotMatrix_GetAxisLabelProperties_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  vtkTextProperty  *temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelProperties(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetAxisLabelNotation_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelNotation(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetAxisLabelNotation_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelNotation(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetAxisLabelPrecision_130(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelPrecision(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetAxisLabelPrecision_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelPrecision(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetTooltipNotation_132(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTooltipNotation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetTooltipPrecision_133(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTooltipPrecision(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetTooltipNotation_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTooltipNotation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetTooltipPrecision_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTooltipPrecision(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_UpdateSettings_136(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateSettings();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_UpdateChartSettings_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateChartSettings(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScatterPlotMatrix_SetSelectionMode_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkScatterPlotMatrix *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScatterPlotMatrix_GetSelectionMode_139(JNIEnv *env, jobject obj)
{
  vtkScatterPlotMatrix *op;
  int      temp20;

  op = (vtkScatterPlotMatrix *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionMode();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkScatterPlotMatrix_VTKInit(JNIEnv *, jobject)
{
  vtkScatterPlotMatrix *aNewOne = vtkScatterPlotMatrix::New();
  return (jlong)(size_t)(void*)aNewOne;
}
