// java wrapper for vtkCriticalSection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCriticalSection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCriticalSection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCriticalSection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCriticalSection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;
  const char    *temp20;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCriticalSection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCriticalSection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCriticalSection_Lock_12(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj);
  op->Lock();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCriticalSection_Unlock_13(JNIEnv *env, jobject obj)
{
  vtkCriticalSection *op;

  op = (vtkCriticalSection *)vtkJavaGetPointerFromObject(env,obj);
  op->Unlock();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCriticalSection_VTKInit(JNIEnv *, jobject)
{
  vtkCriticalSection *aNewOne = vtkCriticalSection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
