// java wrapper for vtkDataArraySelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataArraySelection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataArraySelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataArraySelection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataArraySelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;
  const char    *temp20;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_EnableArray_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_DisableArray_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_ArrayIsEnabled_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ArrayIsEnabled(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_ArrayExists_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ArrayExists(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_EnableAllArrays_16(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_DisableAllArrays_17(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetNumberOfArrays_18(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;
  int      temp20;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetNumberOfArraysEnabled_19(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;
  int      temp20;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfArraysEnabled();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataArraySelection_GetArrayName_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArraySelection *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetArrayIndex_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayIndex(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetEnabledArrayIndex_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnabledArrayIndex(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetArraySetting_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArraySetting(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_GetArraySetting_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArraySelection *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArraySetting(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_RemoveAllArrays_115(JNIEnv *env, jobject obj)
{
  vtkDataArraySelection *op;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataArraySelection_AddArray_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddArray(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_RemoveArrayByIndex_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataArraySelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArrayByIndex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_RemoveArrayByName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataArraySelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArrayByName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataArraySelection_CopySelections_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataArraySelection *op;
  vtkDataArraySelection  *temp0;
  temp0 = (vtkDataArraySelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataArraySelection *)vtkJavaGetPointerFromObject(env,obj);
  op->CopySelections(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataArraySelection_VTKInit(JNIEnv *, jobject)
{
  vtkDataArraySelection *aNewOne = vtkDataArraySelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
