// java wrapper for vtkDebugLeaks object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDebugLeaks.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDebugLeaks_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDebugLeaks",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDebugLeaks_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDebugLeaks *op;
  const char    *temp20;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDebugLeaks_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDebugLeaks *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDebugLeaks_ConstructClass_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDebugLeaks *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  op->ConstructClass(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDebugLeaks_DestructClass_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDebugLeaks *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  op->DestructClass(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDebugLeaks_PrintCurrentLeaks_14(JNIEnv *env, jobject obj)
{
  vtkDebugLeaks *op;
  int      temp20;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PrintCurrentLeaks();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDebugLeaks_PromptUserOn_15(JNIEnv *env, jobject obj)
{
  vtkDebugLeaks *op;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  op->PromptUserOn();
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDebugLeaks_PromptUserOff_16(JNIEnv *env, jobject obj)
{
  vtkDebugLeaks *op;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  op->PromptUserOff();
}
#endif

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDebugLeaks_GetExitError_17(JNIEnv *env, jobject obj)
{
  vtkDebugLeaks *op;
  int      temp20;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExitError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDebugLeaks_SetExitError_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkDebugLeaks *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDebugLeaks *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExitError(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDebugLeaks_VTKInit(JNIEnv *, jobject)
{
  vtkDebugLeaks *aNewOne = vtkDebugLeaks::New();
  return (jlong)(size_t)(void*)aNewOne;
}
