// java wrapper for vtkFunctionParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFunctionParser.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFunctionParser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFunctionParser",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFunctionParser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  const char    *temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFunctionParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetFunction_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFunctionParser *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFunction(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFunctionParser_GetFunction_13(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  char    *temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFunction();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_IsScalarResult_14(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  int      temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsScalarResult();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_IsVectorResult_15(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  int      temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsVectorResult();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFunctionParser_GetScalarResult_16(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  double   temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarResult();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFunctionParser_GetVectorResult_17(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  double  *temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorResult();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_GetVectorResult_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkFunctionParser *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVectorResult(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetScalarVariableValue_19(JNIEnv *env, jobject obj,jstring id0,jdouble id1)
{
  vtkFunctionParser *op;
  char    *temp0;
  double   temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarVariableValue(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetScalarVariableValue_110(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkFunctionParser *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarVariableValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFunctionParser_GetScalarVariableValue_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFunctionParser *op;
  char    *temp0;
  double   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVariableValue(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFunctionParser_GetScalarVariableValue_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkFunctionParser *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVariableValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetVectorVariableValue_113(JNIEnv *env, jobject obj,jstring id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkFunctionParser *op;
  char    *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetVectorVariableValue_114(JNIEnv *env, jobject obj,jstring id0,jdoubleArray id1)
{
  vtkFunctionParser *op;
  char    *temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = vtkJavaUTFToChar(env,id0);
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorVariableValue(temp0,temp1);
  if (temp0) delete[] temp0;
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetVectorVariableValue_115(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkFunctionParser *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetVectorVariableValue_116(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkFunctionParser *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorVariableValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFunctionParser_GetVectorVariableValue_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFunctionParser *op;
  char    *temp0;
  double  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorVariableValue(temp0);
  if (temp0) delete[] temp0;
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_GetVectorVariableValue_118(JNIEnv *env, jobject obj,jstring id0,jdoubleArray id1)
{
  vtkFunctionParser *op;
  char    *temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = vtkJavaUTFToChar(env,id0);
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVectorVariableValue(temp0,temp1);
  if (temp0) delete[] temp0;
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFunctionParser_GetVectorVariableValue_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkFunctionParser *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorVariableValue(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_GetVectorVariableValue_120(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkFunctionParser *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVectorVariableValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_GetNumberOfScalarVariables_121(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  int      temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarVariables();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_GetNumberOfVectorVariables_122(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  int      temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorVariables();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFunctionParser_GetScalarVariableName_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkFunctionParser *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFunctionParser_GetVectorVariableName_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkFunctionParser *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_RemoveAllVariables_125(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_RemoveScalarVariables_126(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveScalarVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_RemoveVectorVariables_127(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVectorVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetReplaceInvalidValues_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkFunctionParser *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplaceInvalidValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFunctionParser_GetReplaceInvalidValues_129(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  int      temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplaceInvalidValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_ReplaceInvalidValuesOn_130(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInvalidValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_ReplaceInvalidValuesOff_131(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInvalidValuesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFunctionParser_SetReplacementValue_132(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFunctionParser *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplacementValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFunctionParser_GetReplacementValue_133(JNIEnv *env, jobject obj)
{
  vtkFunctionParser *op;
  double   temp20;

  op = (vtkFunctionParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplacementValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFunctionParser_VTKInit(JNIEnv *, jobject)
{
  vtkFunctionParser *aNewOne = vtkFunctionParser::New();
  return (jlong)(size_t)(void*)aNewOne;
}
