// java wrapper for vtkInformationDoubleVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationDoubleVectorKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationDoubleVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationDoubleVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationDoubleVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationDoubleVectorKey *op;
  const char    *temp20;

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationDoubleVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationDoubleVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationDoubleVectorKey_Append_12(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkInformationDoubleVectorKey *op;
  vtkInformation  *temp0;
  double   temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInformationDoubleVectorKey_Get_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationDoubleVectorKey *op;
  vtkInformation  *temp0;
  int      temp1;
  double   temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationDoubleVectorKey_Length_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationDoubleVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationDoubleVectorKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationDoubleVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationDoubleVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}
