// java wrapper for vtkInformationIntegerKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationIntegerKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationIntegerKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationIntegerKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationIntegerKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationIntegerKey *op;
  const char    *temp20;

  op = (vtkInformationIntegerKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationIntegerKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationIntegerKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationIntegerKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationIntegerKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationIntegerKey *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationIntegerKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationIntegerKey_Get_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationIntegerKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationIntegerKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationIntegerKey_ShallowCopy_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationIntegerKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationIntegerKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}
