// java wrapper for vtkInformationObjectBaseVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationObjectBaseVectorKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationObjectBaseVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationObjectBaseVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationObjectBaseVectorKey *op;
  const char    *temp20;

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationObjectBaseVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Clear_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Resize_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Resize(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Size_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Size(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Length_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Append_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  vtkObjectBase  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Set_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  vtkObjectBase  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_Get_18(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  int      temp1;
  vtkObjectBase  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationObjectBaseVectorKey_ShallowCopy_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationObjectBaseVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationObjectBaseVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}
