// java wrapper for vtkInformationStringVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationStringVectorKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationStringVectorKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationStringVectorKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationStringVectorKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationStringVectorKey *op;
  const char    *temp20;

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationStringVectorKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationStringVectorKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationStringVectorKey_Append_12(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkInformationStringVectorKey *op;
  vtkInformation  *temp0;
  char    *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationStringVectorKey_Set_13(JNIEnv *env, jobject obj,jobject id0,jstring id1,jint id2)
{
  vtkInformationStringVectorKey *op;
  vtkInformation  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationStringVectorKey_Get_14(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformationStringVectorKey *op;
  vtkInformation  *temp0;
  int      temp1;
  const char    *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationStringVectorKey_Length_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationStringVectorKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationStringVectorKey_ShallowCopy_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationStringVectorKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationStringVectorKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}
