// java wrapper for vtkInstantiator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInstantiator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInstantiator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInstantiator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInstantiator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInstantiator *op;
  const char    *temp20;

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInstantiator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInstantiator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInstantiator_CreateInstance_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInstantiator *op;
  char    *temp0;
  vtkObject  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInstantiator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateInstance(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInstantiator_VTKInit(JNIEnv *, jobject)
{
  vtkInstantiator *aNewOne = vtkInstantiator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
