// java wrapper for vtkMatrixToLinearTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMatrixToLinearTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLinearTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMatrixToLinearTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMatrixToLinearTransform",dType)) { return me; }
  if ((res= vtkLinearTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMatrixToLinearTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMatrixToLinearTransform *op;
  const char    *temp20;

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMatrixToLinearTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMatrixToLinearTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToLinearTransform_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMatrixToLinearTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMatrixToLinearTransform_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkMatrixToLinearTransform *op;
  vtkMatrix4x4  *temp20;

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToLinearTransform_Inverse_14(JNIEnv *env, jobject obj)
{
  vtkMatrixToLinearTransform *op;

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMatrixToLinearTransform_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkMatrixToLinearTransform *op;
   unsigned long     temp20;

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMatrixToLinearTransform_MakeTransform_16(JNIEnv *env, jobject obj)
{
  vtkMatrixToLinearTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToLinearTransform_SetMatrix_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMatrixToLinearTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMatrixToLinearTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMatrixToLinearTransform_VTKInit(JNIEnv *, jobject)
{
  vtkMatrixToLinearTransform *aNewOne = vtkMatrixToLinearTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
