// java wrapper for vtkObjectFactoryCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectFactoryCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkObjectFactoryCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkObjectFactoryCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactoryCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkObjectFactoryCollection *op;
  const char    *temp20;

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactoryCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactoryCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactoryCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectFactoryCollection *op;
  vtkObjectFactory  *temp0;
  temp0 = (vtkObjectFactory *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkObjectFactoryCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkObjectFactoryCollection *op;
  vtkObjectFactory  *temp20;

  op = (vtkObjectFactoryCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkObjectFactoryCollection_VTKInit(JNIEnv *, jobject)
{
  vtkObjectFactoryCollection *aNewOne = vtkObjectFactoryCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
