// java wrapper for vtkPlanes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlanes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlanes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlanes",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlanes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlanes *op;
  const char    *temp20;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlanes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlanes_EvaluateFunction_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlanes *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlanes_EvaluateFunction_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPlanes *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_EvaluateGradient_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkPlanes *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_SetPoints_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlanes *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlanes_GetPoints_16(JNIEnv *env, jobject obj)
{
  vtkPlanes *op;
  vtkPoints  *temp20;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_SetNormals_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlanes *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormals(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlanes_GetNormals_18(JNIEnv *env, jobject obj)
{
  vtkPlanes *op;
  vtkDataArray  *temp20;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormals();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_SetFrustumPlanes_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlanes *op;
  double temp0[24];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrustumPlanes(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_SetBounds_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlanes *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_SetBounds_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkPlanes *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlanes_GetNumberOfPlanes_112(JNIEnv *env, jobject obj)
{
  vtkPlanes *op;
  int      temp20;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPlanes();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlanes_GetPlane_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlanes *op;
  int      temp0;
  vtkPlane  *temp20;
  temp0 = id0;

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlane(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlanes_GetPlane_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPlanes *op;
  int      temp0;
  vtkPlane  *temp1;
  temp0 = id0;
  temp1 = (vtkPlane *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPlanes *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPlane(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlanes_VTKInit(JNIEnv *, jobject)
{
  vtkPlanes *aNewOne = vtkPlanes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
