// java wrapper for vtkPropCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPropCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPropCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPropCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  const char    *temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPropCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPropCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPropCollection *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPropCollection_GetNextProp_13(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  vtkProp  *temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPropCollection_GetLastProp_14(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  vtkProp  *temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropCollection_GetNumberOfPaths_15(JNIEnv *env, jobject obj)
{
  vtkPropCollection *op;
  int      temp20;

  op = (vtkPropCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPropCollection_VTKInit(JNIEnv *, jobject)
{
  vtkPropCollection *aNewOne = vtkPropCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
