// java wrapper for vtkProperty2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProperty2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProperty2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProperty2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProperty2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  const char    *temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProperty2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_DeepCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProperty2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetColor_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProperty2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetColor_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProperty2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProperty2D_GetColor_15(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  double  *temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetOpacity_16(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  double   temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetOpacity_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetPointSize_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetPointSizeMinValue_19(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetPointSizeMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetPointSize_111(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetLineWidth_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProperty2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetLineWidthMinValue_113(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetLineWidthMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProperty2D_GetLineWidth_115(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  float    temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetLineStipplePattern_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineStipplePattern(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetLineStipplePattern_117(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineStipplePattern();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetLineStippleRepeatFactor_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineStippleRepeatFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetLineStippleRepeatFactorMinValue_119(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineStippleRepeatFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetLineStippleRepeatFactorMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineStippleRepeatFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetLineStippleRepeatFactor_121(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineStippleRepeatFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetDisplayLocation_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkProperty2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetDisplayLocationMinValue_123(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayLocationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetDisplayLocationMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayLocationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProperty2D_GetDisplayLocation_125(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;
  int      temp20;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetDisplayLocationToBackground_126(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayLocationToBackground();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProperty2D_SetDisplayLocationToForeground_127(JNIEnv *env, jobject obj)
{
  vtkProperty2D *op;

  op = (vtkProperty2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayLocationToForeground();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProperty2D_VTKInit(JNIEnv *, jobject)
{
  vtkProperty2D *aNewOne = vtkProperty2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
