// java wrapper for vtkServerSocket object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkServerSocket.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSocket_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkServerSocket_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkServerSocket",dType)) { return me; }
  if ((res= vtkSocket_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkServerSocket_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkServerSocket *op;
  const char    *temp20;

  op = (vtkServerSocket *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkServerSocket_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkServerSocket *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkServerSocket *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkServerSocket_CreateServer_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkServerSocket *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkServerSocket *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateServer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkServerSocket_WaitForConnection_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkServerSocket *op;
   unsigned long     temp0;
  vtkClientSocket  *temp20;
  temp0 = id0;

  op = (vtkServerSocket *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WaitForConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkServerSocket_GetServerPort_14(JNIEnv *env, jobject obj)
{
  vtkServerSocket *op;
  int      temp20;

  op = (vtkServerSocket *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPort();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkServerSocket_VTKInit(JNIEnv *, jobject)
{
  vtkServerSocket *aNewOne = vtkServerSocket::New();
  return (jlong)(size_t)(void*)aNewOne;
}
