// java wrapper for vtkSortDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSortDataArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSortDataArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSortDataArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSortDataArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSortDataArray *op;
  const char    *temp20;

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSortDataArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSortDataArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSortDataArray *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_SortArrayByComponent_14(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkSortDataArray *op;
  vtkAbstractArray  *temp0;
  int      temp1;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SortArrayByComponent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  vtkIdList  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkIdList  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkAbstractArray  *temp0;
  vtkIdList  *temp1;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSortDataArray_Sort_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSortDataArray *op;
  vtkAbstractArray  *temp0;
  vtkAbstractArray  *temp1;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkSortDataArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSortDataArray_VTKInit(JNIEnv *, jobject)
{
  vtkSortDataArray *aNewOne = vtkSortDataArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
