// java wrapper for vtkTimePointUtility object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTimePointUtility.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTimePointUtility_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTimePointUtility",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimePointUtility_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTimePointUtility *op;
  const char    *temp20;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimePointUtility *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_DateToTimePoint_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTimePointUtility *op;
  int      temp0;
  int      temp1;
  int      temp2;
   unsigned long long   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DateToTimePoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_TimeToTimePoint_13(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkTimePointUtility *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
   unsigned long long   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TimeToTimePoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_DateTimeToTimePoint_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkTimePointUtility *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
   unsigned long long   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DateTimeToTimePoint(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetYear_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYear(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetMonth_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMonth(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetDay_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetHour_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHour(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetMinute_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinute(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetSecond_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSecond(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimePointUtility_GetMillisecond_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMillisecond(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimePointUtility_TimePointToISO8601_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTimePointUtility *op;
   unsigned long long   temp0;
  int      temp1;
  const char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTimePointUtility *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TimePointToISO8601(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTimePointUtility_VTKInit(JNIEnv *, jobject)
{
  vtkTimePointUtility *aNewOne = vtkTimePointUtility::New();
  return (jlong)(size_t)(void*)aNewOne;
}
