// java wrapper for vtkVersion object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVersion.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVersion_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVersion",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVersion_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  const char    *temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVersion_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVersion *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVersion_GetVTKVersion_12(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  const char    *temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKVersion();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVersion_GetVTKMajorVersion_13(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  int      temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKMajorVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVersion_GetVTKMinorVersion_14(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  int      temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKMinorVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVersion_GetVTKBuildVersion_15(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  int      temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKBuildVersion();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVersion_GetVTKSourceVersion_16(JNIEnv *env, jobject obj)
{
  vtkVersion *op;
  const char    *temp20;

  op = (vtkVersion *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKSourceVersion();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVersion_VTKInit(JNIEnv *, jobject)
{
  vtkVersion *aNewOne = vtkVersion::New();
  return (jlong)(size_t)(void*)aNewOne;
}
