// java wrapper for vtkVoidArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVoidArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVoidArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVoidArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVoidArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;
  const char    *temp20;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoidArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVoidArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoidArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVoidArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoidArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoidArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;
  int      temp20;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoidArray_GetDataTypeSize_15(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;
  int      temp20;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoidArray_SetNumberOfPointers_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkVoidArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPointers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVoidArray_GetNumberOfPointers_17(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;
  vtkIdType   temp20;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoidArray_Reset_18(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoidArray_Squeeze_19(JNIEnv *env, jobject obj)
{
  vtkVoidArray *op;

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVoidArray_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVoidArray *op;
  vtkVoidArray  *temp0;
  temp0 = (vtkVoidArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVoidArray *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVoidArray_VTKInit(JNIEnv *, jobject)
{
  vtkVoidArray *aNewOne = vtkVoidArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
