// java wrapper for vtkActor2DCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActor2DCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkActor2DCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkActor2DCollection",dType)) { return me; }
  if ((res= vtkPropCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkActor2DCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;
  const char    *temp20;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2DCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkActor2DCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2DCollection_Sort_12(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->Sort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2DCollection_AddItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp0;
  temp0 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor2DCollection_IsItemPresent_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp0;
  int      temp20;
  temp0 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsItemPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2DCollection_GetNextActor2D_15(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp20;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2DCollection_GetLastActor2D_16(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp20;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2DCollection_GetNextItem_17(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp20;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor2DCollection_GetLastItem_18(JNIEnv *env, jobject obj)
{
  vtkActor2DCollection *op;
  vtkActor2D  *temp20;

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor2DCollection_RenderOverlay_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor2DCollection *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor2DCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkActor2DCollection_VTKInit(JNIEnv *, jobject)
{
  vtkActor2DCollection *aNewOne = vtkActor2DCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
