// java wrapper for vtkAttributesErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAttributesErrorMetric.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGenericSubdivisionErrorMetric_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAttributesErrorMetric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAttributesErrorMetric",dType)) { return me; }
  if ((res= vtkGenericSubdivisionErrorMetric_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAttributesErrorMetric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAttributesErrorMetric *op;
  const char    *temp20;

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAttributesErrorMetric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAttributesErrorMetric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAttributesErrorMetric_GetAbsoluteAttributeTolerance_12(JNIEnv *env, jobject obj)
{
  vtkAttributesErrorMetric *op;
  double   temp20;

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbsoluteAttributeTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAttributesErrorMetric_SetAbsoluteAttributeTolerance_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAttributesErrorMetric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbsoluteAttributeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAttributesErrorMetric_GetAttributeTolerance_14(JNIEnv *env, jobject obj)
{
  vtkAttributesErrorMetric *op;
  double   temp20;

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAttributesErrorMetric_SetAttributeTolerance_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAttributesErrorMetric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAttributesErrorMetric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeTolerance(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAttributesErrorMetric_VTKInit(JNIEnv *, jobject)
{
  vtkAttributesErrorMetric *aNewOne = vtkAttributesErrorMetric::New();
  return (jlong)(size_t)(void*)aNewOne;
}
