// java wrapper for vtkBSPCuts object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBSPCuts.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBSPCuts_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBSPCuts",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBSPCuts_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  const char    *temp20;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPCuts_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBSPCuts *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_CreateCuts_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPCuts *op;
  vtkKdNode  *temp0;
  temp0 = (vtkKdNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateCuts(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSPCuts_GetKdNodeTree_13(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  vtkKdNode  *temp20;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKdNodeTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPCuts_GetNumberOfCuts_14(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;
  int      temp20;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCuts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPCuts_Equals_15(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkBSPCuts *op;
  vtkBSPCuts  *temp0;
  double   temp1;
  int      temp20;
  temp0 = (vtkBSPCuts *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Equals(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_PrintTree_16(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_PrintArrays_17(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->PrintArrays();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSPCuts_GetData_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPCuts *op;
  vtkInformation  *temp0;
  vtkBSPCuts  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSPCuts_GetData_19(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkBSPCuts *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkBSPCuts  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_Initialize_110(JNIEnv *env, jobject obj)
{
  vtkBSPCuts *op;

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPCuts *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPCuts_DeepCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPCuts *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSPCuts *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBSPCuts_VTKInit(JNIEnv *, jobject)
{
  vtkBSPCuts *aNewOne = vtkBSPCuts::New();
  return (jlong)(size_t)(void*)aNewOne;
}
