// java wrapper for vtkCoordinate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCoordinate.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCoordinate_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCoordinate",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCoordinate_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  const char    *temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCoordinate_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCoordinate *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystem_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCoordinate *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystem(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCoordinate_GetCoordinateSystem_13(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  int      temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateSystem();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToDisplay_14(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToNormalizedDisplay_15(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToNormalizedDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToViewport_16(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToViewport();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToNormalizedViewport_17(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToNormalizedViewport();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToView_18(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToView();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetCoordinateSystemToWorld_19(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateSystemToWorld();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCoordinate_GetCoordinateSystemAsString_110(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  const char    *temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateSystemAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetValue_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCoordinate *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetValue_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCoordinate *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetValue_113(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  double  *temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetValue_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkCoordinate *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetReferenceCoordinate_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkCoordinate  *temp0;
  temp0 = (vtkCoordinate *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReferenceCoordinate(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoordinate_GetReferenceCoordinate_116(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  vtkCoordinate  *temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReferenceCoordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoordinate_SetViewport_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewport(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoordinate_GetViewport_118(JNIEnv *env, jobject obj)
{
  vtkCoordinate *op;
  vtkViewport  *temp20;

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewport();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedWorldValue_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedWorldValue(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedViewportValue_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedViewportValue(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedDisplayValue_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedDisplayValue(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedLocalDisplayValue_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  int     *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedLocalDisplayValue(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedDoubleViewportValue_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedDoubleViewportValue(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCoordinate_GetComputedDoubleDisplayValue_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCoordinate *op;
  vtkViewport  *temp0;
  double  *temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCoordinate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputedDoubleDisplayValue(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCoordinate_VTKInit(JNIEnv *, jobject)
{
  vtkCoordinate *aNewOne = vtkCoordinate::New();
  return (jlong)(size_t)(void*)aNewOne;
}
