// java wrapper for vtkDataObjectCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectCollection *op;
  const char    *temp20;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObjectCollection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkDataObjectCollection *op;
  vtkDataObject  *temp20;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItem();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectCollection_GetItem_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectCollection *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkDataObjectCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetItem(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObjectCollection_VTKInit(JNIEnv *, jobject)
{
  vtkDataObjectCollection *aNewOne = vtkDataObjectCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
