// java wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAttributes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkFieldData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetAttributes",dType)) { return me; }
  if ((res= vtkFieldData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  const char    *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_Update_13(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_DeepCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetScalars_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetScalars(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveScalars_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveScalars(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetScalars_18(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalars();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetVectors_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetVectors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveVectors_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveVectors(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetVectors_111(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectors();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetNormals_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNormals(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveNormals_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNormals(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetNormals_114(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormals();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetTCoords_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetTCoords(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveTCoords_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveTCoords(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetTCoords_117(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoords();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetTensors_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetTensors(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveTensors_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveTensors(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetTensors_120(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensors();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetGlobalIds_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp0;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGlobalIds(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveGlobalIds_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveGlobalIds(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetGlobalIds_123(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkDataArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetPedigreeIds_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkAbstractArray  *temp0;
  int      temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetPedigreeIds(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActivePedigreeIds_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActivePedigreeIds(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetPedigreeIds_126(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;
  vtkAbstractArray  *temp20;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPedigreeIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetScalars_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalars(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetVectors_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectors(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetNormals_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormals(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetTCoords_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoords(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetTensors_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensors(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetGlobalIds_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkDataArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalIds(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetPedigreeIds_133(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  vtkAbstractArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPedigreeIds(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveAttribute_134(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveAttribute(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_SetActiveAttribute_135(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveAttribute(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_IsArrayAnAttribute_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsArrayAnAttribute(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetAttribute_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  vtkDataArray  *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttribute(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAttributes_GetAbstractAttribute_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  vtkAbstractArray  *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbstractAttribute(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_RemoveArray_139(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAttributes *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_RemoveArray_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArray(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetAttributeTypeAsString_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAttributes_GetLongAttributeTypeAsString_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongAttributeTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyAttribute_143(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyAttribute(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyScalars_144(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyScalars(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyScalars_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyScalars(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyScalarsOn_146(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyScalarsOff_147(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyVectors_148(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyVectors(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyVectors_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyVectors(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyVectorsOn_150(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyVectorsOff_151(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyNormals_152(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyNormals(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyNormals_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyNormals(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyNormalsOn_154(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyNormalsOff_155(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyTCoords_156(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyTCoords(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyTCoords_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyTCoords(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTCoordsOn_158(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTCoordsOff_159(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyTensors_160(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyTensors(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyTensors_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyTensors(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTensorsOn_162(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTensorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTensorsOff_163(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTensorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyGlobalIds_164(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyGlobalIds(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyGlobalIds_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyGlobalIds(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyGlobalIdsOn_166(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyGlobalIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyGlobalIdsOff_167(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyGlobalIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_SetCopyPedigreeIds_168(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyPedigreeIds(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAttributes_GetCopyPedigreeIds_169(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyPedigreeIds(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyPedigreeIdsOn_170(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyPedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyPedigreeIdsOff_171(JNIEnv *env, jobject obj)
{
  vtkDataSetAttributes *op;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyPedigreeIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllOn_172(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAllOn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllOff_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAttributes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAllOff(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_PassData_174(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAttributes *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->PassData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllocate_175(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAllocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyAllocate_176(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAllocate(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyData_177(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyData(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_CopyTuple_178(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkDataSetAttributes *op;
  vtkAbstractArray  *temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTuple(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateAllocate_179(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateAllocate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateAllocate_180(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateAllocate(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateEdge_181(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAttributes_InterpolateTime_182(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jdouble id3)
{
  vtkDataSetAttributes *op;
  vtkDataSetAttributes  *temp0;
  vtkDataSetAttributes  *temp1;
  vtkIdType   temp2;
  double   temp3;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataSetAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateTime(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataSetAttributes_VTKInit(JNIEnv *, jobject)
{
  vtkDataSetAttributes *aNewOne = vtkDataSetAttributes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
