// java wrapper for vtkDataSetToUnstructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetToUnstructuredGridFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetToUnstructuredGridFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetToUnstructuredGridFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetToUnstructuredGridFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetToUnstructuredGridFilter *op;
  const char    *temp20;

  op = (vtkDataSetToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetToUnstructuredGridFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetToUnstructuredGridFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetToUnstructuredGridFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetToUnstructuredGridFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetToUnstructuredGridFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkDataSetToUnstructuredGridFilter *op;
  vtkDataSet  *temp20;

  op = (vtkDataSetToUnstructuredGridFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}
