// java wrapper for vtkDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDemandDrivenPipeline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExecutive_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDemandDrivenPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDemandDrivenPipeline",dType)) { return me; }
  if ((res= vtkExecutive_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDemandDrivenPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  const char    *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDemandDrivenPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_Update_12(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Update();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_Update_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Update(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_GetPipelineMTime_14(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
   unsigned long     temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPipelineMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_SetReleaseDataFlag_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDemandDrivenPipeline *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetReleaseDataFlag(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_GetReleaseDataFlag_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReleaseDataFlag(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_UpdatePipelineMTime_17(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdatePipelineMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_UpdateDataObject_18(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateDataObject();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_UpdateInformation_19(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  int      temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateInformation();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDemandDrivenPipeline_UpdateData_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDemandDrivenPipeline *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_REQUEST_1DATA_1OBJECT_111(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationRequestKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REQUEST_DATA_OBJECT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_REQUEST_1INFORMATION_112(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationRequestKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REQUEST_INFORMATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_REQUEST_1DATA_113(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationRequestKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REQUEST_DATA();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_REQUEST_1DATA_1NOT_1GENERATED_114(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationRequestKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REQUEST_DATA_NOT_GENERATED();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_RELEASE_1DATA_115(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RELEASE_DATA();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_DATA_1NOT_1GENERATED_116(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_NOT_GENERATED();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_NewDataObject_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDemandDrivenPipeline *op;
  char    *temp0;
  vtkDataObject  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewDataObject(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDemandDrivenPipeline_REQUEST_1REGENERATE_1INFORMATION_118(JNIEnv *env, jobject obj)
{
  vtkDemandDrivenPipeline *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDemandDrivenPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REQUEST_REGENERATE_INFORMATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDemandDrivenPipeline_VTKInit(JNIEnv *, jobject)
{
  vtkDemandDrivenPipeline *aNewOne = vtkDemandDrivenPipeline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
