// java wrapper for vtkDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDirectedGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDirectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDirectedGraph",dType)) { return me; }
  if ((res= vtkGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDirectedGraph *op;
  const char    *temp20;

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectedGraph_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkDirectedGraph *op;
  int      temp20;

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDirectedGraph_GetData_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDirectedGraph *op;
  vtkInformation  *temp0;
  vtkDirectedGraph  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDirectedGraph_GetData_14(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDirectedGraph *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkDirectedGraph  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDirectedGraph_IsStructureValid_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDirectedGraph *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsStructureValid(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDirectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkDirectedGraph *aNewOne = vtkDirectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
