// java wrapper for vtkDiscretizableColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDiscretizableColorTransferFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkColorTransferFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDiscretizableColorTransferFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDiscretizableColorTransferFunction",dType)) { return me; }
  if ((res= vtkColorTransferFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  const char    *temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDiscretizableColorTransferFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_Build_12(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Build();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetDiscretize_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiscretizableColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiscretize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetDiscretize_14(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  int      temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiscretize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_DiscretizeOn_15(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->DiscretizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_DiscretizeOff_16(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->DiscretizeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetUseLogScale_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiscretizableColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseLogScale(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetUseLogScale_18(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  int      temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseLogScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetNumberOfValues_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkDiscretizableColorTransferFunction *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetNumberOfValues_110(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  vtkIdType   temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetColor_111(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkDiscretizableColorTransferFunction *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_MapScalars_112(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDiscretizableColorTransferFunction *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MapScalars(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetAlpha_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDiscretizableColorTransferFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAlpha(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetNanColor_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDiscretizableColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNanColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_SetNanColor_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDiscretizableColorTransferFunction *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNanColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_UsingLogScale_116(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  int      temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UsingLogScale();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_GetNumberOfAvailableColors_117(JNIEnv *env, jobject obj)
{
  vtkDiscretizableColorTransferFunction *op;
  vtkIdType   temp20;

  op = (vtkDiscretizableColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAvailableColors();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDiscretizableColorTransferFunction_VTKInit(JNIEnv *, jobject)
{
  vtkDiscretizableColorTransferFunction *aNewOne = vtkDiscretizableColorTransferFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
