// java wrapper for vtkDistributedGraphHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedGraphHelper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistributedGraphHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistributedGraphHelper",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistributedGraphHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistributedGraphHelper *op;
  const char    *temp20;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistributedGraphHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_GetVertexOwner_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedGraphHelper *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexOwner(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_GetVertexIndex_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedGraphHelper *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_GetEdgeOwner_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedGraphHelper *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeOwner(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_GetEdgeIndex_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedGraphHelper *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedGraphHelper_MakeDistributedId_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDistributedGraphHelper *op;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeDistributedId(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedGraphHelper_Synchronize_17(JNIEnv *env, jobject obj)
{
  vtkDistributedGraphHelper *op;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->Synchronize();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedGraphHelper_Clone_18(JNIEnv *env, jobject obj)
{
  vtkDistributedGraphHelper *op;
  vtkDistributedGraphHelper  *temp20;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Clone();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedGraphHelper_DISTRIBUTEDVERTEXIDS_19(JNIEnv *env, jobject obj)
{
  vtkDistributedGraphHelper *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DISTRIBUTEDVERTEXIDS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedGraphHelper_DISTRIBUTEDEDGEIDS_110(JNIEnv *env, jobject obj)
{
  vtkDistributedGraphHelper *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDistributedGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DISTRIBUTEDEDGEIDS();
  return (jlong)(size_t)temp20;}
