// java wrapper for vtkGenericCellIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericCellIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericCellIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericCellIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericCellIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;
  const char    *temp20;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCellIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericCellIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellIterator_Begin_12(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericCellIterator_IsAtEnd_13(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;
  int      temp20;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAtEnd();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericCellIterator_NewCell_14(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;
  vtkGenericAdaptorCell  *temp20;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellIterator_GetCell_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericCellIterator *op;
  vtkGenericAdaptorCell  *temp0;
  temp0 = (vtkGenericAdaptorCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericCellIterator_GetCell_16(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;
  vtkGenericAdaptorCell  *temp20;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericCellIterator_Next_17(JNIEnv *env, jobject obj)
{
  vtkGenericCellIterator *op;

  op = (vtkGenericCellIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Next();
}
