// java wrapper for vtkGraphEdge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphEdge.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphEdge_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphEdge",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphEdge_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphEdge *op;
  const char    *temp20;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphEdge_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphEdge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphEdge_SetSource_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphEdge *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphEdge_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkGraphEdge *op;
  vtkIdType   temp20;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphEdge_SetTarget_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphEdge *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTarget(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphEdge_GetTarget_15(JNIEnv *env, jobject obj)
{
  vtkGraphEdge *op;
  vtkIdType   temp20;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTarget();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphEdge_SetId_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphEdge *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->SetId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphEdge_GetId_17(JNIEnv *env, jobject obj)
{
  vtkGraphEdge *op;
  vtkIdType   temp20;

  op = (vtkGraphEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetId();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphEdge_VTKInit(JNIEnv *, jobject)
{
  vtkGraphEdge *aNewOne = vtkGraphEdge::New();
  return (jlong)(size_t)(void*)aNewOne;
}
