// java wrapper for vtkHierarchicalBoxDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalBoxDataIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataIterator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalBoxDataIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalBoxDataIterator",dType)) { return me; }
  if ((res= vtkCompositeDataIterator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalBoxDataIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataIterator *op;
  const char    *temp20;

  op = (vtkHierarchicalBoxDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalBoxDataIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalBoxDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataIterator_GetCurrentLevel_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataIterator *op;
   unsigned int      temp20;

  op = (vtkHierarchicalBoxDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataIterator_GetCurrentIndex_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataIterator *op;
   unsigned int      temp20;

  op = (vtkHierarchicalBoxDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentIndex();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHierarchicalBoxDataIterator_VTKInit(JNIEnv *, jobject)
{
  vtkHierarchicalBoxDataIterator *aNewOne = vtkHierarchicalBoxDataIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
