// java wrapper for vtkHierarchicalBoxDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalBoxDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalBoxDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalBoxDataSet",dType)) { return me; }
  if ((res= vtkCompositeDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  const char    *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalBoxDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_NewIterator_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  int      temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetNumberOfLevels_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetNumberOfLevels_15(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetNumberOfDataSets_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfDataSets(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetNumberOfDataSets_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfDataSets(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetDataSet_18(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetDataSet_19(JNIEnv *env, jobject obj,jint id0,jint id1,jintArray id2,jintArray id3,jobject id4)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int    temp2[3];
  void *tempArray2;
  int    temp3[3];
  void *tempArray3;
  vtkUniformGrid  *temp4;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];
  temp4 = (vtkUniformGrid *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0,temp1,temp2,temp3,temp4);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetLevelMetaData_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_HasLevelMetaData_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasLevelMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetMetaData_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkInformation  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_HasMetaData_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_SetRefinementRatio_114(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRefinementRatio(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetRefinementRatio_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRefinementRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetRefinementRatio_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRefinementRatio(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GenerateVisibilityArrays_117(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVisibilityArrays();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_BOX_118(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIntegerVectorKey  *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BOX();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_BOX_1DIMENSIONALITY_119(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BOX_DIMENSIONALITY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_REFINEMENT_1RATIO_120(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->REFINEMENT_RATIO();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_NUMBER_1OF_1BLANKED_1POINTS_121(JNIEnv *env, jobject obj)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationIdTypeKey  *temp20;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NUMBER_OF_BLANKED_POINTS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetData_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformation  *temp0;
  vtkHierarchicalBoxDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetData_123(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkHierarchicalBoxDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetDataSet_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetMetaData_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_HasMetaData_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalBoxDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalBoxDataSet_GetFlatIndex_127(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalBoxDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalBoxDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlatIndex(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHierarchicalBoxDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkHierarchicalBoxDataSet *aNewOne = vtkHierarchicalBoxDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
