// java wrapper for vtkImageMultipleInputOutputFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMultipleInputOutputFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageMultipleInputFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMultipleInputOutputFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMultipleInputOutputFilter",dType)) { return me; }
  if ((res= vtkImageMultipleInputFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMultipleInputOutputFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMultipleInputOutputFilter *op;
  const char    *temp20;

  op = (vtkImageMultipleInputOutputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMultipleInputOutputFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMultipleInputOutputFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMultipleInputOutputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageMultipleInputOutputFilter_GetOutput_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMultipleInputOutputFilter *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkImageMultipleInputOutputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageMultipleInputOutputFilter_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkImageMultipleInputOutputFilter *op;
  vtkImageData  *temp20;

  op = (vtkImageMultipleInputOutputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}
