// java wrapper for vtkImageToStructuredPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToStructuredPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToStructuredPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToStructuredPoints",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToStructuredPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *op;
  const char    *temp20;

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToStructuredPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToStructuredPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToStructuredPoints_SetVectorInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToStructuredPoints *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageToStructuredPoints_GetVectorInput_13(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *op;
  vtkImageData  *temp20;

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageToStructuredPoints_GetStructuredPointsOutput_14(JNIEnv *env, jobject obj)
{
  vtkImageToStructuredPoints *op;
  vtkStructuredPoints  *temp20;

  op = (vtkImageToStructuredPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageToStructuredPoints_VTKInit(JNIEnv *, jobject)
{
  vtkImageToStructuredPoints *aNewOne = vtkImageToStructuredPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
