// java wrapper for vtkImageTwoInputFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageTwoInputFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageMultipleInputFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageTwoInputFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageTwoInputFilter",dType)) { return me; }
  if ((res= vtkImageMultipleInputFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageTwoInputFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageTwoInputFilter *op;
  const char    *temp20;

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTwoInputFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTwoInputFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTwoInputFilter_SetInput1_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTwoInputFilter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTwoInputFilter_SetInput2_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTwoInputFilter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTwoInputFilter_GetInput1_14(JNIEnv *env, jobject obj)
{
  vtkImageTwoInputFilter *op;
  vtkImageData  *temp20;

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput1();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTwoInputFilter_GetInput2_15(JNIEnv *env, jobject obj)
{
  vtkImageTwoInputFilter *op;
  vtkImageData  *temp20;

  op = (vtkImageTwoInputFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput2();
  return (jlong)(size_t)temp20;}
