// java wrapper for vtkInEdgeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInEdgeIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInEdgeIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInEdgeIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInEdgeIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInEdgeIterator *op;
  const char    *temp20;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInEdgeIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInEdgeIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInEdgeIterator_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInEdgeIterator *op;
  vtkGraph  *temp0;
  vtkIdType   temp1;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInEdgeIterator_GetGraph_13(JNIEnv *env, jobject obj)
{
  vtkInEdgeIterator *op;
  vtkGraph  *temp20;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraph();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInEdgeIterator_GetVertex_14(JNIEnv *env, jobject obj)
{
  vtkInEdgeIterator *op;
  vtkIdType   temp20;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertex();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInEdgeIterator_NextGraphEdge_15(JNIEnv *env, jobject obj)
{
  vtkInEdgeIterator *op;
  vtkGraphEdge  *temp20;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NextGraphEdge();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkInEdgeIterator_HasNext_16(JNIEnv *env, jobject obj)
{
  vtkInEdgeIterator *op;
  bool   temp20;

  op = (vtkInEdgeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasNext();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInEdgeIterator_VTKInit(JNIEnv *, jobject)
{
  vtkInEdgeIterator *aNewOne = vtkInEdgeIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
