// java wrapper for vtkInformationExecutivePortKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationExecutivePortKey.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInformationKey_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformationExecutivePortKey_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformationExecutivePortKey",dType)) { return me; }
  if ((res= vtkInformationKey_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformationExecutivePortKey_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformationExecutivePortKey *op;
  const char    *temp20;

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationExecutivePortKey_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformationExecutivePortKey *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortKey_Set_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformationExecutivePortKey *op;
  vtkInformation  *temp0;
  vtkExecutive  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformationExecutivePortKey_GetExecutive_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationExecutivePortKey *op;
  vtkInformation  *temp0;
  vtkExecutive  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExecutive(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformationExecutivePortKey_GetPort_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformationExecutivePortKey *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPort(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortKey_ShallowCopy_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationExecutivePortKey *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformationExecutivePortKey_Report_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformationExecutivePortKey *op;
  vtkInformation  *temp0;
  vtkGarbageCollector  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformationExecutivePortKey *)vtkJavaGetPointerFromObject(env,obj);
  op->Report(temp0,temp1);
}
