// java wrapper for vtkMergePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergePoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergePoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergePoints",dType)) { return me; }
  if ((res= vtkPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergePoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergePoints *op;
  const char    *temp20;

  op = (vtkMergePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergePoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergePoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergePoints_IsInsertedPoint_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMergePoints *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMergePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergePoints_IsInsertedPoint_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkMergePoints *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMergePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMergePoints_VTKInit(JNIEnv *, jobject)
{
  vtkMergePoints *aNewOne = vtkMergePoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
