// java wrapper for vtkNonLinearCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNonLinearCell.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNonLinearCell_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNonLinearCell",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNonLinearCell_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  const char    *temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNonLinearCell_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNonLinearCell *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNonLinearCell_IsLinear_12(JNIEnv *env, jobject obj)
{
  vtkNonLinearCell *op;
  int      temp20;

  op = (vtkNonLinearCell *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLinear();
  return temp20;
}
