// java wrapper for vtkRectilinearGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearGrid",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  const char    *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int      temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_CopyStructure_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_Initialize_14(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetNumberOfCells_15(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetNumberOfPoints_16(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRectilinearGrid_GetPoint_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetPoint_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetCell_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetCell_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetCellBounds_111(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_FindPoint_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkRectilinearGrid *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_FindPoint_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRectilinearGrid *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetCellType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetCellPoints_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetPointCells_116(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_ComputeBounds_117(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetMaxCellSize_118(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int      temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_GetCellNeighbors_119(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkRectilinearGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetDimensions_120(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkRectilinearGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetDimensions_121(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRectilinearGrid *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRectilinearGrid_GetDimensions_122(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int     *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetDataDimension_123(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int      temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_ComputeStructuredCoordinates_124(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1,jdoubleArray id2)
{
  vtkRectilinearGrid *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeStructuredCoordinates(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_ComputePointId_125(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRectilinearGrid *op;
  int    temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePointId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_ComputeCellId_126(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRectilinearGrid *op;
  int    temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeCellId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetXCoordinates_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetXCoordinates_128(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetYCoordinates_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetYCoordinates_130(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetZCoordinates_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZCoordinates(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetZCoordinates_132(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  vtkDataArray  *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZCoordinates();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetExtent_133(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRectilinearGrid *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_SetExtent_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkRectilinearGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRectilinearGrid_GetExtent_135(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int     *temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetActualMemorySize_136(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
   unsigned long     temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_ShallowCopy_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_DeepCopy_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearGrid_GetExtentType_139(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;
  int      temp20;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearGrid_Crop_140(JNIEnv *env, jobject obj)
{
  vtkRectilinearGrid *op;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Crop();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetData_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRectilinearGrid *op;
  vtkInformation  *temp0;
  vtkRectilinearGrid  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRectilinearGrid_GetData_142(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkRectilinearGrid *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkRectilinearGrid  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkRectilinearGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRectilinearGrid_VTKInit(JNIEnv *, jobject)
{
  vtkRectilinearGrid *aNewOne = vtkRectilinearGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
