// java wrapper for vtkSimpleScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleScalarTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkScalarTree_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimpleScalarTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimpleScalarTree",dType)) { return me; }
  if ((res= vtkScalarTree_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimpleScalarTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  const char    *temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimpleScalarTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleScalarTree_SetBranchingFactor_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSimpleScalarTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBranchingFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetBranchingFactorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBranchingFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetBranchingFactorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBranchingFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetBranchingFactor_15(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBranchingFactor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetLevel_16(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleScalarTree_SetMaxLevel_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSimpleScalarTree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetMaxLevelMinValue_18(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetMaxLevelMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleScalarTree_GetMaxLevel_110(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;
  int      temp20;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleScalarTree_BuildTree_111(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleScalarTree_Initialize_112(JNIEnv *env, jobject obj)
{
  vtkSimpleScalarTree *op;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleScalarTree_InitTraversal_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSimpleScalarTree *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSimpleScalarTree *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSimpleScalarTree_VTKInit(JNIEnv *, jobject)
{
  vtkSimpleScalarTree *aNewOne = vtkSimpleScalarTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
