// java wrapper for vtkSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProcessObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSource",dType)) { return me; }
  if ((res= vtkProcessObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSource *op;
  const char    *temp20;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_Update_12(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_UpdateWholeExtent_13(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_UpdateInformation_14(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_PropagateUpdateExtent_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSource *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->PropagateUpdateExtent(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_TriggerAsynchronousUpdate_16(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerAsynchronousUpdate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_UpdateData_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSource *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_ComputeInputUpdateExtents_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSource *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeInputUpdateExtents(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_SetReleaseDataFlag_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSource_GetReleaseDataFlag_110(JNIEnv *env, jobject obj)
{
  vtkSource *op;
  int      temp20;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_ReleaseDataFlagOn_111(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_ReleaseDataFlagOff_112(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSource_GetNumberOfOutputs_113(JNIEnv *env, jobject obj)
{
  vtkSource *op;
  int      temp20;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_UnRegisterAllOutputs_114(JNIEnv *env, jobject obj)
{
  vtkSource *op;

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegisterAllOutputs();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSource_GetOutputIndex_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSource *op;
  vtkDataObject  *temp0;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputIndex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSource_SetExecutive_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSource *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecutive(temp0);
}
