// java wrapper for vtkTreeDFSIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeDFSIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeIterator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeDFSIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeDFSIterator",dType)) { return me; }
  if ((res= vtkTreeIterator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeDFSIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeDFSIterator *op;
  const char    *temp20;

  op = (vtkTreeDFSIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeDFSIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeDFSIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeDFSIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeDFSIterator_SetMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeDFSIterator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeDFSIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeDFSIterator_GetMode_13(JNIEnv *env, jobject obj)
{
  vtkTreeDFSIterator *op;
  int      temp20;

  op = (vtkTreeDFSIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMode();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeDFSIterator_VTKInit(JNIEnv *, jobject)
{
  vtkTreeDFSIterator *aNewOne = vtkTreeDFSIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
