// java wrapper for vtkVertexListIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVertexListIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVertexListIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVertexListIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVertexListIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVertexListIterator *op;
  const char    *temp20;

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVertexListIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVertexListIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVertexListIterator_SetGraph_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVertexListIterator *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraph(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVertexListIterator_GetGraph_13(JNIEnv *env, jobject obj)
{
  vtkVertexListIterator *op;
  vtkGraph  *temp20;

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraph();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVertexListIterator_Next_14(JNIEnv *env, jobject obj)
{
  vtkVertexListIterator *op;
  vtkIdType   temp20;

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Next();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkVertexListIterator_HasNext_15(JNIEnv *env, jobject obj)
{
  vtkVertexListIterator *op;
  bool   temp20;

  op = (vtkVertexListIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasNext();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVertexListIterator_VTKInit(JNIEnv *, jobject)
{
  vtkVertexListIterator *aNewOne = vtkVertexListIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
