// java wrapper for vtkGenericClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericClip.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericClip_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericClip",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericClip_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  const char    *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericClip *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericClip *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetValue_13(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetInsideOut_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetInsideOut_15(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_InsideOutOn_16(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_InsideOutOff_17(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetClipFunction_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericClip *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericClip_GetClipFunction_19(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkImplicitFunction  *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetGenerateClipScalars_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetGenerateClipScalars_111(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClipScalarsOn_112(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClipScalarsOff_113(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetGenerateClippedOutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericClip *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetGenerateClippedOutput_115(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClippedOutputOn_116(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_GenerateClippedOutputOff_117(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetMergeTolerance_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericClip *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergeTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeToleranceMinValue_119(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeToleranceMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericClip_GetMergeTolerance_121(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  double   temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergeTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericClip_GetClippedOutput_122(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippedOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetNumberOfOutputs_123(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  int      temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SetLocator_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericClip *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericClip_GetLocator_125(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_CreateDefaultLocator_126(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericClip_GetMTime_127(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
   unsigned long     temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericClip_GetInputScalarsSelection_128(JNIEnv *env, jobject obj)
{
  vtkGenericClip *op;
  char    *temp20;

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputScalarsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericClip_SelectInputScalars_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericClip *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericClip *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectInputScalars(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericClip_VTKInit(JNIEnv *, jobject)
{
  vtkGenericClip *aNewOne = vtkGenericClip::New();
  return (jlong)(size_t)(void*)aNewOne;
}
