// java wrapper for vtkGenericDataSetTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericDataSetTessellator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericDataSetTessellator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericDataSetTessellator",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  const char    *temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericDataSetTessellator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetKeepCellIds_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSetTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKeepCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetKeepCellIds_13(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  int      temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKeepCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_KeepCellIdsOn_14(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->KeepCellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_KeepCellIdsOff_15(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->KeepCellIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetMerging_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSetTessellator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetMerging_17(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  int      temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_MergingOn_18(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_MergingOff_19(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_SetLocator_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSetTessellator *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetLocator_111(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSetTessellator_CreateDefaultLocator_112(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSetTessellator_GetMTime_113(JNIEnv *env, jobject obj)
{
  vtkGenericDataSetTessellator *op;
   unsigned long     temp20;

  op = (vtkGenericDataSetTessellator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericDataSetTessellator_VTKInit(JNIEnv *, jobject)
{
  vtkGenericDataSetTessellator *aNewOne = vtkGenericDataSetTessellator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
