// java wrapper for vtkGeoAdaptiveArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoAdaptiveArcs.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoAdaptiveArcs_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoAdaptiveArcs",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
  const char    *temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoAdaptiveArcs_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAdaptiveArcs *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAdaptiveArcs_SetGlobeRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoAdaptiveArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobeRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetGlobeRadius_13(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
  double   temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobeRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAdaptiveArcs_SetMaximumPixelSeparation_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoAdaptiveArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPixelSeparation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetMaximumPixelSeparation_15(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
  double   temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPixelSeparation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAdaptiveArcs_SetMinimumPixelSeparation_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoAdaptiveArcs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumPixelSeparation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetMinimumPixelSeparation_17(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
  double   temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumPixelSeparation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAdaptiveArcs_SetRenderer_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoAdaptiveArcs *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetRenderer_19(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
  vtkRenderer  *temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoAdaptiveArcs_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkGeoAdaptiveArcs *op;
   unsigned long     temp20;

  op = (vtkGeoAdaptiveArcs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoAdaptiveArcs_VTKInit(JNIEnv *, jobject)
{
  vtkGeoAdaptiveArcs *aNewOne = vtkGeoAdaptiveArcs::New();
  return (jlong)(size_t)(void*)aNewOne;
}
