// java wrapper for vtkGeoAlignedImageRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoAlignedImageRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoAlignedImageRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoAlignedImageRepresentation",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoAlignedImageRepresentation *op;
  const char    *temp20;

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAlignedImageRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_GetBestImageForBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoAlignedImageRepresentation *op;
  double temp0[4];
  void *tempArray0;
  vtkGeoImageNode  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBestImageForBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkGeoAlignedImageRepresentation *op;
  vtkGeoSource  *temp20;

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_SetSource_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoAlignedImageRepresentation *op;
  vtkGeoSource  *temp0;
  temp0 = (vtkGeoSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_SaveDatabase_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAlignedImageRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAlignedImageRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SaveDatabase(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoAlignedImageRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkGeoAlignedImageRepresentation *aNewOne = vtkGeoAlignedImageRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
