// java wrapper for vtkGeoAssignCoordinates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoAssignCoordinates.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoAssignCoordinates_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoAssignCoordinates",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  const char    *temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoAssignCoordinates_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAssignCoordinates *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_SetLongitudeArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAssignCoordinates *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetLongitudeArrayName_13(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  char    *temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_SetLatitudeArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoAssignCoordinates *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetLatitudeArrayName_15(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  char    *temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_SetGlobeRadius_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoAssignCoordinates *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobeRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetGlobeRadius_17(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  double   temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobeRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_SetTransform_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoAssignCoordinates *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetTransform_19(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_SetCoordinatesInArrays_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoAssignCoordinates *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinatesInArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoAssignCoordinates_GetCoordinatesInArrays_111(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;
  bool   temp20;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinatesInArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_CoordinatesInArraysOn_112(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinatesInArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoAssignCoordinates_CoordinatesInArraysOff_113(JNIEnv *env, jobject obj)
{
  vtkGeoAssignCoordinates *op;

  op = (vtkGeoAssignCoordinates *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinatesInArraysOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoAssignCoordinates_VTKInit(JNIEnv *, jobject)
{
  vtkGeoAssignCoordinates *aNewOne = vtkGeoAssignCoordinates::New();
  return (jlong)(size_t)(void*)aNewOne;
}
