// java wrapper for vtkGeoGraticule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoGraticule.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoGraticule_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoGraticule",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraticule_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  const char    *temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraticule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLatitudeBounds_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoGraticule *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeBounds(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLatitudeBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoGraticule *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoGraticule_GetLatitudeBounds_14(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  double  *temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLongitudeBounds_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoGraticule *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeBounds(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLongitudeBounds_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoGraticule *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoGraticule_GetLongitudeBounds_17(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  double  *temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLatitudeLevel_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraticule *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLatitudeLevelMinValue_19(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLatitudeLevelMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLatitudeLevel_111(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetLongitudeLevel_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraticule *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLongitudeLevelMinValue_113(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLongitudeLevelMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetLongitudeLevel_115(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeLevel();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoGraticule_GetLatitudeDelta_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraticule *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeDelta(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoGraticule_GetLongitudeDelta_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraticule *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeDelta(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraticule_SetGeometryType_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraticule *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometryType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraticule_GetGeometryType_119(JNIEnv *env, jobject obj)
{
  vtkGeoGraticule *op;
  int      temp20;

  op = (vtkGeoGraticule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometryType();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoGraticule_VTKInit(JNIEnv *, jobject)
{
  vtkGeoGraticule *aNewOne = vtkGeoGraticule::New();
  return (jlong)(size_t)(void*)aNewOne;
}
