// java wrapper for vtkGeoImageNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoImageNode.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGeoTreeNode_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoImageNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoImageNode",dType)) { return me; }
  if ((res= vtkGeoTreeNode_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoImageNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;
  const char    *temp20;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoImageNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoImageNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoImageNode_GetChild_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoImageNode *op;
  int      temp0;
  vtkGeoImageNode  *temp20;
  temp0 = id0;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoImageNode_GetParent_13(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;
  vtkGeoImageNode  *temp20;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParent();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoImageNode_GetImage_14(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;
  vtkImageData  *temp20;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_SetImage_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoImageNode *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImage(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoImageNode_GetTexture_16(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;
  vtkTexture  *temp20;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_SetTexture_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoImageNode *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexture(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_LoadAnImage_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoImageNode *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadAnImage(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_ShallowCopy_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoImageNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoImageNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoImageNode_HasData_111(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;
  bool   temp20;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoImageNode_DeleteData_112(JNIEnv *env, jobject obj)
{
  vtkGeoImageNode *op;

  op = (vtkGeoImageNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteData();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoImageNode_VTKInit(JNIEnv *, jobject)
{
  vtkGeoImageNode *aNewOne = vtkGeoImageNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
