// java wrapper for vtkGeoInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoInteractorStyle.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleTrackballCamera_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoInteractorStyle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoInteractorStyle",dType)) { return me; }
  if ((res= vtkInteractorStyleTrackballCamera_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoInteractorStyle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;
  const char    *temp20;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoInteractorStyle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoInteractorStyle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnEnter_12(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnEnter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnLeave_13(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeave();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnMouseMove_14(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnLeftButtonUp_15(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnMiddleButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnRightButtonUp_17(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnLeftButtonDown_18(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnMiddleButtonDown_19(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnRightButtonDown_110(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_OnChar_111(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_RubberBandZoom_112(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->RubberBandZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_Pan_113(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_Dolly_114(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Dolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_RedrawRectangle_115(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->RedrawRectangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_StartState_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartState(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoInteractorStyle_GetGeoCamera_117(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;
  vtkGeoCamera  *temp20;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeoCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_ResetCamera_118(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_WidgetInteraction_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoInteractorStyle *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_SetInteractor_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoInteractorStyle *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoInteractorStyle_GetRayIntersection_121(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkGeoInteractorStyle *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRayIntersection(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_SetCurrentRenderer_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoInteractorStyle *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentRenderer(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoInteractorStyle_GetLockHeading_123(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;
  bool   temp20;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLockHeading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_SetLockHeading_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoInteractorStyle *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLockHeading(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_LockHeadingOn_125(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_LockHeadingOff_126(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoInteractorStyle_ResetCameraClippingRange_127(JNIEnv *env, jobject obj)
{
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoInteractorStyle_VTKInit(JNIEnv *, jobject)
{
  vtkGeoInteractorStyle *aNewOne = vtkGeoInteractorStyle::New();
  return (jlong)(size_t)(void*)aNewOne;
}
