// java wrapper for vtkGeoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoSource",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoSource *op;
  const char    *temp20;

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoSource_FetchRoot_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoSource *op;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FetchRoot(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoSource_FetchChild_13(JNIEnv *env, jobject obj,jobject id0,jint id1,jobject id2)
{
  vtkGeoSource *op;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  vtkGeoTreeNode  *temp2;
  bool   temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FetchChild(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSource_RequestChildren_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoSource *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RequestChildren(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoSource_GetRequestedNodes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoSource *op;
  vtkGeoTreeNode  *temp0;
  vtkCollection  *temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequestedNodes(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSource_Initialize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSource_ShutDown_17(JNIEnv *env, jobject obj)
{
  vtkGeoSource *op;

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ShutDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSource_WorkerThread_18(JNIEnv *env, jobject obj)
{
  vtkGeoSource *op;

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->WorkerThread();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoSource_GetTransform_19(JNIEnv *env, jobject obj)
{
  vtkGeoSource *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}
