// java wrapper for vtkAppendCompositeDataLeaves object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAppendCompositeDataLeaves.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAppendCompositeDataLeaves_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAppendCompositeDataLeaves",dType)) { return me; }
  if ((res= vtkCompositeDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAppendCompositeDataLeaves *op;
  const char    *temp20;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAppendCompositeDataLeaves *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_GetInput_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendCompositeDataLeaves *op;
  int      temp0;
  vtkCompositeDataSet  *temp20;
  temp0 = id0;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkAppendCompositeDataLeaves *op;
  vtkCompositeDataSet  *temp20;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_RemoveInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendCompositeDataLeaves *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_SetAppendFieldData_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendCompositeDataLeaves *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAppendFieldData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_GetAppendFieldData_16(JNIEnv *env, jobject obj)
{
  vtkAppendCompositeDataLeaves *op;
  int      temp20;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAppendFieldData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_AppendFieldDataOn_17(JNIEnv *env, jobject obj)
{
  vtkAppendCompositeDataLeaves *op;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendFieldDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendCompositeDataLeaves_AppendFieldDataOff_18(JNIEnv *env, jobject obj)
{
  vtkAppendCompositeDataLeaves *op;

  op = (vtkAppendCompositeDataLeaves *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendFieldDataOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAppendCompositeDataLeaves_VTKInit(JNIEnv *, jobject)
{
  vtkAppendCompositeDataLeaves *aNewOne = vtkAppendCompositeDataLeaves::New();
  return (jlong)(size_t)(void*)aNewOne;
}
