// java wrapper for vtkAppendSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAppendSelection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAppendSelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAppendSelection",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAppendSelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;
  const char    *temp20;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendSelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAppendSelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_SetUserManagedInputs_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUserManagedInputs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendSelection_GetUserManagedInputs_13(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;
  int      temp20;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUserManagedInputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_UserManagedInputsOn_14(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->UserManagedInputsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_UserManagedInputsOff_15(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->UserManagedInputsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_AddInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_RemoveInput_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAppendSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendSelection_GetInput_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendSelection *op;
  int      temp0;
  vtkSelection  *temp20;
  temp0 = id0;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAppendSelection_GetInput_19(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;
  vtkSelection  *temp20;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_SetNumberOfInputs_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfInputs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_SetInputByNumber_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAppendSelection *op;
  int      temp0;
  vtkSelection  *temp1;
  temp0 = id0;
  temp1 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputByNumber(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_SetAppendByUnion_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkAppendSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAppendByUnion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAppendSelection_GetAppendByUnion_113(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;
  int      temp20;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAppendByUnion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_AppendByUnionOn_114(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendByUnionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAppendSelection_AppendByUnionOff_115(JNIEnv *env, jobject obj)
{
  vtkAppendSelection *op;

  op = (vtkAppendSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendByUnionOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAppendSelection_VTKInit(JNIEnv *, jobject)
{
  vtkAppendSelection *aNewOne = vtkAppendSelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
