// java wrapper for vtkAssignAttribute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssignAttribute.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssignAttribute_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssignAttribute",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignAttribute_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssignAttribute *op;
  const char    *temp20;

  op = (vtkAssignAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssignAttribute_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignAttribute *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignAttribute *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignAttribute_Assign_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkAssignAttribute *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAssignAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->Assign(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignAttribute_Assign_13(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkAssignAttribute *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkAssignAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->Assign(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignAttribute_Assign_14(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkAssignAttribute *op;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkAssignAttribute *)vtkJavaGetPointerFromObject(env,obj);
  op->Assign(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAssignAttribute_VTKInit(JNIEnv *, jobject)
{
  vtkAssignAttribute *aNewOne = vtkAssignAttribute::New();
  return (jlong)(size_t)(void*)aNewOne;
}
