// java wrapper for vtkBlankStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBlankStructuredGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBlankStructuredGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBlankStructuredGrid",dType)) { return me; }
  if ((res= vtkStructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBlankStructuredGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  const char    *temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBlankStructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGrid_SetMinBlankingValue_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBlankStructuredGrid *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinBlankingValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBlankStructuredGrid_GetMinBlankingValue_13(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  double   temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinBlankingValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGrid_SetMaxBlankingValue_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBlankStructuredGrid *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxBlankingValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBlankStructuredGrid_GetMaxBlankingValue_15(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  double   temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxBlankingValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGrid_SetArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBlankStructuredGrid *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBlankStructuredGrid_GetArrayName_17(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  char    *temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGrid_SetArrayId_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkBlankStructuredGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGrid_GetArrayId_19(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  int      temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlankStructuredGrid_SetComponent_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkBlankStructuredGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGrid_GetComponentMinValue_111(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  int      temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGrid_GetComponentMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  int      temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlankStructuredGrid_GetComponent_113(JNIEnv *env, jobject obj)
{
  vtkBlankStructuredGrid *op;
  int      temp20;

  op = (vtkBlankStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponent();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBlankStructuredGrid_VTKInit(JNIEnv *, jobject)
{
  vtkBlankStructuredGrid *aNewOne = vtkBlankStructuredGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
