// java wrapper for vtkBooleanOperationPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBooleanOperationPolyDataFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBooleanOperationPolyDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBooleanOperationPolyDataFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  const char    *temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBooleanOperationPolyDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetOperation_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetOperationMinValue_13(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOperationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetOperationMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOperationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetOperation_15(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOperation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetOperationToUnion_16(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToUnion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetOperationToIntersection_17(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToIntersection();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetOperationToDifference_18(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToDifference();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetReorientDifferenceCells_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReorientDifferenceCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetReorientDifferenceCells_110(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  int      temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReorientDifferenceCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_ReorientDifferenceCellsOn_111(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReorientDifferenceCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_ReorientDifferenceCellsOff_112(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReorientDifferenceCellsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_SetTolerance_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBooleanOperationPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_GetTolerance_114(JNIEnv *env, jobject obj)
{
  vtkBooleanOperationPolyDataFilter *op;
  double   temp20;

  op = (vtkBooleanOperationPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBooleanOperationPolyDataFilter_VTKInit(JNIEnv *, jobject)
{
  vtkBooleanOperationPolyDataFilter *aNewOne = vtkBooleanOperationPolyDataFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
