// java wrapper for vtkBoxClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxClipDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoxClipDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoxClipDataSet",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoxClipDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  const char    *temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoxClipDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_SetBoxClip_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkBoxClipDataSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_SetGenerateClipScalars_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClipScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_GetGenerateClipScalars_14(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  int      temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClipScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_GenerateClipScalarsOn_15(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_GenerateClipScalarsOff_16(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClipScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_SetGenerateClippedOutput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxClipDataSet *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateClippedOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_GetGenerateClippedOutput_18(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  int      temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateClippedOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_GenerateClippedOutputOn_19(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_GenerateClippedOutputOff_110(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateClippedOutputOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxClipDataSet_GetClippedOutput_111(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippedOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_GetNumberOfOutputs_112(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  int      temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_SetLocator_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxClipDataSet *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxClipDataSet_GetLocator_114(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_CreateDefaultLocator_115(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_GetMTime_116(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
   unsigned long     temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxClipDataSet_GetOrientation_117(JNIEnv *env, jobject obj)
{
  vtkBoxClipDataSet *op;
   unsigned int      temp20;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_SetOrientation_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxClipDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_InterpolateEdge_119(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkBoxClipDataSet *op;
  vtkDataSetAttributes  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  temp0 = (vtkDataSetAttributes *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipBox_120(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipHexahedron_121(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipHexahedron(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipBox2D_122(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipBox2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipHexahedron2D_123(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipHexahedron2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipBox1D_124(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipBox1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipHexahedron1D_125(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8)
{
  vtkBoxClipDataSet *op;
  vtkPoints  *temp0;
  vtkGenericCell  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipHexahedron1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipBox0D_126(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jint id6,jobject id7)
{
  vtkBoxClipDataSet *op;
  vtkGenericCell  *temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  temp0 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = id6;
  temp7 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id7));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipBox0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxClipDataSet_ClipHexahedron0D_127(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jint id6,jobject id7)
{
  vtkBoxClipDataSet *op;
  vtkGenericCell  *temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  temp0 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = id6;
  temp7 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id7));

  op = (vtkBoxClipDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipHexahedron0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoxClipDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkBoxClipDataSet *aNewOne = vtkBoxClipDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
