// java wrapper for vtkBrownianPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBrownianPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBrownianPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBrownianPoints",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBrownianPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  const char    *temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrownianPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBrownianPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrownianPoints_SetMinimumSpeed_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBrownianPoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMinimumSpeedMinValue_13(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumSpeedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMinimumSpeedMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumSpeedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMinimumSpeed_15(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrownianPoints_SetMaximumSpeed_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBrownianPoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMaximumSpeedMinValue_17(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumSpeedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMaximumSpeedMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumSpeedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrownianPoints_GetMaximumSpeed_19(JNIEnv *env, jobject obj)
{
  vtkBrownianPoints *op;
  double   temp20;

  op = (vtkBrownianPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumSpeed();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBrownianPoints_VTKInit(JNIEnv *, jobject)
{
  vtkBrownianPoints *aNewOne = vtkBrownianPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
