// java wrapper for vtkButtonSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkButtonSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkButtonSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkButtonSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkButtonSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  const char    *temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkButtonSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetCenter_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkButtonSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetCenter_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkButtonSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkButtonSource_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  double  *temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTextureStyle_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkButtonSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureStyle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonSource_GetTextureStyleMinValue_16(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  int      temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureStyleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonSource_GetTextureStyleMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  int      temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureStyleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonSource_GetTextureStyle_18(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  int      temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureStyle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTextureStyleToFitImage_19(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureStyleToFitImage();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTextureStyleToProportional_110(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureStyleToProportional();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTextureDimensions_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkButtonSource *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureDimensions(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTextureDimensions_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkButtonSource *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkButtonSource_GetTextureDimensions_113(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  int     *temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetShoulderTextureCoordinate_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkButtonSource *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShoulderTextureCoordinate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetShoulderTextureCoordinate_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkButtonSource *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShoulderTextureCoordinate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkButtonSource_GetShoulderTextureCoordinate_116(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  double  *temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShoulderTextureCoordinate();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_SetTwoSided_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkButtonSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTwoSided(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonSource_GetTwoSided_118(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;
  int      temp20;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTwoSided();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_TwoSidedOn_119(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoSidedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonSource_TwoSidedOff_120(JNIEnv *env, jobject obj)
{
  vtkButtonSource *op;

  op = (vtkButtonSource *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoSidedOff();
}
