// java wrapper for vtkCellDataToPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellDataToPointData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellDataToPointData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellDataToPointData",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellDataToPointData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellDataToPointData *op;
  const char    *temp20;

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellDataToPointData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellDataToPointData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDataToPointData_SetPassCellData_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellDataToPointData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassCellData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellDataToPointData_GetPassCellData_13(JNIEnv *env, jobject obj)
{
  vtkCellDataToPointData *op;
  int      temp20;

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassCellData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDataToPointData_PassCellDataOn_14(JNIEnv *env, jobject obj)
{
  vtkCellDataToPointData *op;

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->PassCellDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellDataToPointData_PassCellDataOff_15(JNIEnv *env, jobject obj)
{
  vtkCellDataToPointData *op;

  op = (vtkCellDataToPointData *)vtkJavaGetPointerFromObject(env,obj);
  op->PassCellDataOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellDataToPointData_VTKInit(JNIEnv *, jobject)
{
  vtkCellDataToPointData *aNewOne = vtkCellDataToPointData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
