// java wrapper for vtkClipClosedSurface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClipClosedSurface.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClipClosedSurface_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClipClosedSurface",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipClosedSurface_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  const char    *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClipClosedSurface *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetClippingPlanes_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkClipClosedSurface *op;
  vtkPlaneCollection  *temp0;
  temp0 = (vtkPlaneCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingPlanes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkClipClosedSurface_GetClippingPlanes_13(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  vtkPlaneCollection  *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippingPlanes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetTolerance_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClipClosedSurface *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClipClosedSurface_GetTolerance_15(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  double   temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetPassPointData_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassPointData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_PassPointDataOn_17(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPointDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_PassPointDataOff_18(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->PassPointDataOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetPassPointData_19(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassPointData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetGenerateOutline_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateOutline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateOutlineOn_111(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateOutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateOutlineOff_112(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateOutlineOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetGenerateOutline_113(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetGenerateFaces_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateFaces(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateFacesOn_115(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFacesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateFacesOff_116(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFacesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetGenerateFaces_117(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateFaces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetScalarMode_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetScalarModeMinValue_119(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetScalarModeMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetScalarModeToNone_121(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarModeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetScalarModeToColors_122(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarModeToColors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetScalarModeToLabels_123(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarModeToLabels();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetScalarMode_124(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClipClosedSurface_GetScalarModeAsString_125(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  const char    *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetBaseColor_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkClipClosedSurface *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBaseColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetBaseColor_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkClipClosedSurface *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBaseColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkClipClosedSurface_GetBaseColor_128(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  double  *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBaseColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetClipColor_129(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkClipClosedSurface *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetClipColor_130(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkClipClosedSurface *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkClipClosedSurface_GetClipColor_131(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  double  *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetActivePlaneId_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActivePlaneId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetActivePlaneId_133(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActivePlaneId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetActivePlaneColor_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkClipClosedSurface *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActivePlaneColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetActivePlaneColor_135(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkClipClosedSurface *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActivePlaneColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkClipClosedSurface_GetActivePlaneColor_136(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  double  *temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActivePlaneColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetTriangulationErrorDisplay_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTriangulationErrorDisplay(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_TriangulationErrorDisplayOn_138(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->TriangulationErrorDisplayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_TriangulationErrorDisplayOff_139(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->TriangulationErrorDisplayOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetTriangulationErrorDisplay_140(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTriangulationErrorDisplay();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_SetGenerateColorScalars_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkClipClosedSurface *op;
  int      temp0;
  temp0 = id0;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateColorScalars(temp0);
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClipClosedSurface_GetGenerateColorScalars_142(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;
  int      temp20;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateColorScalars();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateColorScalarsOn_143(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateColorScalarsOn();
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClipClosedSurface_GenerateColorScalarsOff_144(JNIEnv *env, jobject obj)
{
  vtkClipClosedSurface *op;

  op = (vtkClipClosedSurface *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateColorScalarsOff();
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkClipClosedSurface_VTKInit(JNIEnv *, jobject)
{
  vtkClipClosedSurface *aNewOne = vtkClipClosedSurface::New();
  return (jlong)(size_t)(void*)aNewOne;
}
