// java wrapper for vtkCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCutter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCutter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCutter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCutter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  const char    *temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCutter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkCutter *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCutter_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkCutter *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkCutter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  int      temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkCutter *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkCutter *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
   unsigned long     temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetCutFunction_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCutter *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCutter_GetCutFunction_110(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  vtkImplicitFunction  *temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetGenerateCutScalars_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCutter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateCutScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetGenerateCutScalars_112(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  int      temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateCutScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_GenerateCutScalarsOn_113(JNIEnv *env, jobject obj)
{
  vtkCutter *op;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCutScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_GenerateCutScalarsOff_114(JNIEnv *env, jobject obj)
{
  vtkCutter *op;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateCutScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetLocator_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCutter *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCutter_GetLocator_116(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetSortBy_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCutter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortBy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetSortByMinValue_118(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  int      temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortByMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetSortByMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  int      temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortByMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCutter_GetSortBy_120(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  int      temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortBy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetSortByToSortByValue_121(JNIEnv *env, jobject obj)
{
  vtkCutter *op;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortByToSortByValue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_SetSortByToSortByCell_122(JNIEnv *env, jobject obj)
{
  vtkCutter *op;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortByToSortByCell();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCutter_GetSortByAsString_123(JNIEnv *env, jobject obj)
{
  vtkCutter *op;
  const char    *temp20;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortByAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCutter_CreateDefaultLocator_124(JNIEnv *env, jobject obj)
{
  vtkCutter *op;

  op = (vtkCutter *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultLocator();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCutter_VTKInit(JNIEnv *, jobject)
{
  vtkCutter *aNewOne = vtkCutter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
