// java wrapper for vtkDataObjectGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectGenerator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectGenerator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectGenerator",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectGenerator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectGenerator *op;
  const char    *temp20;

  op = (vtkDataObjectGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectGenerator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectGenerator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectGenerator_SetProgram_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectGenerator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgram(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectGenerator_GetProgram_13(JNIEnv *env, jobject obj)
{
  vtkDataObjectGenerator *op;
  char    *temp20;

  op = (vtkDataObjectGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgram();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObjectGenerator_VTKInit(JNIEnv *, jobject)
{
  vtkDataObjectGenerator *aNewOne = vtkDataObjectGenerator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
