// java wrapper for vtkDataObjectToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectToDataSetFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectToDataSetFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectToDataSetFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetInput_12(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkDataObject  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetDataSetType_14(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSetType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetTypeToPolyData_15(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetTypeToPolyData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredPoints_16(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetTypeToStructuredPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetTypeToStructuredGrid_17(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetTypeToStructuredGrid();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetTypeToRectilinearGrid_18(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetTypeToRectilinearGrid();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDataSetTypeToUnstructuredGrid_19(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSetTypeToUnstructuredGrid();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetOutput_110(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkDataSet  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetOutput_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  vtkDataSet  *temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPolyDataOutput_112(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkPolyData  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStructuredPointsOutput_113(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkStructuredPoints  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStructuredGridOutput_114(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkStructuredGrid  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetUnstructuredGridOutput_115(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetRectilinearGridOutput_116(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetPointComponent_117(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetPointComponent_118(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointComponent(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPointComponentArrayName_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointComponentArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPointComponentArrayComponent_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointComponentArrayComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPointComponentMinRange_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointComponentMinRange(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPointComponentMaxRange_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointComponentMaxRange(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPointComponentNormailzeFlag_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointComponentNormailzeFlag(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetVertsComponent_124(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertsComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetVertsComponent_125(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertsComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetVertsComponentArrayName_126(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertsComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetVertsComponentArrayComponent_127(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertsComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetVertsComponentMinRange_128(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertsComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetVertsComponentMaxRange_129(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertsComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetLinesComponent_130(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinesComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetLinesComponent_131(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinesComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetLinesComponentArrayName_132(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetLinesComponentArrayComponent_133(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetLinesComponentMinRange_134(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetLinesComponentMaxRange_135(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinesComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetPolysComponent_136(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolysComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetPolysComponent_137(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolysComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPolysComponentArrayName_138(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolysComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPolysComponentArrayComponent_139(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolysComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPolysComponentMinRange_140(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolysComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetPolysComponentMaxRange_141(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolysComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetStripsComponent_142(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStripsComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetStripsComponent_143(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStripsComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStripsComponentArrayName_144(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStripsComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStripsComponentArrayComponent_145(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStripsComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStripsComponentMinRange_146(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStripsComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetStripsComponentMaxRange_147(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStripsComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetCellTypeComponent_148(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetCellTypeComponent_149(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellTypeComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayName_150(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellTypeComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellTypeComponentArrayComponent_151(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellTypeComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellTypeComponentMinRange_152(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellTypeComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellTypeComponentMaxRange_153(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellTypeComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent_154(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetCellConnectivityComponent_155(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellConnectivityComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayName_156(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  const char    *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellConnectivityComponentArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentArrayComponent_157(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellConnectivityComponentArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMinRange_158(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellConnectivityComponentMinRange();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetCellConnectivityComponentMaxRange_159(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellConnectivityComponentMaxRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDefaultNormalize_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultNormalize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetDefaultNormalize_161(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultNormalize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_DefaultNormalizeOn_162(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DefaultNormalizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_DefaultNormalizeOff_163(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DefaultNormalizeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDimensions_164(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDataObjectToDataSetFilter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDimensions_165(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObjectToDataSetFilter *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetDimensions_166(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  int     *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetOrigin_167(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDataObjectToDataSetFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetOrigin_168(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObjectToDataSetFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetOrigin_169(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  double  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetSpacing_170(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDataObjectToDataSetFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetSpacing_171(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObjectToDataSetFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_GetSpacing_172(JNIEnv *env, jobject obj)
{
  vtkDataObjectToDataSetFilter *op;
  double  *temp20;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDimensionsComponent_173(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionsComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetDimensionsComponent_174(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionsComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetSpacingComponent_175(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacingComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetSpacingComponent_176(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacingComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetOriginComponent_177(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginComponent(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToDataSetFilter_SetOriginComponent_178(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataObjectToDataSetFilter *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataObjectToDataSetFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginComponent(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObjectToDataSetFilter_VTKInit(JNIEnv *, jobject)
{
  vtkDataObjectToDataSetFilter *aNewOne = vtkDataObjectToDataSetFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
