// java wrapper for vtkDataSetTriangleFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetTriangleFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetTriangleFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetTriangleFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetTriangleFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *op;
  const char    *temp20;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetTriangleFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetTriangleFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetTriangleFilter_SetTetrahedraOnly_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetTriangleFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTetrahedraOnly(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetTriangleFilter_GetTetrahedraOnly_13(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *op;
  int      temp20;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTetrahedraOnly();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetTriangleFilter_TetrahedraOnlyOn_14(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *op;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->TetrahedraOnlyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetTriangleFilter_TetrahedraOnlyOff_15(JNIEnv *env, jobject obj)
{
  vtkDataSetTriangleFilter *op;

  op = (vtkDataSetTriangleFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->TetrahedraOnlyOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataSetTriangleFilter_VTKInit(JNIEnv *, jobject)
{
  vtkDataSetTriangleFilter *aNewOne = vtkDataSetTriangleFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
