// java wrapper for vtkDecimatePolylineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDecimatePolylineFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDecimatePolylineFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDecimatePolylineFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDecimatePolylineFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDecimatePolylineFilter *op;
  const char    *temp20;

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDecimatePolylineFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDecimatePolylineFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDecimatePolylineFilter_SetTargetReduction_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDecimatePolylineFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetReduction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePolylineFilter_GetTargetReductionMinValue_13(JNIEnv *env, jobject obj)
{
  vtkDecimatePolylineFilter *op;
  double   temp20;

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePolylineFilter_GetTargetReductionMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkDecimatePolylineFilter *op;
  double   temp20;

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReductionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDecimatePolylineFilter_GetTargetReduction_15(JNIEnv *env, jobject obj)
{
  vtkDecimatePolylineFilter *op;
  double   temp20;

  op = (vtkDecimatePolylineFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetReduction();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDecimatePolylineFilter_VTKInit(JNIEnv *, jobject)
{
  vtkDecimatePolylineFilter *aNewOne = vtkDecimatePolylineFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
