// java wrapper for vtkDijkstraGraphGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDijkstraGraphGeodesicPath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphGeodesicPath_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDijkstraGraphGeodesicPath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDijkstraGraphGeodesicPath",dType)) { return me; }
  if ((res= vtkGraphGeodesicPath_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  const char    *temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetIdList_12(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  vtkIdList  *temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIdList();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_SetStopWhenEndReached_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStopWhenEndReached(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetStopWhenEndReached_14(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStopWhenEndReached();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_StopWhenEndReachedOn_15(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->StopWhenEndReachedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_StopWhenEndReachedOff_16(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->StopWhenEndReachedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_SetUseScalarWeights_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseScalarWeights(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetUseScalarWeights_18(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseScalarWeights();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_UseScalarWeightsOn_19(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->UseScalarWeightsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_UseScalarWeightsOff_110(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->UseScalarWeightsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_SetRepelPathFromVertices_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepelPathFromVertices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetRepelPathFromVertices_112(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  int      temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepelPathFromVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_RepelPathFromVerticesOn_113(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->RepelPathFromVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_RepelPathFromVerticesOff_114(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->RepelPathFromVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_SetRepelVertices_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepelVertices(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetRepelVertices_116(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  vtkPoints  *temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepelVertices();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetGeodesicLength_117(JNIEnv *env, jobject obj)
{
  vtkDijkstraGraphGeodesicPath *op;
  double   temp20;

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeodesicLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_GetCumulativeWeights_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDijkstraGraphGeodesicPath *op;
  vtkDoubleArray  *temp0;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDijkstraGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCumulativeWeights(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDijkstraGraphGeodesicPath_VTKInit(JNIEnv *, jobject)
{
  vtkDijkstraGraphGeodesicPath *aNewOne = vtkDijkstraGraphGeodesicPath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
