// java wrapper for vtkExtractSelectedIds object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractSelectedIds.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExtractSelectionBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractSelectedIds_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractSelectedIds",dType)) { return me; }
  if ((res= vtkExtractSelectionBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractSelectedIds_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractSelectedIds *op;
  const char    *temp20;

  op = (vtkExtractSelectedIds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractSelectedIds_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractSelectedIds *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractSelectedIds *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractSelectedIds_VTKInit(JNIEnv *, jobject)
{
  vtkExtractSelectedIds *aNewOne = vtkExtractSelectedIds::New();
  return (jlong)(size_t)(void*)aNewOne;
}
