// java wrapper for vtkGlyph3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyph3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGlyph3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGlyph3D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  const char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGlyph3D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetSource_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGlyph3D *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetSourceConnection_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGlyph3D *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetSourceConnection_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGlyph3D *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGlyph3D_GetSource_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaling_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_ScalingOn_18(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_ScalingOff_19(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetScaling_110(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleMode_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetScaleMode_112(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleModeToScaleByScalar_113(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToScaleByScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleModeToScaleByVector_114(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToScaleByVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleModeToScaleByVectorComponents_115(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToScaleByVectorComponents();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleModeToDataScalingOff_116(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleModeToDataScalingOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetScaleModeAsString_117(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  const char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetColorMode_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetColorMode_119(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetColorModeToColorByScale_120(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToColorByScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetColorModeToColorByScalar_121(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToColorByScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetColorModeToColorByVector_122(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToColorByVector();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetColorModeAsString_123(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  const char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetScaleFactor_124(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGlyph3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyph3D_GetScaleFactor_125(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  double   temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetRange_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGlyph3D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetRange_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGlyph3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGlyph3D_GetRange_128(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  double  *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetOrient_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrient(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_OrientOn_130(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_OrientOff_131(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetOrient_132(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrient();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetClamping_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_ClampingOn_134(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_ClampingOff_135(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetClamping_136(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetVectorMode_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetVectorMode_138(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetVectorModeToUseVector_139(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorModeToUseVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetVectorModeToUseNormal_140(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorModeToUseNormal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetVectorModeToVectorRotationOff_141(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorModeToVectorRotationOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetVectorModeAsString_142(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  const char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetIndexMode_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetIndexMode_144(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetIndexModeToScalar_145(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexModeToScalar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetIndexModeToVector_146(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexModeToVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetIndexModeToOff_147(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexModeToOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetIndexModeAsString_148(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  const char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetGeneratePointIds_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePointIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetGeneratePointIds_150(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePointIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_GeneratePointIdsOn_151(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_GeneratePointIdsOff_152(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePointIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetPointIdsName_153(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyph3D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointIdsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyph3D_GetPointIdsName_154(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  char    *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetFillCellData_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyph3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFillCellData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetFillCellData_156(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  int      temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFillCellData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_FillCellDataOn_157(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillCellDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_FillCellDataOff_158(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->FillCellDataOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_IsPointVisible_159(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkGlyph3D *op;
  vtkDataSet  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPointVisible(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyph3D_SetSourceTransform_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGlyph3D *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGlyph3D_GetSourceTransform_161(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
  vtkTransform  *temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyph3D_GetMTime_162(JNIEnv *env, jobject obj)
{
  vtkGlyph3D *op;
   unsigned long     temp20;

  op = (vtkGlyph3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGlyph3D_VTKInit(JNIEnv *, jobject)
{
  vtkGlyph3D *aNewOne = vtkGlyph3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
