// java wrapper for vtkGlyphSource2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGlyphSource2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGlyphSource2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGlyphSource2D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGlyphSource2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  const char    *temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGlyphSource2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetCenter_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGlyphSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetCenter_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGlyphSource2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGlyphSource2D_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double  *temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetScale_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGlyphSource2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScaleMinValue_16(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScaleMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScale_18(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetScale2_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGlyphSource2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale2(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScale2MinValue_110(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale2MinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScale2MaxValue_111(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale2MaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetScale2_112(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale2();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetColor_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGlyphSource2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetColor_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGlyphSource2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGlyphSource2D_GetColor_115(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double  *temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetFilled_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyphSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetFilled_117(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_FilledOn_118(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FilledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_FilledOff_119(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FilledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetDash_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyphSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDash(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetDash_121(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDash();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_DashOn_122(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DashOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_DashOff_123(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DashOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetCross_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyphSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCross(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetCross_125(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCross();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_CrossOn_126(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CrossOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_CrossOff_127(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CrossOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetRotationAngle_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGlyphSource2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGlyphSource2D_GetRotationAngle_129(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  double   temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphType_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkGlyphSource2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetGlyphTypeMinValue_131(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetGlyphTypeMaxValue_132(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGlyphSource2D_GetGlyphType_133(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;
  int      temp20;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToNone_134(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToVertex_135(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToVertex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToDash_136(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToDash();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToCross_137(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToCross();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToThickCross_138(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToThickCross();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToTriangle_139(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToTriangle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToSquare_140(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToSquare();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToCircle_141(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToCircle();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToDiamond_142(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToDiamond();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToArrow_143(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToArrow();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToThickArrow_144(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToThickArrow();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToHookedArrow_145(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToHookedArrow();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGlyphSource2D_SetGlyphTypeToEdgeArrow_146(JNIEnv *env, jobject obj)
{
  vtkGlyphSource2D *op;

  op = (vtkGlyphSource2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphTypeToEdgeArrow();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGlyphSource2D_VTKInit(JNIEnv *, jobject)
{
  vtkGlyphSource2D *aNewOne = vtkGlyphSource2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
