// java wrapper for vtkGraphGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphGeodesicPath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGeodesicPath_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphGeodesicPath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphGeodesicPath",dType)) { return me; }
  if ((res= vtkGeodesicPath_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphGeodesicPath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphGeodesicPath *op;
  const char    *temp20;

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphGeodesicPath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphGeodesicPath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphGeodesicPath_GetStartVertex_12(JNIEnv *env, jobject obj)
{
  vtkGraphGeodesicPath *op;
  vtkIdType   temp20;

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartVertex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphGeodesicPath_SetStartVertex_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphGeodesicPath *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartVertex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphGeodesicPath_GetEndVertex_14(JNIEnv *env, jobject obj)
{
  vtkGraphGeodesicPath *op;
  vtkIdType   temp20;

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndVertex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphGeodesicPath_SetEndVertex_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraphGeodesicPath *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraphGeodesicPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndVertex(temp0);
}
