// java wrapper for vtkGraphToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphToPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphToPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphToPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphToPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphToPolyData *op;
  const char    *temp20;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphToPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphToPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToPolyData_SetEdgeGlyphOutput_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphToPolyData *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeGlyphOutput(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphToPolyData_GetEdgeGlyphOutput_13(JNIEnv *env, jobject obj)
{
  vtkGraphToPolyData *op;
  bool   temp20;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeGlyphOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToPolyData_EdgeGlyphOutputOn_14(JNIEnv *env, jobject obj)
{
  vtkGraphToPolyData *op;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeGlyphOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToPolyData_EdgeGlyphOutputOff_15(JNIEnv *env, jobject obj)
{
  vtkGraphToPolyData *op;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeGlyphOutputOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphToPolyData_SetEdgeGlyphPosition_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphToPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeGlyphPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphToPolyData_GetEdgeGlyphPosition_17(JNIEnv *env, jobject obj)
{
  vtkGraphToPolyData *op;
  double   temp20;

  op = (vtkGraphToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeGlyphPosition();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphToPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkGraphToPolyData *aNewOne = vtkGraphToPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
