// java wrapper for vtkHyperOctreeSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctreeSurfaceFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctreeSurfaceFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctreeSurfaceFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;
  const char    *temp20;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctreeSurfaceFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_SetMerging_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSurfaceFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMerging(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_GetMerging_13(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;
  int      temp20;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMerging();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_MergingOn_14(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_MergingOff_15(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MergingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_SetLocator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctreeSurfaceFilter *op;
  vtkIncrementalPointLocator  *temp0;
  temp0 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_GetLocator_17(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;
  vtkIncrementalPointLocator  *temp20;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;
   unsigned long     temp20;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_SetPassThroughCellIds_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctreeSurfaceFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassThroughCellIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_GetPassThroughCellIds_110(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;
  int      temp20;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPassThroughCellIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_PassThroughCellIdsOn_111(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_PassThroughCellIdsOff_112(JNIEnv *env, jobject obj)
{
  vtkHyperOctreeSurfaceFilter *op;

  op = (vtkHyperOctreeSurfaceFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PassThroughCellIdsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctreeSurfaceFilter_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctreeSurfaceFilter *aNewOne = vtkHyperOctreeSurfaceFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
