// java wrapper for vtkImageMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMarchingCubes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMarchingCubes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMarchingCubes",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMarchingCubes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  const char    *temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMarchingCubes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetValue_12(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageMarchingCubes_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetNumberOfContours_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetNumberOfContours_15(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  int      temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_GenerateValues_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_GenerateValues_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
   unsigned long     temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetComputeScalars_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetComputeScalars_110(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  int      temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeScalarsOn_111(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeScalarsOff_112(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetComputeNormals_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetComputeNormals_114(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  int      temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeNormalsOn_115(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeNormalsOff_116(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetComputeGradients_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradients(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetComputeGradients_118(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  int      temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradients();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeGradientsOn_119(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_ComputeGradientsOff_120(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetLocatorPoint_121(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocatorPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_AddLocatorPoint_122(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLocatorPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_IncrementLocatorZ_123(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->IncrementLocatorZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMarchingCubes_SetInputMemoryLimit_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMarchingCubes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputMemoryLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMarchingCubes_GetInputMemoryLimit_125(JNIEnv *env, jobject obj)
{
  vtkImageMarchingCubes *op;
  int      temp20;

  op = (vtkImageMarchingCubes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputMemoryLimit();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMarchingCubes_VTKInit(JNIEnv *, jobject)
{
  vtkImageMarchingCubes *aNewOne = vtkImageMarchingCubes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
