// java wrapper for vtkImplicitPolyDataDistance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitPolyDataDistance.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitPolyDataDistance_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitPolyDataDistance",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitPolyDataDistance_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitPolyDataDistance *op;
  const char    *temp20;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPolyDataDistance_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitPolyDataDistance *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPolyDataDistance_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkImplicitPolyDataDistance *op;
   unsigned long     temp20;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitPolyDataDistance_EvaluateFunction_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPolyDataDistance *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_EvaluateGradient_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImplicitPolyDataDistance *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_SetInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPolyDataDistance *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_SetNoValue_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitPolyDataDistance *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitPolyDataDistance_GetNoValue_17(JNIEnv *env, jobject obj)
{
  vtkImplicitPolyDataDistance *op;
  double   temp20;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_SetNoGradient_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitPolyDataDistance *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoGradient(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_SetNoGradient_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPolyDataDistance *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNoGradient(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPolyDataDistance_GetNoGradient_110(JNIEnv *env, jobject obj)
{
  vtkImplicitPolyDataDistance *op;
  double  *temp20;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoGradient();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitPolyDataDistance_GetTolerance_111(JNIEnv *env, jobject obj)
{
  vtkImplicitPolyDataDistance *op;
  double   temp20;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPolyDataDistance_SetTolerance_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitPolyDataDistance *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitPolyDataDistance *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitPolyDataDistance_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitPolyDataDistance *aNewOne = vtkImplicitPolyDataDistance::New();
  return (jlong)(size_t)(void*)aNewOne;
}
