// java wrapper for vtkIntersectionPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIntersectionPolyDataFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIntersectionPolyDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIntersectionPolyDataFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;
  const char    *temp20;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIntersectionPolyDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_GetSplitFirstOutput_12(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;
  int      temp20;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitFirstOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SetSplitFirstOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntersectionPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitFirstOutput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SplitFirstOutputOn_14(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SplitFirstOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SplitFirstOutputOff_15(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SplitFirstOutputOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_GetSplitSecondOutput_16(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;
  int      temp20;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitSecondOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SetSplitSecondOutput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkIntersectionPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitSecondOutput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SplitSecondOutputOn_18(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SplitSecondOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIntersectionPolyDataFilter_SplitSecondOutputOff_19(JNIEnv *env, jobject obj)
{
  vtkIntersectionPolyDataFilter *op;

  op = (vtkIntersectionPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SplitSecondOutputOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIntersectionPolyDataFilter_VTKInit(JNIEnv *, jobject)
{
  vtkIntersectionPolyDataFilter *aNewOne = vtkIntersectionPolyDataFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
