// java wrapper for vtkLoopSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLoopSubdivisionFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkApproximatingSubdivisionFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLoopSubdivisionFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLoopSubdivisionFilter",dType)) { return me; }
  if ((res= vtkApproximatingSubdivisionFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLoopSubdivisionFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLoopSubdivisionFilter *op;
  const char    *temp20;

  op = (vtkLoopSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLoopSubdivisionFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLoopSubdivisionFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLoopSubdivisionFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLoopSubdivisionFilter_VTKInit(JNIEnv *, jobject)
{
  vtkLoopSubdivisionFilter *aNewOne = vtkLoopSubdivisionFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
