// java wrapper for vtkPolyDataPointSampler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataPointSampler.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataPointSampler_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataPointSampler",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataPointSampler_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  const char    *temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPointSampler_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataPointSampler *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_SetDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolyDataPointSampler *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataPointSampler_GetDistanceMinValue_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  double   temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataPointSampler_GetDistanceMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  double   temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataPointSampler_GetDistance_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  double   temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPointSampler_GetGenerateVertexPoints_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  int      temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateVertexPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_SetGenerateVertexPoints_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataPointSampler *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateVertexPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateVertexPointsOn_18(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateVertexPointsOff_19(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexPointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPointSampler_GetGenerateEdgePoints_110(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  int      temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateEdgePoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_SetGenerateEdgePoints_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataPointSampler *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateEdgePoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateEdgePointsOn_112(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateEdgePointsOff_113(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPointSampler_GetGenerateInteriorPoints_114(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  int      temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateInteriorPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_SetGenerateInteriorPoints_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataPointSampler *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateInteriorPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateInteriorPointsOn_116(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateInteriorPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateInteriorPointsOff_117(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateInteriorPointsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPointSampler_GetGenerateVertices_118(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;
  int      temp20;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_SetGenerateVertices_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataPointSampler *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateVertices(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateVerticesOn_120(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPointSampler_GenerateVerticesOff_121(JNIEnv *env, jobject obj)
{
  vtkPolyDataPointSampler *op;

  op = (vtkPolyDataPointSampler *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVerticesOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataPointSampler_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataPointSampler *aNewOne = vtkPolyDataPointSampler::New();
  return (jlong)(size_t)(void*)aNewOne;
}
