// java wrapper for vtkProgrammableGlyphFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableGlyphFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableGlyphFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableGlyphFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  const char    *temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableGlyphFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableGlyphFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableGlyphFilter_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProgrammableGlyphFilter *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetSource_13(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  vtkPolyData  *temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableGlyphFilter_SetGlyphMethod_14(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableGlyphFilter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlyphMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetGlyphMethodArgDelete(vtkJavaVoidFuncArgDelete);
  if (temp0_str) delete[] temp0_str;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetPointId_15(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  vtkIdType   temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointId();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetPoint_16(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  double  *temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetPointData_17(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  vtkPointData  *temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableGlyphFilter_SetColorMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkProgrammableGlyphFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetColorMode_19(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  int      temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableGlyphFilter_SetColorModeToColorByInput_110(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToColorByInput();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableGlyphFilter_SetColorModeToColorBySource_111(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToColorBySource();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableGlyphFilter_GetColorModeAsString_112(JNIEnv *env, jobject obj)
{
  vtkProgrammableGlyphFilter *op;
  const char    *temp20;

  op = (vtkProgrammableGlyphFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProgrammableGlyphFilter_VTKInit(JNIEnv *, jobject)
{
  vtkProgrammableGlyphFilter *aNewOne = vtkProgrammableGlyphFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
