// java wrapper for vtkQuantizePolyDataPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuantizePolyDataPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCleanPolyData_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuantizePolyDataPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuantizePolyDataPoints",dType)) { return me; }
  if ((res= vtkCleanPolyData_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuantizePolyDataPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuantizePolyDataPoints *op;
  const char    *temp20;

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuantizePolyDataPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuantizePolyDataPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuantizePolyDataPoints_SetQFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuantizePolyDataPoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuantizePolyDataPoints_GetQFactorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkQuantizePolyDataPoints *op;
  double   temp20;

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuantizePolyDataPoints_GetQFactorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkQuantizePolyDataPoints *op;
  double   temp20;

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuantizePolyDataPoints_GetQFactor_15(JNIEnv *env, jobject obj)
{
  vtkQuantizePolyDataPoints *op;
  double   temp20;

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuantizePolyDataPoints_OperateOnPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuantizePolyDataPoints *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->OperateOnPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuantizePolyDataPoints_OperateOnBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuantizePolyDataPoints *op;
  double temp0[6];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkQuantizePolyDataPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->OperateOnBounds(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuantizePolyDataPoints_VTKInit(JNIEnv *, jobject)
{
  vtkQuantizePolyDataPoints *aNewOne = vtkQuantizePolyDataPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
