// java wrapper for vtkRectilinearSynchronizedTemplates object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRectilinearSynchronizedTemplates.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRectilinearSynchronizedTemplates_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRectilinearSynchronizedTemplates",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  const char    *temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
   unsigned long     temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetComputeNormals_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetComputeNormals_14(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeNormalsOn_15(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeNormalsOff_16(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetComputeGradients_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradients(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetComputeGradients_18(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradients();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeGradientsOn_19(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeGradientsOff_110(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetComputeScalars_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetComputeScalars_112(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeScalarsOn_113(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeScalarsOff_114(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetValue_115(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetValue_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetNumberOfContours_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfContours(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetNumberOfContours_118(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfContours();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GenerateValues_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GenerateValues_120(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateValues(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_SetArrayComponent_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_GetArrayComponent_122(JNIEnv *env, jobject obj)
{
  vtkRectilinearSynchronizedTemplates *op;
  int      temp20;

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_ComputeSpacing_123(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jintArray id4,jdoubleArray id5)
{
  vtkRectilinearSynchronizedTemplates *op;
  vtkRectilinearGrid  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int    temp4[6];
  void *tempArray4;
  double temp5[6];
  void *tempArray5;
  temp0 = (vtkRectilinearGrid *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  tempArray4 = (void *)(env->GetIntArrayElements(id4,NULL));
  temp4[0] = ((jint *)tempArray4)[0];
  temp4[1] = ((jint *)tempArray4)[1];
  temp4[2] = ((jint *)tempArray4)[2];
  temp4[3] = ((jint *)tempArray4)[3];
  temp4[4] = ((jint *)tempArray4)[4];
  temp4[5] = ((jint *)tempArray4)[5];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];
  temp5[3] = ((jdouble *)tempArray5)[3];
  temp5[4] = ((jdouble *)tempArray5)[4];
  temp5[5] = ((jdouble *)tempArray5)[5];

  op = (vtkRectilinearSynchronizedTemplates *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeSpacing(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jint *)tempArray4)[0] = temp4[0];
  ((jint *)tempArray4)[1] = temp4[1];
  ((jint *)tempArray4)[2] = temp4[2];
  ((jint *)tempArray4)[3] = temp4[3];
  ((jint *)tempArray4)[4] = temp4[4];
  ((jint *)tempArray4)[5] = temp4[5];
  env->ReleaseIntArrayElements(id4,(jint *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  ((jdouble *)tempArray5)[3] = temp5[3];
  ((jdouble *)tempArray5)[4] = temp5[4];
  ((jdouble *)tempArray5)[5] = temp5[5];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRectilinearSynchronizedTemplates_VTKInit(JNIEnv *, jobject)
{
  vtkRectilinearSynchronizedTemplates *aNewOne = vtkRectilinearSynchronizedTemplates::New();
  return (jlong)(size_t)(void*)aNewOne;
}
