// java wrapper for vtkReebGraphSimplificationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReebGraphSimplificationFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectedGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReebGraphSimplificationFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReebGraphSimplificationFilter",dType)) { return me; }
  if ((res= vtkDirectedGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkReebGraphSimplificationFilter *op;
  const char    *temp20;

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReebGraphSimplificationFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_SetSimplificationThreshold_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkReebGraphSimplificationFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSimplificationThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_GetSimplificationThreshold_13(JNIEnv *env, jobject obj)
{
  vtkReebGraphSimplificationFilter *op;
  double   temp20;

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSimplificationThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_SetSimplificationMetric_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkReebGraphSimplificationFilter *op;
  vtkReebGraphSimplificationMetric  *temp0;
  temp0 = (vtkReebGraphSimplificationMetric *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSimplificationMetric(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkReebGraphSimplificationFilter_GetOutput_15(JNIEnv *env, jobject obj)
{
  vtkReebGraphSimplificationFilter *op;
  vtkReebGraph  *temp20;

  op = (vtkReebGraphSimplificationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkReebGraphSimplificationFilter_VTKInit(JNIEnv *, jobject)
{
  vtkReebGraphSimplificationFilter *aNewOne = vtkReebGraphSimplificationFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
