// java wrapper for vtkReebGraphToJoinSplitTreeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReebGraphToJoinSplitTreeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectedGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkReebGraphToJoinSplitTreeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkReebGraphToJoinSplitTreeFilter",dType)) { return me; }
  if ((res= vtkDirectedGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  const char    *temp20;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_SetIsSplitTree_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsSplitTree(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_GetIsSplitTree_13(JNIEnv *env, jobject obj)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  bool   temp20;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsSplitTree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_SetFieldId_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_GetFieldId_15(JNIEnv *env, jobject obj)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  vtkIdType   temp20;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_GetOutput_16(JNIEnv *env, jobject obj)
{
  vtkReebGraphToJoinSplitTreeFilter *op;
  vtkReebGraph  *temp20;

  op = (vtkReebGraphToJoinSplitTreeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkReebGraphToJoinSplitTreeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkReebGraphToJoinSplitTreeFilter *aNewOne = vtkReebGraphToJoinSplitTreeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
