// java wrapper for vtkShrinkFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShrinkFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShrinkFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShrinkFilter",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShrinkFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShrinkFilter *op;
  const char    *temp20;

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShrinkFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShrinkFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShrinkFilter_SetShrinkFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkShrinkFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShrinkFilter_GetShrinkFactorMinValue_13(JNIEnv *env, jobject obj)
{
  vtkShrinkFilter *op;
  double   temp20;

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShrinkFilter_GetShrinkFactorMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkShrinkFilter *op;
  double   temp20;

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShrinkFilter_GetShrinkFactor_15(JNIEnv *env, jobject obj)
{
  vtkShrinkFilter *op;
  double   temp20;

  op = (vtkShrinkFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShrinkFilter_VTKInit(JNIEnv *, jobject)
{
  vtkShrinkFilter *aNewOne = vtkShrinkFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
