// java wrapper for vtkSimpleElevationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleElevationFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSimpleElevationFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSimpleElevationFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSimpleElevationFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSimpleElevationFilter *op;
  const char    *temp20;

  op = (vtkSimpleElevationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSimpleElevationFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSimpleElevationFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSimpleElevationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleElevationFilter_SetVector_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSimpleElevationFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSimpleElevationFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSimpleElevationFilter_SetVector_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSimpleElevationFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSimpleElevationFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSimpleElevationFilter_GetVector_14(JNIEnv *env, jobject obj)
{
  vtkSimpleElevationFilter *op;
  double  *temp20;

  op = (vtkSimpleElevationFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSimpleElevationFilter_VTKInit(JNIEnv *, jobject)
{
  vtkSimpleElevationFilter *aNewOne = vtkSimpleElevationFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
