// java wrapper for vtkSpherePuzzleArrows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpherePuzzleArrows.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpherePuzzleArrows_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpherePuzzleArrows",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpherePuzzleArrows_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpherePuzzleArrows *op;
  const char    *temp20;

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpherePuzzleArrows_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpherePuzzleArrows *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzleArrows_SetPermutation_12(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkSpherePuzzleArrows *op;
  int    temp0[32];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  temp0[6] = ((jint *)tempArray0)[6];
  temp0[7] = ((jint *)tempArray0)[7];
  temp0[8] = ((jint *)tempArray0)[8];
  temp0[9] = ((jint *)tempArray0)[9];
  temp0[10] = ((jint *)tempArray0)[10];
  temp0[11] = ((jint *)tempArray0)[11];
  temp0[12] = ((jint *)tempArray0)[12];
  temp0[13] = ((jint *)tempArray0)[13];
  temp0[14] = ((jint *)tempArray0)[14];
  temp0[15] = ((jint *)tempArray0)[15];
  temp0[16] = ((jint *)tempArray0)[16];
  temp0[17] = ((jint *)tempArray0)[17];
  temp0[18] = ((jint *)tempArray0)[18];
  temp0[19] = ((jint *)tempArray0)[19];
  temp0[20] = ((jint *)tempArray0)[20];
  temp0[21] = ((jint *)tempArray0)[21];
  temp0[22] = ((jint *)tempArray0)[22];
  temp0[23] = ((jint *)tempArray0)[23];
  temp0[24] = ((jint *)tempArray0)[24];
  temp0[25] = ((jint *)tempArray0)[25];
  temp0[26] = ((jint *)tempArray0)[26];
  temp0[27] = ((jint *)tempArray0)[27];
  temp0[28] = ((jint *)tempArray0)[28];
  temp0[29] = ((jint *)tempArray0)[29];
  temp0[30] = ((jint *)tempArray0)[30];
  temp0[31] = ((jint *)tempArray0)[31];

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPermutation(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  ((jint *)tempArray0)[6] = temp0[6];
  ((jint *)tempArray0)[7] = temp0[7];
  ((jint *)tempArray0)[8] = temp0[8];
  ((jint *)tempArray0)[9] = temp0[9];
  ((jint *)tempArray0)[10] = temp0[10];
  ((jint *)tempArray0)[11] = temp0[11];
  ((jint *)tempArray0)[12] = temp0[12];
  ((jint *)tempArray0)[13] = temp0[13];
  ((jint *)tempArray0)[14] = temp0[14];
  ((jint *)tempArray0)[15] = temp0[15];
  ((jint *)tempArray0)[16] = temp0[16];
  ((jint *)tempArray0)[17] = temp0[17];
  ((jint *)tempArray0)[18] = temp0[18];
  ((jint *)tempArray0)[19] = temp0[19];
  ((jint *)tempArray0)[20] = temp0[20];
  ((jint *)tempArray0)[21] = temp0[21];
  ((jint *)tempArray0)[22] = temp0[22];
  ((jint *)tempArray0)[23] = temp0[23];
  ((jint *)tempArray0)[24] = temp0[24];
  ((jint *)tempArray0)[25] = temp0[25];
  ((jint *)tempArray0)[26] = temp0[26];
  ((jint *)tempArray0)[27] = temp0[27];
  ((jint *)tempArray0)[28] = temp0[28];
  ((jint *)tempArray0)[29] = temp0[29];
  ((jint *)tempArray0)[30] = temp0[30];
  ((jint *)tempArray0)[31] = temp0[31];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSpherePuzzleArrows_GetPermutation_13(JNIEnv *env, jobject obj)
{
  vtkSpherePuzzleArrows *op;
  int     *temp20;

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPermutation();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,32);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzleArrows_SetPermutationComponent_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSpherePuzzleArrows *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPermutationComponent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpherePuzzleArrows_SetPermutation_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpherePuzzleArrows *op;
  vtkSpherePuzzle  *temp0;
  temp0 = (vtkSpherePuzzle *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpherePuzzleArrows *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPermutation(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSpherePuzzleArrows_VTKInit(JNIEnv *, jobject)
{
  vtkSpherePuzzleArrows *aNewOne = vtkSpherePuzzleArrows::New();
  return (jlong)(size_t)(void*)aNewOne;
}
