// java wrapper for vtkSphereSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphereSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphereSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphereSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  const char    *temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphereSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetRadius_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetRadiusMinValue_13(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetRadiusMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetRadius_15(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetCenter_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSphereSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetCenter_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSphereSource_GetCenter_18(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double  *temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetThetaResolution_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThetaResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetThetaResolutionMinValue_110(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetThetaResolutionMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetThetaResolution_112(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetPhiResolution_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetPhiResolutionMinValue_114(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiResolutionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetPhiResolutionMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiResolutionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetPhiResolution_116(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetStartTheta_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartTheta(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartThetaMinValue_118(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartThetaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartThetaMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartThetaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartTheta_120(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartTheta();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetEndTheta_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndTheta(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndThetaMinValue_122(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndThetaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndThetaMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndThetaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndTheta_124(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndTheta();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetStartPhi_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPhi(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartPhiMinValue_126(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPhiMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartPhiMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPhiMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetStartPhi_128(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPhi();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetEndPhi_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndPhi(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndPhiMinValue_130(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndPhiMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndPhiMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndPhiMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereSource_GetEndPhi_132(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  double   temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndPhi();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_SetLatLongTessellation_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatLongTessellation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereSource_GetLatLongTessellation_134(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;
  int      temp20;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatLongTessellation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_LatLongTessellationOn_135(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->LatLongTessellationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereSource_LatLongTessellationOff_136(JNIEnv *env, jobject obj)
{
  vtkSphereSource *op;

  op = (vtkSphereSource *)vtkJavaGetPointerFromObject(env,obj);
  op->LatLongTessellationOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSphereSource_VTKInit(JNIEnv *, jobject)
{
  vtkSphereSource *aNewOne = vtkSphereSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
