// java wrapper for vtkSubPixelPositionEdgels object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSubPixelPositionEdgels.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSubPixelPositionEdgels_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSubPixelPositionEdgels",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSubPixelPositionEdgels_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;
  const char    *temp20;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubPixelPositionEdgels_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSubPixelPositionEdgels *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubPixelPositionEdgels_SetGradMaps_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSubPixelPositionEdgels *op;
  vtkStructuredPoints  *temp0;
  temp0 = (vtkStructuredPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradMaps(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSubPixelPositionEdgels_GetGradMaps_13(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;
  vtkStructuredPoints  *temp20;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradMaps();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubPixelPositionEdgels_SetTargetFlag_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSubPixelPositionEdgels *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSubPixelPositionEdgels_GetTargetFlag_15(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;
  int      temp20;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubPixelPositionEdgels_TargetFlagOn_16(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->TargetFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubPixelPositionEdgels_TargetFlagOff_17(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->TargetFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSubPixelPositionEdgels_SetTargetValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSubPixelPositionEdgels *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSubPixelPositionEdgels_GetTargetValue_19(JNIEnv *env, jobject obj)
{
  vtkSubPixelPositionEdgels *op;
  double   temp20;

  op = (vtkSubPixelPositionEdgels *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSubPixelPositionEdgels_VTKInit(JNIEnv *, jobject)
{
  vtkSubPixelPositionEdgels *aNewOne = vtkSubPixelPositionEdgels::New();
  return (jlong)(size_t)(void*)aNewOne;
}
