// java wrapper for vtkTextureMapToCylinder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureMapToCylinder.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextureMapToCylinder_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextureMapToCylinder",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextureMapToCylinder_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;
  const char    *temp20;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToCylinder_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextureMapToCylinder *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetPoint1_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToCylinder *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetPoint1_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToCylinder *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToCylinder_GetPoint1_14(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;
  double  *temp20;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetPoint2_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToCylinder *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetPoint2_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToCylinder *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToCylinder_GetPoint2_17(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;
  double  *temp20;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetAutomaticCylinderGeneration_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureMapToCylinder *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticCylinderGeneration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToCylinder_GetAutomaticCylinderGeneration_19(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;
  int      temp20;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticCylinderGeneration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_AutomaticCylinderGenerationOn_110(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticCylinderGenerationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_AutomaticCylinderGenerationOff_111(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticCylinderGenerationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_SetPreventSeam_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureMapToCylinder *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreventSeam(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToCylinder_GetPreventSeam_113(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;
  int      temp20;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreventSeam();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_PreventSeamOn_114(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->PreventSeamOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToCylinder_PreventSeamOff_115(JNIEnv *env, jobject obj)
{
  vtkTextureMapToCylinder *op;

  op = (vtkTextureMapToCylinder *)vtkJavaGetPointerFromObject(env,obj);
  op->PreventSeamOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextureMapToCylinder_VTKInit(JNIEnv *, jobject)
{
  vtkTextureMapToCylinder *aNewOne = vtkTextureMapToCylinder::New();
  return (jlong)(size_t)(void*)aNewOne;
}
