// java wrapper for vtkTextureMapToPlane object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureMapToPlane.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextureMapToPlane_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextureMapToPlane",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextureMapToPlane_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  const char    *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToPlane_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextureMapToPlane *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetOrigin_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetOrigin_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetOrigin_14(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetPoint1_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetPoint1_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetPoint1_17(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetPoint2_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetPoint2_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetPoint2_110(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetNormal_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetNormal_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetNormal_113(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetSRange_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetSRange_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetSRange_116(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetTRange_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTextureMapToPlane *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetTRange_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToPlane *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToPlane_GetTRange_119(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  double  *temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_SetAutomaticPlaneGeneration_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureMapToPlane *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticPlaneGeneration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToPlane_GetAutomaticPlaneGeneration_121(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;
  int      temp20;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticPlaneGeneration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_AutomaticPlaneGenerationOn_122(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticPlaneGenerationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToPlane_AutomaticPlaneGenerationOff_123(JNIEnv *env, jobject obj)
{
  vtkTextureMapToPlane *op;

  op = (vtkTextureMapToPlane *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticPlaneGenerationOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextureMapToPlane_VTKInit(JNIEnv *, jobject)
{
  vtkTextureMapToPlane *aNewOne = vtkTextureMapToPlane::New();
  return (jlong)(size_t)(void*)aNewOne;
}
