// java wrapper for vtkTimeSourceExample object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTimeSourceExample.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTimeSourceExample_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTimeSourceExample",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTimeSourceExample_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  const char    *temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTimeSourceExample *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_SetAnalytic_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimeSourceExample *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnalytic(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetAnalyticMinValue_13(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnalyticMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetAnalyticMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnalyticMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetAnalytic_15(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnalytic();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_AnalyticOn_16(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->AnalyticOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_AnalyticOff_17(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->AnalyticOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_SetXAmplitude_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTimeSourceExample *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAmplitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimeSourceExample_GetXAmplitude_19(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  double   temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAmplitude();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_SetYAmplitude_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTimeSourceExample *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAmplitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTimeSourceExample_GetYAmplitude_111(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  double   temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAmplitude();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_SetGrowing_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkTimeSourceExample *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGrowing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetGrowingMinValue_113(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGrowingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetGrowingMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGrowingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTimeSourceExample_GetGrowing_115(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;
  int      temp20;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGrowing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_GrowingOn_116(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->GrowingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTimeSourceExample_GrowingOff_117(JNIEnv *env, jobject obj)
{
  vtkTimeSourceExample *op;

  op = (vtkTimeSourceExample *)vtkJavaGetPointerFromObject(env,obj);
  op->GrowingOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTimeSourceExample_VTKInit(JNIEnv *, jobject)
{
  vtkTimeSourceExample *aNewOne = vtkTimeSourceExample::New();
  return (jlong)(size_t)(void*)aNewOne;
}
