// java wrapper for vtkUncertaintyTubeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUncertaintyTubeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUncertaintyTubeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUncertaintyTubeFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUncertaintyTubeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUncertaintyTubeFilter *op;
  const char    *temp20;

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUncertaintyTubeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUncertaintyTubeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUncertaintyTubeFilter_SetNumberOfSides_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkUncertaintyTubeFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSides(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUncertaintyTubeFilter_GetNumberOfSidesMinValue_13(JNIEnv *env, jobject obj)
{
  vtkUncertaintyTubeFilter *op;
  int      temp20;

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSidesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUncertaintyTubeFilter_GetNumberOfSidesMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkUncertaintyTubeFilter *op;
  int      temp20;

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSidesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUncertaintyTubeFilter_GetNumberOfSides_15(JNIEnv *env, jobject obj)
{
  vtkUncertaintyTubeFilter *op;
  int      temp20;

  op = (vtkUncertaintyTubeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSides();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUncertaintyTubeFilter_VTKInit(JNIEnv *, jobject)
{
  vtkUncertaintyTubeFilter *aNewOne = vtkUncertaintyTubeFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
