// java wrapper for vtkWarpLens object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWarpLens.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWarpLens_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWarpLens",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWarpLens_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  const char    *temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpLens_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWarpLens *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetKappa_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKappa(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetKappa_13(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKappa();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetCenter_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkWarpLens *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWarpLens_GetCenter_15(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double  *temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetPrincipalPoint_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkWarpLens *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPrincipalPoint(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetPrincipalPoint_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWarpLens *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPrincipalPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWarpLens_GetPrincipalPoint_18(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double  *temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPrincipalPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetK1_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetK1(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetK1_110(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetK1();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetK2_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetK2(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetK2_112(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetK2();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetP1_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetP1(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetP1_114(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetP1();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetP2_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetP2(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetP2_116(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetP2();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetFormatWidth_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFormatWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetFormatWidth_118(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFormatWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetFormatHeight_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpLens *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFormatHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpLens_GetFormatHeight_120(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  double   temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFormatHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetImageWidth_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpLens *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpLens_GetImageWidth_122(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  int      temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpLens_SetImageHeight_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpLens *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageHeight(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpLens_GetImageHeight_124(JNIEnv *env, jobject obj)
{
  vtkWarpLens *op;
  int      temp20;

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpLens_FillInputPortInformation_125(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkWarpLens *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkWarpLens *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWarpLens_VTKInit(JNIEnv *, jobject)
{
  vtkWarpLens *aNewOne = vtkWarpLens::New();
  return (jlong)(size_t)(void*)aNewOne;
}
