// java wrapper for vtkAxisActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxisActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxisActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  const char    *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetPoint1Coordinate_12(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkCoordinate  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetPoint1_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetPoint1_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAxisActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetPoint2Coordinate_15(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkCoordinate  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetPoint2_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetPoint2_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAxisActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetRange_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkAxisActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetRange_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxisActor_GetRange_110(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetBounds_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetBounds_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkAxisActor *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxisActor_GetBounds_113(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_GetBounds_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetLabelFormat_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor_GetLabelFormat_116(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  char    *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMinorTicksVisible_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinorTicksVisible(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetMinorTicksVisible_118(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinorTicksVisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_MinorTicksVisibleOn_119(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->MinorTicksVisibleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_MinorTicksVisibleOff_120(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->MinorTicksVisibleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTitle_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxisActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxisActor_GetTitle_122(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  char    *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMajorTickSize_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMajorTickSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMajorTickSize_124(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMajorTickSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMinorTickSize_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinorTickSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMinorTickSize_126(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinorTickSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTickLocation_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetTickLocationMinValue_128(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetTickLocationMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetTickLocation_130(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTickLocationToInside_131(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToInside();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTickLocationToOutside_132(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToOutside();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTickLocationToBoth_133(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickLocationToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisVisibility_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisVisibility_135(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_AxisVisibilityOn_136(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_AxisVisibilityOff_137(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTickVisibility_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTickVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetTickVisibility_139(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTickVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_TickVisibilityOn_140(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TickVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_TickVisibilityOff_141(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TickVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetLabelVisibility_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetLabelVisibility_143(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_LabelVisibilityOn_144(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_LabelVisibilityOff_145(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTitleVisibility_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetTitleVisibility_147(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_TitleVisibilityOn_148(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_TitleVisibilityOff_149(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTitleTextProperty_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetTitleTextProperty_151(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkTextProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetLabelTextProperty_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetLabelTextProperty_153(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkTextProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisLinesProperty_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLinesProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetAxisLinesProperty_155(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLinesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetGridlinesProperty_156(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridlinesProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetGridlinesProperty_157(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridlinesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetInnerGridlinesProperty_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInnerGridlinesProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetInnerGridlinesProperty_159(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInnerGridlinesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetGridpolysProperty_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridpolysProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetGridpolysProperty_161(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkProperty  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridpolysProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDrawGridlines_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawGridlines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetDrawGridlines_163(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawGridlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawGridlinesOn_164(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawGridlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawGridlinesOff_165(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawGridlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDrawInnerGridlines_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawInnerGridlines(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetDrawInnerGridlines_167(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawInnerGridlines();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawInnerGridlinesOn_168(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawInnerGridlinesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawInnerGridlinesOff_169(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawInnerGridlinesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetGridlineXLength_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridlineXLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetGridlineXLength_171(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridlineXLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetGridlineYLength_172(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridlineYLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetGridlineYLength_173(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridlineYLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetGridlineZLength_174(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGridlineZLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetGridlineZLength_175(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGridlineZLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDrawGridpolys_176(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawGridpolys(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetDrawGridpolys_177(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawGridpolys();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawGridpolysOn_178(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawGridpolysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_DrawGridpolysOff_179(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawGridpolysOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisType_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisTypeMinValue_181(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisTypeMaxValue_182(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisType_183(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisTypeToX_184(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTypeToX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisTypeToY_185(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTypeToY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisTypeToZ_186(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTypeToZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisPosition_187(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisPosition(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisPositionMinValue_188(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisPositionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisPositionMaxValue_189(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisPositionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetAxisPosition_190(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisPositionToMinMin_191(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisPositionToMinMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisPositionToMinMax_192(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisPositionToMinMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisPositionToMaxMax_193(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisPositionToMaxMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetAxisPositionToMaxMin_194(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisPositionToMaxMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetCamera_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetCamera_196(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkCamera  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_RenderOpaqueGeometry_197(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_RenderTranslucentGeometry_198(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_RenderTranslucentPolygonalGeometry_199(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_RenderOverlay_1100(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_HasTranslucentPolygonalGeometry_1101(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_ReleaseGraphicsResources_1102(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_ComputeMaxLabelLength_1103(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeMaxLabelLength(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_ComputeTitleLength_1104(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxisActor *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeTitleLength(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetLabelScale_1105(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetTitleScale_1106(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMinorStart_1107(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinorStart(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMinorStart_1108(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinorStart();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMajorStart_1109(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMajorStart(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMajorStart_1110(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkAxisActor *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMajorStart(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDeltaMinor_1111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaMinor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetDeltaMinor_1112(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaMinor();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetDeltaMajor_1113(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaMajor(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDeltaMajor_1114(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkAxisActor *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaMajor(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMinorRangeStart_1115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinorRangeStart(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMinorRangeStart_1116(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinorRangeStart();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetMajorRangeStart_1117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMajorRangeStart(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetMajorRangeStart_1118(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMajorRangeStart();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDeltaRangeMinor_1119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaRangeMinor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetDeltaRangeMinor_1120(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaRangeMinor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetDeltaRangeMajor_1121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDeltaRangeMajor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetDeltaRangeMajor_1122(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDeltaRangeMajor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetLabels_1123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxisActor *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabels(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_BuildAxis_1124(JNIEnv *env, jobject obj,jobject id0,jboolean id1)
{
  vtkAxisActor *op;
  vtkViewport  *temp0;
  bool   temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (id1 != 0) ? true : false;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildAxis(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxisActor_GetTitleActor_1125(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  vtkAxisFollower  *temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetNumberOfLabelsBuilt_1126(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabelsBuilt();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetCalculateTitleOffset_1127(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCalculateTitleOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetCalculateTitleOffset_1128(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCalculateTitleOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_CalculateTitleOffsetOn_1129(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateTitleOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_CalculateTitleOffsetOff_1130(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateTitleOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetCalculateLabelOffset_1131(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCalculateLabelOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetCalculateLabelOffset_1132(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCalculateLabelOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_CalculateLabelOffsetOn_1133(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateLabelOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_CalculateLabelOffsetOff_1134(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->CalculateLabelOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetUse2DMode_1135(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUse2DMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetUse2DMode_1136(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUse2DMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetVerticalOffsetXTitle2D_1137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalOffsetXTitle2D(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetVerticalOffsetXTitle2D_1138(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalOffsetXTitle2D();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetHorizontalOffsetYTitle2D_1139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxisActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHorizontalOffsetYTitle2D(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxisActor_GetHorizontalOffsetYTitle2D_1140(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  double   temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHorizontalOffsetYTitle2D();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxisActor_SetSaveTitlePosition_1141(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxisActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSaveTitlePosition(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxisActor_GetSaveTitlePosition_1142(JNIEnv *env, jobject obj)
{
  vtkAxisActor *op;
  int      temp20;

  op = (vtkAxisActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSaveTitlePosition();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxisActor_VTKInit(JNIEnv *, jobject)
{
  vtkAxisActor *aNewOne = vtkAxisActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
