// java wrapper for vtkCornerAnnotation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCornerAnnotation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCornerAnnotation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCornerAnnotation",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCornerAnnotation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  const char    *temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCornerAnnotation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderTranslucentPolygonalGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_RenderOverlay_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMaximumLineHeight_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumLineHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetMaximumLineHeight_17(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLineHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMinimumFontSize_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetMinimumFontSize_19(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetMaximumFontSize_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetMaximumFontSize_111(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLinearFontScaleFactor_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinearFontScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLinearFontScaleFactor_113(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLinearFontScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetNonlinearFontScaleFactor_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNonlinearFontScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetNonlinearFontScaleFactor_115(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNonlinearFontScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ReleaseGraphicsResources_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetText_117(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCornerAnnotation *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetText(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCornerAnnotation_GetText_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetText(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ClearAllTexts_119(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearAllTexts();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_CopyAllTextsFrom_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkCornerAnnotation  *temp0;
  temp0 = (vtkCornerAnnotation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAllTextsFrom(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetImageActor_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkImageActor  *temp0;
  temp0 = (vtkImageActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageActor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCornerAnnotation_GetImageActor_122(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkImageActor  *temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetWindowLevel_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkImageMapToWindowLevelColors  *temp0;
  temp0 = (vtkImageMapToWindowLevelColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowLevel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCornerAnnotation_GetWindowLevel_124(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkImageMapToWindowLevelColors  *temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowLevel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLevelShift_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLevelShift_126(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelShift();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetLevelScale_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCornerAnnotation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCornerAnnotation_GetLevelScale_128(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  double   temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetTextProperty_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCornerAnnotation *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCornerAnnotation_GetTextProperty_130(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  vtkTextProperty  *temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ShowSliceAndImageOn_131(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowSliceAndImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_ShowSliceAndImageOff_132(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowSliceAndImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCornerAnnotation_SetShowSliceAndImage_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkCornerAnnotation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowSliceAndImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCornerAnnotation_GetShowSliceAndImage_134(JNIEnv *env, jobject obj)
{
  vtkCornerAnnotation *op;
  int      temp20;

  op = (vtkCornerAnnotation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowSliceAndImage();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCornerAnnotation_VTKInit(JNIEnv *, jobject)
{
  vtkCornerAnnotation *aNewOne = vtkCornerAnnotation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
