// java wrapper for vtkImageToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToPolyDataFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToPolyDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToPolyDataFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  const char    *temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToPolyDataFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetOutputStyle_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputStyle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetOutputStyleMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStyleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetOutputStyleMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStyleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetOutputStyle_15(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStyle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetOutputStyleToPixelize_16(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputStyleToPixelize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetOutputStyleToPolygonalize_17(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputStyleToPolygonalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetOutputStyleToRunLength_18(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputStyleToRunLength();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetColorMode_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetColorModeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetColorModeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetColorMode_112(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetColorModeToLUT_113(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToLUT();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetColorModeToLinear256_114(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorModeToLinear256();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetLookupTable_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToPolyDataFilter *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetLookupTable_116(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  vtkScalarsToColors  *temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetSmoothing_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetSmoothing_118(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SmoothingOn_119(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SmoothingOff_120(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetNumberOfSmoothingIterations_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSmoothingIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMinValue_122(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSmoothingIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSmoothingIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterations_124(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSmoothingIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetDecimation_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDecimation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetDecimation_126(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecimation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_DecimationOn_127(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DecimationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_DecimationOff_128(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DecimationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetDecimationError_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToPolyDataFilter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDecimationError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetDecimationErrorMinValue_130(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  double   temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecimationErrorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetDecimationErrorMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  double   temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecimationErrorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetDecimationError_132(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  double   temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecimationError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetError_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetError(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetErrorMinValue_134(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErrorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetErrorMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErrorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetError_136(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToPolyDataFilter_SetSubImageSize_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToPolyDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubImageSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetSubImageSizeMinValue_138(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubImageSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetSubImageSizeMaxValue_139(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubImageSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToPolyDataFilter_GetSubImageSize_140(JNIEnv *env, jobject obj)
{
  vtkImageToPolyDataFilter *op;
  int      temp20;

  op = (vtkImageToPolyDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubImageSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageToPolyDataFilter_VTKInit(JNIEnv *, jobject)
{
  vtkImageToPolyDataFilter *aNewOne = vtkImageToPolyDataFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
