// java wrapper for vtkLegendScaleActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLegendScaleActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLegendScaleActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLegendScaleActor",dType)) { return me; }
  if ((res= vtkProp_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLegendScaleActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  const char    *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLegendScaleActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLabelMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLabelModeMinValue_13(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLabelModeMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLabelMode_15(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLabelModeToDistance_16(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToDistance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLabelModeToXYCoordinates_17(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelModeToXYCoordinates();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetRightAxisVisibility_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetRightAxisVisibility_19(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_RightAxisVisibilityOn_110(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RightAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_RightAxisVisibilityOff_111(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->RightAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetTopAxisVisibility_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTopAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetTopAxisVisibility_113(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTopAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_TopAxisVisibilityOn_114(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TopAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_TopAxisVisibilityOff_115(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TopAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLeftAxisVisibility_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLeftAxisVisibility_117(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_LeftAxisVisibilityOn_118(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LeftAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_LeftAxisVisibilityOff_119(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LeftAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetBottomAxisVisibility_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBottomAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetBottomAxisVisibility_121(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBottomAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_BottomAxisVisibilityOn_122(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BottomAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_BottomAxisVisibilityOff_123(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BottomAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLegendVisibility_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLegendVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLegendVisibility_125(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_LegendVisibilityOn_126(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_LegendVisibilityOff_127(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_AllAxesOn_128(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AllAxesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_AllAxesOff_129(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AllAxesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_AllAnnotationsOn_130(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AllAnnotationsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_AllAnnotationsOff_131(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->AllAnnotationsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetRightBorderOffset_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetRightBorderOffsetMinValue_133(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightBorderOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetRightBorderOffsetMaxValue_134(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightBorderOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetRightBorderOffset_135(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetTopBorderOffset_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTopBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetTopBorderOffsetMinValue_137(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTopBorderOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetTopBorderOffsetMaxValue_138(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTopBorderOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetTopBorderOffset_139(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTopBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetLeftBorderOffset_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLeftBorderOffsetMinValue_141(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftBorderOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLeftBorderOffsetMaxValue_142(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftBorderOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetLeftBorderOffset_143(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetBottomBorderOffset_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkLegendScaleActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBottomBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetBottomBorderOffsetMinValue_145(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBottomBorderOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetBottomBorderOffsetMaxValue_146(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBottomBorderOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_GetBottomBorderOffset_147(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  int      temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBottomBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_SetCornerOffsetFactor_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLegendScaleActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCornerOffsetFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendScaleActor_GetCornerOffsetFactorMinValue_149(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  double   temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerOffsetFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendScaleActor_GetCornerOffsetFactorMaxValue_150(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  double   temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerOffsetFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLegendScaleActor_GetCornerOffsetFactor_151(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  double   temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerOffsetFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetLegendTitleProperty_152(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkTextProperty  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendTitleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetLegendLabelProperty_153(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkTextProperty  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetRightAxis_154(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkAxisActor2D  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetTopAxis_155(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkAxisActor2D  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTopAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetLeftAxis_156(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkAxisActor2D  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLegendScaleActor_GetBottomAxis_157(JNIEnv *env, jobject obj)
{
  vtkLegendScaleActor *op;
  vtkAxisActor2D  *temp20;

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBottomAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_BuildRepresentation_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendScaleActor *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_GetActors2D_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendScaleActor *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLegendScaleActor_ReleaseGraphicsResources_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendScaleActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_RenderOverlay_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendScaleActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLegendScaleActor_RenderOpaqueGeometry_162(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLegendScaleActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLegendScaleActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLegendScaleActor_VTKInit(JNIEnv *, jobject)
{
  vtkLegendScaleActor *aNewOne = vtkLegendScaleActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
