// java wrapper for vtkMNIObjectReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNIObjectReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNIObjectReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNIObjectReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNIObjectReader *op;
  const char    *temp20;

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNIObjectReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNIObjectReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNIObjectReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNIObjectReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMNIObjectReader *op;
  char    *temp20;

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectReader_GetFileExtensions_14(JNIEnv *env, jobject obj)
{
  vtkMNIObjectReader *op;
  const char    *temp20;

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectReader_GetDescriptiveName_15(JNIEnv *env, jobject obj)
{
  vtkMNIObjectReader *op;
  const char    *temp20;

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNIObjectReader_CanReadFile_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNIObjectReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNIObjectReader_GetProperty_17(JNIEnv *env, jobject obj)
{
  vtkMNIObjectReader *op;
  vtkProperty  *temp20;

  op = (vtkMNIObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNIObjectReader_VTKInit(JNIEnv *, jobject)
{
  vtkMNIObjectReader *aNewOne = vtkMNIObjectReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
