// java wrapper for vtkMNIObjectWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNIObjectWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNIObjectWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNIObjectWriter",dType)) { return me; }
  if ((res= vtkPolyDataWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  const char    *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNIObjectWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNIObjectWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectWriter_GetFileExtensions_12(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  const char    *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNIObjectWriter_GetDescriptiveName_13(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  const char    *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNIObjectWriter_SetProperty_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNIObjectWriter *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNIObjectWriter_GetProperty_15(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  vtkProperty  *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNIObjectWriter_SetMapper_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNIObjectWriter *op;
  vtkMapper  *temp0;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNIObjectWriter_GetMapper_17(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  vtkMapper  *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNIObjectWriter_SetLookupTable_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNIObjectWriter *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNIObjectWriter_GetLookupTable_19(JNIEnv *env, jobject obj)
{
  vtkMNIObjectWriter *op;
  vtkLookupTable  *temp20;

  op = (vtkMNIObjectWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNIObjectWriter_VTKInit(JNIEnv *, jobject)
{
  vtkMNIObjectWriter *aNewOne = vtkMNIObjectWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
