// java wrapper for vtkMNITransformWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNITransformWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNITransformWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNITransformWriter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  const char    *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITransformWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  char    *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformWriter_GetFileExtensions_14(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  const char    *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformWriter_GetDescriptiveName_15(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  const char    *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformWriter_SetTransform_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITransformWriter *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITransformWriter_GetTransform_17(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  vtkAbstractTransform  *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformWriter_AddTransform_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMNITransformWriter *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddTransform(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITransformWriter_GetNumberOfTransforms_19(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  int      temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTransforms();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformWriter_SetComments_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComments(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformWriter_GetComments_111(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;
  char    *temp20;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComments();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformWriter_Write_112(JNIEnv *env, jobject obj)
{
  vtkMNITransformWriter *op;

  op = (vtkMNITransformWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNITransformWriter_VTKInit(JNIEnv *, jobject)
{
  vtkMNITransformWriter *aNewOne = vtkMNITransformWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
