// java wrapper for vtkPExodusIIReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPExodusIIReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExodusIIReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPExodusIIReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPExodusIIReader",dType)) { return me; }
  if ((res= vtkExodusIIReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusIIReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  const char    *temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusIIReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusIIReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPExodusIIReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPExodusIIReader_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetFilePattern_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusIIReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePattern(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusIIReader_GetFilePattern_15(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  char    *temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetFilePrefix_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusIIReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePrefix(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPExodusIIReader_GetFilePrefix_17(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  char    *temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetFileRange_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPExodusIIReader *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileRange(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPExodusIIReader_GetFileRange_19(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  int     *temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetFileName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPExodusIIReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusIIReader_GetNumberOfFileNames_111(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  int      temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFileNames();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusIIReader_GetNumberOfFiles_112(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  int      temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFiles();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusIIReader_GetTotalNumberOfElements_113(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  vtkIdType   temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfElements();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPExodusIIReader_GetTotalNumberOfNodes_114(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  vtkIdType   temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_UpdateTimeInformation_115(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateTimeInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_Broadcast_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPExodusIIReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->Broadcast(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPExodusIIReader_GetVariableCacheSize_117(JNIEnv *env, jobject obj)
{
  vtkPExodusIIReader *op;
  double   temp20;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVariableCacheSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPExodusIIReader_SetVariableCacheSize_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPExodusIIReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPExodusIIReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVariableCacheSize(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPExodusIIReader_VTKInit(JNIEnv *, jobject)
{
  vtkPExodusIIReader *aNewOne = vtkPExodusIIReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
