// java wrapper for vtkPolyDataSilhouette object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataSilhouette.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataSilhouette_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataSilhouette",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataSilhouette_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  const char    *temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataSilhouette *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetEnableFeatureAngle_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataSilhouette *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableFeatureAngle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_GetEnableFeatureAngle_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  int      temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableFeatureAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetFeatureAngle_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolyDataSilhouette *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFeatureAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataSilhouette_GetFeatureAngle_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  double   temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFeatureAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetBorderEdges_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataSilhouette *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_GetBorderEdges_17(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  int      temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_BorderEdgesOn_18(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_BorderEdgesOff_19(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetPieceInvariant_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataSilhouette *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPieceInvariant(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_GetPieceInvariant_111(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  int      temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceInvariant();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_PieceInvariantOn_112(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->PieceInvariantOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_PieceInvariantOff_113(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->PieceInvariantOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetDirection_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataSilhouette *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_GetDirection_115(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  int      temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetDirectionToSpecifiedVector_116(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToSpecifiedVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetDirectionToSpecifiedOrigin_117(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToSpecifiedOrigin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetDirectionToCameraVector_118(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToCameraVector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetDirectionToCameraOrigin_119(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionToCameraOrigin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetCamera_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataSilhouette *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataSilhouette_GetCamera_121(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  vtkCamera  *temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetProp3D_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataSilhouette *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProp3D(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataSilhouette_GetProp3D_123(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  vtkProp3D  *temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProp3D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetVector_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPolyDataSilhouette *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetVector_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataSilhouette *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataSilhouette_GetVector_126(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  double  *temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetOrigin_127(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPolyDataSilhouette *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataSilhouette_SetOrigin_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataSilhouette *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataSilhouette_GetOrigin_129(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
  double  *temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataSilhouette_GetMTime_130(JNIEnv *env, jobject obj)
{
  vtkPolyDataSilhouette *op;
   unsigned long     temp20;

  op = (vtkPolyDataSilhouette *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataSilhouette_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataSilhouette *aNewOne = vtkPolyDataSilhouette::New();
  return (jlong)(size_t)(void*)aNewOne;
}
