// java wrapper for vtkPolyDataToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataToImageStencil.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataToImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataToImageStencil",dType)) { return me; }
  if ((res= vtkImageStencilSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataToImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataToImageStencil *op;
  const char    *temp20;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataToImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataToImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataToImageStencil_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataToImageStencil *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataToImageStencil_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataToImageStencil *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataToImageStencil_SetTolerance_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolyDataToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataToImageStencil_GetToleranceMinValue_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataToImageStencil *op;
  double   temp20;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataToImageStencil_GetToleranceMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataToImageStencil *op;
  double   temp20;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolyDataToImageStencil_GetTolerance_17(JNIEnv *env, jobject obj)
{
  vtkPolyDataToImageStencil *op;
  double   temp20;

  op = (vtkPolyDataToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataToImageStencil_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataToImageStencil *aNewOne = vtkPolyDataToImageStencil::New();
  return (jlong)(size_t)(void*)aNewOne;
}
