// java wrapper for vtkRIBLight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRIBLight.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLight_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRIBLight_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRIBLight",dType)) { return me; }
  if ((res= vtkLight_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRIBLight_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRIBLight *op;
  const char    *temp20;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRIBLight_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRIBLight *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBLight_ShadowsOn_12(JNIEnv *env, jobject obj)
{
  vtkRIBLight *op;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  op->ShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBLight_ShadowsOff_13(JNIEnv *env, jobject obj)
{
  vtkRIBLight *op;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  op->ShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBLight_SetShadows_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkRIBLight *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRIBLight_GetShadows_15(JNIEnv *env, jobject obj)
{
  vtkRIBLight *op;
  int      temp20;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRIBLight_Render_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkRIBLight *op;
  vtkRenderer  *temp0;
  int      temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkRIBLight *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRIBLight_VTKInit(JNIEnv *, jobject)
{
  vtkRIBLight *aNewOne = vtkRIBLight::New();
  return (jlong)(size_t)(void*)aNewOne;
}
