// java wrapper for vtkSpiderPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpiderPlotActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpiderPlotActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpiderPlotActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpiderPlotActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  const char    *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpiderPlotActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSpiderPlotActor_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  vtkDataObject  *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetIndependentVariables_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndependentVariables(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetIndependentVariablesMinValue_15(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndependentVariablesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetIndependentVariablesMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndependentVariablesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetIndependentVariables_17(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndependentVariables();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetIndependentVariablesToColumns_18(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndependentVariablesToColumns();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetIndependentVariablesToRows_19(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndependentVariablesToRows();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetTitleVisibility_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetTitleVisibility_111(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_TitleVisibilityOn_112(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_TitleVisibilityOff_113(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->TitleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetTitle_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpiderPlotActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpiderPlotActor_GetTitle_115(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  char    *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetTitleTextProperty_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSpiderPlotActor_GetTitleTextProperty_117(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  vtkTextProperty  *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetLabelVisibility_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetLabelVisibility_119(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_LabelVisibilityOn_120(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_LabelVisibilityOff_121(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetLabelTextProperty_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSpiderPlotActor_GetLabelTextProperty_123(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  vtkTextProperty  *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetNumberOfRings_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfRings(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetNumberOfRingsMinValue_125(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRingsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetNumberOfRingsMaxValue_126(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRingsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetNumberOfRings_127(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRings();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetAxisLabel_128(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabel(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpiderPlotActor_GetAxisLabel_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabel(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetAxisRange_130(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisRange(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetAxisRange_131(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_GetAxisRange_132(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetAxisRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetPlotColor_133(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlotColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetPlotColor_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlotColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_SetLegendVisibility_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpiderPlotActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLegendVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_GetLegendVisibility_136(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_LegendVisibilityOn_137(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_LegendVisibilityOff_138(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->LegendVisibilityOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSpiderPlotActor_GetLegendActor_139(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  vtkLegendBoxActor  *temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegendActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_RenderOverlay_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_RenderOpaqueGeometry_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_RenderTranslucentPolygonalGeometry_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpiderPlotActor_HasTranslucentPolygonalGeometry_143(JNIEnv *env, jobject obj)
{
  vtkSpiderPlotActor *op;
  int      temp20;

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpiderPlotActor_ReleaseGraphicsResources_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpiderPlotActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpiderPlotActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSpiderPlotActor_VTKInit(JNIEnv *, jobject)
{
  vtkSpiderPlotActor *aNewOne = vtkSpiderPlotActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
