// java wrapper for vtkTemporalDataSetCache object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalDataSetCache.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTemporalDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalDataSetCache_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalDataSetCache",dType)) { return me; }
  if ((res= vtkTemporalDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalDataSetCache_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalDataSetCache *op;
  const char    *temp20;

  op = (vtkTemporalDataSetCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalDataSetCache_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalDataSetCache *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalDataSetCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalDataSetCache_SetCacheSize_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalDataSetCache *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalDataSetCache *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalDataSetCache_GetCacheSize_13(JNIEnv *env, jobject obj)
{
  vtkTemporalDataSetCache *op;
  int      temp20;

  op = (vtkTemporalDataSetCache *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalDataSetCache_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalDataSetCache *aNewOne = vtkTemporalDataSetCache::New();
  return (jlong)(size_t)(void*)aNewOne;
}
