// java wrapper for vtkVectorText object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVectorText.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVectorText_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVectorText",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVectorText_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVectorText *op;
  const char    *temp20;

  op = (vtkVectorText *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVectorText_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVectorText *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVectorText *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVectorText_SetText_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVectorText *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVectorText *)vtkJavaGetPointerFromObject(env,obj);
  op->SetText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVectorText_GetText_13(JNIEnv *env, jobject obj)
{
  vtkVectorText *op;
  char    *temp20;

  op = (vtkVectorText *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVectorText_VTKInit(JNIEnv *, jobject)
{
  vtkVectorText *aNewOne = vtkVectorText::New();
  return (jlong)(size_t)(void*)aNewOne;
}
