// java wrapper for vtkWeightedTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWeightedTransformFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWeightedTransformFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWeightedTransformFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWeightedTransformFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  const char    *temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWeightedTransformFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWeightedTransformFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWeightedTransformFilter_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
   unsigned long     temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetWeightArray_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWeightedTransformFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWeightArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWeightedTransformFilter_GetWeightArray_14(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  char    *temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWeightArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetTransformIndexArray_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWeightedTransformFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransformIndexArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWeightedTransformFilter_GetTransformIndexArray_16(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  char    *temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransformIndexArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetCellDataWeightArray_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWeightedTransformFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellDataWeightArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWeightedTransformFilter_GetCellDataWeightArray_18(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  char    *temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDataWeightArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetCellDataTransformIndexArray_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWeightedTransformFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellDataTransformIndexArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWeightedTransformFilter_GetCellDataTransformIndexArray_110(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  char    *temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDataTransformIndexArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetTransform_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkWeightedTransformFilter *op;
  vtkAbstractTransform  *temp0;
  int      temp1;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWeightedTransformFilter_GetTransform_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkWeightedTransformFilter *op;
  int      temp0;
  vtkAbstractTransform  *temp20;
  temp0 = id0;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetNumberOfTransforms_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkWeightedTransformFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTransforms(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWeightedTransformFilter_GetNumberOfTransforms_114(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  int      temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTransforms();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_AddInputValuesOn_115(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_AddInputValuesOff_116(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputValuesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWeightedTransformFilter_SetAddInputValues_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkWeightedTransformFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAddInputValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWeightedTransformFilter_GetAddInputValues_118(JNIEnv *env, jobject obj)
{
  vtkWeightedTransformFilter *op;
  int      temp20;

  op = (vtkWeightedTransformFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAddInputValues();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWeightedTransformFilter_VTKInit(JNIEnv *, jobject)
{
  vtkWeightedTransformFilter *aNewOne = vtkWeightedTransformFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
