// java wrapper for vtkX3DExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkX3DExporter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkX3DExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkX3DExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkX3DExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  const char    *temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkX3DExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkX3DExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkX3DExporter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  char    *temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_SetSpeed_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkX3DExporter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkX3DExporter_GetSpeed_15(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  double   temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_SetBinary_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkX3DExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBinary(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetBinaryMinValue_17(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinaryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetBinaryMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinaryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_BinaryOn_19(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_BinaryOff_110(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetBinary_111(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinary();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_SetFastest_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkX3DExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFastest(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetFastestMinValue_113(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFastestMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetFastestMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFastestMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_FastestOn_115(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->FastestOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_FastestOff_116(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->FastestOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetFastest_117(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFastest();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_SetWriteToOutputString_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkX3DExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToOutputString(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetWriteToOutputString_119(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToOutputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_WriteToOutputStringOn_120(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkX3DExporter_WriteToOutputStringOff_121(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkX3DExporter_GetOutputStringLength_122(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  int      temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStringLength();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkX3DExporter_GetOutputString_123(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  char    *temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkX3DExporter_RegisterAndGetOutputString_124(JNIEnv *env, jobject obj)
{
  vtkX3DExporter *op;
  char    *temp20;

  op = (vtkX3DExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RegisterAndGetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkX3DExporter_VTKInit(JNIEnv *, jobject)
{
  vtkX3DExporter *aNewOne = vtkX3DExporter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
