// java wrapper for vtkBYUReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBYUReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBYUReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBYUReader",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  const char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetGeometryFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometryFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetGeometryFileName_13(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometryFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetFileName_15(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetDisplacementFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplacementFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetDisplacementFileName_17(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplacementFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetScalarFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetScalarFileName_19(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetTextureFileName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBYUReader_GetTextureFileName_111(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  char    *temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetReadDisplacement_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadDisplacement(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetReadDisplacement_113(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadDisplacement();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadDisplacementOn_114(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadDisplacementOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadDisplacementOff_115(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadDisplacementOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetReadScalar_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadScalar(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetReadScalar_117(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadScalar();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadScalarOn_118(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadScalarOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadScalarOff_119(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadScalarOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetReadTexture_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadTexture(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetReadTexture_121(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadTexture();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadTextureOn_122(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadTextureOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_ReadTextureOff_123(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadTextureOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBYUReader_SetPartNumber_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkBYUReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPartNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetPartNumberMinValue_125(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartNumberMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetPartNumberMaxValue_126(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartNumberMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_GetPartNumber_127(JNIEnv *env, jobject obj)
{
  vtkBYUReader *op;
  int      temp20;

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartNumber();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBYUReader_CanReadFile_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBYUReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBYUReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBYUReader_VTKInit(JNIEnv *, jobject)
{
  vtkBYUReader *aNewOne = vtkBYUReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
