// java wrapper for vtkBase64Utilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBase64Utilities.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBase64Utilities_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBase64Utilities",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBase64Utilities_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBase64Utilities *op;
  const char    *temp20;

  op = (vtkBase64Utilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBase64Utilities_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBase64Utilities *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBase64Utilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBase64Utilities_VTKInit(JNIEnv *, jobject)
{
  vtkBase64Utilities *aNewOne = vtkBase64Utilities::New();
  return (jlong)(size_t)(void*)aNewOne;
}
