// java wrapper for vtkChacoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChacoReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChacoReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChacoReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  const char    *temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChacoReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_SetBaseName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChacoReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBaseName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetBaseName_13(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  char    *temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBaseName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_SetGenerateGlobalElementIdArray_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateGlobalElementIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetGenerateGlobalElementIdArray_15(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateGlobalElementIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateGlobalElementIdArrayOn_16(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGlobalElementIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateGlobalElementIdArrayOff_17(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGlobalElementIdArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetGlobalElementIdArrayName_18(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  const char    *temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalElementIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_SetGenerateGlobalNodeIdArray_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateGlobalNodeIdArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetGenerateGlobalNodeIdArray_110(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateGlobalNodeIdArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateGlobalNodeIdArrayOn_111(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGlobalNodeIdArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateGlobalNodeIdArrayOff_112(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateGlobalNodeIdArrayOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetGlobalNodeIdArrayName_113(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  const char    *temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalNodeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_SetGenerateVertexWeightArrays_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateVertexWeightArrays(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetGenerateVertexWeightArrays_115(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateVertexWeightArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateVertexWeightArraysOn_116(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexWeightArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateVertexWeightArraysOff_117(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexWeightArraysOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfVertexWeights_118(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVertexWeights();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetVertexWeightArrayName_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexWeightArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_SetGenerateEdgeWeightArrays_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateEdgeWeightArrays(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetGenerateEdgeWeightArrays_121(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateEdgeWeightArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateEdgeWeightArraysOn_122(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgeWeightArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChacoReader_GenerateEdgeWeightArraysOff_123(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgeWeightArraysOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfEdgeWeights_124(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdgeWeights();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChacoReader_GetEdgeWeightArrayName_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkChacoReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetDimensionality_126(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfEdges_127(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  vtkIdType   temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfVertices_128(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  vtkIdType   temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVertices();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfCellWeightArrays_129(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellWeightArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChacoReader_GetNumberOfPointWeightArrays_130(JNIEnv *env, jobject obj)
{
  vtkChacoReader *op;
  int      temp20;

  op = (vtkChacoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointWeightArrays();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChacoReader_VTKInit(JNIEnv *, jobject)
{
  vtkChacoReader *aNewOne = vtkChacoReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
