// java wrapper for vtkDEMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDEMReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDEMReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDEMReader",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDEMReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  const char    *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDEMReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDEMReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDEMReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDEMReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  char    *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDEMReader_SetElevationReference_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDEMReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetElevationReference(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetElevationReferenceMinValue_15(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationReferenceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetElevationReferenceMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationReferenceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetElevationReference_17(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationReference();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDEMReader_SetElevationReferenceToSeaLevel_18(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetElevationReferenceToSeaLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDEMReader_SetElevationReferenceToElevationBounds_19(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetElevationReferenceToElevationBounds();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDEMReader_GetElevationReferenceAsString_110(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  const char    *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationReferenceAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDEMReader_GetMapLabel_111(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  char    *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetDEMLevel_112(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDEMLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetElevationPattern_113(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationPattern();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetGroundSystem_114(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGroundSystem();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetGroundZone_115(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGroundZone();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDEMReader_GetProjectionParameters_116(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  float   *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionParameters();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,15);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetPlaneUnitOfMeasure_117(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneUnitOfMeasure();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetElevationUnitOfMeasure_118(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationUnitOfMeasure();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetPolygonSize_119(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolygonSize();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDEMReader_GetElevationBounds_120(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  float   *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElevationBounds();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDEMReader_GetLocalRotation_121(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  float    temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocalRotation();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDEMReader_GetAccuracyCode_122(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int      temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccuracyCode();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDEMReader_GetSpatialResolution_123(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  float   *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpatialResolution();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDEMReader_GetProfileDimension_124(JNIEnv *env, jobject obj)
{
  vtkDEMReader *op;
  int     *temp20;

  op = (vtkDEMReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProfileDimension();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDEMReader_VTKInit(JNIEnv *, jobject)
{
  vtkDEMReader *aNewOne = vtkDEMReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
