// java wrapper for vtkDataCompressor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataCompressor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataCompressor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataCompressor",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataCompressor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataCompressor *op;
  const char    *temp20;

  op = (vtkDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataCompressor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataCompressor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataCompressor_GetMaximumCompressionSpace_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataCompressor *op;
   unsigned long     temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkDataCompressor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCompressionSpace(temp0);
  return temp20;
}
