// java wrapper for vtkDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  const char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetWriteToOutputString_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToOutputString(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetWriteToOutputString_15(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToOutputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_WriteToOutputStringOn_16(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_WriteToOutputStringOff_17(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetOutputStringLength_18(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStringLength();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetOutputString_19(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetOutputStdString_110(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  vtkStdString   temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputStdString();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_RegisterAndGetOutputString_111(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RegisterAndGetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetHeader_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeader(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetHeader_113(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileTypeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileTypeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataWriter_GetFileType_117(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  int      temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileTypeToASCII_118(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileTypeToASCII();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFileTypeToBinary_119(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileTypeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetScalarsName_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetScalarsName_121(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetVectorsName_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetVectorsName_123(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetTensorsName_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTensorsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetTensorsName_125(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetNormalsName_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetNormalsName_127(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetTCoordsName_128(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTCoordsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetTCoordsName_129(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoordsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetGlobalIdsName_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalIdsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetGlobalIdsName_131(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetPedigreeIdsName_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPedigreeIdsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetPedigreeIdsName_133(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPedigreeIdsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetLookupTableName_134(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTableName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetLookupTableName_135(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTableName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataWriter_SetFieldDataName_136(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDataName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataWriter_GetFieldDataName_137(JNIEnv *env, jobject obj)
{
  vtkDataWriter *op;
  char    *temp20;

  op = (vtkDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDataName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataWriter_VTKInit(JNIEnv *, jobject)
{
  vtkDataWriter *aNewOne = vtkDataWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
