// java wrapper for vtkDelimitedTextWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelimitedTextWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDelimitedTextWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDelimitedTextWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  const char    *temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelimitedTextWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_SetFieldDelimiter_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDelimiter(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_GetFieldDelimiter_13(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  char    *temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDelimiter();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_SetStringDelimiter_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStringDelimiter(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_GetStringDelimiter_15(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  char    *temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringDelimiter();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_SetFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_GetFileName_17(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  char    *temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_SetUseStringDelimiter_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextWriter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseStringDelimiter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextWriter_GetUseStringDelimiter_19(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  bool   temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseStringDelimiter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_SetWriteToOutputString_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDelimitedTextWriter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteToOutputString(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDelimitedTextWriter_GetWriteToOutputString_111(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  bool   temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteToOutputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_WriteToOutputStringOn_112(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelimitedTextWriter_WriteToOutputStringOff_113(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteToOutputStringOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_RegisterAndGetOutputString_114(JNIEnv *env, jobject obj)
{
  vtkDelimitedTextWriter *op;
  char    *temp20;

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RegisterAndGetOutputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelimitedTextWriter_GetString_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelimitedTextWriter *op;
  vtkStdString   temp0;
  vtkStdString   temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkDelimitedTextWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetString(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDelimitedTextWriter_VTKInit(JNIEnv *, jobject)
{
  vtkDelimitedTextWriter *aNewOne = vtkDelimitedTextWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
