// java wrapper for vtkEnSight6Reader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEnSight6Reader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkEnSightReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEnSight6Reader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEnSight6Reader",dType)) { return me; }
  if ((res= vtkEnSightReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEnSight6Reader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEnSight6Reader *op;
  const char    *temp20;

  op = (vtkEnSight6Reader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEnSight6Reader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEnSight6Reader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEnSight6Reader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkEnSight6Reader_VTKInit(JNIEnv *, jobject)
{
  vtkEnSight6Reader *aNewOne = vtkEnSight6Reader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
