// java wrapper for vtkMPASReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMPASReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMPASReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMPASReader",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  const char    *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  char    *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetMaximumCells_14(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetMaximumPoints_15(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfCellVars_16(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellVars();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfPointVars_17(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointVars();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPASReader_GetOutput_18(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPASReader_GetOutput_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfPointArrays_110(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetPointArrayName_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetPointArrayStatus_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetPointArrayStatus_113(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_DisableAllPointArrays_114(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_EnableAllPointArrays_115(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllPointArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetNumberOfCellArrays_116(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int      temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMPASReader_GetCellArrayName_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_GetCellArrayStatus_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetCellArrayStatus_119(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_DisableAllCellArrays_120(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_EnableAllCellArrays_121(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllCellArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetVerticalLevel_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticalLevel(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMPASReader_GetVerticalLevelRange_123(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int     *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticalLevelRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetLayerThickness_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayerThickness(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMPASReader_GetLayerThicknessRange_125(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int     *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayerThicknessRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetCenterLon_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkMPASReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenterLon(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMPASReader_GetCenterLonRange_127(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  int     *temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterLonRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetProjectLatLon_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMPASReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectLatLon(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMPASReader_GetProjectLatLon_129(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  bool   temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectLatLon();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetIsAtmosphere_130(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMPASReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsAtmosphere(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMPASReader_GetIsAtmosphere_131(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  bool   temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsAtmosphere();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetIsZeroCentered_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMPASReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsZeroCentered(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMPASReader_GetIsZeroCentered_133(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  bool   temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsZeroCentered();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPASReader_SetShowMultilayerView_134(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMPASReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowMultilayerView(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMPASReader_GetShowMultilayerView_135(JNIEnv *env, jobject obj)
{
  vtkMPASReader *op;
  bool   temp20;

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowMultilayerView();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPASReader_CanReadFile_136(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMPASReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMPASReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMPASReader_VTKInit(JNIEnv *, jobject)
{
  vtkMPASReader *aNewOne = vtkMPASReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
