// java wrapper for vtkMoleculeReaderBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMoleculeReaderBase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMoleculeReaderBase_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMoleculeReaderBase",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMoleculeReaderBase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMoleculeReaderBase *op;
  const char    *temp20;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeReaderBase_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeReaderBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeReaderBase_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMoleculeReaderBase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMoleculeReaderBase_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMoleculeReaderBase *op;
  char    *temp20;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeReaderBase_SetBScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMoleculeReaderBase *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMoleculeReaderBase_GetBScale_15(JNIEnv *env, jobject obj)
{
  vtkMoleculeReaderBase *op;
  double   temp20;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMoleculeReaderBase_SetHBScale_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMoleculeReaderBase *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHBScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMoleculeReaderBase_GetHBScale_17(JNIEnv *env, jobject obj)
{
  vtkMoleculeReaderBase *op;
  double   temp20;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHBScale();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMoleculeReaderBase_GetNumberOfAtoms_18(JNIEnv *env, jobject obj)
{
  vtkMoleculeReaderBase *op;
  int      temp20;

  op = (vtkMoleculeReaderBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAtoms();
  return temp20;
}
