// java wrapper for vtkMySQLDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMySQLDatabase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSQLDatabase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMySQLDatabase_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMySQLDatabase",dType)) { return me; }
  if ((res= vtkSQLDatabase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  const char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMySQLDatabase_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_Open_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Open(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_Close_13(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->Close();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_IsOpen_14(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  bool   temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsOpen();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMySQLDatabase_GetQueryInstance_15(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  vtkSQLQuery  *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQueryInstance();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMySQLDatabase_GetTables_16(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  vtkStringArray  *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTables();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMySQLDatabase_GetRecord_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  vtkStringArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecord(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_IsSupported_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMySQLDatabase *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_HasError_19(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  bool   temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetLastErrorText_110(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  const char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetDatabaseType_111(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetHostName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHostName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetHostName_113(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHostName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetUser_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUser(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetUser_115(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUser();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetPassword_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPassword(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetDatabaseName_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDatabaseName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetDatabaseName_118(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  char    *temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetReconnect_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkMySQLDatabase *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReconnect(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMySQLDatabase_GetReconnect_120(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  int      temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReconnect();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_ReconnectOn_121(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->ReconnectOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_ReconnectOff_122(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->ReconnectOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMySQLDatabase_SetServerPort_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkMySQLDatabase *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetServerPort(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMySQLDatabase_GetServerPortMinValue_124(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  int      temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPortMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMySQLDatabase_GetServerPortMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  int      temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPortMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMySQLDatabase_GetServerPort_126(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  int      temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetServerPort();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetURL_127(JNIEnv *env, jobject obj)
{
  vtkMySQLDatabase *op;
  vtkStdString   temp20;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetURL();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetTablePreamble_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMySQLDatabase *op;
  bool   temp0;
  vtkStdString   temp20;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTablePreamble(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMySQLDatabase_GetColumnSpecification_129(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMySQLDatabase *op;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  vtkStdString   temp20;
  temp0 = (vtkSQLDatabaseSchema *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_CreateDatabase_130(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  bool   temp1;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateDatabase(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_DropDatabase_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DropDatabase(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMySQLDatabase_ParseURL_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMySQLDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMySQLDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ParseURL(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMySQLDatabase_VTKInit(JNIEnv *, jobject)
{
  vtkMySQLDatabase *aNewOne = vtkMySQLDatabase::New();
  return (jlong)(size_t)(void*)aNewOne;
}
