// java wrapper for vtkPostgreSQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPostgreSQLQuery.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSQLQuery_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPostgreSQLQuery_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPostgreSQLQuery",dType)) { return me; }
  if ((res= vtkSQLQuery_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLQuery_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  const char    *temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLQuery_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPostgreSQLQuery *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_Execute_12(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Execute();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLQuery_GetNumberOfFields_13(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  int      temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFields();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLQuery_GetFieldName_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPostgreSQLQuery *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLQuery_GetFieldType_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPostgreSQLQuery *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_NextRow_16(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NextRow();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_HasError_17(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_BeginTransaction_18(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BeginTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_RollbackTransaction_19(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RollbackTransaction();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPostgreSQLQuery_CommitTransaction_110(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  bool   temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CommitTransaction();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLQuery_GetLastErrorText_111(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  const char    *temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPostgreSQLQuery_EscapeString_112(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkPostgreSQLQuery *op;
  vtkStdString   temp0;
  bool   temp1;
  vtkStdString   temp20;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EscapeString(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPostgreSQLQuery_GetNumberOfRows_113(JNIEnv *env, jobject obj)
{
  vtkPostgreSQLQuery *op;
  int      temp20;

  op = (vtkPostgreSQLQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRows();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPostgreSQLQuery_VTKInit(JNIEnv *, jobject)
{
  vtkPostgreSQLQuery *aNewOne = vtkPostgreSQLQuery::New();
  return (jlong)(size_t)(void*)aNewOne;
}
