// java wrapper for vtkRowQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRowQuery.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRowQuery_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRowQuery",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRowQuery_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  const char    *temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRowQuery_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRowQuery *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_Execute_12(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  bool   temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Execute();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRowQuery_GetNumberOfFields_13(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  int      temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFields();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRowQuery_GetFieldName_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkRowQuery *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRowQuery_GetFieldType_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkRowQuery *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRowQuery_GetFieldIndex_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRowQuery *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldIndex(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_NextRow_17(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  bool   temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NextRow();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_IsActive_18(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  bool   temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsActive();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_NextRow_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRowQuery *op;
  vtkVariantArray  *temp0;
  bool   temp20;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NextRow(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_HasError_110(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  bool   temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRowQuery_GetLastErrorText_111(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  const char    *temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRowQuery_SetCaseSensitiveFieldNames_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRowQuery *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaseSensitiveFieldNames(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRowQuery_GetCaseSensitiveFieldNames_113(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;
  bool   temp20;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaseSensitiveFieldNames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRowQuery_CaseSensitiveFieldNamesOn_114(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  op->CaseSensitiveFieldNamesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRowQuery_CaseSensitiveFieldNamesOff_115(JNIEnv *env, jobject obj)
{
  vtkRowQuery *op;

  op = (vtkRowQuery *)vtkJavaGetPointerFromObject(env,obj);
  op->CaseSensitiveFieldNamesOff();
}
