// java wrapper for vtkXMLGenericDataObjectReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLGenericDataObjectReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLGenericDataObjectReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLGenericDataObjectReader",dType)) { return me; }
  if ((res= vtkXMLDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  const char    *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLGenericDataObjectReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkDataObject  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLGenericDataObjectReader *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetHierarchicalBoxDataSetOutput_14(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkHierarchicalBoxDataSet  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchicalBoxDataSetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetHyperOctreeOutput_15(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkHyperOctree  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHyperOctreeOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetImageDataOutput_16(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkImageData  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetMultiBlockDataSetOutput_17(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkMultiBlockDataSet  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMultiBlockDataSetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetPolyDataOutput_18(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkPolyData  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetRectilinearGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetStructuredGridOutput_110(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkStructuredGrid  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetUnstructuredGridOutput_111(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetNumberOfPoints_112(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkIdType   temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_GetNumberOfCells_113(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;
  vtkIdType   temp20;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLGenericDataObjectReader_SetupEmptyOutput_114(JNIEnv *env, jobject obj)
{
  vtkXMLGenericDataObjectReader *op;

  op = (vtkXMLGenericDataObjectReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupEmptyOutput();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLGenericDataObjectReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLGenericDataObjectReader *aNewOne = vtkXMLGenericDataObjectReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
