// java wrapper for vtkXMLMaterialParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLMaterialParser.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLParser_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLMaterialParser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLMaterialParser",dType)) { return me; }
  if ((res= vtkXMLParser_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLMaterialParser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialParser *op;
  const char    *temp20;

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialParser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLMaterialParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLMaterialParser_GetMaterial_12(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialParser *op;
  vtkXMLMaterial  *temp20;

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterial();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLMaterialParser_SetMaterial_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLMaterialParser *op;
  vtkXMLMaterial  *temp0;
  temp0 = (vtkXMLMaterial *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterial(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialParser_Parse_14(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialParser *op;
  int      temp20;

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Parse();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialParser_Parse_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLMaterialParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Parse(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialParser_Parse_16(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLMaterialParser *op;
  char    *temp0;
   unsigned int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Parse(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialParser_InitializeParser_17(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialParser *op;
  int      temp20;

  op = (vtkXMLMaterialParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitializeParser();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLMaterialParser_VTKInit(JNIEnv *, jobject)
{
  vtkXMLMaterialParser *aNewOne = vtkXMLMaterialParser::New();
  return (jlong)(size_t)(void*)aNewOne;
}
