// java wrapper for vtkXMLMaterialReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLMaterialReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLMaterialReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLMaterialReader",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLMaterialReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialReader *op;
  const char    *temp20;

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLMaterialReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLMaterialReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLMaterialReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLMaterialReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLMaterialReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialReader *op;
  char    *temp20;

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLMaterialReader_ReadMaterial_14(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialReader *op;

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadMaterial();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLMaterialReader_GetMaterial_15(JNIEnv *env, jobject obj)
{
  vtkXMLMaterialReader *op;
  vtkXMLMaterial  *temp20;

  op = (vtkXMLMaterialReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterial();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLMaterialReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLMaterialReader *aNewOne = vtkXMLMaterialReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
