// java wrapper for vtkXMLStructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLStructuredDataWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLStructuredDataWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLStructuredDataWriter",dType)) { return me; }
  if ((res= vtkXMLWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLStructuredDataWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataWriter *op;
  const char    *temp20;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLStructuredDataWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataWriter_SetNumberOfPieces_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLStructuredDataWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLStructuredDataWriter_GetNumberOfPieces_13(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataWriter *op;
  int      temp20;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataWriter_SetWriteExtent_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkXMLStructuredDataWriter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataWriter_SetWriteExtent_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkXMLStructuredDataWriter *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXMLStructuredDataWriter_GetWriteExtent_16(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataWriter *op;
  int     *temp20;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLStructuredDataWriter_SetExtentTranslator_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLStructuredDataWriter *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLStructuredDataWriter_GetExtentTranslator_18(JNIEnv *env, jobject obj)
{
  vtkXMLStructuredDataWriter *op;
  vtkExtentTranslator  *temp20;

  op = (vtkXMLStructuredDataWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentTranslator();
  return (jlong)(size_t)temp20;}
