// java wrapper for vtkXMLUnstructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLUnstructuredDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLUnstructuredDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLUnstructuredDataReader",dType)) { return me; }
  if ((res= vtkXMLDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataReader *op;
  const char    *temp20;

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLUnstructuredDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_GetNumberOfPoints_12(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_GetNumberOfCells_13(JNIEnv *env, jobject obj)
{
  vtkXMLUnstructuredDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_SetupUpdateExtent_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkXMLUnstructuredDataReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupUpdateExtent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLUnstructuredDataReader_CopyOutputInformation_15(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkXMLUnstructuredDataReader *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkXMLUnstructuredDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyOutputInformation(temp0,temp1);
}
