// java wrapper for vtkXMLWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLWriter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  const char    *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetByteOrder_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetByteOrder_13(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetByteOrderToBigEndian_14(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetByteOrderToLittleEndian_15(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetIdType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIdType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetIdType_17(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIdType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetIdTypeToInt32_18(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIdTypeToInt32();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetIdTypeToInt64_19(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIdTypeToInt64();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetFileName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLWriter_GetFileName_111(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  char    *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetCompressor_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLWriter *op;
  vtkDataCompressor  *temp0;
  temp0 = (vtkDataCompressor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLWriter_GetCompressor_113(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  vtkDataCompressor  *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetCompressorType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressorType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetCompressorTypeToNone_115(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressorTypeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetCompressorTypeToZLib_116(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressorTypeToZLib();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetBlockSize_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetBlockSize_118(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
   unsigned int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetDataMode_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetDataMode_120(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetDataModeToAscii_121(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataModeToAscii();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetDataModeToBinary_122(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataModeToBinary();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetDataModeToAppended_123(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataModeToAppended();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetEncodeAppendedData_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEncodeAppendedData(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetEncodeAppendedData_125(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEncodeAppendedData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_EncodeAppendedDataOn_126(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->EncodeAppendedDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_EncodeAppendedDataOff_127(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->EncodeAppendedDataOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetInput_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLWriter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetInput_129(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkXMLWriter *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLWriter_GetInput_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLWriter_GetInput_131(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  vtkDataObject  *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLWriter_GetDefaultFileExtension_132(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  const char    *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultFileExtension();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_Write_133(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetTimeStep_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetTimeStep_135(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkXMLWriter_GetTimeStepRange_136(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int     *temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStepRange();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetTimeStepRange_137(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkXMLWriter *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStepRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetTimeStepRange_138(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkXMLWriter *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStepRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLWriter_GetNumberOfTimeSteps_139(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;
  int      temp20;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTimeSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_SetNumberOfTimeSteps_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTimeSteps(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_Start_141(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_Stop_142(JNIEnv *env, jobject obj)
{
  vtkXMLWriter *op;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Stop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLWriter_WriteNextTime_143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkXMLWriter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkXMLWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteNextTime(temp0);
}
