// java wrapper for vtkBooleanTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBooleanTexture.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBooleanTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBooleanTexture",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBooleanTexture_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
  const char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBooleanTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetXSize_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkBooleanTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanTexture_GetXSize_13(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
  int      temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetYSize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkBooleanTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanTexture_GetYSize_15(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
  int      temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetThickness_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBooleanTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBooleanTexture_GetThickness_17(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
  int      temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetInIn_18(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInIn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetInIn_19(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInIn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetInOut_110(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInOut(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetInOut_111(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInOut();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOutIn_112(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutIn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOutIn_113(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutIn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOutOut_114(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutOut(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOutOut_115(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutOut();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOnOn_116(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOnOn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOnOn_117(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnOn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOnIn_118(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOnIn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOnIn_119(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnIn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOnOut_120(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOnOut(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOnOut_121(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOnOut();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetInOn_122(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInOn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetInOn_123(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInOn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBooleanTexture_SetOutOn_124(JNIEnv *env, jobject obj,jchar id0,jchar id1)
{
  vtkBooleanTexture *op;
   unsigned char     temp0;
   unsigned char     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutOn(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBooleanTexture_GetOutOn_125(JNIEnv *env, jobject obj)
{
  vtkBooleanTexture *op;
   unsigned char    *temp20;

  op = (vtkBooleanTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutOn();
    return vtkJavaMakeJArrayOfByteFromUnsignedChar(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBooleanTexture_VTKInit(JNIEnv *, jobject)
{
  vtkBooleanTexture *aNewOne = vtkBooleanTexture::New();
  return (jlong)(size_t)(void*)aNewOne;
}
