// java wrapper for vtkImageAnisotropicDiffusion2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAnisotropicDiffusion2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageSpatialAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageAnisotropicDiffusion2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageAnisotropicDiffusion2D",dType)) { return me; }
  if ((res= vtkImageSpatialAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  const char    *temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetNumberOfIterations_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetNumberOfIterations_13(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetDiffusionThreshold_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiffusionThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetDiffusionThreshold_15(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  double   temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiffusionThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetDiffusionFactor_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiffusionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetDiffusionFactor_17(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  double   temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiffusionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetFaces_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFaces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetFaces_19(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_FacesOn_110(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FacesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_FacesOff_111(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->FacesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetEdges_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetEdges_113(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_EdgesOn_114(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_EdgesOff_115(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetCorners_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCorners(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetCorners_117(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCorners();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_CornersOn_118(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CornersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_CornersOff_119(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->CornersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_SetGradientMagnitudeThreshold_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientMagnitudeThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GetGradientMagnitudeThreshold_121(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;
  int      temp20;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientMagnitudeThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GradientMagnitudeThresholdOn_122(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientMagnitudeThresholdOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_GradientMagnitudeThresholdOff_123(JNIEnv *env, jobject obj)
{
  vtkImageAnisotropicDiffusion2D *op;

  op = (vtkImageAnisotropicDiffusion2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientMagnitudeThresholdOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageAnisotropicDiffusion2D_VTKInit(JNIEnv *, jobject)
{
  vtkImageAnisotropicDiffusion2D *aNewOne = vtkImageAnisotropicDiffusion2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
