// java wrapper for vtkImageBSplineCoefficients object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageBSplineCoefficients.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageBSplineCoefficients_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageBSplineCoefficients",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  const char    *temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageBSplineCoefficients *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetSplineDegree_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBSplineCoefficients *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplineDegree(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetSplineDegreeMinValue_13(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegreeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetSplineDegreeMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegreeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetSplineDegree_15(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplineDegree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetBorderMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBSplineCoefficients *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetBorderModeMinValue_17(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetBorderModeMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetBorderModeToClamp_19(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToClamp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetBorderModeToRepeat_110(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToRepeat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetBorderModeToMirror_111(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToMirror();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetBorderMode_112(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetBorderModeAsString_113(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  const char    *temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetOutputScalarType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBSplineCoefficients *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetOutputScalarTypeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetOutputScalarTypeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetOutputScalarType_117(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetOutputScalarTypeToFloat_118(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetOutputScalarTypeToDouble_119(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputScalarTypeToDouble();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetOutputScalarTypeAsString_120(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  const char    *temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputScalarTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_SetBypass_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBSplineCoefficients *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBypass(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_BypassOn_122(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBSplineCoefficients_BypassOff_123(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_GetBypass_124(JNIEnv *env, jobject obj)
{
  vtkImageBSplineCoefficients *op;
  int      temp20;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBypass();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_CheckBounds_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageBSplineCoefficients *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageBSplineCoefficients_Evaluate_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageBSplineCoefficients *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Evaluate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageBSplineCoefficients_Evaluate_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageBSplineCoefficients *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Evaluate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBSplineCoefficients_SplitExtent_128(JNIEnv *env, jobject obj,jintArray id0,jintArray id1,jint id2,jint id3)
{
  vtkImageBSplineCoefficients *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp2;
  int      temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageBSplineCoefficients *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SplitExtent(temp0,temp1,temp2,temp3);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageBSplineCoefficients_VTKInit(JNIEnv *, jobject)
{
  vtkImageBSplineCoefficients *aNewOne = vtkImageBSplineCoefficients::New();
  return (jlong)(size_t)(void*)aNewOne;
}
