// java wrapper for vtkImageBlend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageBlend.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageBlend_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageBlend",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBlend_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  const char    *temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBlend_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageBlend *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_ReplaceNthInputConnection_12(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageBlend *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceNthInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetInput_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageBlend *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageBlend *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageBlend_GetInput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBlend *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageBlend_GetInput_16(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  vtkDataObject  *temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBlend_GetNumberOfInputs_17(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  int      temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetOpacity_18(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkImageBlend *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageBlend_GetOpacity_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBlend *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetStencil_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageBlend *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencil(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageBlend_GetStencil_111(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  vtkImageStencilData  *temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencil();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetBlendMode_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageBlend *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBlend_GetBlendModeMinValue_113(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  int      temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBlend_GetBlendModeMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  int      temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageBlend_GetBlendMode_115(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  int      temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetBlendModeToNormal_116(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToNormal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetBlendModeToCompound_117(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToCompound();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageBlend_GetBlendModeAsString_118(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  const char    *temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageBlend_SetCompoundThreshold_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageBlend *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompoundThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageBlend_GetCompoundThreshold_120(JNIEnv *env, jobject obj)
{
  vtkImageBlend *op;
  double   temp20;

  op = (vtkImageBlend *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompoundThreshold();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageBlend_VTKInit(JNIEnv *, jobject)
{
  vtkImageBlend *aNewOne = vtkImageBlend::New();
  return (jlong)(size_t)(void*)aNewOne;
}
