// java wrapper for vtkImageCacheFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCacheFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCacheFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCacheFilter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCacheFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCacheFilter *op;
  const char    *temp20;

  op = (vtkImageCacheFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCacheFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCacheFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCacheFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCacheFilter_SetCacheSize_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCacheFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCacheFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCacheSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCacheFilter_GetCacheSize_13(JNIEnv *env, jobject obj)
{
  vtkImageCacheFilter *op;
  int      temp20;

  op = (vtkImageCacheFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCacheSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageCacheFilter_VTKInit(JNIEnv *, jobject)
{
  vtkImageCacheFilter *aNewOne = vtkImageCacheFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
