// java wrapper for vtkImageDecomposeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDecomposeFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageIterateFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageDecomposeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageDecomposeFilter",dType)) { return me; }
  if ((res= vtkImageIterateFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageDecomposeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageDecomposeFilter *op;
  const char    *temp20;

  op = (vtkImageDecomposeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDecomposeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageDecomposeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageDecomposeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageDecomposeFilter_SetDimensionality_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageDecomposeFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageDecomposeFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageDecomposeFilter_GetDimensionality_13(JNIEnv *env, jobject obj)
{
  vtkImageDecomposeFilter *op;
  int      temp20;

  op = (vtkImageDecomposeFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionality();
  return temp20;
}
