// java wrapper for vtkImageImport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageImport.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageImport_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageImport",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageImport_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  const char    *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageImport_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageImport *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageImport *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToDouble_13(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToFloat_14(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToInt_15(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToShort_16(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToUnsignedShort_17(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataScalarTypeToUnsignedChar_18(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageImport_GetDataScalarType_19(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  int      temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataScalarType();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageImport_GetDataScalarTypeAsString_110(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  const char    *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataScalarTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetNumberOfScalarComponents_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageImport *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfScalarComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageImport_GetNumberOfScalarComponents_112(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  int      temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataExtent_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageImport *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataExtent_114(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageImport *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageImport_GetDataExtent_115(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  int     *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataExtentToWholeExtent_116(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataExtentToWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataSpacing_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageImport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataSpacing_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageImport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageImport_GetDataSpacing_119(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  double  *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataOrigin_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageImport *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetDataOrigin_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageImport *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageImport_GetDataOrigin_122(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  double  *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetWholeExtent_123(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageImport *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetWholeExtent_124(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageImport *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageImport_GetWholeExtent_125(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  int     *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_SetScalarArrayName_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageImport *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageImport_GetScalarArrayName_127(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  char    *temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageImport_InvokePipelineModifiedCallbacks_128(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;
  int      temp20;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InvokePipelineModifiedCallbacks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_InvokeUpdateInformationCallbacks_129(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->InvokeUpdateInformationCallbacks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_InvokeExecuteInformationCallbacks_130(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->InvokeExecuteInformationCallbacks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_InvokeExecuteDataCallbacks_131(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->InvokeExecuteDataCallbacks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageImport_LegacyCheckWholeExtent_132(JNIEnv *env, jobject obj)
{
  vtkImageImport *op;

  op = (vtkImageImport *)vtkJavaGetPointerFromObject(env,obj);
  op->LegacyCheckWholeExtent();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageImport_VTKInit(JNIEnv *, jobject)
{
  vtkImageImport *aNewOne = vtkImageImport::New();
  return (jlong)(size_t)(void*)aNewOne;
}
