// java wrapper for vtkImageMandelbrotSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMandelbrotSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMandelbrotSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMandelbrotSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMandelbrotSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  const char    *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMandelbrotSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetWholeExtent_12(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageMandelbrotSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetWholeExtent_13(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageMandelbrotSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMandelbrotSource_GetWholeExtent_14(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int     *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetConstantSize_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMandelbrotSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConstantSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetConstantSize_16(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int      temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConstantSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_ConstantSizeOn_17(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ConstantSizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_ConstantSizeOff_18(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ConstantSizeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetProjectionAxes_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageMandelbrotSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionAxes(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetProjectionAxes_110(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageMandelbrotSource *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionAxes(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMandelbrotSource_GetProjectionAxes_111(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int     *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionAxes();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetOriginCX_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageMandelbrotSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginCX(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetOriginCX_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageMandelbrotSource *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginCX(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMandelbrotSource_GetOriginCX_114(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  double  *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginCX();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetSampleCX_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageMandelbrotSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleCX(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetSampleCX_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageMandelbrotSource *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleCX(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSampleCX_117(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  double  *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleCX();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetSizeCX_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageMandelbrotSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeCX(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSizeCX_119(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  double  *temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeCX();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSizeCX_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageMandelbrotSource *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSizeCX(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetMaximumNumberOfIterations_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMandelbrotSource *op;
   unsigned short    temp0;
  temp0 = id0;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetMaximumNumberOfIterationsMinValue_122(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
   unsigned short    temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetMaximumNumberOfIterationsMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
   unsigned short    temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetMaximumNumberOfIterations_124(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
   unsigned short    temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_Zoom_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageMandelbrotSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Zoom(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_Pan_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageMandelbrotSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Pan(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_CopyOriginAndSample_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageMandelbrotSource *op;
  vtkImageMandelbrotSource  *temp0;
  temp0 = (vtkImageMandelbrotSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyOriginAndSample(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMandelbrotSource_SetSubsampleRate_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMandelbrotSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubsampleRate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSubsampleRateMinValue_129(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int      temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubsampleRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSubsampleRateMaxValue_130(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int      temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubsampleRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMandelbrotSource_GetSubsampleRate_131(JNIEnv *env, jobject obj)
{
  vtkImageMandelbrotSource *op;
  int      temp20;

  op = (vtkImageMandelbrotSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubsampleRate();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMandelbrotSource_VTKInit(JNIEnv *, jobject)
{
  vtkImageMandelbrotSource *aNewOne = vtkImageMandelbrotSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
