// java wrapper for vtkImageNonMaximumSuppression object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageNonMaximumSuppression.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageNonMaximumSuppression_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageNonMaximumSuppression",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageNonMaximumSuppression_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;
  const char    *temp20;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNonMaximumSuppression_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageNonMaximumSuppression *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_SetMagnitudeInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageNonMaximumSuppression *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnitudeInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_SetVectorInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageNonMaximumSuppression *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_SetHandleBoundaries_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageNonMaximumSuppression *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleBoundaries(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNonMaximumSuppression_GetHandleBoundaries_15(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;
  int      temp20;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleBoundaries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_HandleBoundariesOn_16(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleBoundariesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_HandleBoundariesOff_17(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleBoundariesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageNonMaximumSuppression_SetDimensionality_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageNonMaximumSuppression *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNonMaximumSuppression_GetDimensionalityMinValue_19(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;
  int      temp20;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionalityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNonMaximumSuppression_GetDimensionalityMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;
  int      temp20;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionalityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageNonMaximumSuppression_GetDimensionality_111(JNIEnv *env, jobject obj)
{
  vtkImageNonMaximumSuppression *op;
  int      temp20;

  op = (vtkImageNonMaximumSuppression *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageNonMaximumSuppression_VTKInit(JNIEnv *, jobject)
{
  vtkImageNonMaximumSuppression *aNewOne = vtkImageNonMaximumSuppression::New();
  return (jlong)(size_t)(void*)aNewOne;
}
