// java wrapper for vtkImageRGBToHSV object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageRGBToHSV.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageRGBToHSV_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageRGBToHSV",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageRGBToHSV_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageRGBToHSV *op;
  const char    *temp20;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageRGBToHSV_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageRGBToHSV *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageRGBToHSV_SetMaximum_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageRGBToHSV *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageRGBToHSV_GetMaximum_13(JNIEnv *env, jobject obj)
{
  vtkImageRGBToHSV *op;
  double   temp20;

  op = (vtkImageRGBToHSV *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageRGBToHSV_VTKInit(JNIEnv *, jobject)
{
  vtkImageRGBToHSV *aNewOne = vtkImageRGBToHSV::New();
  return (jlong)(size_t)(void*)aNewOne;
}
