// java wrapper for vtkImageResliceToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageResliceToColors.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReslice_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageResliceToColors_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageResliceToColors",dType)) { return me; }
  if ((res= vtkImageReslice_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageResliceToColors_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  const char    *temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageResliceToColors *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetLookupTable_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageResliceToColors *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageResliceToColors_GetLookupTable_13(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  vtkScalarsToColors  *temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetOutputFormat_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResliceToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_GetOutputFormatMinValue_15(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  int      temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputFormatMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_GetOutputFormatMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  int      temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputFormatMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_GetOutputFormat_17(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  int      temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetOutputFormatToRGBA_18(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGBA();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetOutputFormatToRGB_19(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetOutputFormatToLuminanceAlpha_110(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToLuminanceAlpha();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetOutputFormatToLuminance_111(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToLuminance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_SetBypass_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageResliceToColors *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBypass(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_BypassOn_113(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageResliceToColors_BypassOff_114(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_GetBypass_115(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
  int      temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBypass();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageResliceToColors_GetMTime_116(JNIEnv *env, jobject obj)
{
  vtkImageResliceToColors *op;
   unsigned long     temp20;

  op = (vtkImageResliceToColors *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageResliceToColors_VTKInit(JNIEnv *, jobject)
{
  vtkImageResliceToColors *aNewOne = vtkImageResliceToColors::New();
  return (jlong)(size_t)(void*)aNewOne;
}
