// java wrapper for vtkImageSlabReslice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSlabReslice.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReslice_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSlabReslice_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSlabReslice",dType)) { return me; }
  if ((res= vtkImageReslice_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSlabReslice_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;
  const char    *temp20;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlabReslice_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSlabReslice *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetBlendMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageSlabReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlabReslice_GetBlendMode_13(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;
  int      temp20;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetBlendModeToMin_14(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetBlendModeToMax_15(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetBlendModeToMean_16(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToMean();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSlabReslice_GetNumBlendSamplePoints_17(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;
  int      temp20;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumBlendSamplePoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetSlabThickness_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageSlabReslice *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlabReslice_GetSlabThickness_19(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;
  double   temp20;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSlabReslice_SetSlabResolution_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageSlabReslice *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabResolution(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageSlabReslice_GetSlabResolution_111(JNIEnv *env, jobject obj)
{
  vtkImageSlabReslice *op;
  double   temp20;

  op = (vtkImageSlabReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabResolution();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageSlabReslice_VTKInit(JNIEnv *, jobject)
{
  vtkImageSlabReslice *aNewOne = vtkImageSlabReslice::New();
  return (jlong)(size_t)(void*)aNewOne;
}
