// java wrapper for vtkImplicitFunctionToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitFunctionToImageStencil.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitFunctionToImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitFunctionToImageStencil",dType)) { return me; }
  if ((res= vtkImageStencilSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  const char    *temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitFunctionToImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitFunctionToImageStencil *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  vtkImplicitFunction  *temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_SetThreshold_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitFunctionToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetThreshold_15(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
  double   temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThreshold();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_GetMTime_16(JNIEnv *env, jobject obj)
{
  vtkImplicitFunctionToImageStencil *op;
   unsigned long     temp20;

  op = (vtkImplicitFunctionToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitFunctionToImageStencil_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitFunctionToImageStencil *aNewOne = vtkImplicitFunctionToImageStencil::New();
  return (jlong)(size_t)(void*)aNewOne;
}
