// java wrapper for vtkROIStencilSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkROIStencilSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkROIStencilSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkROIStencilSource",dType)) { return me; }
  if ((res= vtkImageStencilSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkROIStencilSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  const char    *temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkROIStencilSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkROIStencilSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkROIStencilSource_GetShape_12(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  int      temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShape();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShape_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkROIStencilSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShape(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkROIStencilSource_GetShapeMinValue_14(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  int      temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShapeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkROIStencilSource_GetShapeMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  int      temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShapeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShapeToBox_16(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShapeToBox();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShapeToEllipsoid_17(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShapeToEllipsoid();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShapeToCylinderX_18(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShapeToCylinderX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShapeToCylinderY_19(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShapeToCylinderY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetShapeToCylinderZ_110(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShapeToCylinderZ();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkROIStencilSource_GetShapeAsString_111(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  const char    *temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShapeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkROIStencilSource_GetBounds_112(JNIEnv *env, jobject obj)
{
  vtkROIStencilSource *op;
  double  *temp20;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetBounds_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkROIStencilSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkROIStencilSource_SetBounds_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkROIStencilSource *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkROIStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkROIStencilSource_VTKInit(JNIEnv *, jobject)
{
  vtkROIStencilSource *aNewOne = vtkROIStencilSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
