// java wrapper for vtkTriangularTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTriangularTexture.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTriangularTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTriangularTexture",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTriangularTexture_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  const char    *temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTriangularTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangularTexture_SetScaleFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTriangularTexture *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTriangularTexture_GetScaleFactor_13(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  double   temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangularTexture_SetXSize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTriangularTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_GetXSize_15(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  int      temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangularTexture_SetYSize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTriangularTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_GetYSize_17(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  int      temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTriangularTexture_SetTexturePattern_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTriangularTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexturePattern(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_GetTexturePatternMinValue_19(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  int      temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexturePatternMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_GetTexturePatternMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  int      temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexturePatternMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTriangularTexture_GetTexturePattern_111(JNIEnv *env, jobject obj)
{
  vtkTriangularTexture *op;
  int      temp20;

  op = (vtkTriangularTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexturePattern();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTriangularTexture_VTKInit(JNIEnv *, jobject)
{
  vtkTriangularTexture *aNewOne = vtkTriangularTexture::New();
  return (jlong)(size_t)(void*)aNewOne;
}
