// java wrapper for vtkArrayNorm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayNorm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayNorm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayNorm",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayNorm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayNorm *op;
  const char    *temp20;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayNorm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayNorm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayNorm_GetDimension_12(JNIEnv *env, jobject obj)
{
  vtkArrayNorm *op;
  int      temp20;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayNorm_SetDimension_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayNorm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayNorm_GetL_14(JNIEnv *env, jobject obj)
{
  vtkArrayNorm *op;
  int      temp20;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetL();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayNorm_SetL_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayNorm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetL(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayNorm_SetInvert_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayNorm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInvert(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayNorm_GetInvert_17(JNIEnv *env, jobject obj)
{
  vtkArrayNorm *op;
  int      temp20;

  op = (vtkArrayNorm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInvert();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayNorm_VTKInit(JNIEnv *, jobject)
{
  vtkArrayNorm *aNewOne = vtkArrayNorm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
