// java wrapper for vtkAssignCoordinatesLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAssignCoordinatesLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAssignCoordinatesLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAssignCoordinatesLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  const char    *temp20;

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_SetXCoordArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_GetXCoordArrayName_13(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  const char    *temp20;

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_SetYCoordArrayName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_GetYCoordArrayName_15(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  const char    *temp20;

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_SetZCoordArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZCoordArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_GetZCoordArrayName_17(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinatesLayoutStrategy *op;
  const char    *temp20;

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZCoordArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_Layout_18(JNIEnv *env, jobject obj)
{
  vtkAssignCoordinatesLayoutStrategy *op;

  op = (vtkAssignCoordinatesLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAssignCoordinatesLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkAssignCoordinatesLayoutStrategy *aNewOne = vtkAssignCoordinatesLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
