// java wrapper for vtkBoostKruskalMinimumSpanningTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoostKruskalMinimumSpanningTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoostKruskalMinimumSpanningTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoostKruskalMinimumSpanningTree",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  const char    *temp20;

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSelectionType(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNegateEdgeWeights(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights_15(JNIEnv *env, jobject obj)
{
  vtkBoostKruskalMinimumSpanningTree *op;
  bool   temp20;

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNegateEdgeWeights();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn_16(JNIEnv *env, jobject obj)
{
  vtkBoostKruskalMinimumSpanningTree *op;

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->NegateEdgeWeightsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff_17(JNIEnv *env, jobject obj)
{
  vtkBoostKruskalMinimumSpanningTree *op;

  op = (vtkBoostKruskalMinimumSpanningTree *)vtkJavaGetPointerFromObject(env,obj);
  op->NegateEdgeWeightsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoostKruskalMinimumSpanningTree_VTKInit(JNIEnv *, jobject)
{
  vtkBoostKruskalMinimumSpanningTree *aNewOne = vtkBoostKruskalMinimumSpanningTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
