// java wrapper for vtkCollapseVerticesByArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollapseVerticesByArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollapseVerticesByArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollapseVerticesByArray",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  const char    *temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollapseVerticesByArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollapseVerticesByArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetAllowSelfLoops_12(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  bool   temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowSelfLoops();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetAllowSelfLoops_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCollapseVerticesByArray *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowSelfLoops(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_AllowSelfLoopsOn_14(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowSelfLoopsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_AllowSelfLoopsOff_15(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowSelfLoopsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_AddAggregateEdgeArray_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollapseVerticesByArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->AddAggregateEdgeArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_ClearAggregateEdgeArray_17(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearAggregateEdgeArray();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetVertexArray_18(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  char    *temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetVertexArray_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollapseVerticesByArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetCountEdgesCollapsed_110(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  bool   temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCountEdgesCollapsed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetCountEdgesCollapsed_111(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCollapseVerticesByArray *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCountEdgesCollapsed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_CountEdgesCollapsedOn_112(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->CountEdgesCollapsedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_CountEdgesCollapsedOff_113(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->CountEdgesCollapsedOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetEdgesCollapsedArray_114(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  char    *temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgesCollapsedArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetEdgesCollapsedArray_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollapseVerticesByArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgesCollapsedArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetCountVerticesCollapsed_116(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  bool   temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCountVerticesCollapsed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetCountVerticesCollapsed_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCollapseVerticesByArray *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCountVerticesCollapsed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_CountVerticesCollapsedOn_118(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->CountVerticesCollapsedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_CountVerticesCollapsedOff_119(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->CountVerticesCollapsedOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollapseVerticesByArray_GetVerticesCollapsedArray_120(JNIEnv *env, jobject obj)
{
  vtkCollapseVerticesByArray *op;
  char    *temp20;

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerticesCollapsedArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollapseVerticesByArray_SetVerticesCollapsedArray_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollapseVerticesByArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollapseVerticesByArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerticesCollapsedArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCollapseVerticesByArray_VTKInit(JNIEnv *, jobject)
{
  vtkCollapseVerticesByArray *aNewOne = vtkCollapseVerticesByArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
