// java wrapper for vtkContingencyStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContingencyStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContingencyStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContingencyStatistics",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContingencyStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContingencyStatistics *op;
  const char    *temp20;

  op = (vtkContingencyStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContingencyStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContingencyStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContingencyStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContingencyStatistics_Aggregate_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkContingencyStatistics *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkContingencyStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContingencyStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkContingencyStatistics *aNewOne = vtkContingencyStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
