// java wrapper for vtkDataObjectToTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectToTable.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObjectToTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObjectToTable",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObjectToTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObjectToTable *op;
  const char    *temp20;

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObjectToTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToTable_GetFieldType_12(JNIEnv *env, jobject obj)
{
  vtkDataObjectToTable *op;
  int      temp20;

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObjectToTable_SetFieldType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObjectToTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToTable_GetFieldTypeMinValue_14(JNIEnv *env, jobject obj)
{
  vtkDataObjectToTable *op;
  int      temp20;

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObjectToTable_GetFieldTypeMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkDataObjectToTable *op;
  int      temp20;

  op = (vtkDataObjectToTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObjectToTable_VTKInit(JNIEnv *, jobject)
{
  vtkDataObjectToTable *aNewOne = vtkDataObjectToTable::New();
  return (jlong)(size_t)(void*)aNewOne;
}
