// java wrapper for vtkDotProductSimilarity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDotProductSimilarity.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDotProductSimilarity_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDotProductSimilarity",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDotProductSimilarity_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  const char    *temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDotProductSimilarity *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetVectorDimension_12(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetVectorDimension_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetUpperDiagonal_14(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  int      temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpperDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetUpperDiagonal_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpperDiagonal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetDiagonal_16(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  int      temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetDiagonal_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDiagonal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetLowerDiagonal_18(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  int      temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLowerDiagonal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetLowerDiagonal_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLowerDiagonal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetFirstSecond_110(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  int      temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFirstSecond();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetFirstSecond_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFirstSecond(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetSecondFirst_112(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  int      temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSecondFirst();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetSecondFirst_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSecondFirst(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDotProductSimilarity_GetMinimumThreshold_114(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  double   temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetMinimumThreshold_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDotProductSimilarity *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumThreshold(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetMinimumCount_116(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetMinimumCount_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDotProductSimilarity_GetMaximumCount_118(JNIEnv *env, jobject obj)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp20;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDotProductSimilarity_SetMaximumCount_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkDotProductSimilarity *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkDotProductSimilarity *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumCount(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDotProductSimilarity_VTKInit(JNIEnv *, jobject)
{
  vtkDotProductSimilarity *aNewOne = vtkDotProductSimilarity::New();
  return (jlong)(size_t)(void*)aNewOne;
}
