// java wrapper for vtkForceDirectedLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkForceDirectedLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkForceDirectedLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkForceDirectedLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  const char    *temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkForceDirectedLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetRandomSeed_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRandomSeed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetRandomSeedMinValue_13(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetRandomSeedMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetRandomSeed_15(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomSeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetGraphBounds_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkForceDirectedLayoutStrategy *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetGraphBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkForceDirectedLayoutStrategy *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetGraphBounds_18(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  double  *temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetAutomaticBoundsComputation_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticBoundsComputation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetAutomaticBoundsComputation_110(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticBoundsComputation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOn_111(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticBoundsComputationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_AutomaticBoundsComputationOff_112(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticBoundsComputationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetMaxNumberOfIterations_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMinValue_114(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterationsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetMaxNumberOfIterationsMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterationsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetMaxNumberOfIterations_116(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetIterationsPerLayout_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIterationsPerLayout(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMinValue_118(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayoutMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetIterationsPerLayoutMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayoutMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetIterationsPerLayout_120(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIterationsPerLayout();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetCoolDownRate_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkForceDirectedLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoolDownRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetCoolDownRateMinValue_122(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  double   temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetCoolDownRateMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  double   temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetCoolDownRate_124(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  double   temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoolDownRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetThreeDimensionalLayout_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThreeDimensionalLayout(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetThreeDimensionalLayout_126(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThreeDimensionalLayout();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOn_127(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreeDimensionalLayoutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_ThreeDimensionalLayoutOff_128(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreeDimensionalLayoutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetRandomInitialPoints_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRandomInitialPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetRandomInitialPoints_130(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRandomInitialPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_RandomInitialPointsOn_131(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->RandomInitialPointsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_RandomInitialPointsOff_132(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->RandomInitialPointsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_SetInitialTemperature_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkForceDirectedLayoutStrategy *op;
  float    temp0;
  temp0 = id0;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialTemperature(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetInitialTemperatureMinValue_134(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  float    temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperatureMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetInitialTemperatureMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  float    temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperatureMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_GetInitialTemperature_136(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  float    temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialTemperature();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_Initialize_137(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_Layout_138(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_IsLayoutComplete_139(JNIEnv *env, jobject obj)
{
  vtkForceDirectedLayoutStrategy *op;
  int      temp20;

  op = (vtkForceDirectedLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkForceDirectedLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkForceDirectedLayoutStrategy *aNewOne = vtkForceDirectedLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
