// java wrapper for vtkMergeColumns object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeColumns.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeColumns_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeColumns",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeColumns_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeColumns *op;
  const char    *temp20;

  op = (vtkMergeColumns *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeColumns_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeColumns *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeColumns *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeColumns_SetMergedColumnName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeColumns *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeColumns *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMergedColumnName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeColumns_GetMergedColumnName_13(JNIEnv *env, jobject obj)
{
  vtkMergeColumns *op;
  char    *temp20;

  op = (vtkMergeColumns *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMergedColumnName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMergeColumns_VTKInit(JNIEnv *, jobject)
{
  vtkMergeColumns *aNewOne = vtkMergeColumns::New();
  return (jlong)(size_t)(void*)aNewOne;
}
