// java wrapper for vtkRandomGraphSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRandomGraphSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRandomGraphSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRandomGraphSource",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRandomGraphSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  const char    *temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRandomGraphSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfVertices_12(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetNumberOfVertices_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomGraphSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfVertices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfVerticesMinValue_14(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVerticesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfVerticesMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVerticesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfEdges_16(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetNumberOfEdges_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomGraphSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfEdgesMinValue_18(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdgesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetNumberOfEdgesMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdgesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRandomGraphSource_GetEdgeProbability_110(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  double   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeProbability();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetEdgeProbability_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRandomGraphSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeProbability(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRandomGraphSource_GetEdgeProbabilityMinValue_112(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  double   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeProbabilityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRandomGraphSource_GetEdgeProbabilityMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  double   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeProbabilityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetIncludeEdgeWeights_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeEdgeWeights(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetIncludeEdgeWeights_115(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeEdgeWeights();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_IncludeEdgeWeightsOn_116(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeEdgeWeightsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_IncludeEdgeWeightsOff_117(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeEdgeWeightsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetEdgeWeightArrayName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRandomGraphSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWeightArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRandomGraphSource_GetEdgeWeightArrayName_119(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  char    *temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWeightArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetDirected_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirected(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetDirected_121(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirected();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_DirectedOn_122(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_DirectedOff_123(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DirectedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetUseEdgeProbability_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseEdgeProbability(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetUseEdgeProbability_125(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseEdgeProbability();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_UseEdgeProbabilityOn_126(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeProbabilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_UseEdgeProbabilityOff_127(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeProbabilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetStartWithTree_128(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartWithTree(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetStartWithTree_129(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartWithTree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_StartWithTreeOn_130(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWithTreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_StartWithTreeOff_131(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWithTreeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetAllowSelfLoops_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowSelfLoops(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetAllowSelfLoops_133(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowSelfLoops();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_AllowSelfLoopsOn_134(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowSelfLoopsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_AllowSelfLoopsOff_135(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowSelfLoopsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetAllowParallelEdges_136(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowParallelEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetAllowParallelEdges_137(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowParallelEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_AllowParallelEdgesOn_138(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowParallelEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_AllowParallelEdgesOff_139(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowParallelEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetGeneratePedigreeIds_140(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRandomGraphSource *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeneratePedigreeIds(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRandomGraphSource_GetGeneratePedigreeIds_141(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  bool   temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeneratePedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_GeneratePedigreeIdsOn_142(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_GeneratePedigreeIdsOff_143(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GeneratePedigreeIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetVertexPedigreeIdArrayName_144(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRandomGraphSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexPedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRandomGraphSource_GetVertexPedigreeIdArrayName_145(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  char    *temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexPedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetEdgePedigreeIdArrayName_146(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRandomGraphSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgePedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRandomGraphSource_GetEdgePedigreeIdArrayName_147(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  char    *temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgePedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRandomGraphSource_SetSeed_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkRandomGraphSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSeed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRandomGraphSource_GetSeed_149(JNIEnv *env, jobject obj)
{
  vtkRandomGraphSource *op;
  int      temp20;

  op = (vtkRandomGraphSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSeed();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRandomGraphSource_VTKInit(JNIEnv *, jobject)
{
  vtkRandomGraphSource *aNewOne = vtkRandomGraphSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
