// java wrapper for vtkSpanTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpanTreeLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpanTreeLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpanTreeLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpanTreeLayoutStrategy *op;
  const char    *temp20;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpanTreeLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_SetDepthFirstSpanningTree_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkSpanTreeLayoutStrategy *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthFirstSpanningTree(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_GetDepthFirstSpanningTree_13(JNIEnv *env, jobject obj)
{
  vtkSpanTreeLayoutStrategy *op;
  bool   temp20;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthFirstSpanningTree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOn_14(JNIEnv *env, jobject obj)
{
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthFirstSpanningTreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_DepthFirstSpanningTreeOff_15(JNIEnv *env, jobject obj)
{
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthFirstSpanningTreeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_Layout_16(JNIEnv *env, jobject obj)
{
  vtkSpanTreeLayoutStrategy *op;

  op = (vtkSpanTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSpanTreeLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkSpanTreeLayoutStrategy *aNewOne = vtkSpanTreeLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
