// java wrapper for vtkTableToSparseArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTableToSparseArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTableToSparseArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTableToSparseArray",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToSparseArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTableToSparseArray *op;
  const char    *temp20;

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTableToSparseArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToSparseArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToSparseArray_ClearCoordinateColumns_12(JNIEnv *env, jobject obj)
{
  vtkTableToSparseArray *op;

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearCoordinateColumns();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToSparseArray_AddCoordinateColumn_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToSparseArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCoordinateColumn(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToSparseArray_SetValueColumn_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTableToSparseArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValueColumn(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTableToSparseArray_GetValueColumn_15(JNIEnv *env, jobject obj)
{
  vtkTableToSparseArray *op;
  const char    *temp20;

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueColumn();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTableToSparseArray_ClearOutputExtents_16(JNIEnv *env, jobject obj)
{
  vtkTableToSparseArray *op;

  op = (vtkTableToSparseArray *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearOutputExtents();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTableToSparseArray_VTKInit(JNIEnv *, jobject)
{
  vtkTableToSparseArray *aNewOne = vtkTableToSparseArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
