// java wrapper for vtkTreeFieldAggregator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeFieldAggregator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeFieldAggregator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeFieldAggregator",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeFieldAggregator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;
  const char    *temp20;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeFieldAggregator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeFieldAggregator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeFieldAggregator_GetField_12(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;
  char    *temp20;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_SetField_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeFieldAggregator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeFieldAggregator_GetMinValue_14(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;
  double   temp20;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_SetMinValue_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeFieldAggregator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinValue(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_SetLeafVertexUnitSize_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeFieldAggregator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeafVertexUnitSize(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeFieldAggregator_GetLeafVertexUnitSize_17(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;
  bool   temp20;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafVertexUnitSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_LeafVertexUnitSizeOn_18(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->LeafVertexUnitSizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_LeafVertexUnitSizeOff_19(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->LeafVertexUnitSizeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_SetLogScale_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeFieldAggregator *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogScale(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeFieldAggregator_GetLogScale_111(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;
  bool   temp20;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_LogScaleOn_112(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->LogScaleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeFieldAggregator_LogScaleOff_113(JNIEnv *env, jobject obj)
{
  vtkTreeFieldAggregator *op;

  op = (vtkTreeFieldAggregator *)vtkJavaGetPointerFromObject(env,obj);
  op->LogScaleOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeFieldAggregator_VTKInit(JNIEnv *, jobject)
{
  vtkTreeFieldAggregator *aNewOne = vtkTreeFieldAggregator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
