// java wrapper for vtkTreeMapLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAreaLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapLayoutStrategy",dType)) { return me; }
  if ((res= vtkAreaLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeMapLayoutStrategy *op;
  const char    *temp20;

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapLayoutStrategy_FindVertex_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2)
{
  vtkTreeMapLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  float  temp2[2];
  void *tempArray2;
  vtkIdType   temp20;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];

  op = (vtkTreeMapLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindVertex(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}
