// java wrapper for vtkTreeRingToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeRingToPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeRingToPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeRingToPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeRingToPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeRingToPolyData *op;
  const char    *temp20;

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeRingToPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeRingToPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingToPolyData_SetSectorsArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeRingToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSectorsArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingToPolyData_SetShrinkPercentage_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeRingToPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeRingToPolyData_GetShrinkPercentage_14(JNIEnv *env, jobject obj)
{
  vtkTreeRingToPolyData *op;
  double   temp20;

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkPercentage();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeRingToPolyData_FillInputPortInformation_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTreeRingToPolyData *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTreeRingToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeRingToPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkTreeRingToPolyData *aNewOne = vtkTreeRingToPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
