// java wrapper for vtkTulipReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTulipReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUndirectedGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTulipReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTulipReader",dType)) { return me; }
  if ((res= vtkUndirectedGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTulipReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTulipReader *op;
  const char    *temp20;

  op = (vtkTulipReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTulipReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTulipReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTulipReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTulipReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkTulipReader *op;
  char    *temp20;

  op = (vtkTulipReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTulipReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTulipReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTulipReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTulipReader_VTKInit(JNIEnv *, jobject)
{
  vtkTulipReader *aNewOne = vtkTulipReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
