// java wrapper for vtkXMLTreeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLTreeReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLTreeReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLTreeReader",dType)) { return me; }
  if ((res= vtkTreeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLTreeReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  const char    *temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLTreeReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLTreeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLTreeReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  char    *temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLTreeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLTreeReader_GetXMLString_14(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  char    *temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXMLString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetXMLString_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLTreeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXMLString(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLTreeReader_GetEdgePedigreeIdArrayName_16(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  char    *temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgePedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetEdgePedigreeIdArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLTreeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgePedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLTreeReader_GetVertexPedigreeIdArrayName_18(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  char    *temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexPedigreeIdArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetVertexPedigreeIdArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLTreeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexPedigreeIdArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetGenerateEdgePedigreeIds_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkXMLTreeReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateEdgePedigreeIds(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXMLTreeReader_GetGenerateEdgePedigreeIds_111(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  bool   temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateEdgePedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_GenerateEdgePedigreeIdsOn_112(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_GenerateEdgePedigreeIdsOff_113(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateEdgePedigreeIdsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetGenerateVertexPedigreeIds_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkXMLTreeReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateVertexPedigreeIds(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXMLTreeReader_GetGenerateVertexPedigreeIds_115(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  bool   temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateVertexPedigreeIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_GenerateVertexPedigreeIdsOn_116(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexPedigreeIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_GenerateVertexPedigreeIdsOff_117(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateVertexPedigreeIdsOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXMLTreeReader_GetMaskArrays_118(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  bool   temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaskArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetMaskArrays_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkXMLTreeReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaskArrays(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_MaskArraysOn_120(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_MaskArraysOff_121(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MaskArraysOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXMLTreeReader_GetReadCharData_122(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  bool   temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadCharData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetReadCharData_123(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkXMLTreeReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadCharData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_ReadCharDataOn_124(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadCharDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_ReadCharDataOff_125(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadCharDataOff();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkXMLTreeReader_GetReadTagName_126(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;
  bool   temp20;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadTagName();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_SetReadTagName_127(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkXMLTreeReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadTagName(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_ReadTagNameOn_128(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadTagNameOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLTreeReader_ReadTagNameOff_129(JNIEnv *env, jobject obj)
{
  vtkXMLTreeReader *op;

  op = (vtkXMLTreeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadTagNameOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLTreeReader_VTKInit(JNIEnv *, jobject)
{
  vtkXMLTreeReader *aNewOne = vtkXMLTreeReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
