// java wrapper for vtkCompositeRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeRenderManager.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkParallelRenderManager_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeRenderManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeRenderManager",dType)) { return me; }
  if ((res= vtkParallelRenderManager_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeRenderManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  const char    *temp20;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeRenderManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeRenderManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeRenderManager_SetCompositer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeRenderManager *op;
  vtkCompositer  *temp0;
  temp0 = (vtkCompositer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeRenderManager_GetCompositer_13(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  vtkCompositer  *temp20;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompositeRenderManager_GetImageProcessingTime_14(JNIEnv *env, jobject obj)
{
  vtkCompositeRenderManager *op;
  double   temp20;

  op = (vtkCompositeRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageProcessingTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeRenderManager_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeRenderManager *aNewOne = vtkCompositeRenderManager::New();
  return (jlong)(size_t)(void*)aNewOne;
}
