// java wrapper for vtkDummyController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDummyController.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiProcessController_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDummyController_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDummyController",dType)) { return me; }
  if ((res= vtkMultiProcessController_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDummyController_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;
  const char    *temp20;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDummyController_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDummyController *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_Finalize_12(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_Finalize_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDummyController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDummyController_GetLocalProcessId_14(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;
  int      temp20;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocalProcessId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_SingleMethodExecute_15(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->SingleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_MultipleMethodExecute_16(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->MultipleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_CreateOutputWindow_17(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateOutputWindow();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDummyController_GetCommunicator_18(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;
  vtkCommunicator  *temp20;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCommunicator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDummyController_GetRMICommunicator_19(JNIEnv *env, jobject obj)
{
  vtkDummyController *op;
  vtkCommunicator  *temp20;

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRMICommunicator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_SetCommunicator_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDummyController *op;
  vtkCommunicator  *temp0;
  temp0 = (vtkCommunicator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCommunicator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDummyController_SetRMICommunicator_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDummyController *op;
  vtkCommunicator  *temp0;
  temp0 = (vtkCommunicator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDummyController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRMICommunicator(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDummyController_VTKInit(JNIEnv *, jobject)
{
  vtkDummyController *aNewOne = vtkDummyController::New();
  return (jlong)(size_t)(void*)aNewOne;
}
