// java wrapper for vtkExtractCTHPart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractCTHPart.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractCTHPart_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractCTHPart",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractCTHPart_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  const char    *temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExtractCTHPart_BOUNDS_12(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BOUNDS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_RemoveDoubleVolumeArrayNames_13(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveDoubleVolumeArrayNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_RemoveFloatVolumeArrayNames_14(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveFloatVolumeArrayNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_RemoveUnsignedCharVolumeArrayNames_15(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveUnsignedCharVolumeArrayNames();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_GetNumberOfVolumeArrayNames_16(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  int      temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVolumeArrayNames();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractCTHPart_GetVolumeArrayName_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractCTHPart *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_RemoveAllVolumeArrayNames_18(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllVolumeArrayNames();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_AddDoubleVolumeArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDoubleVolumeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_AddFloatVolumeArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFloatVolumeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_AddUnsignedCharVolumeArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->AddUnsignedCharVolumeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_AddVolumeArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractCTHPart *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->AddVolumeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_SetClipPlane_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractCTHPart *op;
  vtkPlane  *temp0;
  temp0 = (vtkPlane *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipPlane(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExtractCTHPart_GetClipPlane_114(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkPlane  *temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipPlane();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractCTHPart_GetMTime_115(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
   unsigned long     temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_SetController_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractCTHPart *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExtractCTHPart_GetController_117(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  vtkMultiProcessController  *temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractCTHPart_SetVolumeFractionSurfaceValue_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkExtractCTHPart *op;
  double   temp0;
  temp0 = id0;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolumeFractionSurfaceValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExtractCTHPart_GetVolumeFractionSurfaceValueMinValue_119(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  double   temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeFractionSurfaceValueMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExtractCTHPart_GetVolumeFractionSurfaceValueMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  double   temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeFractionSurfaceValueMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExtractCTHPart_GetVolumeFractionSurfaceValue_121(JNIEnv *env, jobject obj)
{
  vtkExtractCTHPart *op;
  double   temp20;

  op = (vtkExtractCTHPart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeFractionSurfaceValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractCTHPart_VTKInit(JNIEnv *, jobject)
{
  vtkExtractCTHPart *aNewOne = vtkExtractCTHPart::New();
  return (jlong)(size_t)(void*)aNewOne;
}
