// java wrapper for vtkPDataSetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPDataSetReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPDataSetReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPDataSetReader",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPDataSetReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPDataSetReader *op;
  const char    *temp20;

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDataSetReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPDataSetReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDataSetReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPDataSetReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkPDataSetReader *op;
  char    *temp20;

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetReader_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkPDataSetReader *op;
  int      temp20;

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPDataSetReader_CanReadFile_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPDataSetReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPDataSetReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPDataSetReader_VTKInit(JNIEnv *, jobject)
{
  vtkPDataSetReader *aNewOne = vtkPDataSetReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
