// java wrapper for vtkPStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStreamTracer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPStreamTracer",dType)) { return me; }
  if ((res= vtkStreamTracer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPStreamTracer *op;
  const char    *temp20;

  op = (vtkPStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPStreamTracer_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPStreamTracer *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPStreamTracer_GetController_13(JNIEnv *env, jobject obj)
{
  vtkPStreamTracer *op;
  vtkMultiProcessController  *temp20;

  op = (vtkPStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}
