// java wrapper for vtkParallelRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelRenderManager.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelRenderManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelRenderManager",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelRenderManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  const char    *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelRenderManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelRenderManager_MakeRenderWindow_12(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelRenderManager_MakeRenderer_13(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderWindow_14(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetRenderWindow_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkParallelRenderManager_GetController_16(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  vtkMultiProcessController  *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetController_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializePieces_18(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializePieces();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializeOffScreen_19(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeOffScreen();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartInteractor_110(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->StartInteractor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartServices_111(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->StartServices();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StopServices_112(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->StopServices();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartRender_113(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->StartRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_EndRender_114(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->EndRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SatelliteStartRender_115(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SatelliteStartRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SatelliteEndRender_116(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SatelliteEndRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderRMI_117(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderRMI();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetCamera_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetCameraClippingRange_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ComputeVisiblePropBoundsRMI_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVisiblePropBoundsRMI(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_InitializeRMIs_121(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeRMIs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ResetAllCameras_122(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetAllCameras();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ComputeVisiblePropBounds_123(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVisiblePropBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetParallelRendering_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetParallelRendering_125(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ParallelRenderingOn_126(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_ParallelRenderingOff_127(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->ParallelRenderingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetRenderEventPropagation_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderEventPropagation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderEventPropagation_129(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderEventPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderEventPropagationOn_130(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderEventPropagationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RenderEventPropagationOff_131(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderEventPropagationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetDefaultRenderEventPropagation_132(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkParallelRenderManager *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultRenderEventPropagation(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkParallelRenderManager_GetDefaultRenderEventPropagation_133(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  bool   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultRenderEventPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetUseCompositing_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCompositing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetUseCompositing_135(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCompositing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseCompositingOn_136(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCompositingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseCompositingOff_137(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCompositingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetImageReductionFactor_138(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetImageReductionFactor_139(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMaxImageReductionFactor_140(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetMaxImageReductionFactor_141(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetImageReductionFactorForUpdateRate_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkParallelRenderManager *op;
  double   temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageReductionFactorForUpdateRate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetAutoImageReductionFactor_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoImageReductionFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetAutoImageReductionFactor_144(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoImageReductionFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_AutoImageReductionFactorOn_145(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoImageReductionFactorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_AutoImageReductionFactorOff_146(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoImageReductionFactorOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetRenderTime_147(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkParallelRenderManager_GetImageProcessingTime_148(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  double   temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageProcessingTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetSyncRenderWindowRenderers_149(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSyncRenderWindowRenderers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetSyncRenderWindowRenderers_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSyncRenderWindowRenderers(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SyncRenderWindowRenderersOn_151(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SyncRenderWindowRenderersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SyncRenderWindowRenderersOff_152(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SyncRenderWindowRenderersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_AddRenderer_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RemoveRenderer_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_RemoveAllRenderers_155(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllRenderers();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetWriteBackImages_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWriteBackImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetWriteBackImages_157(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWriteBackImages();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_WriteBackImagesOn_158(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteBackImagesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_WriteBackImagesOff_159(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteBackImagesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImages_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnifyImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetMagnifyImages_161(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnifyImages();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImagesOn_162(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->MagnifyImagesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImagesOff_163(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->MagnifyImagesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethod_164(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnifyImageMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetMagnifyImageMethod_165(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnifyImageMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethodToNearest_166(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnifyImageMethodToNearest();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetMagnifyImageMethodToLinear_167(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnifyImageMethodToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImage_168(JNIEnv *env, jobject obj,jobject id0,jintArray id1,jobject id2,jintArray id3,jintArray id4,jintArray id5)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  void *tempArray1;
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  void *tempArray3;
  int    temp4[4];
  void *tempArray4;
  int    temp5[4];
  void *tempArray5;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp2 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  tempArray4 = (void *)(env->GetIntArrayElements(id4,NULL));
  temp4[0] = ((jint *)tempArray4)[0];
  temp4[1] = ((jint *)tempArray4)[1];
  temp4[2] = ((jint *)tempArray4)[2];
  temp4[3] = ((jint *)tempArray4)[3];
  tempArray5 = (void *)(env->GetIntArrayElements(id5,NULL));
  temp5[0] = ((jint *)tempArray5)[0];
  temp5[1] = ((jint *)tempArray5)[1];
  temp5[2] = ((jint *)tempArray5)[2];
  temp5[3] = ((jint *)tempArray5)[3];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->MagnifyImage(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
  ((jint *)tempArray4)[0] = temp4[0];
  ((jint *)tempArray4)[1] = temp4[1];
  ((jint *)tempArray4)[2] = temp4[2];
  ((jint *)tempArray4)[3] = temp4[3];
  env->ReleaseIntArrayElements(id4,(jint *)tempArray4,0);
  ((jint *)tempArray5)[0] = temp5[0];
  ((jint *)tempArray5)[1] = temp5[1];
  ((jint *)tempArray5)[2] = temp5[2];
  ((jint *)tempArray5)[3] = temp5[3];
  env->ReleaseIntArrayElements(id5,(jint *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImageNearest_169(JNIEnv *env, jobject obj,jobject id0,jintArray id1,jobject id2,jintArray id3,jintArray id4,jintArray id5)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  void *tempArray1;
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  void *tempArray3;
  int    temp4[4];
  void *tempArray4;
  int    temp5[4];
  void *tempArray5;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp2 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  tempArray4 = (void *)(env->GetIntArrayElements(id4,NULL));
  temp4[0] = ((jint *)tempArray4)[0];
  temp4[1] = ((jint *)tempArray4)[1];
  temp4[2] = ((jint *)tempArray4)[2];
  temp4[3] = ((jint *)tempArray4)[3];
  tempArray5 = (void *)(env->GetIntArrayElements(id5,NULL));
  temp5[0] = ((jint *)tempArray5)[0];
  temp5[1] = ((jint *)tempArray5)[1];
  temp5[2] = ((jint *)tempArray5)[2];
  temp5[3] = ((jint *)tempArray5)[3];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->MagnifyImageNearest(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
  ((jint *)tempArray4)[0] = temp4[0];
  ((jint *)tempArray4)[1] = temp4[1];
  ((jint *)tempArray4)[2] = temp4[2];
  ((jint *)tempArray4)[3] = temp4[3];
  env->ReleaseIntArrayElements(id4,(jint *)tempArray4,0);
  ((jint *)tempArray5)[0] = temp5[0];
  ((jint *)tempArray5)[1] = temp5[1];
  ((jint *)tempArray5)[2] = temp5[2];
  ((jint *)tempArray5)[3] = temp5[3];
  env->ReleaseIntArrayElements(id5,(jint *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_MagnifyImageLinear_170(JNIEnv *env, jobject obj,jobject id0,jintArray id1,jobject id2,jintArray id3,jintArray id4,jintArray id5)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  int    temp1[2];
  void *tempArray1;
  vtkUnsignedCharArray  *temp2;
  int    temp3[2];
  void *tempArray3;
  int    temp4[4];
  void *tempArray4;
  int    temp5[4];
  void *tempArray5;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp2 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  tempArray4 = (void *)(env->GetIntArrayElements(id4,NULL));
  temp4[0] = ((jint *)tempArray4)[0];
  temp4[1] = ((jint *)tempArray4)[1];
  temp4[2] = ((jint *)tempArray4)[2];
  temp4[3] = ((jint *)tempArray4)[3];
  tempArray5 = (void *)(env->GetIntArrayElements(id5,NULL));
  temp5[0] = ((jint *)tempArray5)[0];
  temp5[1] = ((jint *)tempArray5)[1];
  temp5[2] = ((jint *)tempArray5)[2];
  temp5[3] = ((jint *)tempArray5)[3];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->MagnifyImageLinear(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
  ((jint *)tempArray4)[0] = temp4[0];
  ((jint *)tempArray4)[1] = temp4[1];
  ((jint *)tempArray4)[2] = temp4[2];
  ((jint *)tempArray4)[3] = temp4[3];
  env->ReleaseIntArrayElements(id4,(jint *)tempArray4,0);
  ((jint *)tempArray5)[0] = temp5[0];
  ((jint *)tempArray5)[1] = temp5[1];
  ((jint *)tempArray5)[2] = temp5[2];
  ((jint *)tempArray5)[3] = temp5[3];
  env->ReleaseIntArrayElements(id5,(jint *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetPixelData_171(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPixelData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetPixelData_172(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPixelData(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedPixelData_173(JNIEnv *env, jobject obj,jobject id0)
{
  vtkParallelRenderManager *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GetReducedPixelData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedPixelData_174(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelRenderManager_GetFullImageSize_175(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int     *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFullImageSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelRenderManager_GetReducedImageSize_176(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int     *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReducedImageSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_TileWindows_177(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->TileWindows(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetUseRGBA_178(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRGBA(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetUseRGBA_179(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRGBA();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetForceRenderWindowSize_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceRenderWindowSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetForceRenderWindowSize_181(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForceRenderWindowSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetForcedRenderWindowSize_182(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelRenderManager *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForcedRenderWindowSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetForcedRenderWindowSize_183(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkParallelRenderManager *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForcedRenderWindowSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelRenderManager_GetForcedRenderWindowSize_184(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int     *temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForcedRenderWindowSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_CheckForAbortRender_185(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckForAbortRender();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_CheckForAbortComposite_186(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckForAbortComposite();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_StartService_187(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->StartService();
}
#endif

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetUseBackBuffer_188(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseBackBuffer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetUseBackBuffer_189(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseBackBuffer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseBackBufferOn_190(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBackBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_UseBackBufferOff_191(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBackBufferOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SetSynchronizeTileProperties_192(JNIEnv *env, jobject obj,jint id0)
{
  vtkParallelRenderManager *op;
  int      temp0;
  temp0 = id0;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSynchronizeTileProperties(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelRenderManager_GetSynchronizeTileProperties_193(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;
  int      temp20;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSynchronizeTileProperties();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SynchronizeTilePropertiesOn_194(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SynchronizeTilePropertiesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_SynchronizeTilePropertiesOff_195(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SynchronizeTilePropertiesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GenericStartRenderCallback_196(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GenericStartRenderCallback();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelRenderManager_GenericEndRenderCallback_197(JNIEnv *env, jobject obj)
{
  vtkParallelRenderManager *op;

  op = (vtkParallelRenderManager *)vtkJavaGetPointerFromObject(env,obj);
  op->GenericEndRenderCallback();
}
