// java wrapper for vtkPieceRequestFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPieceRequestFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPieceRequestFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPieceRequestFilter",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPieceRequestFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  const char    *temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPieceRequestFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceRequestFilter_SetNumberOfPieces_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieceRequestFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetNumberOfPiecesMinValue_13(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPiecesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetNumberOfPiecesMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPiecesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetNumberOfPieces_15(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceRequestFilter_SetPiece_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieceRequestFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetPieceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetPieceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPieceRequestFilter_GetPiece_19(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  int      temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieceRequestFilter_GetOutput_110(JNIEnv *env, jobject obj)
{
  vtkPieceRequestFilter *op;
  vtkDataObject  *temp20;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPieceRequestFilter_GetOutput_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPieceRequestFilter *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceRequestFilter_SetInput_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPieceRequestFilter *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPieceRequestFilter_SetInput_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPieceRequestFilter *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPieceRequestFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPieceRequestFilter_VTKInit(JNIEnv *, jobject)
{
  vtkPieceRequestFilter *aNewOne = vtkPieceRequestFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
