// java wrapper for vtkProcess object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcess.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProcess_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProcess",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProcess_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProcess *op;
  const char    *temp20;

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcess_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProcess *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcess_Execute_12(JNIEnv *env, jobject obj)
{
  vtkProcess *op;

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  op->Execute();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProcess_GetController_13(JNIEnv *env, jobject obj)
{
  vtkProcess *op;
  vtkMultiProcessController  *temp20;

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcess_SetController_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProcess *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcess_GetReturnValue_15(JNIEnv *env, jobject obj)
{
  vtkProcess *op;
  int      temp20;

  op = (vtkProcess *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReturnValue();
  return temp20;
}
