// java wrapper for vtkSocketController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSocketController.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiProcessController_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSocketController_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSocketController",dType)) { return me; }
  if ((res= vtkMultiProcessController_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSocketController_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;
  const char    *temp20;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketController_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSocketController *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_Finalize_13(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_Finalize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_SingleMethodExecute_15(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->SingleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_MultipleMethodExecute_16(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->MultipleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_CreateOutputWindow_17(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateOutputWindow();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketController_WaitForConnection_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketController *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WaitForConnection(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_CloseConnection_19(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->CloseConnection();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketController_ConnectTo_110(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSocketController *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ConnectTo(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketController_GetSwapBytesInReceivedData_111(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;
  int      temp20;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapBytesInReceivedData();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketController_SetCommunicator_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSocketController *op;
  vtkSocketCommunicator  *temp0;
  temp0 = (vtkSocketCommunicator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCommunicator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSocketController_CreateCompliantController_113(JNIEnv *env, jobject obj)
{
  vtkSocketController *op;
  vtkMultiProcessController  *temp20;

  op = (vtkSocketController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateCompliantController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSocketController_VTKInit(JNIEnv *, jobject)
{
  vtkSocketController *aNewOne = vtkSocketController::New();
  return (jlong)(size_t)(void*)aNewOne;
}
