// java wrapper for vtkTemporalStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTemporalStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStreamTracer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTemporalStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTemporalStreamTracer",dType)) { return me; }
  if ((res= vtkStreamTracer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  const char    *temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTimeStep_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetTimeStep_13(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
   unsigned int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetIgnorePipelineTime_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIgnorePipelineTime(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetIgnorePipelineTime_15(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIgnorePipelineTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_IgnorePipelineTimeOn_16(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnorePipelineTimeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_IgnorePipelineTimeOff_17(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnorePipelineTimeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTimeStepResolution_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeStepResolution(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalStreamTracer_GetTimeStepResolution_19(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  double   temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeStepResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetForceReinjectionEveryNSteps_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceReinjectionEveryNSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetForceReinjectionEveryNSteps_111(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForceReinjectionEveryNSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTerminationTime_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTemporalStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminationTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTemporalStreamTracer_GetTerminationTime_113(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  double   temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminationTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTerminationTimeUnit_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminationTimeUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetTerminationTimeUnit_115(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminationTimeUnit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTerminationTimeUnitToTimeUnit_116(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminationTimeUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetTerminationTimeUnitToStepUnit_117(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminationTimeUnitToStepUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetStaticSeeds_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStaticSeeds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetStaticSeeds_119(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStaticSeeds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_StaticSeedsOn_120(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->StaticSeedsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_StaticSeedsOff_121(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->StaticSeedsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetStaticMesh_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStaticMesh(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetStaticMesh_123(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStaticMesh();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_StaticMeshOn_124(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->StaticMeshOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_StaticMeshOff_125(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->StaticMeshOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetController_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTemporalStreamTracer *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTemporalStreamTracer_GetController_127(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  vtkMultiProcessController  *temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetParticleWriter_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTemporalStreamTracer *op;
  vtkAbstractParticleWriter  *temp0;
  temp0 = (vtkAbstractParticleWriter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParticleWriter(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTemporalStreamTracer_GetParticleWriter_129(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  vtkAbstractParticleWriter  *temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleWriter();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetParticleFileName_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTemporalStreamTracer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParticleFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTemporalStreamTracer_GetParticleFileName_131(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  char    *temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_SetEnableParticleWriting_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkTemporalStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableParticleWriting(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTemporalStreamTracer_GetEnableParticleWriting_133(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;
  int      temp20;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableParticleWriting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_EnableParticleWritingOn_134(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableParticleWritingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_EnableParticleWritingOff_135(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableParticleWritingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_AddSourceConnection_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTemporalStreamTracer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTemporalStreamTracer_RemoveAllSources_137(JNIEnv *env, jobject obj)
{
  vtkTemporalStreamTracer *op;

  op = (vtkTemporalStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllSources();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTemporalStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkTemporalStreamTracer *aNewOne = vtkTemporalStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
