// java wrapper for vtkTransmitRectilinearGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransmitRectilinearGridPiece.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRectilinearGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransmitRectilinearGridPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransmitRectilinearGridPiece",dType)) { return me; }
  if ((res= vtkRectilinearGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransmitRectilinearGridPiece *op;
  const char    *temp20;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransmitRectilinearGridPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransmitRectilinearGridPiece *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_GetController_13(JNIEnv *env, jobject obj)
{
  vtkTransmitRectilinearGridPiece *op;
  vtkMultiProcessController  *temp20;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_SetCreateGhostCells_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransmitRectilinearGridPiece *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreateGhostCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_GetCreateGhostCells_15(JNIEnv *env, jobject obj)
{
  vtkTransmitRectilinearGridPiece *op;
  int      temp20;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreateGhostCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_CreateGhostCellsOn_16(JNIEnv *env, jobject obj)
{
  vtkTransmitRectilinearGridPiece *op;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGhostCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_CreateGhostCellsOff_17(JNIEnv *env, jobject obj)
{
  vtkTransmitRectilinearGridPiece *op;

  op = (vtkTransmitRectilinearGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGhostCellsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransmitRectilinearGridPiece_VTKInit(JNIEnv *, jobject)
{
  vtkTransmitRectilinearGridPiece *aNewOne = vtkTransmitRectilinearGridPiece::New();
  return (jlong)(size_t)(void*)aNewOne;
}
