// java wrapper for vtkTransmitUnstructuredGridPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransmitUnstructuredGridPiece.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransmitUnstructuredGridPiece_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransmitUnstructuredGridPiece",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  const char    *temp20;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_SetController_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetController_13(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  vtkMultiProcessController  *temp20;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_SetCreateGhostCells_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransmitUnstructuredGridPiece *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreateGhostCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_GetCreateGhostCells_15(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;
  int      temp20;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreateGhostCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_CreateGhostCellsOn_16(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGhostCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_CreateGhostCellsOff_17(JNIEnv *env, jobject obj)
{
  vtkTransmitUnstructuredGridPiece *op;

  op = (vtkTransmitUnstructuredGridPiece *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateGhostCellsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransmitUnstructuredGridPiece_VTKInit(JNIEnv *, jobject)
{
  vtkTransmitUnstructuredGridPiece *aNewOne = vtkTransmitUnstructuredGridPiece::New();
  return (jlong)(size_t)(void*)aNewOne;
}
