// java wrapper for vtkTreeCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeCompositer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeCompositer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeCompositer",dType)) { return me; }
  if ((res= vtkCompositer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeCompositer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeCompositer *op;
  const char    *temp20;

  op = (vtkTreeCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeCompositer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeCompositer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeCompositer_CompositeBuffer_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkTreeCompositer *op;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkTreeCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->CompositeBuffer(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeCompositer_VTKInit(JNIEnv *, jobject)
{
  vtkTreeCompositer *aNewOne = vtkTreeCompositer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
