// java wrapper for vtkAbstractPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPropPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractPropPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractPropPicker",dType)) { return me; }
  if ((res= vtkAbstractPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPropPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  const char    *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPropPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPropPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPropPicker_SetPath_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPropPicker *op;
  vtkAssemblyPath  *temp0;
  temp0 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPath(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetPath_13(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkAssemblyPath  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPath();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetViewProp_14(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetProp3D_15(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp3D  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProp3D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetActor_16(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkActor  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetActor2D_17(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkActor2D  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetVolume_18(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkVolume  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolume();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetAssembly_19(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkAssembly  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssembly();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetPropAssembly_110(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkPropAssembly  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPropAssembly();
  return (jlong)(size_t)temp20;}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPropPicker_GetProp_111(JNIEnv *env, jobject obj)
{
  vtkAbstractPropPicker *op;
  vtkProp  *temp20;

  op = (vtkAbstractPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProp();
  return (jlong)(size_t)temp20;}
#endif
