// java wrapper for vtkCameraActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCameraActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCameraActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCameraActor",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCameraActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
  const char    *temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCameraActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraActor_SetCamera_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraActor *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraActor_GetCamera_13(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
  vtkCamera  *temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraActor_SetWidthByHeightRatio_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCameraActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidthByHeightRatio(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCameraActor_GetWidthByHeightRatio_15(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
  double   temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidthByHeightRatio();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraActor_RenderOpaqueGeometry_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraActor_HasTranslucentPolygonalGeometry_17(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
  int      temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraActor_ReleaseGraphicsResources_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraActor_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
   unsigned long     temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraActor_GetProperty_110(JNIEnv *env, jobject obj)
{
  vtkCameraActor *op;
  vtkProperty  *temp20;

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraActor_SetProperty_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCameraActor_VTKInit(JNIEnv *, jobject)
{
  vtkCameraActor *aNewOne = vtkCameraActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
