// java wrapper for vtkChooserPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChooserPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChooserPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChooserPainter",dType)) { return me; }
  if ((res= vtkPolyDataPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChooserPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChooserPainter *op;
  const char    *temp20;

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChooserPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChooserPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_SetVertPainter_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChooserPainter *op;
  vtkPolyDataPainter  *temp0;
  temp0 = (vtkPolyDataPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertPainter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_SetLinePainter_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChooserPainter *op;
  vtkPolyDataPainter  *temp0;
  temp0 = (vtkPolyDataPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLinePainter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_SetPolyPainter_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChooserPainter *op;
  vtkPolyDataPainter  *temp0;
  temp0 = (vtkPolyDataPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolyPainter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_SetStripPainter_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChooserPainter *op;
  vtkPolyDataPainter  *temp0;
  temp0 = (vtkPolyDataPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStripPainter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_SetUseLinesPainterForWireframes_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkChooserPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseLinesPainterForWireframes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChooserPainter_GetUseLinesPainterForWireframes_17(JNIEnv *env, jobject obj)
{
  vtkChooserPainter *op;
  int      temp20;

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseLinesPainterForWireframes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_UseLinesPainterForWireframesOn_18(JNIEnv *env, jobject obj)
{
  vtkChooserPainter *op;

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseLinesPainterForWireframesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChooserPainter_UseLinesPainterForWireframesOff_19(JNIEnv *env, jobject obj)
{
  vtkChooserPainter *op;

  op = (vtkChooserPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseLinesPainterForWireframesOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkChooserPainter_VTKInit(JNIEnv *, jobject)
{
  vtkChooserPainter *aNewOne = vtkChooserPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
