// java wrapper for vtkClearZPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkClearZPass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkClearZPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkClearZPass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkClearZPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkClearZPass *op;
  const char    *temp20;

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkClearZPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkClearZPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkClearZPass_SetDepth_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkClearZPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClearZPass_GetDepthMinValue_13(JNIEnv *env, jobject obj)
{
  vtkClearZPass *op;
  double   temp20;

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClearZPass_GetDepthMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkClearZPass *op;
  double   temp20;

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkClearZPass_GetDepth_15(JNIEnv *env, jobject obj)
{
  vtkClearZPass *op;
  double   temp20;

  op = (vtkClearZPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepth();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkClearZPass_VTKInit(JNIEnv *, jobject)
{
  vtkClearZPass *aNewOne = vtkClearZPass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
