// java wrapper for vtkCoincidentTopologyResolutionPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCoincidentTopologyResolutionPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCoincidentTopologyResolutionPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCoincidentTopologyResolutionPainter",dType)) { return me; }
  if ((res= vtkPolyDataPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCoincidentTopologyResolutionPainter *op;
  const char    *temp20;

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCoincidentTopologyResolutionPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_RESOLVE_1COINCIDENT_1TOPOLOGY_12(JNIEnv *env, jobject obj)
{
  vtkCoincidentTopologyResolutionPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RESOLVE_COINCIDENT_TOPOLOGY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_Z_1SHIFT_13(JNIEnv *env, jobject obj)
{
  vtkCoincidentTopologyResolutionPainter *op;
  vtkInformationDoubleKey  *temp20;

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Z_SHIFT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_POLYGON_1OFFSET_1PARAMETERS_14(JNIEnv *env, jobject obj)
{
  vtkCoincidentTopologyResolutionPainter *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->POLYGON_OFFSET_PARAMETERS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_POLYGON_1OFFSET_1FACES_15(JNIEnv *env, jobject obj)
{
  vtkCoincidentTopologyResolutionPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkCoincidentTopologyResolutionPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->POLYGON_OFFSET_FACES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCoincidentTopologyResolutionPainter_VTKInit(JNIEnv *, jobject)
{
  vtkCoincidentTopologyResolutionPainter *aNewOne = vtkCoincidentTopologyResolutionPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
