// java wrapper for vtkDisplayListPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDisplayListPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDisplayListPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDisplayListPainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDisplayListPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDisplayListPainter *op;
  const char    *temp20;

  op = (vtkDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDisplayListPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDisplayListPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDisplayListPainter_IMMEDIATE_1MODE_1RENDERING_12(JNIEnv *env, jobject obj)
{
  vtkDisplayListPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IMMEDIATE_MODE_RENDERING();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDisplayListPainter_GetTimeToDraw_13(JNIEnv *env, jobject obj)
{
  vtkDisplayListPainter *op;
  double   temp20;

  op = (vtkDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeToDraw();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDisplayListPainter_VTKInit(JNIEnv *, jobject)
{
  vtkDisplayListPainter *aNewOne = vtkDisplayListPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
