// java wrapper for vtkDynamic2DLabelMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDynamic2DLabelMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabeledDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDynamic2DLabelMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDynamic2DLabelMapper",dType)) { return me; }
  if ((res= vtkLabeledDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDynamic2DLabelMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;
  const char    *temp20;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDynamic2DLabelMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDynamic2DLabelMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_SetPriorityArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDynamic2DLabelMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPriorityArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_SetReversePriority_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDynamic2DLabelMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReversePriority(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDynamic2DLabelMapper_GetReversePriority_14(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;
  bool   temp20;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReversePriority();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_ReversePriorityOn_15(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReversePriorityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_ReversePriorityOff_16(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReversePriorityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_SetLabelHeightPadding_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDynamic2DLabelMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelHeightPadding(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDynamic2DLabelMapper_GetLabelHeightPadding_18(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;
  float    temp20;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelHeightPadding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_SetLabelWidthPadding_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDynamic2DLabelMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelWidthPadding(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDynamic2DLabelMapper_GetLabelWidthPadding_110(JNIEnv *env, jobject obj)
{
  vtkDynamic2DLabelMapper *op;
  float    temp20;

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelWidthPadding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_RenderOpaqueGeometry_111(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDynamic2DLabelMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOpaqueGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDynamic2DLabelMapper_RenderOverlay_112(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDynamic2DLabelMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDynamic2DLabelMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDynamic2DLabelMapper_VTKInit(JNIEnv *, jobject)
{
  vtkDynamic2DLabelMapper *aNewOne = vtkDynamic2DLabelMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
