// java wrapper for vtkFrustumCoverageCuller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFrustumCoverageCuller.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCuller_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFrustumCoverageCuller_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFrustumCoverageCuller",dType)) { return me; }
  if ((res= vtkCuller_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  const char    *temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFrustumCoverageCuller_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFrustumCoverageCuller *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetMinimumCoverage_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFrustumCoverageCuller *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumCoverage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetMinimumCoverage_13(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  double   temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumCoverage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetMaximumCoverage_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFrustumCoverageCuller *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumCoverage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetMaximumCoverage_15(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  double   temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumCoverage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetSortingStyle_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkFrustumCoverageCuller *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortingStyle(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetSortingStyleMinValue_17(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  int      temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortingStyleMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetSortingStyleMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  int      temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortingStyleMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetSortingStyle_19(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  int      temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortingStyle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetSortingStyleToNone_110(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortingStyleToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetSortingStyleToBackToFront_111(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortingStyleToBackToFront();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFrustumCoverageCuller_SetSortingStyleToFrontToBack_112(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortingStyleToFrontToBack();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFrustumCoverageCuller_GetSortingStyleAsString_113(JNIEnv *env, jobject obj)
{
  vtkFrustumCoverageCuller *op;
  const char    *temp20;

  op = (vtkFrustumCoverageCuller *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortingStyleAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFrustumCoverageCuller_VTKInit(JNIEnv *, jobject)
{
  vtkFrustumCoverageCuller *aNewOne = vtkFrustumCoverageCuller::New();
  return (jlong)(size_t)(void*)aNewOne;
}
