// java wrapper for vtkGenericVertexAttributeMapping object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericVertexAttributeMapping.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericVertexAttributeMapping_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericVertexAttributeMapping",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericVertexAttributeMapping *op;
  const char    *temp20;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericVertexAttributeMapping *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_AddMapping_12(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkGenericVertexAttributeMapping *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  op->AddMapping(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_AddMapping_13(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3)
{
  vtkGenericVertexAttributeMapping *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  op->AddMapping(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_RemoveMapping_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericVertexAttributeMapping *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveMapping(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_RemoveAllMappings_15(JNIEnv *env, jobject obj)
{
  vtkGenericVertexAttributeMapping *op;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllMappings();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetNumberOfMappings_16(JNIEnv *env, jobject obj)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp20;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfMappings();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetAttributeName_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetArrayName_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetFieldAssociation_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldAssociation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetComponent_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericVertexAttributeMapping_GetTextureUnit_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericVertexAttributeMapping *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericVertexAttributeMapping *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureUnit(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericVertexAttributeMapping_VTKInit(JNIEnv *, jobject)
{
  vtkGenericVertexAttributeMapping *aNewOne = vtkGenericVertexAttributeMapping::New();
  return (jlong)(size_t)(void*)aNewOne;
}
