// java wrapper for vtkHardwareSelectionPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHardwareSelectionPolyDataPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStandardPolyDataPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHardwareSelectionPolyDataPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHardwareSelectionPolyDataPainter",dType)) { return me; }
  if ((res= vtkStandardPolyDataPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHardwareSelectionPolyDataPainter *op;
  const char    *temp20;

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHardwareSelectionPolyDataPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_SetEnableSelection_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelectionPolyDataPainter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableSelection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_GetEnableSelection_13(JNIEnv *env, jobject obj)
{
  vtkHardwareSelectionPolyDataPainter *op;
  int      temp20;

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableSelection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_EnableSelectionOn_14(JNIEnv *env, jobject obj)
{
  vtkHardwareSelectionPolyDataPainter *op;

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableSelectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_EnableSelectionOff_15(JNIEnv *env, jobject obj)
{
  vtkHardwareSelectionPolyDataPainter *op;

  op = (vtkHardwareSelectionPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableSelectionOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHardwareSelectionPolyDataPainter_VTKInit(JNIEnv *, jobject)
{
  vtkHardwareSelectionPolyDataPainter *aNewOne = vtkHardwareSelectionPolyDataPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
