// java wrapper for vtkHardwareSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHardwareSelector.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHardwareSelector_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHardwareSelector",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHardwareSelector_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  const char    *temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelector_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHardwareSelector *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_SetRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHardwareSelector *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHardwareSelector_GetRenderer_13(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  vtkRenderer  *temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_SetArea_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkHardwareSelector *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
   unsigned int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArea(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_SetFieldAssociation_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelector *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldAssociation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelector_GetFieldAssociation_16(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  int      temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldAssociation();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHardwareSelector_Select_17(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  vtkSelection  *temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Select();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHardwareSelector_CaptureBuffers_18(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  bool   temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CaptureBuffers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_ClearBuffers_19(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearBuffers();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_RenderCompositeIndex_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelector *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderCompositeIndex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_RenderAttributeId_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelector *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderAttributeId(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_BeginRenderProp_112(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->BeginRenderProp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_EndRenderProp_113(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->EndRenderProp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHardwareSelector_SetProcessID_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelector *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelector_GetProcessID_115(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  int      temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessID();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHardwareSelector_GetCurrentPass_116(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  int      temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentPass();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHardwareSelector_GenerateSelection_117(JNIEnv *env, jobject obj)
{
  vtkHardwareSelector *op;
  vtkSelection  *temp20;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GenerateSelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHardwareSelector_GenerateSelection_118(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkHardwareSelector *op;
   unsigned int      temp0;
   unsigned int      temp1;
   unsigned int      temp2;
   unsigned int      temp3;
  vtkSelection  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GenerateSelection(temp0,temp1,temp2,temp3);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHardwareSelector_GetPropFromID_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkHardwareSelector *op;
  int      temp0;
  vtkProp  *temp20;
  temp0 = id0;

  op = (vtkHardwareSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPropFromID(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHardwareSelector_VTKInit(JNIEnv *, jobject)
{
  vtkHardwareSelector *aNewOne = vtkHardwareSelector::New();
  return (jlong)(size_t)(void*)aNewOne;
}
