// java wrapper for vtkIdentColoredPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIdentColoredPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIdentColoredPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIdentColoredPainter",dType)) { return me; }
  if ((res= vtkPolyDataPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIdentColoredPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIdentColoredPainter *op;
  const char    *temp20;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdentColoredPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIdentColoredPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdentColoredPainter_ResetCurrentId_12(JNIEnv *env, jobject obj)
{
  vtkIdentColoredPainter *op;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCurrentId();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdentColoredPainter_ColorByConstant_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdentColoredPainter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByConstant(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdentColoredPainter_ColorByIncreasingIdent_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdentColoredPainter *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByIncreasingIdent(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdentColoredPainter_ColorByActorId_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIdentColoredPainter *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByActorId(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdentColoredPainter_ColorByVertex_16(JNIEnv *env, jobject obj)
{
  vtkIdentColoredPainter *op;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByVertex();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIdentColoredPainter_GetActorFromId_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdentColoredPainter *op;
  vtkIdType   temp0;
  vtkProp  *temp20;
  temp0 = id0;

  op = (vtkIdentColoredPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActorFromId(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIdentColoredPainter_VTKInit(JNIEnv *, jobject)
{
  vtkIdentColoredPainter *aNewOne = vtkIdentColoredPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
