// java wrapper for vtkInteractorStyleImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleImage.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleTrackballCamera_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleImage_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleImage",dType)) { return me; }
  if ((res= vtkInteractorStyleTrackballCamera_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleImage_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  const char    *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleImage_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleImage *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetWindowLevelStartPosition_12(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int     *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowLevelStartPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetWindowLevelCurrentPosition_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int     *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowLevelCurrentPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnMouseMove_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnLeftButtonDown_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnLeftButtonUp_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnMiddleButtonDown_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnMiddleButtonUp_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnRightButtonDown_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnRightButtonUp_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_OnChar_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_WindowLevel_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_Pick_113(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->Pick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_Slice_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->Slice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_StartWindowLevel_115(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_EndWindowLevel_116(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->EndWindowLevel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_StartPick_117(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->StartPick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_EndPick_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPick();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_StartSlice_119(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->StartSlice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_EndSlice_120(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->EndSlice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetInteractionMode_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyleImage *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleImage_GetInteractionModeMinValue_122(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int      temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleImage_GetInteractionModeMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int      temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleImage_GetInteractionMode_124(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  int      temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetInteractionModeToImage2D_125(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionModeToImage2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetInteractionModeToImage3D_126(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionModeToImage3D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetInteractionModeToImageSlicing_127(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionModeToImageSlicing();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetXViewRightVector_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXViewRightVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetXViewRightVector_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXViewRightVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetXViewRightVector_130(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXViewRightVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetXViewUpVector_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXViewUpVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetXViewUpVector_132(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXViewUpVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetXViewUpVector_133(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXViewUpVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetYViewRightVector_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYViewRightVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetYViewRightVector_135(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYViewRightVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetYViewRightVector_136(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYViewRightVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetYViewUpVector_137(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYViewUpVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetYViewUpVector_138(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYViewUpVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetYViewUpVector_139(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYViewUpVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetZViewRightVector_140(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZViewRightVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetZViewRightVector_141(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZViewRightVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetZViewRightVector_142(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZViewRightVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetZViewUpVector_143(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleImage *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZViewUpVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetZViewUpVector_144(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZViewUpVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleImage_GetZViewUpVector_145(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  double  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZViewUpVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleImage_SetImageOrientation_146(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkInteractorStyleImage *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageOrientation(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyleImage_GetCurrentImageProperty_147(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleImage *op;
  vtkImageProperty  *temp20;

  op = (vtkInteractorStyleImage *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentImageProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleImage_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleImage *aNewOne = vtkInteractorStyleImage::New();
  return (jlong)(size_t)(void*)aNewOne;
}
