// java wrapper for vtkInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyle.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyle",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  const char    *temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetInteractor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetEnabled_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetAutoAdjustCameraClippingRange_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustCameraClippingRange(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustCameraClippingRangeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustCameraClippingRangeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetAutoAdjustCameraClippingRange_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustCameraClippingRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_AutoAdjustCameraClippingRangeOn_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustCameraClippingRangeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_AutoAdjustCameraClippingRangeOff_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustCameraClippingRangeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_FindPokedRenderer_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkInteractorStyle *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPokedRenderer(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetState_111(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetState();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetUseTimers_112(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseTimers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetUseTimers_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseTimers(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UseTimersOn_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTimersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UseTimersOff_115(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTimersOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetTimerDuration_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimerDuration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetTimerDurationMinValue_117(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
   unsigned long     temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDurationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetTimerDurationMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
   unsigned long     temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDurationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetTimerDuration_119(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
   unsigned long     temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimerDuration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetHandleObservers_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleObservers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyle_GetHandleObservers_121(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  int      temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleObservers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HandleObserversOn_122(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleObserversOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HandleObserversOff_123(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleObserversOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseMove_124(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeftButtonDown_125(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeftButtonUp_126(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMiddleButtonDown_127(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMiddleButtonUp_128(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnRightButtonDown_129(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnRightButtonUp_130(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseWheelForward_131(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseWheelForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnMouseWheelBackward_132(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseWheelBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnChar_133(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyDown_134(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnKeyDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyUp_135(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnKeyUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyPress_136(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnKeyPress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnKeyRelease_137(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnKeyRelease();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnExpose_138(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnExpose();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnConfigure_139(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnConfigure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnEnter_140(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnEnter();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnLeave_141(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeave();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_OnTimer_142(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Rotate_143(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Rotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Spin_144(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Spin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Pan_145(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Dolly_146(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Dolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_Zoom_147(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Zoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_UniformScale_148(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->UniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartState_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyle *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartState(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StopState_150(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StopState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartAnimate_151(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartAnimate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StopAnimate_152(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StopAnimate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartRotate_153(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartRotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndRotate_154(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndRotate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartZoom_155(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndZoom_156(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartPan_157(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndPan_158(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartSpin_159(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartSpin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndSpin_160(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndSpin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartDolly_161(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartDolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndDolly_162(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndDolly();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartUniformScale_163(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartUniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndUniformScale_164(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndUniformScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_StartTimer_165(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_EndTimer_166(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndTimer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightProp_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->HighlightProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightActor2D_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkActor2D  *temp0;
  temp0 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->HighlightActor2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_HighlightProp3D_169(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkProp3D  *temp0;
  temp0 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->HighlightProp3D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetPickColor_170(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyle *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPickColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetPickColor_171(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyle *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPickColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyle_GetPickColor_172(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  double  *temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetMouseWheelMotionFactor_173(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyle *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMouseWheelMotionFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyle_GetMouseWheelMotionFactor_174(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  double   temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMouseWheelMotionFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyle_GetTDxStyle_175(JNIEnv *env, jobject obj)
{
  vtkInteractorStyle *op;
  vtkTDxInteractorStyle  *temp20;

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTDxStyle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyle_SetTDxStyle_176(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyle *op;
  vtkTDxInteractorStyle  *temp0;
  temp0 = (vtkTDxInteractorStyle *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTDxStyle(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyle_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyle *aNewOne = vtkInteractorStyle::New();
  return (jlong)(size_t)(void*)aNewOne;
}
