// java wrapper for vtkInteractorStyleUnicam object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleUnicam.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleUnicam_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleUnicam",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleUnicam_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;
  const char    *temp20;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleUnicam_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleUnicam *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_SetWorldUpVector_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkInteractorStyleUnicam *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldUpVector(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_SetWorldUpVector_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleUnicam *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldUpVector(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkInteractorStyleUnicam_GetWorldUpVector_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;
  double  *temp20;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldUpVector();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_OnMouseMove_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_OnLeftButtonDown_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_OnLeftButtonUp_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_OnLeftButtonMove_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleUnicam_OnTimer_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleUnicam *op;

  op = (vtkInteractorStyleUnicam *)vtkJavaGetPointerFromObject(env,obj);
  op->OnTimer();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleUnicam_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleUnicam *aNewOne = vtkInteractorStyleUnicam::New();
  return (jlong)(size_t)(void*)aNewOne;
}
