// java wrapper for vtkLabelHierarchyCompositeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelHierarchyCompositeIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabelHierarchyIterator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabelHierarchyCompositeIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabelHierarchyCompositeIterator",dType)) { return me; }
  if ((res= vtkLabelHierarchyIterator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;
  const char    *temp20;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabelHierarchyCompositeIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_AddIterator_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkLabelHierarchyIterator  *temp0;
  temp0 = (vtkLabelHierarchyIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddIterator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_AddIterator_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkLabelHierarchyIterator  *temp0;
  int      temp1;
  temp0 = (vtkLabelHierarchyIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddIterator(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_ClearIterators_14(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearIterators();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_Begin_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_Next_16(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Next();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_IsAtEnd_17(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;
  bool   temp20;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAtEnd();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_GetLabelId_18(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkIdType   temp20;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_GetHierarchy_19(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkLabelHierarchy  *temp20;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_BoxNode_110(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyCompositeIterator *op;

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxNode();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_BoxAllNodes_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyCompositeIterator *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyCompositeIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxAllNodes(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLabelHierarchyCompositeIterator_VTKInit(JNIEnv *, jobject)
{
  vtkLabelHierarchyCompositeIterator *aNewOne = vtkLabelHierarchyCompositeIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
