// java wrapper for vtkLabelHierarchyIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelHierarchyIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLabelHierarchyIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLabelHierarchyIterator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  const char    *temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLabelHierarchyIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_Begin_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyIterator *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_Next_13(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->Next();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkLabelHierarchyIterator_IsAtEnd_14(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  bool   temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAtEnd();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetPoint_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLabelHierarchyIterator *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetSize_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLabelHierarchyIterator *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetBoundedSize_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLabelHierarchyIterator *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBoundedSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetType_18(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  int      temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetType();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetLabel_19(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  vtkStdString   temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetOrientation_110(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  double   temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetLabelId_111(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  vtkIdType   temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetHierarchy_112(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  vtkLabelHierarchy  *temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_SetTraversedBounds_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyIterator *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTraversedBounds(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_BoxNode_114(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxNode();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_BoxAllNodes_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLabelHierarchyIterator *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->BoxAllNodes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLabelHierarchyIterator_SetAllBounds_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkLabelHierarchyIterator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLabelHierarchyIterator_GetAllBounds_117(JNIEnv *env, jobject obj)
{
  vtkLabelHierarchyIterator *op;
  int      temp20;

  op = (vtkLabelHierarchyIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllBounds();
  return temp20;
}
