// java wrapper for vtkOpenGLActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLActor",dType)) { return me; }
  if ((res= vtkActor_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLActor *op;
  const char    *temp20;

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLActor_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLActor *op;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLActor *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLActor_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLActor *aNewOne = vtkOpenGLActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
