// java wrapper for vtkOpenGLDisplayListPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLDisplayListPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDisplayListPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLDisplayListPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLDisplayListPainter",dType)) { return me; }
  if ((res= vtkDisplayListPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLDisplayListPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLDisplayListPainter *op;
  const char    *temp20;

  op = (vtkOpenGLDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLDisplayListPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLDisplayListPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLDisplayListPainter_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLDisplayListPainter *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLDisplayListPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLDisplayListPainter_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLDisplayListPainter *aNewOne = vtkOpenGLDisplayListPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
