// java wrapper for vtkOpenGLFreeTypeTextMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLFreeTypeTextMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTextMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLFreeTypeTextMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLFreeTypeTextMapper",dType)) { return me; }
  if ((res= vtkTextMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLFreeTypeTextMapper *op;
  const char    *temp20;

  op = (vtkOpenGLFreeTypeTextMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLFreeTypeTextMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLFreeTypeTextMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLFreeTypeTextMapper *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLFreeTypeTextMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_ReleaseGraphicsResources_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLFreeTypeTextMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLFreeTypeTextMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_GetSize_14(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkOpenGLFreeTypeTextMapper *op;
  vtkViewport  *temp0;
  int    temp1[2];
  void *tempArray1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkOpenGLFreeTypeTextMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSize(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLFreeTypeTextMapper_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLFreeTypeTextMapper *aNewOne = vtkOpenGLFreeTypeTextMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
