// java wrapper for vtkOpenGLPainterDeviceAdapter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLPainterDeviceAdapter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainterDeviceAdapter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLPainterDeviceAdapter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLPainterDeviceAdapter",dType)) { return me; }
  if ((res= vtkPainterDeviceAdapter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLPainterDeviceAdapter *op;
  const char    *temp20;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_BeginPrimitive_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->BeginPrimitive(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_EndPrimitive_13(JNIEnv *env, jobject obj)
{
  vtkOpenGLPainterDeviceAdapter *op;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPrimitive();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_IsAttributesSupported_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAttributesSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_EnableAttributeArray_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAttributeArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_DisableAttributeArray_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAttributeArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_DrawArrays_17(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawArrays(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_Compatible_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Compatible(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_MakeLighting_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeLighting(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_QueryLighting_110(JNIEnv *env, jobject obj)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryLighting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_MakeMultisampling_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeMultisampling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_QueryMultisampling_112(JNIEnv *env, jobject obj)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryMultisampling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_MakeBlending_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeBlending(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_QueryBlending_114(JNIEnv *env, jobject obj)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp20;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->QueryBlending();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_MakeVertexEmphasis_115(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeVertexEmphasis(temp0);
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_MakeVertexEmphasisWithStencilCheck_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeVertexEmphasisWithStencilCheck(temp0);
}
#endif

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_Stencil_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->Stencil(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_WriteStencil_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->WriteStencil(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_TestStencil_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLPainterDeviceAdapter *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkOpenGLPainterDeviceAdapter *)vtkJavaGetPointerFromObject(env,obj);
  op->TestStencil(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLPainterDeviceAdapter_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLPainterDeviceAdapter *aNewOne = vtkOpenGLPainterDeviceAdapter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
