// java wrapper for vtkOpenGLPolyDataMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLPolyDataMapper2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataMapper2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLPolyDataMapper2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLPolyDataMapper2D",dType)) { return me; }
  if ((res= vtkPolyDataMapper2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLPolyDataMapper2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLPolyDataMapper2D *op;
  const char    *temp20;

  op = (vtkOpenGLPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLPolyDataMapper2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLPolyDataMapper2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLPolyDataMapper2D_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLPolyDataMapper2D *op;
  vtkViewport  *temp0;
  vtkActor2D  *temp1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLPolyDataMapper2D *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOverlay(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLPolyDataMapper2D_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLPolyDataMapper2D *aNewOne = vtkOpenGLPolyDataMapper2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
