// java wrapper for vtkOpenGLScalarsToColorsPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLScalarsToColorsPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkScalarsToColorsPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLScalarsToColorsPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLScalarsToColorsPainter",dType)) { return me; }
  if ((res= vtkScalarsToColorsPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLScalarsToColorsPainter *op;
  const char    *temp20;

  op = (vtkOpenGLScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLScalarsToColorsPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLScalarsToColorsPainter *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_GetPremultiplyColorsWithAlpha_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLScalarsToColorsPainter *op;
  vtkActor  *temp0;
  int      temp20;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPremultiplyColorsWithAlpha(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_GetTextureSizeLimit_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLScalarsToColorsPainter *op;
  vtkIdType   temp20;

  op = (vtkOpenGLScalarsToColorsPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureSizeLimit();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLScalarsToColorsPainter_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLScalarsToColorsPainter *aNewOne = vtkOpenGLScalarsToColorsPainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
