// java wrapper for vtkPainterPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPainterPolyDataMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPainterPolyDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPainterPolyDataMapper",dType)) { return me; }
  if ((res= vtkPolyDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPainterPolyDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;
  const char    *temp20;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPainterPolyDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPainterPolyDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_RenderPiece_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPainterPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderPiece(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPainterPolyDataMapper_GetPainter_13(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;
  vtkPainter  *temp20;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPainter();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_SetPainter_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPainterPolyDataMapper *op;
  vtkPainter  *temp0;
  temp0 = (vtkPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPainter(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPainterPolyDataMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_MapDataArrayToVertexAttribute_16(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkPainterPolyDataMapper *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_MapDataArrayToMultiTextureAttribute_17(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3)
{
  vtkPainterPolyDataMapper *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MapDataArrayToMultiTextureAttribute(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_RemoveVertexAttributeMapping_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPainterPolyDataMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertexAttributeMapping(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_RemoveAllVertexAttributeMappings_19(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllVertexAttributeMappings();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPainterPolyDataMapper_GetSelectionPainter_110(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;
  vtkPainter  *temp20;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionPainter();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPainterPolyDataMapper_SetSelectionPainter_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPainterPolyDataMapper *op;
  vtkPainter  *temp0;
  temp0 = (vtkPainter *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionPainter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPainterPolyDataMapper_GetSupportsSelection_112(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;
  bool   temp20;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSupportsSelection();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPainterPolyDataMapper_GetIsOpaque_113(JNIEnv *env, jobject obj)
{
  vtkPainterPolyDataMapper *op;
  bool   temp20;

  op = (vtkPainterPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsOpaque();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPainterPolyDataMapper_VTKInit(JNIEnv *, jobject)
{
  vtkPainterPolyDataMapper *aNewOne = vtkPainterPolyDataMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
