// java wrapper for vtkParallelCoordinatesInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesInteractorStyle.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleTrackballCamera_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkParallelCoordinatesInteractorStyle_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkParallelCoordinatesInteractorStyle",dType)) { return me; }
  if ((res= vtkInteractorStyleTrackballCamera_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;
  const char    *temp20;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkParallelCoordinatesInteractorStyle *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorStartPosition_12(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;
  int     *temp20;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorStartPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorCurrentPosition_13(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;
  int     *temp20;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorCurrentPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorLastPosition_14(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;
  int     *temp20;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorLastPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorStartPosition_15(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkParallelCoordinatesInteractorStyle *op;
  vtkViewport  *temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCursorStartPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorCurrentPosition_16(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkParallelCoordinatesInteractorStyle *op;
  vtkViewport  *temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCursorCurrentPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_GetCursorLastPosition_17(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkParallelCoordinatesInteractorStyle *op;
  vtkViewport  *temp0;
  double temp1[2];
  void *tempArray1;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCursorLastPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnMouseMove_18(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnLeftButtonDown_19(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnLeftButtonUp_110(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeftButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnMiddleButtonDown_111(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnMiddleButtonUp_112(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMiddleButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnRightButtonDown_113(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonDown();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnRightButtonUp_114(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnRightButtonUp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnLeave_115(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnLeave();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_StartInspect_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelCoordinatesInteractorStyle *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartInspect(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_Inspect_117(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkParallelCoordinatesInteractorStyle *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Inspect(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_EndInspect_118(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndInspect();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_StartZoom_119(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_Zoom_120(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Zoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_EndZoom_121(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndZoom();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_StartPan_122(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->StartPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_Pan_123(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->Pan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_EndPan_124(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->EndPan();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_OnChar_125(JNIEnv *env, jobject obj)
{
  vtkParallelCoordinatesInteractorStyle *op;

  op = (vtkParallelCoordinatesInteractorStyle *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkParallelCoordinatesInteractorStyle_VTKInit(JNIEnv *, jobject)
{
  vtkParallelCoordinatesInteractorStyle *aNewOne = vtkParallelCoordinatesInteractorStyle::New();
  return (jlong)(size_t)(void*)aNewOne;
}
