// java wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetToLabelHierarchy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabelHierarchyAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSetToLabelHierarchy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSetToLabelHierarchy",dType)) { return me; }
  if ((res= vtkLabelHierarchyAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetTargetLabelCount_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTargetLabelCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetTargetLabelCount_13(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetLabelCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetMaximumDepth_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDepth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetMaximumDepth_15(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  int      temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDepth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetUseUnicodeStrings_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPointSetToLabelHierarchy *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseUnicodeStrings(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetUseUnicodeStrings_17(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  bool   temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseUnicodeStrings();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_UseUnicodeStringsOn_18(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->UseUnicodeStringsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_UseUnicodeStringsOff_19(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->UseUnicodeStringsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetLabelArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetLabelArrayName_111(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetSizeArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetSizeArrayName_113(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetPriorityArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPriorityArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetPriorityArrayName_115(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPriorityArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetIconIndexArrayName_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconIndexArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetIconIndexArrayName_117(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconIndexArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetOrientationArrayName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetOrientationArrayName_119(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetBoundedSizeArrayName_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSetToLabelHierarchy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundedSizeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetBoundedSizeArrayName_121(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  const char    *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundedSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_SetTextProperty_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointSetToLabelHierarchy *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointSetToLabelHierarchy_GetTextProperty_123(JNIEnv *env, jobject obj)
{
  vtkPointSetToLabelHierarchy *op;
  vtkTextProperty  *temp20;

  op = (vtkPointSetToLabelHierarchy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointSetToLabelHierarchy_VTKInit(JNIEnv *, jobject)
{
  vtkPointSetToLabelHierarchy *aNewOne = vtkPointSetToLabelHierarchy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
