// java wrapper for vtkPolyDataPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataPainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataPainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataPainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataPainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  const char    *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataPainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataPainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataPainter_GetInputAsPolyData_12(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputAsPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataPainter_GetOutputAsPolyData_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputAsPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataPainter_BUILD_1NORMALS_14(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BUILD_NORMALS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataPainter_DISABLE_1SCALAR_1COLOR_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DISABLE_SCALAR_COLOR();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataPainter_DATA_1ARRAY_1TO_1VERTEX_1ATTRIBUTE_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataPainter *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_ARRAY_TO_VERTEX_ATTRIBUTE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataPainter_Render_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jboolean id3)
{
  vtkPolyDataPainter *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
   unsigned long     temp2;
  bool   temp3;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = (id3 != 0) ? true : false;

  op = (vtkPolyDataPainter *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1,temp2,temp3);
}
