// java wrapper for vtkPrimitivePainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPrimitivePainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPrimitivePainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPrimitivePainter",dType)) { return me; }
  if ((res= vtkPolyDataPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPrimitivePainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPrimitivePainter *op;
  const char    *temp20;

  op = (vtkPrimitivePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPrimitivePainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPrimitivePainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPrimitivePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPrimitivePainter_GetSupportedPrimitive_12(JNIEnv *env, jobject obj)
{
  vtkPrimitivePainter *op;
  int      temp20;

  op = (vtkPrimitivePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSupportedPrimitive();
  return temp20;
}
