// java wrapper for vtkQImageToImageSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQImageToImageSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQImageToImageSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQImageToImageSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQImageToImageSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQImageToImageSource *op;
  const char    *temp20;

  op = (vtkQImageToImageSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQImageToImageSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQImageToImageSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQImageToImageSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQImageToImageSource_VTKInit(JNIEnv *, jobject)
{
  vtkQImageToImageSource *aNewOne = vtkQImageToImageSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
