// java wrapper for vtkRenderedAreaPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedAreaPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAreaPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderedAreaPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderedAreaPicker",dType)) { return me; }
  if ((res= vtkAreaPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedAreaPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderedAreaPicker *op;
  const char    *temp20;

  op = (vtkRenderedAreaPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedAreaPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedAreaPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedAreaPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedAreaPicker_AreaPick_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jobject id4)
{
  vtkRenderedAreaPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkRenderer  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkRenderedAreaPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AreaPick(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderedAreaPicker_VTKInit(JNIEnv *, jobject)
{
  vtkRenderedAreaPicker *aNewOne = vtkRenderedAreaPicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
