// java wrapper for vtkRendererDelegate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererDelegate.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRendererDelegate_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRendererDelegate",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRendererDelegate_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRendererDelegate *op;
  const char    *temp20;

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererDelegate_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRendererDelegate *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererDelegate_Render_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRendererDelegate *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererDelegate_SetUsed_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRendererDelegate *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUsed(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRendererDelegate_GetUsed_14(JNIEnv *env, jobject obj)
{
  vtkRendererDelegate *op;
  bool   temp20;

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUsed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererDelegate_UsedOn_15(JNIEnv *env, jobject obj)
{
  vtkRendererDelegate *op;

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  op->UsedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererDelegate_UsedOff_16(JNIEnv *env, jobject obj)
{
  vtkRendererDelegate *op;

  op = (vtkRendererDelegate *)vtkJavaGetPointerFromObject(env,obj);
  op->UsedOff();
}
