// java wrapper for vtkRendererSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRendererSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRendererSource",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRendererSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  const char    *temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRendererSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
   unsigned long     temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_SetInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRendererSource *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRendererSource_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  vtkRenderer  *temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_SetWholeWindow_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkRendererSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeWindow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_GetWholeWindow_16(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  int      temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_WholeWindowOn_17(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->WholeWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_WholeWindowOff_18(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->WholeWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_SetRenderFlag_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkRendererSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_GetRenderFlag_110(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  int      temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_RenderFlagOn_111(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_RenderFlagOff_112(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_SetDepthValues_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkRendererSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_GetDepthValues_114(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  int      temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_DepthValuesOn_115(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_DepthValuesOff_116(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthValuesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_SetDepthValuesInScalars_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkRendererSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDepthValuesInScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRendererSource_GetDepthValuesInScalars_118(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  int      temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthValuesInScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_DepthValuesInScalarsOn_119(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthValuesInScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRendererSource_DepthValuesInScalarsOff_120(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  op->DepthValuesInScalarsOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRendererSource_GetOutput_121(JNIEnv *env, jobject obj)
{
  vtkRendererSource *op;
  vtkImageData  *temp20;

  op = (vtkRendererSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRendererSource_VTKInit(JNIEnv *, jobject)
{
  vtkRendererSource *aNewOne = vtkRendererSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
