// java wrapper for vtkScalarBarActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkScalarBarActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkScalarBarActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  const char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderOpaqueGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderTranslucentPolygonalGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_RenderOverlay_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_ReleaseGraphicsResources_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLookupTable_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetLookupTable_18(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkScalarsToColors  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetUseOpacity_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseOpacity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetUseOpacity_110(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_UseOpacityOn_111(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOpacityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_UseOpacityOff_112(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseOpacityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetMaximumNumberOfColors_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfColors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColorsMinValue_114(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfColorsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColorsMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfColorsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumNumberOfColors_116(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfColors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetNumberOfLabels_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabelsMinValue_118(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabelsMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetNumberOfLabels_120(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientation_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientationMinValue_122(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientationMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetOrientation_124(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientationToHorizontal_125(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationToHorizontal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetOrientationToVertical_126(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationToVertical();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTitleTextProperty_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetTitleTextProperty_128(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLabelTextProperty_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetLabelTextProperty_130(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkTextProperty  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetLabelFormat_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetLabelFormat_132(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTitle_133(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetTitle_134(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetComponentTitle_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkScalarBarActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponentTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkScalarBarActor_GetComponentTitle_136(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  char    *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_ShallowCopy_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTextureGridWidth_138(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkScalarBarActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextureGridWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkScalarBarActor_GetTextureGridWidth_139(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  double   temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureGridWidth();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetTextureActor_140(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkActor2D  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextureActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTextPosition_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextPosition(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetTextPositionMinValue_142(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextPositionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetTextPositionMaxValue_143(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextPositionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetTextPosition_144(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTextPositionToPrecedeScalarBar_145(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextPositionToPrecedeScalarBar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetTextPositionToSucceedScalarBar_146(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextPositionToSucceedScalarBar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetMaximumWidthInPixels_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumWidthInPixels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumWidthInPixels_148(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumWidthInPixels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetMaximumHeightInPixels_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumHeightInPixels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetMaximumHeightInPixels_150(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumHeightInPixels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetDrawBackground_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawBackground(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetDrawBackground_152(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_DrawBackgroundOn_153(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_DrawBackgroundOff_154(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawBackgroundOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetDrawFrame_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkScalarBarActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawFrame(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkScalarBarActor_GetDrawFrame_156(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  int      temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawFrame();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_DrawFrameOn_157(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawFrameOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_DrawFrameOff_158(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawFrameOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetBackgroundProperty_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetBackgroundProperty_160(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkProperty2D  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkScalarBarActor_SetFrameProperty_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkScalarBarActor *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkScalarBarActor_GetFrameProperty_162(JNIEnv *env, jobject obj)
{
  vtkScalarBarActor *op;
  vtkProperty2D  *temp20;

  op = (vtkScalarBarActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkScalarBarActor_VTKInit(JNIEnv *, jobject)
{
  vtkScalarBarActor *aNewOne = vtkScalarBarActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
