// java wrapper for vtkSelectVisiblePoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectVisiblePoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectVisiblePoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectVisiblePoints",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectVisiblePoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  const char    *temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectVisiblePoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectVisiblePoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelectVisiblePoints *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelectVisiblePoints_GetRenderer_13(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  vtkRenderer  *temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetSelectionWindow_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectVisiblePoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionWindow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectVisiblePoints_GetSelectionWindow_15(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  int      temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SelectionWindowOn_16(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectionWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SelectionWindowOff_17(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectionWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetSelection_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkSelectVisiblePoints *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelection(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetSelection_19(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkSelectVisiblePoints *op;
  int    temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelection(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSelectVisiblePoints_GetSelection_110(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  int     *temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelection();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetSelectInvisible_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectVisiblePoints *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectInvisible(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectVisiblePoints_GetSelectInvisible_112(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  int      temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectInvisible();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SelectInvisibleOn_113(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectInvisibleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SelectInvisibleOff_114(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectInvisibleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectVisiblePoints_SetTolerance_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSelectVisiblePoints *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectVisiblePoints_GetToleranceMinValue_116(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  double   temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectVisiblePoints_GetToleranceMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  double   temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSelectVisiblePoints_GetTolerance_118(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
  double   temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectVisiblePoints_GetMTime_119(JNIEnv *env, jobject obj)
{
  vtkSelectVisiblePoints *op;
   unsigned long     temp20;

  op = (vtkSelectVisiblePoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectVisiblePoints_VTKInit(JNIEnv *, jobject)
{
  vtkSelectVisiblePoints *aNewOne = vtkSelectVisiblePoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
