// java wrapper for vtkSequencePass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSequencePass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSequencePass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSequencePass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSequencePass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSequencePass *op;
  const char    *temp20;

  op = (vtkSequencePass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSequencePass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSequencePass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSequencePass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSequencePass_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSequencePass *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSequencePass *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSequencePass_GetPasses_13(JNIEnv *env, jobject obj)
{
  vtkSequencePass *op;
  vtkRenderPassCollection  *temp20;

  op = (vtkSequencePass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPasses();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSequencePass_SetPasses_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSequencePass *op;
  vtkRenderPassCollection  *temp0;
  temp0 = (vtkRenderPassCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSequencePass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPasses(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSequencePass_VTKInit(JNIEnv *, jobject)
{
  vtkSequencePass *aNewOne = vtkSequencePass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
