// java wrapper for vtkShadowMapPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShadowMapPass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShadowMapPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShadowMapPass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShadowMapPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  const char    *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShadowMapPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShadowMapPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_GetShadowMapBakerPass_13(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkShadowMapBakerPass  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShadowMapBakerPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetShadowMapBakerPass_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkShadowMapBakerPass  *temp0;
  temp0 = (vtkShadowMapBakerPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShadowMapBakerPass(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_GetOpaquePass_15(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpaquePass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetOpaquePass_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpaquePass(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShadowMapPass_VTKInit(JNIEnv *, jobject)
{
  vtkShadowMapPass *aNewOne = vtkShadowMapPass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
