// java wrapper for vtkTDxInteractorStyleSettings object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTDxInteractorStyleSettings.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTDxInteractorStyleSettings_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTDxInteractorStyleSettings",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  const char    *temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTDxInteractorStyleSettings *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetAngleSensitivity_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAngleSensitivity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetAngleSensitivity_13(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngleSensitivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetUseRotationX_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRotationX(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetUseRotationX_15(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRotationX();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetUseRotationY_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRotationY(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetUseRotationY_17(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRotationY();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetUseRotationZ_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRotationZ(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetUseRotationZ_19(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  bool   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRotationZ();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetTranslationXSensitivity_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationXSensitivity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetTranslationXSensitivity_111(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationXSensitivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetTranslationYSensitivity_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationYSensitivity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetTranslationYSensitivity_113(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationYSensitivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_SetTranslationZSensitivity_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationZSensitivity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTDxInteractorStyleSettings_GetTranslationZSensitivity_115(JNIEnv *env, jobject obj)
{
  vtkTDxInteractorStyleSettings *op;
  double   temp20;

  op = (vtkTDxInteractorStyleSettings *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationZSensitivity();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTDxInteractorStyleSettings_VTKInit(JNIEnv *, jobject)
{
  vtkTDxInteractorStyleSettings *aNewOne = vtkTDxInteractorStyleSettings::New();
  return (jlong)(size_t)(void*)aNewOne;
}
