// java wrapper for vtkTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTesting.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTesting_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTesting",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetFrontBuffer_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTesting *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrontBuffer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBufferMinValue_13(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrontBufferMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBufferMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrontBufferMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_FrontBufferOn_15(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->FrontBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_FrontBufferOff_16(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->FrontBufferOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetFrontBuffer_17(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrontBuffer();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_RegressionTest_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTesting *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RegressionTest(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_RegressionTest_19(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkTesting *op;
  vtkImageData  *temp0;
  double   temp1;
  int      temp20;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RegressionTest(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_CompareAverageOfL2Norm_110(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkTesting *op;
  vtkDataSet  *temp0;
  vtkDataSet  *temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CompareAverageOfL2Norm(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_CompareAverageOfL2Norm_111(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2)
{
  vtkTesting *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  double   temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CompareAverageOfL2Norm(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetRenderWindow_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTesting *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTesting_GetRenderWindow_113(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  vtkRenderWindow  *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetValidImageFileName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValidImageFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetValidImageFileName_115(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValidImageFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTesting_GetImageDifference_116(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  double   temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageDifference();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_AddArgument_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->AddArgument(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetArgument_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArgument(temp0);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_CleanArguments_119(JNIEnv *env, jobject obj)
{
  vtkTesting *op;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->CleanArguments();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetDataRoot_120(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataRoot();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetDataRoot_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataRoot(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTesting_GetTempDirectory_122(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  const char    *temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTempDirectory();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetTempDirectory_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTempDirectory(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsValidImageSpecified_124(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsValidImageSpecified();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsInteractiveModeSpecified_125(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInteractiveModeSpecified();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_IsFlagSpecified_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTesting *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFlagSpecified(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetBorderOffset_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkTesting *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetBorderOffset_128(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTesting_SetVerbose_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkTesting *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVerbose(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTesting_GetVerbose_130(JNIEnv *env, jobject obj)
{
  vtkTesting *op;
  int      temp20;

  op = (vtkTesting *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVerbose();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTesting_VTKInit(JNIEnv *, jobject)
{
  vtkTesting *aNewOne = vtkTesting::New();
  return (jlong)(size_t)(void*)aNewOne;
}
