// java wrapper for vtkVRMLExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVRMLExporter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVRMLExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVRMLExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVRMLExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVRMLExporter *op;
  const char    *temp20;

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVRMLExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLExporter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVRMLExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVRMLExporter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkVRMLExporter *op;
  char    *temp20;

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVRMLExporter_SetSpeed_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVRMLExporter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVRMLExporter_GetSpeed_15(JNIEnv *env, jobject obj)
{
  vtkVRMLExporter *op;
  double   temp20;

  op = (vtkVRMLExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpeed();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVRMLExporter_VTKInit(JNIEnv *, jobject)
{
  vtkVRMLExporter *aNewOne = vtkVRMLExporter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
