// java wrapper for vtkXGPUInfoList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXGPUInfoList.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGPUInfoList_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXGPUInfoList_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXGPUInfoList",dType)) { return me; }
  if ((res= vtkGPUInfoList_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXGPUInfoList_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXGPUInfoList *op;
  const char    *temp20;

  op = (vtkXGPUInfoList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXGPUInfoList_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXGPUInfoList *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXGPUInfoList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXGPUInfoList_Probe_12(JNIEnv *env, jobject obj)
{
  vtkXGPUInfoList *op;

  op = (vtkXGPUInfoList *)vtkJavaGetPointerFromObject(env,obj);
  op->Probe();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXGPUInfoList_VTKInit(JNIEnv *, jobject)
{
  vtkXGPUInfoList *aNewOne = vtkXGPUInfoList::New();
  return (jlong)(size_t)(void*)aNewOne;
}
