// java wrapper for vtkMimeTypes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMimeTypes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMimeTypes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMimeTypes",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMimeTypes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMimeTypes *op;
  const char    *temp20;

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMimeTypes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMimeTypes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMimeTypes_ClearStrategies_12(JNIEnv *env, jobject obj)
{
  vtkMimeTypes *op;

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearStrategies();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMimeTypes_PrependStrategy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMimeTypes *op;
  vtkMimeTypeStrategy  *temp0;
  temp0 = (vtkMimeTypeStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  op->PrependStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMimeTypes_AppendStrategy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMimeTypes *op;
  vtkMimeTypeStrategy  *temp0;
  temp0 = (vtkMimeTypeStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendStrategy(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMimeTypes_Lookup_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMimeTypes *op;
  vtkStdString temp0;
  vtkStdString   temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Lookup(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMimeTypes_Lookup_16(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkMimeTypes *op;
  char    *temp0;
  char    *temp1;
  vtkStdString   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Lookup(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMimeTypes_Lookup_17(JNIEnv *env, jobject obj,jstring id0,jstring id1,jstring id2)
{
  vtkMimeTypes *op;
  vtkStdString temp0;
  char    *temp1;
  char    *temp2;
  vtkStdString   temp20;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Lookup(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMimeTypes_Match_18(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkMimeTypes *op;
  vtkStdString temp0;
  vtkStdString temp1;
  bool   temp20;
  vtkJavaUTFToString(env,id0,temp0);
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkMimeTypes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Match(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMimeTypes_VTKInit(JNIEnv *, jobject)
{
  vtkMimeTypes *aNewOne = vtkMimeTypes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
