// java wrapper for vtkTokenLengthFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTokenLengthFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTokenLengthFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTokenLengthFilter",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTokenLengthFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTokenLengthFilter *op;
  const char    *temp20;

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTokenLengthFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTokenLengthFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenLengthFilter_SetBegin_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTokenLengthFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBegin(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTokenLengthFilter_GetBegin_13(JNIEnv *env, jobject obj)
{
  vtkTokenLengthFilter *op;
  int      temp20;

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBegin();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenLengthFilter_SetEnd_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTokenLengthFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnd(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTokenLengthFilter_GetEnd_15(JNIEnv *env, jobject obj)
{
  vtkTokenLengthFilter *op;
  int      temp20;

  op = (vtkTokenLengthFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnd();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTokenLengthFilter_VTKInit(JNIEnv *, jobject)
{
  vtkTokenLengthFilter *aNewOne = vtkTokenLengthFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
