// java wrapper for vtkInteractorStyleAreaSelectHover object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleAreaSelectHover.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyleRubberBand2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleAreaSelectHover_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleAreaSelectHover",dType)) { return me; }
  if ((res= vtkInteractorStyleRubberBand2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;
  const char    *temp20;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetLayout_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  vtkAreaLayout  *temp0;
  temp0 = (vtkAreaLayout *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayout(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetLayout_13(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;
  vtkAreaLayout  *temp20;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayout();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetLabelField_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelField(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetLabelField_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;
  char    *temp20;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelField();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetUseRectangularCoordinates_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRectangularCoordinates(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetUseRectangularCoordinates_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;
  bool   temp20;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRectangularCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOn_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOff_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_OnMouseMove_110(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetInteractor_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetHighLightColor_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkInteractorStyleAreaSelectHover *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighLightColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_SetHighLightWidth_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkInteractorStyleAreaSelectHover *op;
  double   temp0;
  temp0 = id0;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHighLightWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetHighLightWidth_114(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleAreaSelectHover *op;
  double   temp20;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHighLightWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_GetIdAtPos_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkInteractorStyleAreaSelectHover *op;
  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkInteractorStyleAreaSelectHover *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIdAtPos(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleAreaSelectHover_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleAreaSelectHover *aNewOne = vtkInteractorStyleAreaSelectHover::New();
  return (jlong)(size_t)(void*)aNewOne;
}
