// java wrapper for vtkRenderViewBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderViewBase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderViewBase_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderViewBase",dType)) { return me; }
  if ((res= vtkView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderViewBase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;
  const char    *temp20;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderViewBase_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderViewBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderViewBase_GetRenderer_12(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;
  vtkRenderer  *temp20;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_SetRenderer_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderViewBase *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderViewBase_GetRenderWindow_14(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;
  vtkRenderWindow  *temp20;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_SetRenderWindow_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderViewBase *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderViewBase_GetInteractor_16(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;
  vtkRenderWindowInteractor  *temp20;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_SetInteractor_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderViewBase *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_Render_18(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_ResetCamera_19(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderViewBase_ResetCameraClippingRange_110(JNIEnv *env, jobject obj)
{
  vtkRenderViewBase *op;

  op = (vtkRenderViewBase *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderViewBase_VTKInit(JNIEnv *, jobject)
{
  vtkRenderViewBase *aNewOne = vtkRenderViewBase::New();
  return (jlong)(size_t)(void*)aNewOne;
}
