// java wrapper for vtkRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderViewBase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderView",dType)) { return me; }
  if ((res= vtkRenderViewBase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  const char    *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetInteractor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetInteractorStyle_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkInteractorObserver  *temp0;
  temp0 = (vtkInteractorObserver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractorStyle(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderView_GetInteractorStyle_14(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  vtkInteractorObserver  *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractorStyle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetRenderWindow_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetInteractionMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetInteractionMode_17(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetInteractionModeTo2D_18(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionModeTo2D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetInteractionModeTo3D_19(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionModeTo3D();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_Render_110(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_ApplyViewTheme_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetTransform_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderView_GetTransform_113(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  vtkAbstractTransform  *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetDisplayHoverText_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayHoverText(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderView_GetDisplayHoverText_115(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  bool   temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayHoverText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_DisplayHoverTextOn_116(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayHoverTextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_DisplayHoverTextOff_117(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayHoverTextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionMode_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionModeMinValue_119(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionModeMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetSelectionMode_121(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionModeToSurface_122(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionModeToSurface();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetSelectionModeToFrustum_123(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionModeToFrustum();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_AddLabels_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLabels(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_RemoveLabels_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveLabels(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetIconTexture_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderView *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconTexture(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderView_GetIconTexture_127(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  vtkTexture  *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetIconSize_128(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderView *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetIconSize_129(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderView *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderView_GetIconSize_130(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int     *temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetDisplaySize_131(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderView *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplaySize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetDisplaySize_132(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderView *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplaySize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelPlacementMode_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelPlacementMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetLabelPlacementMode_134(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelPlacementMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelPlacementModeToNoOverlap_135(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelPlacementModeToNoOverlap();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelPlacementModeToAll_136(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelPlacementModeToAll();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelRenderMode_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelRenderMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderView_GetLabelRenderMode_138(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  int      temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelRenderMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelRenderModeToFreetype_139(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelRenderModeToFreetype();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetLabelRenderModeToQt_140(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelRenderModeToQt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_SetRenderOnMouseMove_141(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderOnMouseMove(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderView_GetRenderOnMouseMove_142(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;
  bool   temp20;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderOnMouseMove();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_RenderOnMouseMoveOn_143(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOnMouseMoveOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderView_RenderOnMouseMoveOff_144(JNIEnv *env, jobject obj)
{
  vtkRenderView *op;

  op = (vtkRenderView *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderOnMouseMoveOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderView_VTKInit(JNIEnv *, jobject)
{
  vtkRenderView *aNewOne = vtkRenderView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
