// java wrapper for vtkRenderedTreeAreaRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedTreeAreaRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderedRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderedTreeAreaRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderedTreeAreaRepresentation",dType)) { return me; }
  if ((res= vtkRenderedRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetLabelRenderMode_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelRenderMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLabelArrayName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLabelArrayName_14(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaSizeArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaSizeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaSizeArrayName_16(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLabelPriorityArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelPriorityArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLabelPriorityArrayName_18(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelPriorityArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelArrayName_110(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelArrayName_111(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelArrayName_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelTextProperty_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelTextProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelTextProperty_114(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkTextProperty  *temp0;
  int      temp1;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelTextProperty(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelTextProperty_115(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkTextProperty  *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelTextProperty_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  vtkTextProperty  *temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelTextProperty(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaHoverArrayName_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaHoverArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaHoverArrayName_118(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaHoverArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLabelVisibility_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLabelVisibility_120(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOn_121(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->AreaLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_AreaLabelVisibilityOff_122(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->AreaLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLabelTextProperty_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLabelTextProperty_124(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkTextProperty  *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelVisibility_125(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeLabelVisibility_126(JNIEnv *env, jobject obj,jboolean id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  int      temp1;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelVisibility_127(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeLabelVisibility_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOn_129(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GraphEdgeLabelVisibilityOff_130(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaColorArrayName_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaColorArrayName_132(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetColorAreasByArray_133(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorAreasByArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetColorAreasByArray_134(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorAreasByArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_ColorAreasByArrayOn_135(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorAreasByArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_ColorAreasByArrayOff_136(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorAreasByArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeColorArrayName_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeColorArrayName_138(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeColorArrayName_139(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphEdgeColorArrayName_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeColorArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeColorToSplineFraction_141(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorToSplineFraction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphEdgeColorToSplineFraction_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorToSplineFraction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetColorGraphEdgesByArray_143(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorGraphEdgesByArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetColorGraphEdgesByArray_144(JNIEnv *env, jobject obj,jboolean id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  int      temp1;
  temp0 = (id0 != 0) ? true : false;
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorGraphEdgesByArray(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetColorGraphEdgesByArray_145(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorGraphEdgesByArray();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetColorGraphEdgesByArray_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorGraphEdgesByArray(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOn_147(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_ColorGraphEdgesByArrayOff_148(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphHoverArrayName_149(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphHoverArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphHoverArrayName_150(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphHoverArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphHoverArrayName_151(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  const char    *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphHoverArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphHoverArrayName_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphHoverArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetShrinkPercentage_153(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetShrinkPercentage_154(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  double   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkPercentage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphBundlingStrength_155(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphBundlingStrength(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphBundlingStrength_156(JNIEnv *env, jobject obj,jdouble id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  double   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphBundlingStrength(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphBundlingStrength_157(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  double   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphBundlingStrength_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphBundlingStrength(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetGraphSplineType_159(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphSplineType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetGraphSplineType_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphSplineType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLayoutStrategy_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = (vtkAreaLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLayoutStrategy_162(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkAreaLayoutStrategy  *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaToPolyData_163(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkPolyDataAlgorithm  *temp0;
  temp0 = (vtkPolyDataAlgorithm *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaToPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaToPolyData_164(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkPolyDataAlgorithm  *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaToPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetUseRectangularCoordinates_165(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRectangularCoordinates(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetUseRectangularCoordinates_166(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRectangularCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOn_167(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_UseRectangularCoordinatesOff_168(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetAreaLabelMapper_169(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkLabeledDataMapper  *temp0;
  temp0 = (vtkLabeledDataMapper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetAreaLabelMapper_170(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkLabeledDataMapper  *temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_ApplyViewTheme_171(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_SetEdgeScalarBarVisibility_172(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeScalarBarVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_GetEdgeScalarBarVisibility_173(JNIEnv *env, jobject obj)
{
  vtkRenderedTreeAreaRepresentation *op;
  bool   temp20;

  op = (vtkRenderedTreeAreaRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeScalarBarVisibility();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderedTreeAreaRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkRenderedTreeAreaRepresentation *aNewOne = vtkRenderedTreeAreaRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
