// java wrapper for vtkFixedPointVolumeRayCastHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastHelper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFixedPointVolumeRayCastHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFixedPointVolumeRayCastHelper",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFixedPointVolumeRayCastHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFixedPointVolumeRayCastHelper *op;
  const char    *temp20;

  op = (vtkFixedPointVolumeRayCastHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFixedPointVolumeRayCastHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFixedPointVolumeRayCastHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFixedPointVolumeRayCastHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFixedPointVolumeRayCastHelper_GenerateImage_12(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2,jobject id3)
{
  vtkFixedPointVolumeRayCastHelper *op;
  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkFixedPointVolumeRayCastMapper *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkFixedPointVolumeRayCastHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateImage(temp0,temp1,temp2,temp3);
}
