// java wrapper for vtkHAVSVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHAVSVolumeMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHAVSVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHAVSVolumeMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  const char    *temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHAVSVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHAVSVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetPartiallyRemoveNonConvexities_12(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHAVSVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPartiallyRemoveNonConvexities(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetPartiallyRemoveNonConvexities_13(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  bool   temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPartiallyRemoveNonConvexities();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetLevelOfDetailTargetTime_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHAVSVolumeMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelOfDetailTargetTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetLevelOfDetailTargetTime_15(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  float    temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelOfDetailTargetTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetLevelOfDetail_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHAVSVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelOfDetail(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetLevelOfDetail_17(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  bool   temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelOfDetail();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetLevelOfDetailMethod_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkHAVSVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelOfDetailMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetLevelOfDetailMethod_19(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  int      temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelOfDetailMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetLevelOfDetailMethodField_110(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelOfDetailMethodField();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetLevelOfDetailMethodArea_111(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelOfDetailMethodArea();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetKBufferSize_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkHAVSVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKBufferSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetKBufferSize_113(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  int      temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKBufferSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetKBufferSizeTo2_114(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKBufferSizeTo2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetKBufferSizeTo6_115(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKBufferSizeTo6();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHAVSVolumeMapper_SupportedByHardware_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHAVSVolumeMapper *op;
  vtkRenderer  *temp0;
  bool   temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportedByHardware(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHAVSVolumeMapper_SetGPUDataStructures_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHAVSVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGPUDataStructures(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHAVSVolumeMapper_GetGPUDataStructures_118(JNIEnv *env, jobject obj)
{
  vtkHAVSVolumeMapper *op;
  bool   temp20;

  op = (vtkHAVSVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGPUDataStructures();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHAVSVolumeMapper_VTKInit(JNIEnv *, jobject)
{
  vtkHAVSVolumeMapper *aNewOne = vtkHAVSVolumeMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
