// java wrapper for vtkOpenGLVolumeTextureMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLVolumeTextureMapper3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeTextureMapper3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLVolumeTextureMapper3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLVolumeTextureMapper3D",dType)) { return me; }
  if ((res= vtkVolumeTextureMapper3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  const char    *temp20;

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_IsRenderSupported_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  vtkVolumeProperty  *temp0;
  vtkRenderer  *temp1;
  int      temp20;
  temp0 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsRenderSupported(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_Render_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_GetInitialized_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialized();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLVolumeTextureMapper3D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLVolumeTextureMapper3D_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLVolumeTextureMapper3D *aNewOne = vtkOpenGLVolumeTextureMapper3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
