// java wrapper for vtkSmartVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSmartVolumeMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSmartVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSmartVolumeMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSmartVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  const char    *temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSmartVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetFinalColorWindow_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmartVolumeMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFinalColorWindow(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetFinalColorWindow_13(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  float    temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFinalColorWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetFinalColorLevel_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmartVolumeMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFinalColorLevel(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetFinalColorLevel_15(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  float    temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFinalColorLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetRequestedRenderMode_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmartVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetRequestedRenderModeToDefault_17(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetRequestedRenderModeToRayCastAndTexture_18(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToRayCastAndTexture();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetRequestedRenderModeToRayCast_19(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToRayCast();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetRequestedRenderMode_110(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  int      temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequestedRenderMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetInteractiveUpdateRate_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmartVolumeMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractiveUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInteractiveUpdateRateMinValue_112(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  double   temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractiveUpdateRateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInteractiveUpdateRateMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  double   temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractiveUpdateRateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInteractiveUpdateRate_114(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  double   temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractiveUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetLastUsedRenderMode_115(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  int      temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastUsedRenderMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetMaxMemoryInBytes_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmartVolumeMapper *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxMemoryInBytes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetMaxMemoryInBytes_117(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  vtkIdType   temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryInBytes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetMaxMemoryFraction_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSmartVolumeMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxMemoryFraction(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetMaxMemoryFractionMinValue_119(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  float    temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFractionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetMaxMemoryFractionMaxValue_120(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  float    temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFractionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSmartVolumeMapper_GetMaxMemoryFraction_121(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  float    temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxMemoryFraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetInterpolationMode_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSmartVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInterpolationModeMinValue_123(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  int      temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInterpolationModeMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  int      temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSmartVolumeMapper_GetInterpolationMode_125(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;
  int      temp20;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetInterpolationModeToNearestNeighbor_126(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToNearestNeighbor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetInterpolationModeToLinear_127(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_SetInterpolationModeToCubic_128(JNIEnv *env, jobject obj)
{
  vtkSmartVolumeMapper *op;

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToCubic();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_CreateCanonicalView_129(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jint id4,jdoubleArray id5,jdoubleArray id6)
{
  vtkSmartVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  vtkVolume  *temp2;
  vtkImageData  *temp3;
  int      temp4;
  double temp5[3];
  void *tempArray5;
  double temp6[3];
  void *tempArray6;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = id4;
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];
  tempArray6 = (void *)(env->GetDoubleArrayElements(id6,NULL));
  temp6[0] = ((jdouble *)tempArray6)[0];
  temp6[1] = ((jdouble *)tempArray6)[1];
  temp6[2] = ((jdouble *)tempArray6)[2];

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateCanonicalView(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
  ((jdouble *)tempArray6)[0] = temp6[0];
  ((jdouble *)tempArray6)[1] = temp6[1];
  ((jdouble *)tempArray6)[2] = temp6[2];
  env->ReleaseDoubleArrayElements(id6,(jdouble *)tempArray6,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_Render_130(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkSmartVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSmartVolumeMapper_ReleaseGraphicsResources_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSmartVolumeMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSmartVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSmartVolumeMapper_VTKInit(JNIEnv *, jobject)
{
  vtkSmartVolumeMapper *aNewOne = vtkSmartVolumeMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
