// java wrapper for vtkUnstructuredGridBunykRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridBunykRayCastFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridBunykRayCastFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridBunykRayCastFunction",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  const char    *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_Finalize_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_NewIterator_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  vtkUnstructuredGridVolumeRayCastIterator  *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetViewToWorldMatrix_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  vtkMatrix4x4  *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewToWorldMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetImageOrigin_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  int     *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageOrigin();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetImageViewportSize_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  int     *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageViewportSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridBunykRayCastFunction *aNewOne = vtkUnstructuredGridBunykRayCastFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
