// java wrapper for vtkUnstructuredGridVolumeRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeRayCastFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeRayCastFunction",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastFunction *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeRayCastFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastFunction_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridVolumeRayCastFunction *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastFunction_Finalize_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastFunction *op;

  op = (vtkUnstructuredGridVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastFunction_NewIterator_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastFunction *op;
  vtkUnstructuredGridVolumeRayCastIterator  *temp20;

  op = (vtkUnstructuredGridVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}
