// java wrapper for vtkUnstructuredGridVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeRayCastMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridVolumeRayCastMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  const char    *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetImageSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMinValue_13(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistanceMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageSampleDistance_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetMinimumImageSampleDistance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistanceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMinimumImageSampleDistance_19(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetMaximumImageSampleDistance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumImageSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMinValue_111(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistanceMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetMaximumImageSampleDistance_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  float    temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumImageSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetAutoAdjustSampleDistances_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustSampleDistances(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMinValue_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistancesMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetAutoAdjustSampleDistances_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustSampleDistances();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOn_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_AutoAdjustSampleDistancesOff_119(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustSampleDistancesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetNumberOfThreads_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetNumberOfThreads_121(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetIntermixIntersectingGeometry_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMinValue_123(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometryMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetIntermixIntersectingGeometry_125(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOn_126(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_IntermixIntersectingGeometryOff_127(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetRayCastFunction_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayCastFunction  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayCastFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRayCastFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetRayCastFunction_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayCastFunction  *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRayCastFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_SetRayIntegrator_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRayIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetRayIntegrator_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRayIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_Render_132(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_ReleaseGraphicsResources_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageInUseSize_134(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageInUseSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageOrigin_135(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageOrigin();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_GetImageViewportSize_136(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int     *temp20;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageViewportSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_CastRays_137(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGridVolumeRayCastMapper *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGridVolumeRayCastMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CastRays(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridVolumeRayCastMapper_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridVolumeRayCastMapper *aNewOne = vtkUnstructuredGridVolumeRayCastMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
