// java wrapper for vtkVolumeProMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeProMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeProMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeProMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeProMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  const char    *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeProMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkVolumeProMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetBlendMode_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetBlendModeMinValue_14(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetBlendModeMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetBlendMode_16(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetBlendModeToComposite_17(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToComposite();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetBlendModeToMaximumIntensity_18(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToMaximumIntensity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetBlendModeToMinimumIntensity_19(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendModeToMinimumIntensity();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeProMapper_GetBlendModeAsString_110(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  const char    *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetSubVolume_111(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkVolumeProMapper *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubVolume(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetSubVolume_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVolumeProMapper *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubVolume(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetSubVolume_113(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int     *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubVolume();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursor_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorMinValue_115(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursor_117(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_CursorOn_118(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CursorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_CursorOff_119(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CursorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorType_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorTypeMinValue_121(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorTypeMaxValue_122(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorType_123(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorTypeToCrossHair_124(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorTypeToCrossHair();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorTypeToPlane_125(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorTypeToPlane();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorTypeAsString_126(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  const char    *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorPosition_127(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorPosition_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorPosition_129(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorXAxisColor_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorXAxisColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorXAxisColor_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorXAxisColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorXAxisColor_132(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorXAxisColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorYAxisColor_133(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorYAxisColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorYAxisColor_134(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorYAxisColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorYAxisColor_135(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorYAxisColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorZAxisColor_136(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorZAxisColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCursorZAxisColor_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorZAxisColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetCursorZAxisColor_138(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorZAxisColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetSuperSampling_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSuperSampling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetSuperSamplingMinValue_140(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSuperSamplingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetSuperSamplingMaxValue_141(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSuperSamplingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetSuperSampling_142(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSuperSampling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SuperSamplingOn_143(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SuperSamplingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SuperSamplingOff_144(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SuperSamplingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetSuperSamplingFactor_145(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSuperSamplingFactor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetSuperSamplingFactor_146(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSuperSamplingFactor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetSuperSamplingFactor_147(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSuperSamplingFactor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCutPlane_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneMinValue_149(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneMaxValue_150(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlane_151(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_CutPlaneOn_152(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CutPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_CutPlaneOff_153(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->CutPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCutPlaneEquation_154(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkVolumeProMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutPlaneEquation(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCutPlaneEquation_155(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeProMapper *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutPlaneEquation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneEquation_156(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double  *temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneEquation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCutPlaneThickness_157(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeProMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutPlaneThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneThicknessMinValue_158(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double   temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneThicknessMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneThicknessMaxValue_159(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double   temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneThicknessMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneThickness_160(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  double   temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetCutPlaneFallOffDistance_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutPlaneFallOffDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneFallOffDistanceMinValue_162(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneFallOffDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneFallOffDistanceMaxValue_163(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneFallOffDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetCutPlaneFallOffDistance_164(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutPlaneFallOffDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetGradientOpacityModulation_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientOpacityModulation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientOpacityModulationMinValue_166(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientOpacityModulationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientOpacityModulationMaxValue_167(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientOpacityModulationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientOpacityModulation_168(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientOpacityModulation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientOpacityModulationOn_169(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientOpacityModulationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientOpacityModulationOff_170(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientOpacityModulationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetGradientDiffuseModulation_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientDiffuseModulation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientDiffuseModulationMinValue_172(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientDiffuseModulationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientDiffuseModulationMaxValue_173(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientDiffuseModulationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientDiffuseModulation_174(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientDiffuseModulation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientDiffuseModulationOn_175(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientDiffuseModulationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientDiffuseModulationOff_176(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientDiffuseModulationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetGradientSpecularModulation_177(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientSpecularModulation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientSpecularModulationMinValue_178(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientSpecularModulationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientSpecularModulationMaxValue_179(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientSpecularModulationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetGradientSpecularModulation_180(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientSpecularModulation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientSpecularModulationOn_181(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientSpecularModulationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_GradientSpecularModulationOff_182(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GradientSpecularModulationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetNoHardware_183(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNoHardware();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetWrongVLIVersion_184(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrongVLIVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetNumberOfBoards_185(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBoards();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMajorBoardVersion_186(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMajorBoardVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMinorBoardVersion_187(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinorBoardVersion();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetAvailableBoardMemory_188(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAvailableBoardMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetIntermixIntersectingGeometry_189(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntermixIntersectingGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetIntermixIntersectingGeometryMinValue_190(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetIntermixIntersectingGeometryMaxValue_191(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetIntermixIntersectingGeometry_192(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermixIntersectingGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_IntermixIntersectingGeometryOn_193(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_IntermixIntersectingGeometryOff_194(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->IntermixIntersectingGeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetAutoAdjustMipmapLevels_195(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustMipmapLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetAutoAdjustMipmapLevelsMinValue_196(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustMipmapLevelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetAutoAdjustMipmapLevelsMaxValue_197(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustMipmapLevelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetAutoAdjustMipmapLevels_198(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdjustMipmapLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_AutoAdjustMipmapLevelsOn_199(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustMipmapLevelsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_AutoAdjustMipmapLevelsOff_1100(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdjustMipmapLevelsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetMinimumMipmapLevel_1101(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumMipmapLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMinimumMipmapLevelMinValue_1102(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumMipmapLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMinimumMipmapLevelMaxValue_1103(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumMipmapLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMinimumMipmapLevel_1104(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumMipmapLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetMaximumMipmapLevel_1105(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumMipmapLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMaximumMipmapLevelMinValue_1106(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumMipmapLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMaximumMipmapLevelMaxValue_1107(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumMipmapLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMaximumMipmapLevel_1108(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumMipmapLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeProMapper_SetMipmapLevel_1109(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeProMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMipmapLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMipmapLevelMinValue_1110(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMipmapLevelMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMipmapLevelMaxValue_1111(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMipmapLevelMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeProMapper_GetMipmapLevel_1112(JNIEnv *env, jobject obj)
{
  vtkVolumeProMapper *op;
  int      temp20;

  op = (vtkVolumeProMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMipmapLevel();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeProMapper_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeProMapper *aNewOne = vtkVolumeProMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
