// java wrapper for vtkVolumeRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastFunction",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastFunction_GetZeroOpacityThreshold_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastFunction *op;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroOpacityThreshold(temp0);
  return temp20;
}
