// java wrapper for vtkVolumeRayCastIsosurfaceFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastIsosurfaceFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastIsosurfaceFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastIsosurfaceFunction",dType)) { return me; }
  if ((res= vtkVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastIsosurfaceFunction *op;
  const char    *temp20;

  op = (vtkVolumeRayCastIsosurfaceFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastIsosurfaceFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastIsosurfaceFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_GetZeroOpacityThreshold_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastIsosurfaceFunction *op;
  vtkVolume  *temp0;
  float    temp20;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastIsosurfaceFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZeroOpacityThreshold(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_SetIsoValue_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeRayCastIsosurfaceFunction *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastIsosurfaceFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsoValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_GetIsoValue_14(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastIsosurfaceFunction *op;
  double   temp20;

  op = (vtkVolumeRayCastIsosurfaceFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsoValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeRayCastIsosurfaceFunction_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeRayCastIsosurfaceFunction *aNewOne = vtkVolumeRayCastIsosurfaceFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
