// java wrapper for vtkVolumeRayCastSpaceLeapingImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastSpaceLeapingImageFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeRayCastSpaceLeapingImageFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeRayCastSpaceLeapingImageFilter",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  const char    *temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetCurrentScalars_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentScalars(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetCurrentScalars_13(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  vtkDataArray  *temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentScalars();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetIndependentComponents_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndependentComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetIndependentComponents_15(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndependentComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetComputeGradientOpacity_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeGradientOpacity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetComputeGradientOpacity_17(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeGradientOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeGradientOpacityOn_18(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientOpacityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeGradientOpacityOff_19(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeGradientOpacityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetComputeMinMax_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeMinMax(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetComputeMinMax_111(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeMinMax();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeMinMaxOn_112(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeMinMaxOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeMinMaxOff_113(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeMinMaxOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetUpdateGradientOpacityFlags_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateGradientOpacityFlags(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetUpdateGradientOpacityFlags_115(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateGradientOpacityFlags();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_UpdateGradientOpacityFlagsOn_116(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateGradientOpacityFlagsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_UpdateGradientOpacityFlagsOff_117(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateGradientOpacityFlagsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetLastMinMaxBuildTime_118(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
   unsigned long     temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastMinMaxBuildTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetLastMinMaxFlagTime_119(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
   unsigned long     temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastMinMaxFlagTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableShift_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableShift(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableShift_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float  temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableShift(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetTableShift_122(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float   *temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableShift();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableScale_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableScale(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableScale_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float  temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetTableScale_125(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  float   *temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableScale();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableSize_126(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableSize(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetTableSize_127(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int    temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTableSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetTableSize_128(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int     *temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,4);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_GetNumberOfIndependentComponents_129(JNIEnv *env, jobject obj)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int      temp20;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIndependentComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_SetCache_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCache(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeInputExtentsForOutput_131(JNIEnv *env, jobject obj,jintArray id0,jintArray id1,jintArray id2,jobject id3)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  int    temp2[6];
  void *tempArray2;
  vtkImageData  *temp3;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];
  temp2[3] = ((jint *)tempArray2)[3];
  temp2[4] = ((jint *)tempArray2)[4];
  temp2[5] = ((jint *)tempArray2)[5];
  temp3 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeInputExtentsForOutput(temp0,temp1,temp2,temp3);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  ((jint *)tempArray2)[3] = temp2[3];
  ((jint *)tempArray2)[4] = temp2[4];
  ((jint *)tempArray2)[5] = temp2[5];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_ComputeOffset_132(JNIEnv *env, jobject obj,jintArray id0,jintArray id1,jint id2)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp2;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];
  temp2 = id2;

  op = (vtkVolumeRayCastSpaceLeapingImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeOffset(temp0,temp1,temp2);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeRayCastSpaceLeapingImageFilter_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeRayCastSpaceLeapingImageFilter *aNewOne = vtkVolumeRayCastSpaceLeapingImageFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
