// java wrapper for vtkVolumeTextureMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeTextureMapper3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeTextureMapper3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeTextureMapper3D",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  const char    *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeTextureMapper3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetSampleDistance_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVolumeTextureMapper3D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetSampleDistance_13(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float    temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetVolumeDimensions_14(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int     *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetVolumeSpacing_15(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float   *temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeSpacing();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_IsRenderSupported_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkVolumeTextureMapper3D *op;
  vtkVolumeProperty  *temp0;
  vtkRenderer  *temp1;
  int      temp20;
  temp0 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsRenderSupported(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetNumberOfPolygons_17(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPolygons();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetActualSampleDistance_18(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  float    temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualSampleDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_Render_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkVolumeTextureMapper3D *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetNumberOfScalarComponents_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeTextureMapper3D *op;
  vtkImageData  *temp0;
  int      temp20;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredRenderMethod_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkVolumeTextureMapper3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreferredRenderMethod(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMinValue_112(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreferredRenderMethodMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetPreferredRenderMethodMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreferredRenderMethodMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredMethodToFragmentProgram_114(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreferredMethodToFragmentProgram();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetPreferredMethodToNVidia_115(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreferredMethodToNVidia();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetPreferredRenderMethod_116(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  int      temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreferredRenderMethod();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper3D_SetUseCompressedTexture_117(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkVolumeTextureMapper3D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCompressedTexture(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkVolumeTextureMapper3D_GetUseCompressedTexture_118(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper3D *op;
  bool   temp20;

  op = (vtkVolumeTextureMapper3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCompressedTexture();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVolumeTextureMapper3D_VTKInit(JNIEnv *, jobject)
{
  vtkVolumeTextureMapper3D *aNewOne = vtkVolumeTextureMapper3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
