// java wrapper for vtkAbstractPolygonalHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPolygonalHandleRepresentation3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractPolygonalHandleRepresentation3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractPolygonalHandleRepresentation3D",dType)) { return me; }
  if ((res= vtkHandleRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  const char    *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetWorldPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetDisplayPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetHandle_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandle(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetHandle_15(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkPolyData  *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetSelectedProperty_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetProperty_18(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetSelectedProperty_19(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProperty  *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetTransform_110(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkAbstractTransform  *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_BuildRepresentation_111(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_StartWidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_WidgetInteraction_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_ComputeInteractionState_114(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_ShallowCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_DeepCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetActors_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_ReleaseGraphicsResources_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_RenderOpaqueGeometry_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_RenderTranslucentPolygonalGeometry_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_HasTranslucentPolygonalGeometry_121(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetLabelVisibility_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetLabelVisibility_123(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOn_124(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_LabelVisibilityOff_125(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->LabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetLabelText_126(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetLabelText_127(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  char    *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetLabelTextScale_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetLabelTextScale_129(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelTextScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetLabelTextActor_130(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  vtkFollower  *temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelTextActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetUniformScale_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUniformScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetHandleVisibility_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetHandleVisibility_133(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOn_134(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_HandleVisibilityOff_135(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_Highlight_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SetSmoothMotion_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSmoothMotion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_GetSmoothMotion_138(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;
  int      temp20;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSmoothMotion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SmoothMotionOn_139(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothMotionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPolygonalHandleRepresentation3D_SmoothMotionOff_140(JNIEnv *env, jobject obj)
{
  vtkAbstractPolygonalHandleRepresentation3D *op;

  op = (vtkAbstractPolygonalHandleRepresentation3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SmoothMotionOff();
}
