// java wrapper for vtkAbstractWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorObserver_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractWidget",dType)) { return me; }
  if ((res= vtkInteractorObserver_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  const char    *temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_SetProcessEvents_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractWidget_GetProcessEventsMinValue_14(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  int      temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractWidget_GetProcessEventsMaxValue_15(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  int      temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractWidget_GetProcessEvents_16(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  int      temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEvents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_ProcessEventsOn_17(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_ProcessEventsOff_18(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractWidget_GetEventTranslator_19(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  vtkWidgetEventTranslator  *temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventTranslator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_CreateDefaultRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_Render_111(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_SetParent_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractWidget *op;
  vtkAbstractWidget  *temp0;
  temp0 = (vtkAbstractWidget *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParent(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractWidget_GetParent_113(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  vtkAbstractWidget  *temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParent();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAbstractWidget_GetRepresentation_114(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  vtkWidgetRepresentation  *temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_SetManagesCursor_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetManagesCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractWidget_GetManagesCursor_116(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;
  int      temp20;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetManagesCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_ManagesCursorOn_117(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ManagesCursorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_ManagesCursorOff_118(JNIEnv *env, jobject obj)
{
  vtkAbstractWidget *op;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ManagesCursorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractWidget_SetPriority_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAbstractWidget *op;
  float    temp0;
  temp0 = id0;

  op = (vtkAbstractWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPriority(temp0);
}
