// java wrapper for vtkAffineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAffineWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAffineWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAffineWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAffineWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAffineWidget *op;
  const char    *temp20;

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAffineWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAffineWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAffineWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAffineWidget *op;
  vtkAffineRepresentation  *temp0;
  temp0 = (vtkAffineRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAffineWidget_GetAffineRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkAffineWidget *op;
  vtkAffineRepresentation  *temp20;

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAffineRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAffineWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkAffineWidget *op;

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAffineWidget_SetEnabled_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkAffineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAffineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAffineWidget_VTKInit(JNIEnv *, jobject)
{
  vtkAffineWidget *aNewOne = vtkAffineWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
