// java wrapper for vtkAngleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAngleRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAngleRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAngleRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAngleRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  const char    *temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAngleRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAngleRepresentation_GetAngle_12(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  double   temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint1WorldPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetCenterWorldPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenterWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint2WorldPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetPoint1DisplayPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetCenterDisplayPosition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenterDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetPoint2DisplayPosition_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint1DisplayPosition_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetCenterDisplayPosition_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenterDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint2DisplayPosition_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetHandleRepresentation_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAngleRepresentation *op;
  vtkHandleRepresentation  *temp0;
  temp0 = (vtkHandleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_InstantiateHandleRepresentation_113(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InstantiateHandleRepresentation();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint1Representation_114(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAngleRepresentation_GetCenterRepresentation_115(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAngleRepresentation_GetPoint2Representation_116(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetTolerance_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetToleranceMinValue_118(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetToleranceMaxValue_119(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetTolerance_120(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetLabelFormat_121(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAngleRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAngleRepresentation_GetLabelFormat_122(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  char    *temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetRay1Visibility_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRay1Visibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetRay1Visibility_124(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRay1Visibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_Ray1VisibilityOn_125(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Ray1VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_Ray1VisibilityOff_126(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Ray1VisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetRay2Visibility_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRay2Visibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetRay2Visibility_128(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRay2Visibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_Ray2VisibilityOn_129(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Ray2VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_Ray2VisibilityOff_130(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Ray2VisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_SetArcVisibility_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArcVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_GetArcVisibility_132(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;
  int      temp20;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArcVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_ArcVisibilityOn_133(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ArcVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_ArcVisibilityOff_134(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ArcVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_BuildRepresentation_135(JNIEnv *env, jobject obj)
{
  vtkAngleRepresentation *op;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleRepresentation_ComputeInteractionState_136(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkAngleRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_StartWidgetInteraction_137(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_CenterWidgetInteraction_138(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->CenterWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleRepresentation_WidgetInteraction_139(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAngleRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkAngleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}
