// java wrapper for vtkAngleWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAngleWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAngleWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAngleWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAngleWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;
  const char    *temp20;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAngleWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAngleWidget *op;
  vtkAngleRepresentation  *temp0;
  temp0 = (vtkAngleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAngleWidget_GetAngleRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;
  vtkAngleRepresentation  *temp20;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAngleRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleWidget_IsAngleValid_16(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;
  int      temp20;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAngleValid();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_SetProcessEvents_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAngleWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_SetWidgetStateToStart_18(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidgetStateToStart();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAngleWidget_SetWidgetStateToManipulate_19(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidgetStateToManipulate();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAngleWidget_GetWidgetState_110(JNIEnv *env, jobject obj)
{
  vtkAngleWidget *op;
  int      temp20;

  op = (vtkAngleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidgetState();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAngleWidget_VTKInit(JNIEnv *, jobject)
{
  vtkAngleWidget *aNewOne = vtkAngleWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
