// java wrapper for vtkAxesTransformWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxesTransformWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxesTransformWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxesTransformWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxesTransformWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxesTransformWidget *op;
  const char    *temp20;

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxesTransformWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxesTransformWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxesTransformWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAxesTransformWidget *op;
  vtkAxesTransformRepresentation  *temp0;
  temp0 = (vtkAxesTransformRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAxesTransformWidget_GetLineRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkAxesTransformWidget *op;
  vtkAxesTransformRepresentation  *temp20;

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformWidget_CreateDefaultRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkAxesTransformWidget *op;

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxesTransformWidget_SetProcessEvents_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxesTransformWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxesTransformWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxesTransformWidget_VTKInit(JNIEnv *, jobject)
{
  vtkAxesTransformWidget *aNewOne = vtkAxesTransformWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
