// java wrapper for vtkBiDimensionalRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBiDimensionalRepresentation2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBiDimensionalRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBiDimensionalRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBiDimensionalRepresentation2D",dType)) { return me; }
  if ((res= vtkBiDimensionalRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  const char    *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLineProperty_12(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetSelectedLineProperty_13(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetTextProperty_14(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkTextProperty  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_BuildRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ComputeInteractionState_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_StartWidgetDefinition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetDefinition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Point2WidgetInteraction_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Point2WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Point3WidgetInteraction_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Point3WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_StartWidgetManipulation_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetManipulation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_WidgetInteraction_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Highlight_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ReleaseGraphicsResources_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_RenderOverlay_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLabelText_115(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLabelPosition_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetWorldLabelPosition_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWorldLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkBiDimensionalRepresentation2D *aNewOne = vtkBiDimensionalRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
