// java wrapper for vtkBrokenLineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBrokenLineWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBrokenLineWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBrokenLineWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBrokenLineWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  const char    *temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBrokenLineWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBrokenLineWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkBrokenLineWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectToPlane_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectToPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProjectToPlane_17(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectToPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_ProjectToPlaneOn_18(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_ProjectToPlaneOff_19(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetPlaneSource_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkPlaneSource  *temp0;
  temp0 = (vtkPlaneSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlaneSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionNormal_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProjectionNormalMinValue_112(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProjectionNormalMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProjectionNormal_114(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionNormalToXAxes_115(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToXAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionNormalToYAxes_116(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToYAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionNormalToZAxes_117(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToZAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionNormalToOblique_118(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToOblique();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProjectionPosition_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBrokenLineWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrokenLineWidget_GetProjectionPosition_120(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  double   temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_GetPolyData_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetHandleProperty_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBrokenLineWidget_GetHandleProperty_123(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetSelectedHandleProperty_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedHandleProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBrokenLineWidget_GetSelectedHandleProperty_125(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetLineProperty_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBrokenLineWidget_GetLineProperty_127(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetSelectedLineProperty_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedLineProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBrokenLineWidget_GetSelectedLineProperty_129(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  vtkProperty  *temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetNumberOfHandles_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfHandles(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetNumberOfHandles_131(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfHandles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetHandlePosition_132(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetHandlePosition_133(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_GetHandlePosition_134(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrokenLineWidget_GetSummedLength_135(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  double   temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSummedLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_InitializeHandles_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBrokenLineWidget *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeHandles(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetProcessEvents_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkBrokenLineWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProcessEventsMinValue_138(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProcessEventsMaxValue_139(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBrokenLineWidget_GetProcessEvents_140(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  int      temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEvents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_ProcessEventsOn_141(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_ProcessEventsOff_142(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBrokenLineWidget_SetHandleSizeFactor_143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBrokenLineWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleSizeFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrokenLineWidget_GetHandleSizeFactorMinValue_144(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  double   temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSizeFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrokenLineWidget_GetHandleSizeFactorMaxValue_145(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  double   temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSizeFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBrokenLineWidget_GetHandleSizeFactor_146(JNIEnv *env, jobject obj)
{
  vtkBrokenLineWidget *op;
  double   temp20;

  op = (vtkBrokenLineWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleSizeFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBrokenLineWidget_VTKInit(JNIEnv *, jobject)
{
  vtkBrokenLineWidget *aNewOne = vtkBrokenLineWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
