// java wrapper for vtkButtonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkButtonRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkButtonRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkButtonRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkButtonRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;
  const char    *temp20;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkButtonRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_SetNumberOfStates_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfStates(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonRepresentation_GetNumberOfStatesMinValue_13(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;
  int      temp20;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStatesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonRepresentation_GetNumberOfStatesMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;
  int      temp20;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStatesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonRepresentation_GetState_15(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;
  int      temp20;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetState();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_SetState_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetState(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_NextState_17(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NextState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_PreviousState_18(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PreviousState();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_Highlight_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkButtonRepresentation_GetHighlightState_110(JNIEnv *env, jobject obj)
{
  vtkButtonRepresentation *op;
  int      temp20;

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHighlightState();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkButtonRepresentation_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkButtonRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}
