// java wrapper for vtkCameraWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCameraWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCameraWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCameraWidget",dType)) { return me; }
  if ((res= vtkBorderWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCameraWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCameraWidget *op;
  const char    *temp20;

  op = (vtkCameraWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCameraWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCameraWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraWidget *op;
  vtkCameraRepresentation  *temp0;
  temp0 = (vtkCameraRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraWidget_CreateDefaultRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkCameraWidget *op;

  op = (vtkCameraWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCameraWidget_VTKInit(JNIEnv *, jobject)
{
  vtkCameraWidget *aNewOne = vtkCameraWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
