// java wrapper for vtkCenteredSliderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCenteredSliderRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSliderRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCenteredSliderRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCenteredSliderRepresentation",dType)) { return me; }
  if ((res= vtkSliderRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  const char    *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCenteredSliderRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCenteredSliderRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetPoint1Coordinate_12(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkCoordinate  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetPoint2Coordinate_13(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkCoordinate  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Coordinate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_SetTitleText_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCenteredSliderRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitleText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetTitleText_15(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  const char    *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetTubeProperty_16(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTubeProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetSliderProperty_17(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliderProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetSelectedProperty_18(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkProperty2D  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetLabelProperty_19(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;
  vtkTextProperty  *temp20;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_PlaceWidget_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCenteredSliderRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_BuildRepresentation_111(JNIEnv *env, jobject obj)
{
  vtkCenteredSliderRepresentation *op;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_StartWidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCenteredSliderRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCenteredSliderRepresentation_ComputeInteractionState_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkCenteredSliderRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_WidgetInteraction_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCenteredSliderRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_Highlight_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkCenteredSliderRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_GetActors_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCenteredSliderRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenteredSliderRepresentation_ReleaseGraphicsResources_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCenteredSliderRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCenteredSliderRepresentation_RenderOverlay_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCenteredSliderRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCenteredSliderRepresentation_RenderOpaqueGeometry_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCenteredSliderRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCenteredSliderRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCenteredSliderRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkCenteredSliderRepresentation *aNewOne = vtkCenteredSliderRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
