// java wrapper for vtkCheckerboardWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCheckerboardWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCheckerboardWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCheckerboardWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCheckerboardWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCheckerboardWidget *op;
  const char    *temp20;

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCheckerboardWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCheckerboardWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCheckerboardWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCheckerboardWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCheckerboardWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCheckerboardWidget *op;
  vtkCheckerboardRepresentation  *temp0;
  temp0 = (vtkCheckerboardRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCheckerboardWidget_GetCheckerboardRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkCheckerboardWidget *op;
  vtkCheckerboardRepresentation  *temp20;

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCheckerboardRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCheckerboardWidget_CreateDefaultRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkCheckerboardWidget *op;

  op = (vtkCheckerboardWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCheckerboardWidget_VTKInit(JNIEnv *, jobject)
{
  vtkCheckerboardWidget *aNewOne = vtkCheckerboardWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
