// java wrapper for vtkContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContourRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContourRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContourRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  const char    *temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContourRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtWorldPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkContourRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtWorldPosition(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtWorldPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtWorldPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  double temp1[9];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtWorldPosition(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtDisplayPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtDisplayPosition_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkContourRepresentation *op;
  int    temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtDisplayPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeAtDisplayPosition_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeAtDisplayPosition(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_ActivateNode_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ActivateNode(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_ActivateNode_19(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkContourRepresentation *op;
  int    temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ActivateNode(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_ActivateNode_110(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ActivateNode(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetActiveNodeToWorldPosition_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNodeToWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetActiveNodeToWorldPosition_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  double temp1[9];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNodeToWorldPosition(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetActiveNodeToDisplayPosition_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNodeToDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetActiveNodeToDisplayPosition_114(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkContourRepresentation *op;
  int    temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNodeToDisplayPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetActiveNodeToDisplayPosition_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveNodeToDisplayPosition(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_ToggleActiveNodeSelected_116(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToggleActiveNodeSelected();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetActiveNodeSelected_117(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveNodeSelected();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNthNodeSelected_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeSelected(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeSelected_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeSelected(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetActiveNodeWorldPosition_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveNodeWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetActiveNodeWorldOrientation_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[9];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveNodeWorldOrientation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetActiveNodeDisplayPosition_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveNodeDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNumberOfNodes_123(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNthNodeDisplayPosition_124(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeDisplayPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNthNodeWorldPosition_125(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeWorldPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNthNodeWorldOrientation_126(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[9];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeWorldOrientation(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeDisplayPosition_127(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeDisplayPosition(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeDisplayPosition_128(JNIEnv *env, jobject obj,jint id0,jintArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  int    temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeDisplayPosition(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeDisplayPosition_129(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeDisplayPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeWorldPosition_130(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeWorldPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_SetNthNodeWorldPosition_131(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[9];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNthNodeWorldPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNthNodeSlope_132(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeSlope(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetNumberOfIntermediatePoints_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIntermediatePoints(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetIntermediatePointWorldPosition_134(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddIntermediatePointWorldPosition_135(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIntermediatePointWorldPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddIntermediatePointWorldPosition_136(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jint id2)
{
  vtkContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIntermediatePointWorldPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_DeleteLastNode_137(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeleteLastNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_DeleteActiveNode_138(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeleteActiveNode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_DeleteNthNode_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeleteNthNode(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ClearAllNodes_140(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearAllNodes();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_AddNodeOnContour_141(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNodeOnContour(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetPixelTolerance_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPixelTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetPixelToleranceMinValue_143(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetPixelToleranceMaxValue_144(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetPixelTolerance_145(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetWorldTolerance_146(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContourRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContourRepresentation_GetWorldToleranceMinValue_147(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  double   temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContourRepresentation_GetWorldToleranceMaxValue_148(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  double   temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkContourRepresentation_GetWorldTolerance_149(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  double   temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWorldTolerance();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetCurrentOperation_150(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentOperation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetCurrentOperation_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentOperation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetCurrentOperationMinValue_152(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentOperationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetCurrentOperationMaxValue_153(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentOperationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetCurrentOperationToInactive_154(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentOperationToInactive();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetCurrentOperationToTranslate_155(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentOperationToTranslate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetCurrentOperationToShift_156(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentOperationToShift();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetCurrentOperationToScale_157(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentOperationToScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetPointPlacer_158(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkPointPlacer  *temp0;
  temp0 = (vtkPointPlacer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointPlacer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContourRepresentation_GetPointPlacer_159(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  vtkPointPlacer  *temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointPlacer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetLineInterpolator_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkContourLineInterpolator  *temp0;
  temp0 = (vtkContourLineInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContourRepresentation_GetLineInterpolator_161(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  vtkContourLineInterpolator  *temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_BuildRepresentation_162(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_ComputeInteractionState_163(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkContourRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_StartWidgetInteraction_164(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_WidgetInteraction_165(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContourRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ReleaseGraphicsResources_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_RenderOverlay_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_RenderOpaqueGeometry_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_RenderTranslucentPolygonalGeometry_169(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_HasTranslucentPolygonalGeometry_170(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetClosedLoop_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosedLoop(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetClosedLoop_172(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClosedLoop();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ClosedLoopOn_173(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedLoopOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ClosedLoopOff_174(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedLoopOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetShowSelectedNodes_175(JNIEnv *env, jobject obj,jint id0)
{
  vtkContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowSelectedNodes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContourRepresentation_GetShowSelectedNodes_176(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  int      temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowSelectedNodes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ShowSelectedNodesOn_177(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowSelectedNodesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_ShowSelectedNodesOff_178(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowSelectedNodesOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContourRepresentation_GetContourRepresentationAsPolyData_179(JNIEnv *env, jobject obj)
{
  vtkContourRepresentation *op;
  vtkPolyData  *temp20;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContourRepresentationAsPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_GetNodePolyData_180(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContourRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetNodePolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContourRepresentation_SetRebuildLocator_181(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContourRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRebuildLocator(temp0);
}
