// java wrapper for vtkDistanceWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistanceWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistanceWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistanceWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDistanceWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;
  const char    *temp20;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDistanceWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistanceWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_SetRepresentation_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistanceWidget *op;
  vtkDistanceRepresentation  *temp0;
  temp0 = (vtkDistanceRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistanceWidget_GetDistanceRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;
  vtkDistanceRepresentation  *temp20;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_CreateDefaultRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_SetProcessEvents_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistanceWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_SetWidgetStateToStart_17(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidgetStateToStart();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistanceWidget_SetWidgetStateToManipulate_18(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidgetStateToManipulate();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistanceWidget_GetWidgetState_19(JNIEnv *env, jobject obj)
{
  vtkDistanceWidget *op;
  int      temp20;

  op = (vtkDistanceWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidgetState();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDistanceWidget_VTKInit(JNIEnv *, jobject)
{
  vtkDistanceWidget *aNewOne = vtkDistanceWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
