// java wrapper for vtkFocalPlaneContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFocalPlaneContourRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContourRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFocalPlaneContourRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFocalPlaneContourRepresentation",dType)) { return me; }
  if ((res= vtkContourRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFocalPlaneContourRepresentation *op;
  const char    *temp20;

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFocalPlaneContourRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_GetIntermediatePointWorldPosition_12(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp0;
  int      temp1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermediatePointWorldPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_GetIntermediatePointDisplayPosition_13(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp0;
  int      temp1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntermediatePointDisplayPosition(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_GetNthNodeDisplayPosition_14(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp0;
  double temp1[2];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeDisplayPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_GetNthNodeWorldPosition_15(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthNodeWorldPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_UpdateContourWorldPositionsBasedOnDisplayPositions_16(JNIEnv *env, jobject obj)
{
  vtkFocalPlaneContourRepresentation *op;

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateContourWorldPositionsBasedOnDisplayPositions();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_UpdateContour_17(JNIEnv *env, jobject obj)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp20;

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateContour();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFocalPlaneContourRepresentation_UpdateLines_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkFocalPlaneContourRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFocalPlaneContourRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateLines(temp0);
}
