// java wrapper for vtkHandleWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHandleWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHandleWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHandleWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHandleWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;
  const char    *temp20;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHandleWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHandleWidget *op;
  vtkHandleRepresentation  *temp0;
  temp0 = (vtkHandleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHandleWidget_GetHandleRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_SetEnableAxisConstraint_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableAxisConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleWidget_GetEnableAxisConstraint_16(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;
  int      temp20;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableAxisConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_EnableAxisConstraintOn_17(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAxisConstraintOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_EnableAxisConstraintOff_18(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAxisConstraintOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_SetAllowHandleResize_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkHandleWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowHandleResize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleWidget_GetAllowHandleResize_110(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;
  int      temp20;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowHandleResize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_AllowHandleResizeOn_111(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowHandleResizeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHandleWidget_AllowHandleResizeOff_112(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowHandleResizeOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHandleWidget_GetWidgetState_113(JNIEnv *env, jobject obj)
{
  vtkHandleWidget *op;
  int      temp20;

  op = (vtkHandleWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidgetState();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHandleWidget_VTKInit(JNIEnv *, jobject)
{
  vtkHandleWidget *aNewOne = vtkHandleWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
