// java wrapper for vtkImageCroppingRegionsWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCroppingRegionsWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCroppingRegionsWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCroppingRegionsWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  const char    *temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCroppingRegionsWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_PlaceWidget_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetEnabled_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetPlanePositions_14(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  double  *temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlanePositions();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetPlanePositions_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlanePositions(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetPlanePositions_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImageCroppingRegionsWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlanePositions(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetCroppingRegionFlags_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCroppingRegionFlags(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetCroppingRegionFlags_18(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCroppingRegionFlags();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetSliceOrientation_19(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetSliceOrientation_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceOrientation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetSliceOrientationToXY_111(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceOrientationToXY();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetSliceOrientationToYZ_112(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceOrientationToYZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetSliceOrientationToXZ_113(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSliceOrientationToXZ();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetSlice_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlice(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetSlice_115(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  int      temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlice();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine1Color_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCroppingRegionsWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine1Color(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine1Color_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine1Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetLine1Color_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLine1Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine2Color_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCroppingRegionsWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine2Color(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine2Color_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine2Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetLine2Color_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLine2Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine3Color_122(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCroppingRegionsWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine3Color(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine3Color_123(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine3Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetLine3Color_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLine3Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine4Color_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCroppingRegionsWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine4Color(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetLine4Color_126(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine4Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetLine4Color_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCroppingRegionsWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLine4Color(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_SetVolumeMapper_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageCroppingRegionsWidget *op;
  vtkVolumeMapper  *temp0;
  temp0 = (vtkVolumeMapper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolumeMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_GetVolumeMapper_129(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;
  vtkVolumeMapper  *temp20;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_UpdateAccordingToInput_130(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateAccordingToInput();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_MoveHorizontalLine_131(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveHorizontalLine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_MoveVerticalLine_132(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveVerticalLine();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_MoveIntersectingLines_133(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->MoveIntersectingLines();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_UpdateCursorIcon_134(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateCursorIcon();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_OnButtonPress_135(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OnButtonPress();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_OnButtonRelease_136(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OnButtonRelease();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCroppingRegionsWidget_OnMouseMove_137(JNIEnv *env, jobject obj)
{
  vtkImageCroppingRegionsWidget *op;

  op = (vtkImageCroppingRegionsWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OnMouseMove();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageCroppingRegionsWidget_VTKInit(JNIEnv *, jobject)
{
  vtkImageCroppingRegionsWidget *aNewOne = vtkImageCroppingRegionsWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
