// java wrapper for vtkImageTracerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageTracerWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageTracerWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageTracerWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageTracerWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  const char    *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageTracerWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageTracerWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkImageTracerWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandleProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTracerWidget_GetHandleProperty_17(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetSelectedHandleProperty_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedHandleProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTracerWidget_GetSelectedHandleProperty_19(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetLineProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTracerWidget_GetLineProperty_111(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetSelectedLineProperty_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedLineProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTracerWidget_GetSelectedLineProperty_113(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  vtkProperty  *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetViewProp_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewProp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectToPlane_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectToPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetProjectToPlane_116(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectToPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_ProjectToPlaneOn_117(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_ProjectToPlaneOff_118(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectionNormal_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetProjectionNormalMinValue_120(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetProjectionNormalMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetProjectionNormal_122(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectionNormalToXAxes_123(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToXAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectionNormalToYAxes_124(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToYAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectionNormalToZAxes_125(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToZAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProjectionPosition_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageTracerWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageTracerWidget_GetProjectionPosition_127(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  double   temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetSnapToImage_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSnapToImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetSnapToImage_129(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSnapToImage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SnapToImageOn_130(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SnapToImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SnapToImageOff_131(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SnapToImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetAutoClose_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoClose(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetAutoClose_133(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoClose();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_AutoCloseOn_134(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCloseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_AutoCloseOff_135(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCloseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetCaptureRadius_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageTracerWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCaptureRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageTracerWidget_GetCaptureRadius_137(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  double   temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCaptureRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_GetPath_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPath(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageTracerWidget_GetGlyphSource_139(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  vtkGlyphSource2D  *temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlyphSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetImageSnapType_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageSnapType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetImageSnapTypeMinValue_141(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSnapTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetImageSnapTypeMaxValue_142(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSnapTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetImageSnapType_143(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageSnapType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandlePosition_144(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageTracerWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandlePosition_145(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageTracerWidget *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_GetHandlePosition_146(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageTracerWidget *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageTracerWidget_GetHandlePosition_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandlePosition(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetNumberOfHandles_148(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfHandles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetInteraction_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteraction(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetInteraction_150(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteraction();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_InteractionOn_151(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InteractionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_InteractionOff_152(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InteractionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_InitializeHandles_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeHandles(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_IsClosed_154(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandleLeftMouseButton_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleLeftMouseButton(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetHandleLeftMouseButton_156(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleLeftMouseButton();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleLeftMouseButtonOn_157(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleLeftMouseButtonOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleLeftMouseButtonOff_158(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleLeftMouseButtonOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandleMiddleMouseButton_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleMiddleMouseButton(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetHandleMiddleMouseButton_160(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleMiddleMouseButton();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleMiddleMouseButtonOn_161(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleMiddleMouseButtonOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleMiddleMouseButtonOff_162(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleMiddleMouseButtonOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetHandleRightMouseButton_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageTracerWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleRightMouseButton(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageTracerWidget_GetHandleRightMouseButton_164(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;
  int      temp20;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleRightMouseButton();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleRightMouseButtonOn_165(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleRightMouseButtonOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_HandleRightMouseButtonOff_166(JNIEnv *env, jobject obj)
{
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleRightMouseButtonOff();
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageTracerWidget_SetProp_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageTracerWidget *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageTracerWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProp(temp0);
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageTracerWidget_VTKInit(JNIEnv *, jobject)
{
  vtkImageTracerWidget *aNewOne = vtkImageTracerWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
