// java wrapper for vtkLogoWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLogoWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLogoWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLogoWidget",dType)) { return me; }
  if ((res= vtkBorderWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLogoWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLogoWidget *op;
  const char    *temp20;

  op = (vtkLogoWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLogoWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLogoWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLogoWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLogoWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLogoWidget *op;
  vtkLogoRepresentation  *temp0;
  temp0 = (vtkLogoRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLogoWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLogoWidget_CreateDefaultRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkLogoWidget *op;

  op = (vtkLogoWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLogoWidget_VTKInit(JNIEnv *, jobject)
{
  vtkLogoWidget *aNewOne = vtkLogoWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
