// java wrapper for vtkPointHandleRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointHandleRepresentation2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointHandleRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointHandleRepresentation2D",dType)) { return me; }
  if ((res= vtkHandleRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;
  const char    *temp20;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointHandleRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_SetCursorShape_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorShape(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetCursorShape_13(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;
  vtkPolyData  *temp20;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorShape();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_SetDisplayPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_SetProperty_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_SetSelectedProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetProperty_17(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetSelectedProperty_18(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetBounds_19(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;
  double  *temp20;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_BuildRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkPointHandleRepresentation2D *op;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_StartWidgetInteraction_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_WidgetInteraction_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointHandleRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation2D_ComputeInteractionState_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPointHandleRepresentation2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_GetActors2D_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors2D(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_ReleaseGraphicsResources_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointHandleRepresentation2D_RenderOverlay_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_Highlight_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointHandleRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointHandleRepresentation2D_SetPointPlacer_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointHandleRepresentation2D *op;
  vtkPointPlacer  *temp0;
  temp0 = (vtkPointPlacer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointHandleRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointPlacer(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointHandleRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkPointHandleRepresentation2D *aNewOne = vtkPointHandleRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
