// java wrapper for vtkPointWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  const char    *temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkPointWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_GetPolyData_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPointWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetPosition_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPointWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetPosition_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointWidget_GetPosition_19(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  double  *temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_GetPosition_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetOutline_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_GetOutline_112(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  int      temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_OutlineOn_113(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_OutlineOff_114(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetXShadows_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_GetXShadows_116(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  int      temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_XShadowsOn_117(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->XShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_XShadowsOff_118(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->XShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetYShadows_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_GetYShadows_120(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  int      temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_YShadowsOn_121(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->YShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_YShadowsOff_122(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->YShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetZShadows_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZShadows(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_GetZShadows_124(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  int      temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZShadows();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_ZShadowsOn_125(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ZShadowsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_ZShadowsOff_126(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ZShadowsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetTranslationMode_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointWidget_GetTranslationMode_128(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  int      temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_TranslationModeOn_129(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_TranslationModeOff_130(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_AllOn_131(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_AllOff_132(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointWidget_GetProperty_133(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  vtkProperty  *temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointWidget_GetSelectedProperty_134(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  vtkProperty  *temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointWidget_SetHotSpotSize_135(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPointWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHotSpotSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointWidget_GetHotSpotSizeMinValue_136(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  double   temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointWidget_GetHotSpotSizeMaxValue_137(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  double   temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointWidget_GetHotSpotSize_138(JNIEnv *env, jobject obj)
{
  vtkPointWidget *op;
  double   temp20;

  op = (vtkPointWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointWidget_VTKInit(JNIEnv *, jobject)
{
  vtkPointWidget *aNewOne = vtkPointWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
