// java wrapper for vtkPolyDataContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataContourLineInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContourLineInterpolator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataContourLineInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataContourLineInterpolator",dType)) { return me; }
  if ((res= vtkContourLineInterpolator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataContourLineInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataContourLineInterpolator *op;
  const char    *temp20;

  op = (vtkPolyDataContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataContourLineInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataContourLineInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataContourLineInterpolator_InterpolateLine_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkPolyDataContourLineInterpolator *op;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkContourRepresentation *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkPolyDataContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InterpolateLine(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataContourLineInterpolator_GetPolys_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataContourLineInterpolator *op;
  vtkPolyDataCollection  *temp20;

  op = (vtkPolyDataContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolys();
  return (jlong)(size_t)temp20;}
