// java wrapper for vtkPolygonalSurfaceContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygonalSurfaceContourLineInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataContourLineInterpolator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolygonalSurfaceContourLineInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolygonalSurfaceContourLineInterpolator",dType)) { return me; }
  if ((res= vtkPolyDataContourLineInterpolator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  const char    *temp20;

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_InterpolateLine_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkContourRepresentation *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InterpolateLine(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_SetDistanceOffset_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_GetDistanceOffset_14(JNIEnv *env, jobject obj)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  double   temp20;

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_GetContourPointIds_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPolygonalSurfaceContourLineInterpolator *op;
  vtkContourRepresentation  *temp0;
  vtkIdList  *temp1;
  temp0 = (vtkContourRepresentation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolygonalSurfaceContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetContourPointIds(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolygonalSurfaceContourLineInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkPolygonalSurfaceContourLineInterpolator *aNewOne = vtkPolygonalSurfaceContourLineInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
