// java wrapper for vtkProp3DButtonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProp3DButtonRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkButtonRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProp3DButtonRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProp3DButtonRepresentation",dType)) { return me; }
  if ((res= vtkButtonRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProp3DButtonRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;
  const char    *temp20;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProp3DButtonRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_SetButtonProp_12(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkProp3DButtonRepresentation *op;
  int      temp0;
  vtkProp3D  *temp1;
  temp0 = id0;
  temp1 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetButtonProp(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProp3DButtonRepresentation_GetButtonProp_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp3DButtonRepresentation *op;
  int      temp0;
  vtkProp3D  *temp20;
  temp0 = id0;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetButtonProp(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_SetFollowCamera_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp3DButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFollowCamera(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_GetFollowCamera_15(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;
  int      temp20;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_FollowCameraOn_16(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCameraOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_FollowCameraOff_17(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->FollowCameraOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_SetState_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkProp3DButtonRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetState(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_ComputeInteractionState_19(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkProp3DButtonRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_BuildRepresentation_110(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_PlaceWidget_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProp3DButtonRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_ShallowCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_GetActors_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProp3DButtonRepresentation_ReleaseGraphicsResources_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_RenderOpaqueGeometry_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_RenderVolumetricGeometry_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderVolumetricGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_RenderTranslucentPolygonalGeometry_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProp3DButtonRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProp3DButtonRepresentation_HasTranslucentPolygonalGeometry_118(JNIEnv *env, jobject obj)
{
  vtkProp3DButtonRepresentation *op;
  int      temp20;

  op = (vtkProp3DButtonRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProp3DButtonRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkProp3DButtonRepresentation *aNewOne = vtkProp3DButtonRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
