// java wrapper for vtkResliceCursorRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceCursorRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceCursorRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  const char    *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursorRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetTolerance_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetToleranceMinValue_13(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetToleranceMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetTolerance_15(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetShowReslicedImage_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowReslicedImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetShowReslicedImage_17(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowReslicedImage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_ShowReslicedImageOn_18(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowReslicedImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_ShowReslicedImageOff_19(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowReslicedImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetRestrictPlaneToVolume_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRestrictPlaneToVolume(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetRestrictPlaneToVolume_111(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRestrictPlaneToVolume();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_RestrictPlaneToVolumeOn_112(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->RestrictPlaneToVolumeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_RestrictPlaneToVolumeOff_113(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->RestrictPlaneToVolumeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetThicknessLabelFormat_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursorRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThicknessLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetThicknessLabelFormat_115(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  char    *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetThicknessLabelText_116(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  char    *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessLabelText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetThicknessLabelPosition_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursorRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetThicknessLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetWorldThicknessLabelPosition_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursorRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWorldThicknessLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_BuildRepresentation_119(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetResliceAxes_120(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkMatrix4x4  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceAxes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetReslice_121(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkImageAlgorithm  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReslice();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetImageActor_122(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkImageActor  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetLookupTable_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorRepresentation *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetLookupTable_124(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkScalarsToColors  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetColorMap_125(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkImageMapToColors  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorMap();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetColorMap_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorRepresentation *op;
  vtkImageMapToColors  *temp0;
  temp0 = (vtkImageMapToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorMap(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetWindowLevel_127(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jint id2)
{
  vtkResliceCursorRepresentation *op;
  double   temp0;
  double   temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowLevel(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetWindowLevel_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkResliceCursorRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWindowLevel(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetWindow_129(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  double   temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindow();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetLevel_130(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  double   temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetResliceCursor_131(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkResliceCursor  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetDisplayText_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetDisplayText_133(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_DisplayTextOn_134(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayTextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_DisplayTextOff_135(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DisplayTextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetTextProperty_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorRepresentation *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetTextProperty_137(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkTextProperty  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetUseImageActor_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseImageActor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetUseImageActor_139(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseImageActor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_UseImageActorOn_140(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseImageActorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_UseImageActorOff_141(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UseImageActorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_SetManipulationMode_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetManipulationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetManipulationMode_143(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  int      temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetManipulationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_ActivateText_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ActivateText(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_ManageTextDisplay_145(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ManageTextDisplay();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_InitializeReslicePlane_146(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeReslicePlane();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorRepresentation_ResetCamera_147(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetCursorAlgorithm_148(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkResliceCursorPolyDataAlgorithm  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorRepresentation_GetPlaneSource_149(JNIEnv *env, jobject obj)
{
  vtkResliceCursorRepresentation *op;
  vtkPlaneSource  *temp20;

  op = (vtkResliceCursorRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneSource();
  return (jlong)(size_t)temp20;}
