// java wrapper for vtkResliceCursorWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceCursorWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceCursorWidget",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;
  const char    *temp20;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursorWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorWidget *op;
  vtkResliceCursorRepresentation  *temp0;
  temp0 = (vtkResliceCursorRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorWidget_GetResliceCursorRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;
  vtkResliceCursorRepresentation  *temp20;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursorRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_CreateDefaultRepresentation_14(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_SetEnabled_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_SetManageWindowLevel_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceCursorWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetManageWindowLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorWidget_GetManageWindowLevel_17(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;
  int      temp20;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetManageWindowLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_ManageWindowLevelOn_18(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ManageWindowLevelOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_ManageWindowLevelOff_19(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ManageWindowLevelOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorWidget_ResetResliceCursor_110(JNIEnv *env, jobject obj)
{
  vtkResliceCursorWidget *op;

  op = (vtkResliceCursorWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetResliceCursor();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceCursorWidget_VTKInit(JNIEnv *, jobject)
{
  vtkResliceCursorWidget *aNewOne = vtkResliceCursorWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
