// java wrapper for vtkResliceImageViewerMeasurements object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceImageViewerMeasurements.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceImageViewerMeasurements_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceImageViewerMeasurements",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  const char    *temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceImageViewerMeasurements *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_Render_12(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_AddItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewerMeasurements *op;
  vtkAbstractWidget  *temp0;
  temp0 = (vtkAbstractWidget *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_RemoveItem_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewerMeasurements *op;
  vtkAbstractWidget  *temp0;
  temp0 = (vtkAbstractWidget *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_RemoveAllItems_15(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllItems();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_SetProcessEvents_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkResliceImageViewerMeasurements *op;
  int      temp0;
  temp0 = id0;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProcessEvents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetProcessEventsMinValue_17(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  int      temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetProcessEventsMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  int      temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEventsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetProcessEvents_19(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  int      temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProcessEvents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_ProcessEventsOn_110(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_ProcessEventsOff_111(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->ProcessEventsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_SetTolerance_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkResliceImageViewerMeasurements *op;
  double   temp0;
  temp0 = id0;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetTolerance_113(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  double   temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_SetResliceImageViewer_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceImageViewerMeasurements *op;
  vtkResliceImageViewer  *temp0;
  temp0 = (vtkResliceImageViewer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceImageViewer(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_GetResliceImageViewer_115(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;
  vtkResliceImageViewer  *temp20;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceImageViewer();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceImageViewerMeasurements_Update_116(JNIEnv *env, jobject obj)
{
  vtkResliceImageViewerMeasurements *op;

  op = (vtkResliceImageViewerMeasurements *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceImageViewerMeasurements_VTKInit(JNIEnv *, jobject)
{
  vtkResliceImageViewerMeasurements *aNewOne = vtkResliceImageViewerMeasurements::New();
  return (jlong)(size_t)(void*)aNewOne;
}
