// java wrapper for vtkSphereHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereHandleRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHandleRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphereHandleRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphereHandleRepresentation",dType)) { return me; }
  if ((res= vtkHandleRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  const char    *temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphereHandleRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetWorldPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetDisplayPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereHandleRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetTranslationMode_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetTranslationMode_15(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  int      temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_TranslationModeOn_16(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_TranslationModeOff_17(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetSphereRadius_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereHandleRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSphereRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetSphereRadius_19(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  double   temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSphereRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetProperty_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetSelectedProperty_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectedProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetProperty_112(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetSelectedProperty_113(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetHotSpotSize_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereHandleRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHotSpotSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetHotSpotSizeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  double   temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetHotSpotSizeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  double   temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSizeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetHotSpotSize_117(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  double   temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHotSpotSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_SetHandleSize_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereHandleRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleSize(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetBounds_119(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  double  *temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_BuildRepresentation_120(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_StartWidgetInteraction_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereHandleRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_WidgetInteraction_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereHandleRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_ComputeInteractionState_123(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSphereHandleRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_PlaceWidget_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereHandleRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_ShallowCopy_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_DeepCopy_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_GetActors_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_ReleaseGraphicsResources_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_RenderOpaqueGeometry_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_RenderTranslucentPolygonalGeometry_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereHandleRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereHandleRepresentation_HasTranslucentPolygonalGeometry_131(JNIEnv *env, jobject obj)
{
  vtkSphereHandleRepresentation *op;
  int      temp20;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereHandleRepresentation_Highlight_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereHandleRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereHandleRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSphereHandleRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkSphereHandleRepresentation *aNewOne = vtkSphereHandleRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
