// java wrapper for vtkSphereWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereWidget2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphereWidget2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphereWidget2",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphereWidget2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;
  const char    *temp20;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphereWidget2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereWidget2 *op;
  vtkSphereRepresentation  *temp0;
  temp0 = (vtkSphereRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_SetTranslationEnabled_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget2_GetTranslationEnabled_14(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;
  int      temp20;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_TranslationEnabledOn_15(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_TranslationEnabledOff_16(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_SetScalingEnabled_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget2_GetScalingEnabled_18(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;
  int      temp20;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_ScalingEnabledOn_19(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_ScalingEnabledOff_110(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget2_CreateDefaultRepresentation_111(JNIEnv *env, jobject obj)
{
  vtkSphereWidget2 *op;

  op = (vtkSphereWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSphereWidget2_VTKInit(JNIEnv *, jobject)
{
  vtkSphereWidget2 *aNewOne = vtkSphereWidget2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
