// java wrapper for vtkSphereWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphereWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphereWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphereWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  const char    *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphereWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkSphereWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetRepresentation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetRepresentationMinValue_17(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetRepresentationMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetRepresentation_19(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetRepresentationToOff_110(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentationToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetRepresentationToWireframe_111(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentationToWireframe();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetRepresentationToSurface_112(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentationToSurface();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetThetaResolution_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThetaResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetThetaResolution_114(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetPhiResolution_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetPhiResolution_116(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetRadius_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSphereWidget *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSphereWidget_GetRadius_118(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  double   temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetCenter_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSphereWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetCenter_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSphereWidget_GetCenter_121(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  double  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_GetCenter_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetTranslation_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetTranslation_124(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_TranslationOn_125(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_TranslationOff_126(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetScale_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetScale_128(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_ScaleOn_129(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_ScaleOff_130(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetHandleVisibility_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkSphereWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphereWidget_GetHandleVisibility_132(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  int      temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_HandleVisibilityOn_133(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_HandleVisibilityOff_134(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandleVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetHandleDirection_135(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSphereWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleDirection(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_SetHandleDirection_136(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSphereWidget *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleDirection(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSphereWidget_GetHandleDirection_137(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  double  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleDirection();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSphereWidget_GetHandlePosition_138(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  double  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandlePosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_GetPolyData_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSphereWidget_GetSphere_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSphereWidget *op;
  vtkSphere  *temp0;
  temp0 = (vtkSphere *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetSphere(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereWidget_GetSphereProperty_141(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  vtkProperty  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSphereProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereWidget_GetSelectedSphereProperty_142(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  vtkProperty  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedSphereProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereWidget_GetHandleProperty_143(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  vtkProperty  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSphereWidget_GetSelectedHandleProperty_144(JNIEnv *env, jobject obj)
{
  vtkSphereWidget *op;
  vtkProperty  *temp20;

  op = (vtkSphereWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSphereWidget_VTKInit(JNIEnv *, jobject)
{
  vtkSphereWidget *aNewOne = vtkSphereWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
