// java wrapper for vtkSplineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplineRepresentation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSplineRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSplineRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSplineRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  const char    *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSplineRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetInteractionState_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectToPlane_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectToPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetProjectToPlane_14(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectToPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_ProjectToPlaneOn_15(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_ProjectToPlaneOff_16(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ProjectToPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetPlaneSource_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkPlaneSource  *temp0;
  temp0 = (vtkPlaneSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlaneSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionNormal_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetProjectionNormalMinValue_19(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetProjectionNormalMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormalMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetProjectionNormal_111(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionNormalToXAxes_112(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToXAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionNormalToYAxes_113(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToYAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionNormalToZAxes_114(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToZAxes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionNormalToOblique_115(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionNormalToOblique();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetProjectionPosition_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSplineRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProjectionPosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSplineRepresentation_GetProjectionPosition_117(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  double   temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjectionPosition();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_GetPolyData_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetHandleProperty_119(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetSelectedHandleProperty_120(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetLineProperty_121(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetSelectedLineProperty_122(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetNumberOfHandles_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfHandles(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetNumberOfHandles_124(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfHandles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetResolution_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetResolution_126(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetParametricSpline_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkParametricSpline  *temp0;
  temp0 = (vtkParametricSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParametricSpline(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetParametricSpline_128(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkParametricSpline  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParametricSpline();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetHandlePosition_129(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkSplineRepresentation *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetHandlePosition_130(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSplineRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_GetHandlePosition_131(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkSplineRepresentation *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetHandlePosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSplineRepresentation_GetHandlePositions_132(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  vtkDoubleArray  *temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandlePositions();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetClosed_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkSplineRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_GetClosed_134(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_ClosedOn_135(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_ClosedOff_136(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_IsClosed_137(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsClosed();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSplineRepresentation_GetSummedLength_138(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  double   temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSummedLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_InitializeHandles_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeHandles(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_BuildRepresentation_140(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_ComputeInteractionState_141(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkSplineRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_StartWidgetInteraction_142(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSplineRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_WidgetInteraction_143(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSplineRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_EndWidgetInteraction_144(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSplineRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EndWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_ReleaseGraphicsResources_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_RenderOpaqueGeometry_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_RenderTranslucentPolygonalGeometry_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_RenderOverlay_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineRepresentation_HasTranslucentPolygonalGeometry_149(JNIEnv *env, jobject obj)
{
  vtkSplineRepresentation *op;
  int      temp20;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineRepresentation_SetLineColor_150(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSplineRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSplineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSplineRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkSplineRepresentation *aNewOne = vtkSplineRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
