// java wrapper for vtkSplineWidget2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSplineWidget2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSplineWidget2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSplineWidget2",dType)) { return me; }
  if ((res= vtkAbstractWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSplineWidget2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSplineWidget2 *op;
  const char    *temp20;

  op = (vtkSplineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSplineWidget2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSplineWidget2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSplineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget2_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSplineWidget2 *op;
  vtkSplineRepresentation  *temp0;
  temp0 = (vtkSplineRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSplineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSplineWidget2_CreateDefaultRepresentation_13(JNIEnv *env, jobject obj)
{
  vtkSplineWidget2 *op;

  op = (vtkSplineWidget2 *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSplineWidget2_VTKInit(JNIEnv *, jobject)
{
  vtkSplineWidget2 *aNewOne = vtkSplineWidget2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
