// java wrapper for vtkTerrainContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTerrainContourLineInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContourLineInterpolator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTerrainContourLineInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTerrainContourLineInterpolator",dType)) { return me; }
  if ((res= vtkContourLineInterpolator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTerrainContourLineInterpolator *op;
  const char    *temp20;

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTerrainContourLineInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_InterpolateLine_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkTerrainContourLineInterpolator *op;
  vtkRenderer  *temp0;
  vtkContourRepresentation  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkContourRepresentation *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InterpolateLine(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_SetImageData_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTerrainContourLineInterpolator *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_GetImageData_14(JNIEnv *env, jobject obj)
{
  vtkTerrainContourLineInterpolator *op;
  vtkImageData  *temp20;

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTerrainContourLineInterpolator_GetProjector_15(JNIEnv *env, jobject obj)
{
  vtkTerrainContourLineInterpolator *op;
  vtkProjectedTerrainPath  *temp20;

  op = (vtkTerrainContourLineInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProjector();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTerrainContourLineInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkTerrainContourLineInterpolator *aNewOne = vtkTerrainContourLineInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
