// java wrapper for vtkTextWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkBorderWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextWidget",dType)) { return me; }
  if ((res= vtkBorderWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextWidget *op;
  const char    *temp20;

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextWidget_SetRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextWidget *op;
  vtkTextRepresentation  *temp0;
  temp0 = (vtkTextRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextWidget_SetTextActor_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextWidget *op;
  vtkTextActor  *temp0;
  temp0 = (vtkTextActor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextActor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextWidget_GetTextActor_14(JNIEnv *env, jobject obj)
{
  vtkTextWidget *op;
  vtkTextActor  *temp20;

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextActor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextWidget_CreateDefaultRepresentation_15(JNIEnv *env, jobject obj)
{
  vtkTextWidget *op;

  op = (vtkTextWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateDefaultRepresentation();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextWidget_VTKInit(JNIEnv *, jobject)
{
  vtkTextWidget *aNewOne = vtkTextWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
