// java wrapper for vtkTexturedButtonRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexturedButtonRepresentation2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkButtonRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTexturedButtonRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTexturedButtonRepresentation2D",dType)) { return me; }
  if ((res= vtkButtonRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  const char    *temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTexturedButtonRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_SetProperty_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetProperty_13(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_SetHoveringProperty_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHoveringProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetHoveringProperty_15(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHoveringProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_SetSelectingProperty_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp0;
  temp0 = (vtkProperty2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectingProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetSelectingProperty_17(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectingProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_SetButtonTexture_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTexturedButtonRepresentation2D *op;
  int      temp0;
  vtkImageData  *temp1;
  temp0 = id0;
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetButtonTexture(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetButtonTexture_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexturedButtonRepresentation2D *op;
  int      temp0;
  vtkImageData  *temp20;
  temp0 = id0;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetButtonTexture(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetBalloon_110(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkBalloonRepresentation  *temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBalloon();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_ComputeInteractionState_111(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkTexturedButtonRepresentation2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_BuildRepresentation_112(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_Highlight_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexturedButtonRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_PlaceWidget_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTexturedButtonRepresentation2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_PlaceWidget_115(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkTexturedButtonRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[2];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_ShallowCopy_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_GetActors_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_ReleaseGraphicsResources_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_RenderOverlay_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedButtonRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_HasTranslucentPolygonalGeometry_120(JNIEnv *env, jobject obj)
{
  vtkTexturedButtonRepresentation2D *op;
  int      temp20;

  op = (vtkTexturedButtonRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTexturedButtonRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkTexturedButtonRepresentation2D *aNewOne = vtkTexturedButtonRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
